import { IntegrationExecutionContext, IntegrationInstanceConfigFieldMap, IntegrationInstanceConfig } from '@jupiterone/integration-sdk-core';
export declare const instanceConfigFields: IntegrationInstanceConfigFieldMap<IntegrationConfig>;
export interface IntegrationConfig extends IntegrationInstanceConfig {
    baseUrl: string;
    personalToken: string;
    /**
     * Used to limit number of ingested merge requests.
     */
    mergeRequestsUpdatedAfter?: Date;
    /**
     * Used to limit number of ingested vulnerabilities by severity.
     */
    vulnerabilitySeverities?: string[];
    /**
     * Used to limit number of ingested vulnerabilities by state.
     */
    vulnerabilityStates?: string[];
    /**
     * Used to limit number of ingested vulnerabilities by report type.
     */
    vulnerabilityReportTypes?: string[];
}
export declare function validateInvocation(context: IntegrationExecutionContext<IntegrationConfig>): Promise<void>;
//# sourceMappingURL=config.d.ts.map