import { RelationshipClass } from '@jupiterone/integration-sdk-core';
export declare const ACCOUNT_ENTITY = "account-entity";
export declare const IngestionSources: {
    USERS: string;
    GROUPS: string;
    PROJECTS: string;
    MERGE_REQUESTS: string;
    COMMITS: string;
    FINDINGS: string;
    PROJECT_LABELS: string;
    BRANCH_RULES: string;
};
export declare const Steps: {
    ACCOUNTS: string;
    USERS: string;
    GROUPS: string;
    PROJECTS: string;
    MERGE_REQUESTS: string;
    COMMITS: string;
    FINDINGS: string;
    PROJECT_LABELS: string;
    BRANCH_RULES: string;
};
export declare const Entities: {
    ACCOUNT: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: (string | string[]) & ["Account"];
        _type: "gitlab_account";
        resourceName: "Account";
        schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
            _key: import("@sinclair/typebox").TString;
            _type: import("@sinclair/typebox").TString;
            accessURL: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
            complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            displayName: import("@sinclair/typebox").TString;
            expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
            mfaEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            name: import("@sinclair/typebox").TString;
            notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            vendor: import("@sinclair/typebox").TString;
            webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>>, import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Account">[]>;
            _type: import("@sinclair/typebox").TLiteral<"gitlab_account">;
        }>, import("@sinclair/typebox").TObject<{
            id: import("@sinclair/typebox").TString;
            name: import("@sinclair/typebox").TString;
            version: import("@sinclair/typebox").TString;
            revision: import("@sinclair/typebox").TString;
            enterprise: import("@sinclair/typebox").TBoolean;
            vendor: import("@sinclair/typebox").TString;
        }>]>;
    };
    USER: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: (string | string[]) & ["User"];
        _type: "gitlab_user";
        resourceName: "User";
        schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
            _key: import("@sinclair/typebox").TString;
            _type: import("@sinclair/typebox").TString;
            active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
            complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            displayName: import("@sinclair/typebox").TString;
            email: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            emailDomain: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            firstName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
            lastName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            mfaEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            mfaType: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            name: import("@sinclair/typebox").TString;
            notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            passwordChangedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            shortLoginId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            username: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>>, import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"User">[]>;
            _type: import("@sinclair/typebox").TLiteral<"gitlab_user">;
        }>, import("@sinclair/typebox").TObject<{
            id: import("@sinclair/typebox").TString;
            name: import("@sinclair/typebox").TString;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            webLink: import("@sinclair/typebox").TString;
            username: import("@sinclair/typebox").TString;
            state: import("@sinclair/typebox").TString;
            email: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            publicEmail: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            active: import("@sinclair/typebox").TBoolean;
            isAdmin: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            canCreateGroup: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            canCreateProject: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            twoFactorEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            external: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            privateProfile: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            trial: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        }>]>;
    };
    GROUP: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: (string | string[]) & ["Group"];
        _type: "gitlab_group";
        resourceName: "Group";
        schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
            _key: import("@sinclair/typebox").TString;
            _type: import("@sinclair/typebox").TString;
            active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
            complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            displayName: import("@sinclair/typebox").TString;
            expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
            name: import("@sinclair/typebox").TString;
            notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>>, import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Group">[]>;
            _type: import("@sinclair/typebox").TLiteral<"gitlab_group">;
        }>, import("@sinclair/typebox").TObject<{
            id: import("@sinclair/typebox").TString;
            parentGroupId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            name: import("@sinclair/typebox").TString;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            path: import("@sinclair/typebox").TString;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            visibility: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            shareWithGroupLock: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            requireTwoFactorAuthentication: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            twoFactorGracePeriod: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            projectCreationLevel: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            autoDevopsEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            subgroupCreationLevel: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            emailsDisabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            mentionsDisabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            lfsEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            webUrl: import("@sinclair/typebox").TString;
            requestAccessEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            fullName: import("@sinclair/typebox").TString;
            fullPath: import("@sinclair/typebox").TString;
        }>]>;
    };
    FINDING: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: (string | string[]) & ["Finding"];
        _type: "gitlab_finding";
        resourceName: "Finding";
        schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
            _key: import("@sinclair/typebox").TString;
            _type: import("@sinclair/typebox").TString;
            approved: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            approvedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            approvers: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            assessment: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            blocksProduction: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            category: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>;
            classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            content: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            displayName: import("@sinclair/typebox").TString;
            exception: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            exceptionReason: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            exploitability: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            impact: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            name: import("@sinclair/typebox").TString;
            numericSeverity: import("@sinclair/typebox").TNumber;
            open: import("@sinclair/typebox").TBoolean;
            priority: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            production: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            recommendation: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            references: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            remediationSLA: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            reportedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            reporter: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            score: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            severity: import("@sinclair/typebox").TString;
            status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            stepsToReproduce: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            targetDetails: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            targets: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            vector: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>>, import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Finding">[]>;
            _type: import("@sinclair/typebox").TLiteral<"gitlab_finding">;
        }>, import("@sinclair/typebox").TObject<{
            uuid: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            reportType: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            'scanner.externalId': import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            'scanner.name': import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            'scanner.vendor': import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            identifiers: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>>>;
            falsePositive: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            dismissalReason: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            links: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            solution: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            state: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            vulnerabilityPath: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            projectFingerprint: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            dismissalFeedback: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createVulnerabilityFeedbackIssuePath: import("@sinclair/typebox").TString;
            createVulnerabilityFeedbackMergeRequestPath: import("@sinclair/typebox").TString;
            createVulnerabilityFeedbackDismissalPath: import("@sinclair/typebox").TString;
        }>]>;
    };
    MERGE_REQUEST: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: string[];
        _type: string;
        resourceName: string;
        schema: import("@jupiterone/integration-sdk-core").GraphObjectSchema;
    };
    COMMIT: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: (string | string[]) & ["CodeCommit"];
        _type: "gitlab_commit";
        resourceName: "Commit";
        schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
            _key: import("@sinclair/typebox").TString;
            _type: import("@sinclair/typebox").TString;
            active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            branch: import("@sinclair/typebox").TString;
            classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
            complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            displayName: import("@sinclair/typebox").TString;
            expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
            merge: import("@sinclair/typebox").TBoolean;
            message: import("@sinclair/typebox").TString;
            name: import("@sinclair/typebox").TString;
            notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            versionBump: import("@sinclair/typebox").TBoolean;
            webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>>, import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"CodeCommit">[]>;
            _type: import("@sinclair/typebox").TLiteral<"gitlab_commit">;
        }>, import("@sinclair/typebox").TObject<{
            id: import("@sinclair/typebox").TString;
            shortId: import("@sinclair/typebox").TString;
            title: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            name: import("@sinclair/typebox").TString;
            merge: import("@sinclair/typebox").TBoolean;
            versionBump: import("@sinclair/typebox").TBoolean;
            webLink: import("@sinclair/typebox").TString;
            message: import("@sinclair/typebox").TString;
            authoredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            committedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            commitWebLink: import("@sinclair/typebox").TString;
            committerName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            committerEmail: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            authorName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            authorEmail: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            branch: import("@sinclair/typebox").TString;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        }>]>;
    };
    PROJECT: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: string[];
        _type: string;
        resourceName: string;
        schema: import("@jupiterone/integration-sdk-core").GraphObjectSchema;
    };
    LABEL: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: (string | string[]) & ["Record"];
        _type: "gitlab_label";
        resourceName: "Label";
        schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
            _key: import("@sinclair/typebox").TString;
            _type: import("@sinclair/typebox").TString;
            approved: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            approvedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            approvers: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            category: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            content: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            displayName: import("@sinclair/typebox").TString;
            exception: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            exceptionReason: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            name: import("@sinclair/typebox").TString;
            open: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            production: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            reportedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            reporter: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>>, import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Record">[]>;
            _type: import("@sinclair/typebox").TLiteral<"gitlab_label">;
        }>, import("@sinclair/typebox").TObject<{
            id: import("@sinclair/typebox").TString;
            name: import("@sinclair/typebox").TString;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            color: import("@sinclair/typebox").TString;
            textColor: import("@sinclair/typebox").TString;
            lockOnMerge: import("@sinclair/typebox").TBoolean;
        }>]>;
    };
    BRANCH_RULE: {
        partial?: boolean;
        indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
        _class: (string | string[]) & ["Rule"];
        _type: "gitlab_branch_rule";
        resourceName: "Branch Rule";
        schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
            _key: import("@sinclair/typebox").TString;
            _type: import("@sinclair/typebox").TString;
            active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            category: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
            complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            content: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            displayName: import("@sinclair/typebox").TString;
            expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
            name: import("@sinclair/typebox").TString;
            notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
            temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>>, import("@sinclair/typebox").TObject<{
            _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Rule">[]>;
            _type: import("@sinclair/typebox").TLiteral<"gitlab_branch_rule">;
        }>, import("@sinclair/typebox").TObject<{
            id: import("@sinclair/typebox").TString;
            name: import("@sinclair/typebox").TString;
            isDefault: import("@sinclair/typebox").TBoolean;
            isProtected: import("@sinclair/typebox").TBoolean;
            createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
            matchingBranchesCount: import("@sinclair/typebox").TNumber;
            allowForcePush: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
            codeOwnerApprovalRequired: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        }>]>;
    };
};
export declare const Relationships: {
    ACCOUNT_HAS_PROJECT: {
        _type: string;
        sourceType: "gitlab_account";
        _class: RelationshipClass;
        targetType: string;
    };
    ACCOUNT_HAS_GROUP: {
        _type: string;
        sourceType: "gitlab_account";
        _class: RelationshipClass;
        targetType: "gitlab_group";
    };
    PROJECT_HAS_USER: {
        _type: string;
        sourceType: string;
        _class: RelationshipClass;
        targetType: "gitlab_user";
    };
    GROUP_HAS_SUBGROUP: {
        _type: string;
        sourceType: "gitlab_group";
        _class: RelationshipClass;
        targetType: "gitlab_group";
    };
    GROUP_HAS_USER: {
        _type: string;
        sourceType: "gitlab_group";
        _class: RelationshipClass;
        targetType: "gitlab_user";
    };
    GROUP_HAS_PROJECT: {
        _type: string;
        sourceType: "gitlab_group";
        _class: RelationshipClass;
        targetType: string;
    };
    PROJECT_HAS_FINDING: {
        _type: string;
        sourceType: string;
        _class: RelationshipClass;
        targetType: "gitlab_finding";
    };
    PROJECT_HAS_PR: {
        _type: string;
        sourceType: string;
        _class: RelationshipClass;
        targetType: string;
    };
    USER_OPENED_PR: {
        _type: string;
        sourceType: "gitlab_user";
        _class: RelationshipClass;
        targetType: string;
    };
    USER_APPROVED_PR: {
        _type: string;
        sourceType: "gitlab_user";
        _class: RelationshipClass;
        targetType: string;
    };
    MR_HAS_COMMIT: {
        _type: string;
        sourceType: string;
        _class: RelationshipClass;
        targetType: "gitlab_commit";
    };
    PROJECT_HAS_LABEL: {
        _type: string;
        sourceType: string;
        _class: RelationshipClass;
        targetType: "gitlab_label";
    };
    PROJECT_HAS_BRANCH_RULE: {
        _type: string;
        sourceType: string;
        _class: RelationshipClass;
        targetType: "gitlab_branch_rule";
    };
};
//# sourceMappingURL=constants.d.ts.map