export declare const ENTITY_ACCOUNT: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: (string | string[]) & ["Account"];
    _type: "gitlab_account";
    resourceName: "Account";
    schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
        _key: import("@sinclair/typebox").TString;
        _type: import("@sinclair/typebox").TString;
        accessURL: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
        complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        displayName: import("@sinclair/typebox").TString;
        expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
        mfaEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        name: import("@sinclair/typebox").TString;
        notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        vendor: import("@sinclair/typebox").TString;
        webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>>, import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Account">[]>;
        _type: import("@sinclair/typebox").TLiteral<"gitlab_account">;
    }>, import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        name: import("@sinclair/typebox").TString;
        version: import("@sinclair/typebox").TString;
        revision: import("@sinclair/typebox").TString;
        enterprise: import("@sinclair/typebox").TBoolean;
        vendor: import("@sinclair/typebox").TString;
    }>]>;
}, createGitlabAccount: (entityData: Omit<Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    accessURL?: string | undefined;
    mfaEnabled?: boolean | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    vendor: string;
} & {
    _class: [];
    _type: "gitlab_account";
} & {
    id: string;
    name: string;
    vendor: string;
    version: string;
    revision: string;
    enterprise: boolean;
}, "displayName"> & {
    displayName?: string | undefined;
}, "_class" | "_type">) => Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    accessURL?: string | undefined;
    mfaEnabled?: boolean | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    vendor: string;
} & {
    _class: [];
    _type: "gitlab_account";
} & {
    id: string;
    name: string;
    vendor: string;
    version: string;
    revision: string;
    enterprise: boolean;
}, "displayName"> & {
    displayName?: string | undefined;
};
export declare const ENTITY_BRANCH_RULE: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: (string | string[]) & ["Rule"];
    _type: "gitlab_branch_rule";
    resourceName: "Branch Rule";
    schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
        _key: import("@sinclair/typebox").TString;
        _type: import("@sinclair/typebox").TString;
        active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        category: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
        complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        content: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        displayName: import("@sinclair/typebox").TString;
        expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
        name: import("@sinclair/typebox").TString;
        notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>>, import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Rule">[]>;
        _type: import("@sinclair/typebox").TLiteral<"gitlab_branch_rule">;
    }>, import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        name: import("@sinclair/typebox").TString;
        isDefault: import("@sinclair/typebox").TBoolean;
        isProtected: import("@sinclair/typebox").TBoolean;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        matchingBranchesCount: import("@sinclair/typebox").TNumber;
        allowForcePush: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        codeOwnerApprovalRequired: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
    }>]>;
}, createGitlabBranchRule: (entityData: Omit<Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    category?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_branch_rule";
} & {
    createdOn?: number | undefined;
    updatedOn?: number | undefined;
    allowForcePush?: boolean | undefined;
    codeOwnerApprovalRequired?: boolean | undefined;
    id: string;
    name: string;
    isDefault: boolean;
    isProtected: boolean;
    matchingBranchesCount: number;
}, "displayName"> & {
    displayName?: string | undefined;
}, "_class" | "_type">) => Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    category?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_branch_rule";
} & {
    createdOn?: number | undefined;
    updatedOn?: number | undefined;
    allowForcePush?: boolean | undefined;
    codeOwnerApprovalRequired?: boolean | undefined;
    id: string;
    name: string;
    isDefault: boolean;
    isProtected: boolean;
    matchingBranchesCount: number;
}, "displayName"> & {
    displayName?: string | undefined;
};
export declare const ENTITY_COMMIT: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: (string | string[]) & ["CodeCommit"];
    _type: "gitlab_commit";
    resourceName: "Commit";
    schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
        _key: import("@sinclair/typebox").TString;
        _type: import("@sinclair/typebox").TString;
        active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        branch: import("@sinclair/typebox").TString;
        classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
        complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        displayName: import("@sinclair/typebox").TString;
        expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
        merge: import("@sinclair/typebox").TBoolean;
        message: import("@sinclair/typebox").TString;
        name: import("@sinclair/typebox").TString;
        notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        versionBump: import("@sinclair/typebox").TBoolean;
        webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>>, import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"CodeCommit">[]>;
        _type: import("@sinclair/typebox").TLiteral<"gitlab_commit">;
    }>, import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        shortId: import("@sinclair/typebox").TString;
        title: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        name: import("@sinclair/typebox").TString;
        merge: import("@sinclair/typebox").TBoolean;
        versionBump: import("@sinclair/typebox").TBoolean;
        webLink: import("@sinclair/typebox").TString;
        message: import("@sinclair/typebox").TString;
        authoredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        committedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        commitWebLink: import("@sinclair/typebox").TString;
        committerName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        committerEmail: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        authorName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        authorEmail: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        branch: import("@sinclair/typebox").TString;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
    }>]>;
}, createGitlabCommit: (entityData: Omit<Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    branch: string;
    merge: boolean;
    message: string;
    versionBump: boolean;
} & {
    _class: [];
    _type: "gitlab_commit";
} & {
    createdOn?: number | undefined;
    title?: string | undefined;
    authoredOn?: number | undefined;
    committedOn?: number | undefined;
    committerName?: string | undefined;
    committerEmail?: string | undefined;
    authorName?: string | undefined;
    authorEmail?: string | undefined;
    id: string;
    name: string;
    webLink: string;
    branch: string;
    merge: boolean;
    message: string;
    versionBump: boolean;
    shortId: string;
    commitWebLink: string;
}, "displayName"> & {
    displayName?: string | undefined;
}, "_class" | "_type">) => Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    branch: string;
    merge: boolean;
    message: string;
    versionBump: boolean;
} & {
    _class: [];
    _type: "gitlab_commit";
} & {
    createdOn?: number | undefined;
    title?: string | undefined;
    authoredOn?: number | undefined;
    committedOn?: number | undefined;
    committerName?: string | undefined;
    committerEmail?: string | undefined;
    authorName?: string | undefined;
    authorEmail?: string | undefined;
    id: string;
    name: string;
    webLink: string;
    branch: string;
    merge: boolean;
    message: string;
    versionBump: boolean;
    shortId: string;
    commitWebLink: string;
}, "displayName"> & {
    displayName?: string | undefined;
};
export declare const ENTITY_FINDING: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: (string | string[]) & ["Finding"];
    _type: "gitlab_finding";
    resourceName: "Finding";
    schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
        _key: import("@sinclair/typebox").TString;
        _type: import("@sinclair/typebox").TString;
        approved: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        approvedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        approvers: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        assessment: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        blocksProduction: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        category: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>;
        classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        content: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        displayName: import("@sinclair/typebox").TString;
        exception: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        exceptionReason: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        exploitability: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        impact: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        name: import("@sinclair/typebox").TString;
        numericSeverity: import("@sinclair/typebox").TNumber;
        open: import("@sinclair/typebox").TBoolean;
        priority: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        production: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        recommendation: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        references: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        remediationSLA: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        reportedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        reporter: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        score: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        severity: import("@sinclair/typebox").TString;
        status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        stepsToReproduce: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        targetDetails: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        targets: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        vector: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>>, import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Finding">[]>;
        _type: import("@sinclair/typebox").TLiteral<"gitlab_finding">;
    }>, import("@sinclair/typebox").TObject<{
        uuid: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        reportType: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        'scanner.externalId': import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        'scanner.name': import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        'scanner.vendor': import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        identifiers: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>>>;
        falsePositive: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        dismissalReason: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        links: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        solution: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        state: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        vulnerabilityPath: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        projectFingerprint: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        dismissalFeedback: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createVulnerabilityFeedbackIssuePath: import("@sinclair/typebox").TString;
        createVulnerabilityFeedbackMergeRequestPath: import("@sinclair/typebox").TString;
        createVulnerabilityFeedbackDismissalPath: import("@sinclair/typebox").TString;
    }>]>;
}, createGitlabFinding: (entityData: Omit<Omit<{
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    assessment?: string | undefined;
    blocksProduction?: boolean | undefined;
    exploitability?: number | undefined;
    impact?: string | undefined;
    priority?: string | undefined;
    recommendation?: string | undefined;
    references?: string[] | undefined;
    remediationSLA?: number | undefined;
    score?: number | undefined;
    stepsToReproduce?: string[] | undefined;
    targetDetails?: string[] | undefined;
    targets?: string[] | undefined;
    vector?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    category: string | string[];
    open: boolean;
    numericSeverity: number;
    severity: string;
} & {
    _class: [];
    _type: "gitlab_finding";
} & {
    description?: string | undefined;
    state?: string | undefined;
    uuid?: string | undefined;
    reportType?: string | undefined;
    'scanner.externalId'?: string | undefined;
    'scanner.name'?: string | undefined;
    'scanner.vendor'?: string | undefined;
    identifiers?: string[] | undefined;
    falsePositive?: boolean | undefined;
    dismissalReason?: string | undefined;
    links?: string[] | undefined;
    solution?: string | undefined;
    vulnerabilityPath?: string | undefined;
    projectFingerprint?: string | undefined;
    dismissalFeedback?: string | undefined;
    createVulnerabilityFeedbackIssuePath: string;
    createVulnerabilityFeedbackMergeRequestPath: string;
    createVulnerabilityFeedbackDismissalPath: string;
}, "displayName"> & {
    displayName?: string | undefined;
}, "_class" | "_type">) => Omit<{
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    assessment?: string | undefined;
    blocksProduction?: boolean | undefined;
    exploitability?: number | undefined;
    impact?: string | undefined;
    priority?: string | undefined;
    recommendation?: string | undefined;
    references?: string[] | undefined;
    remediationSLA?: number | undefined;
    score?: number | undefined;
    stepsToReproduce?: string[] | undefined;
    targetDetails?: string[] | undefined;
    targets?: string[] | undefined;
    vector?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    category: string | string[];
    open: boolean;
    numericSeverity: number;
    severity: string;
} & {
    _class: [];
    _type: "gitlab_finding";
} & {
    description?: string | undefined;
    state?: string | undefined;
    uuid?: string | undefined;
    reportType?: string | undefined;
    'scanner.externalId'?: string | undefined;
    'scanner.name'?: string | undefined;
    'scanner.vendor'?: string | undefined;
    identifiers?: string[] | undefined;
    falsePositive?: boolean | undefined;
    dismissalReason?: string | undefined;
    links?: string[] | undefined;
    solution?: string | undefined;
    vulnerabilityPath?: string | undefined;
    projectFingerprint?: string | undefined;
    dismissalFeedback?: string | undefined;
    createVulnerabilityFeedbackIssuePath: string;
    createVulnerabilityFeedbackMergeRequestPath: string;
    createVulnerabilityFeedbackDismissalPath: string;
}, "displayName"> & {
    displayName?: string | undefined;
};
export declare const ENTITY_GROUP: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: (string | string[]) & ["Group"];
    _type: "gitlab_group";
    resourceName: "Group";
    schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
        _key: import("@sinclair/typebox").TString;
        _type: import("@sinclair/typebox").TString;
        active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
        complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        displayName: import("@sinclair/typebox").TString;
        expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
        name: import("@sinclair/typebox").TString;
        notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>>, import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Group">[]>;
        _type: import("@sinclair/typebox").TLiteral<"gitlab_group">;
    }>, import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        parentGroupId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        name: import("@sinclair/typebox").TString;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        path: import("@sinclair/typebox").TString;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        visibility: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        shareWithGroupLock: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        requireTwoFactorAuthentication: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        twoFactorGracePeriod: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        projectCreationLevel: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        autoDevopsEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        subgroupCreationLevel: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        emailsDisabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        mentionsDisabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        lfsEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        webUrl: import("@sinclair/typebox").TString;
        requestAccessEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        fullName: import("@sinclair/typebox").TString;
        fullPath: import("@sinclair/typebox").TString;
    }>]>;
}, createGitlabGroup: (entityData: Omit<Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_group";
} & {
    createdOn?: number | undefined;
    description?: string | undefined;
    parentGroupId?: string | undefined;
    visibility?: string | undefined;
    shareWithGroupLock?: boolean | undefined;
    requireTwoFactorAuthentication?: boolean | undefined;
    twoFactorGracePeriod?: number | undefined;
    projectCreationLevel?: string | undefined;
    autoDevopsEnabled?: boolean | undefined;
    subgroupCreationLevel?: string | undefined;
    emailsDisabled?: boolean | undefined;
    mentionsDisabled?: boolean | undefined;
    lfsEnabled?: boolean | undefined;
    requestAccessEnabled?: boolean | undefined;
    id: string;
    name: string;
    path: string;
    webUrl: string;
    fullName: string;
    fullPath: string;
}, "displayName"> & {
    displayName?: string | undefined;
}, "_class" | "_type">) => Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_group";
} & {
    createdOn?: number | undefined;
    description?: string | undefined;
    parentGroupId?: string | undefined;
    visibility?: string | undefined;
    shareWithGroupLock?: boolean | undefined;
    requireTwoFactorAuthentication?: boolean | undefined;
    twoFactorGracePeriod?: number | undefined;
    projectCreationLevel?: string | undefined;
    autoDevopsEnabled?: boolean | undefined;
    subgroupCreationLevel?: string | undefined;
    emailsDisabled?: boolean | undefined;
    mentionsDisabled?: boolean | undefined;
    lfsEnabled?: boolean | undefined;
    requestAccessEnabled?: boolean | undefined;
    id: string;
    name: string;
    path: string;
    webUrl: string;
    fullName: string;
    fullPath: string;
}, "displayName"> & {
    displayName?: string | undefined;
};
export declare const ENTITY_MERGE_REQUEST: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: string[];
    _type: string;
    resourceName: string;
    schema: import("@jupiterone/integration-sdk-core").GraphObjectSchema;
}, createGitlabMergeRequest: (entityData: Omit<{
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    category?: string | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    open?: boolean | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    state?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    title: string;
} & {
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    category?: string | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    open?: boolean | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    target: string;
    state: string;
    title: string;
    source: string;
    repository: string;
} & {
    _class: [];
    _type: string;
} & {
    createdOn?: number | undefined;
    updatedOn?: number | undefined;
    webLink?: string | undefined;
    commitWebLink?: string | undefined;
    authorName?: string | undefined;
    authorId?: string | undefined;
    authorLogin?: string | undefined;
    mergeWhenPipelineSucceeds?: boolean | undefined;
    shouldRemoveSourceBranch?: boolean | undefined;
    forceRemoveSourceBranch?: boolean | undefined;
    allowCollaboration?: boolean | undefined;
    mergedOn?: number | undefined;
    sha?: string | undefined;
    mergeCommitSha?: string | undefined;
    closedOn?: number | undefined;
    id: string;
    name: string;
    approved: boolean;
    approvers: string[];
    target: string;
    state: string;
    title: string;
    source: string;
    repository: string;
    iid: string;
    projectId: number;
    squash: boolean;
    approverIds: string[];
    approverLogins: string[];
}, "_class" | "_type">) => {
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    category?: string | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    open?: boolean | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    state?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    title: string;
} & {
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    category?: string | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    open?: boolean | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
    target: string;
    state: string;
    title: string;
    source: string;
    repository: string;
} & {
    _class: [];
    _type: string;
} & {
    createdOn?: number | undefined;
    updatedOn?: number | undefined;
    webLink?: string | undefined;
    commitWebLink?: string | undefined;
    authorName?: string | undefined;
    authorId?: string | undefined;
    authorLogin?: string | undefined;
    mergeWhenPipelineSucceeds?: boolean | undefined;
    shouldRemoveSourceBranch?: boolean | undefined;
    forceRemoveSourceBranch?: boolean | undefined;
    allowCollaboration?: boolean | undefined;
    mergedOn?: number | undefined;
    sha?: string | undefined;
    mergeCommitSha?: string | undefined;
    closedOn?: number | undefined;
    id: string;
    name: string;
    approved: boolean;
    approvers: string[];
    target: string;
    state: string;
    title: string;
    source: string;
    repository: string;
    iid: string;
    projectId: number;
    squash: boolean;
    approverIds: string[];
    approverLogins: string[];
};
export declare const ENTITY_PROJECT_LABEL: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: (string | string[]) & ["Record"];
    _type: "gitlab_label";
    resourceName: "Label";
    schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
        _key: import("@sinclair/typebox").TString;
        _type: import("@sinclair/typebox").TString;
        approved: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        approvedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        approvers: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        category: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        content: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        displayName: import("@sinclair/typebox").TString;
        exception: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        exceptionReason: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        name: import("@sinclair/typebox").TString;
        open: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        production: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        reportedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        reporter: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>>, import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"Record">[]>;
        _type: import("@sinclair/typebox").TLiteral<"gitlab_label">;
    }>, import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        name: import("@sinclair/typebox").TString;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        color: import("@sinclair/typebox").TString;
        textColor: import("@sinclair/typebox").TString;
        lockOnMerge: import("@sinclair/typebox").TBoolean;
    }>]>;
}, createGitlabProjectLabel: (entityData: Omit<Omit<{
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    category?: string | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    open?: boolean | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_label";
} & {
    description?: string | undefined;
    id: string;
    name: string;
    color: string;
    textColor: string;
    lockOnMerge: boolean;
}, "displayName"> & {
    displayName?: string | undefined;
}, "_class" | "_type">) => Omit<{
    public?: boolean | undefined;
    classification?: string | undefined;
    createdOn?: number | undefined;
    description?: string | undefined;
    summary?: string | undefined;
    updatedOn?: number | undefined;
    webLink?: string | undefined;
    content?: string | undefined;
    approved?: boolean | undefined;
    approvedOn?: number | undefined;
    approvers?: string[] | undefined;
    category?: string | undefined;
    exception?: boolean | undefined;
    exceptionReason?: string | undefined;
    open?: boolean | undefined;
    production?: boolean | undefined;
    reportedOn?: number | undefined;
    reporter?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_label";
} & {
    description?: string | undefined;
    id: string;
    name: string;
    color: string;
    textColor: string;
    lockOnMerge: boolean;
}, "displayName"> & {
    displayName?: string | undefined;
};
export declare const ENTITY_PROJECT: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: string[];
    _type: string;
    resourceName: string;
    schema: import("@jupiterone/integration-sdk-core").GraphObjectSchema;
}, createGitlabProject: (entityData: Omit<{
    active?: boolean | undefined;
    project?: string | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    application?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    alternateURLs?: string[] | undefined;
    devURL?: string | undefined;
    productionURL?: string | undefined;
    stagingURL?: string | undefined;
    testURL?: string | undefined;
    key?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: string;
} & {
    createdOn?: number | undefined;
    description?: string | undefined;
    webLink?: string | undefined;
    archived?: boolean | undefined;
    visibility?: string | undefined;
    requestAccessEnabled?: boolean | undefined;
    issuesEnabled?: boolean | undefined;
    mergeRequestsEnabled?: boolean | undefined;
    jobsEnabled?: boolean | undefined;
    wikiEnabled?: boolean | undefined;
    snippetsEnabled?: boolean | undefined;
    containerRegistryEnabled?: boolean | undefined;
    sharedRunnersEnabled?: boolean | undefined;
    publicJobs?: boolean | undefined;
    onlyAllowMergeIfPipelineSucceeds?: boolean | undefined;
    onlyAllowMergeIfAllDiscussionsAreResolved?: boolean | undefined;
    removeSourceBranchAfterMerge?: boolean | undefined;
    autocloseReferencedIssues?: boolean | undefined;
    public: boolean;
    topics: string[];
    id: string;
    name: string;
    fullName: string;
    allowMergeOnSkippedPipeline: boolean;
}, "_class" | "_type">) => {
    active?: boolean | undefined;
    project?: string | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    application?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    alternateURLs?: string[] | undefined;
    devURL?: string | undefined;
    productionURL?: string | undefined;
    stagingURL?: string | undefined;
    testURL?: string | undefined;
    key?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: string;
} & {
    createdOn?: number | undefined;
    description?: string | undefined;
    webLink?: string | undefined;
    archived?: boolean | undefined;
    visibility?: string | undefined;
    requestAccessEnabled?: boolean | undefined;
    issuesEnabled?: boolean | undefined;
    mergeRequestsEnabled?: boolean | undefined;
    jobsEnabled?: boolean | undefined;
    wikiEnabled?: boolean | undefined;
    snippetsEnabled?: boolean | undefined;
    containerRegistryEnabled?: boolean | undefined;
    sharedRunnersEnabled?: boolean | undefined;
    publicJobs?: boolean | undefined;
    onlyAllowMergeIfPipelineSucceeds?: boolean | undefined;
    onlyAllowMergeIfAllDiscussionsAreResolved?: boolean | undefined;
    removeSourceBranchAfterMerge?: boolean | undefined;
    autocloseReferencedIssues?: boolean | undefined;
    public: boolean;
    topics: string[];
    id: string;
    name: string;
    fullName: string;
    allowMergeOnSkippedPipeline: boolean;
};
export declare const ENTITY_USER: {
    partial?: boolean;
    indexMetadata?: import("@jupiterone/integration-sdk-core").GraphObjectIndexMetadata;
    _class: (string | string[]) & ["User"];
    _type: "gitlab_user";
    resourceName: "User";
    schema: import("@sinclair/typebox").TIntersect<[import("@sinclair/typebox").TRef<import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TUnsafe<string | string[]>;
        _key: import("@sinclair/typebox").TString;
        _type: import("@sinclair/typebox").TString;
        active: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        classification: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
        complianceStatus: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        createdBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        criticality: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        deletedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        deletedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        description: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        discoveredOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        displayName: import("@sinclair/typebox").TString;
        email: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        emailDomain: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        expiresOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        firstName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        id: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
        lastName: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        mfaEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        mfaType: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        name: import("@sinclair/typebox").TString;
        notes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        owner: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        passwordChangedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        public: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        risk: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        shortLoginId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        status: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        summary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        tags: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        temporary: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        trust: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        trusted: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        updatedBy: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        updatedOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        username: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        validated: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        webLink: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>>, import("@sinclair/typebox").TObject<{
        _class: import("@sinclair/typebox").TTuple<import("@sinclair/typebox").TLiteral<"User">[]>;
        _type: import("@sinclair/typebox").TLiteral<"gitlab_user">;
    }>, import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        name: import("@sinclair/typebox").TString;
        createdOn: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TNumber>;
        webLink: import("@sinclair/typebox").TString;
        username: import("@sinclair/typebox").TString;
        state: import("@sinclair/typebox").TString;
        email: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        publicEmail: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        active: import("@sinclair/typebox").TBoolean;
        isAdmin: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        canCreateGroup: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        canCreateProject: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        twoFactorEnabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        external: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        privateProfile: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        trial: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
    }>]>;
}, createGitlabUser: (entityData: Omit<Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    mfaEnabled?: boolean | undefined;
    emailDomain?: string[] | undefined;
    email?: string | undefined;
    firstName?: string | undefined;
    lastName?: string | undefined;
    mfaType?: string | undefined;
    passwordChangedOn?: number | undefined;
    shortLoginId?: string | undefined;
    username?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_user";
} & {
    createdOn?: number | undefined;
    external?: boolean | undefined;
    email?: string | undefined;
    publicEmail?: string | undefined;
    isAdmin?: boolean | undefined;
    canCreateGroup?: boolean | undefined;
    canCreateProject?: boolean | undefined;
    twoFactorEnabled?: boolean | undefined;
    privateProfile?: boolean | undefined;
    trial?: boolean | undefined;
    active: boolean;
    id: string;
    name: string;
    webLink: string;
    state: string;
    username: string;
}, "displayName"> & {
    displayName?: string | undefined;
}, "_class" | "_type">) => Omit<{
    active?: boolean | undefined;
    public?: boolean | undefined;
    classification?: string | null | undefined;
    complianceStatus?: number | undefined;
    createdBy?: string | undefined;
    createdOn?: number | undefined;
    criticality?: number | undefined;
    deletedBy?: string | undefined;
    deletedOn?: number | undefined;
    description?: string | undefined;
    discoveredBy?: string | undefined;
    discoveredOn?: number | undefined;
    expiresOn?: number | undefined;
    id?: string | string[] | undefined;
    notes?: string[] | undefined;
    owner?: string | undefined;
    risk?: number | undefined;
    status?: string | undefined;
    summary?: string | undefined;
    tags?: string[] | undefined;
    temporary?: boolean | undefined;
    trust?: number | undefined;
    trusted?: boolean | undefined;
    updatedBy?: string | undefined;
    updatedOn?: number | undefined;
    validated?: boolean | undefined;
    webLink?: string | undefined;
    mfaEnabled?: boolean | undefined;
    emailDomain?: string[] | undefined;
    email?: string | undefined;
    firstName?: string | undefined;
    lastName?: string | undefined;
    mfaType?: string | undefined;
    passwordChangedOn?: number | undefined;
    shortLoginId?: string | undefined;
    username?: string | undefined;
    _class: string | string[];
    _key: string;
    _type: string;
    displayName: string;
    name: string;
} & {
    _class: [];
    _type: "gitlab_user";
} & {
    createdOn?: number | undefined;
    external?: boolean | undefined;
    email?: string | undefined;
    publicEmail?: string | undefined;
    isAdmin?: boolean | undefined;
    canCreateGroup?: boolean | undefined;
    canCreateProject?: boolean | undefined;
    twoFactorEnabled?: boolean | undefined;
    privateProfile?: boolean | undefined;
    trial?: boolean | undefined;
    active: boolean;
    id: string;
    name: string;
    webLink: string;
    state: string;
    username: string;
}, "displayName"> & {
    displayName?: string | undefined;
};
//# sourceMappingURL=entity-definitions.d.ts.map