"use strict";
var _a, _b, _c, _d, _e, _f, _g, _h, _j;
Object.defineProperty(exports, "__esModule", { value: true });
exports.createGitlabUser = exports.ENTITY_USER = exports.createGitlabProject = exports.ENTITY_PROJECT = exports.createGitlabProjectLabel = exports.ENTITY_PROJECT_LABEL = exports.createGitlabMergeRequest = exports.ENTITY_MERGE_REQUEST = exports.createGitlabGroup = exports.ENTITY_GROUP = exports.createGitlabFinding = exports.ENTITY_FINDING = exports.createGitlabCommit = exports.ENTITY_COMMIT = exports.createGitlabBranchRule = exports.ENTITY_BRANCH_RULE = exports.createGitlabAccount = exports.ENTITY_ACCOUNT = void 0;
const integration_sdk_core_1 = require("@jupiterone/integration-sdk-core");
const data_model_1 = require("@jupiterone/data-model");
const { createEntityMetadata, createMultiClassEntityMetadata } = (0, integration_sdk_core_1.createIntegrationHelpers)({
    integrationName: 'jamf',
    classSchemaMap: data_model_1.typeboxClassSchemaMap,
});
_a = createEntityMetadata({
    resourceName: 'Account',
    _class: ['Account'],
    _type: 'gitlab_account',
    description: 'An account in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        name: integration_sdk_core_1.SchemaType.String(),
        version: integration_sdk_core_1.SchemaType.String(),
        revision: integration_sdk_core_1.SchemaType.String(),
        enterprise: integration_sdk_core_1.SchemaType.Boolean(),
        vendor: integration_sdk_core_1.SchemaType.String(),
    }),
}), exports.ENTITY_ACCOUNT = _a[0], exports.createGitlabAccount = _a[1];
_b = createEntityMetadata({
    resourceName: 'Branch Rule',
    _class: ['Rule'],
    _type: 'gitlab_branch_rule',
    description: 'A branch rule in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        name: integration_sdk_core_1.SchemaType.String(),
        isDefault: integration_sdk_core_1.SchemaType.Boolean(),
        isProtected: integration_sdk_core_1.SchemaType.Boolean(),
        createdOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        updatedOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        matchingBranchesCount: integration_sdk_core_1.SchemaType.Number(),
        allowForcePush: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        codeOwnerApprovalRequired: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
    }),
}), exports.ENTITY_BRANCH_RULE = _b[0], exports.createGitlabBranchRule = _b[1];
_c = createEntityMetadata({
    resourceName: 'Commit',
    _class: ['CodeCommit'],
    _type: 'gitlab_commit',
    description: 'A commit in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        shortId: integration_sdk_core_1.SchemaType.String(),
        title: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        name: integration_sdk_core_1.SchemaType.String(),
        merge: integration_sdk_core_1.SchemaType.Boolean(),
        versionBump: integration_sdk_core_1.SchemaType.Boolean(),
        webLink: integration_sdk_core_1.SchemaType.String(),
        message: integration_sdk_core_1.SchemaType.String(),
        authoredOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        committedOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        commitWebLink: integration_sdk_core_1.SchemaType.String(),
        committerName: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        committerEmail: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        authorName: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        authorEmail: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        branch: integration_sdk_core_1.SchemaType.String(),
        createdOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number({ deprecated: true })),
    }),
}), exports.ENTITY_COMMIT = _c[0], exports.createGitlabCommit = _c[1];
_d = createEntityMetadata({
    resourceName: 'Finding',
    _class: ['Finding'],
    _type: 'gitlab_finding',
    description: 'A finding in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        uuid: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        reportType: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        'scanner.externalId': integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        'scanner.name': integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        'scanner.vendor': integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        identifiers: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Array(integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()))),
        falsePositive: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        dismissalReason: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        description: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        links: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Array(integration_sdk_core_1.SchemaType.String())),
        solution: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        state: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        vulnerabilityPath: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        projectFingerprint: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String({ deprecated: true })),
        dismissalFeedback: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String({ deprecated: true })),
        createVulnerabilityFeedbackIssuePath: integration_sdk_core_1.SchemaType.String({
            deprecated: true,
        }),
        createVulnerabilityFeedbackMergeRequestPath: integration_sdk_core_1.SchemaType.String({
            deprecated: true,
        }),
        createVulnerabilityFeedbackDismissalPath: integration_sdk_core_1.SchemaType.String({
            deprecated: true,
        }),
    }),
}), exports.ENTITY_FINDING = _d[0], exports.createGitlabFinding = _d[1];
_e = createEntityMetadata({
    resourceName: 'Group',
    _class: ['Group'],
    _type: 'gitlab_group',
    description: 'A group in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        parentGroupId: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        name: integration_sdk_core_1.SchemaType.String(),
        createdOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        path: integration_sdk_core_1.SchemaType.String(),
        description: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        visibility: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        shareWithGroupLock: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        requireTwoFactorAuthentication: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        twoFactorGracePeriod: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        projectCreationLevel: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        autoDevopsEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        subgroupCreationLevel: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        emailsDisabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        mentionsDisabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        lfsEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        webUrl: integration_sdk_core_1.SchemaType.String(),
        requestAccessEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        fullName: integration_sdk_core_1.SchemaType.String(),
        fullPath: integration_sdk_core_1.SchemaType.String(),
    }),
}), exports.ENTITY_GROUP = _e[0], exports.createGitlabGroup = _e[1];
_f = createMultiClassEntityMetadata({
    resourceName: 'Merge Request',
    _class: [data_model_1.typeboxClassSchemaMap['CodeReview'], data_model_1.typeboxClassSchemaMap['PR']],
    _type: 'gitlab_merge_request',
    description: 'A merge request in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        iid: integration_sdk_core_1.SchemaType.String(),
        projectId: integration_sdk_core_1.SchemaType.Number(),
        name: integration_sdk_core_1.SchemaType.String(),
        title: integration_sdk_core_1.SchemaType.String(),
        state: integration_sdk_core_1.SchemaType.String(),
        source: integration_sdk_core_1.SchemaType.String(),
        target: integration_sdk_core_1.SchemaType.String(),
        repository: integration_sdk_core_1.SchemaType.String(),
        createdOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        updatedOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        authorId: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        authorName: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        authorLogin: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        webLink: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        mergeWhenPipelineSucceeds: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        shouldRemoveSourceBranch: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        forceRemoveSourceBranch: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        allowCollaboration: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        squash: integration_sdk_core_1.SchemaType.Boolean(),
        approved: integration_sdk_core_1.SchemaType.Boolean(),
        approvers: integration_sdk_core_1.SchemaType.Array(integration_sdk_core_1.SchemaType.String()),
        approverIds: integration_sdk_core_1.SchemaType.Array(integration_sdk_core_1.SchemaType.String()),
        approverLogins: integration_sdk_core_1.SchemaType.Array(integration_sdk_core_1.SchemaType.String()),
        mergedOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        sha: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        mergeCommitSha: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        commitWebLink: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        closedOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
    }),
}), exports.ENTITY_MERGE_REQUEST = _f[0], exports.createGitlabMergeRequest = _f[1];
_g = createEntityMetadata({
    resourceName: 'Label',
    _class: ['Record'],
    _type: 'gitlab_label',
    description: 'A label in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        name: integration_sdk_core_1.SchemaType.String(),
        description: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        color: integration_sdk_core_1.SchemaType.String(),
        textColor: integration_sdk_core_1.SchemaType.String(),
        lockOnMerge: integration_sdk_core_1.SchemaType.Boolean(),
    }),
}), exports.ENTITY_PROJECT_LABEL = _g[0], exports.createGitlabProjectLabel = _g[1];
_h = createMultiClassEntityMetadata({
    resourceName: 'Project',
    _class: [
        data_model_1.typeboxClassSchemaMap['CodeRepo'],
        data_model_1.typeboxClassSchemaMap['Project'],
    ],
    _type: 'gitlab_project',
    description: 'A project in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        name: integration_sdk_core_1.SchemaType.String(),
        createdOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        description: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        webLink: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        visibility: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        public: integration_sdk_core_1.SchemaType.Boolean(),
        issuesEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        mergeRequestsEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        jobsEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        wikiEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        snippetsEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        containerRegistryEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        archived: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        sharedRunnersEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        publicJobs: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        allowMergeOnSkippedPipeline: integration_sdk_core_1.SchemaType.Boolean(),
        onlyAllowMergeIfPipelineSucceeds: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        onlyAllowMergeIfAllDiscussionsAreResolved: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        removeSourceBranchAfterMerge: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        requestAccessEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        autocloseReferencedIssues: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        topics: integration_sdk_core_1.SchemaType.Array(integration_sdk_core_1.SchemaType.String()),
        fullName: integration_sdk_core_1.SchemaType.String(),
    }),
}), exports.ENTITY_PROJECT = _h[0], exports.createGitlabProject = _h[1];
_j = createEntityMetadata({
    resourceName: 'User',
    _class: ['User'],
    _type: 'gitlab_user',
    description: 'A label in the GitLab system',
    schema: integration_sdk_core_1.SchemaType.Object({
        id: integration_sdk_core_1.SchemaType.String(),
        name: integration_sdk_core_1.SchemaType.String(),
        createdOn: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Number()),
        webLink: integration_sdk_core_1.SchemaType.String(),
        username: integration_sdk_core_1.SchemaType.String(),
        state: integration_sdk_core_1.SchemaType.String(),
        email: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        publicEmail: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.String()),
        active: integration_sdk_core_1.SchemaType.Boolean(),
        isAdmin: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        canCreateGroup: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        canCreateProject: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        twoFactorEnabled: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        external: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        privateProfile: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
        trial: integration_sdk_core_1.SchemaType.Optional(integration_sdk_core_1.SchemaType.Boolean()),
    }),
}), exports.ENTITY_USER = _j[0], exports.createGitlabUser = _j[1];
//# sourceMappingURL=entity-definitions.js.map