"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = getStepStartStates;
const integration_sdk_core_1 = require("@jupiterone/integration-sdk-core");
const steps_1 = require("./steps");
const constants_1 = require("./constants");
function getDefaultStepStartStates(steps) {
    return steps.reduce((states, step) => ({
        ...states,
        [step.id]: { disabled: false },
    }), {});
}
const DISABLED_FINDINGS_STEP_INSTANCES = [
    'fb27d438-78e6-45e2-8420-bc0479f0c96c',
];
async function getStepStartStates(executionContext) {
    const defaultStates = getDefaultStepStartStates(steps_1.integrationSteps);
    return {
        ...defaultStates,
        [constants_1.Steps.FINDINGS]: {
            // Disable the findings step here only for instances running on collector
            // as ingestion sources are not supported there yet.
            // For instances managed by J1, it should be disabled via ingestion config by the customer.
            disabled: DISABLED_FINDINGS_STEP_INSTANCES.includes(executionContext.instance.id),
            disabledReason: integration_sdk_core_1.DisabledStepReason.PERMISSION,
        },
    };
}
//# sourceMappingURL=getStepStartStates.js.map