"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RESTClient = void 0;
exports.createRESTClient = createRESTClient;
const integration_sdk_http_client_1 = require("@jupiterone/integration-sdk-http-client");
class RESTClient extends integration_sdk_http_client_1.BaseAPIClient {
    personalToken;
    constructor(config, logger) {
        super({
            baseUrl: config.baseUrl,
            logger,
            rateLimitThrottling: {
                threshold: 0.1,
                resetMode: 'datetime_epoch_s',
                rateLimitHeaders: {
                    limit: 'RateLimit-Limit',
                    remaining: 'RateLimit-Remaining',
                    reset: 'RateLimit-Reset',
                },
            },
        });
        this.personalToken = config.personalToken;
    }
    getAuthorizationHeaders() {
        return {
            'Private-Token': this.personalToken,
        };
    }
    async getUserDetails(id) {
        const response = await this.retryableRequest(`/api/v4/users/${id}`);
        return response.json();
    }
}
exports.RESTClient = RESTClient;
let client;
function createRESTClient(config, logger) {
    if (!client) {
        client = new RESTClient(config, logger);
    }
    return client;
}
//# sourceMappingURL=RESTClient.js.map