"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAccountEntityKey = createAccountEntityKey;
exports.createAccountEntity = createAccountEntity;
const integration_sdk_core_1 = require("@jupiterone/integration-sdk-core");
const getNumericalId_1 = require("../../util/getNumericalId");
const entity_definitions_1 = require("../../entity-definitions");
const ACCOUNT_VERSION_PREFIX = 'gitlab-account-version';
function createAccountEntityKey(version) {
    return `${ACCOUNT_VERSION_PREFIX}:${version}`;
}
function createAccountEntity(tokenOwner, systemVersion) {
    const id = (0, getNumericalId_1.getNumericalId)(tokenOwner.id);
    return (0, integration_sdk_core_1.createIntegrationEntity)({
        entityData: {
            source: { systemVersion, tokenOwner },
            assign: (0, entity_definitions_1.createGitlabAccount)({
                _key: createAccountEntityKey(systemVersion.version),
                id: String(id),
                name: tokenOwner.name,
                version: systemVersion.version,
                revision: systemVersion.revision,
                enterprise: systemVersion.enterprise,
                vendor: 'GitLab',
            }),
        },
    });
}
//# sourceMappingURL=converter.js.map