"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.accountSteps = void 0;
const provider_1 = require("../../provider");
const constants_1 = require("../../constants");
const converter_1 = require("./converter");
exports.accountSteps = [
    {
        id: constants_1.Steps.ACCOUNTS,
        name: 'Fetch accounts',
        entities: [constants_1.Entities.ACCOUNT],
        relationships: [],
        async executionHandler({ instance, jobState, logger, }) {
            const client = (0, provider_1.createAPIClient)(instance.config, logger);
            const systemVersion = await client.fetchSystemVersion();
            const tokenOwner = await client.fetchTokenOwner();
            const accountEntity = (0, converter_1.createAccountEntity)(tokenOwner, systemVersion);
            await jobState.addEntity(accountEntity);
            await jobState.setData(constants_1.ACCOUNT_ENTITY, accountEntity);
        },
    },
];
//# sourceMappingURL=index.js.map