"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBranchRuleEntityIdentifier = createBranchRuleEntityIdentifier;
exports.createBranchRuleEntity = createBranchRuleEntity;
const integration_sdk_core_1 = require("@jupiterone/integration-sdk-core");
const getNumericalId_1 = require("../../util/getNumericalId");
const entity_definitions_1 = require("../../entity-definitions");
const BRANCH_RULE_ID_PREFIX = 'gitlab-branch-rule';
function createBranchRuleEntityIdentifier(id) {
    return `${BRANCH_RULE_ID_PREFIX}:${id}`;
}
function createBranchRuleEntity(branchRule) {
    const id = (0, getNumericalId_1.getNumericalId)(branchRule.id);
    return (0, integration_sdk_core_1.createIntegrationEntity)({
        entityData: {
            source: branchRule,
            assign: (0, entity_definitions_1.createGitlabBranchRule)({
                _key: createBranchRuleEntityIdentifier(id),
                id: String(id),
                name: branchRule.name,
                isDefault: branchRule.isDefault,
                isProtected: branchRule.isProtected,
                createdOn: (0, integration_sdk_core_1.parseTimePropertyValue)(branchRule.createdAt),
                updatedOn: (0, integration_sdk_core_1.parseTimePropertyValue)(branchRule.updatedAt),
                matchingBranchesCount: branchRule.matchingBranchesCount,
                allowForcePush: branchRule.branchProtection?.allowForcePush,
                codeOwnerApprovalRequired: branchRule.branchProtection?.codeOwnerApprovalRequired,
            }),
        },
    });
}
//# sourceMappingURL=converter.js.map