"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.integrationSteps = void 0;
const accounts_1 = require("./accounts");
const commits_1 = require("./commits");
const findings_1 = require("./findings");
const groups_1 = require("./groups");
const merge_requests_1 = require("./merge-requests");
const project_labels_1 = require("./project-labels");
const projects_1 = require("./projects");
const users_1 = require("./users");
const branch_rules_1 = require("./branch-rules");
const integrationSteps = [
    ...accounts_1.accountSteps,
    ...groups_1.groupSteps,
    ...projects_1.projectSteps,
    ...users_1.userSteps,
    ...findings_1.findingSteps,
    ...merge_requests_1.mergeRequestSteps,
    ...commits_1.commitSteps,
    ...project_labels_1.projectLabelSteps,
    ...branch_rules_1.branchRulesSteps,
];
exports.integrationSteps = integrationSteps;
//# sourceMappingURL=index.js.map