"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLabelEntityIdentifier = createLabelEntityIdentifier;
exports.createLabelEntity = createLabelEntity;
const integration_sdk_core_1 = require("@jupiterone/integration-sdk-core");
const getNumericalId_1 = require("../../util/getNumericalId");
const entity_definitions_1 = require("../../entity-definitions");
const LABEL_ID_PREFIX = 'gitlab-label';
function createLabelEntityIdentifier(id) {
    return `${LABEL_ID_PREFIX}:${id}`;
}
function createLabelEntity(label) {
    const id = (0, getNumericalId_1.getNumericalId)(label.id);
    return (0, integration_sdk_core_1.createIntegrationEntity)({
        entityData: {
            source: label,
            assign: (0, entity_definitions_1.createGitlabProjectLabel)({
                _key: createLabelEntityIdentifier(id),
                id: String(id),
                displayName: label.title,
                name: label.title,
                description: label.description ?? undefined,
                color: label.color,
                textColor: label.textColor,
                lockOnMerge: label.lockOnMerge,
            }),
        },
    });
}
//# sourceMappingURL=converter.js.map