"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommitWebLinkFromMergeRequest = getCommitWebLinkFromMergeRequest;
/**
 * Example input: https://gitlab.com/jupiterone-dev/test-proj/-/merge_requests/1
 * Example output: https://gitlab.com/jupiterone-dev/test-proj
 */
function getBaseRepositoryUrlFromWebUrl(webUrl) {
    // ['https://gitlab.com/jupiterone-dev/test-proj', 'merge_requests/1']
    const expectedSplitPartsSize = 2;
    const parts = webUrl.split('/-/');
    if (parts.length !== expectedSplitPartsSize)
        return undefined;
    return parts[0];
}
function buildCommitWebLinkFromCommitSha(baseUrl, commitSha) {
    return `${baseUrl}/-/commit/${commitSha}`;
}
function getCommitWebLinkFromMergeRequest(mergeRequest) {
    if (!mergeRequest.mergeCommitSha || !mergeRequest.webUrl)
        return;
    const baseUrl = getBaseRepositoryUrlFromWebUrl(mergeRequest.webUrl);
    return (baseUrl &&
        buildCommitWebLinkFromCommitSha(baseUrl, mergeRequest.mergeCommitSha));
}
//# sourceMappingURL=mergeRequest.js.map