export type Maybe<T> = T | null;
export type InputMaybe<T> = Maybe<T>;
export type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
export type MakeEmpty<T extends {
    [key: string]: unknown;
}, K extends keyof T> = {
    [_ in K]?: never;
};
export type Incremental<T> = T | {
    [P in keyof T]?: P extends ' $fragmentName' | '__typename' ? T[P] : never;
};
/** All built-in and custom scalars, mapped to their actual values */
export type Scalars = {
    ID: {
        input: string;
        output: string;
    };
    String: {
        input: string;
        output: string;
    };
    Boolean: {
        input: boolean;
        output: boolean;
    };
    Int: {
        input: number;
        output: number;
    };
    Float: {
        input: number;
        output: number;
    };
    AbuseReportID: {
        input: any;
        output: any;
    };
    AchievementsAchievementID: {
        input: any;
        output: any;
    };
    AchievementsUserAchievementID: {
        input: any;
        output: any;
    };
    AiAgentID: {
        input: any;
        output: any;
    };
    AiAgentVersionID: {
        input: any;
        output: any;
    };
    AiDuoWorkflowsWorkflowID: {
        input: any;
        output: any;
    };
    AiModelID: {
        input: any;
        output: any;
    };
    AiSelfHostedModelID: {
        input: any;
        output: any;
    };
    AlertManagementAlertID: {
        input: any;
        output: any;
    };
    AlertManagementHttpIntegrationID: {
        input: any;
        output: any;
    };
    AnalyticsCycleAnalyticsStageID: {
        input: any;
        output: any;
    };
    AnalyticsCycleAnalyticsValueStreamID: {
        input: any;
        output: any;
    };
    AnalyticsDevopsAdoptionEnabledNamespaceID: {
        input: any;
        output: any;
    };
    AppSecFuzzingCoverageCorpusID: {
        input: any;
        output: any;
    };
    ApprovalProjectRuleID: {
        input: any;
        output: any;
    };
    AuditEventsAmazonS3ConfigurationID: {
        input: any;
        output: any;
    };
    AuditEventsExternalAuditEventDestinationID: {
        input: any;
        output: any;
    };
    AuditEventsGoogleCloudLoggingConfigurationID: {
        input: any;
        output: any;
    };
    AuditEventsGroupExternalStreamingDestinationID: {
        input: any;
        output: any;
    };
    AuditEventsGroupNamespaceFilterID: {
        input: any;
        output: any;
    };
    AuditEventsInstanceAmazonS3ConfigurationID: {
        input: any;
        output: any;
    };
    AuditEventsInstanceExternalAuditEventDestinationID: {
        input: any;
        output: any;
    };
    AuditEventsInstanceExternalStreamingDestinationID: {
        input: any;
        output: any;
    };
    AuditEventsInstanceGoogleCloudLoggingConfigurationID: {
        input: any;
        output: any;
    };
    AuditEventsInstanceNamespaceFilterID: {
        input: any;
        output: any;
    };
    AuditEventsStreamingHTTPNamespaceFilterID: {
        input: any;
        output: any;
    };
    AuditEventsStreamingHeaderID: {
        input: any;
        output: any;
    };
    AuditEventsStreamingInstanceHeaderID: {
        input: any;
        output: any;
    };
    AwardableID: {
        input: any;
        output: any;
    };
    BigInt: {
        input: any;
        output: any;
    };
    BoardID: {
        input: any;
        output: any;
    };
    BoardsEpicBoardID: {
        input: any;
        output: any;
    };
    BoardsEpicListID: {
        input: any;
        output: any;
    };
    CiBuildID: {
        input: any;
        output: any;
    };
    CiCatalogResourceID: {
        input: any;
        output: any;
    };
    CiCatalogResourcesComponentID: {
        input: any;
        output: any;
    };
    CiCatalogResourcesVersionID: {
        input: any;
        output: any;
    };
    CiJobArtifactID: {
        input: any;
        output: any;
    };
    CiPipelineID: {
        input: any;
        output: any;
    };
    CiPipelineScheduleID: {
        input: any;
        output: any;
    };
    CiPipelineScheduleVariableID: {
        input: any;
        output: any;
    };
    CiProcessableID: {
        input: any;
        output: any;
    };
    CiRunnerID: {
        input: any;
        output: any;
    };
    CiRunnerManagerID: {
        input: any;
        output: any;
    };
    CiStageID: {
        input: any;
        output: any;
    };
    CiSubscriptionsProjectID: {
        input: any;
        output: any;
    };
    CiTriggerID: {
        input: any;
        output: any;
    };
    ClustersAgentID: {
        input: any;
        output: any;
    };
    ClustersAgentTokenID: {
        input: any;
        output: any;
    };
    ClustersClusterID: {
        input: any;
        output: any;
    };
    Color: {
        input: any;
        output: any;
    };
    ComplianceManagementFrameworkID: {
        input: any;
        output: any;
    };
    ContainerRegistryProtectionRuleID: {
        input: any;
        output: any;
    };
    ContainerRepositoryID: {
        input: any;
        output: any;
    };
    CustomEmojiID: {
        input: any;
        output: any;
    };
    CustomerRelationsContactID: {
        input: any;
        output: any;
    };
    CustomerRelationsOrganizationID: {
        input: any;
        output: any;
    };
    DastProfileID: {
        input: any;
        output: any;
    };
    DastProfileScheduleID: {
        input: any;
        output: any;
    };
    DastScannerProfileID: {
        input: any;
        output: any;
    };
    DastSiteProfileID: {
        input: any;
        output: any;
    };
    DastSiteTokenID: {
        input: any;
        output: any;
    };
    DastSiteValidationID: {
        input: any;
        output: any;
    };
    Date: {
        input: any;
        output: any;
    };
    DependencyProxyManifestID: {
        input: any;
        output: any;
    };
    DeployKeyID: {
        input: any;
        output: any;
    };
    DeploymentID: {
        input: any;
        output: any;
    };
    DescriptionVersionID: {
        input: any;
        output: any;
    };
    DesignManagementDesignAtVersionID: {
        input: any;
        output: any;
    };
    DesignManagementDesignID: {
        input: any;
        output: any;
    };
    DesignManagementVersionID: {
        input: any;
        output: any;
    };
    DiffNoteID: {
        input: any;
        output: any;
    };
    DiscussionID: {
        input: any;
        output: any;
    };
    Duration: {
        input: any;
        output: any;
    };
    EmailID: {
        input: any;
        output: any;
    };
    EnvironmentID: {
        input: any;
        output: any;
    };
    EpicID: {
        input: any;
        output: any;
    };
    EpicTreeSortingID: {
        input: any;
        output: any;
    };
    GeoBaseRegistryID: {
        input: any;
        output: any;
    };
    GitlabErrorTrackingDetailedErrorID: {
        input: any;
        output: any;
    };
    GitlabSubscriptionsAddOnPurchaseID: {
        input: any;
        output: any;
    };
    GlobalID: {
        input: any;
        output: any;
    };
    GoogleCloudMachineType: {
        input: any;
        output: any;
    };
    GoogleCloudProject: {
        input: any;
        output: any;
    };
    GoogleCloudRegion: {
        input: any;
        output: any;
    };
    GoogleCloudZone: {
        input: any;
        output: any;
    };
    GroupID: {
        input: any;
        output: any;
    };
    GroupsSavedReplyID: {
        input: any;
        output: any;
    };
    ISO8601Date: {
        input: any;
        output: any;
    };
    ISO8601DateTime: {
        input: any;
        output: any;
    };
    ImportSourceUserID: {
        input: any;
        output: any;
    };
    IncidentManagementEscalationPolicyID: {
        input: any;
        output: any;
    };
    IncidentManagementEscalationRuleID: {
        input: any;
        output: any;
    };
    IncidentManagementIssuableResourceLinkID: {
        input: any;
        output: any;
    };
    IncidentManagementOncallParticipantID: {
        input: any;
        output: any;
    };
    IncidentManagementOncallRotationID: {
        input: any;
        output: any;
    };
    IncidentManagementTimelineEventID: {
        input: any;
        output: any;
    };
    IncidentManagementTimelineEventTagID: {
        input: any;
        output: any;
    };
    IntegrationsPrometheusID: {
        input: any;
        output: any;
    };
    IssuableID: {
        input: any;
        output: any;
    };
    IssueID: {
        input: any;
        output: any;
    };
    IssueParentID: {
        input: any;
        output: any;
    };
    IterationID: {
        input: any;
        output: any;
    };
    IterationsCadenceID: {
        input: any;
        output: any;
    };
    JSON: {
        input: any;
        output: any;
    };
    JobID: {
        input: any;
        output: any;
    };
    JsonString: {
        input: any;
        output: any;
    };
    LabelID: {
        input: any;
        output: any;
    };
    ListID: {
        input: any;
        output: any;
    };
    MemberRoleID: {
        input: any;
        output: any;
    };
    MergeRequestID: {
        input: any;
        output: any;
    };
    MergeRequestsClosingIssuesID: {
        input: any;
        output: any;
    };
    MergeRequestsExternalStatusCheckID: {
        input: any;
        output: any;
    };
    MergeTrainsCarID: {
        input: any;
        output: any;
    };
    MilestoneID: {
        input: any;
        output: any;
    };
    MlCandidateID: {
        input: any;
        output: any;
    };
    MlCandidateMetadataID: {
        input: any;
        output: any;
    };
    MlCandidateMetricID: {
        input: any;
        output: any;
    };
    MlCandidateParamID: {
        input: any;
        output: any;
    };
    MlModelID: {
        input: any;
        output: any;
    };
    MlModelVersionID: {
        input: any;
        output: any;
    };
    NamespaceID: {
        input: any;
        output: any;
    };
    NamespacesNamespaceBanID: {
        input: any;
        output: any;
    };
    NoteID: {
        input: any;
        output: any;
    };
    NoteableID: {
        input: any;
        output: any;
    };
    OperationsFeatureFlagID: {
        input: any;
        output: any;
    };
    OrganizationsOrganizationID: {
        input: any;
        output: any;
    };
    PackagesConanFileMetadatumID: {
        input: any;
        output: any;
    };
    PackagesConanMetadatumID: {
        input: any;
        output: any;
    };
    PackagesDependencyID: {
        input: any;
        output: any;
    };
    PackagesDependencyLinkID: {
        input: any;
        output: any;
    };
    PackagesMavenMetadatumID: {
        input: any;
        output: any;
    };
    PackagesNugetDependencyLinkMetadatumID: {
        input: any;
        output: any;
    };
    PackagesNugetMetadatumID: {
        input: any;
        output: any;
    };
    PackagesPackageFileID: {
        input: any;
        output: any;
    };
    PackagesPackageID: {
        input: any;
        output: any;
    };
    PackagesProtectionRuleID: {
        input: any;
        output: any;
    };
    PackagesPypiMetadatumID: {
        input: any;
        output: any;
    };
    PagesDeploymentID: {
        input: any;
        output: any;
    };
    PathLockID: {
        input: any;
        output: any;
    };
    PayloadAlertFieldPathSegment: {
        input: any;
        output: any;
    };
    ProjectID: {
        input: any;
        output: any;
    };
    ProjectImportStateID: {
        input: any;
        output: any;
    };
    ProjectsBranchRuleID: {
        input: any;
        output: any;
    };
    ProjectsSavedReplyID: {
        input: any;
        output: any;
    };
    ReleaseID: {
        input: any;
        output: any;
    };
    ReleasesLinkID: {
        input: any;
        output: any;
    };
    RemoteDevelopmentWorkspaceID: {
        input: any;
        output: any;
    };
    SecurityTrainingProviderID: {
        input: any;
        output: any;
    };
    SnippetID: {
        input: any;
        output: any;
    };
    SystemNoteMetadataID: {
        input: any;
        output: any;
    };
    TerraformStateID: {
        input: any;
        output: any;
    };
    Time: {
        input: any;
        output: any;
    };
    TimelogID: {
        input: any;
        output: any;
    };
    TodoID: {
        input: any;
        output: any;
    };
    TodoableID: {
        input: any;
        output: any;
    };
    UntrustedRegexp: {
        input: any;
        output: any;
    };
    Upload: {
        input: any;
        output: any;
    };
    UploadID: {
        input: any;
        output: any;
    };
    UserID: {
        input: any;
        output: any;
    };
    UsersSavedReplyID: {
        input: any;
        output: any;
    };
    VulnerabilitiesExternalIssueLinkID: {
        input: any;
        output: any;
    };
    VulnerabilitiesScannerID: {
        input: any;
        output: any;
    };
    VulnerabilitiesStateTransitionID: {
        input: any;
        output: any;
    };
    VulnerabilityID: {
        input: any;
        output: any;
    };
    WorkItemID: {
        input: any;
        output: any;
    };
    WorkItemsRelatedWorkItemLinkID: {
        input: any;
        output: any;
    };
    WorkItemsTypeID: {
        input: any;
        output: any;
    };
};
/** An abuse report */
export type AbuseReport = NoteableInterface & {
    __typename?: 'AbuseReport';
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Global ID of the abuse report. */
    id: Scalars['AbuseReportID']['output'];
    /** Labels of the abuse report. */
    labels?: Maybe<LabelConnection>;
    /** All notes on this noteable. */
    notes: NoteConnection;
};
/** An abuse report */
export type AbuseReportCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** An abuse report */
export type AbuseReportDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** An abuse report */
export type AbuseReportLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** An abuse report */
export type AbuseReportNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of AbuseReportLabelCreate */
export type AbuseReportLabelCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /**
     * The color of the label given in 6-digit hex notation with leading '#' sign
     * (for example, `#FFAABB`) or one of the CSS color names.
     *
     */
    color?: InputMaybe<Scalars['String']['input']>;
    /** Title of the label. */
    title: Scalars['String']['input'];
};
/** Autogenerated return type of AbuseReportLabelCreate. */
export type AbuseReportLabelCreatePayload = {
    __typename?: 'AbuseReportLabelCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Label after mutation. */
    label?: Maybe<Label>;
};
/** Represents the access level of a relationship between a User and object that it is related to */
export type AccessLevel = {
    __typename?: 'AccessLevel';
    /** Integer representation of access level. */
    integerValue?: Maybe<Scalars['Int']['output']>;
    /** String representation of access level. */
    stringValue?: Maybe<AccessLevelEnum>;
};
/** Representation of a GitLab deploy key. */
export type AccessLevelDeployKey = {
    __typename?: 'AccessLevelDeployKey';
    /** Expiration date of the deploy key. */
    expiresAt?: Maybe<Scalars['Date']['output']>;
    /** ID of the deploy key. */
    id: Scalars['ID']['output'];
    /** Title of the deploy key. */
    title: Scalars['String']['output'];
    /** User assigned to the deploy key. */
    user: AccessLevelUser;
};
/** The connection type for AccessLevelDeployKey. */
export type AccessLevelDeployKeyConnection = {
    __typename?: 'AccessLevelDeployKeyConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AccessLevelDeployKeyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AccessLevelDeployKey>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AccessLevelDeployKeyEdge = {
    __typename?: 'AccessLevelDeployKeyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AccessLevelDeployKey>;
};
/** Access level to a resource */
export declare enum AccessLevelEnum {
    /** Admin access. */
    Admin = "ADMIN",
    /** Developer access. */
    Developer = "DEVELOPER",
    /** Guest access. */
    Guest = "GUEST",
    /** Maintainer access. */
    Maintainer = "MAINTAINER",
    /** Minimal access. */
    MinimalAccess = "MINIMAL_ACCESS",
    /** No access. */
    NoAccess = "NO_ACCESS",
    /** Owner access. */
    Owner = "OWNER",
    /** Reporter access. */
    Reporter = "REPORTER"
}
/** Representation of a GitLab group. */
export type AccessLevelGroup = {
    __typename?: 'AccessLevelGroup';
    /** Avatar URL of the group. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the group. */
    id: Scalars['ID']['output'];
    /** Name of the group. */
    name: Scalars['String']['output'];
    /** Parent group. */
    parent?: Maybe<AccessLevelGroup>;
    /** Web URL of the group. */
    webUrl: Scalars['String']['output'];
};
/** Representation of a GitLab user. */
export type AccessLevelUser = {
    __typename?: 'AccessLevelUser';
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /**
     * Human-readable name of the user.
     * Returns `****` if the user is a project bot and the requester does not have permission to view the project.
     *
     */
    name: Scalars['String']['output'];
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Username of the user. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
};
export type Achievement = {
    __typename?: 'Achievement';
    /** URL to avatar of the achievement. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Timestamp the achievement was created. */
    createdAt: Scalars['Time']['output'];
    /** Description or notes for the achievement. */
    description?: Maybe<Scalars['String']['output']>;
    /** ID of the achievement. */
    id: Scalars['AchievementsAchievementID']['output'];
    /** Name of the achievement. */
    name: Scalars['String']['output'];
    /** Namespace of the achievement. */
    namespace?: Maybe<Namespace>;
    /** Timestamp the achievement was last updated. */
    updatedAt: Scalars['Time']['output'];
    /**
     * Recipients for the achievement. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
};
export type AchievementUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for Achievement. */
export type AchievementConnection = {
    __typename?: 'AchievementConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AchievementEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Achievement>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AchievementEdge = {
    __typename?: 'AchievementEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Achievement>;
};
/** Autogenerated input type of AchievementsAward */
export type AchievementsAwardInput = {
    /** Global ID of the achievement being awarded. */
    achievementId: Scalars['AchievementsAchievementID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the user being awarded the achievement. */
    userId: Scalars['UserID']['input'];
};
/** Autogenerated return type of AchievementsAward. */
export type AchievementsAwardPayload = {
    __typename?: 'AchievementsAwardPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Achievement award. */
    userAchievement?: Maybe<UserAchievement>;
};
/** Autogenerated input type of AchievementsCreate */
export type AchievementsCreateInput = {
    /** Avatar for the achievement. */
    avatar?: InputMaybe<Scalars['Upload']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of or notes for the achievement. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Name for the achievement. */
    name: Scalars['String']['input'];
    /** Namespace for the achievement. */
    namespaceId: Scalars['NamespaceID']['input'];
};
/** Autogenerated return type of AchievementsCreate. */
export type AchievementsCreatePayload = {
    __typename?: 'AchievementsCreatePayload';
    /** Achievement created. */
    achievement?: Maybe<Achievement>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AchievementsDelete */
export type AchievementsDeleteInput = {
    /** Global ID of the achievement being deleted. */
    achievementId: Scalars['AchievementsAchievementID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AchievementsDelete. */
export type AchievementsDeletePayload = {
    __typename?: 'AchievementsDeletePayload';
    /** Achievement. */
    achievement?: Maybe<Achievement>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AchievementsRevoke */
export type AchievementsRevokeInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the user achievement being revoked. */
    userAchievementId: Scalars['AchievementsUserAchievementID']['input'];
};
/** Autogenerated return type of AchievementsRevoke. */
export type AchievementsRevokePayload = {
    __typename?: 'AchievementsRevokePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Achievement award. */
    userAchievement?: Maybe<UserAchievement>;
};
/** Autogenerated input type of AchievementsUpdate */
export type AchievementsUpdateInput = {
    /** Global ID of the achievement being updated. */
    achievementId: Scalars['AchievementsAchievementID']['input'];
    /** Avatar for the achievement. */
    avatar?: InputMaybe<Scalars['Upload']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of or notes for the achievement. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Name for the achievement. */
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AchievementsUpdate. */
export type AchievementsUpdatePayload = {
    __typename?: 'AchievementsUpdatePayload';
    /** Achievement. */
    achievement?: Maybe<Achievement>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Represents AddOn purchase for Namespace */
export type AddOnPurchase = {
    __typename?: 'AddOnPurchase';
    /** Number of seats assigned. */
    assignedQuantity: Scalars['Int']['output'];
    /** ID of AddOnPurchase. */
    id: Scalars['GitlabSubscriptionsAddOnPurchaseID']['output'];
    /** Name of AddOn. */
    name: Scalars['String']['output'];
    /** Number of seats purchased. */
    purchasedQuantity: Scalars['Int']['output'];
};
/** A user with add-on data */
export type AddOnUser = User & {
    __typename?: 'AddOnUser';
    /**
     * Add-on purchase assignments for the user. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    addOnAssignments?: Maybe<UserAddOnAssignmentConnection>;
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** Timestamp of the last sign in. */
    lastLoginAt?: Maybe<Scalars['Time']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** A user with add-on data */
export type AddOnUserAddOnAssignmentsArgs = {
    addOnPurchaseIds: Array<Scalars['GitlabSubscriptionsAddOnPurchaseID']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user with add-on data */
export type AddOnUserAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user with add-on data */
export type AddOnUserCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user with add-on data */
export type AddOnUserEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user with add-on data */
export type AddOnUserNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user with add-on data */
export type AddOnUserProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user with add-on data */
export type AddOnUserSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** A user with add-on data */
export type AddOnUserSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** A user with add-on data */
export type AddOnUserStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user with add-on data */
export type AddOnUserTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** A user with add-on data */
export type AddOnUserTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** A user with add-on data */
export type AddOnUserUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user with add-on data */
export type AddOnUserWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** The connection type for AddOnUser. */
export type AddOnUserConnection = {
    __typename?: 'AddOnUserConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AddOnUserEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AddOnUser>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AddOnUserEdge = {
    __typename?: 'AddOnUserEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AddOnUser>;
};
/** Autogenerated input type of AddProjectToSecurityDashboard */
export type AddProjectToSecurityDashboardInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the project to be added to Instance Security Dashboard. */
    id: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of AddProjectToSecurityDashboard. */
export type AddProjectToSecurityDashboardPayload = {
    __typename?: 'AddProjectToSecurityDashboardPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project that was added to the Instance Security Dashboard. */
    project?: Maybe<Project>;
};
/** Autogenerated input type of AdminSidekiqQueuesDeleteJobs */
export type AdminSidekiqQueuesDeleteJobsInput = {
    /** Delete jobs matching ai_resource in the context metadata. */
    aiResource?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching artifact_size in the context metadata. */
    artifactSize?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching artifact_used_cdn in the context metadata. */
    artifactUsedCdn?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching artifacts_dependencies_count in the context metadata. */
    artifactsDependenciesCount?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching artifacts_dependencies_size in the context metadata. */
    artifactsDependenciesSize?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching bulk_import_entity_id in the context metadata. */
    bulkImportEntityId?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching caller_id in the context metadata. */
    callerId?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching client_id in the context metadata. */
    clientId?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching feature_category in the context metadata. */
    featureCategory?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching job_id in the context metadata. */
    jobId?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching merge_action_status in the context metadata. */
    mergeActionStatus?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching pipeline_id in the context metadata. */
    pipelineId?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching project in the context metadata. */
    project?: InputMaybe<Scalars['String']['input']>;
    /** Name of the queue to delete jobs from. */
    queueName: Scalars['String']['input'];
    /** Delete jobs matching related_class in the context metadata. */
    relatedClass?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching remote_ip in the context metadata. */
    remoteIp?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching root_caller_id in the context metadata. */
    rootCallerId?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching root_namespace in the context metadata. */
    rootNamespace?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching sidekiq_destination_shard_redis in the context metadata. */
    sidekiqDestinationShardRedis?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching subscription_plan in the context metadata. */
    subscriptionPlan?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching user in the context metadata. */
    user?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs matching user_id in the context metadata. */
    userId?: InputMaybe<Scalars['String']['input']>;
    /** Delete jobs with the given worker class. */
    workerClass?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AdminSidekiqQueuesDeleteJobs. */
export type AdminSidekiqQueuesDeleteJobsPayload = {
    __typename?: 'AdminSidekiqQueuesDeleteJobsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Information about the status of the deletion request. */
    result?: Maybe<DeleteJobsResponse>;
};
/** Configuration details for an Agent */
export type AgentConfiguration = {
    __typename?: 'AgentConfiguration';
    /** Name of the agent. */
    agentName?: Maybe<Scalars['String']['output']>;
};
/** The connection type for AgentConfiguration. */
export type AgentConfigurationConnection = {
    __typename?: 'AgentConfigurationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AgentConfigurationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AgentConfiguration>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AgentConfigurationEdge = {
    __typename?: 'AgentConfigurationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AgentConfiguration>;
};
/** Information about a connected Agent */
export type AgentMetadata = {
    __typename?: 'AgentMetadata';
    /** Agent version commit. */
    commit?: Maybe<Scalars['String']['output']>;
    /** Name of the pod running the Agent. */
    podName?: Maybe<Scalars['String']['output']>;
    /** Namespace of the pod running the Agent. */
    podNamespace?: Maybe<Scalars['String']['output']>;
    /** Agent version tag. */
    version?: Maybe<Scalars['String']['output']>;
};
/** Agent token statuses */
export declare enum AgentTokenStatus {
    /** Active agent token. */
    Active = "ACTIVE",
    /** Revoked agent token. */
    Revoked = "REVOKED"
}
export type AggregationStatus = {
    __typename?: 'AggregationStatus';
    /** Whether background aggregation is enabled or disabled. For downgraded, non-licensed groups and projects the field is `false`. */
    enabled: Scalars['Boolean']['output'];
    /** Estimated time when the next incremental update will happen. */
    estimatedNextUpdateAt?: Maybe<Scalars['Time']['output']>;
    /** Last incremental update time. */
    lastUpdateAt?: Maybe<Scalars['Time']['output']>;
};
/** LLMs supported by the self-hosted model features. */
export declare enum AiAcceptedSelfHostedModels {
    /** CodeGemma 2b or 7b model. */
    Codegemma = "CODEGEMMA",
    /** Mistral7B model from Mistral AI. */
    Mistral = "MISTRAL",
    /** Mixtral8x22B model from Mistral AI. */
    Mixtral = "MIXTRAL"
}
/** Action to subscribe to. */
export declare enum AiAction {
    /** Chat action. */
    Chat = "CHAT"
}
/** Autogenerated input type of AiAction */
export type AiActionInput = {
    /** Input for analyze_ci_job_failure AI action. */
    analyzeCiJobFailure?: InputMaybe<AnalyzeCiJobFailureInput>;
    /** Input for chat AI action. */
    chat?: InputMaybe<AiChatInput>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Client generated ID that can be subscribed to, to receive a response for the mutation. */
    clientSubscriptionId?: InputMaybe<Scalars['String']['input']>;
    /** Input for explain_code AI action. */
    explainCode?: InputMaybe<AiExplainCodeInput>;
    /** Input for explain_vulnerability AI action. */
    explainVulnerability?: InputMaybe<AiExplainVulnerabilityInput>;
    /** Input for fill_in_merge_request_template AI action. */
    fillInMergeRequestTemplate?: InputMaybe<AiFillInMergeRequestTemplateInput>;
    /** Input for generate_commit_message AI action. */
    generateCommitMessage?: InputMaybe<AiGenerateCommitMessageInput>;
    /** Input for generate_cube_query AI action. */
    generateCubeQuery?: InputMaybe<AiGenerateCubeQueryInput>;
    /** Input for generate_description AI action. */
    generateDescription?: InputMaybe<AiGenerateDescriptionInput>;
    /** Specifies the origin platform of the request. */
    platformOrigin?: InputMaybe<Scalars['String']['input']>;
    /** Input for resolve_vulnerability AI action. */
    resolveVulnerability?: InputMaybe<AiResolveVulnerabilityInput>;
    /** Input for summarize_comments AI action. */
    summarizeComments?: InputMaybe<AiSummarizeCommentsInput>;
    /** Input for summarize_new_merge_request AI action. */
    summarizeNewMergeRequest?: InputMaybe<AiSummarizeNewMergeRequestInput>;
    /** Input for summarize_review AI action. */
    summarizeReview?: InputMaybe<AiSummarizeReviewInput>;
};
/** Autogenerated return type of AiAction. */
export type AiActionPayload = {
    __typename?: 'AiActionPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** ID of the request. */
    requestId?: Maybe<Scalars['String']['output']>;
};
/** An AI agent */
export type AiAgent = {
    __typename?: 'AiAgent';
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** ID of the agent. */
    id: Scalars['ID']['output'];
    /** Latest version of the agent. */
    latestVersion?: Maybe<AiAgentVersion>;
    /** Name of the agent. */
    name: Scalars['String']['output'];
    /** Route ID of the agent. */
    routeId: Scalars['Int']['output'];
    /** Versions of the agent. */
    versions?: Maybe<Array<AiAgentVersion>>;
};
/** The connection type for AiAgent. */
export type AiAgentConnection = {
    __typename?: 'AiAgentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AiAgentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AiAgent>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of AiAgentCreate */
export type AiAgentCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Name of the agent. */
    name: Scalars['String']['input'];
    /** Project to which the agent belongs. */
    projectPath: Scalars['ID']['input'];
    /** Prompt for the agent. */
    prompt: Scalars['String']['input'];
};
/** Autogenerated return type of AiAgentCreate. */
export type AiAgentCreatePayload = {
    __typename?: 'AiAgentCreatePayload';
    /** Agent after mutation. */
    agent?: Maybe<AiAgent>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AiAgentDestroy */
export type AiAgentDestroyInput = {
    /** Global ID of the AI Agent to be deleted. */
    agentId: Scalars['AiAgentID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project to which the agent belongs. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of AiAgentDestroy. */
export type AiAgentDestroyPayload = {
    __typename?: 'AiAgentDestroyPayload';
    /** Agent after mutation. */
    agent?: Maybe<AiAgent>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** AI Agent deletion result message. */
    message?: Maybe<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type AiAgentEdge = {
    __typename?: 'AiAgentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AiAgent>;
};
/** Autogenerated input type of AiAgentUpdate */
export type AiAgentUpdateInput = {
    /** ID of the agent. */
    agentId: Scalars['AiAgentID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Name of the agent. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Project to which the agent belongs. */
    projectPath: Scalars['ID']['input'];
    /** Prompt for the agent. */
    prompt?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AiAgentUpdate. */
export type AiAgentUpdatePayload = {
    __typename?: 'AiAgentUpdatePayload';
    /** Agent after mutation. */
    agent?: Maybe<AiAgent>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Version of an AI Agent */
export type AiAgentVersion = {
    __typename?: 'AiAgentVersion';
    /** Timestamp when the agent version was created. */
    createdAt: Scalars['Time']['output'];
    /** ID of the agent version. */
    id: Scalars['ID']['output'];
    /** Model of the agent. */
    model: Scalars['String']['output'];
    /** Prompt of the agent. */
    prompt: Scalars['String']['output'];
};
export type AiChatInput = {
    /** Global ID of the agent version to answer the chat. */
    agentVersionId?: InputMaybe<Scalars['AiAgentVersionID']['input']>;
    /** Content of the message. */
    content: Scalars['String']['input'];
    /** Information about currently selected text which can be passed for additional context. */
    currentFile?: InputMaybe<AiCurrentFileInput>;
    /** Global ID of the namespace the user is acting on. */
    namespaceId?: InputMaybe<Scalars['NamespaceID']['input']>;
    /** Global ID of the resource to mutate. */
    resourceId?: InputMaybe<Scalars['AiModelID']['input']>;
};
export type AiCurrentFileInput = {
    /** Content above cursor. */
    contentAboveCursor?: InputMaybe<Scalars['String']['input']>;
    /** Content below cursor. */
    contentBelowCursor?: InputMaybe<Scalars['String']['input']>;
    /** File name. */
    fileName: Scalars['String']['input'];
    /** Selected text. */
    selectedText: Scalars['String']['input'];
};
export type AiExplainCodeInput = {
    /** Code messages that is passed to be explained by AI. */
    messages: Array<AiExplainCodeMessageInput>;
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
export type AiExplainCodeMessageInput = {
    /** Content of the message. */
    content: Scalars['String']['input'];
    /** Role of the message (system, user, assistant). */
    role: Scalars['String']['input'];
};
export type AiExplainVulnerabilityInput = {
    /** Include vulnerablility source code in the AI prompt. */
    includeSourceCode?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
export type AiFillInMergeRequestTemplateInput = {
    /** Template content to fill in. */
    content: Scalars['String']['input'];
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
    /** Source branch of the changes. */
    sourceBranch: Scalars['String']['input'];
    /** ID of the project where the changes are from. */
    sourceProjectId?: InputMaybe<Scalars['ID']['input']>;
    /** Target branch of where the changes will be merged into. */
    targetBranch: Scalars['String']['input'];
    /** Title of the merge request to be created. */
    title: Scalars['String']['input'];
};
export type AiGenerateCommitMessageInput = {
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
export type AiGenerateCubeQueryInput = {
    /** Question to ask a project's data. */
    question: Scalars['String']['input'];
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
export type AiGenerateDescriptionInput = {
    /** Content of the message. */
    content: Scalars['String']['input'];
    /** Name of the description template to use to generate message off of. */
    descriptionTemplateName?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
/** AI features communication message */
export type AiMessage = {
    __typename?: 'AiMessage';
    /** Global ID of the agent version to answer the message. */
    agentVersionId?: Maybe<Scalars['AiAgentVersionID']['output']>;
    /** Incremental ID for a chunk from a streamed message. Null when it is not a streamed message. */
    chunkId?: Maybe<Scalars['Int']['output']>;
    /** Raw response content. */
    content?: Maybe<Scalars['String']['output']>;
    /** Response content as HTML. */
    contentHtml?: Maybe<Scalars['String']['output']>;
    /** Message errors. */
    errors?: Maybe<Array<Scalars['String']['output']>>;
    /** Extra message metadata. */
    extras?: Maybe<AiMessageExtras>;
    /** UUID of the message. */
    id?: Maybe<Scalars['ID']['output']>;
    /** UUID of the original request. Shared between chat prompt and response. */
    requestId?: Maybe<Scalars['String']['output']>;
    /** Message owner role. */
    role: AiMessageRole;
    /** Message creation timestamp. */
    timestamp: Scalars['Time']['output'];
    /** Message type. */
    type?: Maybe<AiMessageType>;
};
/** The connection type for AiMessage. */
export type AiMessageConnection = {
    __typename?: 'AiMessageConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AiMessageEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AiMessage>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AiMessageEdge = {
    __typename?: 'AiMessageEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AiMessage>;
};
/** Extra metadata for AI message. */
export type AiMessageExtras = {
    __typename?: 'AiMessageExtras';
    /** Whether the user has provided feedback for the mesage. */
    hasFeedback?: Maybe<Scalars['Boolean']['output']>;
    /** Sources used to form the message. */
    sources?: Maybe<Array<Scalars['JSON']['output']>>;
};
/** Possible message roles for AI features. */
export declare enum AiMessageRole {
    /** assistant message. */
    Assistant = "ASSISTANT",
    /** system message. */
    System = "SYSTEM",
    /** user message. */
    User = "USER"
}
/** Types of messages returned from AI features. */
export declare enum AiMessageType {
    /** Tool selection message. */
    Tool = "TOOL"
}
export type AiMetrics = {
    __typename?: 'AiMetrics';
    /** Number of code contributors. */
    codeContributorsCount?: Maybe<Scalars['Int']['output']>;
    /** Total count of code suggestions accepted by code contributors. */
    codeSuggestionsAcceptedCount?: Maybe<Scalars['Int']['output']>;
    /** Number of code contributors who used GitLab Duo Code Suggestions features. */
    codeSuggestionsContributorsCount?: Maybe<Scalars['Int']['output']>;
    /** Total count of code suggestions shown to code contributors. */
    codeSuggestionsShownCount?: Maybe<Scalars['Int']['output']>;
    /** Number of contributors who used GitLab Duo Chat features. */
    duoChatContributorsCount?: Maybe<Scalars['Int']['output']>;
};
export type AiResolveVulnerabilityInput = {
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
/** Self-hosted LLM servers */
export type AiSelfHostedModel = {
    __typename?: 'AiSelfHostedModel';
    /** Timestamp of creation. */
    createdAt: Scalars['Time']['output'];
    /** Endpoint of the self-hosted model server. */
    endpoint: Scalars['String']['output'];
    /** Indicates if an API key is set for the self-hosted model server. */
    hasApiToken: Scalars['Boolean']['output'];
    /** ID of the self-hosted model server. */
    id: Scalars['AiSelfHostedModelID']['output'];
    /** AI model deployed. */
    model: Scalars['String']['output'];
    /** Deployment name of the self-hosted model. */
    name: Scalars['String']['output'];
    /** Timestamp of last update. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for AiSelfHostedModel. */
export type AiSelfHostedModelConnection = {
    __typename?: 'AiSelfHostedModelConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AiSelfHostedModelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AiSelfHostedModel>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of AiSelfHostedModelCreate */
export type AiSelfHostedModelCreateInput = {
    /** API token to access the self-hosted model, if any. */
    apiToken?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Endpoint of the self-hosted model. */
    endpoint: Scalars['String']['input'];
    /** AI model deployed. */
    model: AiAcceptedSelfHostedModels;
    /** Deployment name of the self-hosted model. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of AiSelfHostedModelCreate. */
export type AiSelfHostedModelCreatePayload = {
    __typename?: 'AiSelfHostedModelCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Self-hosted model after mutation. */
    selfHostedModel?: Maybe<AiSelfHostedModel>;
};
/** Autogenerated input type of AiSelfHostedModelDelete */
export type AiSelfHostedModelDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the self-hosted model to delete. */
    id: Scalars['AiSelfHostedModelID']['input'];
};
/** Autogenerated return type of AiSelfHostedModelDelete. */
export type AiSelfHostedModelDeletePayload = {
    __typename?: 'AiSelfHostedModelDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Self-hosted model after mutation. */
    selfHostedModel?: Maybe<AiSelfHostedModel>;
};
/** An edge in a connection. */
export type AiSelfHostedModelEdge = {
    __typename?: 'AiSelfHostedModelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AiSelfHostedModel>;
};
/** Autogenerated input type of AiSelfHostedModelUpdate */
export type AiSelfHostedModelUpdateInput = {
    /** API token to access the self-hosted model, if any. */
    apiToken?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Endpoint of the self-hosted model. */
    endpoint: Scalars['String']['input'];
    /** Global ID of the self-hosted model to update. */
    id: Scalars['AiSelfHostedModelID']['input'];
    /** AI model deployed. */
    model: AiAcceptedSelfHostedModels;
    /** Deployment name of the self-hosted model. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of AiSelfHostedModelUpdate. */
export type AiSelfHostedModelUpdatePayload = {
    __typename?: 'AiSelfHostedModelUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Self-hosted model after mutation. */
    selfHostedModel?: Maybe<AiSelfHostedModel>;
};
export type AiSummarizeCommentsInput = {
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
/** Summarize a new merge request based on two branches. Returns `null` if the `add_ai_summary_for_new_mr` feature flag is disabled. */
export type AiSummarizeNewMergeRequestInput = {
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
    /** Source branch of the changes. */
    sourceBranch: Scalars['String']['input'];
    /** ID of the project where the changes are from. */
    sourceProjectId?: InputMaybe<Scalars['ID']['input']>;
    /** Target branch of where the changes will be merged into. */
    targetBranch: Scalars['String']['input'];
};
export type AiSummarizeReviewInput = {
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
/** Describes an alert from the project's Alert Management */
export type AlertManagementAlert = NoteableInterface & Todoable & {
    __typename?: 'AlertManagementAlert';
    /** Assignees of the alert. */
    assignees?: Maybe<UserCoreConnection>;
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Timestamp the alert was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Description of the alert. */
    description?: Maybe<Scalars['String']['output']>;
    /** Alert details. */
    details?: Maybe<Scalars['JSON']['output']>;
    /** URL of the alert detail page. */
    detailsUrl: Scalars['String']['output'];
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Timestamp the alert ended. */
    endedAt?: Maybe<Scalars['Time']['output']>;
    /** Environment for the alert. */
    environment?: Maybe<Environment>;
    /** Number of events of this alert. */
    eventCount?: Maybe<Scalars['Int']['output']>;
    /** List of hosts the alert came from. */
    hosts?: Maybe<Array<Scalars['String']['output']>>;
    /** ID of the alert. */
    id: Scalars['ID']['output'];
    /** Internal ID of the alert. */
    iid: Scalars['String']['output'];
    /** Issue attached to the alert. */
    issue?: Maybe<Issue>;
    /**
     * Internal ID of the GitLab issue attached to the alert. Deprecated in GitLab 13.10: Use issue field.
     * @deprecated Use issue field. Deprecated in GitLab 13.10.
     */
    issueIid?: Maybe<Scalars['String']['output']>;
    /**
     * URL for metrics embed for the alert. Deprecated in GitLab 16.0: Returns no data. Underlying feature was removed in 16.0.
     * @deprecated Returns no data. Underlying feature was removed in 16.0. Deprecated in GitLab 16.0.
     */
    metricsDashboardUrl?: Maybe<Scalars['String']['output']>;
    /** Monitoring tool the alert came from. */
    monitoringTool?: Maybe<Scalars['String']['output']>;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** Alert condition for Prometheus. */
    prometheusAlert?: Maybe<PrometheusAlert>;
    /** Runbook for the alert as defined in alert details. */
    runbook?: Maybe<Scalars['String']['output']>;
    /** Service the alert came from. */
    service?: Maybe<Scalars['String']['output']>;
    /** Severity of the alert. */
    severity?: Maybe<AlertManagementSeverity>;
    /** Timestamp the alert was raised. */
    startedAt?: Maybe<Scalars['Time']['output']>;
    /** Status of the alert. */
    status?: Maybe<AlertManagementStatus>;
    /** Title of the alert. */
    title?: Maybe<Scalars['String']['output']>;
    /** To-do items of the current user for the alert. */
    todos?: Maybe<TodoConnection>;
    /** Timestamp the alert was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** URL of the alert. */
    webUrl: Scalars['String']['output'];
};
/** Describes an alert from the project's Alert Management */
export type AlertManagementAlertAssigneesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes an alert from the project's Alert Management */
export type AlertManagementAlertCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes an alert from the project's Alert Management */
export type AlertManagementAlertDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes an alert from the project's Alert Management */
export type AlertManagementAlertNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes an alert from the project's Alert Management */
export type AlertManagementAlertTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** The connection type for AlertManagementAlert. */
export type AlertManagementAlertConnection = {
    __typename?: 'AlertManagementAlertConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AlertManagementAlertEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AlertManagementAlert>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AlertManagementAlertEdge = {
    __typename?: 'AlertManagementAlertEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AlertManagementAlert>;
};
/** Values for sorting alerts */
export declare enum AlertManagementAlertSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Created time by ascending order. */
    CreatedTimeAsc = "CREATED_TIME_ASC",
    /** Created time by descending order. */
    CreatedTimeDesc = "CREATED_TIME_DESC",
    /** End time by ascending order. */
    EndedAtAsc = "ENDED_AT_ASC",
    /** End time by descending order. */
    EndedAtDesc = "ENDED_AT_DESC",
    /** Events count by ascending order. */
    EventCountAsc = "EVENT_COUNT_ASC",
    /** Events count by descending order. */
    EventCountDesc = "EVENT_COUNT_DESC",
    /** Severity from less critical to more critical. */
    SeverityAsc = "SEVERITY_ASC",
    /** Severity from more critical to less critical. */
    SeverityDesc = "SEVERITY_DESC",
    /** Start time by ascending order. */
    StartedAtAsc = "STARTED_AT_ASC",
    /** Start time by descending order. */
    StartedAtDesc = "STARTED_AT_DESC",
    /** Status by order: `Ignored > Resolved > Acknowledged > Triggered`. */
    StatusAsc = "STATUS_ASC",
    /** Status by order: `Triggered > Acknowledged > Resolved > Ignored`. */
    StatusDesc = "STATUS_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC",
    /** Created time by ascending order. */
    UpdatedTimeAsc = "UPDATED_TIME_ASC",
    /** Created time by descending order. */
    UpdatedTimeDesc = "UPDATED_TIME_DESC"
}
/** Represents total number of alerts for the represented categories */
export type AlertManagementAlertStatusCountsType = {
    __typename?: 'AlertManagementAlertStatusCountsType';
    /** Number of alerts with status ACKNOWLEDGED for the project */
    acknowledged?: Maybe<Scalars['Int']['output']>;
    /** Total number of alerts for the project. */
    all?: Maybe<Scalars['Int']['output']>;
    /** Number of alerts with status IGNORED for the project */
    ignored?: Maybe<Scalars['Int']['output']>;
    /** Number of alerts with status TRIGGERED or ACKNOWLEDGED for the project. */
    open?: Maybe<Scalars['Int']['output']>;
    /** Number of alerts with status RESOLVED for the project */
    resolved?: Maybe<Scalars['Int']['output']>;
    /** Number of alerts with status TRIGGERED for the project */
    triggered?: Maybe<Scalars['Int']['output']>;
};
/** Filters the alerts based on given domain */
export declare enum AlertManagementDomainFilter {
    /** Alerts for operations domain. */
    Operations = "operations",
    /**
     * Alerts for threat monitoring domain. Deprecated in GitLab 15.0: Network policies are deprecated and will be removed in GitLab 16.0.
     * @deprecated Network policies are deprecated and will be removed in GitLab 16.0. Deprecated in GitLab 15.0.
     */
    ThreatMonitoring = "threat_monitoring"
}
/** An endpoint and credentials used to accept alerts for a project */
export type AlertManagementHttpIntegration = AlertManagementIntegration & {
    __typename?: 'AlertManagementHttpIntegration';
    /** Whether the endpoint is currently accepting alerts. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** URL at which Prometheus metrics can be queried to populate the metrics dashboard. */
    apiUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the integration. */
    id: Scalars['ID']['output'];
    /** Name of the integration. */
    name?: Maybe<Scalars['String']['output']>;
    /** Extract alert fields from payload example for custom mapping. */
    payloadAlertFields?: Maybe<Array<AlertManagementPayloadAlertField>>;
    /** The custom mapping of GitLab alert attributes to fields from the payload_example. */
    payloadAttributeMappings?: Maybe<Array<AlertManagementPayloadAlertMappingField>>;
    /** Example of an alert payload. */
    payloadExample?: Maybe<Scalars['JsonString']['output']>;
    /** Token used to authenticate alert notification requests. */
    token?: Maybe<Scalars['String']['output']>;
    /** Type of integration. */
    type: AlertManagementIntegrationType;
    /** Endpoint which accepts alert notifications. */
    url?: Maybe<Scalars['String']['output']>;
};
/** The connection type for AlertManagementHttpIntegration. */
export type AlertManagementHttpIntegrationConnection = {
    __typename?: 'AlertManagementHttpIntegrationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AlertManagementHttpIntegrationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AlertManagementHttpIntegration>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AlertManagementHttpIntegrationEdge = {
    __typename?: 'AlertManagementHttpIntegrationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AlertManagementHttpIntegration>;
};
export type AlertManagementIntegration = {
    /** Whether the endpoint is currently accepting alerts. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** URL at which Prometheus metrics can be queried to populate the metrics dashboard. */
    apiUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the integration. */
    id: Scalars['ID']['output'];
    /** Name of the integration. */
    name?: Maybe<Scalars['String']['output']>;
    /** Token used to authenticate alert notification requests. */
    token?: Maybe<Scalars['String']['output']>;
    /** Type of integration. */
    type: AlertManagementIntegrationType;
    /** Endpoint which accepts alert notifications. */
    url?: Maybe<Scalars['String']['output']>;
};
/** The connection type for AlertManagementIntegration. */
export type AlertManagementIntegrationConnection = {
    __typename?: 'AlertManagementIntegrationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AlertManagementIntegrationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AlertManagementIntegration>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AlertManagementIntegrationEdge = {
    __typename?: 'AlertManagementIntegrationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AlertManagementIntegration>;
};
/** Values of types of integrations */
export declare enum AlertManagementIntegrationType {
    /** Integration with any monitoring tool. */
    Http = "HTTP",
    /** Prometheus integration. */
    Prometheus = "PROMETHEUS"
}
/** Parsed field from an alert used for custom mappings */
export type AlertManagementPayloadAlertField = {
    __typename?: 'AlertManagementPayloadAlertField';
    /** Human-readable label of the payload path. */
    label?: Maybe<Scalars['String']['output']>;
    /** Path to value inside payload JSON. */
    path?: Maybe<Array<Scalars['PayloadAlertFieldPathSegment']['output']>>;
    /** Type of the parsed value. */
    type?: Maybe<AlertManagementPayloadAlertFieldType>;
};
/** Field that are available while modifying the custom mapping attributes for an HTTP integration */
export type AlertManagementPayloadAlertFieldInput = {
    /** GitLab alert field name. */
    fieldName: AlertManagementPayloadAlertFieldName;
    /** Human-readable label of the payload path. */
    label?: InputMaybe<Scalars['String']['input']>;
    /** Path to value inside payload JSON. */
    path: Array<Scalars['PayloadAlertFieldPathSegment']['input']>;
    /** Type of the parsed value. */
    type: AlertManagementPayloadAlertFieldType;
};
/** Values for alert field names used in the custom mapping */
export declare enum AlertManagementPayloadAlertFieldName {
    /** A high-level summary of the problem. */
    Description = "DESCRIPTION",
    /** The resolved time of the incident. */
    EndTime = "END_TIME",
    /** The unique identifier of the alert. This can be used to group occurrences of the same alert. */
    Fingerprint = "FINGERPRINT",
    /** The name of the associated GitLab environment. */
    GitlabEnvironmentName = "GITLAB_ENVIRONMENT_NAME",
    /** One or more hosts, as to where this incident occurred. */
    Hosts = "HOSTS",
    /** The name of the associated monitoring tool. */
    MonitoringTool = "MONITORING_TOOL",
    /** The affected service. */
    Service = "SERVICE",
    /** The severity of the alert. */
    Severity = "SEVERITY",
    /** The time of the incident. */
    StartTime = "START_TIME",
    /** The title of the incident. */
    Title = "TITLE"
}
/** Values for alert field types used in the custom mapping */
export declare enum AlertManagementPayloadAlertFieldType {
    /** Array field type. */
    Array = "ARRAY",
    /** DateTime field type. */
    Datetime = "DATETIME",
    /** Number field type. */
    Number = "NUMBER",
    /** String field type. */
    String = "STRING"
}
/** Parsed field (with its name) from an alert used for custom mappings */
export type AlertManagementPayloadAlertMappingField = {
    __typename?: 'AlertManagementPayloadAlertMappingField';
    /** GitLab alert field name. */
    fieldName?: Maybe<AlertManagementPayloadAlertFieldName>;
    /** Human-readable label of the payload path. */
    label?: Maybe<Scalars['String']['output']>;
    /** Path to value inside payload JSON. */
    path?: Maybe<Array<Scalars['PayloadAlertFieldPathSegment']['output']>>;
    /** Type of the parsed value. */
    type?: Maybe<AlertManagementPayloadAlertFieldType>;
};
/** An endpoint and credentials used to accept Prometheus alerts for a project */
export type AlertManagementPrometheusIntegration = AlertManagementIntegration & {
    __typename?: 'AlertManagementPrometheusIntegration';
    /** Whether the endpoint is currently accepting alerts. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** URL at which Prometheus metrics can be queried to populate the metrics dashboard. */
    apiUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the integration. */
    id: Scalars['ID']['output'];
    /** Name of the integration. */
    name?: Maybe<Scalars['String']['output']>;
    /** Token used to authenticate alert notification requests. */
    token?: Maybe<Scalars['String']['output']>;
    /** Type of integration. */
    type: AlertManagementIntegrationType;
    /** Endpoint which accepts alert notifications. */
    url?: Maybe<Scalars['String']['output']>;
};
/** Alert severity values */
export declare enum AlertManagementSeverity {
    /** Critical severity */
    Critical = "CRITICAL",
    /** High severity */
    High = "HIGH",
    /** Info severity */
    Info = "INFO",
    /** Low severity */
    Low = "LOW",
    /** Medium severity */
    Medium = "MEDIUM",
    /** Unknown severity */
    Unknown = "UNKNOWN"
}
/** Alert status values */
export declare enum AlertManagementStatus {
    /** Someone is actively investigating the problem. */
    Acknowledged = "ACKNOWLEDGED",
    /** No action will be taken. */
    Ignored = "IGNORED",
    /** The problem has been addressed. */
    Resolved = "RESOLVED",
    /** Investigation has not started. */
    Triggered = "TRIGGERED"
}
/** Autogenerated input type of AlertSetAssignees */
export type AlertSetAssigneesInput = {
    /** Usernames to assign to the alert. Replaces existing assignees by default. */
    assigneeUsernames: Array<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the alert to mutate. */
    iid: Scalars['String']['input'];
    /** Operation to perform. Defaults to REPLACE. */
    operationMode?: InputMaybe<MutationOperationMode>;
    /** Project the alert to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of AlertSetAssignees. */
export type AlertSetAssigneesPayload = {
    __typename?: 'AlertSetAssigneesPayload';
    /** Alert after mutation. */
    alert?: Maybe<AlertManagementAlert>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue created after mutation. */
    issue?: Maybe<Issue>;
    /** To-do item after mutation. */
    todo?: Maybe<Todo>;
};
/** Autogenerated input type of AlertTodoCreate */
export type AlertTodoCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the alert to mutate. */
    iid: Scalars['String']['input'];
    /** Project the alert to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of AlertTodoCreate. */
export type AlertTodoCreatePayload = {
    __typename?: 'AlertTodoCreatePayload';
    /** Alert after mutation. */
    alert?: Maybe<AlertManagementAlert>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue created after mutation. */
    issue?: Maybe<Issue>;
    /** To-do item after mutation. */
    todo?: Maybe<Todo>;
};
export type AmazonS3ConfigurationInterface = {
    /** Access key ID of the Amazon S3 account. */
    accessKeyXid: Scalars['String']['output'];
    /** AWS region where the bucket is created. */
    awsRegion: Scalars['String']['output'];
    /** Name of the bucket where the audit events would be logged. */
    bucketName: Scalars['String']['output'];
    /** ID of the configuration. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
};
/** Stores Amazon S3 configurations for audit event streaming. */
export type AmazonS3ConfigurationType = AmazonS3ConfigurationInterface & {
    __typename?: 'AmazonS3ConfigurationType';
    /** Access key ID of the Amazon S3 account. */
    accessKeyXid: Scalars['String']['output'];
    /** AWS region where the bucket is created. */
    awsRegion: Scalars['String']['output'];
    /** Name of the bucket where the audit events would be logged. */
    bucketName: Scalars['String']['output'];
    /** Group the configuration belongs to. */
    group: Group;
    /** ID of the configuration. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
};
/** The connection type for AmazonS3ConfigurationType. */
export type AmazonS3ConfigurationTypeConnection = {
    __typename?: 'AmazonS3ConfigurationTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AmazonS3ConfigurationTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AmazonS3ConfigurationType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AmazonS3ConfigurationTypeEdge = {
    __typename?: 'AmazonS3ConfigurationTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AmazonS3ConfigurationType>;
};
export type AnalyzeCiJobFailureInput = {
    /** Global ID of the resource to mutate. */
    resourceId: Scalars['AiModelID']['input'];
};
/** Data associated with configuring API fuzzing scans in GitLab CI */
export type ApiFuzzingCiConfiguration = {
    __typename?: 'ApiFuzzingCiConfiguration';
    /** All available scan modes. */
    scanModes?: Maybe<Array<ApiFuzzingScanMode>>;
    /** All default scan profiles. */
    scanProfiles?: Maybe<Array<ApiFuzzingScanProfile>>;
};
/** All possible ways to specify the API surface for an API fuzzing scan. */
export declare enum ApiFuzzingScanMode {
    /** The API surface is specified by a HAR file. */
    Har = "HAR",
    /** The API surface is specified by a OPENAPI file. */
    Openapi = "OPENAPI",
    /** The API surface is specified by a POSTMAN file. */
    Postman = "POSTMAN"
}
/** An API Fuzzing scan profile. */
export type ApiFuzzingScanProfile = {
    __typename?: 'ApiFuzzingScanProfile';
    /** Short description of the profile. */
    description?: Maybe<Scalars['String']['output']>;
    /** Unique name of the profile. */
    name?: Maybe<Scalars['String']['output']>;
    /** Syntax highlighted HTML representation of the YAML. */
    yaml?: Maybe<Scalars['String']['output']>;
};
/** Represents the approval policy */
export type ApprovalPolicy = OrchestrationPolicy & {
    __typename?: 'ApprovalPolicy';
    /** All potential approvers of the group type, including groups inaccessible to the user. */
    allGroupApprovers?: Maybe<Array<PolicyApprovalGroup>>;
    /**
     * All deprecated properties in the policy. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    deprecatedProperties?: Maybe<Array<Scalars['String']['output']>>;
    /** Description of the policy. */
    description: Scalars['String']['output'];
    /** URL of policy edit page. */
    editPath: Scalars['String']['output'];
    /** Indicates whether this policy is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** Name of the policy. */
    name: Scalars['String']['output'];
    /** Scope of the policy */
    policyScope?: Maybe<PolicyScope>;
    /** Approvers of the role type. Users belonging to these role(s) alone will be approvers. */
    roleApprovers?: Maybe<Array<MemberAccessLevelName>>;
    /** Source of the policy. Its fields depend on the source type. */
    source: SecurityPolicySource;
    /** Timestamp of when the policy YAML was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Approvers of the user type. */
    userApprovers?: Maybe<Array<UserCore>>;
    /** YAML definition of the policy. */
    yaml: Scalars['String']['output'];
};
/** The connection type for ApprovalPolicy. */
export type ApprovalPolicyConnection = {
    __typename?: 'ApprovalPolicyConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ApprovalPolicyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ApprovalPolicy>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ApprovalPolicyEdge = {
    __typename?: 'ApprovalPolicyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ApprovalPolicy>;
};
/** Describes a project approval rule regarding who can approve merge requests. */
export type ApprovalProjectRule = {
    __typename?: 'ApprovalProjectRule';
    /** Number of required approvals. */
    approvalsRequired?: Maybe<Scalars['Int']['output']>;
    /** List of users eligible to approve merge requests for this approval rule. */
    eligibleApprovers?: Maybe<UserCoreConnection>;
    /** ID of the rule. */
    id: Scalars['GlobalID']['output'];
    /** Name of the rule. */
    name?: Maybe<Scalars['String']['output']>;
    /** Type of the rule. */
    type?: Maybe<ApprovalRuleType>;
};
/** Describes a project approval rule regarding who can approve merge requests. */
export type ApprovalProjectRuleEligibleApproversArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for ApprovalProjectRule. */
export type ApprovalProjectRuleConnection = {
    __typename?: 'ApprovalProjectRuleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ApprovalProjectRuleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ApprovalProjectRule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ApprovalProjectRuleEdge = {
    __typename?: 'ApprovalProjectRuleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ApprovalProjectRule>;
};
export declare enum ApprovalReportType {
    /** Represents report_type for any_merge_request related approval rules. */
    AnyMergeRequest = "ANY_MERGE_REQUEST",
    /** Represents report_type for license scanning related approval rules. */
    LicenseScanning = "LICENSE_SCANNING",
    /** Represents report_type for vulnerability check related approval rules. */
    ScanFinding = "SCAN_FINDING"
}
/** Describes a rule for who can approve merge requests. */
export type ApprovalRule = {
    __typename?: 'ApprovalRule';
    /** Indicates if the rule can be ignored if it is invalid. */
    allowMergeWhenInvalid?: Maybe<Scalars['Boolean']['output']>;
    /** Number of required approvals. */
    approvalsRequired?: Maybe<Scalars['Int']['output']>;
    /** Indicates if the rule is satisfied. */
    approved?: Maybe<Scalars['Boolean']['output']>;
    /** List of users defined in the rule that approved the merge request. */
    approvedBy?: Maybe<UserCoreConnection>;
    /** List of users, defined in the rule, who commented on the merge request. */
    commentedBy?: Maybe<UserCoreConnection>;
    /** Indicates if the rule contains approvers from a hidden group. */
    containsHiddenGroups?: Maybe<Scalars['Boolean']['output']>;
    /** List of all users eligible to approve the merge request (defined explicitly and from associated groups). */
    eligibleApprovers?: Maybe<Array<UserCore>>;
    /** List of groups added as approvers for the rule. */
    groups?: Maybe<GroupConnection>;
    /** ID of the rule. */
    id: Scalars['GlobalID']['output'];
    /** Indicates if the rule is invalid and cannot be approved. */
    invalid?: Maybe<Scalars['Boolean']['output']>;
    /** Name of the rule. */
    name?: Maybe<Scalars['String']['output']>;
    /** Indicates if the rule was overridden for the merge request. */
    overridden?: Maybe<Scalars['Boolean']['output']>;
    /** List of scan result policies associated with the rule. */
    scanResultPolicies?: Maybe<Array<ApprovalScanResultPolicy>>;
    /** Named section of the Code Owners file that the rule applies to. */
    section?: Maybe<Scalars['String']['output']>;
    /** Source rule used to create the rule. */
    sourceRule?: Maybe<ApprovalRule>;
    /** Type of the rule. */
    type?: Maybe<ApprovalRuleType>;
    /** List of users added as approvers for the rule. */
    users?: Maybe<UserCoreConnection>;
};
/** Describes a rule for who can approve merge requests. */
export type ApprovalRuleApprovedByArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes a rule for who can approve merge requests. */
export type ApprovalRuleCommentedByArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes a rule for who can approve merge requests. */
export type ApprovalRuleGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes a rule for who can approve merge requests. */
export type ApprovalRuleUsersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The kind of an approval rule. */
export declare enum ApprovalRuleType {
    /** A `any_approver` approval rule. */
    AnyApprover = "ANY_APPROVER",
    /** A `code_owner` approval rule. */
    CodeOwner = "CODE_OWNER",
    /** A `regular` approval rule. */
    Regular = "REGULAR",
    /** A `report_approver` approval rule. */
    ReportApprover = "REPORT_APPROVER"
}
/** Represents the scan result policy */
export type ApprovalScanResultPolicy = {
    __typename?: 'ApprovalScanResultPolicy';
    /** Represents the required approvals defined in the policy. */
    approvalsRequired: Scalars['Int']['output'];
    /** Represents the name of the policy. */
    name: Scalars['String']['output'];
    /** Represents the report_type of the approval rule. */
    reportType: ApprovalReportType;
};
/** Autogenerated input type of ApproveDeployment */
export type ApproveDeploymentInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment to go with the approval. */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** ID of the deployment. */
    id: Scalars['DeploymentID']['input'];
    /** Name of the User/Group/Role to use for the approval, when the user belongs to multiple approval rules. */
    representedAs?: InputMaybe<Scalars['String']['input']>;
    /** Status of the approval (either `APPROVED` or `REJECTED`). */
    status: DeploymentsApprovalStatus;
};
/** Autogenerated return type of ApproveDeployment. */
export type ApproveDeploymentPayload = {
    __typename?: 'ApproveDeploymentPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** DeploymentApproval after mutation. */
    deploymentApproval?: Maybe<DeploymentApproval>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of ArtifactDestroy */
export type ArtifactDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the artifact to delete. */
    id: Scalars['CiJobArtifactID']['input'];
};
/** Autogenerated return type of ArtifactDestroy. */
export type ArtifactDestroyPayload = {
    __typename?: 'ArtifactDestroyPayload';
    /** Deleted artifact. */
    artifact?: Maybe<CiJobArtifact>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Represents a vulnerability asset type. */
export type AssetType = {
    __typename?: 'AssetType';
    /** Name of the asset. */
    name: Scalars['String']['output'];
    /** Type of the asset. */
    type: Scalars['String']['output'];
    /** URL of the asset. */
    url: Scalars['String']['output'];
};
/** Assignee ID wildcard values */
export declare enum AssigneeWildcardId {
    /** An assignee is assigned. */
    Any = "ANY",
    /** No assignee is assigned. */
    None = "NONE"
}
/** Represents the YAML definitions for audit events defined in `ee/config/audit_events/types/<event-type-name>.yml` and `config/audit_events/types/<event-type-name>.yml`. */
export type AuditEventDefinition = {
    __typename?: 'AuditEventDefinition';
    /** Description of what action the audit event tracks. */
    description: Scalars['String']['output'];
    /** Feature category associated with the event. */
    featureCategory: Scalars['String']['output'];
    /** Link to the issue introducing the event. For olderaudit events, it can be a commit URL rather than amerge request URL. */
    introducedByIssue?: Maybe<Scalars['String']['output']>;
    /** Link to the merge request introducing the event. Forolder audit events, it can be a commit URL rather thana merge request URL. */
    introducedByMr?: Maybe<Scalars['String']['output']>;
    /** Milestone the event was introduced in. */
    milestone: Scalars['String']['output'];
    /** Key name of the audit event. */
    name: Scalars['String']['output'];
    /** Indicates if the event is saved to PostgreSQL database. */
    savedToDatabase: Scalars['Boolean']['output'];
    /** Indicates if the event is streamed to an external destination. */
    streamed: Scalars['Boolean']['output'];
};
/** The connection type for AuditEventDefinition. */
export type AuditEventDefinitionConnection = {
    __typename?: 'AuditEventDefinitionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AuditEventDefinitionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AuditEventDefinition>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AuditEventDefinitionEdge = {
    __typename?: 'AuditEventDefinitionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AuditEventDefinition>;
};
export type AuditEventStreamingDestinationInterface = {
    /** Category of the external destination to send audit events to. */
    category: Scalars['String']['output'];
    /** Config of the external destination. */
    config: Scalars['JSON']['output'];
    /** List of event type filters added for streaming. */
    eventTypeFilters: Array<Scalars['String']['output']>;
    /** ID of the destination. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
};
/** Represents a subgroup or project filter that belongs to an external audit event streaming destination. */
export type AuditEventStreamingHttpNamespaceFilter = {
    __typename?: 'AuditEventStreamingHTTPNamespaceFilter';
    /** Destination to which the filter belongs. */
    externalAuditEventDestination: ExternalAuditEventDestination;
    /** ID of the filter. */
    id: Scalars['ID']['output'];
    /** Group or project namespace the filter belongs to. */
    namespace: Namespace;
};
/** Represents a HTTP header key/value that belongs to an audit streaming destination. */
export type AuditEventStreamingHeader = BaseHeaderInterface & {
    __typename?: 'AuditEventStreamingHeader';
    /** Header is active or not. */
    active: Scalars['Boolean']['output'];
    /** ID of the header. */
    id: Scalars['ID']['output'];
    /** Key of the header. */
    key: Scalars['String']['output'];
    /** Value of the header. */
    value: Scalars['String']['output'];
};
/** The connection type for AuditEventStreamingHeader. */
export type AuditEventStreamingHeaderConnection = {
    __typename?: 'AuditEventStreamingHeaderConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AuditEventStreamingHeaderEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AuditEventStreamingHeader>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AuditEventStreamingHeaderEdge = {
    __typename?: 'AuditEventStreamingHeaderEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AuditEventStreamingHeader>;
};
/** Autogenerated input type of AuditEventsAmazonS3ConfigurationCreate */
export type AuditEventsAmazonS3ConfigurationCreateInput = {
    /** Access key ID of the Amazon S3 account. */
    accessKeyXid: Scalars['String']['input'];
    /** AWS region where the bucket is created. */
    awsRegion: Scalars['String']['input'];
    /** Name of the bucket where the audit events would be logged. */
    bucketName: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Group path. */
    groupPath: Scalars['ID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret access key of the Amazon S3 account. */
    secretAccessKey: Scalars['String']['input'];
};
/** Autogenerated return type of AuditEventsAmazonS3ConfigurationCreate. */
export type AuditEventsAmazonS3ConfigurationCreatePayload = {
    __typename?: 'AuditEventsAmazonS3ConfigurationCreatePayload';
    /** configuration created. */
    amazonS3Configuration?: Maybe<AmazonS3ConfigurationType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsAmazonS3ConfigurationDelete */
export type AuditEventsAmazonS3ConfigurationDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Amazon S3 configuration to destroy. */
    id: Scalars['AuditEventsAmazonS3ConfigurationID']['input'];
};
/** Autogenerated return type of AuditEventsAmazonS3ConfigurationDelete. */
export type AuditEventsAmazonS3ConfigurationDeletePayload = {
    __typename?: 'AuditEventsAmazonS3ConfigurationDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsAmazonS3ConfigurationUpdate */
export type AuditEventsAmazonS3ConfigurationUpdateInput = {
    /** Access key ID of the Amazon S3 account. */
    accessKeyXid?: InputMaybe<Scalars['String']['input']>;
    /** AWS region where the bucket is created. */
    awsRegion?: InputMaybe<Scalars['String']['input']>;
    /** Name of the bucket where the audit events would be logged. */
    bucketName?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Amazon S3 configuration to update. */
    id: Scalars['AuditEventsAmazonS3ConfigurationID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret access key of the Amazon S3 account. */
    secretAccessKey?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsAmazonS3ConfigurationUpdate. */
export type AuditEventsAmazonS3ConfigurationUpdatePayload = {
    __typename?: 'AuditEventsAmazonS3ConfigurationUpdatePayload';
    /** Updated Amazon S3 configuration. */
    amazonS3Configuration?: Maybe<AmazonS3ConfigurationType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsGroupDestinationEventsAdd */
export type AuditEventsGroupDestinationEventsAddInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsGroupExternalStreamingDestinationID']['input'];
    /** List of event type filters to add for streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsGroupDestinationEventsAdd. */
export type AuditEventsGroupDestinationEventsAddPayload = {
    __typename?: 'AuditEventsGroupDestinationEventsAddPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** List of event type filters for the audit event external destination. */
    eventTypeFilters?: Maybe<Array<Scalars['String']['output']>>;
};
/** Autogenerated input type of AuditEventsGroupDestinationEventsDelete */
export type AuditEventsGroupDestinationEventsDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsGroupExternalStreamingDestinationID']['input'];
    /** List of event type filters to remove from streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsGroupDestinationEventsDelete. */
export type AuditEventsGroupDestinationEventsDeletePayload = {
    __typename?: 'AuditEventsGroupDestinationEventsDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsGroupDestinationNamespaceFilterCreate */
export type AuditEventsGroupDestinationNamespaceFilterCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination ID. */
    destinationId: Scalars['AuditEventsGroupExternalStreamingDestinationID']['input'];
    /** Full path of the namespace(only project or group). */
    namespacePath?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsGroupDestinationNamespaceFilterCreate. */
export type AuditEventsGroupDestinationNamespaceFilterCreatePayload = {
    __typename?: 'AuditEventsGroupDestinationNamespaceFilterCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Namespace filter created. */
    namespaceFilter?: Maybe<GroupAuditEventNamespaceFilter>;
};
/** Autogenerated input type of AuditEventsGroupDestinationNamespaceFilterDelete */
export type AuditEventsGroupDestinationNamespaceFilterDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Namespace filter ID. */
    namespaceFilterId: Scalars['AuditEventsGroupNamespaceFilterID']['input'];
};
/** Autogenerated return type of AuditEventsGroupDestinationNamespaceFilterDelete. */
export type AuditEventsGroupDestinationNamespaceFilterDeletePayload = {
    __typename?: 'AuditEventsGroupDestinationNamespaceFilterDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsInstanceAmazonS3ConfigurationCreate */
export type AuditEventsInstanceAmazonS3ConfigurationCreateInput = {
    /** Access key ID of the Amazon S3 account. */
    accessKeyXid: Scalars['String']['input'];
    /** AWS region where the bucket is created. */
    awsRegion: Scalars['String']['input'];
    /** Name of the bucket where the audit events would be logged. */
    bucketName: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret access key of the Amazon S3 account. */
    secretAccessKey: Scalars['String']['input'];
};
/** Autogenerated return type of AuditEventsInstanceAmazonS3ConfigurationCreate. */
export type AuditEventsInstanceAmazonS3ConfigurationCreatePayload = {
    __typename?: 'AuditEventsInstanceAmazonS3ConfigurationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created instance Amazon S3 configuration. */
    instanceAmazonS3Configuration?: Maybe<InstanceAmazonS3ConfigurationType>;
};
/** Autogenerated input type of AuditEventsInstanceAmazonS3ConfigurationDelete */
export type AuditEventsInstanceAmazonS3ConfigurationDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the instance-level Amazon S3 configuration to delete. */
    id: Scalars['AuditEventsInstanceAmazonS3ConfigurationID']['input'];
};
/** Autogenerated return type of AuditEventsInstanceAmazonS3ConfigurationDelete. */
export type AuditEventsInstanceAmazonS3ConfigurationDeletePayload = {
    __typename?: 'AuditEventsInstanceAmazonS3ConfigurationDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsInstanceAmazonS3ConfigurationUpdate */
export type AuditEventsInstanceAmazonS3ConfigurationUpdateInput = {
    /** Access key ID of the Amazon S3 account. */
    accessKeyXid?: InputMaybe<Scalars['String']['input']>;
    /** AWS region where the bucket is created. */
    awsRegion?: InputMaybe<Scalars['String']['input']>;
    /** Name of the bucket where the audit events would be logged. */
    bucketName?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the instance-level Amazon S3 configuration to update. */
    id: Scalars['AuditEventsInstanceAmazonS3ConfigurationID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret access key of the Amazon S3 account. */
    secretAccessKey?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsInstanceAmazonS3ConfigurationUpdate. */
export type AuditEventsInstanceAmazonS3ConfigurationUpdatePayload = {
    __typename?: 'AuditEventsInstanceAmazonS3ConfigurationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated instance-level Amazon S3 configuration. */
    instanceAmazonS3Configuration?: Maybe<InstanceAmazonS3ConfigurationType>;
};
/** Autogenerated input type of AuditEventsInstanceDestinationEventsAdd */
export type AuditEventsInstanceDestinationEventsAddInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsInstanceExternalStreamingDestinationID']['input'];
    /** List of event type filters to add for streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsInstanceDestinationEventsAdd. */
export type AuditEventsInstanceDestinationEventsAddPayload = {
    __typename?: 'AuditEventsInstanceDestinationEventsAddPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** List of event type filters for the audit event external destination. */
    eventTypeFilters?: Maybe<Array<Scalars['String']['output']>>;
};
/** Autogenerated input type of AuditEventsInstanceDestinationEventsDelete */
export type AuditEventsInstanceDestinationEventsDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsInstanceExternalStreamingDestinationID']['input'];
    /** List of event type filters to remove from streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsInstanceDestinationEventsDelete. */
export type AuditEventsInstanceDestinationEventsDeletePayload = {
    __typename?: 'AuditEventsInstanceDestinationEventsDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsInstanceDestinationNamespaceFilterCreate */
export type AuditEventsInstanceDestinationNamespaceFilterCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination ID. */
    destinationId: Scalars['AuditEventsInstanceExternalStreamingDestinationID']['input'];
    /** Full path of the namespace. Project or group namespaces only. */
    namespacePath?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsInstanceDestinationNamespaceFilterCreate. */
export type AuditEventsInstanceDestinationNamespaceFilterCreatePayload = {
    __typename?: 'AuditEventsInstanceDestinationNamespaceFilterCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Namespace filter to be created. */
    namespaceFilter?: Maybe<InstanceAuditEventNamespaceFilter>;
};
/** Autogenerated input type of AuditEventsInstanceDestinationNamespaceFilterDelete */
export type AuditEventsInstanceDestinationNamespaceFilterDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Namespace filter ID. */
    namespaceFilterId: Scalars['AuditEventsInstanceNamespaceFilterID']['input'];
};
/** Autogenerated return type of AuditEventsInstanceDestinationNamespaceFilterDelete. */
export type AuditEventsInstanceDestinationNamespaceFilterDeletePayload = {
    __typename?: 'AuditEventsInstanceDestinationNamespaceFilterDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsStreamingDestinationEventsAdd */
export type AuditEventsStreamingDestinationEventsAddInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsExternalAuditEventDestinationID']['input'];
    /** List of event type filters to add for streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsStreamingDestinationEventsAdd. */
export type AuditEventsStreamingDestinationEventsAddPayload = {
    __typename?: 'AuditEventsStreamingDestinationEventsAddPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** List of event type filters for the audit event external destination. */
    eventTypeFilters?: Maybe<Array<Scalars['String']['output']>>;
};
/** Autogenerated input type of AuditEventsStreamingDestinationEventsRemove */
export type AuditEventsStreamingDestinationEventsRemoveInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsExternalAuditEventDestinationID']['input'];
    /** List of event type filters to remove from streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsStreamingDestinationEventsRemove. */
export type AuditEventsStreamingDestinationEventsRemovePayload = {
    __typename?: 'AuditEventsStreamingDestinationEventsRemovePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsStreamingDestinationInstanceEventsAdd */
export type AuditEventsStreamingDestinationInstanceEventsAddInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsInstanceExternalAuditEventDestinationID']['input'];
    /** List of event type filters to add for streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsStreamingDestinationInstanceEventsAdd. */
export type AuditEventsStreamingDestinationInstanceEventsAddPayload = {
    __typename?: 'AuditEventsStreamingDestinationInstanceEventsAddPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** List of event type filters for the audit event external destination. */
    eventTypeFilters?: Maybe<Array<Scalars['String']['output']>>;
};
/** Autogenerated input type of AuditEventsStreamingDestinationInstanceEventsRemove */
export type AuditEventsStreamingDestinationInstanceEventsRemoveInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination id. */
    destinationId: Scalars['AuditEventsInstanceExternalAuditEventDestinationID']['input'];
    /** List of event type filters to remove from streaming. */
    eventTypeFilters: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsStreamingDestinationInstanceEventsRemove. */
export type AuditEventsStreamingDestinationInstanceEventsRemovePayload = {
    __typename?: 'AuditEventsStreamingDestinationInstanceEventsRemovePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsStreamingHTTPNamespaceFiltersAdd */
export type AuditEventsStreamingHttpNamespaceFiltersAddInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination ID. */
    destinationId: Scalars['AuditEventsExternalAuditEventDestinationID']['input'];
    /** Full path of the group. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Full path of the project. */
    projectPath?: InputMaybe<Scalars['ID']['input']>;
};
/** Autogenerated return type of AuditEventsStreamingHTTPNamespaceFiltersAdd. */
export type AuditEventsStreamingHttpNamespaceFiltersAddPayload = {
    __typename?: 'AuditEventsStreamingHTTPNamespaceFiltersAddPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Namespace filter created. */
    namespaceFilter?: Maybe<AuditEventStreamingHttpNamespaceFilter>;
};
/** Autogenerated input type of AuditEventsStreamingHTTPNamespaceFiltersDelete */
export type AuditEventsStreamingHttpNamespaceFiltersDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Namespace filter ID. */
    namespaceFilterId: Scalars['AuditEventsStreamingHTTPNamespaceFilterID']['input'];
};
/** Autogenerated return type of AuditEventsStreamingHTTPNamespaceFiltersDelete. */
export type AuditEventsStreamingHttpNamespaceFiltersDeletePayload = {
    __typename?: 'AuditEventsStreamingHTTPNamespaceFiltersDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsStreamingHeadersCreate */
export type AuditEventsStreamingHeadersCreateInput = {
    /** Boolean option determining whether header is active or not. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination to associate header with. */
    destinationId: Scalars['AuditEventsExternalAuditEventDestinationID']['input'];
    /** Header key. */
    key: Scalars['String']['input'];
    /** Header value. */
    value: Scalars['String']['input'];
};
/** Autogenerated return type of AuditEventsStreamingHeadersCreate. */
export type AuditEventsStreamingHeadersCreatePayload = {
    __typename?: 'AuditEventsStreamingHeadersCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created header. */
    header?: Maybe<AuditEventStreamingHeader>;
};
/** Autogenerated input type of AuditEventsStreamingHeadersDestroy */
export type AuditEventsStreamingHeadersDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Header to delete. */
    headerId: Scalars['AuditEventsStreamingHeaderID']['input'];
};
/** Autogenerated return type of AuditEventsStreamingHeadersDestroy. */
export type AuditEventsStreamingHeadersDestroyPayload = {
    __typename?: 'AuditEventsStreamingHeadersDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsStreamingHeadersUpdate */
export type AuditEventsStreamingHeadersUpdateInput = {
    /** Boolean option determining whether header is active or not. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Header to update. */
    headerId: Scalars['AuditEventsStreamingHeaderID']['input'];
    /** Header key. */
    key?: InputMaybe<Scalars['String']['input']>;
    /** Header value. */
    value?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsStreamingHeadersUpdate. */
export type AuditEventsStreamingHeadersUpdatePayload = {
    __typename?: 'AuditEventsStreamingHeadersUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updates header. */
    header?: Maybe<AuditEventStreamingHeader>;
};
/** Represents a HTTP header key/value that belongs to an instance level audit streaming destination. */
export type AuditEventsStreamingInstanceHeader = BaseHeaderInterface & {
    __typename?: 'AuditEventsStreamingInstanceHeader';
    /** Header is active or not. */
    active: Scalars['Boolean']['output'];
    /** ID of the header. */
    id: Scalars['ID']['output'];
    /** Key of the header. */
    key: Scalars['String']['output'];
    /** Value of the header. */
    value: Scalars['String']['output'];
};
/** The connection type for AuditEventsStreamingInstanceHeader. */
export type AuditEventsStreamingInstanceHeaderConnection = {
    __typename?: 'AuditEventsStreamingInstanceHeaderConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AuditEventsStreamingInstanceHeaderEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AuditEventsStreamingInstanceHeader>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AuditEventsStreamingInstanceHeaderEdge = {
    __typename?: 'AuditEventsStreamingInstanceHeaderEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AuditEventsStreamingInstanceHeader>;
};
/** Autogenerated input type of AuditEventsStreamingInstanceHeadersCreate */
export type AuditEventsStreamingInstanceHeadersCreateInput = {
    /** Boolean option determining whether header is active or not. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Instance level external destination to associate header with. */
    destinationId: Scalars['AuditEventsInstanceExternalAuditEventDestinationID']['input'];
    /** Header key. */
    key: Scalars['String']['input'];
    /** Header value. */
    value: Scalars['String']['input'];
};
/** Autogenerated return type of AuditEventsStreamingInstanceHeadersCreate. */
export type AuditEventsStreamingInstanceHeadersCreatePayload = {
    __typename?: 'AuditEventsStreamingInstanceHeadersCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created header. */
    header?: Maybe<AuditEventsStreamingInstanceHeader>;
};
/** Autogenerated input type of AuditEventsStreamingInstanceHeadersDestroy */
export type AuditEventsStreamingInstanceHeadersDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Header to delete. */
    headerId: Scalars['AuditEventsStreamingInstanceHeaderID']['input'];
};
/** Autogenerated return type of AuditEventsStreamingInstanceHeadersDestroy. */
export type AuditEventsStreamingInstanceHeadersDestroyPayload = {
    __typename?: 'AuditEventsStreamingInstanceHeadersDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AuditEventsStreamingInstanceHeadersUpdate */
export type AuditEventsStreamingInstanceHeadersUpdateInput = {
    /** Boolean option determining whether header is active or not. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Header to update. */
    headerId: Scalars['AuditEventsStreamingInstanceHeaderID']['input'];
    /** Header key. */
    key?: InputMaybe<Scalars['String']['input']>;
    /** Header value. */
    value?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of AuditEventsStreamingInstanceHeadersUpdate. */
export type AuditEventsStreamingInstanceHeadersUpdatePayload = {
    __typename?: 'AuditEventsStreamingInstanceHeadersUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updates header. */
    header?: Maybe<AuditEventsStreamingInstanceHeader>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUser = User & {
    __typename?: 'AutocompletedUser';
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Merge request state related to the user. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserMergeRequestInteractionArgs = {
    id: Scalars['MergeRequestID']['input'];
};
/** Core representation of a GitLab user. */
export type AutocompletedUserNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** Core representation of a GitLab user. */
export type AutocompletedUserSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type AutocompletedUserWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** User availability status */
export declare enum AvailabilityEnum {
    /** Busy */
    Busy = "BUSY",
    /** Not Set */
    NotSet = "NOT_SET"
}
/** Available fields to be exported as CSV */
export declare enum AvailableExportFields {
    /** Author name. */
    Author = "AUTHOR",
    /** Author username. */
    AuthorUsername = "AUTHOR_USERNAME",
    /** Date of creation. */
    CreatedAt = "CREATED_AT",
    /** Description. */
    Description = "DESCRIPTION",
    /** Unique identifier. */
    Id = "ID",
    /** Title. */
    Title = "TITLE",
    /** Type of the work item. */
    Type = "TYPE"
}
/** An emoji awarded by a user */
export type AwardEmoji = {
    __typename?: 'AwardEmoji';
    /** Emoji description. */
    description: Scalars['String']['output'];
    /** Emoji as an icon. */
    emoji: Scalars['String']['output'];
    /** Emoji name. */
    name: Scalars['String']['output'];
    /** Emoji in Unicode. */
    unicode: Scalars['String']['output'];
    /** Unicode version for this emoji. */
    unicodeVersion: Scalars['String']['output'];
    /** User who awarded the emoji. */
    user: UserCore;
};
/** Autogenerated input type of AwardEmojiAdd */
export type AwardEmojiAddInput = {
    /** Global ID of the awardable resource. */
    awardableId: Scalars['AwardableID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Emoji name. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of AwardEmojiAdd. */
export type AwardEmojiAddPayload = {
    __typename?: 'AwardEmojiAddPayload';
    /** Emoji reactions after mutation. */
    awardEmoji?: Maybe<AwardEmoji>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** The connection type for AwardEmoji. */
export type AwardEmojiConnection = {
    __typename?: 'AwardEmojiConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<AwardEmojiEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<AwardEmoji>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type AwardEmojiEdge = {
    __typename?: 'AwardEmojiEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<AwardEmoji>;
};
/** Autogenerated input type of AwardEmojiRemove */
export type AwardEmojiRemoveInput = {
    /** Global ID of the awardable resource. */
    awardableId: Scalars['AwardableID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Emoji name. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of AwardEmojiRemove. */
export type AwardEmojiRemovePayload = {
    __typename?: 'AwardEmojiRemovePayload';
    /** Emoji reactions after mutation. */
    awardEmoji?: Maybe<AwardEmoji>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of AwardEmojiToggle */
export type AwardEmojiToggleInput = {
    /** Global ID of the awardable resource. */
    awardableId: Scalars['AwardableID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Emoji name. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of AwardEmojiToggle. */
export type AwardEmojiTogglePayload = {
    __typename?: 'AwardEmojiTogglePayload';
    /** Emoji reactions after mutation. */
    awardEmoji?: Maybe<AwardEmoji>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Indicates the status of the emoji. True if the toggle awarded the emoji, and false if the toggle removed the emoji. */
    toggledOn: Scalars['Boolean']['output'];
};
export type BaseHeaderInterface = {
    /** Header is active or not. */
    active: Scalars['Boolean']['output'];
    /** ID of the header. */
    id: Scalars['ID']['output'];
    /** Key of the header. */
    key: Scalars['String']['output'];
    /** Value of the header. */
    value: Scalars['String']['output'];
};
export type BaseService = Service & {
    __typename?: 'BaseService';
    /** Indicates if the service is active. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** Type of the service. */
    serviceType?: Maybe<ServiceType>;
    /** Class name of the service. */
    type?: Maybe<Scalars['String']['output']>;
};
export type Blame = {
    __typename?: 'Blame';
    /** First line of Git Blame for given range. */
    firstLine?: Maybe<Scalars['String']['output']>;
    /** Git Blame grouped by contiguous lines for commit. */
    groups?: Maybe<Array<Groups>>;
};
export type Blob = Entry & {
    __typename?: 'Blob';
    /** Flat path of the entry. */
    flatPath: Scalars['String']['output'];
    /** ID of the entry. */
    id: Scalars['ID']['output'];
    /** LFS ID of the blob. */
    lfsOid?: Maybe<Scalars['String']['output']>;
    /** Blob mode in numeric format. */
    mode?: Maybe<Scalars['String']['output']>;
    /** Name of the entry. */
    name: Scalars['String']['output'];
    /** Path of the entry. */
    path: Scalars['String']['output'];
    /** Last commit SHA for the entry. */
    sha: Scalars['String']['output'];
    /** Type of tree entry. */
    type: EntryType;
    /** Web path of the blob. */
    webPath?: Maybe<Scalars['String']['output']>;
    /** Web URL of the blob. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** The connection type for Blob. */
export type BlobConnection = {
    __typename?: 'BlobConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<BlobEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Blob>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type BlobEdge = {
    __typename?: 'BlobEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Blob>;
};
/** Full JSON structure of multi-match results in a single file */
export type BlobSearch = {
    __typename?: 'BlobSearch';
    /**
     * Total number of files with matches. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    fileCount?: Maybe<Scalars['Int']['output']>;
    /**
     * List of files with matches. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    files?: Maybe<Array<SearchBlobFileType>>;
    /**
     * Total number of matches. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    matchCount?: Maybe<Scalars['Int']['output']>;
    /**
     * Total number of files per page. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    perPage?: Maybe<Scalars['Int']['output']>;
    /**
     * Level of search performed. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    searchLevel?: Maybe<SearchLevel>;
    /**
     * Type of search performed. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    searchType?: Maybe<SearchType>;
};
/** Represents how the blob content should be displayed */
export type BlobViewer = {
    __typename?: 'BlobViewer';
    /** Shows whether the blob should be displayed collapsed. */
    collapsed: Scalars['Boolean']['output'];
    /** Content file type. */
    fileType: Scalars['String']['output'];
    /** Shows whether the blob content is loaded asynchronously. */
    loadAsync: Scalars['Boolean']['output'];
    /** Loading partial name. */
    loadingPartialName: Scalars['String']['output'];
    /** Error rendering the blob content. */
    renderError?: Maybe<Scalars['String']['output']>;
    /** Shows whether the blob is too large to be displayed. */
    tooLarge: Scalars['Boolean']['output'];
    /** Type of blob viewer. */
    type: BlobViewersType;
};
/** Types of blob viewers */
export declare enum BlobViewersType {
    /** Auxiliary blob viewers type. */
    Auxiliary = "auxiliary",
    /** Rich blob viewers type. */
    Rich = "rich",
    /** Simple blob viewers type. */
    Simple = "simple"
}
/** Information about the rules that must be satisfied to merge this merge request. */
export type BlockingMergeRequests = {
    __typename?: 'BlockingMergeRequests';
    /** Blocking merge requests not visible to the user. */
    hiddenCount: Scalars['Int']['output'];
    /** Total number of blocking merge requests. */
    totalCount: Scalars['Int']['output'];
    /** Blocking merge requests visible to the user. */
    visibleMergeRequests?: Maybe<Array<MergeRequest>>;
};
/** Represents a project or group issue board */
export type Board = {
    __typename?: 'Board';
    /** Board assignee. */
    assignee?: Maybe<UserCore>;
    /** Timestamp of when the board was created. */
    createdAt: Scalars['Time']['output'];
    /** Epics associated with board issues. */
    epics?: Maybe<BoardEpicConnection>;
    /** Whether or not backlog list is hidden. */
    hideBacklogList?: Maybe<Scalars['Boolean']['output']>;
    /** Whether or not closed list is hidden. */
    hideClosedList?: Maybe<Scalars['Boolean']['output']>;
    /** ID (global ID) of the board. */
    id: Scalars['ID']['output'];
    /** Board iteration. */
    iteration?: Maybe<Iteration>;
    /** Board iteration cadence. */
    iterationCadence?: Maybe<IterationCadence>;
    /** Labels of the board. */
    labels?: Maybe<LabelConnection>;
    /** Lists of the board. */
    lists?: Maybe<BoardListConnection>;
    /** Board milestone. */
    milestone?: Maybe<Milestone>;
    /** Name of the board. */
    name?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the board was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Web path of the board. */
    webPath: Scalars['String']['output'];
    /** Web URL of the board. */
    webUrl: Scalars['String']['output'];
    /** Weight of the board. */
    weight?: Maybe<Scalars['Int']['output']>;
};
/** Represents a project or group issue board */
export type BoardEpicsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    issueFilters?: InputMaybe<BoardIssueInput>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a project or group issue board */
export type BoardLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a project or group issue board */
export type BoardListsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ListID']['input']>;
    issueFilters?: InputMaybe<BoardIssueInput>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for Board. */
export type BoardConnection = {
    __typename?: 'BoardConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<BoardEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Board>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type BoardEdge = {
    __typename?: 'BoardEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Board>;
};
/** Represents an epic on an issue board */
export type BoardEpic = CurrentUserTodos & Eventable & NoteableInterface & Todoable & {
    __typename?: 'BoardEpic';
    /** Ancestors (parents) of the epic. */
    ancestors?: Maybe<EpicConnection>;
    /** Author of the epic. */
    author: UserCore;
    /** List of emoji reactions associated with the epic. */
    awardEmoji?: Maybe<AwardEmojiConnection>;
    /** Indicates the epic is blocked. */
    blocked?: Maybe<Scalars['Boolean']['output']>;
    /** Count of epics blocking this epic. */
    blockedByCount?: Maybe<Scalars['Int']['output']>;
    /** Epics blocking this epic. */
    blockedByEpics?: Maybe<EpicConnection>;
    /** Count of epics that this epic is blocking. */
    blockingCount?: Maybe<Scalars['Int']['output']>;
    /** Children (sub-epics) of the epic. */
    children?: Maybe<EpicConnection>;
    /** Timestamp of when the epic was closed. */
    closedAt?: Maybe<Scalars['Time']['output']>;
    /** Color of the epic. Returns `null` if `epic_color_highlight` feature flag is disabled. */
    color?: Maybe<Scalars['String']['output']>;
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Indicates if the epic is confidential. */
    confidential?: Maybe<Scalars['Boolean']['output']>;
    /** Timestamp of when the epic was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
    /** Default Project for issue creation. Based on the project the user created the last issue in. */
    defaultProjectForIssueCreation?: Maybe<Project>;
    /** Number of open and closed descendant epics and issues. */
    descendantCounts?: Maybe<EpicDescendantCount>;
    /** Total weight of open and closed issues in the epic and its descendants. */
    descendantWeightSum?: Maybe<EpicDescendantWeights>;
    /** Description of the epic. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Number of downvotes the epic has received. */
    downvotes: Scalars['Int']['output'];
    /** Due date of the epic. */
    dueDate?: Maybe<Scalars['Time']['output']>;
    /** Fixed due date of the epic. */
    dueDateFixed?: Maybe<Scalars['Time']['output']>;
    /** Inherited due date of the epic from child epics or milestones. */
    dueDateFromInheritedSource?: Maybe<Scalars['Time']['output']>;
    /** Inherited due date of the epic from milestones. */
    dueDateFromMilestones?: Maybe<Scalars['Time']['output']>;
    /** Indicates if the due date has been manually set. */
    dueDateIsFixed?: Maybe<Scalars['Boolean']['output']>;
    /** List of events associated with the object. */
    events?: Maybe<EventConnection>;
    /** Group to which the epic belongs. */
    group: Group;
    /** Indicates if the epic has children. */
    hasChildren: Scalars['Boolean']['output'];
    /** Indicates if the epic has children in the specified timeframe. */
    hasChildrenWithinTimeframe: Scalars['Boolean']['output'];
    /** Indicates if the epic has direct issues. */
    hasIssues: Scalars['Boolean']['output'];
    /** Indicates if the epic has a parent epic. */
    hasParent: Scalars['Boolean']['output'];
    /** Current health status of the epic. */
    healthStatus?: Maybe<EpicHealthStatus>;
    /** ID of the epic. */
    id: Scalars['ID']['output'];
    /** Internal ID of the epic. */
    iid: Scalars['String']['output'];
    /** A list of issues associated with the epic. */
    issues?: Maybe<EpicIssueConnection>;
    /** Labels assigned to the epic. */
    labels?: Maybe<LabelConnection>;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** Parent epic of the epic. */
    parent?: Maybe<Epic>;
    /** List of participants for the epic. */
    participants?: Maybe<UserCoreConnection>;
    /** Internal reference of the epic. Returned in shortened format by default. */
    reference: Scalars['String']['output'];
    /** URI path of the epic-issue relationship. */
    relationPath?: Maybe<Scalars['String']['output']>;
    /** Relative position of the epic in the epic tree. */
    relativePosition?: Maybe<Scalars['Int']['output']>;
    /** Start date of the epic. */
    startDate?: Maybe<Scalars['Time']['output']>;
    /** Fixed start date of the epic. */
    startDateFixed?: Maybe<Scalars['Time']['output']>;
    /** Inherited start date of the epic from child epics or milestones. */
    startDateFromInheritedSource?: Maybe<Scalars['Time']['output']>;
    /** Inherited start date of the epic from milestones. */
    startDateFromMilestones?: Maybe<Scalars['Time']['output']>;
    /** Indicates if the start date has been manually set. */
    startDateIsFixed?: Maybe<Scalars['Boolean']['output']>;
    /** State of the epic. */
    state: EpicState;
    /** Indicates the currently logged in user is subscribed to the epic. */
    subscribed: Scalars['Boolean']['output'];
    /** Text color generated for the epic. Returns `null` if `epic_color_highlight` feature flag is disabled. */
    textColor?: Maybe<Scalars['String']['output']>;
    /** Title of the epic. */
    title?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `title` */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the epic was updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Number of upvotes the epic has received. */
    upvotes: Scalars['Int']['output'];
    /** Number of user discussions in the epic. */
    userDiscussionsCount: Scalars['Int']['output'];
    /** Number of user notes of the epic. */
    userNotesCount: Scalars['Int']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: EpicPermissions;
    /** User preferences for the epic on the issue board. */
    userPreferences?: Maybe<BoardEpicUserPreferences>;
    /** Web path of the epic. */
    webPath: Scalars['String']['output'];
    /** Web URL of the epic. */
    webUrl: Scalars['String']['output'];
};
/** Represents an epic on an issue board */
export type BoardEpicAncestorsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    iidStartsWith?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['ID']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendantGroups?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedEpicFilterInput>;
    or?: InputMaybe<UnionedEpicFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<EpicSort>;
    state?: InputMaybe<EpicState>;
    timeframe?: InputMaybe<Timeframe>;
    topLevelHierarchyOnly?: InputMaybe<Scalars['Boolean']['input']>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicAwardEmojiArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicBlockedByEpicsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicChildrenArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    iidStartsWith?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['ID']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendantGroups?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedEpicFilterInput>;
    or?: InputMaybe<UnionedEpicFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<EpicSort>;
    state?: InputMaybe<EpicState>;
    timeframe?: InputMaybe<Timeframe>;
    topLevelHierarchyOnly?: InputMaybe<Scalars['Boolean']['input']>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
/** Represents an epic on an issue board */
export type BoardEpicDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicEventsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicParticipantsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic on an issue board */
export type BoardEpicReferenceArgs = {
    full?: InputMaybe<Scalars['Boolean']['input']>;
};
/** The connection type for BoardEpic. */
export type BoardEpicConnection = {
    __typename?: 'BoardEpicConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<BoardEpicEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<BoardEpic>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of BoardEpicCreate */
export type BoardEpicCreateInput = {
    /** Global ID of the board that the epic is in. */
    boardId: Scalars['BoardsEpicBoardID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Group the epic to create is in. */
    groupPath: Scalars['ID']['input'];
    /** Global ID of the epic board list in which epic will be created. */
    listId: Scalars['BoardsEpicListID']['input'];
    /** Title of the epic. */
    title: Scalars['String']['input'];
};
/** Autogenerated return type of BoardEpicCreate. */
export type BoardEpicCreatePayload = {
    __typename?: 'BoardEpicCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Epic after creation. */
    epic?: Maybe<Epic>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type BoardEpicEdge = {
    __typename?: 'BoardEpicEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<BoardEpic>;
};
/** Represents user preferences for a board epic */
export type BoardEpicUserPreferences = {
    __typename?: 'BoardEpicUserPreferences';
    /** Indicates epic should be displayed as collapsed. */
    collapsed: Scalars['Boolean']['output'];
};
export type BoardIssueInput = {
    /** Filter by assignee username. */
    assigneeUsername?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    /** Filter by assignee wildcard. Incompatible with assigneeUsername and assigneeUsernames. */
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    /** Filter by author username. */
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    /** Filter by confidentiality. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Filter by epic ID. Incompatible with epicWildcardId. */
    epicId?: InputMaybe<Scalars['EpicID']['input']>;
    /** Filter by epic ID wildcard. Incompatible with epicId. */
    epicWildcardId?: InputMaybe<EpicWildcardId>;
    /** Health status of the issue, "none" and "any" values are supported. */
    healthStatusFilter?: InputMaybe<HealthStatusFilter>;
    /** List of IIDs of issues. For example `["1", "2"]`. */
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filter by a list of iteration cadence IDs. */
    iterationCadenceId?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    /** Filter by a list of iteration IDs. Incompatible with iterationWildcardId. */
    iterationId?: InputMaybe<Array<Scalars['IterationID']['input']>>;
    /** Filter by iteration title. */
    iterationTitle?: InputMaybe<Scalars['String']['input']>;
    /** Filter by iteration ID wildcard. */
    iterationWildcardId?: InputMaybe<IterationWildcardId>;
    /** Filter by label name. */
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    /** Filter by milestone title. */
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    /** Filter by milestone ID wildcard. */
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    /** Filter by reaction emoji applied by the current user. Wildcard values "NONE" and "ANY" are supported. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    /** List of negated arguments. */
    not?: InputMaybe<NegatedBoardIssueInput>;
    /** List of arguments with inclusive OR. */
    or?: InputMaybe<UnionedIssueFilterInput>;
    /** Filter by release tag. */
    releaseTag?: InputMaybe<Scalars['String']['input']>;
    /** Search query for issue title or description. */
    search?: InputMaybe<Scalars['String']['input']>;
    /** Filter by the given issue types. */
    types?: InputMaybe<Array<IssueType>>;
    /** Filter by weight. */
    weight?: InputMaybe<Scalars['String']['input']>;
    /** Filter by weight ID wildcard. Incompatible with weight. */
    weightWildcardId?: InputMaybe<WeightWildcardId>;
};
/** Represents a list for an issue board */
export type BoardList = {
    __typename?: 'BoardList';
    /** Assignee in the list. */
    assignee?: Maybe<UserCore>;
    /** Indicates if the list is collapsed for this user. */
    collapsed?: Maybe<Scalars['Boolean']['output']>;
    /** ID (global ID) of the list. */
    id: Scalars['ID']['output'];
    /** Board issues. */
    issues?: Maybe<IssueConnection>;
    /** Count of issues in the list. */
    issuesCount?: Maybe<Scalars['Int']['output']>;
    /** Iteration of the list. */
    iteration?: Maybe<Iteration>;
    /** Label of the list. */
    label?: Maybe<Label>;
    /** Current limit metric for the list. */
    limitMetric?: Maybe<ListLimitMetric>;
    /** Type of the list. */
    listType: Scalars['String']['output'];
    /** Maximum number of issues in the list. */
    maxIssueCount?: Maybe<Scalars['Int']['output']>;
    /** Maximum weight of issues in the list. */
    maxIssueWeight?: Maybe<Scalars['Int']['output']>;
    /** Milestone of the list. */
    milestone?: Maybe<Milestone>;
    /** Position of list within the board. */
    position?: Maybe<Scalars['Int']['output']>;
    /** Title of the list. */
    title: Scalars['String']['output'];
    /** Total weight of all issues in the list, encoded as a string. */
    totalIssueWeight?: Maybe<Scalars['BigInt']['output']>;
};
/** Represents a list for an issue board */
export type BoardListIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filters?: InputMaybe<BoardIssueInput>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for BoardList. */
export type BoardListConnection = {
    __typename?: 'BoardListConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<BoardListEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<BoardList>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of BoardListCreate */
export type BoardListCreateInput = {
    /** Global ID of an existing user. */
    assigneeId?: InputMaybe<Scalars['UserID']['input']>;
    /** Create the backlog list. */
    backlog?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the issue board to mutate. */
    boardId: Scalars['BoardID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of an existing iteration. */
    iterationId?: InputMaybe<Scalars['IterationID']['input']>;
    /** Global ID of an existing label. */
    labelId?: InputMaybe<Scalars['LabelID']['input']>;
    /** Global ID of an existing milestone. */
    milestoneId?: InputMaybe<Scalars['MilestoneID']['input']>;
};
/** Autogenerated return type of BoardListCreate. */
export type BoardListCreatePayload = {
    __typename?: 'BoardListCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue list in the issue board. */
    list?: Maybe<BoardList>;
};
/** An edge in a connection. */
export type BoardListEdge = {
    __typename?: 'BoardListEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<BoardList>;
};
/** Autogenerated input type of BoardListUpdateLimitMetrics */
export type BoardListUpdateLimitMetricsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** New limit metric type for the list. */
    limitMetric?: InputMaybe<ListLimitMetric>;
    /** Global ID of the list. */
    listId: Scalars['ListID']['input'];
    /** New maximum issue count limit. */
    maxIssueCount?: InputMaybe<Scalars['Int']['input']>;
    /** New maximum issue weight limit. */
    maxIssueWeight?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of BoardListUpdateLimitMetrics. */
export type BoardListUpdateLimitMetricsPayload = {
    __typename?: 'BoardListUpdateLimitMetricsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated list. */
    list?: Maybe<BoardList>;
};
export type Branch = {
    __typename?: 'Branch';
    /** Commit for the branch. */
    commit?: Maybe<Commit>;
    /** Name of the branch. */
    name: Scalars['String']['output'];
};
/** Branch protection details for a branch rule. */
export type BranchProtection = {
    __typename?: 'BranchProtection';
    /** Toggle force push to the branch for users with write access. */
    allowForcePush: Scalars['Boolean']['output'];
    /** Enforce code owner approvals before allowing a merge. */
    codeOwnerApprovalRequired: Scalars['Boolean']['output'];
    /** Details about who can merge when this branch is the source branch. */
    mergeAccessLevels?: Maybe<MergeAccessLevelConnection>;
    /** Details about who can push when this branch is the source branch. */
    pushAccessLevels?: Maybe<PushAccessLevelConnection>;
    /** Details about who can unprotect this branch. */
    unprotectAccessLevels?: Maybe<UnprotectAccessLevelConnection>;
};
/** Branch protection details for a branch rule. */
export type BranchProtectionMergeAccessLevelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Branch protection details for a branch rule. */
export type BranchProtectionPushAccessLevelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Branch protection details for a branch rule. */
export type BranchProtectionUnprotectAccessLevelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type BranchProtectionInput = {
    /** Allows users with write access to the branch rule target to force push changes. */
    allowForcePush?: InputMaybe<Scalars['Boolean']['input']>;
    /** Enforce code owner approvals before allowing a merge. */
    codeOwnerApprovalRequired?: InputMaybe<Scalars['Boolean']['input']>;
    /** Details about who can merge into the branch rule target. */
    mergeAccessLevels?: InputMaybe<Array<MergeAccessLevelInput>>;
    /** Details about who can push to the branch rule target. */
    pushAccessLevels?: InputMaybe<Array<PushAccessLevelInput>>;
};
/** Branch rules configured for a rule target. */
export type BranchRule = {
    __typename?: 'BranchRule';
    /** Merge request approval rules configured for this branch rule. */
    approvalRules?: Maybe<ApprovalProjectRuleConnection>;
    /** Branch protections configured for this branch rule. */
    branchProtection?: Maybe<BranchProtection>;
    /** Timestamp of when the branch rule was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** External status checks configured for this branch rule. */
    externalStatusChecks?: Maybe<ExternalStatusCheckConnection>;
    /** ID of the branch rule. */
    id?: Maybe<Scalars['ProjectsBranchRuleID']['output']>;
    /** Check if this branch rule protects the project's default branch. */
    isDefault: Scalars['Boolean']['output'];
    /** Check if this branch rule protects access for the branch. */
    isProtected: Scalars['Boolean']['output'];
    /** Number of existing branches that match this branch rule. */
    matchingBranchesCount: Scalars['Int']['output'];
    /** Name of the branch rule target. Includes wildcards. */
    name: Scalars['String']['output'];
    /** Timestamp of when the branch rule was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
};
/** Branch rules configured for a rule target. */
export type BranchRuleApprovalRulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Branch rules configured for a rule target. */
export type BranchRuleExternalStatusChecksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for BranchRule. */
export type BranchRuleConnection = {
    __typename?: 'BranchRuleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<BranchRuleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<BranchRule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of BranchRuleCreate */
export type BranchRuleCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Branch name, with wildcards, for the branch rules. */
    name: Scalars['String']['input'];
    /** Full path to the project that the branch is associated with. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of BranchRuleCreate. */
export type BranchRuleCreatePayload = {
    __typename?: 'BranchRuleCreatePayload';
    /** Branch rule after mutation. */
    branchRule?: Maybe<BranchRule>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of BranchRuleDelete */
export type BranchRuleDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the branch rule to destroy. */
    id: Scalars['ProjectsBranchRuleID']['input'];
};
/** Autogenerated return type of BranchRuleDelete. */
export type BranchRuleDeletePayload = {
    __typename?: 'BranchRuleDeletePayload';
    /** Branch rule after mutation. */
    branchRule?: Maybe<BranchRule>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type BranchRuleEdge = {
    __typename?: 'BranchRuleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<BranchRule>;
};
/** Autogenerated input type of BranchRuleExternalStatusCheckCreate */
export type BranchRuleExternalStatusCheckCreateInput = {
    /** Global ID of the branch rule to update. */
    branchRuleId: Scalars['ProjectsBranchRuleID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** URL of external status check resource. */
    externalUrl: Scalars['String']['input'];
    /** Name of the external status check. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of BranchRuleExternalStatusCheckCreate. */
export type BranchRuleExternalStatusCheckCreatePayload = {
    __typename?: 'BranchRuleExternalStatusCheckCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** New status check after mutation. */
    externalStatusCheck?: Maybe<ExternalStatusCheck>;
};
/** Autogenerated input type of BranchRuleExternalStatusCheckDestroy */
export type BranchRuleExternalStatusCheckDestroyInput = {
    /** Global ID of the branch rule. */
    branchRuleId: Scalars['ProjectsBranchRuleID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the external status check to destroy. */
    id: Scalars['MergeRequestsExternalStatusCheckID']['input'];
};
/** Autogenerated return type of BranchRuleExternalStatusCheckDestroy. */
export type BranchRuleExternalStatusCheckDestroyPayload = {
    __typename?: 'BranchRuleExternalStatusCheckDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of BranchRuleExternalStatusCheckUpdate */
export type BranchRuleExternalStatusCheckUpdateInput = {
    /** Global ID of the branch rule. */
    branchRuleId: Scalars['ProjectsBranchRuleID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** External URL of the external status check. */
    externalUrl: Scalars['String']['input'];
    /** Global ID of the external status check to update. */
    id: Scalars['MergeRequestsExternalStatusCheckID']['input'];
    /** Name of the external status check. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of BranchRuleExternalStatusCheckUpdate. */
export type BranchRuleExternalStatusCheckUpdatePayload = {
    __typename?: 'BranchRuleExternalStatusCheckUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated external status check after mutation. */
    externalStatusCheck?: Maybe<ExternalStatusCheck>;
};
/** Autogenerated input type of BranchRuleUpdate */
export type BranchRuleUpdateInput = {
    /** Branch protections configured for the branch rule. */
    branchProtection?: InputMaybe<BranchProtectionInput>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the branch rule to update. */
    id: Scalars['ProjectsBranchRuleID']['input'];
    /** Branch name, with wildcards, for the branch rules. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of BranchRuleUpdate. */
export type BranchRuleUpdatePayload = {
    __typename?: 'BranchRuleUpdatePayload';
    /** Branch rule after mutation. */
    branchRule?: Maybe<BranchRule>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of BuildForecast */
export type BuildForecastInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the context for the forecast to pick an appropriate model. */
    contextId: Scalars['GlobalID']['input'];
    /** Number of data points to forecast. */
    horizon: Scalars['Int']['input'];
    /** Type of the forecast. */
    type: Scalars['String']['input'];
};
/** Autogenerated return type of BuildForecast. */
export type BuildForecastPayload = {
    __typename?: 'BuildForecastPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created forecast. */
    forecast: Forecast;
};
/** Autogenerated input type of BulkDestroyJobArtifacts */
export type BulkDestroyJobArtifactsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global IDs of the job artifacts to destroy. */
    ids: Array<Scalars['CiJobArtifactID']['input']>;
    /** Global Project ID of the job artifacts to destroy. Incompatible with projectPath. */
    projectId: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of BulkDestroyJobArtifacts. */
export type BulkDestroyJobArtifactsPayload = {
    __typename?: 'BulkDestroyJobArtifactsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Number of job artifacts deleted. */
    destroyedCount?: Maybe<Scalars['Int']['output']>;
    /** IDs of job artifacts that were deleted. */
    destroyedIds?: Maybe<Array<Scalars['CiJobArtifactID']['output']>>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of BulkEnableDevopsAdoptionNamespaces */
export type BulkEnableDevopsAdoptionNamespacesInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Display namespace ID. */
    displayNamespaceId?: InputMaybe<Scalars['NamespaceID']['input']>;
    /** List of Namespace IDs. */
    namespaceIds: Array<Scalars['NamespaceID']['input']>;
};
/** Autogenerated return type of BulkEnableDevopsAdoptionNamespaces. */
export type BulkEnableDevopsAdoptionNamespacesPayload = {
    __typename?: 'BulkEnableDevopsAdoptionNamespacesPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Enabled namespaces after mutation. */
    enabledNamespaces?: Maybe<Array<DevopsAdoptionEnabledNamespace>>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of BulkRunnerDelete */
export type BulkRunnerDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IDs of the runners to delete. */
    ids?: InputMaybe<Array<Scalars['CiRunnerID']['input']>>;
};
/** Autogenerated return type of BulkRunnerDelete. */
export type BulkRunnerDeletePayload = {
    __typename?: 'BulkRunnerDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Number of records effectively deleted. Only present if operation was performed synchronously. */
    deletedCount?: Maybe<Scalars['Int']['output']>;
    /** IDs of records effectively deleted. Only present if operation was performed synchronously. */
    deletedIds?: Maybe<Array<Scalars['CiRunnerID']['output']>>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Represents the total number of issues and their weights for a particular day */
export type BurnupChartDailyTotals = {
    __typename?: 'BurnupChartDailyTotals';
    /** Number of closed issues as of this day. */
    completedCount: Scalars['Int']['output'];
    /** Total weight of closed issues as of this day. */
    completedWeight: Scalars['Int']['output'];
    /** Date for burnup totals. */
    date: Scalars['ISO8601Date']['output'];
    /** Number of issues as of this day. */
    scopeCount: Scalars['Int']['output'];
    /** Total weight of issues as of this day. */
    scopeWeight: Scalars['Int']['output'];
};
/** Check user's permission for the car. */
export type CarPermissions = {
    __typename?: 'CarPermissions';
    /** If `true`, the user can perform `delete_merge_train_car` on this resource */
    deleteMergeTrainCar: Scalars['Boolean']['output'];
};
/** Status of a merge train's car */
export declare enum CarStatus {
    /** Car's status: fresh */
    Fresh = "FRESH",
    /** Car's status: idle */
    Idle = "IDLE",
    /** Car's status: merged */
    Merged = "MERGED",
    /** Car's status: merging */
    Merging = "MERGING",
    /** Car's status: skip_merged */
    SkipMerged = "SKIP_MERGED",
    /** Car's status: stale */
    Stale = "STALE"
}
/** Autogenerated input type of CatalogResourcesCreate */
export type CatalogResourcesCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project path belonging to the catalog resource. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CatalogResourcesCreate. */
export type CatalogResourcesCreatePayload = {
    __typename?: 'CatalogResourcesCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CatalogResourcesDestroy */
export type CatalogResourcesDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project path belonging to the catalog resource. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CatalogResourcesDestroy. */
export type CatalogResourcesDestroyPayload = {
    __typename?: 'CatalogResourcesDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type CiApplicationSettings = {
    __typename?: 'CiApplicationSettings';
    /** Whether to keep the latest jobs artifacts. */
    keepLatestArtifact?: Maybe<Scalars['Boolean']['output']>;
};
export type CiBuildNeed = {
    __typename?: 'CiBuildNeed';
    /** ID of the BuildNeed. */
    id: Scalars['ID']['output'];
    /** Name of the job we need to complete. */
    name?: Maybe<Scalars['String']['output']>;
};
/** The connection type for CiBuildNeed. */
export type CiBuildNeedConnection = {
    __typename?: 'CiBuildNeedConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiBuildNeedEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiBuildNeed>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiBuildNeedEdge = {
    __typename?: 'CiBuildNeedEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiBuildNeed>;
};
export type CiCatalogResource = {
    __typename?: 'CiCatalogResource';
    /** Description of the catalog resource. */
    description?: Maybe<Scalars['String']['output']>;
    /**
     * Full project path of the catalog resource. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    fullPath?: Maybe<Scalars['ID']['output']>;
    /** Icon for the catalog resource. */
    icon?: Maybe<Scalars['String']['output']>;
    /** ID of the catalog resource. */
    id: Scalars['ID']['output'];
    /**
     * Number of projects that used a component from this catalog resource in a pipeline, by using `include:component`, in the last 30 days. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    last30DayUsageCount: Scalars['Int']['output'];
    /**
     * Release date of the catalog resource's latest version. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    latestReleasedAt?: Maybe<Scalars['Time']['output']>;
    /** Name of the catalog resource. */
    name?: Maybe<Scalars['String']['output']>;
    /** Number of times the catalog resource has been starred. */
    starCount: Scalars['Int']['output'];
    /** Relative path to the starrers page for the catalog resource project. */
    starrersPath?: Maybe<Scalars['String']['output']>;
    /** Verification level of the catalog resource. */
    verificationLevel?: Maybe<CiCatalogResourceVerificationLevel>;
    /** Versions of the catalog resource. This field can only be resolved for one catalog resource in any single request. */
    versions?: Maybe<CiCatalogResourceVersionConnection>;
    /**
     * Web path of the catalog resource. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    webPath?: Maybe<Scalars['String']['output']>;
};
export type CiCatalogResourceVersionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
};
export type CiCatalogResourceComponent = {
    __typename?: 'CiCatalogResourceComponent';
    /** ID of the component. */
    id: Scalars['CiCatalogResourcesComponentID']['output'];
    /** Path used to include the component. */
    includePath?: Maybe<Scalars['String']['output']>;
    /** Inputs for the component. */
    inputs?: Maybe<Array<CiCatalogResourceComponentInput>>;
    /** Name of the component. */
    name?: Maybe<Scalars['String']['output']>;
};
/** The connection type for CiCatalogResourceComponent. */
export type CiCatalogResourceComponentConnection = {
    __typename?: 'CiCatalogResourceComponentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiCatalogResourceComponentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiCatalogResourceComponent>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiCatalogResourceComponentEdge = {
    __typename?: 'CiCatalogResourceComponentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiCatalogResourceComponent>;
};
export type CiCatalogResourceComponentInput = {
    __typename?: 'CiCatalogResourceComponentInput';
    /** Default value for the input. */
    default?: Maybe<Scalars['String']['output']>;
    /** Description of the input. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the input. */
    name?: Maybe<Scalars['String']['output']>;
    /** Pattern that the input value must match. Only applicable to string inputs. */
    regex?: Maybe<Scalars['String']['output']>;
    /** Indicates if an input is required. */
    required?: Maybe<Scalars['Boolean']['output']>;
    /** Type of the input. */
    type?: Maybe<CiCatalogResourceComponentInputType>;
};
/** Available input types */
export declare enum CiCatalogResourceComponentInputType {
    /** Array input */
    Array = "ARRAY",
    /** Boolean input */
    Boolean = "BOOLEAN",
    /** Number input */
    Number = "NUMBER",
    /** String input */
    String = "STRING"
}
/** The connection type for CiCatalogResource. */
export type CiCatalogResourceConnection = {
    __typename?: 'CiCatalogResourceConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiCatalogResourceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiCatalogResource>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiCatalogResourceEdge = {
    __typename?: 'CiCatalogResourceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiCatalogResource>;
};
/** Values for scoping catalog resources */
export declare enum CiCatalogResourceScope {
    /** All catalog resources visible to the current user. */
    All = "ALL",
    /** Catalog resources belonging to authorized namespaces of the user. */
    Namespaces = "NAMESPACES"
}
/** Values for sorting catalog resources */
export declare enum CiCatalogResourceSort {
    /** Created date by ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created date by descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Latest release date by ascending order. */
    LatestReleasedAtAsc = "LATEST_RELEASED_AT_ASC",
    /** Latest release date by descending order. */
    LatestReleasedAtDesc = "LATEST_RELEASED_AT_DESC",
    /** Name by ascending order. */
    NameAsc = "NAME_ASC",
    /** Name by descending order. */
    NameDesc = "NAME_DESC",
    /** Star count by ascending order. */
    StarCountAsc = "STAR_COUNT_ASC",
    /** Star count by descending order. */
    StarCountDesc = "STAR_COUNT_DESC",
    /** Last 30-day usage count by ascending order. */
    UsageCountAsc = "USAGE_COUNT_ASC",
    /** Last 30-day usage count by descending order. */
    UsageCountDesc = "USAGE_COUNT_DESC"
}
export declare enum CiCatalogResourceVerificationLevel {
    /** The resource is Gitlab Maintained */
    GitlabMaintained = "GITLAB_MAINTAINED",
    /** The resource is Gitlab Partner Maintained */
    GitlabPartnerMaintained = "GITLAB_PARTNER_MAINTAINED",
    /** The resource is Unverified */
    Unverified = "UNVERIFIED",
    /** The resource is Verified Creator Maintained */
    VerifiedCreatorMaintained = "VERIFIED_CREATOR_MAINTAINED"
}
export type CiCatalogResourceVersion = {
    __typename?: 'CiCatalogResourceVersion';
    /** User that created the version. */
    author?: Maybe<UserCore>;
    /** Commit associated with the version. */
    commit?: Maybe<Commit>;
    /** Components belonging to the catalog resource. */
    components?: Maybe<CiCatalogResourceComponentConnection>;
    /** Timestamp of when the version was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Global ID of the version. */
    id: Scalars['CiCatalogResourcesVersionID']['output'];
    /** Name that uniquely identifies the version within the catalog resource. */
    name?: Maybe<Scalars['String']['output']>;
    /** Relative web path to the version. */
    path?: Maybe<Scalars['String']['output']>;
    /** Readme data. */
    readme?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `readme` */
    readmeHtml?: Maybe<Scalars['String']['output']>;
    /**
     * Timestamp of when the version was released. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    releasedAt?: Maybe<Scalars['Time']['output']>;
};
export type CiCatalogResourceVersionComponentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for CiCatalogResourceVersion. */
export type CiCatalogResourceVersionConnection = {
    __typename?: 'CiCatalogResourceVersionConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiCatalogResourceVersionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiCatalogResourceVersion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiCatalogResourceVersionEdge = {
    __typename?: 'CiCatalogResourceVersionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiCatalogResourceVersion>;
};
export type CiConfig = {
    __typename?: 'CiConfig';
    /** Linting errors. */
    errors?: Maybe<Array<Scalars['String']['output']>>;
    /** List of included files. */
    includes?: Maybe<Array<CiConfigInclude>>;
    /** Merged CI configuration YAML. */
    mergedYaml?: Maybe<Scalars['String']['output']>;
    /** Stages of the pipeline. */
    stages?: Maybe<CiConfigStageConnection>;
    /** Status of linting, can be either valid or invalid. */
    status?: Maybe<CiConfigStatus>;
    /** Linting warnings. */
    warnings?: Maybe<Array<Scalars['String']['output']>>;
};
export type CiConfigStagesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiConfigGroup = {
    __typename?: 'CiConfigGroup';
    /** Jobs in group. */
    jobs?: Maybe<CiConfigJobConnection>;
    /** Name of the job group. */
    name?: Maybe<Scalars['String']['output']>;
    /** Size of the job group. */
    size?: Maybe<Scalars['Int']['output']>;
};
export type CiConfigGroupJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for CiConfigGroup. */
export type CiConfigGroupConnection = {
    __typename?: 'CiConfigGroupConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiConfigGroupEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiConfigGroup>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiConfigGroupEdge = {
    __typename?: 'CiConfigGroupEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiConfigGroup>;
};
export type CiConfigInclude = {
    __typename?: 'CiConfigInclude';
    /** File blob location. It can be masked if it contains masked variables. For example, `"https://gitlab.com/gitlab-org/gitlab/-/blob/e52d6d0246d7375291850e61f0abc101fbda9dc2/.gitlab/ci/build-images.gitlab-ci.yml"`. */
    blob?: Maybe<Scalars['String']['output']>;
    /** Current project scope, e.g., "gitlab-org/gitlab". */
    contextProject?: Maybe<Scalars['String']['output']>;
    /** Current sha scope. */
    contextSha?: Maybe<Scalars['String']['output']>;
    /** Extra information for the `include`, which can contain `job_name`, `project`, and `ref`. Values can be masked if they contain masked variables. */
    extra?: Maybe<Scalars['JSON']['output']>;
    /** File location. It can be masked if it contains masked variables. For example, `".gitlab/ci/build-images.gitlab-ci.yml"`. */
    location?: Maybe<Scalars['String']['output']>;
    /** File raw location. It can be masked if it contains masked variables. For example, `"https://gitlab.com/gitlab-org/gitlab/-/raw/e52d6d0246d7375291850e61f0abc101fbda9dc2/.gitlab/ci/build-images.gitlab-ci.yml"`. */
    raw?: Maybe<Scalars['String']['output']>;
    /** Include type. */
    type?: Maybe<CiConfigIncludeType>;
};
/** Include type. */
export declare enum CiConfigIncludeType {
    /** Component include. */
    Component = "component",
    /** Project file include. */
    File = "file",
    /** Local include. */
    Local = "local",
    /** Remote include. */
    Remote = "remote",
    /** Template include. */
    Template = "template"
}
export type CiConfigJob = {
    __typename?: 'CiConfigJob';
    /** Override a set of commands that are executed after the job. */
    afterScript?: Maybe<Array<Scalars['String']['output']>>;
    /** Allow job to fail. */
    allowFailure?: Maybe<Scalars['Boolean']['output']>;
    /** Override a set of commands that are executed before the job. */
    beforeScript?: Maybe<Array<Scalars['String']['output']>>;
    /** Name of an environment to which the job deploys. */
    environment?: Maybe<Scalars['String']['output']>;
    /** Limit when jobs are not created. */
    except?: Maybe<CiConfigJobRestriction>;
    /** Name of the job group. */
    groupName?: Maybe<Scalars['String']['output']>;
    /** Name of the job. */
    name?: Maybe<Scalars['String']['output']>;
    /** Builds that must complete before the jobs run. */
    needs?: Maybe<CiConfigNeedConnection>;
    /** Jobs are created when these conditions do not apply. */
    only?: Maybe<CiConfigJobRestriction>;
    /** Shell script that is executed by a runner. */
    script?: Maybe<Array<Scalars['String']['output']>>;
    /** Name of the job stage. */
    stage?: Maybe<Scalars['String']['output']>;
    /** List of tags that are used to select a runner. */
    tags?: Maybe<Array<Scalars['String']['output']>>;
    /** When to run the job. */
    when?: Maybe<Scalars['String']['output']>;
};
export type CiConfigJobNeedsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for CiConfigJob. */
export type CiConfigJobConnection = {
    __typename?: 'CiConfigJobConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiConfigJobEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiConfigJob>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiConfigJobEdge = {
    __typename?: 'CiConfigJobEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiConfigJob>;
};
export type CiConfigJobRestriction = {
    __typename?: 'CiConfigJobRestriction';
    /** Git refs the job restriction applies to. */
    refs?: Maybe<Array<Scalars['String']['output']>>;
};
export type CiConfigNeed = {
    __typename?: 'CiConfigNeed';
    /** Name of the need. */
    name?: Maybe<Scalars['String']['output']>;
};
/** The connection type for CiConfigNeed. */
export type CiConfigNeedConnection = {
    __typename?: 'CiConfigNeedConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiConfigNeedEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiConfigNeed>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiConfigNeedEdge = {
    __typename?: 'CiConfigNeedEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiConfigNeed>;
};
export type CiConfigStage = {
    __typename?: 'CiConfigStage';
    /** Groups of jobs for the stage. */
    groups?: Maybe<CiConfigGroupConnection>;
    /** Name of the stage. */
    name?: Maybe<Scalars['String']['output']>;
};
export type CiConfigStageGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for CiConfigStage. */
export type CiConfigStageConnection = {
    __typename?: 'CiConfigStageConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiConfigStageEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiConfigStage>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiConfigStageEdge = {
    __typename?: 'CiConfigStageEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiConfigStage>;
};
/** Values for YAML processor result */
export declare enum CiConfigStatus {
    /** Configuration file is not valid. */
    Invalid = "INVALID",
    /** Configuration file is valid. */
    Valid = "VALID"
}
/** CI/CD config variables. */
export type CiConfigVariable = {
    __typename?: 'CiConfigVariable';
    /** Description for the CI/CD config variable. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Value of the variable. */
    value?: Maybe<Scalars['String']['output']>;
    /** Value options for the variable. */
    valueOptions?: Maybe<Array<Scalars['String']['output']>>;
};
/** Represents a deployment freeze window of a project */
export type CiFreezePeriod = {
    __typename?: 'CiFreezePeriod';
    /** Time zone for the cron fields, defaults to UTC if not provided. */
    cronTimezone?: Maybe<Scalars['String']['output']>;
    /** End of the freeze period in cron format. */
    endCron: Scalars['String']['output'];
    /** Timestamp (UTC) of when the current/next active period ends. */
    endTime?: Maybe<Scalars['Time']['output']>;
    /** Start of the freeze period in cron format. */
    startCron: Scalars['String']['output'];
    /** Timestamp (UTC) of when the current/next active period starts. */
    startTime?: Maybe<Scalars['Time']['output']>;
    /** Freeze period status. */
    status: CiFreezePeriodStatus;
};
/** Deploy freeze period status */
export declare enum CiFreezePeriodStatus {
    /** Freeze period is active. */
    Active = "ACTIVE",
    /** Freeze period is inactive. */
    Inactive = "INACTIVE"
}
export type CiGroup = {
    __typename?: 'CiGroup';
    /** Detailed status of the group. */
    detailedStatus?: Maybe<DetailedStatus>;
    /** ID for a group. */
    id: Scalars['String']['output'];
    /** Jobs in group. */
    jobs?: Maybe<CiJobConnection>;
    /** Name of the job group. */
    name?: Maybe<Scalars['String']['output']>;
    /** Size of the group. */
    size?: Maybe<Scalars['Int']['output']>;
};
export type CiGroupJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for CiGroup. */
export type CiGroupConnection = {
    __typename?: 'CiGroupConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiGroupEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiGroup>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiGroupEdge = {
    __typename?: 'CiGroupEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiGroup>;
};
/** Ci/CD environment scope for a group. */
export type CiGroupEnvironmentScope = {
    __typename?: 'CiGroupEnvironmentScope';
    /** Scope name defininig the enviromnments that can use the variable. */
    name?: Maybe<Scalars['String']['output']>;
};
/** The connection type for CiGroupEnvironmentScope. */
export type CiGroupEnvironmentScopeConnection = {
    __typename?: 'CiGroupEnvironmentScopeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiGroupEnvironmentScopeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiGroupEnvironmentScope>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiGroupEnvironmentScopeEdge = {
    __typename?: 'CiGroupEnvironmentScopeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiGroupEnvironmentScope>;
};
/** CI/CD variables for a group. */
export type CiGroupVariable = CiVariable & {
    __typename?: 'CiGroupVariable';
    /** Description of the variable. */
    description?: Maybe<Scalars['String']['output']>;
    /** Scope defining the environments that can use the variable. */
    environmentScope?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is hidden. */
    hidden?: Maybe<Scalars['Boolean']['output']>;
    /** ID of the variable. */
    id: Scalars['ID']['output'];
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is masked. */
    masked?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is protected. */
    protected?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is raw. */
    raw?: Maybe<Scalars['Boolean']['output']>;
    /** Value of the variable. */
    value?: Maybe<Scalars['String']['output']>;
    /** Type of the variable. */
    variableType?: Maybe<CiVariableType>;
};
/** The connection type for CiGroupVariable. */
export type CiGroupVariableConnection = {
    __typename?: 'CiGroupVariableConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiGroupVariableEdge>>>;
    /** Maximum amount of group CI/CD variables. */
    limit: Scalars['Int']['output'];
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiGroupVariable>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiGroupVariableEdge = {
    __typename?: 'CiGroupVariableEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiGroupVariable>;
};
/** Values for sorting inherited variables */
export declare enum CiGroupVariablesSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Key by ascending order. */
    KeyAsc = "KEY_ASC",
    /** Key by descending order. */
    KeyDesc = "KEY_DESC"
}
/** CI/CD variables for a GitLab instance. */
export type CiInstanceVariable = CiVariable & {
    __typename?: 'CiInstanceVariable';
    /** Description of the variable. */
    description?: Maybe<Scalars['String']['output']>;
    /**
     * Scope defining the environments that can use the variable. Deprecated in GitLab 15.3: No longer used, only available for GroupVariableType and ProjectVariableType.
     * @deprecated No longer used, only available for GroupVariableType and ProjectVariableType. Deprecated in GitLab 15.3.
     */
    environmentScope?: Maybe<Scalars['String']['output']>;
    /** ID of the variable. */
    id: Scalars['ID']['output'];
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is masked. */
    masked?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is protected. */
    protected?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is raw. */
    raw?: Maybe<Scalars['Boolean']['output']>;
    /** Value of the variable. */
    value?: Maybe<Scalars['String']['output']>;
    /** Type of the variable. */
    variableType?: Maybe<CiVariableType>;
};
/** The connection type for CiInstanceVariable. */
export type CiInstanceVariableConnection = {
    __typename?: 'CiInstanceVariableConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiInstanceVariableEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiInstanceVariable>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiInstanceVariableEdge = {
    __typename?: 'CiInstanceVariableEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiInstanceVariable>;
};
export type CiJob = {
    __typename?: 'CiJob';
    /** Indicates the job is active. */
    active: Scalars['Boolean']['output'];
    /**
     * Ai generated analysis of the root cause of failure. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    aiFailureAnalysis?: Maybe<Scalars['String']['output']>;
    /** Whether the job is allowed to fail. */
    allowFailure: Scalars['Boolean']['output'];
    /** Artifacts generated by the job. */
    artifacts?: Maybe<CiJobArtifactConnection>;
    /** URL for browsing the artifact's archive. */
    browseArtifactsPath?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the current user can play the job. */
    canPlayJob: Scalars['Boolean']['output'];
    /** Indicates the job can be canceled. */
    cancelable: Scalars['Boolean']['output'];
    /** Path to the commit that triggered the job. */
    commitPath?: Maybe<Scalars['String']['output']>;
    /** Coverage level of the job. */
    coverage?: Maybe<Scalars['Float']['output']>;
    /** When the job was created. */
    createdAt: Scalars['Time']['output'];
    /** Whether the job was created by a tag. */
    createdByTag: Scalars['Boolean']['output'];
    /** Detailed status of the job. */
    detailedStatus?: Maybe<DetailedStatus>;
    /** Downstream pipeline for a bridge. */
    downstreamPipeline?: Maybe<Pipeline>;
    /** Duration of the job in seconds. */
    duration?: Maybe<Scalars['Int']['output']>;
    /** When the job was erased. */
    erasedAt?: Maybe<Scalars['Time']['output']>;
    /** Message on why the job failed. */
    failureMessage?: Maybe<Scalars['String']['output']>;
    /** When a job has finished running. */
    finishedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the job. */
    id?: Maybe<Scalars['JobID']['output']>;
    /** Indicates the type of job. */
    kind: CiJobKind;
    /** Whether the job has a manual action. */
    manualJob?: Maybe<Scalars['Boolean']['output']>;
    /** Variables added to a manual job when the job is triggered. */
    manualVariables?: Maybe<CiManualVariableConnection>;
    /** Name of the job. */
    name?: Maybe<Scalars['String']['output']>;
    /** References to builds that must complete before the jobs run. */
    needs?: Maybe<CiBuildNeedConnection>;
    /** Pipeline the job belongs to. */
    pipeline?: Maybe<Pipeline>;
    /** Play path of the job. */
    playPath?: Maybe<Scalars['String']['output']>;
    /** Indicates the job can be played. */
    playable: Scalars['Boolean']['output'];
    /** Jobs from the previous stage. */
    previousStageJobs?: Maybe<CiJobConnection>;
    /**
     * Jobs that must complete before the job runs. Returns `BuildNeed`, which is the needed jobs if the job uses the `needs` keyword, or the previous stage jobs otherwise. Deprecated in GitLab 16.4: Replaced by previousStageJobs and needs fields.
     * @deprecated Replaced by previousStageJobs and needs fields. Deprecated in GitLab 16.4.
     */
    previousStageJobsOrNeeds?: Maybe<JobNeedUnionConnection>;
    /** Project that the job belongs to. */
    project?: Maybe<Project>;
    /** When the job was enqueued and marked as pending. */
    queuedAt?: Maybe<Scalars['Time']['output']>;
    /** How long the job was enqueued before starting. */
    queuedDuration?: Maybe<Scalars['Duration']['output']>;
    /** Ref name of the job. */
    refName?: Maybe<Scalars['String']['output']>;
    /** Path to the ref. */
    refPath?: Maybe<Scalars['String']['output']>;
    /** Indicates that the job has been retried. */
    retried?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates the job can be retried. */
    retryable: Scalars['Boolean']['output'];
    /** Runner assigned to execute the job. */
    runner?: Maybe<CiRunner>;
    /** Runner manager assigned to the job. */
    runnerManager?: Maybe<CiRunnerManager>;
    /** Indicates the job is scheduled. */
    scheduled: Scalars['Boolean']['output'];
    /** Schedule for the build. */
    scheduledAt?: Maybe<Scalars['Time']['output']>;
    /** Type of job scheduling. Value is `dag` if the job uses the `needs` keyword, and `stage` otherwise. */
    schedulingType?: Maybe<Scalars['String']['output']>;
    /** Short SHA1 ID of the commit. */
    shortSha: Scalars['String']['output'];
    /** Stage of the job. */
    stage?: Maybe<CiStage>;
    /** When the job was started. */
    startedAt?: Maybe<Scalars['Time']['output']>;
    /** Status of the job. */
    status?: Maybe<CiJobStatus>;
    /** Indicates the job is stuck. */
    stuck: Scalars['Boolean']['output'];
    /** Tags for the current job. */
    tags?: Maybe<Array<Scalars['String']['output']>>;
    /** Trace generated by the job. */
    trace?: Maybe<CiJobTrace>;
    /** Whether the job was triggered. */
    triggered?: Maybe<Scalars['Boolean']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: JobPermissions;
    /** Web path of the job. */
    webPath?: Maybe<Scalars['String']['output']>;
};
export type CiJobArtifactsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobManualVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobNeedsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobPreviousStageJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobPreviousStageJobsOrNeedsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobArtifact = {
    __typename?: 'CiJobArtifact';
    /** URL for downloading the artifact's file. */
    downloadPath?: Maybe<Scalars['String']['output']>;
    /** Expiry date of the artifact. */
    expireAt?: Maybe<Scalars['Time']['output']>;
    /** File type of the artifact. */
    fileType?: Maybe<JobArtifactFileType>;
    /** ID of the artifact. */
    id: Scalars['CiJobArtifactID']['output'];
    /** File name of the artifact. */
    name?: Maybe<Scalars['String']['output']>;
    /** Size of the artifact in bytes. */
    size: Scalars['BigInt']['output'];
};
/** The connection type for CiJobArtifact. */
export type CiJobArtifactConnection = {
    __typename?: 'CiJobArtifactConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiJobArtifactEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiJobArtifact>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiJobArtifactEdge = {
    __typename?: 'CiJobArtifactEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiJobArtifact>;
};
/** The connection type for CiJob. */
export type CiJobConnection = {
    __typename?: 'CiJobConnection';
    /** Limited count of collection. Returns limit + 1 for counts greater than the limit. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiJobEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiJob>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** The connection type for CiJob. */
export type CiJobConnectionCountArgs = {
    limit?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type CiJobEdge = {
    __typename?: 'CiJobEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiJob>;
};
export declare enum CiJobFailureReason {
    /** A job that failed due to api failure. */
    ApiFailure = "API_FAILURE",
    /** A job that failed due to archived failure. */
    ArchivedFailure = "ARCHIVED_FAILURE",
    /** A job that failed due to bridge pipeline is child pipeline. */
    BridgePipelineIsChildPipeline = "BRIDGE_PIPELINE_IS_CHILD_PIPELINE",
    /** A job that failed due to builds disabled. */
    BuildsDisabled = "BUILDS_DISABLED",
    /** A job that failed due to ci quota exceeded. */
    CiQuotaExceeded = "CI_QUOTA_EXCEEDED",
    /** A job that failed due to data integrity failure. */
    DataIntegrityFailure = "DATA_INTEGRITY_FAILURE",
    /** A job that failed due to deployment rejected. */
    DeploymentRejected = "DEPLOYMENT_REJECTED",
    /** A job that failed due to downstream bridge project not found. */
    DownstreamBridgeProjectNotFound = "DOWNSTREAM_BRIDGE_PROJECT_NOT_FOUND",
    /** A job that failed due to downstream pipeline creation failed. */
    DownstreamPipelineCreationFailed = "DOWNSTREAM_PIPELINE_CREATION_FAILED",
    /** A job that failed due to environment creation failure. */
    EnvironmentCreationFailure = "ENVIRONMENT_CREATION_FAILURE",
    /** A job that failed due to failed outdated deployment job. */
    FailedOutdatedDeploymentJob = "FAILED_OUTDATED_DEPLOYMENT_JOB",
    /** A job that failed due to forward deployment failure. */
    ForwardDeploymentFailure = "FORWARD_DEPLOYMENT_FAILURE",
    /** A job that failed due to insufficient bridge permissions. */
    InsufficientBridgePermissions = "INSUFFICIENT_BRIDGE_PERMISSIONS",
    /** A job that failed due to insufficient upstream permissions. */
    InsufficientUpstreamPermissions = "INSUFFICIENT_UPSTREAM_PERMISSIONS",
    /** A job that failed due to invalid bridge trigger. */
    InvalidBridgeTrigger = "INVALID_BRIDGE_TRIGGER",
    /** A job that failed due to ip restriction failure. */
    IpRestrictionFailure = "IP_RESTRICTION_FAILURE",
    /** A job that failed due to job execution timeout. */
    JobExecutionTimeout = "JOB_EXECUTION_TIMEOUT",
    /** A job that failed due to missing dependency failure. */
    MissingDependencyFailure = "MISSING_DEPENDENCY_FAILURE",
    /** A job that failed due to no matching runner. */
    NoMatchingRunner = "NO_MATCHING_RUNNER",
    /** A job that failed due to pipeline loop detected. */
    PipelineLoopDetected = "PIPELINE_LOOP_DETECTED",
    /** A job that failed due to project deleted. */
    ProjectDeleted = "PROJECT_DELETED",
    /** A job that failed due to protected environment failure. */
    ProtectedEnvironmentFailure = "PROTECTED_ENVIRONMENT_FAILURE",
    /** A job that failed due to reached downstream pipeline trigger rate limit. */
    ReachedDownstreamPipelineTriggerRateLimit = "REACHED_DOWNSTREAM_PIPELINE_TRIGGER_RATE_LIMIT",
    /** A job that failed due to reached max descendant pipelines depth. */
    ReachedMaxDescendantPipelinesDepth = "REACHED_MAX_DESCENDANT_PIPELINES_DEPTH",
    /** A job that failed due to reached max pipeline hierarchy size. */
    ReachedMaxPipelineHierarchySize = "REACHED_MAX_PIPELINE_HIERARCHY_SIZE",
    /** A job that failed due to runner system failure. */
    RunnerSystemFailure = "RUNNER_SYSTEM_FAILURE",
    /** A job that failed due to runner unsupported. */
    RunnerUnsupported = "RUNNER_UNSUPPORTED",
    /** A job that failed due to scheduler failure. */
    SchedulerFailure = "SCHEDULER_FAILURE",
    /** A job that failed due to script failure. */
    ScriptFailure = "SCRIPT_FAILURE",
    /** A job that failed due to secrets provider not found. */
    SecretsProviderNotFound = "SECRETS_PROVIDER_NOT_FOUND",
    /** A job that failed due to stale schedule. */
    StaleSchedule = "STALE_SCHEDULE",
    /** A job that failed due to stuck or timeout failure. */
    StuckOrTimeoutFailure = "STUCK_OR_TIMEOUT_FAILURE",
    /** A job that failed due to trace size exceeded. */
    TraceSizeExceeded = "TRACE_SIZE_EXCEEDED",
    /** A job that failed due to unknown failure. */
    UnknownFailure = "UNKNOWN_FAILURE",
    /** A job that failed due to unmet prerequisites. */
    UnmetPrerequisites = "UNMET_PREREQUISITES",
    /** A job that failed due to upstream bridge project not found. */
    UpstreamBridgeProjectNotFound = "UPSTREAM_BRIDGE_PROJECT_NOT_FOUND",
    /** A job that failed due to user blocked. */
    UserBlocked = "USER_BLOCKED"
}
export declare enum CiJobKind {
    /** Bridge CI job connecting a parent and child pipeline. */
    Bridge = "BRIDGE",
    /** Standard CI job. */
    Build = "BUILD"
}
export declare enum CiJobStatus {
    /** A job that is canceled. */
    Canceled = "CANCELED",
    /** A job that is canceling. */
    Canceling = "CANCELING",
    /** A job that is created. */
    Created = "CREATED",
    /** A job that is failed. */
    Failed = "FAILED",
    /** A job that is manual. */
    Manual = "MANUAL",
    /** A job that is pending. */
    Pending = "PENDING",
    /** A job that is preparing. */
    Preparing = "PREPARING",
    /** A job that is running. */
    Running = "RUNNING",
    /** A job that is scheduled. */
    Scheduled = "SCHEDULED",
    /** A job that is skipped. */
    Skipped = "SKIPPED",
    /** A job that is success. */
    Success = "SUCCESS",
    /** A job that is waiting for callback. */
    WaitingForCallback = "WAITING_FOR_CALLBACK",
    /** A job that is waiting for resource. */
    WaitingForResource = "WAITING_FOR_RESOURCE"
}
/** Autogenerated input type of CiJobTokenScopeAddGroupOrProject */
export type CiJobTokenScopeAddGroupOrProjectInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project that the CI job token scope belongs to. */
    projectPath: Scalars['ID']['input'];
    /** Group or project to be added to the CI job token scope. */
    targetPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CiJobTokenScopeAddGroupOrProject. */
export type CiJobTokenScopeAddGroupOrProjectPayload = {
    __typename?: 'CiJobTokenScopeAddGroupOrProjectPayload';
    /** CI job token's access scope. */
    ciJobTokenScope?: Maybe<CiJobTokenScopeType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CiJobTokenScopeAddProject */
export type CiJobTokenScopeAddProjectInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project that the CI job token scope belongs to. */
    projectPath: Scalars['ID']['input'];
    /** Project to be added to the CI job token scope. */
    targetProjectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CiJobTokenScopeAddProject. */
export type CiJobTokenScopeAddProjectPayload = {
    __typename?: 'CiJobTokenScopeAddProjectPayload';
    /** CI job token's access scope. */
    ciJobTokenScope?: Maybe<CiJobTokenScopeType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Direction of access. */
export declare enum CiJobTokenScopeDirection {
    /** Target projects in the inbound allowlist can access the scope project through their job tokens. */
    Inbound = "INBOUND",
    /** Job token scope project can access target project in the outbound allowlist. */
    Outbound = "OUTBOUND"
}
/** Autogenerated input type of CiJobTokenScopeRemoveGroup */
export type CiJobTokenScopeRemoveGroupInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project that the CI job token scope belongs to. */
    projectPath: Scalars['ID']['input'];
    /** Group to be removed from the CI job token scope. */
    targetGroupPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CiJobTokenScopeRemoveGroup. */
export type CiJobTokenScopeRemoveGroupPayload = {
    __typename?: 'CiJobTokenScopeRemoveGroupPayload';
    /** CI job token's access scope. */
    ciJobTokenScope?: Maybe<CiJobTokenScopeType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CiJobTokenScopeRemoveProject */
export type CiJobTokenScopeRemoveProjectInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project that the CI job token scope belongs to. */
    projectPath: Scalars['ID']['input'];
    /** Project to be removed from the CI job token scope. */
    targetProjectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CiJobTokenScopeRemoveProject. */
export type CiJobTokenScopeRemoveProjectPayload = {
    __typename?: 'CiJobTokenScopeRemoveProjectPayload';
    /** CI job token's scope of access. */
    ciJobTokenScope?: Maybe<CiJobTokenScopeType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type CiJobTokenScopeType = {
    __typename?: 'CiJobTokenScopeType';
    /** Allowlist of groups that can access the current project by authenticating with a CI/CD job token. */
    groupsAllowlist: GroupConnection;
    /** Count of groups that can access the current project by authenticating with a CI/CD job token. The count does not include subgroups. */
    groupsAllowlistCount: Scalars['Int']['output'];
    /** Allowlist of projects that can access the current project by authenticating with a CI/CD job token. */
    inboundAllowlist: ProjectConnection;
    /** Count of projects that can access the current project by authenticating with a CI/CD job token. The count does not include nested projects. */
    inboundAllowlistCount: Scalars['Int']['output'];
    /** Allow list of projects that are accessible using the current project's CI Job tokens. */
    outboundAllowlist: ProjectConnection;
    /**
     * Allow list of projects that can be accessed by CI Job tokens created by this project. Deprecated in GitLab 15.9: The `projects` attribute is being deprecated. Use `outbound_allowlist`.
     * @deprecated The `projects` attribute is being deprecated. Use `outbound_allowlist`. Deprecated in GitLab 15.9.
     */
    projects: ProjectConnection;
};
export type CiJobTokenScopeTypeGroupsAllowlistArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobTokenScopeTypeInboundAllowlistArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobTokenScopeTypeOutboundAllowlistArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobTokenScopeTypeProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiJobTrace = {
    __typename?: 'CiJobTrace';
    /**
     * HTML summary that contains the tail lines of the trace. Returns at most 16KB of raw bytes from the trace. The returned string might start with an unexpected invalid UTF-8 code point due to truncation. Introduced in GitLab 15.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.11.
     */
    htmlSummary: Scalars['String']['output'];
};
export type CiJobTraceHtmlSummaryArgs = {
    lastLines?: InputMaybe<Scalars['Int']['input']>;
};
/** Representation of duration statistics for a group of CI jobs. */
export type CiJobsDurationStatistics = {
    __typename?: 'CiJobsDurationStatistics';
    /**
     * 50th percentile. 50% of the durations are lower than this value. Introduced in GitLab 15.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.8.
     */
    p50?: Maybe<Scalars['Duration']['output']>;
    /**
     * 75th percentile. 75% of the durations are lower than this value. Introduced in GitLab 15.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.8.
     */
    p75?: Maybe<Scalars['Duration']['output']>;
    /**
     * 90th percentile. 90% of the durations are lower than this value. Introduced in GitLab 15.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.8.
     */
    p90?: Maybe<Scalars['Duration']['output']>;
    /**
     * 95th percentile. 95% of the durations are lower than this value. Introduced in GitLab 15.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.8.
     */
    p95?: Maybe<Scalars['Duration']['output']>;
    /**
     * 99th percentile. 99% of the durations are lower than this value. Introduced in GitLab 15.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.8.
     */
    p99?: Maybe<Scalars['Duration']['output']>;
};
/** Statistics for a group of CI jobs. */
export type CiJobsStatistics = {
    __typename?: 'CiJobsStatistics';
    /** Statistics for amount of time that jobs were waiting to be picked up. The calculation is performed based on the most recent 100 jobs executed by the 5000 most recently created runners in context. If no filter is applied to runners, the calculation is performed based on the most recent 100 jobs globally. */
    queuedDuration?: Maybe<CiJobsDurationStatistics>;
};
/** CI/CD variables given to a manual job. */
export type CiManualVariable = CiVariable & {
    __typename?: 'CiManualVariable';
    /**
     * Scope defining the environments that can use the variable. Deprecated in GitLab 15.3: No longer used, only available for GroupVariableType and ProjectVariableType.
     * @deprecated No longer used, only available for GroupVariableType and ProjectVariableType. Deprecated in GitLab 15.3.
     */
    environmentScope?: Maybe<Scalars['String']['output']>;
    /** ID of the variable. */
    id: Scalars['ID']['output'];
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is raw. */
    raw?: Maybe<Scalars['Boolean']['output']>;
    /** Value of the variable. */
    value?: Maybe<Scalars['String']['output']>;
    /** Type of the variable. */
    variableType?: Maybe<CiVariableType>;
};
/** The connection type for CiManualVariable. */
export type CiManualVariableConnection = {
    __typename?: 'CiManualVariableConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiManualVariableEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiManualVariable>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiManualVariableEdge = {
    __typename?: 'CiManualVariableEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiManualVariable>;
};
export type CiMinutesNamespaceMonthlyUsage = {
    __typename?: 'CiMinutesNamespaceMonthlyUsage';
    /** Total number of compute minutes used by all projects in the namespace. */
    minutes?: Maybe<Scalars['Int']['output']>;
    /** Month related to the usage data. */
    month?: Maybe<Scalars['String']['output']>;
    /** Month related to the usage data in ISO 8601 date format. */
    monthIso8601?: Maybe<Scalars['ISO8601Date']['output']>;
    /** Compute usage data for projects in the namespace. */
    projects?: Maybe<CiMinutesProjectMonthlyUsageConnection>;
    /** Total duration (in seconds) of shared runners use by the namespace for the month. */
    sharedRunnersDuration?: Maybe<Scalars['Int']['output']>;
};
export type CiMinutesNamespaceMonthlyUsageProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for CiMinutesNamespaceMonthlyUsage. */
export type CiMinutesNamespaceMonthlyUsageConnection = {
    __typename?: 'CiMinutesNamespaceMonthlyUsageConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiMinutesNamespaceMonthlyUsageEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiMinutesNamespaceMonthlyUsage>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiMinutesNamespaceMonthlyUsageEdge = {
    __typename?: 'CiMinutesNamespaceMonthlyUsageEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiMinutesNamespaceMonthlyUsage>;
};
export type CiMinutesProjectMonthlyUsage = {
    __typename?: 'CiMinutesProjectMonthlyUsage';
    /** Number of compute minutes used by the project in the month. */
    minutes?: Maybe<Scalars['Int']['output']>;
    /**
     * Name of the project. Deprecated in GitLab 15.6: Use `project.name`.
     * @deprecated Use `project.name`. Deprecated in GitLab 15.6.
     */
    name?: Maybe<Scalars['String']['output']>;
    /** Project having the recorded usage. */
    project?: Maybe<Project>;
    /** Total duration (in seconds) of shared runners use by the project for the month. */
    sharedRunnersDuration?: Maybe<Scalars['Int']['output']>;
};
/** The connection type for CiMinutesProjectMonthlyUsage. */
export type CiMinutesProjectMonthlyUsageConnection = {
    __typename?: 'CiMinutesProjectMonthlyUsageConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiMinutesProjectMonthlyUsageEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiMinutesProjectMonthlyUsage>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiMinutesProjectMonthlyUsageEdge = {
    __typename?: 'CiMinutesProjectMonthlyUsageEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiMinutesProjectMonthlyUsage>;
};
/** CI/CD variables for a project. */
export type CiProjectVariable = CiVariable & {
    __typename?: 'CiProjectVariable';
    /** Description of the variable. */
    description?: Maybe<Scalars['String']['output']>;
    /** Scope defining the environments that can use the variable. */
    environmentScope?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is hidden. */
    hidden?: Maybe<Scalars['Boolean']['output']>;
    /** ID of the variable. */
    id: Scalars['ID']['output'];
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is masked. */
    masked?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is protected. */
    protected?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is raw. */
    raw?: Maybe<Scalars['Boolean']['output']>;
    /** Value of the variable. */
    value?: Maybe<Scalars['String']['output']>;
    /** Type of the variable. */
    variableType?: Maybe<CiVariableType>;
};
/** The connection type for CiProjectVariable. */
export type CiProjectVariableConnection = {
    __typename?: 'CiProjectVariableConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiProjectVariableEdge>>>;
    /** Maximum amount of project CI/CD variables. */
    limit: Scalars['Int']['output'];
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiProjectVariable>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiProjectVariableEdge = {
    __typename?: 'CiProjectVariableEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiProjectVariable>;
};
export type CiRunner = {
    __typename?: 'CiRunner';
    /** Access level of the runner. */
    accessLevel: CiRunnerAccessLevel;
    /**
     * Indicates the runner is allowed to receive jobs. Deprecated in GitLab 14.8: Use paused.
     * @deprecated Use paused. Deprecated in GitLab 14.8.
     */
    active: Scalars['Boolean']['output'];
    /** Admin URL of the runner. Only available for administrators. */
    adminUrl?: Maybe<Scalars['String']['output']>;
    /** Timestamp of last contact from this runner. */
    contactedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp of creation of this runner. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** User that created this runner. */
    createdBy?: Maybe<UserCore>;
    /**
     * Type of runner registration. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    creationMethod?: Maybe<CiRunnerCreationMethod>;
    /** Description of the runner. */
    description?: Maybe<Scalars['String']['output']>;
    /** Admin form URL of the runner. Only available for administrators. */
    editAdminUrl?: Maybe<Scalars['String']['output']>;
    /**
     * Ephemeral authentication token used for runner manager registration. Only available for the creator of the runner for a limited time during registration. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    ephemeralAuthenticationToken?: Maybe<Scalars['String']['output']>;
    /**
     * URL of the registration page of the runner manager. Only available for the creator of the runner for a limited time during registration. Introduced in GitLab 15.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.11.
     */
    ephemeralRegisterUrl?: Maybe<Scalars['String']['output']>;
    /** Groups the runner is associated with. For group runners only. */
    groups?: Maybe<GroupConnection>;
    /** ID of the runner. */
    id: Scalars['CiRunnerID']['output'];
    /**
     * Number of jobs processed by the runner (limited to 1000, plus one to indicate that more items exist).
     * `jobCount` is an optimized version of `jobs { count }`, and can be requested for multiple runners on the same request.
     */
    jobCount?: Maybe<Scalars['Int']['output']>;
    /**
     * Job execution status of the runner. Introduced in GitLab 15.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.7.
     */
    jobExecutionStatus?: Maybe<CiRunnerJobExecutionStatus>;
    /** Jobs assigned to the runner. This field can only be resolved for one runner in any single request. */
    jobs?: Maybe<CiJobConnection>;
    /** Indicates the runner is locked. */
    locked?: Maybe<Scalars['Boolean']['output']>;
    /** Runner's maintenance notes. */
    maintenanceNote?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `maintenance_note` */
    maintenanceNoteHtml?: Maybe<Scalars['String']['output']>;
    /** Runner managers associated with the runner configuration. */
    managers?: Maybe<CiRunnerManagerConnection>;
    /** Maximum timeout (in seconds) for jobs processed by the runner. */
    maximumTimeout?: Maybe<Scalars['Int']['output']>;
    /** Project that owns the runner. For project runners only. */
    ownerProject?: Maybe<Project>;
    /** Indicates the runner is paused and not available to run jobs. */
    paused: Scalars['Boolean']['output'];
    /** Private projects' "compute cost factor" associated with the runner (GitLab.com only). */
    privateProjectsMinutesCostFactor?: Maybe<Scalars['Float']['output']>;
    /** Number of projects that the runner is associated with. */
    projectCount?: Maybe<Scalars['Int']['output']>;
    /** Find projects the runner is associated with. For project runners only. */
    projects?: Maybe<ProjectConnection>;
    /** Public projects' "compute cost factor" associated with the runner (GitLab.com only). */
    publicProjectsMinutesCostFactor?: Maybe<Scalars['Float']['output']>;
    /** URL of the temporary registration page of the runner. Only available before the runner is registered. Only available for administrators. */
    registerAdminUrl?: Maybe<Scalars['String']['output']>;
    /** Indicates the runner is able to run untagged jobs. */
    runUntagged: Scalars['Boolean']['output'];
    /** Type of the runner. */
    runnerType: CiRunnerType;
    /** First eight characters of the runner's token used to authenticate new job requests. Used as the runner's unique ID. */
    shortSha?: Maybe<Scalars['String']['output']>;
    /** Status of the runner. */
    status: CiRunnerStatus;
    /** Tags associated with the runner. */
    tagList?: Maybe<Array<Scalars['String']['output']>>;
    /** Runner token expiration time. */
    tokenExpiresAt?: Maybe<Scalars['Time']['output']>;
    /** Availability of upgrades for the runner. */
    upgradeStatus?: Maybe<CiRunnerUpgradeStatus>;
    /** Permissions for the current user on the resource */
    userPermissions: RunnerPermissions;
};
export type CiRunnerGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiRunnerJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    statuses?: InputMaybe<Array<CiJobStatus>>;
};
export type CiRunnerManagersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    status?: InputMaybe<CiRunnerStatus>;
    systemId?: InputMaybe<Scalars['String']['input']>;
};
export type CiRunnerProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    membership?: InputMaybe<Scalars['Boolean']['input']>;
    personal?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    searchNamespaces?: InputMaybe<Scalars['Boolean']['input']>;
    sort?: InputMaybe<Scalars['String']['input']>;
    topics?: InputMaybe<Array<Scalars['String']['input']>>;
};
export declare enum CiRunnerAccessLevel {
    /** A runner that is not protected. */
    NotProtected = "NOT_PROTECTED",
    /** A runner that is ref protected. */
    RefProtected = "REF_PROTECTED"
}
/** Runner cloud provider. */
export declare enum CiRunnerCloudProvider {
    /** Google Cloud. */
    GoogleCloud = "GOOGLE_CLOUD"
}
/** Information used in runner cloud provisioning. */
export type CiRunnerCloudProvisioning = CiRunnerGoogleCloudProvisioning;
/** Step used to provision the runner to Google Cloud. */
export type CiRunnerCloudProvisioningStep = {
    __typename?: 'CiRunnerCloudProvisioningStep';
    /** Instructions to provision the runner. */
    instructions?: Maybe<Scalars['String']['output']>;
    /** Identifier of the language used for the instructions field. This identifier can be any of the identifiers specified in the [list of supported languages and lexers](https://github.com/rouge-ruby/rouge/wiki/List-of-supported-languages-and-lexers). */
    languageIdentifier?: Maybe<Scalars['String']['output']>;
    /** Title of the step. */
    title?: Maybe<Scalars['String']['output']>;
};
/** The connection type for CiRunner. */
export type CiRunnerConnection = {
    __typename?: 'CiRunnerConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiRunnerEdge>>>;
    /**
     * Jobs statistics for jobs executed by a collection of runners. Available only to admins.
     *
     */
    jobsStatistics?: Maybe<CiJobsStatistics>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiRunner>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
export declare enum CiRunnerCreationMethod {
    /** Applies to a runner that was created by an authenticated user. */
    AuthenticatedUser = "AUTHENTICATED_USER",
    /** Applies to a runner that was created by a runner registration token. */
    RegistrationToken = "REGISTRATION_TOKEN"
}
/** An edge in a connection. */
export type CiRunnerEdge = {
    __typename?: 'CiRunnerEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** Web URL of the runner edit page. The value depends on where you put this field in the query. You can use it for projects or groups. */
    editUrl?: Maybe<Scalars['String']['output']>;
    /** The item at the end of the edge. */
    node?: Maybe<CiRunner>;
    /** Web URL of the runner. The value depends on where you put this field in the query. You can use it for projects or groups. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** Information used for runner Google Cloud provisioning. */
export type CiRunnerGoogleCloudProvisioning = {
    __typename?: 'CiRunnerGoogleCloudProvisioning';
    /** Instructions for setting up a Google Cloud project. */
    projectSetupShellScript?: Maybe<Scalars['String']['output']>;
    /** Steps used to provision a runner in the cloud. */
    provisioningSteps?: Maybe<Array<CiRunnerCloudProvisioningStep>>;
};
/** Information used for runner Google Cloud provisioning. */
export type CiRunnerGoogleCloudProvisioningProvisioningStepsArgs = {
    ephemeralMachineType: Scalars['GoogleCloudMachineType']['input'];
    region: Scalars['GoogleCloudRegion']['input'];
    runnerToken?: InputMaybe<Scalars['String']['input']>;
    zone: Scalars['GoogleCloudZone']['input'];
};
export declare enum CiRunnerJobExecutionStatus {
    /**
     * Runner is busy. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    Active = "ACTIVE",
    /**
     * Runner is idle. Introduced in GitLab 15.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.7.
     */
    Idle = "IDLE"
}
export type CiRunnerManager = {
    __typename?: 'CiRunnerManager';
    /** Architecture provided by the runner manager. */
    architectureName?: Maybe<Scalars['String']['output']>;
    /** Timestamp of last contact from the runner manager. */
    contactedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp of creation of the runner manager. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Executor last advertised by the runner. */
    executorName?: Maybe<Scalars['String']['output']>;
    /** ID of the runner manager. */
    id: Scalars['CiRunnerManagerID']['output'];
    /** IP address of the runner manager. */
    ipAddress?: Maybe<Scalars['String']['output']>;
    /**
     * Job execution status of the runner manager. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    jobExecutionStatus?: Maybe<CiRunnerJobExecutionStatus>;
    /** Platform provided by the runner manager. */
    platformName?: Maybe<Scalars['String']['output']>;
    /** Revision of the runner. */
    revision?: Maybe<Scalars['String']['output']>;
    /** Runner configuration for the runner manager. */
    runner?: Maybe<CiRunner>;
    /** Status of the runner manager. */
    status: CiRunnerStatus;
    /** System ID associated with the runner manager. */
    systemId: Scalars['String']['output'];
    /** Availability of upgrades for the runner manager. */
    upgradeStatus?: Maybe<CiRunnerUpgradeStatus>;
    /** Version of the runner. */
    version?: Maybe<Scalars['String']['output']>;
};
/** The connection type for CiRunnerManager. */
export type CiRunnerManagerConnection = {
    __typename?: 'CiRunnerManagerConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiRunnerManagerEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiRunnerManager>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiRunnerManagerEdge = {
    __typename?: 'CiRunnerManagerEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiRunnerManager>;
};
/** Values for filtering runners in namespaces. */
export declare enum CiRunnerMembershipFilter {
    /**
     * Include all runners. This list includes runners for all projects in the group and subgroups, as well as for the parent groups and instance. Introduced in GitLab 15.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.5.
     */
    AllAvailable = "ALL_AVAILABLE",
    /** Include runners that have either a direct or inherited relationship. These runners can be specific to a project or a group. */
    Descendants = "DESCENDANTS",
    /** Include runners that have a direct relationship. */
    Direct = "DIRECT"
}
/** Values for sorting runners */
export declare enum CiRunnerSort {
    /** Ordered by contacted_at in ascending order. */
    ContactedAsc = "CONTACTED_ASC",
    /** Ordered by contacted_at in descending order. */
    ContactedDesc = "CONTACTED_DESC",
    /** Ordered by created_at in ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Ordered by created_at in descending order. */
    CreatedDesc = "CREATED_DESC",
    /**
     * Ordered by number of running jobs in descending order (only available on Ultimate plans). Introduced in GitLab 16.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.2.
     */
    MostActiveDesc = "MOST_ACTIVE_DESC",
    /** Ordered by token_expires_at in ascending order. */
    TokenExpiresAtAsc = "TOKEN_EXPIRES_AT_ASC",
    /** Ordered by token_expires_at in descending order. */
    TokenExpiresAtDesc = "TOKEN_EXPIRES_AT_DESC"
}
export declare enum CiRunnerStatus {
    /**
     * Runner that is not paused. Deprecated in GitLab 14.6: This was renamed.
     * @deprecated This was renamed. Please use `CiRunner.paused`. Deprecated in GitLab 14.6.
     */
    Active = "ACTIVE",
    /** Runner that has never contacted this instance. */
    NeverContacted = "NEVER_CONTACTED",
    /** Runner that has not contacted this instance within the last 2 hours. Will be considered `STALE` if offline for more than 7 days. */
    Offline = "OFFLINE",
    /** Runner that contacted this instance within the last 2 hours. */
    Online = "ONLINE",
    /**
     * Runner that is paused. Deprecated in GitLab 14.6: This was renamed.
     * @deprecated This was renamed. Please use `CiRunner.paused`. Deprecated in GitLab 14.6.
     */
    Paused = "PAUSED",
    /** Runner that has not contacted this instance within the last 7 days. */
    Stale = "STALE"
}
export declare enum CiRunnerType {
    /** A runner that is group type. */
    GroupType = "GROUP_TYPE",
    /** A runner that is instance type. */
    InstanceType = "INSTANCE_TYPE",
    /** A runner that is project type. */
    ProjectType = "PROJECT_TYPE"
}
export declare enum CiRunnerUpgradeStatus {
    /** Upgrade is available for the runner. */
    Available = "AVAILABLE",
    /** Runner version is not valid. */
    Invalid = "INVALID",
    /** Upgrade is not available for the runner. */
    NotAvailable = "NOT_AVAILABLE",
    /** Upgrade is available and recommended for the runner. */
    Recommended = "RECOMMENDED"
}
/** Runner usage. */
export type CiRunnerUsage = {
    __typename?: 'CiRunnerUsage';
    /** Amount of builds executed during the selected period, encoded as a string. */
    ciBuildCount: Scalars['BigInt']['output'];
    /** Amount of minutes used during the selected period, encoded as a string. */
    ciMinutesUsed: Scalars['BigInt']['output'];
    /** Runner that the usage refers to. Null means "Other runners". */
    runner?: Maybe<CiRunner>;
};
/** Runner usage in minutes by project. */
export type CiRunnerUsageByProject = {
    __typename?: 'CiRunnerUsageByProject';
    /** Amount of builds executed during the selected period, encoded as a string. */
    ciBuildCount: Scalars['BigInt']['output'];
    /** Amount of minutes used during the selected period, encoded as a string. */
    ciMinutesUsed: Scalars['BigInt']['output'];
    /** Project that the usage refers to. Null means "Other projects". */
    project?: Maybe<Project>;
};
/** Represents the Geo replication and verification state of a ci_secure_file. */
export type CiSecureFileRegistry = {
    __typename?: 'CiSecureFileRegistry';
    /** ID of the Ci Secure File. */
    ciSecureFileId: Scalars['ID']['output'];
    /** Timestamp when the CiSecureFileRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the CiSecureFileRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the CiSecureFileRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the CiSecureFileRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the CiSecureFileRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the CiSecureFileRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the CiSecureFileRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the CiSecureFileRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the CiSecureFileRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the CiSecureFileRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the CiSecureFileRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of CiSecureFileRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the CiSecureFileRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the CiSecureFileRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for CiSecureFileRegistry. */
export type CiSecureFileRegistryConnection = {
    __typename?: 'CiSecureFileRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiSecureFileRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiSecureFileRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiSecureFileRegistryEdge = {
    __typename?: 'CiSecureFileRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiSecureFileRegistry>;
};
export type CiStage = {
    __typename?: 'CiStage';
    /** Detailed status of the stage. */
    detailedStatus?: Maybe<DetailedStatus>;
    /** Group of jobs for the stage. */
    groups?: Maybe<CiGroupConnection>;
    /** ID of the stage. */
    id: Scalars['ID']['output'];
    /** Jobs for the stage. */
    jobs?: Maybe<CiJobConnection>;
    /** Name of the stage. */
    name?: Maybe<Scalars['String']['output']>;
    /** Status of the pipeline stage. */
    status?: Maybe<Scalars['String']['output']>;
};
export type CiStageGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type CiStageJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for CiStage. */
export type CiStageConnection = {
    __typename?: 'CiStageConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiStageEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiStage>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiStageEdge = {
    __typename?: 'CiStageEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiStage>;
};
export type CiSubscriptionsProject = {
    __typename?: 'CiSubscriptionsProject';
    /** Author of the subscription. */
    author?: Maybe<UserCore>;
    /** Downstream project of the subscription. */
    downstreamProject?: Maybe<Project>;
    /** Global ID of the subscription. */
    id?: Maybe<Scalars['CiSubscriptionsProjectID']['output']>;
    /** Upstream project of the subscription. */
    upstreamProject?: Maybe<Project>;
};
/** The connection type for CiSubscriptionsProject. */
export type CiSubscriptionsProjectConnection = {
    __typename?: 'CiSubscriptionsProjectConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CiSubscriptionsProjectEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CiSubscriptionsProject>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CiSubscriptionsProjectEdge = {
    __typename?: 'CiSubscriptionsProjectEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CiSubscriptionsProject>;
};
/** GitLab CI/CD configuration template. */
export type CiTemplate = {
    __typename?: 'CiTemplate';
    /** Contents of the CI template. */
    content: Scalars['String']['output'];
    /** Name of the CI template. */
    name: Scalars['String']['output'];
};
export type CiVariable = {
    /** ID of the variable. */
    id: Scalars['ID']['output'];
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is raw. */
    raw?: Maybe<Scalars['Boolean']['output']>;
    /** Value of the variable. */
    value?: Maybe<Scalars['String']['output']>;
    /** Type of the variable. */
    variableType?: Maybe<CiVariableType>;
};
/** Attributes for defining a CI/CD variable. */
export type CiVariableInput = {
    /** Name of the variable. */
    key: Scalars['String']['input'];
    /** Value of the variable. */
    value: Scalars['String']['input'];
};
/** Values for sorting variables */
export declare enum CiVariableSort {
    /** Sorted by key in ascending order. */
    KeyAsc = "KEY_ASC",
    /** Sorted by key in descending order. */
    KeyDesc = "KEY_DESC"
}
export declare enum CiVariableType {
    /** Env var type. */
    EnvVar = "ENV_VAR",
    /** File type. */
    File = "FILE"
}
export type ClusterAgent = {
    __typename?: 'ClusterAgent';
    /** Recent activity for the cluster agent. */
    activityEvents?: Maybe<ClusterAgentActivityEventConnection>;
    /** Active connections for the cluster agent */
    connections?: Maybe<ConnectedAgentConnection>;
    /** Timestamp the cluster agent was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** User object, containing information about the person who created the agent. */
    createdByUser?: Maybe<UserCore>;
    /** ID of the cluster agent. */
    id: Scalars['ID']['output'];
    /** Name of the cluster agent. */
    name?: Maybe<Scalars['String']['output']>;
    /** Project this cluster agent is associated with. */
    project?: Maybe<Project>;
    /** Tokens associated with the cluster agent. */
    tokens?: Maybe<ClusterAgentTokenConnection>;
    /** Timestamp the cluster agent was updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Container images reported on the agent vulnerabilities. */
    vulnerabilityImages?: Maybe<VulnerabilityContainerImageConnection>;
    /** Web path of the cluster agent. */
    webPath?: Maybe<Scalars['String']['output']>;
    /** Workspaces associated with the agent. */
    workspaces?: Maybe<WorkspaceConnection>;
};
export type ClusterAgentActivityEventsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ClusterAgentConnectionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ClusterAgentTokensArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ClusterAgentVulnerabilityImagesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ClusterAgentWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
export type ClusterAgentActivityEvent = {
    __typename?: 'ClusterAgentActivityEvent';
    /** Agent token associated with the event. */
    agentToken?: Maybe<ClusterAgentToken>;
    /** Type of event. */
    kind?: Maybe<Scalars['String']['output']>;
    /** Severity of the event. */
    level?: Maybe<Scalars['String']['output']>;
    /** Timestamp the event was recorded. */
    recordedAt?: Maybe<Scalars['Time']['output']>;
    /** User associated with the event. */
    user?: Maybe<UserCore>;
};
/** The connection type for ClusterAgentActivityEvent. */
export type ClusterAgentActivityEventConnection = {
    __typename?: 'ClusterAgentActivityEventConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ClusterAgentActivityEventEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ClusterAgentActivityEvent>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ClusterAgentActivityEventEdge = {
    __typename?: 'ClusterAgentActivityEventEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ClusterAgentActivityEvent>;
};
export type ClusterAgentAuthorizationCiAccess = {
    __typename?: 'ClusterAgentAuthorizationCiAccess';
    /** Authorized cluster agent. */
    agent?: Maybe<ClusterAgent>;
    /** Configuration for the authorized project. */
    config?: Maybe<Scalars['JSON']['output']>;
};
/** The connection type for ClusterAgentAuthorizationCiAccess. */
export type ClusterAgentAuthorizationCiAccessConnection = {
    __typename?: 'ClusterAgentAuthorizationCiAccessConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ClusterAgentAuthorizationCiAccessEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ClusterAgentAuthorizationCiAccess>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ClusterAgentAuthorizationCiAccessEdge = {
    __typename?: 'ClusterAgentAuthorizationCiAccessEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ClusterAgentAuthorizationCiAccess>;
};
export type ClusterAgentAuthorizationUserAccess = {
    __typename?: 'ClusterAgentAuthorizationUserAccess';
    /** Authorized cluster agent. */
    agent?: Maybe<ClusterAgent>;
    /** Configuration for the authorized project. */
    config?: Maybe<Scalars['JSON']['output']>;
};
/** The connection type for ClusterAgentAuthorizationUserAccess. */
export type ClusterAgentAuthorizationUserAccessConnection = {
    __typename?: 'ClusterAgentAuthorizationUserAccessConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ClusterAgentAuthorizationUserAccessEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ClusterAgentAuthorizationUserAccess>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ClusterAgentAuthorizationUserAccessEdge = {
    __typename?: 'ClusterAgentAuthorizationUserAccessEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ClusterAgentAuthorizationUserAccess>;
};
/** The connection type for ClusterAgent. */
export type ClusterAgentConnection = {
    __typename?: 'ClusterAgentConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ClusterAgentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ClusterAgent>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of ClusterAgentDelete */
export type ClusterAgentDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the cluster agent that will be deleted. */
    id: Scalars['ClustersAgentID']['input'];
};
/** Autogenerated return type of ClusterAgentDelete. */
export type ClusterAgentDeletePayload = {
    __typename?: 'ClusterAgentDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type ClusterAgentEdge = {
    __typename?: 'ClusterAgentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ClusterAgent>;
};
export type ClusterAgentToken = {
    __typename?: 'ClusterAgentToken';
    /** Cluster agent this token is associated with. */
    clusterAgent?: Maybe<ClusterAgent>;
    /** Timestamp the token was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** User who created the token. */
    createdByUser?: Maybe<UserCore>;
    /** Description of the token. */
    description?: Maybe<Scalars['String']['output']>;
    /** Global ID of the token. */
    id: Scalars['ClustersAgentTokenID']['output'];
    /** Timestamp the token was last used. */
    lastUsedAt?: Maybe<Scalars['Time']['output']>;
    /** Name given to the token. */
    name?: Maybe<Scalars['String']['output']>;
    /** Current status of the token. */
    status?: Maybe<AgentTokenStatus>;
};
/** The connection type for ClusterAgentToken. */
export type ClusterAgentTokenConnection = {
    __typename?: 'ClusterAgentTokenConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ClusterAgentTokenEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ClusterAgentToken>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of ClusterAgentTokenCreate */
export type ClusterAgentTokenCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the cluster agent that will be associated with the new token. */
    clusterAgentId: Scalars['ClustersAgentID']['input'];
    /** Description of the token. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Name of the token. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of ClusterAgentTokenCreate. */
export type ClusterAgentTokenCreatePayload = {
    __typename?: 'ClusterAgentTokenCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Token secret value. Make sure you save it - you won't be able to access it again. */
    secret?: Maybe<Scalars['String']['output']>;
    /** Token created after mutation. */
    token?: Maybe<ClusterAgentToken>;
};
/** An edge in a connection. */
export type ClusterAgentTokenEdge = {
    __typename?: 'ClusterAgentTokenEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ClusterAgentToken>;
};
/** Autogenerated input type of ClusterAgentTokenRevoke */
export type ClusterAgentTokenRevokeInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the agent token that will be revoked. */
    id: Scalars['ClustersAgentTokenID']['input'];
};
/** Autogenerated return type of ClusterAgentTokenRevoke. */
export type ClusterAgentTokenRevokePayload = {
    __typename?: 'ClusterAgentTokenRevokePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Represents the code coverage activity for a group */
export type CodeCoverageActivity = {
    __typename?: 'CodeCoverageActivity';
    /** Average percentage of the different code coverage results available for the group. */
    averageCoverage?: Maybe<Scalars['Float']['output']>;
    /** Number of different code coverage results available for the group. */
    coverageCount?: Maybe<Scalars['Int']['output']>;
    /** Date when the code coverage was created. */
    date: Scalars['Date']['output'];
    /** Number of projects with code coverage results for the group. */
    projectCount?: Maybe<Scalars['Int']['output']>;
};
/** The connection type for CodeCoverageActivity. */
export type CodeCoverageActivityConnection = {
    __typename?: 'CodeCoverageActivityConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CodeCoverageActivityEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CodeCoverageActivity>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CodeCoverageActivityEdge = {
    __typename?: 'CodeCoverageActivityEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CodeCoverageActivity>;
};
/** Represents the code coverage summary for a project */
export type CodeCoverageSummary = {
    __typename?: 'CodeCoverageSummary';
    /** Average percentage of the different code coverage results available for the project. */
    averageCoverage?: Maybe<Scalars['Float']['output']>;
    /** Number of different code coverage results available. */
    coverageCount?: Maybe<Scalars['Int']['output']>;
    /** Latest date when the code coverage was created for the project. */
    lastUpdatedOn?: Maybe<Scalars['Date']['output']>;
};
/** Represents a code quality degradation on the pipeline. */
export type CodeQualityDegradation = {
    __typename?: 'CodeQualityDegradation';
    /** Description of the code quality degradation. */
    description: Scalars['String']['output'];
    /** Code Quality plugin that reported the finding. */
    engineName: Scalars['String']['output'];
    /** Unique fingerprint to identify the code quality degradation. For example, an MD5 hash. */
    fingerprint: Scalars['String']['output'];
    /** Line on which the code quality degradation occurred. */
    line: Scalars['Int']['output'];
    /** Relative path to the file containing the code quality degradation. */
    path: Scalars['String']['output'];
    /** Status of the degradation (BLOCKER, CRITICAL, MAJOR, MINOR, INFO, UNKNOWN). */
    severity: CodeQualityDegradationSeverity;
    /** URL to the file along with line number. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** The connection type for CodeQualityDegradation. */
export type CodeQualityDegradationConnection = {
    __typename?: 'CodeQualityDegradationConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CodeQualityDegradationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CodeQualityDegradation>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CodeQualityDegradationEdge = {
    __typename?: 'CodeQualityDegradationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CodeQualityDegradation>;
};
export declare enum CodeQualityDegradationSeverity {
    /** Code Quality degradation has a status of blocker. */
    Blocker = "BLOCKER",
    /** Code Quality degradation has a status of critical. */
    Critical = "CRITICAL",
    /** Code Quality degradation has a status of info. */
    Info = "INFO",
    /** Code Quality degradation has a status of major. */
    Major = "MAJOR",
    /** Code Quality degradation has a status of minor. */
    Minor = "MINOR",
    /** Code Quality degradation has a status of unknown. */
    Unknown = "UNKNOWN"
}
/** Code Quality report for a pipeline */
export type CodeQualityReportSummary = {
    __typename?: 'CodeQualityReportSummary';
    /** Total number of blocker status. */
    blocker?: Maybe<Scalars['Int']['output']>;
    /** Total number of Code Quality reports. */
    count?: Maybe<Scalars['Int']['output']>;
    /** Total number of critical status. */
    critical?: Maybe<Scalars['Int']['output']>;
    /** Total number of info status. */
    info?: Maybe<Scalars['Int']['output']>;
    /** Total number of major status. */
    major?: Maybe<Scalars['Int']['output']>;
    /** Total number of minor status. */
    minor?: Maybe<Scalars['Int']['output']>;
    /** Total number of unknown status. */
    unknown?: Maybe<Scalars['Int']['output']>;
};
/** Represents reports comparison for code quality. */
export type CodequalityReportsComparer = {
    __typename?: 'CodequalityReportsComparer';
    /** Compared codequality report. */
    report?: Maybe<CodequalityReportsComparerReport>;
    /** Compared codequality report generation status. */
    status?: Maybe<CodequalityReportsComparerReportGenerationStatus>;
};
/** Represents compared code quality report. */
export type CodequalityReportsComparerReport = {
    __typename?: 'CodequalityReportsComparerReport';
    /** All code quality degradations. */
    existingErrors?: Maybe<Array<CodequalityReportsComparerReportDegradation>>;
    /** New code quality degradations. */
    newErrors: Array<CodequalityReportsComparerReportDegradation>;
    /** Resolved code quality degradations. */
    resolvedErrors?: Maybe<Array<CodequalityReportsComparerReportDegradation>>;
    /** Status of report. */
    status: CodequalityReportsComparerStatus;
    /** Codequality report summary. */
    summary: CodequalityReportsComparerReportSummary;
};
/** Represents a degradation on the compared codequality report. */
export type CodequalityReportsComparerReportDegradation = {
    __typename?: 'CodequalityReportsComparerReportDegradation';
    /** Description of the code quality degradation. */
    description: Scalars['String']['output'];
    /** Code quality plugin that reported the degradation. */
    engineName?: Maybe<Scalars['String']['output']>;
    /** Relative path to the file containing the code quality degradation. */
    filePath: Scalars['String']['output'];
    /** Unique fingerprint to identify the code quality degradation. For example, an MD5 hash. */
    fingerprint: Scalars['String']['output'];
    /** Line on which the code quality degradation occurred. */
    line: Scalars['Int']['output'];
    /** Severity of the code quality degradation (BLOCKER, CRITICAL, MAJOR, MINOR, INFO, UNKNOWN). */
    severity: CodeQualityDegradationSeverity;
    /** URL to the file along with line number. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** Represents the generation status of the compared codequality report. */
export declare enum CodequalityReportsComparerReportGenerationStatus {
    /** An error happened while generating the report. */
    Error = "ERROR",
    /** Report was generated. */
    Parsed = "PARSED",
    /** Report is being generated. */
    Parsing = "PARSING"
}
/** Represents a summary of the compared codequality report. */
export type CodequalityReportsComparerReportSummary = {
    __typename?: 'CodequalityReportsComparerReportSummary';
    /** Count of code quality errors. */
    errored?: Maybe<Scalars['Int']['output']>;
    /** Count of resolved code quality degradations. */
    resolved?: Maybe<Scalars['Int']['output']>;
    /** Total count of code quality degradations. */
    total?: Maybe<Scalars['Int']['output']>;
};
/** Represents the state of the code quality report. */
export declare enum CodequalityReportsComparerStatus {
    /** Report generated and there are new code quality degradations. */
    Failed = "FAILED",
    /** Head report or base report not found. */
    NotFound = "NOT_FOUND",
    /** No degradations found in the head pipeline report. */
    Success = "SUCCESS"
}
export type Commit = Todoable & {
    __typename?: 'Commit';
    /** Author of the commit. */
    author?: Maybe<UserCore>;
    /** Commit author's email. */
    authorEmail?: Maybe<Scalars['String']['output']>;
    /** Commit authors gravatar. */
    authorGravatar?: Maybe<Scalars['String']['output']>;
    /** Commit authors name. */
    authorName?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the commit was authored. */
    authoredDate?: Maybe<Scalars['Time']['output']>;
    /** Timestamp of when the commit was committed. */
    committedDate?: Maybe<Scalars['Time']['output']>;
    /** Email of the committer. */
    committerEmail?: Maybe<Scalars['String']['output']>;
    /** Name of the committer. */
    committerName?: Maybe<Scalars['String']['output']>;
    /** Description of the commit message. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Diffs contained within the commit. This field can only be resolved for 10 diffs in any single request. */
    diffs?: Maybe<Array<Diff>>;
    /** Full title of the commit message. */
    fullTitle?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `full_title` */
    fullTitleHtml?: Maybe<Scalars['String']['output']>;
    /** ID (global ID) of the commit. */
    id: Scalars['ID']['output'];
    /** Raw commit message. */
    message?: Maybe<Scalars['String']['output']>;
    /** Pipelines of the commit ordered latest first. */
    pipelines?: Maybe<PipelineConnection>;
    /** SHA1 ID of the commit. */
    sha: Scalars['String']['output'];
    /** Short SHA1 ID of the commit. */
    shortId: Scalars['String']['output'];
    /** Signature of the commit. */
    signature?: Maybe<CommitSignature>;
    /** Rendered HTML of the commit signature. */
    signatureHtml?: Maybe<Scalars['String']['output']>;
    /** Title of the commit message. */
    title?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `title` */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Web path of the commit. */
    webPath: Scalars['String']['output'];
    /** Web URL of the commit. */
    webUrl: Scalars['String']['output'];
};
export type CommitPipelinesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    ref?: InputMaybe<Scalars['String']['input']>;
    scope?: InputMaybe<PipelineScopeEnum>;
    sha?: InputMaybe<Scalars['String']['input']>;
    source?: InputMaybe<Scalars['String']['input']>;
    status?: InputMaybe<PipelineStatusEnum>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
export type CommitAction = {
    /** Action to perform: create, delete, move, update, or chmod. */
    action: CommitActionMode;
    /** Content of the file. */
    content?: InputMaybe<Scalars['String']['input']>;
    /** Encoding of the file. Default is text. */
    encoding?: InputMaybe<CommitEncoding>;
    /** Enables/disables the execute flag on the file. */
    executeFilemode?: InputMaybe<Scalars['Boolean']['input']>;
    /** Full path to the file. */
    filePath: Scalars['String']['input'];
    /** Last known file commit ID. */
    lastCommitId?: InputMaybe<Scalars['String']['input']>;
    /** Original full path to the file being moved. */
    previousPath?: InputMaybe<Scalars['String']['input']>;
};
/** Mode of a commit action */
export declare enum CommitActionMode {
    /** Chmod command. */
    Chmod = "CHMOD",
    /** Create command. */
    Create = "CREATE",
    /** Delete command. */
    Delete = "DELETE",
    /** Move command. */
    Move = "MOVE",
    /** Update command. */
    Update = "UPDATE"
}
/** The connection type for Commit. */
export type CommitConnection = {
    __typename?: 'CommitConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CommitEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Commit>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of CommitCreate */
export type CommitCreateInput = {
    /** Array of action hashes to commit as a batch. */
    actions: Array<CommitAction>;
    /** Name of the branch to commit into, it can be a new branch. */
    branch: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Raw commit message. */
    message: Scalars['String']['input'];
    /** Project full path the branch is associated with. */
    projectPath: Scalars['ID']['input'];
    /** If on a new branch, name of the original branch. */
    startBranch?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of CommitCreate. */
export type CommitCreatePayload = {
    __typename?: 'CommitCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Commit after mutation. */
    commit?: Maybe<Commit>;
    /** ETag path for the commit's pipeline. */
    commitPipelinePath?: Maybe<Scalars['String']['output']>;
    /** Contents of the commit. */
    content?: Maybe<Array<Scalars['String']['output']>>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type CommitData = {
    __typename?: 'CommitData';
    /** CSS class for age of commit. */
    ageMapClass: Scalars['String']['output'];
    /** Link to author avatar. */
    authorAvatar: Scalars['String']['output'];
    /** Link to the commit author. */
    commitAuthorLink: Scalars['String']['output'];
    /** Link to the commit. */
    commitLink: Scalars['String']['output'];
    /** Link to blame prior to the change. */
    projectBlameLink?: Maybe<Scalars['String']['output']>;
    /** Time of commit. */
    timeAgoTooltip: Scalars['String']['output'];
};
/** An edge in a connection. */
export type CommitEdge = {
    __typename?: 'CommitEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Commit>;
};
export declare enum CommitEncoding {
    /** Base64 encoding. */
    Base64 = "BASE64",
    /** Text encoding. */
    Text = "TEXT"
}
export type CommitParentNames = {
    __typename?: 'CommitParentNames';
    /** Names of the commit parent (branch or tag). */
    names?: Maybe<Array<Scalars['String']['output']>>;
};
export type CommitReferences = {
    __typename?: 'CommitReferences';
    /** Get branch names containing a given commit. */
    containingBranches?: Maybe<CommitParentNames>;
    /** Get tag names containing a given commit. */
    containingTags?: Maybe<CommitParentNames>;
    /** Get branch names tipping at a given commit. */
    tippingBranches?: Maybe<CommitParentNames>;
    /** Get tag names tipping at a given commit. */
    tippingTags?: Maybe<CommitParentNames>;
};
export type CommitReferencesContainingBranchesArgs = {
    excludeTipped?: Scalars['Boolean']['input'];
    limit?: Scalars['Int']['input'];
};
export type CommitReferencesContainingTagsArgs = {
    excludeTipped?: Scalars['Boolean']['input'];
    limit?: Scalars['Int']['input'];
};
export type CommitReferencesTippingBranchesArgs = {
    limit?: Scalars['Int']['input'];
};
export type CommitReferencesTippingTagsArgs = {
    limit?: Scalars['Int']['input'];
};
/** Represents signing information for a commit */
export type CommitSignature = {
    /** SHA of the associated commit. */
    commitSha?: Maybe<Scalars['String']['output']>;
    /** Project of the associated commit. */
    project?: Maybe<Project>;
    /** Indicates verification status of the associated key or certificate. */
    verificationStatus?: Maybe<VerificationStatus>;
};
/** Comparable security report type */
export declare enum ComparableSecurityReportType {
    /** API Fuzzing report */
    ApiFuzzing = "API_FUZZING",
    /** Container Scanning report */
    ContainerScanning = "CONTAINER_SCANNING",
    /** Coverage Fuzzing report */
    CoverageFuzzing = "COVERAGE_FUZZING",
    /** DAST report */
    Dast = "DAST",
    /** Dependency Scanning report */
    DependencyScanning = "DEPENDENCY_SCANNING",
    /** SAST report */
    Sast = "SAST",
    /** Secret Detection report */
    SecretDetection = "SECRET_DETECTION"
}
/** Represents compared security report. */
export type ComparedSecurityReport = {
    __typename?: 'ComparedSecurityReport';
    /**
     * New vulnerability findings. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    added?: Maybe<Array<ComparedSecurityReportFinding>>;
    /** Time of the base report creation. */
    baseReportCreatedAt?: Maybe<Scalars['Time']['output']>;
    /** Indicates whether the base report out of date. */
    baseReportOutOfDate?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Fixed vulnerability findings. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    fixed?: Maybe<Array<ComparedSecurityReportFinding>>;
    /** Time of the base report creation. */
    headReportCreatedAt?: Maybe<Scalars['Time']['output']>;
};
/** Represents finding. */
export type ComparedSecurityReportFinding = {
    __typename?: 'ComparedSecurityReportFinding';
    /** Description of the vulnerability finding. */
    description?: Maybe<Scalars['String']['output']>;
    /** IID of the pipeline. */
    foundByPipelineIid?: Maybe<Scalars['String']['output']>;
    /**
     * Identifiers of the vulnerability finding. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    identifiers?: Maybe<Array<VulnerabilityIdentifier>>;
    /**
     * Location of the vulnerability finding. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    location?: Maybe<VulnerabilityLocation>;
    /** Compared report vulnerability scanner. */
    scanner?: Maybe<ComparedSecurityReportScanner>;
    /** Severity of the vulnerability finding. */
    severity?: Maybe<VulnerabilitySeverity>;
    /** Finding status. */
    state?: Maybe<VulnerabilityState>;
    /** Title of the vulnerability finding. */
    title?: Maybe<Scalars['String']['output']>;
    /** UUIDv5 digest based on the vulnerability's report type, primary identifier, location, fingerprint, project identifier. */
    uuid?: Maybe<Scalars['String']['output']>;
};
/** Represents a compared report vulnerability scanner */
export type ComparedSecurityReportScanner = {
    __typename?: 'ComparedSecurityReportScanner';
    /** External ID of the vulnerability scanner. */
    externalId?: Maybe<Scalars['String']['output']>;
    /** Name of the vulnerability scanner. */
    name?: Maybe<Scalars['String']['output']>;
    /** Vendor of the vulnerability scanner. */
    vendor?: Maybe<Scalars['String']['output']>;
};
/** Represents a ComplianceFramework associated with a Project */
export type ComplianceFramework = {
    __typename?: 'ComplianceFramework';
    /** Hexadecimal representation of compliance framework's label color. */
    color: Scalars['String']['output'];
    /** Default compliance framework for the group. */
    default?: Maybe<Scalars['Boolean']['output']>;
    /** Description of the compliance framework. */
    description: Scalars['String']['output'];
    /** Compliance framework ID. */
    id: Scalars['ID']['output'];
    /** Name of the compliance framework. */
    name: Scalars['String']['output'];
    /** Full path of the compliance pipeline configuration stored in a project repository, such as `.gitlab/.compliance-gitlab-ci.yml@compliance/hipaa`. Ultimate only. */
    pipelineConfigurationFullPath?: Maybe<Scalars['String']['output']>;
    /** Projects associated with the compliance framework. */
    projects?: Maybe<ProjectConnection>;
    /** Scan Execution Policies of the compliance framework. */
    scanExecutionPolicies?: Maybe<ScanExecutionPolicyConnection>;
    /** Scan Result Policies of the compliance framework. */
    scanResultPolicies?: Maybe<ScanResultPolicyConnection>;
};
/** Represents a ComplianceFramework associated with a Project */
export type ComplianceFrameworkProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a ComplianceFramework associated with a Project */
export type ComplianceFrameworkScanExecutionPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a ComplianceFramework associated with a Project */
export type ComplianceFrameworkScanResultPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for ComplianceFramework. */
export type ComplianceFrameworkConnection = {
    __typename?: 'ComplianceFrameworkConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ComplianceFrameworkEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ComplianceFramework>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ComplianceFrameworkEdge = {
    __typename?: 'ComplianceFrameworkEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ComplianceFramework>;
};
export type ComplianceFrameworkFilters = {
    /** ID of the compliance framework. */
    id?: InputMaybe<Scalars['ComplianceManagementFrameworkID']['input']>;
    /** IDs of the compliance framework. */
    ids?: InputMaybe<Array<Scalars['ComplianceManagementFrameworkID']['input']>>;
    /** Negated compliance framework filter input. */
    not?: InputMaybe<NegatedComplianceFrameworkFilters>;
    /** Checks presence of compliance framework of the project, "none" and "any" values are supported. */
    presenceFilter?: InputMaybe<ComplianceFrameworkPresenceFilter>;
};
export type ComplianceFrameworkInput = {
    /** New color representation of the compliance framework in hex format. e.g. #FCA121. */
    color?: InputMaybe<Scalars['String']['input']>;
    /** Set this compliance framework as the default framework for the group. */
    default?: InputMaybe<Scalars['Boolean']['input']>;
    /** New description for the compliance framework. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** New name for the compliance framework. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the compliance pipeline configuration stored in a project repository, such as `.gitlab/.compliance-gitlab-ci.yml@compliance/hipaa`. Ultimate only. */
    pipelineConfigurationFullPath?: InputMaybe<Scalars['String']['input']>;
};
/** ComplianceFramework of a project for filtering */
export declare enum ComplianceFrameworkPresenceFilter {
    /** Any compliance framework is assigned. */
    Any = "ANY",
    /** No compliance framework is assigned. */
    None = "NONE"
}
/** Compliance standards adherence for a project. */
export type ComplianceStandardsAdherence = {
    __typename?: 'ComplianceStandardsAdherence';
    /** Name of the check for the compliance standard. */
    checkName: ComplianceStandardsAdherenceCheckName;
    /** Compliance standards adherence ID. */
    id: Scalars['ID']['output'];
    /** Project adhering to the compliance standard. */
    project: Project;
    /** Name of the compliance standard. */
    standard: ComplianceStandardsAdherenceStandard;
    /** Status of the compliance standards adherence. */
    status: ComplianceStandardsAdherenceStatus;
    /** Timestamp when the adherence was updated. */
    updatedAt: Scalars['Time']['output'];
};
/** Name of the check for the compliance standard. */
export declare enum ComplianceStandardsAdherenceCheckName {
    /** At least one non author approval */
    AtLeastOneNonAuthorApproval = "AT_LEAST_ONE_NON_AUTHOR_APPROVAL",
    /** At least two approvals */
    AtLeastTwoApprovals = "AT_LEAST_TWO_APPROVALS",
    /** Prevent approval by merge request author */
    PreventApprovalByMergeRequestAuthor = "PREVENT_APPROVAL_BY_MERGE_REQUEST_AUTHOR",
    /** Prevent approval by merge request committers */
    PreventApprovalByMergeRequestCommitters = "PREVENT_APPROVAL_BY_MERGE_REQUEST_COMMITTERS"
}
/** The connection type for ComplianceStandardsAdherence. */
export type ComplianceStandardsAdherenceConnection = {
    __typename?: 'ComplianceStandardsAdherenceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ComplianceStandardsAdherenceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ComplianceStandardsAdherence>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ComplianceStandardsAdherenceEdge = {
    __typename?: 'ComplianceStandardsAdherenceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ComplianceStandardsAdherence>;
};
export type ComplianceStandardsAdherenceInput = {
    /** Name of the check for the compliance standard. */
    checkName?: InputMaybe<ComplianceStandardsAdherenceCheckName>;
    /** Filter compliance standards adherence by project. */
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
    /** Name of the compliance standard. */
    standard?: InputMaybe<ComplianceStandardsAdherenceStandard>;
};
/** Name of the compliance standard. */
export declare enum ComplianceStandardsAdherenceStandard {
    /** Gitlab */
    Gitlab = "GITLAB",
    /** Soc2 */
    Soc2 = "SOC2"
}
/** Status of the compliance standards adherence. */
export declare enum ComplianceStandardsAdherenceStatus {
    /** Fail */
    Fail = "FAIL",
    /** Success */
    Success = "SUCCESS"
}
/** Compliance violation associated with a merged merge request. */
export type ComplianceViolation = {
    __typename?: 'ComplianceViolation';
    /** Compliance violation ID. */
    id: Scalars['ID']['output'];
    /** Merge request the compliance violation occurred in. */
    mergeRequest: MergeRequest;
    /** Reason the compliance violation occurred. */
    reason: ComplianceViolationReason;
    /** Severity of the compliance violation. */
    severityLevel: ComplianceViolationSeverity;
    /** User suspected of causing the compliance violation. */
    violatingUser: UserCore;
};
/** The connection type for ComplianceViolation. */
export type ComplianceViolationConnection = {
    __typename?: 'ComplianceViolationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ComplianceViolationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ComplianceViolation>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ComplianceViolationEdge = {
    __typename?: 'ComplianceViolationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ComplianceViolation>;
};
export type ComplianceViolationInput = {
    /** Merge requests merged after this date (inclusive). */
    mergedAfter?: InputMaybe<Scalars['Date']['input']>;
    /** Merge requests merged before this date (inclusive). */
    mergedBefore?: InputMaybe<Scalars['Date']['input']>;
    /** Filter compliance violations by project. */
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
    /** Filter compliance violations by target branch. */
    targetBranch?: InputMaybe<Scalars['String']['input']>;
};
/** Reason for the compliance violation. */
export declare enum ComplianceViolationReason {
    /** Approved by committer */
    ApprovedByCommitter = "APPROVED_BY_COMMITTER",
    /** Approved by insufficient users */
    ApprovedByInsufficientUsers = "APPROVED_BY_INSUFFICIENT_USERS",
    /** Approved by merge request author */
    ApprovedByMergeRequestAuthor = "APPROVED_BY_MERGE_REQUEST_AUTHOR"
}
/** Severity of the compliance violation. */
export declare enum ComplianceViolationSeverity {
    /** Critical severity */
    Critical = "CRITICAL",
    /** High severity */
    High = "HIGH",
    /** Info severity */
    Info = "INFO",
    /** Low severity */
    Low = "LOW",
    /** Medium severity */
    Medium = "MEDIUM"
}
/** Compliance violation sort values. */
export declare enum ComplianceViolationSort {
    /** Date merged in ascending order, further sorted by ID in ascending order. */
    MergedAtAsc = "MERGED_AT_ASC",
    /** Date merged in descending order, further sorted by ID in descending order. */
    MergedAtDesc = "MERGED_AT_DESC",
    /** Merge request title in ascending order, further sorted by ID in ascending order. */
    MergeRequestTitleAsc = "MERGE_REQUEST_TITLE_ASC",
    /** Merge request title in descending order, further sorted by ID in descending order. */
    MergeRequestTitleDesc = "MERGE_REQUEST_TITLE_DESC",
    /** Severity in ascending order, further sorted by ID in ascending order. */
    SeverityLevelAsc = "SEVERITY_LEVEL_ASC",
    /** Severity in descending order, further sorted by ID in descending order. */
    SeverityLevelDesc = "SEVERITY_LEVEL_DESC",
    /** Violation reason in ascending order, further sorted by ID in ascending order. */
    ViolationReasonAsc = "VIOLATION_REASON_ASC",
    /** Violation reason in descending order, further sorted by ID in descending order. */
    ViolationReasonDesc = "VIOLATION_REASON_DESC"
}
/** Composer metadata */
export type ComposerMetadata = {
    __typename?: 'ComposerMetadata';
    /** Data of the Composer JSON file. */
    composerJson: PackageComposerJsonType;
    /** Target SHA of the package. */
    targetSha: Scalars['String']['output'];
};
/** Conan file metadata */
export type ConanFileMetadata = PackageFileMetadata & {
    __typename?: 'ConanFileMetadata';
    /** Type of the Conan file. */
    conanFileType: ConanMetadatumFileTypeEnum;
    /** Reference of the Conan package. */
    conanPackageReference?: Maybe<Scalars['String']['output']>;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** ID of the metadatum. */
    id: Scalars['PackagesConanFileMetadatumID']['output'];
    /** Revision of the package. */
    packageRevision?: Maybe<Scalars['String']['output']>;
    /** Revision of the Conan recipe. */
    recipeRevision: Scalars['String']['output'];
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
};
/** Conan metadata */
export type ConanMetadata = {
    __typename?: 'ConanMetadata';
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** ID of the metadatum. */
    id: Scalars['PackagesConanMetadatumID']['output'];
    /** Channel of the Conan package. */
    packageChannel: Scalars['String']['output'];
    /** Username of the Conan package. */
    packageUsername: Scalars['String']['output'];
    /** Recipe of the Conan package. */
    recipe: Scalars['String']['output'];
    /** Recipe path of the Conan package. */
    recipePath: Scalars['String']['output'];
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
};
/** Conan file types */
export declare enum ConanMetadatumFileTypeEnum {
    /** A package file type. */
    PackageFile = "PACKAGE_FILE",
    /** A recipe file type. */
    RecipeFile = "RECIPE_FILE"
}
/** Autogenerated input type of ConfigureContainerScanning */
export type ConfigureContainerScanningInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ConfigureContainerScanning. */
export type ConfigureContainerScanningPayload = {
    __typename?: 'ConfigureContainerScanningPayload';
    /** Branch that has the new/modified `.gitlab-ci.yml` file. */
    branch?: Maybe<Scalars['String']['output']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Redirect path to use when the response is successful. */
    successPath?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of ConfigureDependencyScanning */
export type ConfigureDependencyScanningInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ConfigureDependencyScanning. */
export type ConfigureDependencyScanningPayload = {
    __typename?: 'ConfigureDependencyScanningPayload';
    /** Branch that has the new/modified `.gitlab-ci.yml` file. */
    branch?: Maybe<Scalars['String']['output']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Redirect path to use when the response is successful. */
    successPath?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of ConfigureSastIac */
export type ConfigureSastIacInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ConfigureSastIac. */
export type ConfigureSastIacPayload = {
    __typename?: 'ConfigureSastIacPayload';
    /** Branch that has the new/modified `.gitlab-ci.yml` file. */
    branch?: Maybe<Scalars['String']['output']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Redirect path to use when the response is successful. */
    successPath?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of ConfigureSast */
export type ConfigureSastInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** SAST CI configuration for the project. */
    configuration: SastCiConfigurationInput;
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ConfigureSast. */
export type ConfigureSastPayload = {
    __typename?: 'ConfigureSastPayload';
    /** Branch that has the new/modified `.gitlab-ci.yml` file. */
    branch?: Maybe<Scalars['String']['output']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Redirect path to use when the response is successful. */
    successPath?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of ConfigureSecretDetection */
export type ConfigureSecretDetectionInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ConfigureSecretDetection. */
export type ConfigureSecretDetectionPayload = {
    __typename?: 'ConfigureSecretDetectionPayload';
    /** Branch that has the new/modified `.gitlab-ci.yml` file. */
    branch?: Maybe<Scalars['String']['output']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Redirect path to use when the response is successful. */
    successPath?: Maybe<Scalars['String']['output']>;
};
/** Connection details for an Agent */
export type ConnectedAgent = {
    __typename?: 'ConnectedAgent';
    /** When the connection was established. */
    connectedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the connection. */
    connectionId?: Maybe<Scalars['BigInt']['output']>;
    /** Information about the Agent. */
    metadata?: Maybe<AgentMetadata>;
};
/** The connection type for ConnectedAgent. */
export type ConnectedAgentConnection = {
    __typename?: 'ConnectedAgentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ConnectedAgentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ConnectedAgent>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ConnectedAgentEdge = {
    __typename?: 'ConnectedAgentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ConnectedAgent>;
};
/** Values for sorting contacts */
export declare enum ContactSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Description in ascending order. */
    DescriptionAsc = "DESCRIPTION_ASC",
    /** Description in descending order. */
    DescriptionDesc = "DESCRIPTION_DESC",
    /** Email in ascending order. */
    EmailAsc = "EMAIL_ASC",
    /** Email in descending order. */
    EmailDesc = "EMAIL_DESC",
    /** First name in ascending order. */
    FirstNameAsc = "FIRST_NAME_ASC",
    /** First name in descending order. */
    FirstNameDesc = "FIRST_NAME_DESC",
    /** Last name in ascending order. */
    LastNameAsc = "LAST_NAME_ASC",
    /** Last name in descending order. */
    LastNameDesc = "LAST_NAME_DESC",
    /** Organization in ascending order. */
    OrganizationAsc = "ORGANIZATION_ASC",
    /** Organization in descending order. */
    OrganizationDesc = "ORGANIZATION_DESC",
    /** Phone in ascending order. */
    PhoneAsc = "PHONE_ASC",
    /** Phone in descending order. */
    PhoneDesc = "PHONE_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** Represents the total number of contacts for the represented states. */
export type ContactStateCounts = {
    __typename?: 'ContactStateCounts';
    /** Number of contacts with state `ACTIVE` */
    active?: Maybe<Scalars['Int']['output']>;
    /** Number of contacts with state `ALL` */
    all?: Maybe<Scalars['Int']['output']>;
    /** Number of contacts with state `INACTIVE` */
    inactive?: Maybe<Scalars['Int']['output']>;
};
/** A tag expiration policy designed to keep only the images that matter most */
export type ContainerExpirationPolicy = {
    __typename?: 'ContainerExpirationPolicy';
    /** This container expiration policy schedule. */
    cadence: ContainerExpirationPolicyCadenceEnum;
    /** Timestamp of when the container expiration policy was created. */
    createdAt: Scalars['Time']['output'];
    /** Indicates whether this container expiration policy is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** Number of tags to retain. */
    keepN?: Maybe<ContainerExpirationPolicyKeepEnum>;
    /** Tags with names matching this regex pattern will expire. */
    nameRegex?: Maybe<Scalars['UntrustedRegexp']['output']>;
    /** Tags with names matching this regex pattern will be preserved. */
    nameRegexKeep?: Maybe<Scalars['UntrustedRegexp']['output']>;
    /** Next time that this container expiration policy will get executed. */
    nextRunAt?: Maybe<Scalars['Time']['output']>;
    /** Tags older that this will expire. */
    olderThan?: Maybe<ContainerExpirationPolicyOlderThanEnum>;
    /** Timestamp of when the container expiration policy was updated. */
    updatedAt: Scalars['Time']['output'];
};
export declare enum ContainerExpirationPolicyCadenceEnum {
    /** Every day */
    EveryDay = "EVERY_DAY",
    /** Every month */
    EveryMonth = "EVERY_MONTH",
    /** Every three months */
    EveryThreeMonths = "EVERY_THREE_MONTHS",
    /** Every two weeks */
    EveryTwoWeeks = "EVERY_TWO_WEEKS",
    /** Every week */
    EveryWeek = "EVERY_WEEK"
}
export declare enum ContainerExpirationPolicyKeepEnum {
    /** 50 tags per image name */
    FiftyTags = "FIFTY_TAGS",
    /** 5 tags per image name */
    FiveTags = "FIVE_TAGS",
    /** 100 tags per image name */
    OneHundredTags = "ONE_HUNDRED_TAGS",
    /** 1 tag per image name */
    OneTag = "ONE_TAG",
    /** 10 tags per image name */
    TenTags = "TEN_TAGS",
    /** 25 tags per image name */
    TwentyFiveTags = "TWENTY_FIVE_TAGS"
}
export declare enum ContainerExpirationPolicyOlderThanEnum {
    /** 14 days until tags are automatically removed */
    FourteenDays = "FOURTEEN_DAYS",
    /** 90 days until tags are automatically removed */
    NinetyDays = "NINETY_DAYS",
    /** 7 days until tags are automatically removed */
    SevenDays = "SEVEN_DAYS",
    /** 60 days until tags are automatically removed */
    SixtyDays = "SIXTY_DAYS",
    /** 30 days until tags are automatically removed */
    ThirtyDays = "THIRTY_DAYS"
}
/** A container registry protection rule designed to prevent users with a certain access level or lower from altering the container registry. */
export type ContainerRegistryProtectionRule = {
    __typename?: 'ContainerRegistryProtectionRule';
    /**
     * ID of the container registry protection rule. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    id: Scalars['ContainerRegistryProtectionRuleID']['output'];
    /**
     * Minimum GitLab access level to allow to delete container images from the container registry. For example, `MAINTAINER`, `OWNER`, or `ADMIN`. If the value is `nil`, the minimum access level for delete is ignored. Users with at least the Developer role are allowed to delete container images. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    minimumAccessLevelForDelete?: Maybe<ContainerRegistryProtectionRuleAccessLevel>;
    /**
     * Minimum GitLab access level to allow to push container images to the container registry. For example, `MAINTAINER`, `OWNER`, or `ADMIN`. If the value is `nil`, the minimum access level for push is ignored. Users with at least the Developer role are allowed to push container images. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    minimumAccessLevelForPush?: Maybe<ContainerRegistryProtectionRuleAccessLevel>;
    /**
     * Container repository path pattern protected by the protection rule. For example, `my-project/my-container-*`. Wildcard character `*` allowed. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    repositoryPathPattern: Scalars['String']['output'];
};
/** Access level of a container registry protection rule resource */
export declare enum ContainerRegistryProtectionRuleAccessLevel {
    /**
     * Admin access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    Admin = "ADMIN",
    /**
     * Maintainer access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    Maintainer = "MAINTAINER",
    /**
     * Owner access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    Owner = "OWNER"
}
/** The connection type for ContainerRegistryProtectionRule. */
export type ContainerRegistryProtectionRuleConnection = {
    __typename?: 'ContainerRegistryProtectionRuleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ContainerRegistryProtectionRuleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ContainerRegistryProtectionRule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ContainerRegistryProtectionRuleEdge = {
    __typename?: 'ContainerRegistryProtectionRuleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ContainerRegistryProtectionRule>;
};
/** A container repository */
export type ContainerRepository = {
    __typename?: 'ContainerRepository';
    /** Timestamp when the container repository was created. */
    createdAt: Scalars['Time']['output'];
    /** Tags cleanup status for the container repository. */
    expirationPolicyCleanupStatus?: Maybe<ContainerRepositoryCleanupStatus>;
    /** Timestamp when the cleanup done by the expiration policy was started on the container repository. */
    expirationPolicyStartedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the container repository. */
    id: Scalars['ID']['output'];
    /** Number of deleted tags from the last cleanup. */
    lastCleanupDeletedTagsCount?: Maybe<Scalars['Int']['output']>;
    /** URL of the container repository. */
    location: Scalars['String']['output'];
    /**
     * Migration state of the container repository. Deprecated in GitLab 17.0: Returns an empty string. This was used for the migration of GitLab.com, which is now complete. Not used by Self-managed instances.
     * @deprecated Returns an empty string. This was used for the migration of GitLab.com, which is now complete. Not used by Self-managed instances. Deprecated in GitLab 17.0.
     */
    migrationState: Scalars['String']['output'];
    /** Name of the container repository. */
    name: Scalars['String']['output'];
    /** Path of the container repository. */
    path: Scalars['String']['output'];
    /** Project of the container registry. */
    project: Project;
    /**
     * Whether any matching container protection rule exists for this container. Available only when feature flag `container_registry_protected_containers` is enabled. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    protectionRuleExists: Scalars['Boolean']['output'];
    /** Status of the container repository. */
    status?: Maybe<ContainerRepositoryStatus>;
    /** Number of tags associated with this image. */
    tagsCount: Scalars['Int']['output'];
    /** Timestamp when the container repository was updated. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: ContainerRepositoryPermissions;
};
/** Status of the tags cleanup of a container repository */
export declare enum ContainerRepositoryCleanupStatus {
    /** Tags cleanup is ongoing. */
    Ongoing = "ONGOING",
    /** Tags cleanup is scheduled and is going to be executed shortly. */
    Scheduled = "SCHEDULED",
    /** Tags cleanup has been partially executed. There are still remaining tags to delete. */
    Unfinished = "UNFINISHED",
    /** Tags cleanup is not scheduled. This is the default state. */
    Unscheduled = "UNSCHEDULED"
}
/** The connection type for ContainerRepository. */
export type ContainerRepositoryConnection = {
    __typename?: 'ContainerRepositoryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ContainerRepositoryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ContainerRepository>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Details of a container repository */
export type ContainerRepositoryDetails = {
    __typename?: 'ContainerRepositoryDetails';
    /** Timestamp when the container repository was created. */
    createdAt: Scalars['Time']['output'];
    /** Tags cleanup status for the container repository. */
    expirationPolicyCleanupStatus?: Maybe<ContainerRepositoryCleanupStatus>;
    /** Timestamp when the cleanup done by the expiration policy was started on the container repository. */
    expirationPolicyStartedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the container repository. */
    id: Scalars['ID']['output'];
    /** Number of deleted tags from the last cleanup. */
    lastCleanupDeletedTagsCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when a repository tag was last created or updated. Only present for repositories that had tags created or updated after GitLab 16.11. */
    lastPublishedAt?: Maybe<Scalars['Time']['output']>;
    /** URL of the container repository. */
    location: Scalars['String']['output'];
    /** An image manifest from the container repository. */
    manifest?: Maybe<Scalars['String']['output']>;
    /**
     * Migration state of the container repository. Deprecated in GitLab 17.0: Returns an empty string. This was used for the migration of GitLab.com, which is now complete. Not used by Self-managed instances.
     * @deprecated Returns an empty string. This was used for the migration of GitLab.com, which is now complete. Not used by Self-managed instances. Deprecated in GitLab 17.0.
     */
    migrationState: Scalars['String']['output'];
    /** Name of the container repository. */
    name: Scalars['String']['output'];
    /** Path of the container repository. */
    path: Scalars['String']['output'];
    /** Project of the container registry. */
    project: Project;
    /**
     * Whether any matching container protection rule exists for this container. Available only when feature flag `container_registry_protected_containers` is enabled. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    protectionRuleExists: Scalars['Boolean']['output'];
    /** Deduplicated size of the image repository in bytes. This is only available on GitLab.com for repositories created after `2021-11-04`. */
    size?: Maybe<Scalars['Float']['output']>;
    /** Status of the container repository. */
    status?: Maybe<ContainerRepositoryStatus>;
    /** Tags of the container repository. */
    tags?: Maybe<ContainerRepositoryTagConnection>;
    /** Number of tags associated with this image. */
    tagsCount: Scalars['Int']['output'];
    /** Timestamp when the container repository was updated. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: ContainerRepositoryPermissions;
};
/** Details of a container repository */
export type ContainerRepositoryDetailsManifestArgs = {
    reference: Scalars['String']['input'];
};
/** Details of a container repository */
export type ContainerRepositoryDetailsTagsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    referrerType?: InputMaybe<Scalars['String']['input']>;
    referrers?: InputMaybe<Scalars['Boolean']['input']>;
    sort?: InputMaybe<ContainerRepositoryTagSort>;
};
/** An edge in a connection. */
export type ContainerRepositoryEdge = {
    __typename?: 'ContainerRepositoryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ContainerRepository>;
};
export type ContainerRepositoryPermissions = {
    __typename?: 'ContainerRepositoryPermissions';
    /** If `true`, the user can perform `destroy_container_image` on this resource */
    destroyContainerRepository: Scalars['Boolean']['output'];
};
/** A referrer for a container repository tag */
export type ContainerRepositoryReferrer = {
    __typename?: 'ContainerRepositoryReferrer';
    /** Artifact type of the referrer. */
    artifactType?: Maybe<Scalars['String']['output']>;
    /** Digest of the referrer. */
    digest?: Maybe<Scalars['String']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: ContainerRepositoryTagPermissions;
};
/** Represents the Geo replication and verification state of an Container Repository. */
export type ContainerRepositoryRegistry = {
    __typename?: 'ContainerRepositoryRegistry';
    /** ID of the ContainerRepository. */
    containerRepositoryId: Scalars['ID']['output'];
    /** Timestamp when the ContainerRepositoryRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the ContainerRepositoryRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the ContainerRepositoryRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the ContainerRepositoryRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the ContainerRepositoryRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the ContainerRepositoryRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the ContainerRepositoryRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the ContainerRepositoryRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the ContainerRepositoryRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the ContainerRepositoryRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the ContainerRepositoryRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of ContainerRepositoryRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the ContainerRepositoryRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the ContainerRepositoryRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for ContainerRepositoryRegistry. */
export type ContainerRepositoryRegistryConnection = {
    __typename?: 'ContainerRepositoryRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ContainerRepositoryRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ContainerRepositoryRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ContainerRepositoryRegistryEdge = {
    __typename?: 'ContainerRepositoryRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ContainerRepositoryRegistry>;
};
/** Values for sorting container repositories */
export declare enum ContainerRepositorySort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Name by ascending order. */
    NameAsc = "NAME_ASC",
    /** Name by descending order. */
    NameDesc = "NAME_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** Status of a container repository */
export declare enum ContainerRepositoryStatus {
    /** Delete Failed status. */
    DeleteFailed = "DELETE_FAILED",
    /** Delete Ongoing status. */
    DeleteOngoing = "DELETE_ONGOING",
    /** Delete Scheduled status. */
    DeleteScheduled = "DELETE_SCHEDULED"
}
/** A tag from a container repository */
export type ContainerRepositoryTag = {
    __typename?: 'ContainerRepositoryTag';
    /** Timestamp when the tag was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Digest of the tag. */
    digest?: Maybe<Scalars['String']['output']>;
    /** URL of the tag. */
    location: Scalars['String']['output'];
    /** Media type of the tag. */
    mediaType?: Maybe<Scalars['String']['output']>;
    /** Name of the tag. */
    name: Scalars['String']['output'];
    /** Path of the tag. */
    path: Scalars['String']['output'];
    /** Timestamp when the tag was published. */
    publishedAt?: Maybe<Scalars['Time']['output']>;
    /** Referrers for this tag. */
    referrers?: Maybe<Array<ContainerRepositoryReferrer>>;
    /** Revision of the tag. */
    revision?: Maybe<Scalars['String']['output']>;
    /** Short revision of the tag. */
    shortRevision?: Maybe<Scalars['String']['output']>;
    /** Size of the tag. */
    totalSize?: Maybe<Scalars['BigInt']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: ContainerRepositoryTagPermissions;
};
/** The connection type for ContainerRepositoryTag. */
export type ContainerRepositoryTagConnection = {
    __typename?: 'ContainerRepositoryTagConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ContainerRepositoryTagEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ContainerRepositoryTag>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ContainerRepositoryTagEdge = {
    __typename?: 'ContainerRepositoryTagEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ContainerRepositoryTag>;
};
export type ContainerRepositoryTagPermissions = {
    __typename?: 'ContainerRepositoryTagPermissions';
    /** If `true`, the user can perform `destroy_container_image` on this resource */
    destroyContainerRepositoryTag: Scalars['Boolean']['output'];
};
/** Values for sorting tags */
export declare enum ContainerRepositoryTagSort {
    /** Ordered by name in ascending order. */
    NameAsc = "NAME_ASC",
    /** Ordered by name in descending order. */
    NameDesc = "NAME_DESC",
    /** Ordered by published_at in ascending order. Only available for GitLab.com. */
    PublishedAtAsc = "PUBLISHED_AT_ASC",
    /** Ordered by published_at in descending order. Only available for GitLab.com. */
    PublishedAtDesc = "PUBLISHED_AT_DESC"
}
/** Represents the contributions of a user. */
export type ContributionAnalyticsContribution = {
    __typename?: 'ContributionAnalyticsContribution';
    /** Number of issues closed by the user. */
    issuesClosed?: Maybe<Scalars['Int']['output']>;
    /** Number of issues created by the user. */
    issuesCreated?: Maybe<Scalars['Int']['output']>;
    /** Number of merge requests approved by the user. */
    mergeRequestsApproved?: Maybe<Scalars['Int']['output']>;
    /** Number of merge requests closed by the user. */
    mergeRequestsClosed?: Maybe<Scalars['Int']['output']>;
    /** Number of merge requests created by the user. */
    mergeRequestsCreated?: Maybe<Scalars['Int']['output']>;
    /** Number of merge requests merged by the user. */
    mergeRequestsMerged?: Maybe<Scalars['Int']['output']>;
    /** Number of repository pushes the user made. */
    repoPushed?: Maybe<Scalars['Int']['output']>;
    /** Total number of events contributed by the user. */
    totalEvents?: Maybe<Scalars['Int']['output']>;
    /** Contributor User object. */
    user?: Maybe<UserCore>;
};
/** The connection type for ContributionAnalyticsContribution. */
export type ContributionAnalyticsContributionConnection = {
    __typename?: 'ContributionAnalyticsContributionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ContributionAnalyticsContributionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ContributionAnalyticsContribution>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ContributionAnalyticsContributionEdge = {
    __typename?: 'ContributionAnalyticsContributionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ContributionAnalyticsContribution>;
};
/** Autogenerated input type of CorpusCreate */
export type CorpusCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project the corpus belongs to. */
    fullPath: Scalars['ID']['input'];
    /** ID of the corpus package. */
    packageId: Scalars['PackagesPackageID']['input'];
};
/** Autogenerated return type of CorpusCreate. */
export type CorpusCreatePayload = {
    __typename?: 'CorpusCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Corpus for a coverage fuzzing job. */
export type CoverageFuzzingCorpus = {
    __typename?: 'CoverageFuzzingCorpus';
    /** ID of the corpus. */
    id: Scalars['AppSecFuzzingCoverageCorpusID']['output'];
    /** Package of the corpus. */
    package: PackageDetailsType;
};
/** The connection type for CoverageFuzzingCorpus. */
export type CoverageFuzzingCorpusConnection = {
    __typename?: 'CoverageFuzzingCorpusConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CoverageFuzzingCorpusEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CoverageFuzzingCorpus>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CoverageFuzzingCorpusEdge = {
    __typename?: 'CoverageFuzzingCorpusEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CoverageFuzzingCorpus>;
};
/** Autogenerated input type of CreateAlertIssue */
export type CreateAlertIssueInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the alert to mutate. */
    iid: Scalars['String']['input'];
    /** Project the alert to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CreateAlertIssue. */
export type CreateAlertIssuePayload = {
    __typename?: 'CreateAlertIssuePayload';
    /** Alert after mutation. */
    alert?: Maybe<AlertManagementAlert>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue created after mutation. */
    issue?: Maybe<Issue>;
    /** To-do item after mutation. */
    todo?: Maybe<Todo>;
};
/** Autogenerated input type of CreateAnnotation */
export type CreateAnnotationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the cluster to add an annotation to. */
    clusterId?: InputMaybe<Scalars['ClustersClusterID']['input']>;
    /** Path to a file defining the dashboard on which the annotation should be added. */
    dashboardPath: Scalars['String']['input'];
    /** Description of the annotation. */
    description: Scalars['String']['input'];
    /** Timestamp indicating ending moment to which the annotation relates. */
    endingAt?: InputMaybe<Scalars['Time']['input']>;
    /** Global ID of the environment to add an annotation to. */
    environmentId?: InputMaybe<Scalars['EnvironmentID']['input']>;
    /** Timestamp indicating starting moment to which the annotation relates. */
    startingAt: Scalars['Time']['input'];
};
/** Autogenerated return type of CreateAnnotation. */
export type CreateAnnotationPayload = {
    __typename?: 'CreateAnnotationPayload';
    /** Created annotation. */
    annotation?: Maybe<MetricsDashboardAnnotation>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CreateBoard */
export type CreateBoardInput = {
    /** ID of user to be assigned to the board. */
    assigneeId?: InputMaybe<Scalars['UserID']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the group with which the resource is associated. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Whether or not backlog list is hidden. */
    hideBacklogList?: InputMaybe<Scalars['Boolean']['input']>;
    /** Whether or not closed list is hidden. */
    hideClosedList?: InputMaybe<Scalars['Boolean']['input']>;
    /** ID of iteration cadence to be assigned to the board. */
    iterationCadenceId?: InputMaybe<Scalars['IterationsCadenceID']['input']>;
    /** ID of iteration to be assigned to the board. */
    iterationId?: InputMaybe<Scalars['IterationID']['input']>;
    /** IDs of labels to be added to the board. */
    labelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Labels of the issue. */
    labels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** ID of milestone to be assigned to the board. */
    milestoneId?: InputMaybe<Scalars['MilestoneID']['input']>;
    /** Board name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project with which the resource is associated. */
    projectPath?: InputMaybe<Scalars['ID']['input']>;
    /** Weight value to be assigned to the board. */
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of CreateBoard. */
export type CreateBoardPayload = {
    __typename?: 'CreateBoardPayload';
    /** Board after mutation. */
    board?: Maybe<Board>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CreateBranch */
export type CreateBranchInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Name of the branch. */
    name: Scalars['String']['input'];
    /** Project full path the branch is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Branch name or commit SHA to create branch from. */
    ref: Scalars['String']['input'];
};
/** Autogenerated return type of CreateBranch. */
export type CreateBranchPayload = {
    __typename?: 'CreateBranchPayload';
    /** Branch after mutation. */
    branch?: Maybe<Branch>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CreateClusterAgent */
export type CreateClusterAgentInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Name of the cluster agent. */
    name: Scalars['String']['input'];
    /** Full path of the associated project for the cluster agent. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CreateClusterAgent. */
export type CreateClusterAgentPayload = {
    __typename?: 'CreateClusterAgentPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Cluster agent created after mutation. */
    clusterAgent?: Maybe<ClusterAgent>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CreateComplianceFramework */
export type CreateComplianceFrameworkInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the namespace to add the compliance framework to. */
    namespacePath: Scalars['ID']['input'];
    /** Parameters to update the compliance framework with. */
    params: ComplianceFrameworkInput;
};
/** Autogenerated return type of CreateComplianceFramework. */
export type CreateComplianceFrameworkPayload = {
    __typename?: 'CreateComplianceFrameworkPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created compliance framework. */
    framework?: Maybe<ComplianceFramework>;
};
/** Autogenerated input type of CreateContainerRegistryProtectionRule */
export type CreateContainerRegistryProtectionRuleInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Minimum GitLab access level to allow to delete container images from the container registry. For example, `MAINTAINER`, `OWNER`, or `ADMIN`. If the value is `nil`, the minimum access level for delete is ignored. Users with at least the Developer role are allowed to delete container images. Introduced in GitLab 16.6: **Status**: Experiment. */
    minimumAccessLevelForDelete?: InputMaybe<ContainerRegistryProtectionRuleAccessLevel>;
    /** Minimum GitLab access level to allow to push container images to the container registry. For example, `MAINTAINER`, `OWNER`, or `ADMIN`. If the value is `nil`, the minimum access level for push is ignored. Users with at least the Developer role are allowed to push container images. Introduced in GitLab 16.6: **Status**: Experiment. */
    minimumAccessLevelForPush?: InputMaybe<ContainerRegistryProtectionRuleAccessLevel>;
    /** Full path of the project where a protection rule is located. */
    projectPath: Scalars['ID']['input'];
    /** Container repository path pattern protected by the protection rule. For example, `my-project/my-container-*`. Wildcard character `*` allowed. Introduced in GitLab 16.6: **Status**: Experiment. */
    repositoryPathPattern: Scalars['String']['input'];
};
/** Autogenerated return type of CreateContainerRegistryProtectionRule. */
export type CreateContainerRegistryProtectionRulePayload = {
    __typename?: 'CreateContainerRegistryProtectionRulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /**
     * Container registry protection rule after mutation. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    containerRegistryProtectionRule?: Maybe<ContainerRegistryProtectionRule>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CreateCustomEmoji */
export type CreateCustomEmojiInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Namespace full path the emoji is associated with. */
    groupPath: Scalars['ID']['input'];
    /** Name of the emoji. */
    name: Scalars['String']['input'];
    /** Location of the emoji file. */
    url: Scalars['String']['input'];
};
/** Autogenerated return type of CreateCustomEmoji. */
export type CreateCustomEmojiPayload = {
    __typename?: 'CreateCustomEmojiPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** New custom emoji. */
    customEmoji?: Maybe<CustomEmoji>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CreateDiffNote */
export type CreateDiffNoteInput = {
    /** Content of the note. */
    body: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Internal flag for a note. Default is false. */
    internal?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the resource to add a note to. */
    noteableId: Scalars['NoteableID']['input'];
    /** Position of the note on a diff. */
    position: DiffPositionInput;
};
/** Autogenerated return type of CreateDiffNote. */
export type CreateDiffNotePayload = {
    __typename?: 'CreateDiffNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
/** Autogenerated input type of CreateDiscussion */
export type CreateDiscussionInput = {
    /** Content of the note. */
    body: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Internal flag for a note. Default is false. */
    internal?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the resource to add a note to. */
    noteableId: Scalars['NoteableID']['input'];
};
/** Autogenerated return type of CreateDiscussion. */
export type CreateDiscussionPayload = {
    __typename?: 'CreateDiscussionPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
/** Autogenerated input type of CreateEpic */
export type CreateEpicInput = {
    /** IDs of labels to be added to the epic. */
    addLabelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Array of labels to be added to the epic. */
    addLabels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Color of the epic. Available only when feature flag `epic_color_highlight` is enabled. This flag is disabled by default, because the feature is experimental and is subject to change without notice. */
    color?: InputMaybe<Scalars['Color']['input']>;
    /** Indicates if the epic is confidential. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Description of the epic. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** End date of the epic. */
    dueDateFixed?: InputMaybe<Scalars['String']['input']>;
    /** Indicates end date should be sourced from due_date_fixed field not the issue milestones. */
    dueDateIsFixed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Group the epic to mutate is in. */
    groupPath: Scalars['ID']['input'];
    /** IDs of labels to be removed from the epic. */
    removeLabelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Start date of the epic. */
    startDateFixed?: InputMaybe<Scalars['String']['input']>;
    /** Indicates start date should be sourced from start_date_fixed field not the issue milestones. */
    startDateIsFixed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Title of the epic. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of CreateEpic. */
export type CreateEpicPayload = {
    __typename?: 'CreateEpicPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Created epic. */
    epic?: Maybe<Epic>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of CreateImageDiffNote */
export type CreateImageDiffNoteInput = {
    /** Content of the note. */
    body: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Internal flag for a note. Default is false. */
    internal?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the resource to add a note to. */
    noteableId: Scalars['NoteableID']['input'];
    /** Position of the note on a diff. */
    position: DiffImagePositionInput;
};
/** Autogenerated return type of CreateImageDiffNote. */
export type CreateImageDiffNotePayload = {
    __typename?: 'CreateImageDiffNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
/** Autogenerated input type of CreateIssue */
export type CreateIssueInput = {
    /** Array of user IDs to assign to the issue. */
    assigneeIds?: InputMaybe<Array<Scalars['UserID']['input']>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates the issue is confidential. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Timestamp when the issue was created. Available only for admins and project owners. */
    createdAt?: InputMaybe<Scalars['Time']['input']>;
    /** Description of the issue. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of a discussion to resolve. Also pass `merge_request_to_resolve_discussions_of`. */
    discussionToResolve?: InputMaybe<Scalars['String']['input']>;
    /** Due date of the issue. */
    dueDate?: InputMaybe<Scalars['ISO8601Date']['input']>;
    /** ID of an epic to associate the issue with. */
    epicId?: InputMaybe<Scalars['EpicID']['input']>;
    /** Desired health status. */
    healthStatus?: InputMaybe<HealthStatus>;
    /** IID (internal ID) of a project issue. Only admins and project owners can modify. */
    iid?: InputMaybe<Scalars['Int']['input']>;
    /** Global iteration cadence ID. Required when `iterationWildcardId` is provided. */
    iterationCadenceId?: InputMaybe<Scalars['IterationsCadenceID']['input']>;
    /** Global iteration ID. Mutually exlusive argument with `iterationWildcardId`. */
    iterationId?: InputMaybe<Scalars['IterationID']['input']>;
    /** Iteration wildcard ID. Supported values are: `CURRENT`. Mutually exclusive argument with `iterationId`. iterationCadenceId also required when this argument is provided. */
    iterationWildcardId?: InputMaybe<IssueCreationIterationWildcardId>;
    /** IDs of labels to be added to the issue. */
    labelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Labels of the issue. */
    labels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Indicates discussion is locked on the issue. */
    locked?: InputMaybe<Scalars['Boolean']['input']>;
    /** IID of a merge request for which to resolve discussions. */
    mergeRequestToResolveDiscussionsOf?: InputMaybe<Scalars['MergeRequestID']['input']>;
    /** ID of the milestone to assign to the issue. On update milestone will be removed if set to null. */
    milestoneId?: InputMaybe<Scalars['MilestoneID']['input']>;
    /** Global ID of issue that should be placed after the current issue. */
    moveAfterId?: InputMaybe<Scalars['IssueID']['input']>;
    /** Global ID of issue that should be placed before the current issue. */
    moveBeforeId?: InputMaybe<Scalars['IssueID']['input']>;
    /** Project full path the issue is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Title of the issue. */
    title: Scalars['String']['input'];
    /** Type of the issue. */
    type?: InputMaybe<IssueType>;
    /** Weight of the issue. */
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of CreateIssue. */
export type CreateIssuePayload = {
    __typename?: 'CreateIssuePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of CreateIteration */
export type CreateIterationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the iteration. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** End date of the iteration. */
    dueDate?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the group with which the resource is associated. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Global ID of the iteration cadence to be assigned to the new iteration. */
    iterationsCadenceId?: InputMaybe<Scalars['IterationsCadenceID']['input']>;
    /** Full path of the project with which the resource is associated. */
    projectPath?: InputMaybe<Scalars['ID']['input']>;
    /** Start date of the iteration. */
    startDate?: InputMaybe<Scalars['String']['input']>;
    /** Title of the iteration. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of CreateIteration. */
export type CreateIterationPayload = {
    __typename?: 'CreateIterationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created iteration. */
    iteration?: Maybe<Iteration>;
};
/** Autogenerated input type of CreateNote */
export type CreateNoteInput = {
    /** Content of the note. */
    body: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the discussion the note is in reply to. */
    discussionId?: InputMaybe<Scalars['DiscussionID']['input']>;
    /** Internal flag for a note. Default is false. */
    internal?: InputMaybe<Scalars['Boolean']['input']>;
    /** SHA of the head commit which is used to ensure that the merge request has not been updated since the request was sent. */
    mergeRequestDiffHeadSha?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the resource to add a note to. */
    noteableId: Scalars['NoteableID']['input'];
};
/** Autogenerated return type of CreateNote. */
export type CreateNotePayload = {
    __typename?: 'CreateNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
/** Autogenerated input type of CreatePackagesProtectionRule */
export type CreatePackagesProtectionRuleInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Minimum GitLab access required to push packages to the package registry. For example, `MAINTAINER`, `OWNER`, or `ADMIN`. Introduced in GitLab 16.5: **Status**: Experiment. */
    minimumAccessLevelForPush: PackagesProtectionRuleAccessLevel;
    /** Package name protected by the protection rule. For example `@my-scope/my-package-*`. Wildcard character `*` allowed. */
    packageNamePattern: Scalars['String']['input'];
    /** Package type protected by the protection rule. For example `NPM`. */
    packageType: PackagesProtectionRulePackageType;
    /** Full path of the project where a protection rule is located. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of CreatePackagesProtectionRule. */
export type CreatePackagesProtectionRulePayload = {
    __typename?: 'CreatePackagesProtectionRulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /**
     * Packages protection rule after mutation. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    packageProtectionRule?: Maybe<PackagesProtectionRule>;
};
/** Autogenerated input type of CreateRequirement */
export type CreateRequirementInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the requirement. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Full project path the requirement is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Title of the requirement. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of CreateRequirement. */
export type CreateRequirementPayload = {
    __typename?: 'CreateRequirementPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Requirement after mutation. */
    requirement?: Maybe<Requirement>;
};
/** Autogenerated input type of CreateSnippet */
export type CreateSnippetInput = {
    /** Actions to perform over the snippet repository and blobs. */
    blobActions?: InputMaybe<Array<SnippetBlobActionInputType>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the snippet. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project the snippet is associated with. */
    projectPath?: InputMaybe<Scalars['ID']['input']>;
    /** Title of the snippet. */
    title: Scalars['String']['input'];
    /** Paths to files uploaded in the snippet description. */
    uploadedFiles?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Visibility level of the snippet. */
    visibilityLevel: VisibilityLevelsEnum;
};
/** Autogenerated return type of CreateSnippet. */
export type CreateSnippetPayload = {
    __typename?: 'CreateSnippetPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Snippet after mutation. */
    snippet?: Maybe<Snippet>;
};
/** Autogenerated input type of CreateTestCase */
export type CreateTestCaseInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Sets the test case confidentiality. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Test case description. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** IDs of labels to be added to the test case. */
    labelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Project full path to create the test case in. */
    projectPath: Scalars['ID']['input'];
    /** Test case title. */
    title: Scalars['String']['input'];
};
/** Autogenerated return type of CreateTestCase. */
export type CreateTestCasePayload = {
    __typename?: 'CreateTestCasePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Test case created. */
    testCase?: Maybe<Issue>;
};
/** Represents the current license */
export type CurrentLicense = {
    __typename?: 'CurrentLicense';
    /** Date when the license was activated. */
    activatedAt?: Maybe<Scalars['Date']['output']>;
    /** Number of billable users on the system. */
    billableUsersCount?: Maybe<Scalars['Int']['output']>;
    /** Date, including grace period, when licensed features will be blocked. */
    blockChangesAt?: Maybe<Scalars['Date']['output']>;
    /** Company of the licensee. */
    company?: Maybe<Scalars['String']['output']>;
    /** Date when the license was added. */
    createdAt?: Maybe<Scalars['Date']['output']>;
    /** Email of the licensee. */
    email?: Maybe<Scalars['String']['output']>;
    /** Date when the license expires. */
    expiresAt?: Maybe<Scalars['Date']['output']>;
    /** ID of the license extracted from the license data. */
    id: Scalars['ID']['output'];
    /** Date when the license was last synced. */
    lastSync?: Maybe<Scalars['Time']['output']>;
    /** Highest number of billable users on the system during the term of the current license. */
    maximumUserCount?: Maybe<Scalars['Int']['output']>;
    /** Name of the licensee. */
    name?: Maybe<Scalars['String']['output']>;
    /** Name of the subscription plan. */
    plan: Scalars['String']['output'];
    /** Date when the license started. */
    startsAt?: Maybe<Scalars['Date']['output']>;
    /** Indicates if the license is a trial. */
    trial?: Maybe<Scalars['Boolean']['output']>;
    /** Type of the license. */
    type: Scalars['String']['output'];
    /** Number of paid users in the license. */
    usersInLicenseCount?: Maybe<Scalars['Int']['output']>;
    /** Number of users over the paid users in the license. */
    usersOverLicenseCount?: Maybe<Scalars['Int']['output']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUser = User & {
    __typename?: 'CurrentUser';
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User access to AI chat feature. Introduced in GitLab 16.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.8.
     */
    duoChatAvailable: Scalars['Boolean']['output'];
    /**
     * User access to code suggestions feature. Introduced in GitLab 16.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.8.
     */
    duoCodeSuggestionsAvailable: Scalars['Boolean']['output'];
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** The currently authenticated GitLab user. */
export type CurrentUserSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The currently authenticated GitLab user. */
export type CurrentUserWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
export type CurrentUserTodos = {
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
};
export type CurrentUserTodosCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
/** A custom emoji uploaded by user */
export type CustomEmoji = {
    __typename?: 'CustomEmoji';
    /** Timestamp of when the custom emoji was created. */
    createdAt: Scalars['Time']['output'];
    /** Whether the emoji is an external link. */
    external: Scalars['Boolean']['output'];
    /** ID of the emoji. */
    id: Scalars['CustomEmojiID']['output'];
    /** Name of the emoji. */
    name: Scalars['String']['output'];
    /** Link to file of the emoji. */
    url: Scalars['String']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: CustomEmojiPermissions;
};
/** The connection type for CustomEmoji. */
export type CustomEmojiConnection = {
    __typename?: 'CustomEmojiConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CustomEmojiEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CustomEmoji>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CustomEmojiEdge = {
    __typename?: 'CustomEmojiEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CustomEmoji>;
};
export type CustomEmojiPermissions = {
    __typename?: 'CustomEmojiPermissions';
    /** If `true`, the user can perform `create_custom_emoji` on this resource */
    createCustomEmoji: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `delete_custom_emoji` on this resource */
    deleteCustomEmoji: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_custom_emoji` on this resource */
    readCustomEmoji: Scalars['Boolean']['output'];
};
export type CustomerRelationsContact = {
    __typename?: 'CustomerRelationsContact';
    /** State of the contact. */
    active: Scalars['Boolean']['output'];
    /** Timestamp the contact was created. */
    createdAt: Scalars['Time']['output'];
    /** Description of or notes for the contact. */
    description?: Maybe<Scalars['String']['output']>;
    /** Email address of the contact. */
    email?: Maybe<Scalars['String']['output']>;
    /** First name of the contact. */
    firstName: Scalars['String']['output'];
    /** Internal ID of the contact. */
    id: Scalars['ID']['output'];
    /** Last name of the contact. */
    lastName: Scalars['String']['output'];
    /** Organization of the contact. */
    organization?: Maybe<CustomerRelationsOrganization>;
    /** Phone number of the contact. */
    phone?: Maybe<Scalars['String']['output']>;
    /** Timestamp the contact was last updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for CustomerRelationsContact. */
export type CustomerRelationsContactConnection = {
    __typename?: 'CustomerRelationsContactConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CustomerRelationsContactEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CustomerRelationsContact>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of CustomerRelationsContactCreate */
export type CustomerRelationsContactCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of or notes for the contact. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Email address of the contact. */
    email?: InputMaybe<Scalars['String']['input']>;
    /** First name of the contact. */
    firstName: Scalars['String']['input'];
    /** Group for the contact. */
    groupId: Scalars['GroupID']['input'];
    /** Last name of the contact. */
    lastName: Scalars['String']['input'];
    /** Organization for the contact. */
    organizationId?: InputMaybe<Scalars['CustomerRelationsOrganizationID']['input']>;
    /** Phone number of the contact. */
    phone?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of CustomerRelationsContactCreate. */
export type CustomerRelationsContactCreatePayload = {
    __typename?: 'CustomerRelationsContactCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Contact after the mutation. */
    contact?: Maybe<CustomerRelationsContact>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type CustomerRelationsContactEdge = {
    __typename?: 'CustomerRelationsContactEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CustomerRelationsContact>;
};
export declare enum CustomerRelationsContactState {
    /** Active contacts. */
    Active = "active",
    /** All available contacts. */
    All = "all",
    /** Inactive contacts. */
    Inactive = "inactive"
}
/** Autogenerated input type of CustomerRelationsContactUpdate */
export type CustomerRelationsContactUpdateInput = {
    /** State of the contact. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of or notes for the contact. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Email address of the contact. */
    email?: InputMaybe<Scalars['String']['input']>;
    /** First name of the contact. */
    firstName?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the contact. */
    id: Scalars['CustomerRelationsContactID']['input'];
    /** Last name of the contact. */
    lastName?: InputMaybe<Scalars['String']['input']>;
    /** Organization of the contact. */
    organizationId?: InputMaybe<Scalars['CustomerRelationsOrganizationID']['input']>;
    /** Phone number of the contact. */
    phone?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of CustomerRelationsContactUpdate. */
export type CustomerRelationsContactUpdatePayload = {
    __typename?: 'CustomerRelationsContactUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Contact after the mutation. */
    contact?: Maybe<CustomerRelationsContact>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type CustomerRelationsOrganization = {
    __typename?: 'CustomerRelationsOrganization';
    /** State of the organization. */
    active: Scalars['Boolean']['output'];
    /** Timestamp the organization was created. */
    createdAt: Scalars['Time']['output'];
    /** Standard billing rate for the organization. */
    defaultRate?: Maybe<Scalars['Float']['output']>;
    /** Description of or notes for the organization. */
    description?: Maybe<Scalars['String']['output']>;
    /** Internal ID of the organization. */
    id: Scalars['ID']['output'];
    /** Name of the organization. */
    name: Scalars['String']['output'];
    /** Timestamp the organization was last updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for CustomerRelationsOrganization. */
export type CustomerRelationsOrganizationConnection = {
    __typename?: 'CustomerRelationsOrganizationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CustomerRelationsOrganizationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CustomerRelationsOrganization>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of CustomerRelationsOrganizationCreate */
export type CustomerRelationsOrganizationCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Standard billing rate for the organization. */
    defaultRate?: InputMaybe<Scalars['Float']['input']>;
    /** Description of or notes for the organization. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Group for the organization. */
    groupId: Scalars['GroupID']['input'];
    /** Name of the organization. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of CustomerRelationsOrganizationCreate. */
export type CustomerRelationsOrganizationCreatePayload = {
    __typename?: 'CustomerRelationsOrganizationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Organization after the mutation. */
    organization?: Maybe<CustomerRelationsOrganization>;
};
/** An edge in a connection. */
export type CustomerRelationsOrganizationEdge = {
    __typename?: 'CustomerRelationsOrganizationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CustomerRelationsOrganization>;
};
export declare enum CustomerRelationsOrganizationState {
    /** Active organizations. */
    Active = "active",
    /** All available organizations. */
    All = "all",
    /** Inactive organizations. */
    Inactive = "inactive"
}
/** Autogenerated input type of CustomerRelationsOrganizationUpdate */
export type CustomerRelationsOrganizationUpdateInput = {
    /** State of the organization. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Standard billing rate for the organization. */
    defaultRate?: InputMaybe<Scalars['Float']['input']>;
    /** Description of or notes for the organization. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the organization. */
    id: Scalars['CustomerRelationsOrganizationID']['input'];
    /** Name of the organization. */
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of CustomerRelationsOrganizationUpdate. */
export type CustomerRelationsOrganizationUpdatePayload = {
    __typename?: 'CustomerRelationsOrganizationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Organization after the mutation. */
    organization: CustomerRelationsOrganization;
};
/** Represents a product analytics dashboard. */
export type CustomizableDashboard = {
    __typename?: 'CustomizableDashboard';
    /** Category of dashboard. */
    category: CustomizableDashboardCategory;
    /** Project which contains the dashboard definition. */
    configurationProject?: Maybe<Project>;
    /** Description of the dashboard. */
    description?: Maybe<Scalars['String']['output']>;
    /** Errors on yaml definition. */
    errors?: Maybe<Array<Scalars['String']['output']>>;
    /** Panels shown on the dashboard. */
    panels?: Maybe<CustomizableDashboardPanelConnection>;
    /** Slug of the dashboard. */
    slug: Scalars['String']['output'];
    /**
     * Status of the dashboard. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    status?: Maybe<Scalars['String']['output']>;
    /** Title of the dashboard. */
    title?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the dashboard is user-defined or provided by GitLab. */
    userDefined: Scalars['Boolean']['output'];
};
/** Represents a product analytics dashboard. */
export type CustomizableDashboardPanelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Categories for customizable dashboards. */
export declare enum CustomizableDashboardCategory {
    /** Analytics category for customizable dashboards. */
    Analytics = "ANALYTICS"
}
/** The connection type for CustomizableDashboard. */
export type CustomizableDashboardConnection = {
    __typename?: 'CustomizableDashboardConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CustomizableDashboardEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CustomizableDashboard>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CustomizableDashboardEdge = {
    __typename?: 'CustomizableDashboardEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CustomizableDashboard>;
};
/** Represents a product analytics dashboard panel. */
export type CustomizableDashboardPanel = {
    __typename?: 'CustomizableDashboardPanel';
    /** Description of the position and size of the panel. */
    gridAttributes?: Maybe<Scalars['JSON']['output']>;
    /** Overrides for the visualization query object. */
    queryOverrides?: Maybe<Scalars['JSON']['output']>;
    /** Title of the panel. */
    title?: Maybe<Scalars['String']['output']>;
    /** Visualization of the panel. */
    visualization?: Maybe<CustomizableDashboardVisualization>;
};
/** The connection type for CustomizableDashboardPanel. */
export type CustomizableDashboardPanelConnection = {
    __typename?: 'CustomizableDashboardPanelConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CustomizableDashboardPanelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CustomizableDashboardPanel>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CustomizableDashboardPanelEdge = {
    __typename?: 'CustomizableDashboardPanelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CustomizableDashboardPanel>;
};
/** Represents a product analytics dashboard visualization. */
export type CustomizableDashboardVisualization = {
    __typename?: 'CustomizableDashboardVisualization';
    /** Data of the visualization. */
    data: Scalars['JSON']['output'];
    /** Validation errors in the visualization. */
    errors?: Maybe<Array<Scalars['String']['output']>>;
    /** Options of the visualization. */
    options: Scalars['JSON']['output'];
    /** Slug of the visualization. */
    slug: Scalars['String']['output'];
    /** Type of the visualization. */
    type: Scalars['String']['output'];
};
/** The connection type for CustomizableDashboardVisualization. */
export type CustomizableDashboardVisualizationConnection = {
    __typename?: 'CustomizableDashboardVisualizationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CustomizableDashboardVisualizationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CustomizableDashboardVisualization>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CustomizableDashboardVisualizationEdge = {
    __typename?: 'CustomizableDashboardVisualizationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CustomizableDashboardVisualization>;
};
export type CustomizablePermission = {
    __typename?: 'CustomizablePermission';
    /** Objects the permission is available for. */
    availableFor: Array<Scalars['String']['output']>;
    /** Access level from which the permission is available. */
    availableFromAccessLevel?: Maybe<AccessLevel>;
    /** Description of the permission. */
    description?: Maybe<Scalars['String']['output']>;
    /** Localized name of the permission. */
    name: Scalars['String']['output'];
    /** Requirements of the permission. */
    requirements?: Maybe<Array<MemberRolePermission>>;
    /** Value of the permission. */
    value: MemberRolePermission;
};
/** The connection type for CustomizablePermission. */
export type CustomizablePermissionConnection = {
    __typename?: 'CustomizablePermissionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<CustomizablePermissionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<CustomizablePermission>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type CustomizablePermissionEdge = {
    __typename?: 'CustomizablePermissionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<CustomizablePermission>;
};
/** Values for a CVSS severity */
export declare enum CvssSeverity {
    /** Critical severity. */
    Critical = "CRITICAL",
    /** High severity. */
    High = "HIGH",
    /** Low severity. */
    Low = "LOW",
    /** Medium severity. */
    Medium = "MEDIUM",
    /** Not a vulnerability. */
    None = "NONE"
}
/** Represents a vulnerability's CVSS score. */
export type CvssType = {
    __typename?: 'CvssType';
    /** Base score of the CVSS. */
    baseScore: Scalars['Float']['output'];
    /** Overall score of the CVSS. */
    overallScore: Scalars['Float']['output'];
    /** Severity calculated from the overall score. */
    severity: CvssSeverity;
    /** CVSS vector string. */
    vector: Scalars['String']['output'];
    /** Vendor who assigned the CVSS score. */
    vendor: Scalars['String']['output'];
    /** Version of the CVSS. */
    version: Scalars['Float']['output'];
};
/** Autogenerated input type of DastOnDemandScanCreate */
export type DastOnDemandScanCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the scanner profile to be used for the scan. */
    dastScannerProfileId?: InputMaybe<Scalars['DastScannerProfileID']['input']>;
    /** ID of the site profile to be used for the scan. */
    dastSiteProfileId: Scalars['DastSiteProfileID']['input'];
    /** Project the site profile belongs to. */
    fullPath: Scalars['ID']['input'];
};
/** Autogenerated return type of DastOnDemandScanCreate. */
export type DastOnDemandScanCreatePayload = {
    __typename?: 'DastOnDemandScanCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** URL of the pipeline that was created. */
    pipelineUrl?: Maybe<Scalars['String']['output']>;
};
/** Represents a DAST Pre Scan Verification */
export type DastPreScanVerification = {
    __typename?: 'DastPreScanVerification';
    /** Pre Scan Verifications Steps. */
    preScanVerificationSteps?: Maybe<Array<DastPreScanVerificationStep>>;
    /** Status of the pre scan verification. */
    status?: Maybe<DastPreScanVerificationStatus>;
    /** Whether or not the configuration has changed after the last pre scan run. */
    valid: Scalars['Boolean']['output'];
};
/** Check type of the pre scan verification step. */
export declare enum DastPreScanVerificationCheckType {
    /** Authentication check */
    Authentication = "AUTHENTICATION",
    /** Connection check */
    Connection = "CONNECTION",
    /** Crawling check */
    Crawling = "CRAWLING"
}
/** Status of DAST pre scan verification. */
export declare enum DastPreScanVerificationStatus {
    /** Pre Scan Verification complete without errors. */
    Complete = "COMPLETE",
    /** Pre Scan Verification finished with one or more errors. */
    CompleteWithErrors = "COMPLETE_WITH_ERRORS",
    /** Pre Scan Validation unable to finish. */
    Failed = "FAILED",
    /** Pre Scan Verification in execution. */
    Running = "RUNNING"
}
/** Represents a DAST Pre Scan Verification Step */
export type DastPreScanVerificationStep = {
    __typename?: 'DastPreScanVerificationStep';
    /** Type of the pre scan verification check. */
    checkType?: Maybe<DastPreScanVerificationCheckType>;
    /** Errors that occurred in the pre scan verification step. */
    errors?: Maybe<Array<Scalars['String']['output']>>;
    /**
     * Name of the pre scan verification step. Deprecated in GitLab 15.10: This was renamed.
     * @deprecated This was renamed. Please use `DastPreScanVerificationStep.checkType`. Deprecated in GitLab 15.10.
     */
    name?: Maybe<Scalars['String']['output']>;
    /** Whether or not the pre scan verification step has errors. */
    success: Scalars['Boolean']['output'];
};
/** Represents a DAST Profile */
export type DastProfile = {
    __typename?: 'DastProfile';
    /** Associated branch. */
    branch?: Maybe<DastProfileBranch>;
    /** DAST Pre Scan Verification associated with the site profile. Will always return `null` if `dast_on_demand_scans_scheduler` feature flag is disabled. */
    dastPreScanVerification?: Maybe<DastPreScanVerification>;
    /** Associated profile schedule. */
    dastProfileSchedule?: Maybe<DastProfileSchedule>;
    /** Associated scanner profile. */
    dastScannerProfile?: Maybe<DastScannerProfile>;
    /** Associated site profile. */
    dastSiteProfile?: Maybe<DastSiteProfile>;
    /** Description of the scan. */
    description?: Maybe<Scalars['String']['output']>;
    /** Relative web path to the edit page of a profile. */
    editPath?: Maybe<Scalars['String']['output']>;
    /** ID of the profile. */
    id: Scalars['DastProfileID']['output'];
    /** Name of the profile. */
    name?: Maybe<Scalars['String']['output']>;
    /** Runner tags associated with the profile. */
    tagList?: Maybe<Array<Scalars['String']['output']>>;
};
/** Represents a DAST Profile Branch */
export type DastProfileBranch = {
    __typename?: 'DastProfileBranch';
    /** Indicates whether or not the branch exists. */
    exists?: Maybe<Scalars['Boolean']['output']>;
    /** Name of the branch. */
    name?: Maybe<Scalars['String']['output']>;
};
/** Represents DAST Profile Cadence. */
export type DastProfileCadence = {
    __typename?: 'DastProfileCadence';
    /** Duration of the DAST profile cadence. */
    duration?: Maybe<Scalars['Int']['output']>;
    /** Unit for the duration of DAST profile cadence. */
    unit?: Maybe<DastProfileCadenceUnit>;
};
/** Represents DAST Profile Cadence. */
export type DastProfileCadenceInput = {
    /** Duration of the DAST Profile Cadence. */
    duration?: InputMaybe<Scalars['Int']['input']>;
    /** Unit for the duration of DAST Profile Cadence. */
    unit?: InputMaybe<DastProfileCadenceUnit>;
};
/** Unit for the duration of Dast Profile Cadence. */
export declare enum DastProfileCadenceUnit {
    /** DAST Profile Cadence duration in days. */
    Day = "DAY",
    /** DAST Profile Cadence duration in months. */
    Month = "MONTH",
    /** DAST Profile Cadence duration in weeks. */
    Week = "WEEK",
    /** DAST Profile Cadence duration in years. */
    Year = "YEAR"
}
/** The connection type for DastProfile. */
export type DastProfileConnection = {
    __typename?: 'DastProfileConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DastProfileEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DastProfile>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of DastProfileCreate */
export type DastProfileCreateInput = {
    /** Associated branch. */
    branchName?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Represents a DAST Profile Schedule. */
    dastProfileSchedule?: InputMaybe<DastProfileScheduleInput>;
    /** ID of the scanner profile to be associated. */
    dastScannerProfileId: Scalars['DastScannerProfileID']['input'];
    /** ID of the site profile to be associated. */
    dastSiteProfileId: Scalars['DastSiteProfileID']['input'];
    /** Description of the profile. Defaults to an empty string. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Project the profile belongs to. */
    fullPath: Scalars['ID']['input'];
    /** Name of the profile. */
    name: Scalars['String']['input'];
    /** Run scan using profile after creation. Defaults to false. */
    runAfterCreate?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates the runner tags associated with the profile. */
    tagList?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of DastProfileCreate. */
export type DastProfileCreatePayload = {
    __typename?: 'DastProfileCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Created profile. */
    dastProfile?: Maybe<DastProfile>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** URL of the pipeline that was created. Requires `runAfterCreate` to be set to `true`. */
    pipelineUrl?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of DastProfileDelete */
export type DastProfileDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the profile to be deleted. */
    id: Scalars['DastProfileID']['input'];
};
/** Autogenerated return type of DastProfileDelete. */
export type DastProfileDeletePayload = {
    __typename?: 'DastProfileDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type DastProfileEdge = {
    __typename?: 'DastProfileEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DastProfile>;
};
/** Autogenerated input type of DastProfileRun */
export type DastProfileRunInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the profile to be used for the scan. */
    id: Scalars['DastProfileID']['input'];
};
/** Autogenerated return type of DastProfileRun. */
export type DastProfileRunPayload = {
    __typename?: 'DastProfileRunPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** URL of the pipeline that was created. */
    pipelineUrl?: Maybe<Scalars['String']['output']>;
};
/** Represents a DAST profile schedule. */
export type DastProfileSchedule = {
    __typename?: 'DastProfileSchedule';
    /** Status of the DAST profile schedule. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** Cadence of the DAST profile schedule. */
    cadence?: Maybe<DastProfileCadence>;
    /** ID of the DAST profile schedule. */
    id: Scalars['DastProfileScheduleID']['output'];
    /** Next run time of the DAST profile schedule in the given timezone. */
    nextRunAt?: Maybe<Scalars['Time']['output']>;
    /** Status of the current owner of the DAST profile schedule. */
    ownerValid?: Maybe<Scalars['Boolean']['output']>;
    /** Start time of the DAST profile schedule in the given timezone. */
    startsAt?: Maybe<Scalars['Time']['output']>;
    /** Time zone of the start time of the DAST profile schedule. */
    timezone?: Maybe<Scalars['String']['output']>;
};
/** Input type for DAST Profile Schedules */
export type DastProfileScheduleInput = {
    /** Status of a Dast Profile Schedule. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** Cadence of a Dast Profile Schedule. */
    cadence?: InputMaybe<DastProfileCadenceInput>;
    /** Start time of a Dast Profile Schedule. */
    startsAt?: InputMaybe<Scalars['Time']['input']>;
    /** Time Zone for the Start time of a Dast Profile Schedule. */
    timezone?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated input type of DastProfileUpdate */
export type DastProfileUpdateInput = {
    /** Associated branch. */
    branchName?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Represents a DAST profile schedule. */
    dastProfileSchedule?: InputMaybe<DastProfileScheduleInput>;
    /** ID of the scanner profile to be associated. */
    dastScannerProfileId?: InputMaybe<Scalars['DastScannerProfileID']['input']>;
    /** ID of the site profile to be associated. */
    dastSiteProfileId?: InputMaybe<Scalars['DastSiteProfileID']['input']>;
    /** Description of the profile. Defaults to an empty string. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of the profile to be deleted. */
    id: Scalars['DastProfileID']['input'];
    /** Name of the profile. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Run scan using profile after update. Defaults to false. */
    runAfterUpdate?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates the runner tags associated with the profile. */
    tagList?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of DastProfileUpdate. */
export type DastProfileUpdatePayload = {
    __typename?: 'DastProfileUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Updated profile. */
    dastProfile?: Maybe<DastProfile>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** The URL of the pipeline that was created. Requires the input argument `runAfterUpdate` to be set to `true` when calling the mutation, otherwise no pipeline will be created. */
    pipelineUrl?: Maybe<Scalars['String']['output']>;
};
/** Scan method to be used by the scanner. */
export declare enum DastScanMethodType {
    /** GraphQL scan method. */
    Graphql = "GRAPHQL",
    /** HAR scan method. */
    Har = "HAR",
    /** OpenAPI scan method. */
    Openapi = "OPENAPI",
    /** Postman scan method. */
    PostmanCollection = "POSTMAN_COLLECTION",
    /** Website scan method. */
    Website = "WEBSITE"
}
export declare enum DastScanTypeEnum {
    /** Active DAST scan. This scan will make active attacks against the target site. */
    Active = "ACTIVE",
    /** Passive DAST scan. This scan will not make active attacks against the target site. */
    Passive = "PASSIVE"
}
/** Represents a DAST scanner profile */
export type DastScannerProfile = {
    __typename?: 'DastScannerProfile';
    /** Relative web path to the edit page of a scanner profile. */
    editPath?: Maybe<Scalars['String']['output']>;
    /** ID of the DAST scanner profile. */
    id: Scalars['DastScannerProfileID']['output'];
    /** Name of the DAST scanner profile. */
    profileName?: Maybe<Scalars['String']['output']>;
    /** List of security policy names that are referencing given project. */
    referencedInSecurityPolicies?: Maybe<Array<Scalars['String']['output']>>;
    /** Indicates the type of DAST scan that will run. Either a Passive Scan or an Active Scan. */
    scanType?: Maybe<DastScanTypeEnum>;
    /** Indicates if debug messages should be included in DAST console output. True to include the debug messages. */
    showDebugMessages: Scalars['Boolean']['output'];
    /** Maximum number of minutes allowed for the spider to traverse the site. */
    spiderTimeout?: Maybe<Scalars['Int']['output']>;
    /**
     * Runner tags associated with the scanner profile. Deprecated in GitLab 15.8: Moved to DastProfile.
     * @deprecated Moved to DastProfile. Deprecated in GitLab 15.8.
     */
    tagList?: Maybe<Array<Scalars['String']['output']>>;
    /** Maximum number of seconds allowed for the site under test to respond to a request. */
    targetTimeout?: Maybe<Scalars['Int']['output']>;
    /** Indicates if the AJAX spider should be used to crawl the target site. True to run the AJAX spider in addition to the traditional spider, and false to run only the traditional spider. */
    useAjaxSpider: Scalars['Boolean']['output'];
};
/** The connection type for DastScannerProfile. */
export type DastScannerProfileConnection = {
    __typename?: 'DastScannerProfileConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DastScannerProfileEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DastScannerProfile>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of DastScannerProfileCreate */
export type DastScannerProfileCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project the scanner profile belongs to. */
    fullPath: Scalars['ID']['input'];
    /** Name of the scanner profile. */
    profileName: Scalars['String']['input'];
    /** Indicates the type of DAST scan that will run. Either a Passive Scan or an Active Scan. */
    scanType?: InputMaybe<DastScanTypeEnum>;
    /** Indicates if debug messages should be included in DAST console output. True to include the debug messages. */
    showDebugMessages?: InputMaybe<Scalars['Boolean']['input']>;
    /** Maximum number of minutes allowed for the spider to traverse the site. */
    spiderTimeout?: InputMaybe<Scalars['Int']['input']>;
    /** Maximum number of seconds allowed for the site under test to respond to a request. */
    targetTimeout?: InputMaybe<Scalars['Int']['input']>;
    /** Indicates if the AJAX spider should be used to crawl the target site. True to run the AJAX spider in addition to the traditional spider, and false to run only the traditional spider. */
    useAjaxSpider?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Autogenerated return type of DastScannerProfileCreate. */
export type DastScannerProfileCreatePayload = {
    __typename?: 'DastScannerProfileCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Created scanner profile. */
    dastScannerProfile?: Maybe<DastScannerProfile>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /**
     * ID of the scanner profile. Deprecated in GitLab 14.10: use `dastScannerProfile` field.
     * @deprecated use `dastScannerProfile` field. Deprecated in GitLab 14.10.
     */
    id?: Maybe<Scalars['DastScannerProfileID']['output']>;
};
/** Autogenerated input type of DastScannerProfileDelete */
export type DastScannerProfileDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the scanner profile to be deleted. */
    id: Scalars['DastScannerProfileID']['input'];
};
/** Autogenerated return type of DastScannerProfileDelete. */
export type DastScannerProfileDeletePayload = {
    __typename?: 'DastScannerProfileDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type DastScannerProfileEdge = {
    __typename?: 'DastScannerProfileEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DastScannerProfile>;
};
/** Autogenerated input type of DastScannerProfileUpdate */
export type DastScannerProfileUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the scanner profile to be updated. */
    id: Scalars['DastScannerProfileID']['input'];
    /** Name of the scanner profile. */
    profileName: Scalars['String']['input'];
    /** Indicates the type of DAST scan that will run. Either a Passive Scan or an Active Scan. */
    scanType?: InputMaybe<DastScanTypeEnum>;
    /** Indicates if debug messages should be included in DAST console output. True to include the debug messages. */
    showDebugMessages?: InputMaybe<Scalars['Boolean']['input']>;
    /** Maximum number of minutes allowed for the spider to traverse the site. */
    spiderTimeout: Scalars['Int']['input'];
    /** Maximum number of seconds allowed for the site under test to respond to a request. */
    targetTimeout: Scalars['Int']['input'];
    /** Indicates if the AJAX spider should be used to crawl the target site. True to run the AJAX spider in addition to the traditional spider, and false to run only the traditional spider. */
    useAjaxSpider?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Autogenerated return type of DastScannerProfileUpdate. */
export type DastScannerProfileUpdatePayload = {
    __typename?: 'DastScannerProfileUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Updated scanner profile. */
    dastScannerProfile?: Maybe<DastScannerProfile>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /**
     * ID of the scanner profile. Deprecated in GitLab 14.10: use `dastScannerProfile` field.
     * @deprecated use `dastScannerProfile` field. Deprecated in GitLab 14.10.
     */
    id?: Maybe<Scalars['DastScannerProfileID']['output']>;
};
/** Represents a DAST Site Profile */
export type DastSiteProfile = {
    __typename?: 'DastSiteProfile';
    /** Target authentication details. */
    auth?: Maybe<DastSiteProfileAuth>;
    /** Relative web path to the edit page of a site profile. */
    editPath?: Maybe<Scalars['String']['output']>;
    /** URLs to skip during an authenticated scan. */
    excludedUrls?: Maybe<Array<Scalars['String']['output']>>;
    /** ID of the site profile. */
    id: Scalars['DastSiteProfileID']['output'];
    /** Normalized URL of the target to be scanned. */
    normalizedTargetUrl?: Maybe<Scalars['String']['output']>;
    /** Name of the site profile. */
    profileName?: Maybe<Scalars['String']['output']>;
    /** List of security policy names that are referencing given project. */
    referencedInSecurityPolicies?: Maybe<Array<Scalars['String']['output']>>;
    /** Comma-separated list of request header names and values to be added to every request made by DAST. */
    requestHeaders?: Maybe<Scalars['String']['output']>;
    /** Scan File Path used as input for the scanner. */
    scanFilePath?: Maybe<Scalars['String']['output']>;
    /** Scan method used by the scanner. */
    scanMethod?: Maybe<DastScanMethodType>;
    /** Type of target to be scanned. */
    targetType?: Maybe<DastTargetTypeEnum>;
    /** URL of the target to be scanned. */
    targetUrl?: Maybe<Scalars['String']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: DastSiteProfilePermissions;
    /** Site profile validation start time. */
    validationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Current validation status of the site profile. */
    validationStatus?: Maybe<DastSiteProfileValidationStatusEnum>;
};
/** DastSiteProfile authentication */
export type DastSiteProfileAuth = {
    __typename?: 'DastSiteProfileAuth';
    /** Indicates whether authentication is enabled. */
    enabled?: Maybe<Scalars['Boolean']['output']>;
    /** Redacted password to authenticate with on the target website. */
    password?: Maybe<Scalars['String']['output']>;
    /** Name of password field at the sign-in HTML form. */
    passwordField?: Maybe<Scalars['String']['output']>;
    /** Name or ID of sign-in submit button at the sign-in HTML form. */
    submitField?: Maybe<Scalars['String']['output']>;
    /** The URL of the page containing the sign-in HTML form on the target website. */
    url?: Maybe<Scalars['String']['output']>;
    /** Username to authenticate with on the target website. */
    username?: Maybe<Scalars['String']['output']>;
    /** Name of username field at the sign-in HTML form. */
    usernameField?: Maybe<Scalars['String']['output']>;
};
/** Input type for DastSiteProfile authentication */
export type DastSiteProfileAuthInput = {
    /** Indicates whether authentication is enabled. */
    enabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Password to authenticate with on the target. */
    password?: InputMaybe<Scalars['String']['input']>;
    /** Name of password field at the sign-in HTML form. */
    passwordField?: InputMaybe<Scalars['String']['input']>;
    /** Name or ID of sign-in submit button at the sign-in HTML form. */
    submitField?: InputMaybe<Scalars['String']['input']>;
    /** The URL of the page containing the sign-in HTML form on the target website. */
    url?: InputMaybe<Scalars['String']['input']>;
    /** Username to authenticate with on the target. */
    username?: InputMaybe<Scalars['String']['input']>;
    /** Name of username field at the sign-in HTML form. */
    usernameField?: InputMaybe<Scalars['String']['input']>;
};
/** The connection type for DastSiteProfile. */
export type DastSiteProfileConnection = {
    __typename?: 'DastSiteProfileConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DastSiteProfileEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DastSiteProfile>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of DastSiteProfileCreate */
export type DastSiteProfileCreateInput = {
    /** Parameters for authentication. */
    auth?: InputMaybe<DastSiteProfileAuthInput>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** URLs to skip during an authenticated scan. Defaults to `[]`. */
    excludedUrls?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Project the site profile belongs to. */
    fullPath: Scalars['ID']['input'];
    /** Name of the site profile. */
    profileName: Scalars['String']['input'];
    /** Comma-separated list of request header names and values to be added to every request made by DAST. */
    requestHeaders?: InputMaybe<Scalars['String']['input']>;
    /** File Path or URL used as input for the scan method. */
    scanFilePath?: InputMaybe<Scalars['String']['input']>;
    /** Scan method by the scanner. */
    scanMethod?: InputMaybe<DastScanMethodType>;
    /** Type of target to be scanned. */
    targetType?: InputMaybe<DastTargetTypeEnum>;
    /** URL of the target to be scanned. */
    targetUrl?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of DastSiteProfileCreate. */
export type DastSiteProfileCreatePayload = {
    __typename?: 'DastSiteProfileCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Site Profile object. */
    dastSiteProfile?: Maybe<DastSiteProfile>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /**
     * ID of the site profile. Deprecated in GitLab 14.10: use `dastSiteProfile.id` field.
     * @deprecated use `dastSiteProfile.id` field. Deprecated in GitLab 14.10.
     */
    id?: Maybe<Scalars['DastSiteProfileID']['output']>;
};
/** Autogenerated input type of DastSiteProfileDelete */
export type DastSiteProfileDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the site profile to be deleted. */
    id: Scalars['DastSiteProfileID']['input'];
};
/** Autogenerated return type of DastSiteProfileDelete. */
export type DastSiteProfileDeletePayload = {
    __typename?: 'DastSiteProfileDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type DastSiteProfileEdge = {
    __typename?: 'DastSiteProfileEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DastSiteProfile>;
};
/** Check permissions for the current user on site profile */
export type DastSiteProfilePermissions = {
    __typename?: 'DastSiteProfilePermissions';
    /** If `true`, the user can perform `create_on_demand_dast_scan` on this resource */
    createOnDemandDastScan: Scalars['Boolean']['output'];
};
/** Autogenerated input type of DastSiteProfileUpdate */
export type DastSiteProfileUpdateInput = {
    /** Parameters for authentication. */
    auth?: InputMaybe<DastSiteProfileAuthInput>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** URLs to skip during an authenticated scan. */
    excludedUrls?: InputMaybe<Array<Scalars['String']['input']>>;
    /** ID of the site profile to be updated. */
    id: Scalars['DastSiteProfileID']['input'];
    /** Name of the site profile. */
    profileName: Scalars['String']['input'];
    /** Comma-separated list of request header names and values to be added to every request made by DAST. */
    requestHeaders?: InputMaybe<Scalars['String']['input']>;
    /** File Path or URL used as input for the scan method. */
    scanFilePath?: InputMaybe<Scalars['String']['input']>;
    /** Scan method by the scanner. */
    scanMethod?: InputMaybe<DastScanMethodType>;
    /** Type of target to be scanned. */
    targetType?: InputMaybe<DastTargetTypeEnum>;
    /** URL of the target to be scanned. */
    targetUrl?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of DastSiteProfileUpdate. */
export type DastSiteProfileUpdatePayload = {
    __typename?: 'DastSiteProfileUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Site profile object. */
    dastSiteProfile?: Maybe<DastSiteProfile>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /**
     * ID of the site profile. Deprecated in GitLab 14.10: use `dastSiteProfile.id` field.
     * @deprecated use `dastSiteProfile.id` field. Deprecated in GitLab 14.10.
     */
    id?: Maybe<Scalars['DastSiteProfileID']['output']>;
};
export declare enum DastSiteProfileValidationStatusEnum {
    /** Site validation process finished but failed. */
    FailedValidation = "FAILED_VALIDATION",
    /** Site validation process is in progress. */
    InprogressValidation = "INPROGRESS_VALIDATION",
    /** No site validation exists. */
    None = "NONE",
    /** Site validation process finished successfully. */
    PassedValidation = "PASSED_VALIDATION",
    /** Site validation process has not started. */
    PendingValidation = "PENDING_VALIDATION"
}
/** Autogenerated input type of DastSiteTokenCreate */
export type DastSiteTokenCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project the site token belongs to. */
    fullPath: Scalars['ID']['input'];
    /** URL of the target to be validated. */
    targetUrl?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of DastSiteTokenCreate. */
export type DastSiteTokenCreatePayload = {
    __typename?: 'DastSiteTokenCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** ID of the site token. */
    id?: Maybe<Scalars['DastSiteTokenID']['output']>;
    /** Current validation status of the target. */
    status?: Maybe<DastSiteProfileValidationStatusEnum>;
    /** Token string. */
    token?: Maybe<Scalars['String']['output']>;
};
/** Represents a DAST Site Validation */
export type DastSiteValidation = {
    __typename?: 'DastSiteValidation';
    /** Global ID of the site validation. */
    id: Scalars['DastSiteValidationID']['output'];
    /** Normalized URL of the target to be validated. */
    normalizedTargetUrl?: Maybe<Scalars['String']['output']>;
    /** Status of the site validation. */
    status: DastSiteProfileValidationStatusEnum;
    /** Timestamp of when the validation started. */
    validationStartedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for DastSiteValidation. */
export type DastSiteValidationConnection = {
    __typename?: 'DastSiteValidationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DastSiteValidationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DastSiteValidation>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of DastSiteValidationCreate */
export type DastSiteValidationCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the site token. */
    dastSiteTokenId: Scalars['DastSiteTokenID']['input'];
    /** Project the site profile belongs to. */
    fullPath: Scalars['ID']['input'];
    /** Validation strategy to be used. */
    strategy?: InputMaybe<DastSiteValidationStrategyEnum>;
    /** Path to be requested during validation. */
    validationPath: Scalars['String']['input'];
};
/** Autogenerated return type of DastSiteValidationCreate. */
export type DastSiteValidationCreatePayload = {
    __typename?: 'DastSiteValidationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** ID of the site validation. */
    id?: Maybe<Scalars['DastSiteValidationID']['output']>;
    /** Current validation status. */
    status?: Maybe<DastSiteProfileValidationStatusEnum>;
};
/** An edge in a connection. */
export type DastSiteValidationEdge = {
    __typename?: 'DastSiteValidationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DastSiteValidation>;
};
/** Autogenerated input type of DastSiteValidationRevoke */
export type DastSiteValidationRevokeInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project the site validation belongs to. */
    fullPath: Scalars['ID']['input'];
    /** Normalized URL of the target to be revoked. */
    normalizedTargetUrl: Scalars['String']['input'];
};
/** Autogenerated return type of DastSiteValidationRevoke. */
export type DastSiteValidationRevokePayload = {
    __typename?: 'DastSiteValidationRevokePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export declare enum DastSiteValidationStatusEnum {
    /** Site validation process finished but failed. */
    FailedValidation = "FAILED_VALIDATION",
    /** Site validation process is in progress. */
    InprogressValidation = "INPROGRESS_VALIDATION",
    /** Site validation process finished successfully. */
    PassedValidation = "PASSED_VALIDATION",
    /** Site validation process has not started. */
    PendingValidation = "PENDING_VALIDATION"
}
export declare enum DastSiteValidationStrategyEnum {
    /** Header validation. */
    Header = "HEADER",
    /** Meta tag validation. */
    MetaTag = "META_TAG",
    /** Text file validation. */
    TextFile = "TEXT_FILE"
}
export declare enum DastTargetTypeEnum {
    /** API target. */
    Api = "API",
    /** Website target. */
    Website = "WEBSITE"
}
/** Color of the data visualization palette */
export declare enum DataVisualizationColorEnum {
    /** Aqua color */
    Aqua = "AQUA",
    /** Blue color */
    Blue = "BLUE",
    /** Green color */
    Green = "GREEN",
    /** Magenta color */
    Magenta = "MAGENTA",
    /** Orange color */
    Orange = "ORANGE"
}
/** Weight of the data visualization palette */
export declare enum DataVisualizationWeightEnum {
    /** 50 weight */
    Weight_50 = "WEIGHT_50",
    /** 100 weight */
    Weight_100 = "WEIGHT_100",
    /** 200 weight */
    Weight_200 = "WEIGHT_200",
    /** 300 weight */
    Weight_300 = "WEIGHT_300",
    /** 400 weight */
    Weight_400 = "WEIGHT_400",
    /** 500 weight */
    Weight_500 = "WEIGHT_500",
    /** 600 weight */
    Weight_600 = "WEIGHT_600",
    /** 700 weight */
    Weight_700 = "WEIGHT_700",
    /** 800 weight */
    Weight_800 = "WEIGHT_800",
    /** 900 weight */
    Weight_900 = "WEIGHT_900",
    /** 950 weight */
    Weight_950 = "WEIGHT_950"
}
/** Autogenerated input type of DeleteAnnotation */
export type DeleteAnnotationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the annotation to delete. */
    id: Scalars['String']['input'];
};
/** Autogenerated return type of DeleteAnnotation. */
export type DeleteAnnotationPayload = {
    __typename?: 'DeleteAnnotationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DeleteContainerRegistryProtectionRule */
export type DeleteContainerRegistryProtectionRuleInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the container registry protection rule to delete. */
    id: Scalars['ContainerRegistryProtectionRuleID']['input'];
};
/** Autogenerated return type of DeleteContainerRegistryProtectionRule. */
export type DeleteContainerRegistryProtectionRulePayload = {
    __typename?: 'DeleteContainerRegistryProtectionRulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /**
     * Container registry protection rule that was deleted successfully. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    containerRegistryProtectionRule?: Maybe<ContainerRegistryProtectionRule>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** The response from the AdminSidekiqQueuesDeleteJobs mutation */
export type DeleteJobsResponse = {
    __typename?: 'DeleteJobsResponse';
    /** Whether or not the entire queue was processed in time; if not, retrying the same request is safe. */
    completed?: Maybe<Scalars['Boolean']['output']>;
    /** Number of matching jobs deleted. */
    deletedJobs?: Maybe<Scalars['Int']['output']>;
    /** Queue size after processing. */
    queueSize?: Maybe<Scalars['Int']['output']>;
};
/** Autogenerated input type of DeletePackagesProtectionRule */
export type DeletePackagesProtectionRuleInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the package protection rule to delete. */
    id: Scalars['PackagesProtectionRuleID']['input'];
};
/** Autogenerated return type of DeletePackagesProtectionRule. */
export type DeletePackagesProtectionRulePayload = {
    __typename?: 'DeletePackagesProtectionRulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /**
     * Packages protection rule that was deleted successfully. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    packageProtectionRule?: Maybe<PackagesProtectionRule>;
};
/** Autogenerated input type of DeletePagesDeployment */
export type DeletePagesDeploymentInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Pages Deployment. */
    id: Scalars['PagesDeploymentID']['input'];
};
/** Autogenerated return type of DeletePagesDeployment. */
export type DeletePagesDeploymentPayload = {
    __typename?: 'DeletePagesDeploymentPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Deleted Pages Deployment. */
    pagesDeployment: PagesDeployment;
};
export type DeletedNote = {
    __typename?: 'DeletedNote';
    /** ID of the discussion for the deleted note. */
    discussionId?: Maybe<Scalars['DiscussionID']['output']>;
    /** ID of the deleted note. */
    id: Scalars['NoteID']['output'];
    /** Whether deleted note is the last note in the discussion. */
    lastDiscussionNote?: Maybe<Scalars['Boolean']['output']>;
};
/** A software dependency used by a project */
export type Dependency = {
    __typename?: 'Dependency';
    /** ID of the dependency. */
    id: Scalars['GlobalID']['output'];
    /** Licenses associated to the dependency. */
    licenses?: Maybe<Array<License>>;
    /** Information about where the dependency is located. */
    location?: Maybe<Location>;
    /** Name of the dependency. */
    name: Scalars['String']['output'];
    /** Description of the tool used to manage the dependency. */
    packager?: Maybe<PackageManager>;
    /** Version of the dependency. */
    version?: Maybe<Scalars['String']['output']>;
};
/** The connection type for Dependency. */
export type DependencyConnection = {
    __typename?: 'DependencyConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DependencyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Dependency>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DependencyEdge = {
    __typename?: 'DependencyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Dependency>;
};
/** Represents metadata associated with a dependency link */
export type DependencyLinkMetadata = NugetDependencyLinkMetadata;
/** Dependency proxy blob */
export type DependencyProxyBlob = {
    __typename?: 'DependencyProxyBlob';
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** Name of the blob. */
    fileName: Scalars['String']['output'];
    /** Size of the blob file. */
    size: Scalars['String']['output'];
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for DependencyProxyBlob. */
export type DependencyProxyBlobConnection = {
    __typename?: 'DependencyProxyBlobConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DependencyProxyBlobEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DependencyProxyBlob>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DependencyProxyBlobEdge = {
    __typename?: 'DependencyProxyBlobEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DependencyProxyBlob>;
};
/** Represents the Geo replication and verification state of a dependency_proxy_blob */
export type DependencyProxyBlobRegistry = {
    __typename?: 'DependencyProxyBlobRegistry';
    /** Timestamp when the DependencyProxyBlobRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Dependency Proxy Blob. */
    dependencyProxyBlobId: Scalars['ID']['output'];
    /** ID of the DependencyProxyBlobRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the DependencyProxyBlobRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the DependencyProxyBlobRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the DependencyProxyBlobRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the DependencyProxyBlobRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the DependencyProxyBlobRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the DependencyProxyBlobRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the DependencyProxyBlobRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the DependencyProxyBlobRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the DependencyProxyBlobRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of DependencyProxyBlobRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the DependencyProxyBlobRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the DependencyProxyBlobRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for DependencyProxyBlobRegistry. */
export type DependencyProxyBlobRegistryConnection = {
    __typename?: 'DependencyProxyBlobRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DependencyProxyBlobRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DependencyProxyBlobRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DependencyProxyBlobRegistryEdge = {
    __typename?: 'DependencyProxyBlobRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DependencyProxyBlobRegistry>;
};
/** Group-level Dependency Proxy TTL policy settings */
export type DependencyProxyImageTtlGroupPolicy = {
    __typename?: 'DependencyProxyImageTtlGroupPolicy';
    /** Timestamp of creation. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Indicates whether the policy is enabled or disabled. */
    enabled: Scalars['Boolean']['output'];
    /** Number of days to retain a cached image file. */
    ttl?: Maybe<Scalars['Int']['output']>;
    /** Timestamp of the most recent update. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
};
/** Dependency proxy manifest */
export type DependencyProxyManifest = {
    __typename?: 'DependencyProxyManifest';
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** Digest of the manifest. */
    digest: Scalars['String']['output'];
    /** Name of the manifest. */
    fileName: Scalars['String']['output'];
    /** ID of the manifest. */
    id: Scalars['DependencyProxyManifestID']['output'];
    /** Name of the image. */
    imageName: Scalars['String']['output'];
    /** Size of the manifest file. */
    size: Scalars['String']['output'];
    /** Status of the manifest (default, pending_destruction, processing, error) */
    status: DependencyProxyManifestStatus;
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for DependencyProxyManifest. */
export type DependencyProxyManifestConnection = {
    __typename?: 'DependencyProxyManifestConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DependencyProxyManifestEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DependencyProxyManifest>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DependencyProxyManifestEdge = {
    __typename?: 'DependencyProxyManifestEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DependencyProxyManifest>;
};
/** Represents the Geo replication and verification state of a dependency_proxy_manifest */
export type DependencyProxyManifestRegistry = {
    __typename?: 'DependencyProxyManifestRegistry';
    /** Timestamp when the DependencyProxyManifestRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Dependency Proxy Manifest. */
    dependencyProxyManifestId: Scalars['ID']['output'];
    /** ID of the DependencyProxyManifestRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the DependencyProxyManifestRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the DependencyProxyManifestRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the DependencyProxyManifestRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the DependencyProxyManifestRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the DependencyProxyManifestRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the DependencyProxyManifestRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the DependencyProxyManifestRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the DependencyProxyManifestRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the DependencyProxyManifestRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of DependencyProxyManifestRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the DependencyProxyManifestRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the DependencyProxyManifestRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for DependencyProxyManifestRegistry. */
export type DependencyProxyManifestRegistryConnection = {
    __typename?: 'DependencyProxyManifestRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DependencyProxyManifestRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DependencyProxyManifestRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DependencyProxyManifestRegistryEdge = {
    __typename?: 'DependencyProxyManifestRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DependencyProxyManifestRegistry>;
};
export declare enum DependencyProxyManifestStatus {
    /** Dependency proxy manifest has a status of default. */
    Default = "DEFAULT",
    /** Dependency proxy manifest has a status of error. */
    Error = "ERROR",
    /** Dependency proxy manifest has a status of pending_destruction. */
    PendingDestruction = "PENDING_DESTRUCTION",
    /** Dependency proxy manifest has a status of processing. */
    Processing = "PROCESSING"
}
/** Project-level Dependency Proxy for packages settings */
export type DependencyProxyPackagesSetting = {
    __typename?: 'DependencyProxyPackagesSetting';
    /** Indicates whether the dependency proxy for packages is enabled for the project. */
    enabled: Scalars['Boolean']['output'];
    /** URL for the external Maven packages registry. */
    mavenExternalRegistryUrl?: Maybe<Scalars['String']['output']>;
    /** Username for the external Maven packages registry. */
    mavenExternalRegistryUsername?: Maybe<Scalars['String']['output']>;
};
/** Group-level Dependency Proxy settings */
export type DependencyProxySetting = {
    __typename?: 'DependencyProxySetting';
    /** Indicates whether the dependency proxy is enabled for the group. */
    enabled: Scalars['Boolean']['output'];
};
/** Values for sorting dependencies */
export declare enum DependencySort {
    /** Name by ascending order. */
    NameAsc = "NAME_ASC",
    /** Name by descending order. */
    NameDesc = "NAME_DESC",
    /** Packager by ascending order. */
    PackagerAsc = "PACKAGER_ASC",
    /** Packager by descending order. */
    PackagerDesc = "PACKAGER_DESC",
    /** Severity by ascending order. */
    SeverityAsc = "SEVERITY_ASC",
    /** Severity by descending order. */
    SeverityDesc = "SEVERITY_DESC"
}
/** The deployment of an environment */
export type Deployment = {
    __typename?: 'Deployment';
    /** Approval summary of the deployment.This field can only be resolved for one deployment in any single request. */
    approvalSummary?: Maybe<DeploymentApprovalSummary>;
    /** Current approvals of the deployment. */
    approvals?: Maybe<Array<DeploymentApproval>>;
    /** Commit details of the deployment. */
    commit?: Maybe<Commit>;
    /** When the deployment record was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** When the deployment finished. */
    finishedAt?: Maybe<Scalars['Time']['output']>;
    /** Global ID of the deployment. */
    id?: Maybe<Scalars['ID']['output']>;
    /** Project-level internal ID of the deployment. */
    iid?: Maybe<Scalars['String']['output']>;
    /** Pipeline job of the deployment. */
    job?: Maybe<CiJob>;
    /** Number of pending unified approvals on the deployment. */
    pendingApprovalCount?: Maybe<Scalars['Int']['output']>;
    /** Git-Ref that the deployment ran on. */
    ref?: Maybe<Scalars['String']['output']>;
    /** Path to the Git-Ref that the deployment ran on. */
    refPath?: Maybe<Scalars['String']['output']>;
    /** Git-SHA that the deployment ran on. */
    sha?: Maybe<Scalars['String']['output']>;
    /** Status of the deployment. */
    status?: Maybe<DeploymentStatus>;
    /** True or false if the deployment ran on a Git-tag. */
    tag?: Maybe<Scalars['Boolean']['output']>;
    /** Git tags that contain this deployment. This field can only be resolved for two deployments in any single request. */
    tags?: Maybe<Array<DeploymentTag>>;
    /** User who executed the deployment. */
    triggerer?: Maybe<UserCore>;
    /** When the deployment record was updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: DeploymentPermissions;
    /** Web path to the deployment page. */
    webPath?: Maybe<Scalars['String']['output']>;
};
/** Approval of the deployment. */
export type DeploymentApproval = {
    __typename?: 'DeploymentApproval';
    /** Additional comment. */
    comment?: Maybe<Scalars['String']['output']>;
    /** When the user approved/rejected first time. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Whether the deployment was approved/rejected. */
    status?: Maybe<DeploymentsApprovalStatus>;
    /** When the user updated the approval. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** User who approved or rejected the deployment. */
    user?: Maybe<UserCore>;
};
/** Approval summary of the deployment. */
export type DeploymentApprovalSummary = {
    __typename?: 'DeploymentApprovalSummary';
    /** Approval Rules for the deployment. */
    rules?: Maybe<Array<ProtectedEnvironmentApprovalRuleForSummary>>;
    /** Status of the approvals. */
    status?: Maybe<DeploymentApprovalSummaryStatus>;
    /** Total pending approval count. */
    totalPendingApprovalCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of required approvals. */
    totalRequiredApprovals?: Maybe<Scalars['Int']['output']>;
};
/** Status of the deployment approval summary. */
export declare enum DeploymentApprovalSummaryStatus {
    /** Summarized deployment approval status that is approved. */
    Approved = "APPROVED",
    /** Summarized deployment approval status that is pending approval. */
    PendingApproval = "PENDING_APPROVAL",
    /** Summarized deployment approval status that is rejected. */
    Rejected = "REJECTED"
}
/** The connection type for Deployment. */
export type DeploymentConnection = {
    __typename?: 'DeploymentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DeploymentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Deployment>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DeploymentEdge = {
    __typename?: 'DeploymentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Deployment>;
};
export type DeploymentPermissions = {
    __typename?: 'DeploymentPermissions';
    /** Indicates the user can perform `approve_deployment` on this resource. This field can only be resolved for one environment in any single request. */
    approveDeployment: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_deployment` on this resource */
    destroyDeployment: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_deployment` on this resource */
    updateDeployment: Scalars['Boolean']['output'];
};
/** All deployment statuses. */
export declare enum DeploymentStatus {
    /** A deployment that is blocked. */
    Blocked = "BLOCKED",
    /** A deployment that is canceled. */
    Canceled = "CANCELED",
    /** A deployment that is created. */
    Created = "CREATED",
    /** A deployment that is failed. */
    Failed = "FAILED",
    /** A deployment that is running. */
    Running = "RUNNING",
    /** A deployment that is skipped. */
    Skipped = "SKIPPED",
    /** A deployment that is success. */
    Success = "SUCCESS"
}
/** Tags for a given deployment */
export type DeploymentTag = {
    __typename?: 'DeploymentTag';
    /** Name of this git tag. */
    name?: Maybe<Scalars['String']['output']>;
    /** Path for this tag. */
    path?: Maybe<Scalars['String']['output']>;
    /** Web path for this tag. */
    webPath?: Maybe<Scalars['String']['output']>;
};
/** All environment deployment tiers. */
export declare enum DeploymentTier {
    /** Development. */
    Development = "DEVELOPMENT",
    /** Other. */
    Other = "OTHER",
    /** Production. */
    Production = "PRODUCTION",
    /** Staging. */
    Staging = "STAGING",
    /** Testing. */
    Testing = "TESTING"
}
/** Status of the deployment approval. */
export declare enum DeploymentsApprovalStatus {
    /** A deployment approval that is approved. */
    Approved = "APPROVED",
    /** A deployment approval that is rejected. */
    Rejected = "REJECTED"
}
/** Values for ordering deployments by a specific field */
export type DeploymentsOrderByInput = {
    /** Order by Created time. */
    createdAt?: InputMaybe<SortDirectionEnum>;
    /** Order by Finished time. */
    finishedAt?: InputMaybe<SortDirectionEnum>;
};
export type DescriptionVersion = {
    __typename?: 'DescriptionVersion';
    /**
     * Whether current user can delete description version associated to the note metadata. Deprecated in GitLab 15.7: For backwards compatibility with REST API version and to be removed in a next iteration.
     * @deprecated For backwards compatibility with REST API version and to be removed in a next iteration. Deprecated in GitLab 15.7.
     */
    canDelete?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Web path to delete description version associated to the note metadata. Deprecated in GitLab 15.7: For backwards compatibility with REST API version and to be removed in a next iteration.
     * @deprecated For backwards compatibility with REST API version and to be removed in a next iteration. Deprecated in GitLab 15.7.
     */
    deletePath?: Maybe<Scalars['String']['output']>;
    /**
     * Whether description version associated to the note metadata is deleted. Deprecated in GitLab 15.7: For backwards compatibility with REST API version and to be removed in a next iteration.
     * @deprecated For backwards compatibility with REST API version and to be removed in a next iteration. Deprecated in GitLab 15.7.
     */
    deleted?: Maybe<Scalars['Boolean']['output']>;
    /** Content of the given description version. */
    description?: Maybe<Scalars['String']['output']>;
    /** Description diff between versions. */
    diff?: Maybe<Scalars['String']['output']>;
    /**
     * Web path to description version associated to the note metadata. Deprecated in GitLab 15.7: For backwards compatibility with REST API version and to be removed in a next iteration.
     * @deprecated For backwards compatibility with REST API version and to be removed in a next iteration. Deprecated in GitLab 15.7.
     */
    diffPath?: Maybe<Scalars['String']['output']>;
    /** ID of the description version. */
    id: Scalars['DescriptionVersionID']['output'];
};
export type DescriptionVersionDiffArgs = {
    versionId?: InputMaybe<Scalars['DescriptionVersionID']['input']>;
};
/** A single design */
export type Design = CurrentUserTodos & DesignFields & NoteableInterface & Todoable & {
    __typename?: 'Design';
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
    /** Description of the design. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Diff refs for this design. */
    diffRefs: DiffRefs;
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** How this design was changed in the current version. */
    event: DesignVersionEvent;
    /** Filename of the design. */
    filename: Scalars['String']['output'];
    /** Full path to the design file. */
    fullPath: Scalars['ID']['output'];
    /** ID of this design. */
    id: Scalars['ID']['output'];
    /** URL of the full-sized image. */
    image: Scalars['String']['output'];
    /** The URL of the design resized to fit within the bounds of 432x230. This will be `null` if the image has not been generated */
    imageV432x230?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the design was imported. */
    imported: Scalars['Boolean']['output'];
    /** Import source of the design. */
    importedFrom: ImportSource;
    /** Issue the design belongs to. */
    issue: Issue;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** Total count of user-created notes for this design. */
    notesCount: Scalars['Int']['output'];
    /** Project the design belongs to. */
    project: Project;
    /** All versions related to this design ordered newest first. */
    versions: DesignVersionConnection;
    /** URL of the design. */
    webUrl: Scalars['String']['output'];
};
/** A single design */
export type DesignCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A single design */
export type DesignCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
/** A single design */
export type DesignDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A single design */
export type DesignNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A single design */
export type DesignVersionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    earlierOrEqualToId?: InputMaybe<Scalars['DesignManagementVersionID']['input']>;
    earlierOrEqualToSha?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A design pinned to a specific version. The image field reflects the design as of the associated version */
export type DesignAtVersion = DesignFields & {
    __typename?: 'DesignAtVersion';
    /** Underlying design. */
    design: Design;
    /** Diff refs for this design. */
    diffRefs: DiffRefs;
    /** How this design was changed in the current version. */
    event: DesignVersionEvent;
    /** Filename of the design. */
    filename: Scalars['String']['output'];
    /** Full path to the design file. */
    fullPath: Scalars['ID']['output'];
    /** ID of this design. */
    id: Scalars['ID']['output'];
    /** URL of the full-sized image. */
    image: Scalars['String']['output'];
    /** The URL of the design resized to fit within the bounds of 432x230. This will be `null` if the image has not been generated */
    imageV432x230?: Maybe<Scalars['String']['output']>;
    /** Issue the design belongs to. */
    issue: Issue;
    /** Total count of user-created notes for this design. */
    notesCount: Scalars['Int']['output'];
    /** Project the design belongs to. */
    project: Project;
    /** Version this design-at-versions is pinned to. */
    version: DesignVersion;
};
/** The connection type for DesignAtVersion. */
export type DesignAtVersionConnection = {
    __typename?: 'DesignAtVersionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DesignAtVersionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DesignAtVersion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DesignAtVersionEdge = {
    __typename?: 'DesignAtVersionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DesignAtVersion>;
};
/** A collection of designs */
export type DesignCollection = {
    __typename?: 'DesignCollection';
    /** Copy state of the design collection. */
    copyState?: Maybe<DesignCollectionCopyState>;
    /** Find a specific design. */
    design?: Maybe<Design>;
    /** Find a design as of a version. */
    designAtVersion?: Maybe<DesignAtVersion>;
    /** All designs for the design collection. */
    designs: DesignConnection;
    /** Issue associated with the design collection. */
    issue: Issue;
    /** Project associated with the design collection. */
    project: Project;
    /** A specific version. */
    version?: Maybe<DesignVersion>;
    /** All versions related to all designs, ordered newest first. */
    versions: DesignVersionConnection;
};
/** A collection of designs */
export type DesignCollectionDesignArgs = {
    filename?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['DesignManagementDesignID']['input']>;
};
/** A collection of designs */
export type DesignCollectionDesignAtVersionArgs = {
    id: Scalars['DesignManagementDesignAtVersionID']['input'];
};
/** A collection of designs */
export type DesignCollectionDesignsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    atVersion?: InputMaybe<Scalars['DesignManagementVersionID']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filenames?: InputMaybe<Array<Scalars['String']['input']>>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['DesignManagementDesignID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A collection of designs */
export type DesignCollectionVersionArgs = {
    id?: InputMaybe<Scalars['DesignManagementVersionID']['input']>;
    sha?: InputMaybe<Scalars['String']['input']>;
};
/** A collection of designs */
export type DesignCollectionVersionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    earlierOrEqualToId?: InputMaybe<Scalars['DesignManagementVersionID']['input']>;
    earlierOrEqualToSha?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Copy state of a DesignCollection */
export declare enum DesignCollectionCopyState {
    /** The DesignCollection encountered an error during a copy */
    Error = "ERROR",
    /** The DesignCollection is being copied */
    InProgress = "IN_PROGRESS",
    /** The DesignCollection has no copy in progress */
    Ready = "READY"
}
/** The connection type for Design. */
export type DesignConnection = {
    __typename?: 'DesignConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DesignEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Design>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DesignEdge = {
    __typename?: 'DesignEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Design>;
};
export type DesignFields = {
    /** Diff refs for this design. */
    diffRefs: DiffRefs;
    /** How this design was changed in the current version. */
    event: DesignVersionEvent;
    /** Filename of the design. */
    filename: Scalars['String']['output'];
    /** Full path to the design file. */
    fullPath: Scalars['ID']['output'];
    /** ID of this design. */
    id: Scalars['ID']['output'];
    /** URL of the full-sized image. */
    image: Scalars['String']['output'];
    /** The URL of the design resized to fit within the bounds of 432x230. This will be `null` if the image has not been generated */
    imageV432x230?: Maybe<Scalars['String']['output']>;
    /** Issue the design belongs to. */
    issue: Issue;
    /** Total count of user-created notes for this design. */
    notesCount: Scalars['Int']['output'];
    /** Project the design belongs to. */
    project: Project;
};
export type DesignManagement = {
    __typename?: 'DesignManagement';
    /** Find a design as of a version. */
    designAtVersion?: Maybe<DesignAtVersion>;
    /** Find a version. */
    version?: Maybe<DesignVersion>;
};
export type DesignManagementDesignAtVersionArgs = {
    id: Scalars['DesignManagementDesignAtVersionID']['input'];
};
export type DesignManagementVersionArgs = {
    id: Scalars['DesignManagementVersionID']['input'];
};
/** Autogenerated input type of DesignManagementDelete */
export type DesignManagementDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Filenames of the designs to delete. */
    filenames: Array<Scalars['String']['input']>;
    /** IID of the issue to modify designs for. */
    iid: Scalars['ID']['input'];
    /** Project where the issue is to upload designs for. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of DesignManagementDelete. */
export type DesignManagementDeletePayload = {
    __typename?: 'DesignManagementDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** New version in which the designs are deleted. */
    version?: Maybe<DesignVersion>;
};
/** Autogenerated input type of DesignManagementMove */
export type DesignManagementMoveInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the design to move. */
    id: Scalars['DesignManagementDesignID']['input'];
    /** ID of the immediately following design. */
    next?: InputMaybe<Scalars['DesignManagementDesignID']['input']>;
    /** ID of the immediately preceding design. */
    previous?: InputMaybe<Scalars['DesignManagementDesignID']['input']>;
};
/** Autogenerated return type of DesignManagementMove. */
export type DesignManagementMovePayload = {
    __typename?: 'DesignManagementMovePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Current state of the collection. */
    designCollection?: Maybe<DesignCollection>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Represents the Geo replication and verification state of a Design Management Repository */
export type DesignManagementRepositoryRegistry = {
    __typename?: 'DesignManagementRepositoryRegistry';
    /** Timestamp when the DesignManagementRepositoryRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Design Management Repository. */
    designManagementRepositoryId: Scalars['ID']['output'];
    /** ID of the DesignManagementRepositoryRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the DesignManagementRepositoryRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the DesignManagementRepositoryRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the DesignManagementRepositoryRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the DesignManagementRepositoryRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the DesignManagementRepositoryRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the DesignManagementRepositoryRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the DesignManagementRepositoryRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the DesignManagementRepositoryRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the DesignManagementRepositoryRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of DesignManagementRepositoryRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the DesignManagementRepositoryRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the DesignManagementRepositoryRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for DesignManagementRepositoryRegistry. */
export type DesignManagementRepositoryRegistryConnection = {
    __typename?: 'DesignManagementRepositoryRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DesignManagementRepositoryRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DesignManagementRepositoryRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DesignManagementRepositoryRegistryEdge = {
    __typename?: 'DesignManagementRepositoryRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DesignManagementRepositoryRegistry>;
};
/** Autogenerated input type of DesignManagementUpdate */
export type DesignManagementUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the design. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of the design to update. */
    id: Scalars['DesignManagementDesignID']['input'];
};
/** Autogenerated return type of DesignManagementUpdate. */
export type DesignManagementUpdatePayload = {
    __typename?: 'DesignManagementUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Updated design. */
    design: Design;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DesignManagementUpload */
export type DesignManagementUploadInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Files to upload. */
    files: Array<Scalars['Upload']['input']>;
    /** IID of the issue to modify designs for. */
    iid: Scalars['ID']['input'];
    /** Project where the issue is to upload designs for. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of DesignManagementUpload. */
export type DesignManagementUploadPayload = {
    __typename?: 'DesignManagementUploadPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Designs that were uploaded by the mutation. */
    designs: Array<Design>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Any designs that were skipped from the upload due to there being no change to their content since their last version */
    skippedDesigns: Array<Design>;
};
/** A specific version in which designs were added, modified or deleted */
export type DesignVersion = {
    __typename?: 'DesignVersion';
    /** Author of the version. */
    author: UserCore;
    /** Timestamp of when the version was created. */
    createdAt: Scalars['Time']['output'];
    /** A particular design as of this version, provided it is visible at this version. */
    designAtVersion: DesignAtVersion;
    /** All designs that were changed in the version. */
    designs: DesignConnection;
    /** All designs that are visible at this version, as of this version. */
    designsAtVersion: DesignAtVersionConnection;
    /** ID of the design version. */
    id: Scalars['ID']['output'];
    /** SHA of the design version. */
    sha: Scalars['ID']['output'];
};
/** A specific version in which designs were added, modified or deleted */
export type DesignVersionDesignAtVersionArgs = {
    designId?: InputMaybe<Scalars['DesignManagementDesignID']['input']>;
    filename?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['DesignManagementDesignAtVersionID']['input']>;
};
/** A specific version in which designs were added, modified or deleted */
export type DesignVersionDesignsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A specific version in which designs were added, modified or deleted */
export type DesignVersionDesignsAtVersionArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filenames?: InputMaybe<Array<Scalars['String']['input']>>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['DesignManagementDesignID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for DesignVersion. */
export type DesignVersionConnection = {
    __typename?: 'DesignVersionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DesignVersionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DesignVersion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DesignVersionEdge = {
    __typename?: 'DesignVersionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DesignVersion>;
};
/** Mutation event of a design within a version */
export declare enum DesignVersionEvent {
    /** A creation event */
    Creation = "CREATION",
    /** A deletion event */
    Deletion = "DELETION",
    /** A modification event */
    Modification = "MODIFICATION",
    /** No change. */
    None = "NONE"
}
/** Autogenerated input type of DestroyBoard */
export type DestroyBoardInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the board to destroy. */
    id: Scalars['BoardID']['input'];
};
/** Autogenerated input type of DestroyBoardList */
export type DestroyBoardListInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the list to destroy. Only label lists are accepted. */
    listId: Scalars['ListID']['input'];
};
/** Autogenerated return type of DestroyBoardList. */
export type DestroyBoardListPayload = {
    __typename?: 'DestroyBoardListPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** List after mutation. */
    list?: Maybe<BoardList>;
};
/** Autogenerated return type of DestroyBoard. */
export type DestroyBoardPayload = {
    __typename?: 'DestroyBoardPayload';
    /** Board after mutation. */
    board?: Maybe<Board>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyComplianceFramework */
export type DestroyComplianceFrameworkInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the compliance framework to destroy. */
    id: Scalars['ComplianceManagementFrameworkID']['input'];
};
/** Autogenerated return type of DestroyComplianceFramework. */
export type DestroyComplianceFrameworkPayload = {
    __typename?: 'DestroyComplianceFrameworkPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyContainerRepository */
export type DestroyContainerRepositoryInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the container repository. */
    id: Scalars['ContainerRepositoryID']['input'];
};
/** Autogenerated return type of DestroyContainerRepository. */
export type DestroyContainerRepositoryPayload = {
    __typename?: 'DestroyContainerRepositoryPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Container repository policy after scheduling the deletion. */
    containerRepository: ContainerRepository;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyContainerRepositoryTags */
export type DestroyContainerRepositoryTagsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the container repository. */
    id: Scalars['ContainerRepositoryID']['input'];
    /** Container repository tag(s) to delete. Total number can't be greater than 20 */
    tagNames: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of DestroyContainerRepositoryTags. */
export type DestroyContainerRepositoryTagsPayload = {
    __typename?: 'DestroyContainerRepositoryTagsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Deleted container repository tags. */
    deletedTagNames: Array<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyCustomEmoji */
export type DestroyCustomEmojiInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the custom emoji to destroy. */
    id: Scalars['CustomEmojiID']['input'];
};
/** Autogenerated return type of DestroyCustomEmoji. */
export type DestroyCustomEmojiPayload = {
    __typename?: 'DestroyCustomEmojiPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Deleted custom emoji. */
    customEmoji?: Maybe<CustomEmoji>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyEpicBoard */
export type DestroyEpicBoardInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the board to destroy. */
    id: Scalars['BoardsEpicBoardID']['input'];
};
/** Autogenerated return type of DestroyEpicBoard. */
export type DestroyEpicBoardPayload = {
    __typename?: 'DestroyEpicBoardPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Epic board after mutation. */
    epicBoard?: Maybe<EpicBoard>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyNote */
export type DestroyNoteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the note to destroy. */
    id: Scalars['NoteID']['input'];
};
/** Autogenerated return type of DestroyNote. */
export type DestroyNotePayload = {
    __typename?: 'DestroyNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
/** Autogenerated input type of DestroyPackageFile */
export type DestroyPackageFileInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Package file. */
    id: Scalars['PackagesPackageFileID']['input'];
};
/** Autogenerated return type of DestroyPackageFile. */
export type DestroyPackageFilePayload = {
    __typename?: 'DestroyPackageFilePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyPackageFiles */
export type DestroyPackageFilesInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IDs of the Package file. */
    ids: Array<Scalars['PackagesPackageFileID']['input']>;
    /** Project path where the packages cleanup policy is located. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of DestroyPackageFiles. */
export type DestroyPackageFilesPayload = {
    __typename?: 'DestroyPackageFilesPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyPackage */
export type DestroyPackageInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Package. */
    id: Scalars['PackagesPackageID']['input'];
};
/** Autogenerated return type of DestroyPackage. */
export type DestroyPackagePayload = {
    __typename?: 'DestroyPackagePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroyPackages */
export type DestroyPackagesInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global IDs of the Packages. Max 20 */
    ids: Array<Scalars['PackagesPackageID']['input']>;
};
/** Autogenerated return type of DestroyPackages. */
export type DestroyPackagesPayload = {
    __typename?: 'DestroyPackagesPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of DestroySnippet */
export type DestroySnippetInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the snippet to destroy. */
    id: Scalars['SnippetID']['input'];
};
/** Autogenerated return type of DestroySnippet. */
export type DestroySnippetPayload = {
    __typename?: 'DestroySnippetPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Snippet after mutation. */
    snippet?: Maybe<Snippet>;
};
/** Details of the import status of a project. */
export type DetailedImportStatus = {
    __typename?: 'DetailedImportStatus';
    /** ID of the import state. */
    id?: Maybe<Scalars['ProjectImportStateID']['output']>;
    /** Last error of the import. */
    lastError?: Maybe<Scalars['String']['output']>;
    /** Time of the last successful update. */
    lastSuccessfulUpdateAt?: Maybe<Scalars['Time']['output']>;
    /** Time of the last update. */
    lastUpdateAt?: Maybe<Scalars['Time']['output']>;
    /** Time of the start of the last update. */
    lastUpdateStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Current status of the import. */
    status?: Maybe<Scalars['String']['output']>;
    /** Import url. */
    url?: Maybe<Scalars['String']['output']>;
};
/** Detailed representation of whether a GitLab merge request can be merged. */
export declare enum DetailedMergeStatus {
    /** Merge request approvals currently syncing. */
    ApprovalsSyncing = "APPROVALS_SYNCING",
    /** Merge request dependencies must be merged. */
    BlockedStatus = "BLOCKED_STATUS",
    /** Currently checking for mergeability. */
    Checking = "CHECKING",
    /** Pipeline must succeed before merging. */
    CiMustPass = "CI_MUST_PASS",
    /** Pipeline is still running. */
    CiStillRunning = "CI_STILL_RUNNING",
    /** Source branch exists and contains commits. */
    CommitsStatus = "COMMITS_STATUS",
    /** There are conflicts between the source and target branches. */
    Conflict = "CONFLICT",
    /** Discussions must be resolved before merging. */
    DiscussionsNotResolved = "DISCUSSIONS_NOT_RESOLVED",
    /** Merge request must not be draft before merging. */
    DraftStatus = "DRAFT_STATUS",
    /** Status checks must pass. */
    ExternalStatusChecks = "EXTERNAL_STATUS_CHECKS",
    /** Either the title or description must reference a Jira issue. */
    JiraAssociation = "JIRA_ASSOCIATION",
    /** Branch can be merged. */
    Mergeable = "MERGEABLE",
    /** Merge request needs to be rebased. */
    NeedRebase = "NEED_REBASE",
    /** Merge request must be approved before merging. */
    NotApproved = "NOT_APPROVED",
    /** Merge request must be open before merging. */
    NotOpen = "NOT_OPEN",
    /** Merge request diff is being created. */
    Preparing = "PREPARING",
    /** Indicates a reviewer has requested changes. */
    RequestedChanges = "REQUESTED_CHANGES",
    /** Merge status has not been checked. */
    Unchecked = "UNCHECKED"
}
export type DetailedStatus = {
    __typename?: 'DetailedStatus';
    /** Action information for the status. This includes method, button title, icon, path, and title. */
    action?: Maybe<StatusAction>;
    /** Path of the details for the status. */
    detailsPath?: Maybe<Scalars['String']['output']>;
    /** Favicon of the status. */
    favicon?: Maybe<Scalars['String']['output']>;
    /**
     * Group of the status. Deprecated in GitLab 16.4: The `group` attribute is deprecated. Use `name` instead.
     * @deprecated The `group` attribute is deprecated. Use `name` instead. Deprecated in GitLab 16.4.
     */
    group?: Maybe<Scalars['String']['output']>;
    /** Indicates if the status has further details. */
    hasDetails?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Icon of the status. Deprecated in GitLab 16.4: The `icon` attribute is deprecated. Use `name` to identify the status to display instead.
     * @deprecated The `icon` attribute is deprecated. Use `name` to identify the status to display instead. Deprecated in GitLab 16.4.
     */
    icon?: Maybe<Scalars['String']['output']>;
    /** ID for a detailed status. */
    id: Scalars['String']['output'];
    /** Human-readable label of the status (e.g. success). */
    label?: Maybe<Scalars['String']['output']>;
    /** Machine-readable status name (e.g. SUCCESS). */
    name?: Maybe<Scalars['String']['output']>;
    /**
     * Text of the status. Deprecated in GitLab 16.4: The `text` attribute is being deprecated. Use `label` instead.
     * @deprecated The `text` attribute is being deprecated. Use `label` instead. Deprecated in GitLab 16.4.
     */
    text?: Maybe<Scalars['String']['output']>;
    /** Tooltip associated with the status. */
    tooltip?: Maybe<Scalars['String']['output']>;
};
/** Enabled namespace for DevopsAdoption */
export type DevopsAdoptionEnabledNamespace = {
    __typename?: 'DevopsAdoptionEnabledNamespace';
    /** Namespace where data should be displayed. */
    displayNamespace?: Maybe<Namespace>;
    /** ID of the enabled namespace. */
    id: Scalars['ID']['output'];
    /** Metrics snapshot for previous month for the enabled namespace. */
    latestSnapshot?: Maybe<DevopsAdoptionSnapshot>;
    /** Namespace which should be calculated. */
    namespace?: Maybe<Namespace>;
    /** Data snapshots of the namespace. */
    snapshots?: Maybe<DevopsAdoptionSnapshotConnection>;
};
/** Enabled namespace for DevopsAdoption */
export type DevopsAdoptionEnabledNamespaceSnapshotsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endTimeAfter?: InputMaybe<Scalars['Time']['input']>;
    endTimeBefore?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for DevopsAdoptionEnabledNamespace. */
export type DevopsAdoptionEnabledNamespaceConnection = {
    __typename?: 'DevopsAdoptionEnabledNamespaceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DevopsAdoptionEnabledNamespaceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DevopsAdoptionEnabledNamespace>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DevopsAdoptionEnabledNamespaceEdge = {
    __typename?: 'DevopsAdoptionEnabledNamespaceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DevopsAdoptionEnabledNamespace>;
};
/** Snapshot */
export type DevopsAdoptionSnapshot = {
    __typename?: 'DevopsAdoptionSnapshot';
    /** Total number of projects with existing CODEOWNERS file. */
    codeOwnersUsedCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of projects with enabled coverage fuzzing. */
    coverageFuzzingEnabledCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of projects with enabled DAST. */
    dastEnabledCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of projects with enabled dependency scanning. */
    dependencyScanningEnabledCount?: Maybe<Scalars['Int']['output']>;
    /** At least one deployment succeeded. */
    deploySucceeded: Scalars['Boolean']['output'];
    /** End time for the snapshot where the data points were collected. */
    endTime: Scalars['Time']['output'];
    /** At least one issue was opened. */
    issueOpened: Scalars['Boolean']['output'];
    /** At least one merge request was approved. */
    mergeRequestApproved: Scalars['Boolean']['output'];
    /** At least one merge request was opened. */
    mergeRequestOpened: Scalars['Boolean']['output'];
    /** At least one pipeline succeeded. */
    pipelineSucceeded: Scalars['Boolean']['output'];
    /** Time the snapshot was recorded. */
    recordedAt: Scalars['Time']['output'];
    /** At least one runner was used. */
    runnerConfigured: Scalars['Boolean']['output'];
    /** Total number of projects with enabled SAST. */
    sastEnabledCount?: Maybe<Scalars['Int']['output']>;
    /** Start time for the snapshot where the data points were collected. */
    startTime: Scalars['Time']['output'];
    /** Total number of projects. */
    totalProjectsCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of projects with vulnerability management used at least once. */
    vulnerabilityManagementUsedCount?: Maybe<Scalars['Int']['output']>;
};
/** The connection type for DevopsAdoptionSnapshot. */
export type DevopsAdoptionSnapshotConnection = {
    __typename?: 'DevopsAdoptionSnapshotConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DevopsAdoptionSnapshotEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DevopsAdoptionSnapshot>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DevopsAdoptionSnapshotEdge = {
    __typename?: 'DevopsAdoptionSnapshotEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DevopsAdoptionSnapshot>;
};
export type Diff = {
    __typename?: 'Diff';
    /** Old file mode of the file. */
    aMode?: Maybe<Scalars['String']['output']>;
    /** New file mode of the file. */
    bMode?: Maybe<Scalars['String']['output']>;
    /** Indicates if the file has been removed.  */
    deletedFile?: Maybe<Scalars['String']['output']>;
    /** Diff representation of the changes made to the file. */
    diff?: Maybe<Scalars['String']['output']>;
    /** Indicates if the file has just been added.  */
    newFile?: Maybe<Scalars['String']['output']>;
    /** New path of the file. */
    newPath?: Maybe<Scalars['String']['output']>;
    /** Old path of the file. */
    oldPath?: Maybe<Scalars['String']['output']>;
    /** Indicates if the file has been renamed. */
    renamedFile?: Maybe<Scalars['String']['output']>;
};
export type DiffImagePositionInput = {
    /** Merge base of the branch the comment was made on. */
    baseSha?: InputMaybe<Scalars['String']['input']>;
    /** SHA of the HEAD at the time the comment was made. */
    headSha: Scalars['String']['input'];
    /** Total height of the image. */
    height: Scalars['Int']['input'];
    /** The paths of the file that was changed. Both of the properties of this input are optional, but at least one of them is required */
    paths: DiffPathsInput;
    /** SHA of the branch being compared against. */
    startSha: Scalars['String']['input'];
    /** Total width of the image. */
    width: Scalars['Int']['input'];
    /** X position of the note. */
    x: Scalars['Int']['input'];
    /** Y position of the note. */
    y: Scalars['Int']['input'];
};
export type DiffPathsInput = {
    /** Path of the file on the HEAD SHA. */
    newPath?: InputMaybe<Scalars['String']['input']>;
    /** Path of the file on the start SHA. */
    oldPath?: InputMaybe<Scalars['String']['input']>;
};
export type DiffPosition = {
    __typename?: 'DiffPosition';
    /** Information about the branch, HEAD, and base at the time of commenting. */
    diffRefs: DiffRefs;
    /** Path of the file that was changed. */
    filePath: Scalars['String']['output'];
    /** Total height of the image. */
    height?: Maybe<Scalars['Int']['output']>;
    /** Line on HEAD SHA that was changed. */
    newLine?: Maybe<Scalars['Int']['output']>;
    /** Path of the file on the HEAD SHA. */
    newPath?: Maybe<Scalars['String']['output']>;
    /** Line on start SHA that was changed. */
    oldLine?: Maybe<Scalars['Int']['output']>;
    /** Path of the file on the start SHA. */
    oldPath?: Maybe<Scalars['String']['output']>;
    /** Type of file the position refers to. */
    positionType: DiffPositionType;
    /** Total width of the image. */
    width?: Maybe<Scalars['Int']['output']>;
    /** X position of the note. */
    x?: Maybe<Scalars['Int']['output']>;
    /** Y position of the note. */
    y?: Maybe<Scalars['Int']['output']>;
};
export type DiffPositionInput = {
    /** Merge base of the branch the comment was made on. */
    baseSha?: InputMaybe<Scalars['String']['input']>;
    /** SHA of the HEAD at the time the comment was made. */
    headSha: Scalars['String']['input'];
    /** Line on HEAD SHA that was changed. Please see the [REST API Documentation](https://docs.gitlab.com/ee/api/discussions.html#create-a-new-thread-in-the-merge-request-diff) for more information on how to use this field. */
    newLine?: InputMaybe<Scalars['Int']['input']>;
    /** Line on start SHA that was changed. Please see the [REST API Documentation](https://docs.gitlab.com/ee/api/discussions.html#create-a-new-thread-in-the-merge-request-diff) for more information on how to use this field. */
    oldLine?: InputMaybe<Scalars['Int']['input']>;
    /** The paths of the file that was changed. Both of the properties of this input are optional, but at least one of them is required */
    paths: DiffPathsInput;
    /** SHA of the branch being compared against. */
    startSha: Scalars['String']['input'];
};
/** Type of file the position refers to */
export declare enum DiffPositionType {
    /** Unknown file type. */
    File = "file",
    /** An image. */
    Image = "image",
    /** Text file. */
    Text = "text"
}
export type DiffRefs = {
    __typename?: 'DiffRefs';
    /** Merge base of the branch the comment was made on. */
    baseSha?: Maybe<Scalars['String']['output']>;
    /** SHA of the HEAD at the time the comment was made. */
    headSha: Scalars['String']['output'];
    /** SHA of the branch being compared against. */
    startSha: Scalars['String']['output'];
};
/** Changes to a single file */
export type DiffStats = {
    __typename?: 'DiffStats';
    /** Number of lines added to this file. */
    additions: Scalars['Int']['output'];
    /** Number of lines deleted from this file. */
    deletions: Scalars['Int']['output'];
    /** File path, relative to repository root. */
    path: Scalars['String']['output'];
};
/** Aggregated summary of changes */
export type DiffStatsSummary = {
    __typename?: 'DiffStatsSummary';
    /** Number of lines added. */
    additions: Scalars['Int']['output'];
    /** Number of lines changed. */
    changes: Scalars['Int']['output'];
    /** Number of lines deleted. */
    deletions: Scalars['Int']['output'];
    /** Number of files changed. */
    fileCount: Scalars['Int']['output'];
};
/** Autogenerated input type of DisableDevopsAdoptionNamespace */
export type DisableDevopsAdoptionNamespaceInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** One or many IDs of the enabled namespaces to disable. */
    id: Array<Scalars['AnalyticsDevopsAdoptionEnabledNamespaceID']['input']>;
};
/** Autogenerated return type of DisableDevopsAdoptionNamespace. */
export type DisableDevopsAdoptionNamespacePayload = {
    __typename?: 'DisableDevopsAdoptionNamespacePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type Discussion = ResolvableInterface & {
    __typename?: 'Discussion';
    /** Timestamp of the discussion's creation. */
    createdAt: Scalars['Time']['output'];
    /** ID of this discussion. */
    id: Scalars['DiscussionID']['output'];
    /** Object which the discussion belongs to. */
    noteable?: Maybe<NoteableType>;
    /** All notes in the discussion. */
    notes: NoteConnection;
    /** ID used to reply to this discussion. */
    replyId: Scalars['DiscussionID']['output'];
    /** Indicates if the object can be resolved. */
    resolvable: Scalars['Boolean']['output'];
    /** Indicates if the object is resolved. */
    resolved: Scalars['Boolean']['output'];
    /** Timestamp of when the object was resolved. */
    resolvedAt?: Maybe<Scalars['Time']['output']>;
    /** User who resolved the object. */
    resolvedBy?: Maybe<UserCore>;
};
export type DiscussionNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for Discussion. */
export type DiscussionConnection = {
    __typename?: 'DiscussionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DiscussionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Discussion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DiscussionEdge = {
    __typename?: 'DiscussionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Discussion>;
};
/** Autogenerated input type of DiscussionToggleResolve */
export type DiscussionToggleResolveInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the discussion. */
    id: Scalars['DiscussionID']['input'];
    /** Will resolve the discussion when true, and unresolve the discussion when false. */
    resolve: Scalars['Boolean']['input'];
};
/** Autogenerated return type of DiscussionToggleResolve. */
export type DiscussionToggleResolvePayload = {
    __typename?: 'DiscussionToggleResolvePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Discussion after mutation. */
    discussion?: Maybe<Discussion>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** All information related to DORA metrics. */
export type Dora = {
    __typename?: 'Dora';
    /** DORA metrics for the current group or project. */
    metrics?: Maybe<Array<DoraMetric>>;
};
/** All information related to DORA metrics. */
export type DoraMetricsArgs = {
    endDate?: InputMaybe<Scalars['Date']['input']>;
    environmentTiers?: InputMaybe<Array<DeploymentTier>>;
    interval?: InputMaybe<DoraMetricBucketingInterval>;
    startDate?: InputMaybe<Scalars['Date']['input']>;
};
export type DoraMetric = {
    __typename?: 'DoraMetric';
    /** Percentage of deployments that caused incidents in production. */
    changeFailureRate?: Maybe<Scalars['Float']['output']>;
    /** Date of the data point. */
    date?: Maybe<Scalars['String']['output']>;
    /** Number of deployments per day. */
    deploymentFrequency?: Maybe<Scalars['Float']['output']>;
    /** Median time to deploy a merged merge request. */
    leadTimeForChanges?: Maybe<Scalars['Float']['output']>;
    /** Median time to close an incident. */
    timeToRestoreService?: Maybe<Scalars['Float']['output']>;
};
/** All possible ways that DORA metrics can be aggregated. */
export declare enum DoraMetricBucketingInterval {
    /** All data points are combined into a single value. */
    All = "ALL",
    /** Data points are combined into chunks by day. */
    Daily = "DAILY",
    /** Data points are combined into chunks by month. */
    Monthly = "MONTHLY"
}
/** Aggregated DORA score counts for projects for the last complete month. */
export type DoraPerformanceScoreCount = {
    __typename?: 'DoraPerformanceScoreCount';
    /** Number of projects that score "high" on the metric. */
    highProjectsCount?: Maybe<Scalars['Int']['output']>;
    /** Number of projects that score "low" on the metric. */
    lowProjectsCount?: Maybe<Scalars['Int']['output']>;
    /** Number of projects that score "medium" on the metric. */
    mediumProjectsCount?: Maybe<Scalars['Int']['output']>;
    /** Name of the DORA metric. */
    metricName: Scalars['String']['output'];
    /** Number of projects with no data for the metric. */
    noDataProjectsCount?: Maybe<Scalars['Int']['output']>;
};
/** The connection type for DoraPerformanceScoreCount. */
export type DoraPerformanceScoreCountConnection = {
    __typename?: 'DoraPerformanceScoreCountConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DoraPerformanceScoreCountEdge>>>;
    /** Count of projects without any DORA scores within the scope. */
    noDoraDataProjectsCount: Scalars['Int']['output'];
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DoraPerformanceScoreCount>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
    /** Count of total projects. */
    totalProjectsCount: Scalars['Int']['output'];
};
/** An edge in a connection. */
export type DoraPerformanceScoreCountEdge = {
    __typename?: 'DoraPerformanceScoreCountEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DoraPerformanceScoreCount>;
};
/** Filter parameters for projects to be aggregated for DORA metrics. */
export type DoraProjectFilterInput = {
    /** Filter projects by topic. */
    topic?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated input type of DuoUserFeedback */
export type DuoUserFeedbackInput = {
    /** Global ID of the agent to answer the chat. */
    agentVersionId?: InputMaybe<Scalars['AiAgentVersionID']['input']>;
    /** ID of the AI Message. */
    aiMessageId: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Tracking event data. */
    trackingEvent?: InputMaybe<TrackingEventInput>;
};
/** Autogenerated return type of DuoUserFeedback. */
export type DuoUserFeedbackPayload = {
    __typename?: 'DuoUserFeedbackPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Events that describe the history and progress of a Duo Workflow */
export type DuoWorkflowEvent = {
    __typename?: 'DuoWorkflowEvent';
    /** Checkpoint of the event. */
    checkpoint?: Maybe<Scalars['JsonString']['output']>;
    /** Message errors. */
    errors?: Maybe<Array<Scalars['String']['output']>>;
    /** Metadata associated with the event. */
    metadata?: Maybe<Scalars['JsonString']['output']>;
    /** Time of the parent event. */
    parentTimestamp?: Maybe<Scalars['Time']['output']>;
    /** Time of the event. */
    timestamp?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for DuoWorkflowEvent. */
export type DuoWorkflowEventConnection = {
    __typename?: 'DuoWorkflowEventConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<DuoWorkflowEventEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<DuoWorkflowEvent>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type DuoWorkflowEventEdge = {
    __typename?: 'DuoWorkflowEventEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<DuoWorkflowEvent>;
};
/** Autogenerated input type of EchoCreate */
export type EchoCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Errors to return to the user. */
    errors?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Messages to return to the user. */
    messages?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of EchoCreate. */
export type EchoCreatePayload = {
    __typename?: 'EchoCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Messages returned to the user. */
    echoes?: Maybe<Array<Scalars['String']['output']>>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type EgressNode = {
    __typename?: 'EgressNode';
    /** Artifacts egress for that project in that period of time. */
    artifactsEgress: Scalars['BigInt']['output'];
    /** First day of the node range. There is one node per month. */
    date: Scalars['String']['output'];
    /** Packages egress for that project in that period of time. */
    packagesEgress: Scalars['BigInt']['output'];
    /** Registry egress for that project in that period of time. */
    registryEgress: Scalars['BigInt']['output'];
    /** Repository egress for that project in that period of time. */
    repositoryEgress: Scalars['BigInt']['output'];
    /** Total egress for that project in that period of time. */
    totalEgress: Scalars['BigInt']['output'];
};
/** The connection type for EgressNode. */
export type EgressNodeConnection = {
    __typename?: 'EgressNodeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EgressNodeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<EgressNode>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type EgressNodeEdge = {
    __typename?: 'EgressNodeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<EgressNode>;
};
export type Email = {
    __typename?: 'Email';
    /** Timestamp the email was confirmed. */
    confirmedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp the email was created. */
    createdAt: Scalars['Time']['output'];
    /** Email address. */
    email: Scalars['String']['output'];
    /** Internal ID of the email. */
    id: Scalars['ID']['output'];
    /** Timestamp the email was last updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for Email. */
export type EmailConnection = {
    __typename?: 'EmailConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EmailEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Email>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type EmailEdge = {
    __typename?: 'EmailEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Email>;
};
/** Autogenerated input type of EnableDevopsAdoptionNamespace */
export type EnableDevopsAdoptionNamespaceInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Display namespace ID. */
    displayNamespaceId?: InputMaybe<Scalars['NamespaceID']['input']>;
    /** Namespace ID. */
    namespaceId: Scalars['NamespaceID']['input'];
};
/** Autogenerated return type of EnableDevopsAdoptionNamespace. */
export type EnableDevopsAdoptionNamespacePayload = {
    __typename?: 'EnableDevopsAdoptionNamespacePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Enabled namespace after mutation. */
    enabledNamespace?: Maybe<DevopsAdoptionEnabledNamespace>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type Entry = {
    /** Flat path of the entry. */
    flatPath: Scalars['String']['output'];
    /** ID of the entry. */
    id: Scalars['ID']['output'];
    /** Name of the entry. */
    name: Scalars['String']['output'];
    /** Path of the entry. */
    path: Scalars['String']['output'];
    /** Last commit SHA for the entry. */
    sha: Scalars['String']['output'];
    /** Type of tree entry. */
    type: EntryType;
};
/** Type of a tree entry */
export declare enum EntryType {
    /** File tree type. */
    Blob = "blob",
    /** Commit tree type. */
    Commit = "commit",
    /** Directory tree type. */
    Tree = "tree"
}
/** Describes where code is deployed for a project */
export type Environment = {
    __typename?: 'Environment';
    /** When the environment is going to be deleted automatically. */
    autoDeleteAt?: Maybe<Scalars['Time']['output']>;
    /** When the environment is going to be stopped automatically. */
    autoStopAt?: Maybe<Scalars['Time']['output']>;
    /** Cluster agent of the environment. */
    clusterAgent?: Maybe<ClusterAgent>;
    /** When the environment was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Deployment freeze periods of the environment. */
    deployFreezes?: Maybe<Array<CiFreezePeriod>>;
    /** Deployments of the environment. This field can only be resolved for one environment in any single request. */
    deployments?: Maybe<DeploymentConnection>;
    /** Number of deployments in the environment for display. Returns the precise number up to 999, and "999+" for counts exceeding this limit. */
    deploymentsDisplayCount?: Maybe<Scalars['String']['output']>;
    /** Folder name of the environment. */
    environmentType?: Maybe<Scalars['String']['output']>;
    /** External URL of the environment. */
    externalUrl?: Maybe<Scalars['String']['output']>;
    /** Flux resource path of the environment. */
    fluxResourcePath?: Maybe<Scalars['String']['output']>;
    /** ID of the environment. */
    id: Scalars['ID']['output'];
    /** Kubernetes namespace of the environment. */
    kubernetesNamespace?: Maybe<Scalars['String']['output']>;
    /** Last deployment of the environment. */
    lastDeployment?: Maybe<Deployment>;
    /** Most severe open alert for the environment. If multiple alerts have equal severity, the most recent is returned. */
    latestOpenedMostSevereAlert?: Maybe<AlertManagementAlert>;
    /** Human-readable name of the environment. */
    name: Scalars['String']['output'];
    /** Path to the environment. */
    path: Scalars['String']['output'];
    /** Protected Environments for the environment. */
    protectedEnvironments?: Maybe<ProtectedEnvironmentConnection>;
    /** Slug of the environment. */
    slug?: Maybe<Scalars['String']['output']>;
    /** State of the environment, for example: available/stopped. */
    state: Scalars['String']['output'];
    /** Deployment tier of the environment. */
    tier?: Maybe<DeploymentTier>;
    /** When the environment was updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Permissions for the current user on the resource. This field can only be resolved for one environment in any single request. */
    userPermissions: EnvironmentPermissions;
};
/** Describes where code is deployed for a project */
export type EnvironmentDeploymentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    orderBy?: InputMaybe<DeploymentsOrderByInput>;
    statuses?: InputMaybe<Array<DeploymentStatus>>;
};
/** Describes where code is deployed for a project */
export type EnvironmentLastDeploymentArgs = {
    status: DeploymentStatus;
};
/** Describes where code is deployed for a project */
export type EnvironmentProtectedEnvironmentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for Environment. */
export type EnvironmentConnection = {
    __typename?: 'EnvironmentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EnvironmentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Environment>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of EnvironmentCreate */
export type EnvironmentCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Cluster agent of the environment. */
    clusterAgentId?: InputMaybe<Scalars['ClustersAgentID']['input']>;
    /** External URL of the environment. */
    externalUrl?: InputMaybe<Scalars['String']['input']>;
    /** Flux resource path of the environment. */
    fluxResourcePath?: InputMaybe<Scalars['String']['input']>;
    /** Kubernetes namespace of the environment. */
    kubernetesNamespace?: InputMaybe<Scalars['String']['input']>;
    /** Name of the environment. */
    name: Scalars['String']['input'];
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
    /** Tier of the environment. */
    tier?: InputMaybe<DeploymentTier>;
};
/** Autogenerated return type of EnvironmentCreate. */
export type EnvironmentCreatePayload = {
    __typename?: 'EnvironmentCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Created environment. */
    environment?: Maybe<Environment>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of EnvironmentDelete */
export type EnvironmentDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the environment to Delete. */
    id: Scalars['EnvironmentID']['input'];
};
/** Autogenerated return type of EnvironmentDelete. */
export type EnvironmentDeletePayload = {
    __typename?: 'EnvironmentDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type EnvironmentEdge = {
    __typename?: 'EnvironmentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Environment>;
};
export type EnvironmentPermissions = {
    __typename?: 'EnvironmentPermissions';
    /** If `true`, the user can perform `destroy_environment` on this resource */
    destroyEnvironment: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `stop_environment` on this resource */
    stopEnvironment: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_environment` on this resource */
    updateEnvironment: Scalars['Boolean']['output'];
};
/** Autogenerated input type of EnvironmentStop */
export type EnvironmentStopInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Force environment to stop without executing on_stop actions. */
    force?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the environment to stop. */
    id: Scalars['EnvironmentID']['input'];
};
/** Autogenerated return type of EnvironmentStop. */
export type EnvironmentStopPayload = {
    __typename?: 'EnvironmentStopPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Environment after attempt to stop. */
    environment?: Maybe<Environment>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of EnvironmentUpdate */
export type EnvironmentUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Cluster agent of the environment. */
    clusterAgentId?: InputMaybe<Scalars['ClustersAgentID']['input']>;
    /** External URL of the environment. */
    externalUrl?: InputMaybe<Scalars['String']['input']>;
    /** Flux resource path of the environment. */
    fluxResourcePath?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the environment to update. */
    id: Scalars['EnvironmentID']['input'];
    /** Kubernetes namespace of the environment. */
    kubernetesNamespace?: InputMaybe<Scalars['String']['input']>;
    /** Tier of the environment. */
    tier?: InputMaybe<DeploymentTier>;
};
/** Autogenerated return type of EnvironmentUpdate. */
export type EnvironmentUpdatePayload = {
    __typename?: 'EnvironmentUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Environment after attempt to update. */
    environment?: Maybe<Environment>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of EnvironmentsCanaryIngressUpdate */
export type EnvironmentsCanaryIngressUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the environment to update. */
    id: Scalars['EnvironmentID']['input'];
    /** Weight of the Canary Ingress. */
    weight: Scalars['Int']['input'];
};
/** Autogenerated return type of EnvironmentsCanaryIngressUpdate. */
export type EnvironmentsCanaryIngressUpdatePayload = {
    __typename?: 'EnvironmentsCanaryIngressUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Represents an epic */
export type Epic = CurrentUserTodos & Eventable & NoteableInterface & Todoable & {
    __typename?: 'Epic';
    /** Ancestors (parents) of the epic. */
    ancestors?: Maybe<EpicConnection>;
    /** Author of the epic. */
    author: UserCore;
    /** List of emoji reactions associated with the epic. */
    awardEmoji?: Maybe<AwardEmojiConnection>;
    /** Indicates the epic is blocked. */
    blocked?: Maybe<Scalars['Boolean']['output']>;
    /** Count of epics blocking this epic. */
    blockedByCount?: Maybe<Scalars['Int']['output']>;
    /** Epics blocking this epic. */
    blockedByEpics?: Maybe<EpicConnection>;
    /** Count of epics that this epic is blocking. */
    blockingCount?: Maybe<Scalars['Int']['output']>;
    /** Children (sub-epics) of the epic. */
    children?: Maybe<EpicConnection>;
    /** Timestamp of when the epic was closed. */
    closedAt?: Maybe<Scalars['Time']['output']>;
    /** Color of the epic. Returns `null` if `epic_color_highlight` feature flag is disabled. */
    color?: Maybe<Scalars['String']['output']>;
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Indicates if the epic is confidential. */
    confidential?: Maybe<Scalars['Boolean']['output']>;
    /** Timestamp of when the epic was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
    /** Default Project for issue creation. Based on the project the user created the last issue in. */
    defaultProjectForIssueCreation?: Maybe<Project>;
    /** Number of open and closed descendant epics and issues. */
    descendantCounts?: Maybe<EpicDescendantCount>;
    /** Total weight of open and closed issues in the epic and its descendants. */
    descendantWeightSum?: Maybe<EpicDescendantWeights>;
    /** Description of the epic. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Number of downvotes the epic has received. */
    downvotes: Scalars['Int']['output'];
    /** Due date of the epic. */
    dueDate?: Maybe<Scalars['Time']['output']>;
    /** Fixed due date of the epic. */
    dueDateFixed?: Maybe<Scalars['Time']['output']>;
    /** Inherited due date of the epic from child epics or milestones. */
    dueDateFromInheritedSource?: Maybe<Scalars['Time']['output']>;
    /** Inherited due date of the epic from milestones. */
    dueDateFromMilestones?: Maybe<Scalars['Time']['output']>;
    /** Indicates if the due date has been manually set. */
    dueDateIsFixed?: Maybe<Scalars['Boolean']['output']>;
    /** List of events associated with the object. */
    events?: Maybe<EventConnection>;
    /** Group to which the epic belongs. */
    group: Group;
    /** Indicates if the epic has children. */
    hasChildren: Scalars['Boolean']['output'];
    /** Indicates if the epic has children in the specified timeframe. */
    hasChildrenWithinTimeframe: Scalars['Boolean']['output'];
    /** Indicates if the epic has direct issues. */
    hasIssues: Scalars['Boolean']['output'];
    /** Indicates if the epic has a parent epic. */
    hasParent: Scalars['Boolean']['output'];
    /** Current health status of the epic. */
    healthStatus?: Maybe<EpicHealthStatus>;
    /** ID of the epic. */
    id: Scalars['ID']['output'];
    /** Internal ID of the epic. */
    iid: Scalars['String']['output'];
    /** A list of issues associated with the epic. */
    issues?: Maybe<EpicIssueConnection>;
    /** Labels assigned to the epic. */
    labels?: Maybe<LabelConnection>;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** Parent epic of the epic. */
    parent?: Maybe<Epic>;
    /** List of participants for the epic. */
    participants?: Maybe<UserCoreConnection>;
    /** Internal reference of the epic. Returned in shortened format by default. */
    reference: Scalars['String']['output'];
    /** URI path of the epic-issue relationship. */
    relationPath?: Maybe<Scalars['String']['output']>;
    /** Relative position of the epic in the epic tree. */
    relativePosition?: Maybe<Scalars['Int']['output']>;
    /** Start date of the epic. */
    startDate?: Maybe<Scalars['Time']['output']>;
    /** Fixed start date of the epic. */
    startDateFixed?: Maybe<Scalars['Time']['output']>;
    /** Inherited start date of the epic from child epics or milestones. */
    startDateFromInheritedSource?: Maybe<Scalars['Time']['output']>;
    /** Inherited start date of the epic from milestones. */
    startDateFromMilestones?: Maybe<Scalars['Time']['output']>;
    /** Indicates if the start date has been manually set. */
    startDateIsFixed?: Maybe<Scalars['Boolean']['output']>;
    /** State of the epic. */
    state: EpicState;
    /** Indicates the currently logged in user is subscribed to the epic. */
    subscribed: Scalars['Boolean']['output'];
    /** Text color generated for the epic. Returns `null` if `epic_color_highlight` feature flag is disabled. */
    textColor?: Maybe<Scalars['String']['output']>;
    /** Title of the epic. */
    title?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `title` */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the epic was updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Number of upvotes the epic has received. */
    upvotes: Scalars['Int']['output'];
    /** Number of user discussions in the epic. */
    userDiscussionsCount: Scalars['Int']['output'];
    /** Number of user notes of the epic. */
    userNotesCount: Scalars['Int']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: EpicPermissions;
    /** Web path of the epic. */
    webPath: Scalars['String']['output'];
    /** Web URL of the epic. */
    webUrl: Scalars['String']['output'];
};
/** Represents an epic */
export type EpicAncestorsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    iidStartsWith?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['ID']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendantGroups?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedEpicFilterInput>;
    or?: InputMaybe<UnionedEpicFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<EpicSort>;
    state?: InputMaybe<EpicState>;
    timeframe?: InputMaybe<Timeframe>;
    topLevelHierarchyOnly?: InputMaybe<Scalars['Boolean']['input']>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Represents an epic */
export type EpicAwardEmojiArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicBlockedByEpicsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicChildrenArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    iidStartsWith?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['ID']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendantGroups?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedEpicFilterInput>;
    or?: InputMaybe<UnionedEpicFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<EpicSort>;
    state?: InputMaybe<EpicState>;
    timeframe?: InputMaybe<Timeframe>;
    topLevelHierarchyOnly?: InputMaybe<Scalars['Boolean']['input']>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Represents an epic */
export type EpicCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
/** Represents an epic */
export type EpicDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicEventsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicParticipantsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic */
export type EpicReferenceArgs = {
    full?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Autogenerated input type of EpicAddIssue */
export type EpicAddIssueInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Group the epic to mutate belongs to. */
    groupPath: Scalars['ID']['input'];
    /** IID of the epic to mutate. */
    iid: Scalars['ID']['input'];
    /** IID of the issue to be added. */
    issueIid: Scalars['String']['input'];
    /** Full path of the project the issue belongs to. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of EpicAddIssue. */
export type EpicAddIssuePayload = {
    __typename?: 'EpicAddIssuePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Epic after mutation. */
    epic?: Maybe<Epic>;
    /** Epic-issue relationship. */
    epicIssue?: Maybe<EpicIssue>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Represents an epic board */
export type EpicBoard = {
    __typename?: 'EpicBoard';
    /** Whether or not display epic colors. */
    displayColors?: Maybe<Scalars['Boolean']['output']>;
    /** Whether or not backlog list is hidden. */
    hideBacklogList?: Maybe<Scalars['Boolean']['output']>;
    /** Whether or not closed list is hidden. */
    hideClosedList?: Maybe<Scalars['Boolean']['output']>;
    /** Global ID of the epic board. */
    id: Scalars['BoardsEpicBoardID']['output'];
    /** Labels of the board. */
    labels?: Maybe<LabelConnection>;
    /** Epic board lists. */
    lists?: Maybe<EpicListConnection>;
    /** Name of the epic board. */
    name?: Maybe<Scalars['String']['output']>;
    /** Web path of the epic board. */
    webPath: Scalars['String']['output'];
    /** Web URL of the epic board. */
    webUrl: Scalars['String']['output'];
};
/** Represents an epic board */
export type EpicBoardLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an epic board */
export type EpicBoardListsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    epicFilters?: InputMaybe<EpicFilters>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['BoardsEpicListID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for EpicBoard. */
export type EpicBoardConnection = {
    __typename?: 'EpicBoardConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EpicBoardEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<EpicBoard>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of EpicBoardCreate */
export type EpicBoardCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Whether or not display epic colors. Ignored unless `epic_color_highlight` flag is enabled. */
    displayColors?: InputMaybe<Scalars['Boolean']['input']>;
    /** Full path of the group with which the resource is associated. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Whether or not backlog list is hidden. */
    hideBacklogList?: InputMaybe<Scalars['Boolean']['input']>;
    /** Whether or not closed list is hidden. */
    hideClosedList?: InputMaybe<Scalars['Boolean']['input']>;
    /** IDs of labels to be added to the board. */
    labelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Labels of the issue. */
    labels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Board name. */
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of EpicBoardCreate. */
export type EpicBoardCreatePayload = {
    __typename?: 'EpicBoardCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Created epic board. */
    epicBoard?: Maybe<EpicBoard>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type EpicBoardEdge = {
    __typename?: 'EpicBoardEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<EpicBoard>;
};
/** Autogenerated input type of EpicBoardListCreate */
export type EpicBoardListCreateInput = {
    /** Create the backlog list. */
    backlog?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the issue board to mutate. */
    boardId: Scalars['BoardsEpicBoardID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of an existing label. */
    labelId?: InputMaybe<Scalars['LabelID']['input']>;
};
/** Autogenerated return type of EpicBoardListCreate. */
export type EpicBoardListCreatePayload = {
    __typename?: 'EpicBoardListCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Epic list in the epic board. */
    list?: Maybe<EpicList>;
};
/** Autogenerated input type of EpicBoardListDestroy */
export type EpicBoardListDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the epic board list to destroy. */
    listId: Scalars['BoardsEpicListID']['input'];
};
/** Autogenerated return type of EpicBoardListDestroy. */
export type EpicBoardListDestroyPayload = {
    __typename?: 'EpicBoardListDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Epic board list. `null` if the board was destroyed successfully. */
    list?: Maybe<EpicList>;
};
/** Autogenerated input type of EpicBoardUpdate */
export type EpicBoardUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Whether or not display epic colors. Ignored unless `epic_color_highlight` flag is enabled. */
    displayColors?: InputMaybe<Scalars['Boolean']['input']>;
    /** Whether or not backlog list is hidden. */
    hideBacklogList?: InputMaybe<Scalars['Boolean']['input']>;
    /** Whether or not closed list is hidden. */
    hideClosedList?: InputMaybe<Scalars['Boolean']['input']>;
    /** Epic board global ID. */
    id: Scalars['BoardsEpicBoardID']['input'];
    /** IDs of labels to be added to the board. */
    labelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Labels of the issue. */
    labels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Board name. */
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of EpicBoardUpdate. */
export type EpicBoardUpdatePayload = {
    __typename?: 'EpicBoardUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Updated epic board. */
    epicBoard?: Maybe<EpicBoard>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** The connection type for Epic. */
export type EpicConnection = {
    __typename?: 'EpicConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EpicEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Epic>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Counts of descendent epics */
export type EpicDescendantCount = {
    __typename?: 'EpicDescendantCount';
    /** Number of closed child epics. */
    closedEpics?: Maybe<Scalars['Int']['output']>;
    /** Number of closed epic issues. */
    closedIssues?: Maybe<Scalars['Int']['output']>;
    /** Number of opened child epics. */
    openedEpics?: Maybe<Scalars['Int']['output']>;
    /** Number of opened epic issues. */
    openedIssues?: Maybe<Scalars['Int']['output']>;
};
/** Total weight of open and closed descendant issues */
export type EpicDescendantWeights = {
    __typename?: 'EpicDescendantWeights';
    /**
     * Total weight of completed (closed) issues in this epic, including epic descendants. Deprecated in GitLab 16.6: Use `closedIssuesTotal`.
     * @deprecated Use `closedIssuesTotal`. Deprecated in GitLab 16.6.
     */
    closedIssues?: Maybe<Scalars['Int']['output']>;
    /**
     * Total weight of completed (closed) issues in this epic, including epic descendants,
     *     encoded as a string.
     */
    closedIssuesTotal?: Maybe<Scalars['BigInt']['output']>;
    /**
     * Total weight of opened issues in this epic, including epic descendants. Deprecated in GitLab 16.6: Use `OpenedIssuesTotal`.
     * @deprecated Use `OpenedIssuesTotal`. Deprecated in GitLab 16.6.
     */
    openedIssues?: Maybe<Scalars['Int']['output']>;
    /** Total weight of opened issues in this epic, including epic descendants, encoded as a string. */
    openedIssuesTotal?: Maybe<Scalars['BigInt']['output']>;
};
/** An edge in a connection. */
export type EpicEdge = {
    __typename?: 'EpicEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Epic>;
};
export type EpicFilters = {
    /** Filter by author username. */
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    /** Filter by confidentiality. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Filter by label name. */
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    /** Filter by reaction emoji applied by the current user. Wildcard values "NONE" and "ANY" are supported. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    /** Negated epic arguments. */
    not?: InputMaybe<NegatedEpicBoardIssueInput>;
    /** List of arguments with inclusive OR. */
    or?: InputMaybe<UnionedEpicFilterInput>;
    /** Search query for epic title or description. */
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Health status of child issues */
export type EpicHealthStatus = {
    __typename?: 'EpicHealthStatus';
    /** Number of issues at risk. */
    issuesAtRisk?: Maybe<Scalars['Int']['output']>;
    /** Number of issues that need attention. */
    issuesNeedingAttention?: Maybe<Scalars['Int']['output']>;
    /** Number of issues on track. */
    issuesOnTrack?: Maybe<Scalars['Int']['output']>;
};
/** Relationship between an epic and an issue */
export type EpicIssue = CurrentUserTodos & NoteableInterface & Todoable & {
    __typename?: 'EpicIssue';
    /**
     * Alert associated to this issue. Deprecated in GitLab 15.6: Use `alert_management_alerts`.
     * @deprecated Use `alert_management_alerts`. Deprecated in GitLab 15.6.
     */
    alertManagementAlert?: Maybe<AlertManagementAlert>;
    /** Alert Management alerts associated to this issue. */
    alertManagementAlerts?: Maybe<AlertManagementAlertConnection>;
    /** Assignees of the issue. */
    assignees?: Maybe<UserCoreConnection>;
    /** User that created the issue. */
    author: UserCore;
    /** Indicates the issue is blocked. */
    blocked: Scalars['Boolean']['output'];
    /** Count of issues blocking this issue. */
    blockedByCount?: Maybe<Scalars['Int']['output']>;
    /** Issues blocking this issue. */
    blockedByIssues?: Maybe<IssueConnection>;
    /** Count of issues this issue is blocking. */
    blockingCount: Scalars['Int']['output'];
    /** Issue this issue was closed as a duplicate of. */
    closedAsDuplicateOf?: Maybe<Issue>;
    /** Timestamp of when the issue was closed. */
    closedAt?: Maybe<Scalars['Time']['output']>;
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Indicates the issue is confidential. */
    confidential: Scalars['Boolean']['output'];
    /** User specific email address for the issue. */
    createNoteEmail?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the issue was created. */
    createdAt: Scalars['Time']['output'];
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
    /** Customer relations contacts of the issue. */
    customerRelationsContacts?: Maybe<CustomerRelationsContactConnection>;
    /** Description of the issue. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Collection of design images associated with this issue. */
    designCollection?: Maybe<DesignCollection>;
    /** Indicates discussion is locked on the issue. */
    discussionLocked: Scalars['Boolean']['output'];
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Number of downvotes the issue has received. */
    downvotes: Scalars['Int']['output'];
    /** Due date of the issue. */
    dueDate?: Maybe<Scalars['Time']['output']>;
    /**
     * Indicates if the parent project or group has email notifications disabled: `true` if email notifications are disabled. Deprecated in GitLab 16.3: Use `emails_enabled`.
     * @deprecated Use `emails_enabled`. Deprecated in GitLab 16.3.
     */
    emailsDisabled: Scalars['Boolean']['output'];
    /** Indicates if the parent project or group has email notifications disabled: `false` if email notifications are disabled. */
    emailsEnabled: Scalars['Boolean']['output'];
    /** Epic to which this issue belongs. */
    epic?: Maybe<Epic>;
    /** ID of the epic-issue relation. */
    epicIssueId: Scalars['ID']['output'];
    /** Escalation policy associated with the issue. Available for issues which support escalation. */
    escalationPolicy?: Maybe<EscalationPolicyType>;
    /** Escalation status of the issue. */
    escalationStatus?: Maybe<IssueEscalationStatus>;
    /** Email address of non-GitLab user reporting the issue. For guests, the email address is obfuscated. */
    externalAuthor?: Maybe<Scalars['String']['output']>;
    /**
     * Indicates if the issue belongs to an epic.
     *             Can return true and not show an associated epic when the user has no access to the epic.
     */
    hasEpic: Scalars['Boolean']['output'];
    /**
     * Indicates if the issue has a parent work item. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    hasParent: Scalars['Boolean']['output'];
    /** Current health status. */
    healthStatus?: Maybe<HealthStatus>;
    /** Indicates the issue is hidden because the author has been banned. */
    hidden?: Maybe<Scalars['Boolean']['output']>;
    /** Human-readable time estimate of the issue. */
    humanTimeEstimate?: Maybe<Scalars['String']['output']>;
    /** Human-readable total time reported as spent on the issue. */
    humanTotalTimeSpent?: Maybe<Scalars['String']['output']>;
    /** Global ID of the epic-issue relation. */
    id?: Maybe<Scalars['ID']['output']>;
    /** Internal ID of the issue. */
    iid: Scalars['String']['output'];
    /** Issuable resource links of the incident issue. */
    issuableResourceLinks?: Maybe<IssuableResourceLinkConnection>;
    /** Iteration of the issue. */
    iteration?: Maybe<Iteration>;
    /** Labels of the issue. */
    labels?: Maybe<LabelConnection>;
    /** Number of merge requests that close the issue on merge. */
    mergeRequestsCount: Scalars['Int']['output'];
    /** Metric images associated to the issue. */
    metricImages?: Maybe<Array<MetricImage>>;
    /** Milestone of the issue. */
    milestone?: Maybe<Milestone>;
    /** Indicates if issue got moved from other project. */
    moved?: Maybe<Scalars['Boolean']['output']>;
    /** Updated Issue after it got moved to another project. */
    movedTo?: Maybe<Issue>;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** List of participants in the issue. */
    participants?: Maybe<UserCoreConnection>;
    /** ID of the issue project. */
    projectId?: Maybe<Scalars['Int']['output']>;
    /** Internal reference of the issue. Returned in shortened format by default. */
    reference: Scalars['String']['output'];
    /** Merge requests related to the issue. This field can only be resolved for one issue in any single request. */
    relatedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Related vulnerabilities of the issue. */
    relatedVulnerabilities?: Maybe<VulnerabilityConnection>;
    /** URI path of the epic-issue relation. */
    relationPath?: Maybe<Scalars['String']['output']>;
    /** Relative position of the issue (used for positioning in epic tree and issue boards). */
    relativePosition?: Maybe<Scalars['Int']['output']>;
    /** Severity level of the incident. */
    severity?: Maybe<IssuableSeverity>;
    /** Timestamp of when the issue SLA expires. */
    slaDueAt?: Maybe<Scalars['Time']['output']>;
    /** State of the issue. */
    state: IssueState;
    /** Indicates whether an issue is published to the status page. */
    statusPagePublishedIncident?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates the currently logged in user is subscribed to the issue. */
    subscribed: Scalars['Boolean']['output'];
    /** Task completion status of the issue. */
    taskCompletionStatus: TaskCompletionStatus;
    /** Time estimate of the issue. */
    timeEstimate: Scalars['Int']['output'];
    /** Timelogs on the issue. */
    timelogs: TimelogConnection;
    /** Title of the issue. */
    title: Scalars['String']['output'];
    /** GitLab Flavored Markdown rendering of `title` */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Total time (in seconds) reported as spent on the issue. */
    totalTimeSpent: Scalars['Int']['output'];
    /** Type of the issue. */
    type?: Maybe<IssueType>;
    /** Timestamp of when the issue was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** User that last updated the issue. */
    updatedBy?: Maybe<UserCore>;
    /** Number of upvotes the issue has received. */
    upvotes: Scalars['Int']['output'];
    /** Number of user discussions in the issue. */
    userDiscussionsCount: Scalars['Int']['output'];
    /** Number of user notes of the issue. */
    userNotesCount: Scalars['Int']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: IssuePermissions;
    /** Web path of the issue. */
    webPath: Scalars['String']['output'];
    /** Web URL of the issue. */
    webUrl: Scalars['String']['output'];
    /** Weight of the issue. */
    weight?: Maybe<Scalars['Int']['output']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueAlertManagementAlertsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    domain?: AlertManagementDomainFilter;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<AlertManagementAlertSort>;
    statuses?: InputMaybe<Array<AlertManagementStatus>>;
};
/** Relationship between an epic and an issue */
export type EpicIssueAssigneesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueBlockedByIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
/** Relationship between an epic and an issue */
export type EpicIssueCustomerRelationsContactsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueIssuableResourceLinksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    incidentId: Scalars['IssueID']['input'];
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueParticipantsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueReferenceArgs = {
    full?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueRelatedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueRelatedVulnerabilitiesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Relationship between an epic and an issue */
export type EpicIssueTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for EpicIssue. */
export type EpicIssueConnection = {
    __typename?: 'EpicIssueConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EpicIssueEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<EpicIssue>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
    /** Total weight of issues collection. */
    weight: Scalars['Int']['output'];
};
/** An edge in a connection. */
export type EpicIssueEdge = {
    __typename?: 'EpicIssueEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<EpicIssue>;
};
/** Represents an epic board list */
export type EpicList = {
    __typename?: 'EpicList';
    /** Indicates if this list is collapsed for this user. */
    collapsed?: Maybe<Scalars['Boolean']['output']>;
    /** List epics. */
    epics?: Maybe<EpicConnection>;
    /**
     * Count of epics in the list. Deprecated in GitLab 14.9: This was renamed.
     * @deprecated This was renamed. Please use `metadata`. Deprecated in GitLab 14.9.
     */
    epicsCount?: Maybe<Scalars['Int']['output']>;
    /** Global ID of the board list. */
    id: Scalars['BoardsEpicListID']['output'];
    /** Label of the list. */
    label?: Maybe<Label>;
    /** Type of the list. */
    listType: Scalars['String']['output'];
    /** Epic list metatada. */
    metadata?: Maybe<EpicListMetadata>;
    /** Position of the list within the board. */
    position?: Maybe<Scalars['Int']['output']>;
    /** Title of the list. */
    title: Scalars['String']['output'];
};
/** Represents an epic board list */
export type EpicListEpicsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filters?: InputMaybe<EpicFilters>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for EpicList. */
export type EpicListConnection = {
    __typename?: 'EpicListConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EpicListEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<EpicList>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type EpicListEdge = {
    __typename?: 'EpicListEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<EpicList>;
};
/** Represents epic board list metadata */
export type EpicListMetadata = {
    __typename?: 'EpicListMetadata';
    /** Count of epics in the list. */
    epicsCount?: Maybe<Scalars['Int']['output']>;
    /**
     * Total weight of all issues in the list. Introduced in GitLab 14.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 14.7.
     */
    totalWeight?: Maybe<Scalars['Int']['output']>;
};
/** Autogenerated input type of EpicMoveList */
export type EpicMoveListInput = {
    /** Global ID of the board that the epic is in. */
    boardId: Scalars['BoardsEpicBoardID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the epic to mutate. */
    epicId: Scalars['EpicID']['input'];
    /** ID of the board list that the epic will be moved from. Required if moving between lists. */
    fromListId?: InputMaybe<Scalars['BoardsEpicListID']['input']>;
    /** ID of epic that should be placed after the current epic. */
    moveAfterId?: InputMaybe<Scalars['EpicID']['input']>;
    /** ID of epic that should be placed before the current epic. */
    moveBeforeId?: InputMaybe<Scalars['EpicID']['input']>;
    /** Position of epics within the board list. Positions start at 0. Use -1 to move to the end of the list. */
    positionInList?: InputMaybe<Scalars['Int']['input']>;
    /** ID of the list the epic will be in after mutation. */
    toListId: Scalars['BoardsEpicListID']['input'];
};
/** Autogenerated return type of EpicMoveList. */
export type EpicMoveListPayload = {
    __typename?: 'EpicMoveListPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Epic after mutation. */
    epic?: Maybe<Epic>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Check permissions for the current user on an epic */
export type EpicPermissions = {
    __typename?: 'EpicPermissions';
    /** If `true`, the user can perform `admin_epic` on this resource */
    adminEpic: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_epic_relation` on this resource */
    adminEpicRelation: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `award_emoji` on this resource */
    awardEmoji: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_epic` on this resource */
    createEpic: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_note` on this resource */
    createNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_epic` on this resource */
    destroyEpic: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_epic` on this resource */
    readEpic: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_epic_iid` on this resource */
    readEpicIid: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_epic` on this resource */
    updateEpic: Scalars['Boolean']['output'];
};
/** Autogenerated input type of EpicSetSubscription */
export type EpicSetSubscriptionInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Group the epic to mutate belongs to. */
    groupPath: Scalars['ID']['input'];
    /** IID of the epic to mutate. */
    iid: Scalars['ID']['input'];
    /** Desired state of the subscription. */
    subscribedState: Scalars['Boolean']['input'];
};
/** Autogenerated return type of EpicSetSubscription. */
export type EpicSetSubscriptionPayload = {
    __typename?: 'EpicSetSubscriptionPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Epic after mutation. */
    epic?: Maybe<Epic>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Roadmap sort values */
export declare enum EpicSort {
    /** Sort by created_at by ascending order. */
    CreatedAtAsc = "CREATED_AT_ASC",
    /** Sort by created_at by descending order. */
    CreatedAtDesc = "CREATED_AT_DESC",
    /** Sort by end date in ascending order. */
    EndDateAsc = "END_DATE_ASC",
    /** Sort by end date in descending order. */
    EndDateDesc = "END_DATE_DESC",
    /** Sort by start date in ascending order. */
    StartDateAsc = "START_DATE_ASC",
    /** Sort by start date in descending order. */
    StartDateDesc = "START_DATE_DESC",
    /** Sort by title in ascending order. */
    TitleAsc = "TITLE_ASC",
    /** Sort by title in descending order. */
    TitleDesc = "TITLE_DESC",
    /** Sort by updated_at by ascending order. */
    UpdatedAtAsc = "UPDATED_AT_ASC",
    /** Sort by updated_at by descending order. */
    UpdatedAtDesc = "UPDATED_AT_DESC"
}
/** State of an epic */
export declare enum EpicState {
    /** All epics. */
    All = "all",
    /** Closed epics. */
    Closed = "closed",
    /** Open epics. */
    Opened = "opened"
}
/** State event of an epic */
export declare enum EpicStateEvent {
    /** Close the epic. */
    Close = "CLOSE",
    /** Reopen the epic. */
    Reopen = "REOPEN"
}
/** A node of an epic tree. */
export type EpicTreeNodeFieldsInputType = {
    /** ID of the epic issue or issue the epic or issue is switched with. */
    adjacentReferenceId?: InputMaybe<Scalars['EpicTreeSortingID']['input']>;
    /** ID of the epic issue or epic that is being moved. */
    id: Scalars['EpicTreeSortingID']['input'];
    /** ID of the new parent epic. */
    newParentId?: InputMaybe<Scalars['EpicID']['input']>;
    /** Type of switch. Valid values are `after` or `before`. */
    relativePosition?: InputMaybe<MoveType>;
};
/** Autogenerated input type of EpicTreeReorder */
export type EpicTreeReorderInput = {
    /** ID of the base epic of the tree. */
    baseEpicId: Scalars['EpicID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Parameters for updating the tree positions. */
    moved: EpicTreeNodeFieldsInputType;
};
/** Autogenerated return type of EpicTreeReorder. */
export type EpicTreeReorderPayload = {
    __typename?: 'EpicTreeReorderPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Epic ID wildcard values */
export declare enum EpicWildcardId {
    /** Any epic is assigned. */
    Any = "ANY",
    /** No epic is assigned. */
    None = "NONE"
}
/** Autogenerated input type of EscalationPolicyCreate */
export type EscalationPolicyCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the escalation policy. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Name of the escalation policy. */
    name: Scalars['String']['input'];
    /** Project to create the escalation policy for. */
    projectPath: Scalars['ID']['input'];
    /** Steps of the escalation policy. */
    rules: Array<EscalationRuleInput>;
};
/** Autogenerated return type of EscalationPolicyCreate. */
export type EscalationPolicyCreatePayload = {
    __typename?: 'EscalationPolicyCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Escalation policy. */
    escalationPolicy?: Maybe<EscalationPolicyType>;
};
/** Autogenerated input type of EscalationPolicyDestroy */
export type EscalationPolicyDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Escalation policy internal ID to remove. */
    id: Scalars['IncidentManagementEscalationPolicyID']['input'];
};
/** Autogenerated return type of EscalationPolicyDestroy. */
export type EscalationPolicyDestroyPayload = {
    __typename?: 'EscalationPolicyDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Escalation policy. */
    escalationPolicy?: Maybe<EscalationPolicyType>;
};
/** Represents an escalation policy */
export type EscalationPolicyType = {
    __typename?: 'EscalationPolicyType';
    /** Description of the escalation policy. */
    description?: Maybe<Scalars['String']['output']>;
    /** ID of the escalation policy. */
    id?: Maybe<Scalars['IncidentManagementEscalationPolicyID']['output']>;
    /** Name of the escalation policy. */
    name?: Maybe<Scalars['String']['output']>;
    /** Steps of the escalation policy. */
    rules?: Maybe<Array<EscalationRuleType>>;
};
/** The connection type for EscalationPolicyType. */
export type EscalationPolicyTypeConnection = {
    __typename?: 'EscalationPolicyTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EscalationPolicyTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<EscalationPolicyType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type EscalationPolicyTypeEdge = {
    __typename?: 'EscalationPolicyTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<EscalationPolicyType>;
};
/** Autogenerated input type of EscalationPolicyUpdate */
export type EscalationPolicyUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the escalation policy. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of the on-call schedule to create the on-call rotation in. */
    id: Scalars['IncidentManagementEscalationPolicyID']['input'];
    /** Name of the escalation policy. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Steps of the escalation policy. */
    rules?: InputMaybe<Array<EscalationRuleInput>>;
};
/** Autogenerated return type of EscalationPolicyUpdate. */
export type EscalationPolicyUpdatePayload = {
    __typename?: 'EscalationPolicyUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Escalation policy. */
    escalationPolicy?: Maybe<EscalationPolicyType>;
};
/** Represents an escalation rule */
export type EscalationRuleInput = {
    /** Time in seconds before the rule is activated. */
    elapsedTimeSeconds: Scalars['Int']['input'];
    /** On-call schedule to notify. */
    oncallScheduleIid?: InputMaybe<Scalars['ID']['input']>;
    /** Status required to prevent the rule from activating. */
    status: EscalationRuleStatus;
    /** Username of the user to notify. */
    username?: InputMaybe<Scalars['String']['input']>;
};
/** Escalation rule statuses */
export declare enum EscalationRuleStatus {
    /** . */
    Acknowledged = "ACKNOWLEDGED",
    /** . */
    Resolved = "RESOLVED"
}
/** Represents an escalation rule for an escalation policy */
export type EscalationRuleType = {
    __typename?: 'EscalationRuleType';
    /** Time in seconds before the rule is activated. */
    elapsedTimeSeconds?: Maybe<Scalars['Int']['output']>;
    /** ID of the escalation policy. */
    id?: Maybe<Scalars['IncidentManagementEscalationRuleID']['output']>;
    /** On-call schedule to notify. */
    oncallSchedule?: Maybe<IncidentManagementOncallSchedule>;
    /** Status required to prevent the rule from activating. */
    status?: Maybe<EscalationRuleStatus>;
    /** User to notify. */
    user?: Maybe<UserCore>;
};
/** Representing an event */
export type Event = {
    __typename?: 'Event';
    /** Action of the event. */
    action: EventAction;
    /** Author of this event. */
    author: UserCore;
    /** When this event was created. */
    createdAt: Scalars['Time']['output'];
    /** ID of the event. */
    id: Scalars['ID']['output'];
    /** When this event was updated. */
    updatedAt: Scalars['Time']['output'];
};
/** Event action */
export declare enum EventAction {
    /** Approved action */
    Approved = "APPROVED",
    /** Closed action */
    Closed = "CLOSED",
    /** Commented action */
    Commented = "COMMENTED",
    /** Created action */
    Created = "CREATED",
    /** Destroyed action */
    Destroyed = "DESTROYED",
    /** Expired action */
    Expired = "EXPIRED",
    /** Joined action */
    Joined = "JOINED",
    /** Left action */
    Left = "LEFT",
    /** Merged action */
    Merged = "MERGED",
    /** Pushed action */
    Pushed = "PUSHED",
    /** Reopened action */
    Reopened = "REOPENED",
    /** Updated action */
    Updated = "UPDATED"
}
/** The connection type for Event. */
export type EventConnection = {
    __typename?: 'EventConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<EventEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Event>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type EventEdge = {
    __typename?: 'EventEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Event>;
};
export type Eventable = {
    /** List of events associated with the object. */
    events?: Maybe<EventConnection>;
};
export type EventableEventsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ExplainVulnerabilityPresubmissionCheckResults = {
    __typename?: 'ExplainVulnerabilityPresubmissionCheckResults';
    /** This flag is true if we think there might be a secret in the code that would be sent in the LLM prompt. */
    potentialSecretsInCode: Scalars['Boolean']['output'];
    /** This flag is true if the vulnerability being explained is specifically a secret detection vulnerability */
    secretDetectionResult: Scalars['Boolean']['output'];
};
export type ExplainVulnerabilityPrompt = {
    __typename?: 'ExplainVulnerabilityPrompt';
    /** An object containing booleans. Each booolean indicates the result of a presubmission check: `true` for passed, and `false` for failed. */
    presubmissionChecks: ExplainVulnerabilityPresubmissionCheckResults;
    /** AI text prompt generated using the vulnerability's information, including the vulnerable code. */
    promptWithCode?: Maybe<Scalars['String']['output']>;
    /** AI text prompt generated using the vulnerability's information, excluding the vulnerable code. */
    promptWithoutCode?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of ExportRequirements */
export type ExportRequirementsInput = {
    /** Filter requirements by author username. */
    authorUsername?: InputMaybe<Array<Scalars['String']['input']>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full project path the requirements are associated with. */
    projectPath: Scalars['ID']['input'];
    /** Search query for requirement title. */
    search?: InputMaybe<Scalars['String']['input']>;
    /** List of selected requirements fields to be exported. */
    selectedFields?: InputMaybe<Array<Scalars['String']['input']>>;
    /** List requirements by sort order. */
    sort?: InputMaybe<Sort>;
    /** Filter requirements by state. */
    state?: InputMaybe<RequirementState>;
};
/** Autogenerated return type of ExportRequirements. */
export type ExportRequirementsPayload = {
    __typename?: 'ExportRequirementsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Values for status of the Web IDE Extension Marketplace opt-in for the user */
export declare enum ExtensionsMarketplaceOptInStatus {
    /** Web IDE Extension Marketplace opt-in status: DISABLED. */
    Disabled = "DISABLED",
    /** Web IDE Extension Marketplace opt-in status: ENABLED. */
    Enabled = "ENABLED",
    /** Web IDE Extension Marketplace opt-in status: UNSET. */
    Unset = "UNSET"
}
/** Represents an external resource to send audit events to */
export type ExternalAuditEventDestination = ExternalAuditEventDestinationInterface & {
    __typename?: 'ExternalAuditEventDestination';
    /** External destination to send audit events to. */
    destinationUrl: Scalars['String']['output'];
    /** List of event type filters added for streaming. */
    eventTypeFilters: Array<Scalars['String']['output']>;
    /** Group the destination belongs to. */
    group: Group;
    /** List of additional HTTP headers sent with each event. */
    headers: AuditEventStreamingHeaderConnection;
    /** ID of the destination. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
    /** List of subgroup or project filters for the destination. */
    namespaceFilter?: Maybe<AuditEventStreamingHttpNamespaceFilter>;
    /** Verification token to validate source of event. */
    verificationToken: Scalars['String']['output'];
};
/** Represents an external resource to send audit events to */
export type ExternalAuditEventDestinationHeadersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for ExternalAuditEventDestination. */
export type ExternalAuditEventDestinationConnection = {
    __typename?: 'ExternalAuditEventDestinationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ExternalAuditEventDestinationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ExternalAuditEventDestination>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of ExternalAuditEventDestinationCreate */
export type ExternalAuditEventDestinationCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination URL. */
    destinationUrl: Scalars['String']['input'];
    /** Group path. */
    groupPath: Scalars['ID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Verification token. */
    verificationToken?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of ExternalAuditEventDestinationCreate. */
export type ExternalAuditEventDestinationCreatePayload = {
    __typename?: 'ExternalAuditEventDestinationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Destination created. */
    externalAuditEventDestination?: Maybe<ExternalAuditEventDestination>;
};
/** Autogenerated input type of ExternalAuditEventDestinationDestroy */
export type ExternalAuditEventDestinationDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of external audit event destination to destroy. */
    id: Scalars['AuditEventsExternalAuditEventDestinationID']['input'];
};
/** Autogenerated return type of ExternalAuditEventDestinationDestroy. */
export type ExternalAuditEventDestinationDestroyPayload = {
    __typename?: 'ExternalAuditEventDestinationDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type ExternalAuditEventDestinationEdge = {
    __typename?: 'ExternalAuditEventDestinationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ExternalAuditEventDestination>;
};
export type ExternalAuditEventDestinationInterface = {
    /** External destination to send audit events to. */
    destinationUrl: Scalars['String']['output'];
    /** List of event type filters added for streaming. */
    eventTypeFilters: Array<Scalars['String']['output']>;
    /** ID of the destination. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
    /** Verification token to validate source of event. */
    verificationToken: Scalars['String']['output'];
};
/** Autogenerated input type of ExternalAuditEventDestinationUpdate */
export type ExternalAuditEventDestinationUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination URL to change. */
    destinationUrl?: InputMaybe<Scalars['String']['input']>;
    /** ID of external audit event destination to update. */
    id: Scalars['AuditEventsExternalAuditEventDestinationID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of ExternalAuditEventDestinationUpdate. */
export type ExternalAuditEventDestinationUpdatePayload = {
    __typename?: 'ExternalAuditEventDestinationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated destination. */
    externalAuditEventDestination?: Maybe<ExternalAuditEventDestination>;
};
/** Represents an external issue */
export type ExternalIssue = {
    __typename?: 'ExternalIssue';
    /** Timestamp of when the issue was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Type of external tracker. */
    externalTracker?: Maybe<Scalars['String']['output']>;
    /** Relative reference of the issue in the external tracker. */
    relativeReference?: Maybe<Scalars['String']['output']>;
    /** Status of the issue in the external tracker. */
    status?: Maybe<Scalars['String']['output']>;
    /** Title of the issue in the external tracker. */
    title?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the issue was updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** URL to the issue in the external tracker. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** Describes an external status check. */
export type ExternalStatusCheck = {
    __typename?: 'ExternalStatusCheck';
    /** External URL for the status check. */
    externalUrl: Scalars['String']['output'];
    /** ID of the rule. */
    id: Scalars['GlobalID']['output'];
    /** Name of the rule. */
    name: Scalars['String']['output'];
};
/** The connection type for ExternalStatusCheck. */
export type ExternalStatusCheckConnection = {
    __typename?: 'ExternalStatusCheckConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ExternalStatusCheckEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ExternalStatusCheck>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ExternalStatusCheckEdge = {
    __typename?: 'ExternalStatusCheckEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ExternalStatusCheck>;
};
export type FeatureFlag = {
    __typename?: 'FeatureFlag';
    /** Whether the feature flag is active. */
    active: Scalars['Boolean']['output'];
    /** Global ID of the feature flag. */
    id: Scalars['OperationsFeatureFlagID']['output'];
    /** Name of the feature flag. */
    name: Scalars['String']['output'];
};
/** The connection type for FeatureFlag. */
export type FeatureFlagConnection = {
    __typename?: 'FeatureFlagConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<FeatureFlagEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<FeatureFlag>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type FeatureFlagEdge = {
    __typename?: 'FeatureFlagEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<FeatureFlag>;
};
export type FileUpload = {
    __typename?: 'FileUpload';
    /** Global ID of the upload. */
    id: Scalars['UploadID']['output'];
    /** Path of the upload. */
    path: Scalars['String']['output'];
    /** Size of the upload in bytes. */
    size: Scalars['Int']['output'];
};
/** Represents security reports comparison for vulnerability findings. */
export type FindingReportsComparer = {
    __typename?: 'FindingReportsComparer';
    /**
     * Compared security report. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    report?: Maybe<ComparedSecurityReport>;
    /** Comparison status. */
    status?: Maybe<FindingReportsComparerStatus>;
    /** Text explaining the status. */
    statusReason?: Maybe<Scalars['String']['output']>;
};
/** Report comparison status */
export declare enum FindingReportsComparerStatus {
    /** An error happened while generating the report. */
    Error = "ERROR",
    /** Report was generated. */
    Parsed = "PARSED",
    /** Report is being generated. */
    Parsing = "PARSING"
}
/** Information about specific forecast created */
export type Forecast = {
    __typename?: 'Forecast';
    /** Status of the forecast. */
    status: ForecastStatus;
    /** Actual forecast values. */
    values?: Maybe<ForecastDatapointConnection>;
};
/** Information about specific forecast created */
export type ForecastValuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Information about specific forecast datapoint */
export type ForecastDatapoint = {
    __typename?: 'ForecastDatapoint';
    /** Datapoint of the forecast. Usually a date. */
    datapoint: Scalars['String']['output'];
    /** Value of the given datapoint. */
    value?: Maybe<Scalars['Float']['output']>;
};
/** The connection type for ForecastDatapoint. */
export type ForecastDatapointConnection = {
    __typename?: 'ForecastDatapointConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ForecastDatapointEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ForecastDatapoint>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ForecastDatapointEdge = {
    __typename?: 'ForecastDatapointEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ForecastDatapoint>;
};
/** List of statuses for forecasting model. */
export declare enum ForecastStatus {
    /** Forecast is ready. */
    Ready = "READY",
    /** Forecast is unavailable. */
    Unavailable = "UNAVAILABLE"
}
/** Details of the fork project compared to its upstream project. */
export type ForkDetails = {
    __typename?: 'ForkDetails';
    /** Number of commits ahead of upstream. */
    ahead?: Maybe<Scalars['Int']['output']>;
    /** Number of commits behind upstream. */
    behind?: Maybe<Scalars['Int']['output']>;
    /** Indicates if the fork conflicts with its upstream project. */
    hasConflicts?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if there is a synchronization in progress. */
    isSyncing?: Maybe<Scalars['Boolean']['output']>;
};
export type GeoNode = {
    __typename?: 'GeoNode';
    /** Find Ci Secure File registries on this Geo node */
    ciSecureFileRegistries?: Maybe<CiSecureFileRegistryConnection>;
    /** Maximum concurrency of container repository sync for this secondary node. */
    containerRepositoriesMaxCapacity?: Maybe<Scalars['Int']['output']>;
    /** Find Container Repository registries on this Geo node. */
    containerRepositoryRegistries?: Maybe<ContainerRepositoryRegistryConnection>;
    /**
     * Find Dependency Proxy Blob registries on this Geo node. Introduced in GitLab 15.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.6.
     */
    dependencyProxyBlobRegistries?: Maybe<DependencyProxyBlobRegistryConnection>;
    /** Find Dependency Proxy Manifest registries on this Geo node. */
    dependencyProxyManifestRegistries?: Maybe<DependencyProxyManifestRegistryConnection>;
    /**
     * Find Design Management Repository registries on this Geo node. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    designManagementRepositoryRegistries?: Maybe<DesignManagementRepositoryRegistryConnection>;
    /** Indicates whether this Geo node is enabled. */
    enabled?: Maybe<Scalars['Boolean']['output']>;
    /** Maximum concurrency of LFS/attachment backfill for this secondary node. */
    filesMaxCapacity?: Maybe<Scalars['Int']['output']>;
    /** Find group wiki repository registries on this Geo node. */
    groupWikiRepositoryRegistries?: Maybe<GroupWikiRepositoryRegistryConnection>;
    /** ID of this GeoNode. */
    id: Scalars['ID']['output'];
    /** URL defined on the primary node secondary nodes should use to contact it. */
    internalUrl?: Maybe<Scalars['String']['output']>;
    /** Find Job Artifact registries on this Geo node. */
    jobArtifactRegistries?: Maybe<JobArtifactRegistryConnection>;
    /** Find LFS object registries on this Geo node. */
    lfsObjectRegistries?: Maybe<LfsObjectRegistryConnection>;
    /** Find merge request diff registries on this Geo node. */
    mergeRequestDiffRegistries?: Maybe<MergeRequestDiffRegistryConnection>;
    /** Interval (in days) in which the repository verification is valid. After expiry, it is reverted. */
    minimumReverificationInterval?: Maybe<Scalars['Int']['output']>;
    /** Unique identifier for this Geo node. */
    name?: Maybe<Scalars['String']['output']>;
    /** Package file registries of the GeoNode. */
    packageFileRegistries?: Maybe<PackageFileRegistryConnection>;
    /** Find Pages Deployment registries on this Geo node */
    pagesDeploymentRegistries?: Maybe<PagesDeploymentRegistryConnection>;
    /** Find pipeline artifact registries on this Geo node. */
    pipelineArtifactRegistries?: Maybe<PipelineArtifactRegistryConnection>;
    /** Indicates whether this Geo node is the primary. */
    primary?: Maybe<Scalars['Boolean']['output']>;
    /** Find Project registries on this Geo node. Ignored if `geo_project_repository_replication` feature flag is disabled. */
    projectRepositoryRegistries?: Maybe<ProjectRepositoryRegistryConnection>;
    /** Find Project Wiki Repository registries on this Geo node. Ignored if `geo_project_wiki_repository_replication` feature flag is disabled. */
    projectWikiRepositoryRegistries?: Maybe<ProjectWikiRepositoryRegistryConnection>;
    /** Maximum concurrency of repository backfill for this secondary node. */
    reposMaxCapacity?: Maybe<Scalars['Int']['output']>;
    /** Namespaces that should be synced, if `selective_sync_type` == `namespaces`. */
    selectiveSyncNamespaces?: Maybe<NamespaceConnection>;
    /** Repository storages whose projects should be synced, if `selective_sync_type` == `shards`. */
    selectiveSyncShards?: Maybe<Array<Scalars['String']['output']>>;
    /** Indicates if syncing is limited to only specific groups, or shards. */
    selectiveSyncType?: Maybe<Scalars['String']['output']>;
    /** Find snippet repository registries on this Geo node. */
    snippetRepositoryRegistries?: Maybe<SnippetRepositoryRegistryConnection>;
    /** Indicates if this secondary node will replicate blobs in Object Storage. */
    syncObjectStorage?: Maybe<Scalars['Boolean']['output']>;
    /** Find terraform state version registries on this Geo node. */
    terraformStateVersionRegistries?: Maybe<TerraformStateVersionRegistryConnection>;
    /** Find Upload registries on this Geo node */
    uploadRegistries?: Maybe<UploadRegistryConnection>;
    /** User-facing URL for this Geo node. */
    url?: Maybe<Scalars['String']['output']>;
    /** Maximum concurrency of repository verification for this secondary node. */
    verificationMaxCapacity?: Maybe<Scalars['Int']['output']>;
};
export type GeoNodeCiSecureFileRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeContainerRepositoryRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeDependencyProxyBlobRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeDependencyProxyManifestRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeDesignManagementRepositoryRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeGroupWikiRepositoryRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeJobArtifactRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeLfsObjectRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeMergeRequestDiffRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodePackageFileRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodePagesDeploymentRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodePipelineArtifactRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeProjectRepositoryRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeProjectWikiRepositoryRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeSelectiveSyncNamespacesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GeoNodeSnippetRepositoryRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeTerraformStateVersionRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
export type GeoNodeUploadRegistriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    keyword?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    replicationState?: InputMaybe<ReplicationStateEnum>;
    verificationState?: InputMaybe<VerificationStateEnum>;
};
/** Action to trigger on multiple Geo registries */
export declare enum GeoRegistriesBulkAction {
    /** Resync multiple registries. */
    ResyncAll = "RESYNC_ALL",
    /** Reverify multiple registries. */
    ReverifyAll = "REVERIFY_ALL"
}
/** Autogenerated input type of GeoRegistriesBulkUpdate */
export type GeoRegistriesBulkUpdateInput = {
    /** Action to be executed on Geo registries. */
    action: GeoRegistriesBulkAction;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Class of the Geo registries to be updated. */
    registryClass: GeoRegistryClass;
};
/** Autogenerated return type of GeoRegistriesBulkUpdate. */
export type GeoRegistriesBulkUpdatePayload = {
    __typename?: 'GeoRegistriesBulkUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated Geo registry class. */
    registryClass?: Maybe<GeoRegistryClass>;
};
/** Autogenerated input type of GeoRegistriesUpdate */
export type GeoRegistriesUpdateInput = {
    /** Action to be executed on a Geo registry. */
    action: GeoRegistryAction;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Class of the Geo registry to be updated. */
    registryClass?: InputMaybe<GeoRegistryClass>;
    /** ID of the Geo registry entry to be updated. */
    registryId: Scalars['GeoBaseRegistryID']['input'];
};
/** Autogenerated return type of GeoRegistriesUpdate. */
export type GeoRegistriesUpdatePayload = {
    __typename?: 'GeoRegistriesUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated Geo registry entry. */
    registry?: Maybe<Registrable>;
};
/** Action to trigger on an individual Geo registry */
export declare enum GeoRegistryAction {
    /** Resync a registry. */
    Resync = "RESYNC",
    /** Reverify a registry. */
    Reverify = "REVERIFY"
}
/** Geo registry class */
export declare enum GeoRegistryClass {
    /** Geo::CiSecureFileRegistry registry class */
    CiSecureFileRegistry = "CI_SECURE_FILE_REGISTRY",
    /** Geo::ContainerRepositoryRegistry registry class */
    ContainerRepositoryRegistry = "CONTAINER_REPOSITORY_REGISTRY",
    /** Geo::DependencyProxyBlobRegistry registry class */
    DependencyProxyBlobRegistry = "DEPENDENCY_PROXY_BLOB_REGISTRY",
    /** Geo::DependencyProxyManifestRegistry registry class */
    DependencyProxyManifestRegistry = "DEPENDENCY_PROXY_MANIFEST_REGISTRY",
    /** Geo::DesignManagementRepositoryRegistry registry class */
    DesignManagementRepositoryRegistry = "DESIGN_MANAGEMENT_REPOSITORY_REGISTRY",
    /** Geo::GroupWikiRepositoryRegistry registry class */
    GroupWikiRepositoryRegistry = "GROUP_WIKI_REPOSITORY_REGISTRY",
    /** Geo::JobArtifactRegistry registry class */
    JobArtifactRegistry = "JOB_ARTIFACT_REGISTRY",
    /** Geo::LfsObjectRegistry registry class */
    LfsObjectRegistry = "LFS_OBJECT_REGISTRY",
    /** Geo::MergeRequestDiffRegistry registry class */
    MergeRequestDiffRegistry = "MERGE_REQUEST_DIFF_REGISTRY",
    /** Geo::PackageFileRegistry registry class */
    PackageFileRegistry = "PACKAGE_FILE_REGISTRY",
    /** Geo::PagesDeploymentRegistry registry class */
    PagesDeploymentRegistry = "PAGES_DEPLOYMENT_REGISTRY",
    /** Geo::PipelineArtifactRegistry registry class */
    PipelineArtifactRegistry = "PIPELINE_ARTIFACT_REGISTRY",
    /** Geo::ProjectRepositoryRegistry registry class */
    ProjectRepositoryRegistry = "PROJECT_REPOSITORY_REGISTRY",
    /** Geo::ProjectWikiRepositoryRegistry registry class */
    ProjectWikiRepositoryRegistry = "PROJECT_WIKI_REPOSITORY_REGISTRY",
    /** Geo::SnippetRepositoryRegistry registry class */
    SnippetRepositoryRegistry = "SNIPPET_REPOSITORY_REGISTRY",
    /** Geo::TerraformStateVersionRegistry registry class */
    TerraformStateVersionRegistry = "TERRAFORM_STATE_VERSION_REGISTRY",
    /** Geo::UploadRegistry registry class */
    UploadRegistry = "UPLOAD_REGISTRY"
}
/** Autogenerated input type of GitlabSubscriptionActivate */
export type GitlabSubscriptionActivateInput = {
    /** Activation code received after purchasing a GitLab subscription. */
    activationCode: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of GitlabSubscriptionActivate. */
export type GitlabSubscriptionActivatePayload = {
    __typename?: 'GitlabSubscriptionActivatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Array of future subscriptions. */
    futureSubscriptions?: Maybe<Array<SubscriptionFutureEntry>>;
    /** Current license. */
    license?: Maybe<CurrentLicense>;
};
/** Types of add-ons */
export declare enum GitlabSubscriptionsAddOnType {
    /** GitLab Duo Pro seat add-on. */
    CodeSuggestions = "CODE_SUGGESTIONS"
}
/** Role of User */
export declare enum GitlabSubscriptionsUserRole {
    /** Developer. */
    Developer = "DEVELOPER",
    /** Guest. */
    Guest = "GUEST",
    /** Maintainer. */
    Maintainer = "MAINTAINER",
    /** Owner. */
    Owner = "OWNER",
    /** Reporter. */
    Reporter = "REPORTER"
}
/** A base type of Google Artifact Registry artifacts */
export type GoogleCloudArtifactRegistryArtifact = GoogleCloudArtifactRegistryDockerImage;
/** The connection type for GoogleCloudArtifactRegistryArtifact. */
export type GoogleCloudArtifactRegistryArtifactConnection = {
    __typename?: 'GoogleCloudArtifactRegistryArtifactConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<GoogleCloudArtifactRegistryArtifactEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<GoogleCloudArtifactRegistryArtifact>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Details type of Google Artifact Registry artifacts */
export type GoogleCloudArtifactRegistryArtifactDetails = GoogleCloudArtifactRegistryDockerImageDetails;
/** An edge in a connection. */
export type GoogleCloudArtifactRegistryArtifactEdge = {
    __typename?: 'GoogleCloudArtifactRegistryArtifactEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<GoogleCloudArtifactRegistryArtifact>;
};
/** Values for sorting artifacts */
export declare enum GoogleCloudArtifactRegistryArtifactsSort {
    /** Ordered by `build_time` in ascending order. */
    BuildTimeAsc = "BUILD_TIME_ASC",
    /** Ordered by `build_time` in descending order. */
    BuildTimeDesc = "BUILD_TIME_DESC",
    /** Ordered by `image_size_bytes` in ascending order. */
    ImageSizeBytesAsc = "IMAGE_SIZE_BYTES_ASC",
    /** Ordered by `image_size_bytes` in descending order. */
    ImageSizeBytesDesc = "IMAGE_SIZE_BYTES_DESC",
    /** Ordered by `media_type` in ascending order. */
    MediaTypeAsc = "MEDIA_TYPE_ASC",
    /** Ordered by `media_type` in descending order. */
    MediaTypeDesc = "MEDIA_TYPE_DESC",
    /** Ordered by `name` in ascending order. */
    NameAsc = "NAME_ASC",
    /** Ordered by `name` in descending order. */
    NameDesc = "NAME_DESC",
    /** Ordered by `update_time` in ascending order. */
    UpdateTimeAsc = "UPDATE_TIME_ASC",
    /** Ordered by `update_time` in descending order. */
    UpdateTimeDesc = "UPDATE_TIME_DESC",
    /** Ordered by `upload_time` in ascending order. */
    UploadTimeAsc = "UPLOAD_TIME_ASC",
    /** Ordered by `upload_time` in descending order. */
    UploadTimeDesc = "UPLOAD_TIME_DESC"
}
/** Represents a docker artifact of Google Artifact Registry */
export type GoogleCloudArtifactRegistryDockerImage = {
    __typename?: 'GoogleCloudArtifactRegistryDockerImage';
    /** Image's digest. */
    digest: Scalars['String']['output'];
    /** Image's name. */
    image: Scalars['String']['output'];
    /** Unique image name. */
    name: Scalars['String']['output'];
    /** Tags attached to the image. */
    tags?: Maybe<Array<Scalars['String']['output']>>;
    /** Time when the image was last updated. */
    updateTime?: Maybe<Scalars['Time']['output']>;
    /** Time when the image was uploaded. */
    uploadTime?: Maybe<Scalars['Time']['output']>;
    /** Google Cloud URI to access the image. */
    uri: Scalars['String']['output'];
};
/** Represents details about docker artifact of Google Artifact Registry */
export type GoogleCloudArtifactRegistryDockerImageDetails = {
    __typename?: 'GoogleCloudArtifactRegistryDockerImageDetails';
    /** Google Cloud URL to access the image. */
    artifactRegistryImageUrl: Scalars['String']['output'];
    /** Time when the image was built. */
    buildTime?: Maybe<Scalars['Time']['output']>;
    /** Image's digest. */
    digest: Scalars['String']['output'];
    /** Image's name. */
    image: Scalars['String']['output'];
    /** Calculated size of the image. */
    imageSizeBytes?: Maybe<Scalars['String']['output']>;
    /** Location of the Artifact Registry repository. */
    location: Scalars['String']['output'];
    /** Media type of the image. */
    mediaType?: Maybe<Scalars['String']['output']>;
    /** Unique image name. */
    name: Scalars['String']['output'];
    /** ID of the Google Cloud project. */
    projectId: Scalars['String']['output'];
    /** Repository on the Google Artifact Registry. */
    repository: Scalars['String']['output'];
    /** Tags attached to the image. */
    tags?: Maybe<Array<Scalars['String']['output']>>;
    /** Time when the image was last updated. */
    updateTime?: Maybe<Scalars['Time']['output']>;
    /** Time when the image was uploaded. */
    uploadTime?: Maybe<Scalars['Time']['output']>;
    /** Google Cloud URI to access the image. */
    uri: Scalars['String']['output'];
};
/** Represents a repository of Google Artifact Registry */
export type GoogleCloudArtifactRegistryRepository = {
    __typename?: 'GoogleCloudArtifactRegistryRepository';
    /** Google Cloud URL to access the repository. */
    artifactRegistryRepositoryUrl: Scalars['String']['output'];
    /** Google Artifact Registry repository artifacts. Returns `null` if GitLab.com feature is unavailable. */
    artifacts?: Maybe<GoogleCloudArtifactRegistryArtifactConnection>;
    /** ID of the Google Cloud project. */
    projectId: Scalars['String']['output'];
    /** Repository on the Google Artifact Registry. */
    repository: Scalars['String']['output'];
};
/** Represents a repository of Google Artifact Registry */
export type GoogleCloudArtifactRegistryRepositoryArtifactsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<GoogleCloudArtifactRegistryArtifactsSort>;
};
/** Autogenerated input type of GoogleCloudLoggingConfigurationCreate */
export type GoogleCloudLoggingConfigurationCreateInput = {
    /** Email address associated with the service account that will be used to authenticate and interact with the Google Cloud Logging service. This is part of the IAM credentials. */
    clientEmail: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Unique identifier of the Google Cloud project to which the logging configuration belongs. */
    googleProjectIdName: Scalars['String']['input'];
    /** Group path. */
    groupPath: Scalars['ID']['input'];
    /** Unique identifier used to distinguish and manage different logs within the same Google Cloud project.(defaults to `audit_events`). */
    logIdName?: InputMaybe<Scalars['String']['input']>;
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Private Key associated with the service account. This key is used to authenticate the service account and authorize it to interact with the Google Cloud Logging service. */
    privateKey: Scalars['String']['input'];
};
/** Autogenerated return type of GoogleCloudLoggingConfigurationCreate. */
export type GoogleCloudLoggingConfigurationCreatePayload = {
    __typename?: 'GoogleCloudLoggingConfigurationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** configuration created. */
    googleCloudLoggingConfiguration?: Maybe<GoogleCloudLoggingConfigurationType>;
};
/** Autogenerated input type of GoogleCloudLoggingConfigurationDestroy */
export type GoogleCloudLoggingConfigurationDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Google Cloud logging configuration to destroy. */
    id: Scalars['AuditEventsGoogleCloudLoggingConfigurationID']['input'];
};
/** Autogenerated return type of GoogleCloudLoggingConfigurationDestroy. */
export type GoogleCloudLoggingConfigurationDestroyPayload = {
    __typename?: 'GoogleCloudLoggingConfigurationDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type GoogleCloudLoggingConfigurationInterface = {
    /** Client email. */
    clientEmail: Scalars['String']['output'];
    /** Google project ID. */
    googleProjectIdName: Scalars['String']['output'];
    /** ID of the configuration. */
    id: Scalars['ID']['output'];
    /** Log ID. */
    logIdName: Scalars['String']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
};
/** Stores Google Cloud Logging configurations associated with IAM service accounts,used for generating access tokens. */
export type GoogleCloudLoggingConfigurationType = GoogleCloudLoggingConfigurationInterface & {
    __typename?: 'GoogleCloudLoggingConfigurationType';
    /** Client email. */
    clientEmail: Scalars['String']['output'];
    /** Google project ID. */
    googleProjectIdName: Scalars['String']['output'];
    /** Group the configuration belongs to. */
    group: Group;
    /** ID of the configuration. */
    id: Scalars['ID']['output'];
    /** Log ID. */
    logIdName: Scalars['String']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
};
/** The connection type for GoogleCloudLoggingConfigurationType. */
export type GoogleCloudLoggingConfigurationTypeConnection = {
    __typename?: 'GoogleCloudLoggingConfigurationTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<GoogleCloudLoggingConfigurationTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<GoogleCloudLoggingConfigurationType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type GoogleCloudLoggingConfigurationTypeEdge = {
    __typename?: 'GoogleCloudLoggingConfigurationTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<GoogleCloudLoggingConfigurationType>;
};
/** Autogenerated input type of GoogleCloudLoggingConfigurationUpdate */
export type GoogleCloudLoggingConfigurationUpdateInput = {
    /** Email address associated with the service account that will be used to authenticate and interact with the Google Cloud Logging service. This is part of the IAM credentials. */
    clientEmail?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Unique identifier of the Google Cloud project to which the logging configuration belongs. */
    googleProjectIdName?: InputMaybe<Scalars['String']['input']>;
    /** ID of the google Cloud configuration to update. */
    id: Scalars['AuditEventsGoogleCloudLoggingConfigurationID']['input'];
    /** Unique identifier used to distinguish and manage different logs within the same Google Cloud project. */
    logIdName?: InputMaybe<Scalars['String']['input']>;
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Private Key associated with the service account. This key is used to authenticate the service account and authorize it to interact with the Google Cloud Logging service. */
    privateKey?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of GoogleCloudLoggingConfigurationUpdate. */
export type GoogleCloudLoggingConfigurationUpdatePayload = {
    __typename?: 'GoogleCloudLoggingConfigurationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** configuration updated. */
    googleCloudLoggingConfiguration?: Maybe<GoogleCloudLoggingConfigurationType>;
};
/** GPG signature for a signed commit */
export type GpgSignature = CommitSignature & {
    __typename?: 'GpgSignature';
    /** SHA of the associated commit. */
    commitSha?: Maybe<Scalars['String']['output']>;
    /** ID of the GPG key. */
    gpgKeyPrimaryKeyid?: Maybe<Scalars['String']['output']>;
    /** User email associated with the GPG key. */
    gpgKeyUserEmail?: Maybe<Scalars['String']['output']>;
    /** User name associated with the GPG key. */
    gpgKeyUserName?: Maybe<Scalars['String']['output']>;
    /** Project of the associated commit. */
    project?: Maybe<Project>;
    /** User associated with the key. */
    user?: Maybe<UserCore>;
    /** Indicates verification status of the associated key or certificate. */
    verificationStatus?: Maybe<VerificationStatus>;
};
export type GrafanaIntegration = {
    __typename?: 'GrafanaIntegration';
    /** Timestamp of the issue's creation. */
    createdAt: Scalars['Time']['output'];
    /** Indicates whether Grafana integration is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** URL for the Grafana host for the Grafana integration. */
    grafanaUrl: Scalars['String']['output'];
    /** Internal ID of the Grafana integration. */
    id: Scalars['ID']['output'];
    /** Timestamp of the issue's last activity. */
    updatedAt: Scalars['Time']['output'];
};
export type Group = {
    __typename?: 'Group';
    /**
     * Achievements for the namespace. Returns `null` if the `achievements` feature flag is disabled. Introduced in GitLab 15.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.8.
     */
    achievements?: Maybe<AchievementConnection>;
    /**
     * Path for the namespace's achievements. Returns `null` if the namespace is not a group, or the `achievements` feature flag is disabled. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    achievementsPath?: Maybe<Scalars['String']['output']>;
    /** Size limit for repositories in the namespace in bytes. This limit only applies to namespaces under Project limit enforcement. */
    actualRepositorySizeLimit?: Maybe<Scalars['Float']['output']>;
    /** The actual storage size limit (in bytes) based on the enforcement type of either repository or namespace. This limit is agnostic of enforcement type. */
    actualSizeLimit?: Maybe<Scalars['Float']['output']>;
    /**
     * Users in the namespace hierarchy that add ons are applicable for. This only applies to root namespaces. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    addOnEligibleUsers?: Maybe<AddOnUserConnection>;
    /** AddOnPurchase associated with the namespace */
    addOnPurchase?: Maybe<AddOnPurchase>;
    /** Additional storage purchased for the root namespace in bytes. */
    additionalPurchasedStorageSize?: Maybe<Scalars['Float']['output']>;
    /**
     * AI-related metrics. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    aiMetrics?: Maybe<AiMetrics>;
    /** Indicates whether to regularly prune stale group runners. Defaults to false. */
    allowStaleRunnerPruning: Scalars['Boolean']['output'];
    /** Amazon S3 configurations that receive audit events belonging to the group. */
    amazonS3Configurations?: Maybe<AmazonS3ConfigurationTypeConnection>;
    /** Approval Policies of the project */
    approvalPolicies?: Maybe<ApprovalPolicyConnection>;
    /** Indicates whether Auto DevOps is enabled for all projects within this group. */
    autoDevopsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Search users for autocompletion */
    autocompleteUsers?: Maybe<Array<AutocompletedUser>>;
    /** Avatar URL of the group. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Number of billable users in the group. */
    billableMembersCount?: Maybe<Scalars['Int']['output']>;
    /** A single board of the group. */
    board?: Maybe<Board>;
    /** Boards of the group. */
    boards?: Maybe<BoardConnection>;
    /**
     * Time taken for CI jobs to be picked up by this group's runners by percentile. Available to users with Maintainer role for the group. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    ciQueueingHistory?: Maybe<QueueingDelayHistory>;
    /** List of the group's CI/CD variables. */
    ciVariables?: Maybe<CiGroupVariableConnection>;
    /** Cluster agents associated with projects in the group and its subgroups. */
    clusterAgents?: Maybe<ClusterAgentConnection>;
    /** Represents the code coverage activity for this group. */
    codeCoverageActivities?: Maybe<CodeCoverageActivityConnection>;
    /** Compliance frameworks available to projects in this namespace. */
    complianceFrameworks?: Maybe<ComplianceFrameworkConnection>;
    /** Counts of contacts by state for the group. */
    contactStateCounts?: Maybe<ContactStateCounts>;
    /** Find contacts of this group. */
    contacts?: Maybe<CustomerRelationsContactConnection>;
    /** Container repositories of the group. */
    containerRepositories?: Maybe<ContainerRepositoryConnection>;
    /** Number of container repositories in the group. */
    containerRepositoriesCount: Scalars['Int']['output'];
    /** Includes at least one project where the repository size exceeds the limit. This only applies to namespaces under Project limit enforcement. */
    containsLockedProjects?: Maybe<Scalars['Boolean']['output']>;
    /** Provides the aggregated contributions by users within the group and its subgroups */
    contributions?: Maybe<ContributionAnalyticsContributionConnection>;
    /** Timestamp of the group creation. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Indicates if the cross_project_pipeline feature is available for the namespace. */
    crossProjectPipelineAvailable: Scalars['Boolean']['output'];
    /** Custom emoji in this namespace. */
    customEmoji?: Maybe<CustomEmojiConnection>;
    /** Visualizations of the group or associated configuration project. */
    customizableDashboardVisualizations?: Maybe<CustomizableDashboardVisualizationConnection>;
    /** Customizable dashboards for the group. */
    customizableDashboards?: Maybe<CustomizableDashboardConnection>;
    /** Data transfer data point for a specific period. This is mocked data under a development feature flag. */
    dataTransfer?: Maybe<GroupDataTransfer>;
    /** Number of dependency proxy blobs cached in the group. */
    dependencyProxyBlobCount: Scalars['Int']['output'];
    /** Dependency Proxy blobs. */
    dependencyProxyBlobs?: Maybe<DependencyProxyBlobConnection>;
    /** Number of dependency proxy images cached in the group. */
    dependencyProxyImageCount: Scalars['Int']['output'];
    /** Prefix for pulling images when using the dependency proxy. */
    dependencyProxyImagePrefix: Scalars['String']['output'];
    /** Dependency proxy TTL policy for the group. */
    dependencyProxyImageTtlPolicy?: Maybe<DependencyProxyImageTtlGroupPolicy>;
    /** Dependency Proxy manifests. */
    dependencyProxyManifests?: Maybe<DependencyProxyManifestConnection>;
    /** Dependency Proxy settings for the group. */
    dependencyProxySetting?: Maybe<DependencyProxySetting>;
    /** Total size of the dependency proxy cached images. */
    dependencyProxyTotalSize: Scalars['String']['output'];
    /** Total size of the dependency proxy cached images in bytes, encoded as a string. */
    dependencyProxyTotalSizeBytes: Scalars['BigInt']['output'];
    /**
     * Total size of the dependency proxy cached images in bytes. Deprecated in GitLab 16.1: Use `dependencyProxyTotalSizeBytes`.
     * @deprecated Use `dependencyProxyTotalSizeBytes`. Deprecated in GitLab 16.1.
     */
    dependencyProxyTotalSizeInBytes: Scalars['Int']['output'];
    /** List of descendant groups of this group. */
    descendantGroups?: Maybe<GroupConnection>;
    /** Count of direct descendant groups of this group. */
    descendantGroupsCount: Scalars['Int']['output'];
    /** Description of the namespace. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Group's DORA metrics. */
    dora?: Maybe<Dora>;
    /** Group's DORA scores for all projects by DORA key metric for the last complete month. */
    doraPerformanceScoreCounts?: Maybe<DoraPerformanceScoreCountConnection>;
    /**
     * Indicates whether GitLab Duo features are enabled for the group. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    duoFeaturesEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if a group has email notifications disabled. */
    emailsDisabled?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if a group has email notifications enabled. */
    emailsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the group has limited users for a free plan. */
    enforceFreeUserCap?: Maybe<Scalars['Boolean']['output']>;
    /** Environment scopes of the group. */
    environmentScopes?: Maybe<CiGroupEnvironmentScopeConnection>;
    /** Find a single epic. */
    epic?: Maybe<Epic>;
    /** Find a single epic board. */
    epicBoard?: Maybe<EpicBoard>;
    /** Find epic boards. */
    epicBoards?: Maybe<EpicBoardConnection>;
    /** Find epics. */
    epics?: Maybe<EpicConnection>;
    /** Indicates if Epics are enabled for namespace */
    epicsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** External locations that receive audit events belonging to the group. */
    externalAuditEventDestinations?: Maybe<ExternalAuditEventDestinationConnection>;
    /**
     * External destinations that receive audit events belonging to the group. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    externalAuditEventStreamingDestinations?: Maybe<GroupAuditEventStreamingDestinationConnection>;
    /**
     * Flow metrics for value stream analytics. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    flowMetrics?: Maybe<GroupValueStreamAnalyticsFlowMetrics>;
    /** Full name of the namespace. */
    fullName: Scalars['String']['output'];
    /** Full path of the namespace. */
    fullPath: Scalars['ID']['output'];
    /** Preview Billable User Changes */
    gitlabSubscriptionsPreviewBillableUserChange?: Maybe<PreviewBillableUserChange>;
    /** Google Cloud logging configurations that receive audit events belonging to the group. */
    googleCloudLoggingConfigurations?: Maybe<GoogleCloudLoggingConfigurationTypeConnection>;
    /** A membership of a user within this group. */
    groupMembers?: Maybe<GroupMemberConnection>;
    /** Count of direct members of this group. */
    groupMembersCount: Scalars['Int']['output'];
    /** ID of the namespace. */
    id: Scalars['ID']['output'];
    /**
     * Import source users of the namespace. This field can only be resolved for one namespace in any single request. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    importSourceUsers?: Maybe<ImportSourceUserConnection>;
    /**
     * Indicates if delayed group deletion is enabled. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    isAdjournedDeletionEnabled: Scalars['Boolean']['output'];
    /** Issues for projects in this group. */
    issues?: Maybe<IssueConnection>;
    /** Find iteration cadences. */
    iterationCadences?: Maybe<IterationCadenceConnection>;
    /** Find iterations. */
    iterations?: Maybe<IterationConnection>;
    /** Label available on this group. */
    label?: Maybe<Label>;
    /** Labels available on this group. */
    labels?: Maybe<LabelConnection>;
    /** Indicates if Large File Storage (LFS) is enabled for namespace. */
    lfsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Indicates if the GitLab Duo features enabled setting is enforced for all subgroups. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    lockDuoFeaturesEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if math rendering limits are locked for all descendant groups. */
    lockMathRenderingLimitsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Date when group was scheduled to be deleted. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    markedForDeletionOn?: Maybe<Scalars['Time']['output']>;
    /** Indicates if math rendering limits are used for this group. */
    mathRenderingLimitsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** The maximum access level of the current user in the group. */
    maxAccessLevel: AccessLevel;
    /**
     * Member roles available for the group. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    memberRoles?: Maybe<MemberRoleConnection>;
    /** Indicates if a group is disabled from getting mentioned. */
    mentionsDisabled?: Maybe<Scalars['Boolean']['output']>;
    /** Compliance violations reported on merge requests merged within the group. */
    mergeRequestViolations?: Maybe<ComplianceViolationConnection>;
    /** Merge requests for projects in this group. */
    mergeRequests?: Maybe<MergeRequestConnection>;
    /** Milestones of the group. */
    milestones?: Maybe<MilestoneConnection>;
    /** Name of the namespace. */
    name: Scalars['String']['output'];
    /**
     * Path for editing group at the organization level. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    organizationEditPath?: Maybe<Scalars['String']['output']>;
    /** Counts of organizations by status for the group. */
    organizationStateCounts?: Maybe<OrganizationStateCounts>;
    /** Find organizations of this group. */
    organizations?: Maybe<CustomerRelationsOrganizationConnection>;
    /** Package settings for the namespace. */
    packageSettings?: Maybe<PackageSettings>;
    /** Packages of the group. This field can only be resolved for one group in any single request. */
    packages?: Maybe<PackageConnection>;
    /** List of the namespaces's Pages Deployments. */
    pagesDeployments?: Maybe<PagesDeploymentConnection>;
    /** Parent group. */
    parent?: Maybe<Group>;
    /** Path of the namespace. */
    path: Scalars['String']['output'];
    /**
     * A pending membership of a user within this group. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    pendingMembers?: Maybe<PendingGroupMemberConnection>;
    /**
     * Date when group will be deleted if delayed group deletion is enabled. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    permanentDeletionDate?: Maybe<Scalars['String']['output']>;
    /** Pipeline Execution Policies of the namespace. */
    pipelineExecutionPolicies?: Maybe<PipelineExecutionPolicyConnection>;
    /**
     * Number of product analytics events namespace is permitted to store per cycle. Introduced in GitLab 16.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.9.
     */
    productAnalyticsStoredEventsLimit?: Maybe<Scalars['Int']['output']>;
    /** Compliance standards adherence for the projects in a group and its subgroups. */
    projectComplianceStandardsAdherence?: Maybe<ComplianceStandardsAdherenceConnection>;
    /** Permission level required to create projects in the group. */
    projectCreationLevel?: Maybe<Scalars['String']['output']>;
    /** Projects within this namespace. Returns projects from the parent group if namespace is project. */
    projects: ProjectConnection;
    /** Count of direct projects in this group. */
    projectsCount: Scalars['Int']['output'];
    /** List of recently visited boards of the group. Maximum size is 4. */
    recentIssueBoards?: Maybe<BoardConnection>;
    /** Releases belonging to projects in the group. */
    releases?: Maybe<ReleaseConnection>;
    /** Cluster agents in the namespace with remote development capabilities */
    remoteDevelopmentClusterAgents?: Maybe<ClusterAgentConnection>;
    /** Number of projects in the root namespace where the repository size exceeds the limit. This only applies to namespaces under Project limit enforcement. */
    repositorySizeExcessProjectCount?: Maybe<Scalars['Int']['output']>;
    /** Indicates if users can request access to namespace. */
    requestAccessEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if all users in this group are required to set up two-factor authentication. */
    requireTwoFactorAuthentication?: Maybe<Scalars['Boolean']['output']>;
    /** Aggregated storage statistics of the namespace. Only available for root namespaces. */
    rootStorageStatistics?: Maybe<RootStorageStatistics>;
    /**
     * Information used for provisioning the runner on a cloud provider. Returns `null` if the GitLab instance is not a SaaS instance. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    runnerCloudProvisioning?: Maybe<CiRunnerCloudProvisioning>;
    /** Find runners visible to the current user. */
    runners?: Maybe<CiRunnerConnection>;
    /**
     * Saved replies available to the group. Available only when feature flag `group_saved_replies_flag` is enabled. This field can only be resolved for one group in any single request. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    savedReplies?: Maybe<GroupSavedReplyConnection>;
    /**
     * Saved reply in the group. Available only when feature flag `group_saved_replies_flag` is enabled. This field can only be resolved for one group in any single request. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    savedReply?: Maybe<GroupSavedReply>;
    /** Scan Execution Policies of the namespace. */
    scanExecutionPolicies?: Maybe<ScanExecutionPolicyConnection>;
    /**
     * Scan Result Policies of the project Deprecated in GitLab 16.9: Use `approvalPolicies`.
     * @deprecated Use `approvalPolicies`. Deprecated in GitLab 16.9.
     */
    scanResultPolicies?: Maybe<ScanResultPolicyConnection>;
    /** Security policy project assigned to the namespace. */
    securityPolicyProject?: Maybe<Project>;
    /** Security policy project suggestions */
    securityPolicyProjectSuggestions?: Maybe<ProjectConnection>;
    /** Indicates if sharing a project with another group within this group is prevented. */
    shareWithGroupLock?: Maybe<Scalars['Boolean']['output']>;
    /** Shared runners availability for the namespace and its descendants. */
    sharedRunnersSetting?: Maybe<SharedRunnersSetting>;
    /** Group statistics. */
    stats?: Maybe<GroupStats>;
    /** The storage limit (in bytes) included with the root namespace plan. This limit only applies to namespaces under namespace limit enforcement. */
    storageSizeLimit?: Maybe<Scalars['Float']['output']>;
    /** Permission level required to create subgroups within the group. */
    subgroupCreationLevel?: Maybe<Scalars['String']['output']>;
    /**
     * Timelog categories for the namespace. Introduced in GitLab 15.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.3.
     */
    timelogCategories?: Maybe<TimeTrackingTimelogCategoryConnection>;
    /** Time logged on issues and merge requests in the group and its subgroups. */
    timelogs: TimelogConnection;
    /** Total repository size of all projects in the root namespace in bytes. */
    totalRepositorySize?: Maybe<Scalars['Float']['output']>;
    /** Total excess repository size of all projects in the root namespace in bytes. This only applies to namespaces under Project limit enforcement. */
    totalRepositorySizeExcess?: Maybe<Scalars['Float']['output']>;
    /** Time before two-factor authentication is enforced. */
    twoFactorGracePeriod?: Maybe<Scalars['Int']['output']>;
    /** Timestamp of when the group was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: GroupPermissions;
    /** Information about Value Stream Analytics within the group. */
    valueStreamAnalytics?: Maybe<ValueStreamAnalytics>;
    /**
     * Aggregated usage counts within the group Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    valueStreamDashboardUsageOverview?: Maybe<ValueStreamDashboardCount>;
    /** Value streams available to the group. */
    valueStreams?: Maybe<ValueStreamConnection>;
    /** Visibility of the namespace. */
    visibility?: Maybe<Scalars['String']['output']>;
    /** Vulnerabilities reported on the projects in the group and its subgroups. */
    vulnerabilities?: Maybe<VulnerabilityConnection>;
    /** The historical number of vulnerabilities per day for the projects in the group and its subgroups. */
    vulnerabilitiesCountByDay?: Maybe<VulnerabilitiesCountByDayConnection>;
    /** Represents vulnerable project counts for each grade. */
    vulnerabilityGrades?: Maybe<Array<VulnerableProjectsByGrade>>;
    /** Vulnerability scanners reported on the project vulnerabilities of the group and its subgroups. */
    vulnerabilityScanners?: Maybe<VulnerabilityScannerConnection>;
    /** Counts for each vulnerability severity in the group and its subgroups. */
    vulnerabilitySeveritiesCount?: Maybe<VulnerabilitySeveritiesCount>;
    /** Web URL of the group. */
    webUrl: Scalars['String']['output'];
    /**
     * Find a work item by IID directly associated with the group. Returns `null` if the `namespace_level_work_items` feature flag is disabled. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    workItem?: Maybe<WorkItem>;
    /**
     * Counts of work items by state for the namespace. Returns `null` if the `namespace_level_work_items` feature flag is disabled. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    workItemStateCounts?: Maybe<WorkItemStateCountsType>;
    /** Work item types available to the group. */
    workItemTypes?: Maybe<WorkItemTypeConnection>;
    /**
     * Work items that belong to the namespace. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    workItems?: Maybe<WorkItemConnection>;
};
export type GroupAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['AchievementsAchievementID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupAddOnEligibleUsersArgs = {
    addOnType: GitlabSubscriptionsAddOnType;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type GroupAddOnPurchaseArgs = {
    addOnName: Scalars['String']['input'];
};
export type GroupAiMetricsArgs = {
    endDate?: InputMaybe<Scalars['Date']['input']>;
    startDate?: InputMaybe<Scalars['Date']['input']>;
};
export type GroupAmazonS3ConfigurationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupApprovalPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type GroupAutocompleteUsersArgs = {
    search?: InputMaybe<Scalars['String']['input']>;
};
export type GroupBillableMembersCountArgs = {
    requestedHostedPlan?: InputMaybe<Scalars['String']['input']>;
};
export type GroupBoardArgs = {
    id: Scalars['BoardID']['input'];
};
export type GroupBoardsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['BoardID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupCiQueueingHistoryArgs = {
    fromTime?: InputMaybe<Scalars['Time']['input']>;
    toTime?: InputMaybe<Scalars['Time']['input']>;
};
export type GroupCiVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<CiVariableSort>;
};
export type GroupClusterAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasRemoteDevelopmentAgentConfig?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemoteDevelopmentEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    hasVulnerabilities?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupCodeCoverageActivitiesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    startDate: Scalars['Date']['input'];
};
export type GroupComplianceFrameworksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ComplianceManagementFrameworkID']['input']>;
    ids?: InputMaybe<Array<Scalars['ComplianceManagementFrameworkID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type GroupContactStateCountsArgs = {
    search?: InputMaybe<Scalars['String']['input']>;
    state?: InputMaybe<CustomerRelationsContactState>;
};
export type GroupContactsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['CustomerRelationsContactID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ContactSort>;
    state?: InputMaybe<CustomerRelationsContactState>;
};
export type GroupContainerRepositoriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ContainerRepositorySort>;
};
export type GroupContributionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    from: Scalars['ISO8601Date']['input'];
    to: Scalars['ISO8601Date']['input'];
};
export type GroupCustomEmojiArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupCustomizableDashboardVisualizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
};
export type GroupCustomizableDashboardsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    category?: InputMaybe<CustomizableDashboardCategory>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
};
export type GroupDataTransferArgs = {
    from?: InputMaybe<Scalars['Date']['input']>;
    to?: InputMaybe<Scalars['Date']['input']>;
};
export type GroupDependencyProxyBlobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupDependencyProxyManifestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupDescendantGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    includeParentDescendants?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    owned?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type GroupDoraPerformanceScoreCountsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectFilters?: InputMaybe<DoraProjectFilterInput>;
};
export type GroupEnvironmentScopesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type GroupEpicArgs = {
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    iidStartsWith?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['ID']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendantGroups?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedEpicFilterInput>;
    or?: InputMaybe<UnionedEpicFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<EpicSort>;
    state?: InputMaybe<EpicState>;
    timeframe?: InputMaybe<Timeframe>;
    topLevelHierarchyOnly?: InputMaybe<Scalars['Boolean']['input']>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
export type GroupEpicBoardArgs = {
    id: Scalars['BoardsEpicBoardID']['input'];
};
export type GroupEpicBoardsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupEpicsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    iidStartsWith?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['ID']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendantGroups?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedEpicFilterInput>;
    or?: InputMaybe<UnionedEpicFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<EpicSort>;
    state?: InputMaybe<EpicState>;
    timeframe?: InputMaybe<Timeframe>;
    topLevelHierarchyOnly?: InputMaybe<Scalars['Boolean']['input']>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
export type GroupExternalAuditEventDestinationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupExternalAuditEventStreamingDestinationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupGitlabSubscriptionsPreviewBillableUserChangeArgs = {
    addGroupId?: InputMaybe<Scalars['Int']['input']>;
    addUserEmails?: InputMaybe<Array<Scalars['String']['input']>>;
    addUserIds?: InputMaybe<Array<Scalars['Int']['input']>>;
    memberRoleId?: InputMaybe<Scalars['Int']['input']>;
    role: GitlabSubscriptionsUserRole;
};
export type GroupGoogleCloudLoggingConfigurationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupGroupMembersArgs = {
    accessLevels?: InputMaybe<Array<AccessLevelEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    enterprise?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relations?: InputMaybe<Array<GroupMemberRelation>>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MemberSort>;
};
export type GroupImportSourceUsersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeId?: InputMaybe<Scalars['String']['input']>;
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    closedAfter?: InputMaybe<Scalars['Time']['input']>;
    closedBefore?: InputMaybe<Scalars['Time']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    crmContactId?: InputMaybe<Scalars['String']['input']>;
    crmOrganizationId?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['String']['input']>;
    epicWildcardId?: InputMaybe<EpicWildcardId>;
    first?: InputMaybe<Scalars['Int']['input']>;
    healthStatusFilter?: InputMaybe<HealthStatusFilter>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeArchived?: InputMaybe<Scalars['Boolean']['input']>;
    includeSubepics?: InputMaybe<Scalars['Boolean']['input']>;
    includeSubgroups?: InputMaybe<Scalars['Boolean']['input']>;
    iterationCadenceId?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    iterationId?: InputMaybe<Array<InputMaybe<Scalars['ID']['input']>>>;
    iterationTitle?: InputMaybe<Scalars['String']['input']>;
    iterationWildcardId?: InputMaybe<IterationWildcardId>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedIssueFilterInput>;
    or?: InputMaybe<UnionedIssueFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<IssueSort>;
    state?: InputMaybe<IssuableState>;
    types?: InputMaybe<Array<IssueType>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    weight?: InputMaybe<Scalars['String']['input']>;
    weightWildcardId?: InputMaybe<WeightWildcardId>;
};
export type GroupIterationCadencesArgs = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    automatic?: InputMaybe<Scalars['Boolean']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    durationInWeeks?: InputMaybe<Scalars['Int']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['IterationsCadenceID']['input']>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type GroupIterationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    in?: InputMaybe<Array<IterationSearchableField>>;
    includeAncestors?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendants?: InputMaybe<Scalars['Boolean']['input']>;
    iterationCadenceIds?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<IterationSort>;
    state?: InputMaybe<IterationState>;
    timeframe?: InputMaybe<Timeframe>;
};
export type GroupLabelArgs = {
    title: Scalars['String']['input'];
};
export type GroupLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendantGroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    onlyGroupLabels?: InputMaybe<Scalars['Boolean']['input']>;
    searchIn?: Array<LabelSearchFieldList>;
    searchTerm?: InputMaybe<Scalars['String']['input']>;
};
export type GroupMemberRolesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['MemberRoleID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    orderBy?: InputMaybe<MemberRolesOrderBy>;
    sort?: InputMaybe<SortDirectionEnum>;
};
export type GroupMergeRequestViolationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filters?: InputMaybe<ComplianceViolationInput>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ComplianceViolationSort>;
};
export type GroupMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    includeArchived?: InputMaybe<Scalars['Boolean']['input']>;
    includeSubgroups?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
export type GroupMilestonesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    containingDate?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    includeAncestors?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendants?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    searchTitle?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MilestoneSort>;
    state?: InputMaybe<MilestoneStateEnum>;
    timeframe?: InputMaybe<Timeframe>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type GroupOrganizationStateCountsArgs = {
    search?: InputMaybe<Scalars['String']['input']>;
    state?: InputMaybe<CustomerRelationsOrganizationState>;
};
export type GroupOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['CustomerRelationsOrganizationID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<OrganizationSort>;
    state?: InputMaybe<CustomerRelationsOrganizationState>;
};
export type GroupPackagesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    includeVersionless?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    packageName?: InputMaybe<Scalars['String']['input']>;
    packageType?: InputMaybe<PackageTypeEnum>;
    packageVersion?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<PackageGroupSort>;
    status?: InputMaybe<PackageStatus>;
};
export type GroupPagesDeploymentsArgs = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<Sort>;
    versioned?: InputMaybe<Scalars['Boolean']['input']>;
};
export type GroupPendingMembersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupPipelineExecutionPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type GroupProjectComplianceStandardsAdherenceArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filters?: InputMaybe<ComplianceStandardsAdherenceInput>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    complianceFrameworkFilters?: InputMaybe<ComplianceFrameworkFilters>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasCodeCoverage?: InputMaybe<Scalars['Boolean']['input']>;
    hasVulnerabilities?: InputMaybe<Scalars['Boolean']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    includeArchived?: InputMaybe<Scalars['Boolean']['input']>;
    includeSubgroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    notAimedForDeletion?: InputMaybe<Scalars['Boolean']['input']>;
    sbomComponentId?: InputMaybe<Scalars['ID']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<NamespaceProjectSort>;
    withIssuesEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    withMergeRequestsEnabled?: InputMaybe<Scalars['Boolean']['input']>;
};
export type GroupRecentIssueBoardsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupReleasesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<GroupReleaseSort>;
};
export type GroupRemoteDevelopmentClusterAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter: NamespaceClusterAgentFilter;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupRunnerCloudProvisioningArgs = {
    cloudProjectId: Scalars['GoogleCloudProject']['input'];
    provider: CiRunnerCloudProvider;
};
export type GroupRunnersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    creatorId?: InputMaybe<Scalars['UserID']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    membership?: InputMaybe<CiRunnerMembershipFilter>;
    paused?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<CiRunnerSort>;
    status?: InputMaybe<CiRunnerStatus>;
    tagList?: InputMaybe<Array<Scalars['String']['input']>>;
    type?: InputMaybe<CiRunnerType>;
    upgradeStatus?: InputMaybe<CiRunnerUpgradeStatus>;
};
export type GroupSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupSavedReplyArgs = {
    id: Scalars['GroupsSavedReplyID']['input'];
};
export type GroupScanExecutionPoliciesArgs = {
    actionScanTypes?: InputMaybe<Array<SecurityReportTypeEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type GroupScanResultPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type GroupSecurityPolicyProjectSuggestionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    onlyLinked?: InputMaybe<Scalars['Boolean']['input']>;
    search: Scalars['String']['input'];
};
export type GroupTimelogCategoriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
export type GroupValueStreamDashboardUsageOverviewArgs = {
    identifier: ValueStreamDashboardMetric;
    timeframe: Timeframe;
};
export type GroupValueStreamsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupVulnerabilitiesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    clusterAgentId?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    clusterId?: InputMaybe<Array<Scalars['ClustersClusterID']['input']>>;
    dismissalReason?: InputMaybe<Array<VulnerabilityDismissalReason>>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasIssues?: InputMaybe<Scalars['Boolean']['input']>;
    hasMergeRequest?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemediations?: InputMaybe<Scalars['Boolean']['input']>;
    hasResolution?: InputMaybe<Scalars['Boolean']['input']>;
    image?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    owaspTopTen?: InputMaybe<Array<VulnerabilityOwaspTop10>>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    reportType?: InputMaybe<Array<VulnerabilityReportType>>;
    scanner?: InputMaybe<Array<Scalars['String']['input']>>;
    scannerId?: InputMaybe<Array<Scalars['VulnerabilitiesScannerID']['input']>>;
    severity?: InputMaybe<Array<VulnerabilitySeverity>>;
    sort?: InputMaybe<VulnerabilitySort>;
    state?: InputMaybe<Array<VulnerabilityState>>;
};
export type GroupVulnerabilitiesCountByDayArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate: Scalars['ISO8601Date']['input'];
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    startDate: Scalars['ISO8601Date']['input'];
};
export type GroupVulnerabilityGradesArgs = {
    includeSubgroups?: InputMaybe<Scalars['Boolean']['input']>;
    letterGrade?: InputMaybe<VulnerabilityGrade>;
};
export type GroupVulnerabilityScannersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type GroupVulnerabilitySeveritiesCountArgs = {
    capped?: InputMaybe<Scalars['Boolean']['input']>;
    clusterAgentId?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    dismissalReason?: InputMaybe<Array<VulnerabilityDismissalReason>>;
    hasIssues?: InputMaybe<Scalars['Boolean']['input']>;
    hasMergeRequest?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemediations?: InputMaybe<Scalars['Boolean']['input']>;
    hasResolution?: InputMaybe<Scalars['Boolean']['input']>;
    image?: InputMaybe<Array<Scalars['String']['input']>>;
    owaspTopTen?: InputMaybe<Array<VulnerabilityOwaspTop10>>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    reportType?: InputMaybe<Array<VulnerabilityReportType>>;
    scanner?: InputMaybe<Array<Scalars['String']['input']>>;
    scannerId?: InputMaybe<Array<Scalars['VulnerabilitiesScannerID']['input']>>;
    severity?: InputMaybe<Array<VulnerabilitySeverity>>;
    state?: InputMaybe<Array<VulnerabilityState>>;
};
export type GroupWorkItemArgs = {
    iid: Scalars['String']['input'];
};
export type GroupWorkItemStateCountsArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestors?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendants?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedWorkItemFilterInput>;
    or?: InputMaybe<UnionedWorkItemFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<WorkItemSort>;
    state?: InputMaybe<IssuableState>;
    statusWidget?: InputMaybe<StatusFilterInput>;
    types?: InputMaybe<Array<IssueType>>;
};
export type GroupWorkItemTypesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<IssueType>;
};
export type GroupWorkItemsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeAncestors?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendants?: InputMaybe<Scalars['Boolean']['input']>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedWorkItemFilterInput>;
    or?: InputMaybe<UnionedWorkItemFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<WorkItemSort>;
    state?: InputMaybe<IssuableState>;
    statusWidget?: InputMaybe<StatusFilterInput>;
    types?: InputMaybe<Array<IssueType>>;
};
/** Represents a subgroup or project filter that belongs to a group level external audit event streaming destination. */
export type GroupAuditEventNamespaceFilter = {
    __typename?: 'GroupAuditEventNamespaceFilter';
    /** Destination to which the filter belongs. */
    externalStreamingDestination: GroupAuditEventStreamingDestination;
    /** ID of the filter. */
    id: Scalars['ID']['output'];
    /** Group or project namespace the filter belongs to. */
    namespace: Namespace;
};
/** Represents an external destination to stream group level audit events. */
export type GroupAuditEventStreamingDestination = AuditEventStreamingDestinationInterface & {
    __typename?: 'GroupAuditEventStreamingDestination';
    /** Category of the external destination to send audit events to. */
    category: Scalars['String']['output'];
    /** Config of the external destination. */
    config: Scalars['JSON']['output'];
    /** List of event type filters added for streaming. */
    eventTypeFilters: Array<Scalars['String']['output']>;
    /** Group to which the destination belongs. */
    group: Group;
    /** ID of the destination. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
    /** List of subgroup or project filters for the destination. */
    namespaceFilters?: Maybe<Array<GroupAuditEventNamespaceFilter>>;
};
/** The connection type for GroupAuditEventStreamingDestination. */
export type GroupAuditEventStreamingDestinationConnection = {
    __typename?: 'GroupAuditEventStreamingDestinationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<GroupAuditEventStreamingDestinationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<GroupAuditEventStreamingDestination>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type GroupAuditEventStreamingDestinationEdge = {
    __typename?: 'GroupAuditEventStreamingDestinationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<GroupAuditEventStreamingDestination>;
};
/** Autogenerated input type of GroupAuditEventStreamingDestinationsCreate */
export type GroupAuditEventStreamingDestinationsCreateInput = {
    /** Destination category. */
    category: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination config. */
    config: Scalars['JSON']['input'];
    /** Group path. */
    groupPath: Scalars['ID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret token. */
    secretToken: Scalars['String']['input'];
};
/** Autogenerated return type of GroupAuditEventStreamingDestinationsCreate. */
export type GroupAuditEventStreamingDestinationsCreatePayload = {
    __typename?: 'GroupAuditEventStreamingDestinationsCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Destination created. */
    externalAuditEventDestination?: Maybe<GroupAuditEventStreamingDestination>;
};
/** Autogenerated input type of GroupAuditEventStreamingDestinationsDelete */
export type GroupAuditEventStreamingDestinationsDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the audit events external streaming destination to delete. */
    id: Scalars['AuditEventsGroupExternalStreamingDestinationID']['input'];
};
/** Autogenerated return type of GroupAuditEventStreamingDestinationsDelete. */
export type GroupAuditEventStreamingDestinationsDeletePayload = {
    __typename?: 'GroupAuditEventStreamingDestinationsDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of GroupAuditEventStreamingDestinationsUpdate */
export type GroupAuditEventStreamingDestinationsUpdateInput = {
    /** Destination category. */
    category?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination config. */
    config?: InputMaybe<Scalars['JSON']['input']>;
    /** ID of external audit event destination to update. */
    id: Scalars['AuditEventsGroupExternalStreamingDestinationID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret token. */
    secretToken?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of GroupAuditEventStreamingDestinationsUpdate. */
export type GroupAuditEventStreamingDestinationsUpdatePayload = {
    __typename?: 'GroupAuditEventStreamingDestinationsUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated destination. */
    externalAuditEventDestination?: Maybe<GroupAuditEventStreamingDestination>;
};
/** The connection type for Group. */
export type GroupConnection = {
    __typename?: 'GroupConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<GroupEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Group>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
export type GroupDataTransfer = {
    __typename?: 'GroupDataTransfer';
    /** Data nodes. */
    egressNodes?: Maybe<EgressNodeConnection>;
};
export type GroupDataTransferEgressNodesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type GroupEdge = {
    __typename?: 'GroupEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Group>;
};
/** Represents a Group Membership */
export type GroupMember = MemberInterface & {
    __typename?: 'GroupMember';
    /** GitLab::Access level. */
    accessLevel?: Maybe<AccessLevel>;
    /** Date and time the membership was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** User that authorized membership. */
    createdBy?: Maybe<UserCore>;
    /** Date and time the membership expires. */
    expiresAt?: Maybe<Scalars['Time']['output']>;
    /** Group that a user is a member of. */
    group?: Maybe<Group>;
    /** ID of the member. */
    id: Scalars['ID']['output'];
    /** Find a merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Group notification email for user. Only available for admins. */
    notificationEmail?: Maybe<Scalars['String']['output']>;
    /** Date and time the membership was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** User that is associated with the member object. */
    user?: Maybe<UserCore>;
    /** Permissions for the current user on the resource */
    userPermissions: GroupPermissions;
};
/** Represents a Group Membership */
export type GroupMemberMergeRequestInteractionArgs = {
    id: Scalars['MergeRequestID']['input'];
};
/** Autogenerated input type of GroupMemberBulkUpdate */
export type GroupMemberBulkUpdateInput = {
    /** Access level to update the members to. */
    accessLevel: MemberAccessLevel;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Date and time the membership expires. */
    expiresAt?: InputMaybe<Scalars['Time']['input']>;
    /** Global ID of the group. */
    groupId: Scalars['GroupID']['input'];
    /** Global IDs of the members. */
    userIds: Array<Scalars['UserID']['input']>;
};
/** Autogenerated return type of GroupMemberBulkUpdate. */
export type GroupMemberBulkUpdatePayload = {
    __typename?: 'GroupMemberBulkUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Group members after mutation. */
    groupMembers?: Maybe<Array<GroupMember>>;
};
/** The connection type for GroupMember. */
export type GroupMemberConnection = {
    __typename?: 'GroupMemberConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<GroupMemberEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<GroupMember>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type GroupMemberEdge = {
    __typename?: 'GroupMemberEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<GroupMember>;
};
/** Group member relation */
export declare enum GroupMemberRelation {
    /** Members in the group's subgroups. */
    Descendants = "DESCENDANTS",
    /** Members in the group itself. */
    Direct = "DIRECT",
    /** Members in the group's ancestor groups. */
    Inherited = "INHERITED",
    /** Invited group's members. */
    SharedFromGroups = "SHARED_FROM_GROUPS"
}
/** User permission on groups */
export declare enum GroupPermission {
    /** Groups where the user can create projects. */
    CreateProjects = "CREATE_PROJECTS",
    /** Groups where the user can import projects to. */
    ImportProjects = "IMPORT_PROJECTS",
    /** Groups where the user can transfer projects to. */
    TransferProjects = "TRANSFER_PROJECTS"
}
export type GroupPermissions = {
    __typename?: 'GroupPermissions';
    /** If `true`, the user can perform `create_custom_emoji` on this resource */
    createCustomEmoji: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_projects` on this resource */
    createProjects: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_group` on this resource */
    readGroup: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `remove_group` on this resource */
    removeGroup: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `view_edit_page` on this resource */
    viewEditPage: Scalars['Boolean']['output'];
};
/** Values for sorting releases belonging to a group */
export declare enum GroupReleaseSort {
    /** Released at by ascending order. */
    ReleasedAtAsc = "RELEASED_AT_ASC",
    /** Released at by descending order. */
    ReleasedAtDesc = "RELEASED_AT_DESC"
}
/** Contains release-related statistics about a group */
export type GroupReleaseStats = {
    __typename?: 'GroupReleaseStats';
    /** Total number of releases in all descendant projects of the group. */
    releasesCount?: Maybe<Scalars['Int']['output']>;
    /** Percentage of the group's descendant projects that have at least one release. */
    releasesPercentage?: Maybe<Scalars['Int']['output']>;
};
export type GroupSavedReply = {
    __typename?: 'GroupSavedReply';
    /** Content of the saved reply. */
    content: Scalars['String']['output'];
    /** Global ID of the group-level saved reply. */
    id: Scalars['GroupsSavedReplyID']['output'];
    /** Name of the saved reply. */
    name: Scalars['String']['output'];
};
/** The connection type for GroupSavedReply. */
export type GroupSavedReplyConnection = {
    __typename?: 'GroupSavedReplyConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<GroupSavedReplyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<GroupSavedReply>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of GroupSavedReplyCreate */
export type GroupSavedReplyCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Content of the saved reply. */
    content: Scalars['String']['input'];
    /** Group for the save reply. */
    groupId: Scalars['GroupID']['input'];
    /** Name of the saved reply. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of GroupSavedReplyCreate. */
export type GroupSavedReplyCreatePayload = {
    __typename?: 'GroupSavedReplyCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<GroupSavedReply>;
};
/** Autogenerated input type of GroupSavedReplyDestroy */
export type GroupSavedReplyDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the group-level saved reply. */
    id: Scalars['GroupsSavedReplyID']['input'];
};
/** Autogenerated return type of GroupSavedReplyDestroy. */
export type GroupSavedReplyDestroyPayload = {
    __typename?: 'GroupSavedReplyDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<GroupSavedReply>;
};
/** An edge in a connection. */
export type GroupSavedReplyEdge = {
    __typename?: 'GroupSavedReplyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<GroupSavedReply>;
};
/** Autogenerated input type of GroupSavedReplyUpdate */
export type GroupSavedReplyUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Content of the saved reply. */
    content: Scalars['String']['input'];
    /** Global ID of the group-level saved reply. */
    id: Scalars['GroupsSavedReplyID']['input'];
    /** Name of the saved reply. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of GroupSavedReplyUpdate. */
export type GroupSavedReplyUpdatePayload = {
    __typename?: 'GroupSavedReplyUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<GroupSavedReply>;
};
/** Represents the source of a security policy belonging to a group */
export type GroupSecurityPolicySource = {
    __typename?: 'GroupSecurityPolicySource';
    /** Indicates whether this policy is inherited from parent group. */
    inherited: Scalars['Boolean']['output'];
    /** Project the policy is associated with. */
    namespace?: Maybe<Namespace>;
};
/** Contains statistics about a group */
export type GroupStats = {
    __typename?: 'GroupStats';
    /** Statistics related to releases within the group. */
    releaseStats?: Maybe<GroupReleaseStats>;
};
/** Autogenerated input type of GroupUpdate */
export type GroupUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates whether GitLab Duo features are enabled for the group. Introduced in GitLab 16.10: **Status**: Experiment. */
    duoFeaturesEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Full path of the group that will be updated. */
    fullPath: Scalars['ID']['input'];
    /** Indicates if the GitLab Duo features enabled setting is enforced for all subgroups. Introduced in GitLab 16.10: **Status**: Experiment. */
    lockDuoFeaturesEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates if math rendering limits are locked for all descendant groups. */
    lockMathRenderingLimitsEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates if math rendering limits are used for this group. */
    mathRenderingLimitsEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Name of the namespace. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Path of the namespace. */
    path?: InputMaybe<Scalars['String']['input']>;
    /** Shared runners availability for the namespace and its descendants. */
    sharedRunnersSetting?: InputMaybe<SharedRunnersSetting>;
    /** Visibility of the namespace. */
    visibility?: InputMaybe<VisibilityLevelsEnum>;
};
/** Autogenerated return type of GroupUpdate. */
export type GroupUpdatePayload = {
    __typename?: 'GroupUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Group after update. */
    group?: Maybe<Group>;
};
/** Exposes aggregated value stream flow metrics */
export type GroupValueStreamAnalyticsFlowMetrics = {
    __typename?: 'GroupValueStreamAnalyticsFlowMetrics';
    /** Median time from first commit to issue closed */
    cycleTime?: Maybe<ValueStreamAnalyticsMetric>;
    /** Number of production deployments in the given period. */
    deploymentCount?: Maybe<ValueStreamAnalyticsMetric>;
    /** Number of issues opened in the given period. */
    issueCount?: Maybe<ValueStreamAnalyticsMetric>;
    /** Number of open issues closed (completed) in the given period. Maximum value is 10,001. */
    issuesCompletedCount?: Maybe<ValueStreamAnalyticsMetric>;
    /** Median time from when the issue was created to when it was closed. */
    leadTime?: Maybe<ValueStreamAnalyticsMetric>;
    /** Median time from merge request creation to merge request merged. */
    timeToMerge?: Maybe<ValueStreamAnalyticsMetric>;
};
/** Exposes aggregated value stream flow metrics */
export type GroupValueStreamAnalyticsFlowMetricsCycleTimeArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    projectIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type GroupValueStreamAnalyticsFlowMetricsDeploymentCountArgs = {
    from: Scalars['Time']['input'];
    projectIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    to: Scalars['Time']['input'];
};
/** Exposes aggregated value stream flow metrics */
export type GroupValueStreamAnalyticsFlowMetricsIssueCountArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    projectIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type GroupValueStreamAnalyticsFlowMetricsIssuesCompletedCountArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    projectIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type GroupValueStreamAnalyticsFlowMetricsLeadTimeArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    projectIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type GroupValueStreamAnalyticsFlowMetricsTimeToMergeArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    from: Scalars['Time']['input'];
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    to: Scalars['Time']['input'];
};
/** Represents the Geo sync and verification state of a group wiki repository */
export type GroupWikiRepositoryRegistry = {
    __typename?: 'GroupWikiRepositoryRegistry';
    /** Timestamp when the GroupWikiRepositoryRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Group Wiki Repository. */
    groupWikiRepositoryId: Scalars['ID']['output'];
    /** ID of the GroupWikiRepositoryRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the GroupWikiRepositoryRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the GroupWikiRepositoryRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the GroupWikiRepositoryRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the GroupWikiRepositoryRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the GroupWikiRepositoryRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the GroupWikiRepositoryRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the GroupWikiRepositoryRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the GroupWikiRepositoryRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the GroupWikiRepositoryRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of GroupWikiRepositoryRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the GroupWikiRepositoryRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the GroupWikiRepositoryRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for GroupWikiRepositoryRegistry. */
export type GroupWikiRepositoryRegistryConnection = {
    __typename?: 'GroupWikiRepositoryRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<GroupWikiRepositoryRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<GroupWikiRepositoryRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type GroupWikiRepositoryRegistryEdge = {
    __typename?: 'GroupWikiRepositoryRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<GroupWikiRepositoryRegistry>;
};
export type Groups = {
    __typename?: 'Groups';
    /** Commit responsible for specified group. */
    commit: Commit;
    /** HTML data derived from commit needed to present blame. */
    commitData?: Maybe<CommitData>;
    /** Starting line number for the commit group. */
    lineno: Scalars['Int']['output'];
    /** Array of lines added for the commit group. */
    lines: Array<Scalars['String']['output']>;
    /** Number of contiguous lines which the blame spans for the commit group. */
    span: Scalars['Int']['output'];
};
/** Health status of an issue or epic */
export declare enum HealthStatus {
    /** At risk */
    AtRisk = "atRisk",
    /** Needs attention */
    NeedsAttention = "needsAttention",
    /** On track */
    OnTrack = "onTrack"
}
/** Health status of an issue or epic for filtering */
export declare enum HealthStatusFilter {
    /** Any health status is assigned. */
    Any = "ANY",
    /** No health status is assigned. */
    None = "NONE",
    /** At risk */
    AtRisk = "atRisk",
    /** Needs attention */
    NeedsAttention = "needsAttention",
    /** On track */
    OnTrack = "onTrack"
}
/** Helm file metadata */
export type HelmFileMetadata = PackageFileMetadata & {
    __typename?: 'HelmFileMetadata';
    /** Channel of the Helm chart. */
    channel: Scalars['String']['output'];
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** Metadata of the Helm chart. */
    metadata: PackageHelmMetadataType;
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
};
/** Autogenerated input type of HttpIntegrationCreate */
export type HttpIntegrationCreateInput = {
    /** Whether the integration is receiving alerts. */
    active: Scalars['Boolean']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Name of the integration. */
    name: Scalars['String']['input'];
    /** Custom mapping of GitLab alert attributes to fields from the payload example. */
    payloadAttributeMappings?: InputMaybe<Array<AlertManagementPayloadAlertFieldInput>>;
    /** Example of an alert payload. */
    payloadExample?: InputMaybe<Scalars['JsonString']['input']>;
    /** Project to create the integration in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of HttpIntegrationCreate. */
export type HttpIntegrationCreatePayload = {
    __typename?: 'HttpIntegrationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** HTTP integration. */
    integration?: Maybe<AlertManagementHttpIntegration>;
};
/** Autogenerated input type of HttpIntegrationDestroy */
export type HttpIntegrationDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the integration to remove. */
    id: Scalars['AlertManagementHttpIntegrationID']['input'];
};
/** Autogenerated return type of HttpIntegrationDestroy. */
export type HttpIntegrationDestroyPayload = {
    __typename?: 'HttpIntegrationDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** HTTP integration. */
    integration?: Maybe<AlertManagementHttpIntegration>;
};
/** Autogenerated input type of HttpIntegrationResetToken */
export type HttpIntegrationResetTokenInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the integration to mutate. */
    id: Scalars['AlertManagementHttpIntegrationID']['input'];
};
/** Autogenerated return type of HttpIntegrationResetToken. */
export type HttpIntegrationResetTokenPayload = {
    __typename?: 'HttpIntegrationResetTokenPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** HTTP integration. */
    integration?: Maybe<AlertManagementHttpIntegration>;
};
/** Autogenerated input type of HttpIntegrationUpdate */
export type HttpIntegrationUpdateInput = {
    /** Whether the integration is receiving alerts. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the integration to mutate. */
    id: Scalars['AlertManagementHttpIntegrationID']['input'];
    /** Name of the integration. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Custom mapping of GitLab alert attributes to fields from the payload example. */
    payloadAttributeMappings?: InputMaybe<Array<AlertManagementPayloadAlertFieldInput>>;
    /** Example of an alert payload. */
    payloadExample?: InputMaybe<Scalars['JsonString']['input']>;
};
/** Autogenerated return type of HttpIntegrationUpdate. */
export type HttpIntegrationUpdatePayload = {
    __typename?: 'HttpIntegrationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** HTTP integration. */
    integration?: Maybe<AlertManagementHttpIntegration>;
};
/** IDE settings and feature flags. */
export type Ide = {
    __typename?: 'Ide';
    /** Indicates whether AI assisted code suggestions are enabled. */
    codeSuggestionsEnabled: Scalars['Boolean']['output'];
};
/** Import source */
export declare enum ImportSource {
    /** Bitbucket */
    Bitbucket = "BITBUCKET",
    /** Bitbucket Server */
    BitbucketServer = "BITBUCKET_SERVER",
    /** Custom Template */
    CustomTemplate = "CUSTOM_TEMPLATE",
    /** Fogbugz */
    Fogbugz = "FOGBUGZ",
    /** Git */
    Git = "GIT",
    /** Gitea */
    Gitea = "GITEA",
    /** Github */
    Github = "GITHUB",
    /** Gitlab Group */
    GitlabGroup = "GITLAB_GROUP",
    /** Gitlab Migration */
    GitlabMigration = "GITLAB_MIGRATION",
    /** Gitlab Project */
    GitlabProject = "GITLAB_PROJECT",
    /** Manifest */
    Manifest = "MANIFEST",
    /** Not imported */
    None = "NONE"
}
export type ImportSourceUser = {
    __typename?: 'ImportSourceUser';
    /** Global ID of the mapping of a user on source instance to a user on destination instance. */
    id: Scalars['ImportSourceUserID']['output'];
    /** Name of the importer. */
    importType: ImportSource;
    /** Placeholder user associated with the import source user. */
    placeholderUser?: Maybe<UserCore>;
    /** User that contributions are reassigned to. */
    reassignToUser?: Maybe<UserCore>;
    /** User that did the reassignment. */
    reassignedByUser?: Maybe<UserCore>;
    /** Source instance hostname. */
    sourceHostname: Scalars['String']['output'];
    /** Name of user in the source instance. */
    sourceName?: Maybe<Scalars['String']['output']>;
    /** ID of the user in the source instance. */
    sourceUserIdentifier: Scalars['String']['output'];
    /** Username of user in the source instance. */
    sourceUsername?: Maybe<Scalars['String']['output']>;
    /** Status of the mapping. */
    status: ImportSourceUserStatus;
};
/** Autogenerated input type of ImportSourceUserCancelReassignment */
export type ImportSourceUserCancelReassignmentInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the mapping of a user on source instance to a user on destination instance. */
    id: Scalars['ImportSourceUserID']['input'];
};
/** Autogenerated return type of ImportSourceUserCancelReassignment. */
export type ImportSourceUserCancelReassignmentPayload = {
    __typename?: 'ImportSourceUserCancelReassignmentPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mapping of a user on source instance to a user on destination instance after mutation. */
    importSourceUser?: Maybe<ImportSourceUser>;
};
/** The connection type for ImportSourceUser. */
export type ImportSourceUserConnection = {
    __typename?: 'ImportSourceUserConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ImportSourceUserEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ImportSourceUser>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ImportSourceUserEdge = {
    __typename?: 'ImportSourceUserEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ImportSourceUser>;
};
/** Autogenerated input type of ImportSourceUserKeepAsPlaceholder */
export type ImportSourceUserKeepAsPlaceholderInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the mapping of a user on source instance to a user on destination instance. */
    id: Scalars['ImportSourceUserID']['input'];
};
/** Autogenerated return type of ImportSourceUserKeepAsPlaceholder. */
export type ImportSourceUserKeepAsPlaceholderPayload = {
    __typename?: 'ImportSourceUserKeepAsPlaceholderPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mapping of a user on source instance to a user on destination instance after mutation. */
    importSourceUser?: Maybe<ImportSourceUser>;
};
/** Autogenerated input type of ImportSourceUserReassign */
export type ImportSourceUserReassignInput = {
    /** Global ID of the assignee user. */
    assigneeUserId: Scalars['UserID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the mapping of a user on source instance to a user on destination instance. */
    id: Scalars['ImportSourceUserID']['input'];
};
/** Autogenerated return type of ImportSourceUserReassign. */
export type ImportSourceUserReassignPayload = {
    __typename?: 'ImportSourceUserReassignPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mapping of a user on source instance to a user on destination instance after mutation. */
    importSourceUser?: Maybe<ImportSourceUser>;
};
/** Autogenerated input type of ImportSourceUserResendNotification */
export type ImportSourceUserResendNotificationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the mapping of a user on source instance to a user on destination instance. */
    id: Scalars['ImportSourceUserID']['input'];
};
/** Autogenerated return type of ImportSourceUserResendNotification. */
export type ImportSourceUserResendNotificationPayload = {
    __typename?: 'ImportSourceUserResendNotificationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mapping of a user on source instance to a user on destination instance after mutation. */
    importSourceUser?: Maybe<ImportSourceUser>;
};
export declare enum ImportSourceUserStatus {
    /** An import source user mapping that is awaiting approval. */
    AwaitingApproval = "AWAITING_APPROVAL",
    /** An import source user mapping that is completed. */
    Completed = "COMPLETED",
    /** An import source user mapping that is failed. */
    Failed = "FAILED",
    /** An import source user mapping that is keep as placeholder. */
    KeepAsPlaceholder = "KEEP_AS_PLACEHOLDER",
    /** An import source user mapping that is pending reassignment. */
    PendingReassignment = "PENDING_REASSIGNMENT",
    /** An import source user mapping that is reassignment in progress. */
    ReassignmentInProgress = "REASSIGNMENT_IN_PROGRESS",
    /** An import source user mapping that is rejected. */
    Rejected = "REJECTED"
}
/** Describes an incident management on-call rotation */
export type IncidentManagementOncallRotation = {
    __typename?: 'IncidentManagementOncallRotation';
    /** Active period for the on-call rotation. */
    activePeriod?: Maybe<OncallRotationActivePeriodType>;
    /** End date and time of the on-call rotation. */
    endsAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the on-call rotation. */
    id: Scalars['IncidentManagementOncallRotationID']['output'];
    /** Length of the on-call schedule, in the units specified by lengthUnit. */
    length?: Maybe<Scalars['Int']['output']>;
    /** Unit of the on-call rotation length. */
    lengthUnit?: Maybe<OncallRotationUnitEnum>;
    /** Name of the on-call rotation. */
    name: Scalars['String']['output'];
    /** Participants of the on-call rotation. */
    participants?: Maybe<OncallParticipantTypeConnection>;
    /** Blocks of time for which a participant is on-call within a given time frame. Time frame cannot exceed one month. */
    shifts?: Maybe<IncidentManagementOncallShiftConnection>;
    /** Start date of the on-call rotation. */
    startsAt?: Maybe<Scalars['Time']['output']>;
};
/** Describes an incident management on-call rotation */
export type IncidentManagementOncallRotationParticipantsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Describes an incident management on-call rotation */
export type IncidentManagementOncallRotationShiftsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endTime: Scalars['Time']['input'];
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    startTime: Scalars['Time']['input'];
};
/** The connection type for IncidentManagementOncallRotation. */
export type IncidentManagementOncallRotationConnection = {
    __typename?: 'IncidentManagementOncallRotationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IncidentManagementOncallRotationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<IncidentManagementOncallRotation>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type IncidentManagementOncallRotationEdge = {
    __typename?: 'IncidentManagementOncallRotationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<IncidentManagementOncallRotation>;
};
/** Describes an incident management on-call schedule */
export type IncidentManagementOncallSchedule = {
    __typename?: 'IncidentManagementOncallSchedule';
    /** Description of the on-call schedule. */
    description?: Maybe<Scalars['String']['output']>;
    /** Internal ID of the on-call schedule. */
    iid: Scalars['String']['output'];
    /** Name of the on-call schedule. */
    name: Scalars['String']['output'];
    oncallUsers?: Maybe<Array<UserCore>>;
    /** On-call rotation for the on-call schedule. */
    rotation?: Maybe<IncidentManagementOncallRotation>;
    /** On-call rotations for the on-call schedule. */
    rotations: IncidentManagementOncallRotationConnection;
    /** Time zone of the on-call schedule. */
    timezone: Scalars['String']['output'];
};
/** Describes an incident management on-call schedule */
export type IncidentManagementOncallScheduleRotationArgs = {
    id: Scalars['IncidentManagementOncallRotationID']['input'];
};
/** Describes an incident management on-call schedule */
export type IncidentManagementOncallScheduleRotationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for IncidentManagementOncallSchedule. */
export type IncidentManagementOncallScheduleConnection = {
    __typename?: 'IncidentManagementOncallScheduleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IncidentManagementOncallScheduleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<IncidentManagementOncallSchedule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type IncidentManagementOncallScheduleEdge = {
    __typename?: 'IncidentManagementOncallScheduleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<IncidentManagementOncallSchedule>;
};
/** A block of time for which a participant is on-call. */
export type IncidentManagementOncallShift = {
    __typename?: 'IncidentManagementOncallShift';
    /** End time of the on-call shift. */
    endsAt?: Maybe<Scalars['Time']['output']>;
    /** Participant assigned to the on-call shift. */
    participant?: Maybe<OncallParticipantType>;
    /** Start time of the on-call shift. */
    startsAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for IncidentManagementOncallShift. */
export type IncidentManagementOncallShiftConnection = {
    __typename?: 'IncidentManagementOncallShiftConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IncidentManagementOncallShiftEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<IncidentManagementOncallShift>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type IncidentManagementOncallShiftEdge = {
    __typename?: 'IncidentManagementOncallShiftEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<IncidentManagementOncallShift>;
};
/** CI/CD variables a project inherites from its parent group and ancestors. */
export type InheritedCiVariable = {
    __typename?: 'InheritedCiVariable';
    /** Description of the variable. */
    description?: Maybe<Scalars['String']['output']>;
    /** Scope defining the environments that can use the variable. */
    environmentScope?: Maybe<Scalars['String']['output']>;
    /** Indicates the path to the CI/CD settings of the group the variable belongs to. */
    groupCiCdSettingsPath?: Maybe<Scalars['String']['output']>;
    /** Indicates group the variable belongs to. */
    groupName?: Maybe<Scalars['String']['output']>;
    /** ID of the variable. */
    id: Scalars['ID']['output'];
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is masked. */
    masked?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is protected. */
    protected?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether the variable is raw. */
    raw?: Maybe<Scalars['Boolean']['output']>;
    /** Type of the variable. */
    variableType?: Maybe<CiVariableType>;
};
/** The connection type for InheritedCiVariable. */
export type InheritedCiVariableConnection = {
    __typename?: 'InheritedCiVariableConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<InheritedCiVariableEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<InheritedCiVariable>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type InheritedCiVariableEdge = {
    __typename?: 'InheritedCiVariableEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<InheritedCiVariable>;
};
/** Stores instance level Amazon S3 configurations for audit event streaming. */
export type InstanceAmazonS3ConfigurationType = AmazonS3ConfigurationInterface & {
    __typename?: 'InstanceAmazonS3ConfigurationType';
    /** Access key ID of the Amazon S3 account. */
    accessKeyXid: Scalars['String']['output'];
    /** AWS region where the bucket is created. */
    awsRegion: Scalars['String']['output'];
    /** Name of the bucket where the audit events would be logged. */
    bucketName: Scalars['String']['output'];
    /** ID of the configuration. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
};
/** The connection type for InstanceAmazonS3ConfigurationType. */
export type InstanceAmazonS3ConfigurationTypeConnection = {
    __typename?: 'InstanceAmazonS3ConfigurationTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<InstanceAmazonS3ConfigurationTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<InstanceAmazonS3ConfigurationType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type InstanceAmazonS3ConfigurationTypeEdge = {
    __typename?: 'InstanceAmazonS3ConfigurationTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<InstanceAmazonS3ConfigurationType>;
};
/** Represents a subgroup or project filter that belongs to an instance level external audit event streaming destination. */
export type InstanceAuditEventNamespaceFilter = {
    __typename?: 'InstanceAuditEventNamespaceFilter';
    /** Destination to which the filter belongs. */
    externalStreamingDestination: InstanceAuditEventStreamingDestination;
    /** ID of the filter. */
    id: Scalars['ID']['output'];
    /** Group or project namespace the filter belongs to. */
    namespace: Namespace;
};
/** Represents an external destination to stream instance level audit events. */
export type InstanceAuditEventStreamingDestination = AuditEventStreamingDestinationInterface & {
    __typename?: 'InstanceAuditEventStreamingDestination';
    /** Category of the external destination to send audit events to. */
    category: Scalars['String']['output'];
    /** Config of the external destination. */
    config: Scalars['JSON']['output'];
    /** List of event type filters added for streaming. */
    eventTypeFilters: Array<Scalars['String']['output']>;
    /** ID of the destination. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
    /** List of subgroup or project filters for the destination. */
    namespaceFilters?: Maybe<Array<InstanceAuditEventNamespaceFilter>>;
};
/** The connection type for InstanceAuditEventStreamingDestination. */
export type InstanceAuditEventStreamingDestinationConnection = {
    __typename?: 'InstanceAuditEventStreamingDestinationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<InstanceAuditEventStreamingDestinationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<InstanceAuditEventStreamingDestination>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type InstanceAuditEventStreamingDestinationEdge = {
    __typename?: 'InstanceAuditEventStreamingDestinationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<InstanceAuditEventStreamingDestination>;
};
/** Autogenerated input type of InstanceAuditEventStreamingDestinationsCreate */
export type InstanceAuditEventStreamingDestinationsCreateInput = {
    /** Destination category. */
    category: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination config. */
    config: Scalars['JSON']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret token. */
    secretToken: Scalars['String']['input'];
};
/** Autogenerated return type of InstanceAuditEventStreamingDestinationsCreate. */
export type InstanceAuditEventStreamingDestinationsCreatePayload = {
    __typename?: 'InstanceAuditEventStreamingDestinationsCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Destination created. */
    externalAuditEventDestination?: Maybe<InstanceAuditEventStreamingDestination>;
};
/** Autogenerated input type of InstanceAuditEventStreamingDestinationsDelete */
export type InstanceAuditEventStreamingDestinationsDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the audit events external streaming destination to delete. */
    id: Scalars['AuditEventsInstanceExternalStreamingDestinationID']['input'];
};
/** Autogenerated return type of InstanceAuditEventStreamingDestinationsDelete. */
export type InstanceAuditEventStreamingDestinationsDeletePayload = {
    __typename?: 'InstanceAuditEventStreamingDestinationsDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of InstanceAuditEventStreamingDestinationsUpdate */
export type InstanceAuditEventStreamingDestinationsUpdateInput = {
    /** Destination category. */
    category?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination config. */
    config?: InputMaybe<Scalars['JSON']['input']>;
    /** ID of external audit event destination to update. */
    id: Scalars['AuditEventsInstanceExternalStreamingDestinationID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Secret token. */
    secretToken?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of InstanceAuditEventStreamingDestinationsUpdate. */
export type InstanceAuditEventStreamingDestinationsUpdatePayload = {
    __typename?: 'InstanceAuditEventStreamingDestinationsUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated destination. */
    externalAuditEventDestination?: Maybe<InstanceAuditEventStreamingDestination>;
};
/** Represents an external resource to send instance audit events to */
export type InstanceExternalAuditEventDestination = ExternalAuditEventDestinationInterface & {
    __typename?: 'InstanceExternalAuditEventDestination';
    /** External destination to send audit events to. */
    destinationUrl: Scalars['String']['output'];
    /** List of event type filters added for streaming. */
    eventTypeFilters: Array<Scalars['String']['output']>;
    /** List of additional HTTP headers sent with each event. */
    headers: AuditEventsStreamingInstanceHeaderConnection;
    /** ID of the destination. */
    id: Scalars['ID']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
    /** Verification token to validate source of event. */
    verificationToken: Scalars['String']['output'];
};
/** Represents an external resource to send instance audit events to */
export type InstanceExternalAuditEventDestinationHeadersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for InstanceExternalAuditEventDestination. */
export type InstanceExternalAuditEventDestinationConnection = {
    __typename?: 'InstanceExternalAuditEventDestinationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<InstanceExternalAuditEventDestinationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<InstanceExternalAuditEventDestination>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of InstanceExternalAuditEventDestinationCreate */
export type InstanceExternalAuditEventDestinationCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination URL. */
    destinationUrl: Scalars['String']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of InstanceExternalAuditEventDestinationCreate. */
export type InstanceExternalAuditEventDestinationCreatePayload = {
    __typename?: 'InstanceExternalAuditEventDestinationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Destination created. */
    instanceExternalAuditEventDestination?: Maybe<InstanceExternalAuditEventDestination>;
};
/** Autogenerated input type of InstanceExternalAuditEventDestinationDestroy */
export type InstanceExternalAuditEventDestinationDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the external instance audit event destination to destroy. */
    id: Scalars['AuditEventsInstanceExternalAuditEventDestinationID']['input'];
};
/** Autogenerated return type of InstanceExternalAuditEventDestinationDestroy. */
export type InstanceExternalAuditEventDestinationDestroyPayload = {
    __typename?: 'InstanceExternalAuditEventDestinationDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type InstanceExternalAuditEventDestinationEdge = {
    __typename?: 'InstanceExternalAuditEventDestinationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<InstanceExternalAuditEventDestination>;
};
/** Autogenerated input type of InstanceExternalAuditEventDestinationUpdate */
export type InstanceExternalAuditEventDestinationUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Destination URL to change. */
    destinationUrl?: InputMaybe<Scalars['String']['input']>;
    /** ID of the external instance audit event destination to update. */
    id: Scalars['AuditEventsInstanceExternalAuditEventDestinationID']['input'];
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of InstanceExternalAuditEventDestinationUpdate. */
export type InstanceExternalAuditEventDestinationUpdatePayload = {
    __typename?: 'InstanceExternalAuditEventDestinationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated destination. */
    instanceExternalAuditEventDestination?: Maybe<InstanceExternalAuditEventDestination>;
};
/** Autogenerated input type of InstanceGoogleCloudLoggingConfigurationCreate */
export type InstanceGoogleCloudLoggingConfigurationCreateInput = {
    /** Email address associated with the service account that will be used to authenticate and interact with the Google Cloud Logging service. This is part of the IAM credentials. */
    clientEmail: Scalars['String']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Unique identifier of the Google Cloud project to which the logging configuration belongs. */
    googleProjectIdName: Scalars['String']['input'];
    /** Unique identifier used to distinguish and manage different logs within the same Google Cloud project.(defaults to `audit_events`). */
    logIdName?: InputMaybe<Scalars['String']['input']>;
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Private Key associated with the service account. This key is used to authenticate the service account and authorize it to interact with the Google Cloud Logging service. */
    privateKey: Scalars['String']['input'];
};
/** Autogenerated return type of InstanceGoogleCloudLoggingConfigurationCreate. */
export type InstanceGoogleCloudLoggingConfigurationCreatePayload = {
    __typename?: 'InstanceGoogleCloudLoggingConfigurationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** configuration created. */
    instanceGoogleCloudLoggingConfiguration?: Maybe<InstanceGoogleCloudLoggingConfigurationType>;
};
/** Autogenerated input type of InstanceGoogleCloudLoggingConfigurationDestroy */
export type InstanceGoogleCloudLoggingConfigurationDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Google Cloud logging configuration to destroy. */
    id: Scalars['AuditEventsInstanceGoogleCloudLoggingConfigurationID']['input'];
};
/** Autogenerated return type of InstanceGoogleCloudLoggingConfigurationDestroy. */
export type InstanceGoogleCloudLoggingConfigurationDestroyPayload = {
    __typename?: 'InstanceGoogleCloudLoggingConfigurationDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Stores instance level Google Cloud Logging configurations associated with IAM service accounts,used for generating access tokens. */
export type InstanceGoogleCloudLoggingConfigurationType = GoogleCloudLoggingConfigurationInterface & {
    __typename?: 'InstanceGoogleCloudLoggingConfigurationType';
    /** Client email. */
    clientEmail: Scalars['String']['output'];
    /** Google project ID. */
    googleProjectIdName: Scalars['String']['output'];
    /** ID of the configuration. */
    id: Scalars['ID']['output'];
    /** Log ID. */
    logIdName: Scalars['String']['output'];
    /** Name of the external destination to send audit events to. */
    name: Scalars['String']['output'];
};
/** The connection type for InstanceGoogleCloudLoggingConfigurationType. */
export type InstanceGoogleCloudLoggingConfigurationTypeConnection = {
    __typename?: 'InstanceGoogleCloudLoggingConfigurationTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<InstanceGoogleCloudLoggingConfigurationTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<InstanceGoogleCloudLoggingConfigurationType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type InstanceGoogleCloudLoggingConfigurationTypeEdge = {
    __typename?: 'InstanceGoogleCloudLoggingConfigurationTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<InstanceGoogleCloudLoggingConfigurationType>;
};
/** Autogenerated input type of InstanceGoogleCloudLoggingConfigurationUpdate */
export type InstanceGoogleCloudLoggingConfigurationUpdateInput = {
    /** Email address associated with the service account that will be used to authenticate and interact with the Google Cloud Logging service. This is part of the IAM credentials. */
    clientEmail?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Unique identifier of the Google Cloud project to which the logging configuration belongs. */
    googleProjectIdName?: InputMaybe<Scalars['String']['input']>;
    /** ID of the instance google Cloud configuration to update. */
    id: Scalars['AuditEventsInstanceGoogleCloudLoggingConfigurationID']['input'];
    /** Unique identifier used to distinguish and manage different logs within the same Google Cloud project. */
    logIdName?: InputMaybe<Scalars['String']['input']>;
    /** Destination name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Private Key associated with the service account. This key is used to authenticate the service account and authorize it to interact with the Google Cloud Logging service. */
    privateKey?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of InstanceGoogleCloudLoggingConfigurationUpdate. */
export type InstanceGoogleCloudLoggingConfigurationUpdatePayload = {
    __typename?: 'InstanceGoogleCloudLoggingConfigurationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** configuration updated. */
    instanceGoogleCloudLoggingConfiguration?: Maybe<InstanceGoogleCloudLoggingConfigurationType>;
};
export type InstanceSecurityDashboard = {
    __typename?: 'InstanceSecurityDashboard';
    /** Cluster agents associated with projects selected in the Instance Security Dashboard. */
    clusterAgents?: Maybe<ClusterAgentConnection>;
    /** Projects selected in Instance Security Dashboard. */
    projects: ProjectConnection;
    /** Represents vulnerable project counts for each grade. */
    vulnerabilityGrades: Array<VulnerableProjectsByGrade>;
    /** Vulnerability scanners reported on the vulnerabilities from projects selected in Instance Security Dashboard. */
    vulnerabilityScanners?: Maybe<VulnerabilityScannerConnection>;
    /** Counts for each vulnerability severity from projects selected in Instance Security Dashboard. */
    vulnerabilitySeveritiesCount?: Maybe<VulnerabilitySeveritiesCount>;
};
export type InstanceSecurityDashboardClusterAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasRemoteDevelopmentAgentConfig?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemoteDevelopmentEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    hasVulnerabilities?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type InstanceSecurityDashboardProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type InstanceSecurityDashboardVulnerabilityGradesArgs = {
    letterGrade?: InputMaybe<VulnerabilityGrade>;
};
export type InstanceSecurityDashboardVulnerabilityScannersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type InstanceSecurityDashboardVulnerabilitySeveritiesCountArgs = {
    capped?: InputMaybe<Scalars['Boolean']['input']>;
    clusterAgentId?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    dismissalReason?: InputMaybe<Array<VulnerabilityDismissalReason>>;
    hasIssues?: InputMaybe<Scalars['Boolean']['input']>;
    hasMergeRequest?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemediations?: InputMaybe<Scalars['Boolean']['input']>;
    hasResolution?: InputMaybe<Scalars['Boolean']['input']>;
    image?: InputMaybe<Array<Scalars['String']['input']>>;
    owaspTopTen?: InputMaybe<Array<VulnerabilityOwaspTop10>>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    reportType?: InputMaybe<Array<VulnerabilityReportType>>;
    scanner?: InputMaybe<Array<Scalars['String']['input']>>;
    scannerId?: InputMaybe<Array<Scalars['VulnerabilitiesScannerID']['input']>>;
    severity?: InputMaybe<Array<VulnerabilitySeverity>>;
    state?: InputMaybe<Array<VulnerabilityState>>;
};
/** An integration to override the level settings of instance specific integrations. */
export type IntegrationExclusion = {
    __typename?: 'IntegrationExclusion';
    /** Group that has been excluded from the instance specific integration. */
    group?: Maybe<Group>;
    /** Project that has been excluded from the instance specific integration. */
    project?: Maybe<Project>;
};
/** The connection type for IntegrationExclusion. */
export type IntegrationExclusionConnection = {
    __typename?: 'IntegrationExclusionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IntegrationExclusionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<IntegrationExclusion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of IntegrationExclusionCreate */
export type IntegrationExclusionCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IDs of groups to exclude up to a maximum of 100. */
    groupIds?: InputMaybe<Array<Scalars['GroupID']['input']>>;
    /** Type of integration to exclude. */
    integrationName: IntegrationType;
    /** IDs of projects to exclude up to a maximum of 100. */
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** Autogenerated return type of IntegrationExclusionCreate. */
export type IntegrationExclusionCreatePayload = {
    __typename?: 'IntegrationExclusionCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Integration exclusions created by the mutation. */
    exclusions?: Maybe<Array<IntegrationExclusion>>;
};
/** Autogenerated input type of IntegrationExclusionDelete */
export type IntegrationExclusionDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IDs of excluded groups. */
    groupIds?: InputMaybe<Array<Scalars['GroupID']['input']>>;
    /** Type of integration. */
    integrationName: IntegrationType;
    /** IDs of excluded projects. */
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** Autogenerated return type of IntegrationExclusionDelete. */
export type IntegrationExclusionDeletePayload = {
    __typename?: 'IntegrationExclusionDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project no longer excluded due to the mutation. */
    exclusions?: Maybe<Array<IntegrationExclusion>>;
};
/** An edge in a connection. */
export type IntegrationExclusionEdge = {
    __typename?: 'IntegrationExclusionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<IntegrationExclusion>;
};
/** Integration Names */
export declare enum IntegrationType {
    /** Beyond Identity. */
    BeyondIdentity = "BEYOND_IDENTITY"
}
/** Represents an issuable. */
export type Issuable = Epic | Issue | MergeRequest | WorkItem;
/** Describes an issuable resource link for incident issues */
export type IssuableResourceLink = {
    __typename?: 'IssuableResourceLink';
    /** ID of the Issuable resource link. */
    id: Scalars['IncidentManagementIssuableResourceLinkID']['output'];
    /** Incident of the resource link. */
    issue: Issue;
    /** Web Link to the resource. */
    link: Scalars['String']['output'];
    /** Optional text for the link. */
    linkText?: Maybe<Scalars['String']['output']>;
    /** Type of the resource link. */
    linkType: IssuableResourceLinkType;
};
/** The connection type for IssuableResourceLink. */
export type IssuableResourceLinkConnection = {
    __typename?: 'IssuableResourceLinkConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IssuableResourceLinkEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<IssuableResourceLink>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of IssuableResourceLinkCreate */
export type IssuableResourceLinkCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Incident id to associate the resource link with. */
    id: Scalars['IssueID']['input'];
    /** Link of the resource. */
    link: Scalars['String']['input'];
    /** Link text of the resource. */
    linkText?: InputMaybe<Scalars['String']['input']>;
    /** Link type of the resource. */
    linkType?: InputMaybe<IssuableResourceLinkType>;
};
/** Autogenerated return type of IssuableResourceLinkCreate. */
export type IssuableResourceLinkCreatePayload = {
    __typename?: 'IssuableResourceLinkCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issuable resource link. */
    issuableResourceLink?: Maybe<IssuableResourceLink>;
};
/** Autogenerated input type of IssuableResourceLinkDestroy */
export type IssuableResourceLinkDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Issuable resource link ID to remove. */
    id: Scalars['IncidentManagementIssuableResourceLinkID']['input'];
};
/** Autogenerated return type of IssuableResourceLinkDestroy. */
export type IssuableResourceLinkDestroyPayload = {
    __typename?: 'IssuableResourceLinkDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issuable resource link. */
    issuableResourceLink?: Maybe<IssuableResourceLink>;
};
/** An edge in a connection. */
export type IssuableResourceLinkEdge = {
    __typename?: 'IssuableResourceLinkEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<IssuableResourceLink>;
};
/** Issuable resource link type enum */
export declare enum IssuableResourceLinkType {
    /** General link type */
    General = "general",
    /** Pagerduty link type */
    Pagerduty = "pagerduty",
    /** Slack link type */
    Slack = "slack",
    /** Zoom link type */
    Zoom = "zoom"
}
/** Fields to perform the search in */
export declare enum IssuableSearchableField {
    /** Search in description field. */
    Description = "DESCRIPTION",
    /** Search in title field. */
    Title = "TITLE"
}
/** Incident severity */
export declare enum IssuableSeverity {
    /** Critical severity */
    Critical = "CRITICAL",
    /** High severity */
    High = "HIGH",
    /** Low severity */
    Low = "LOW",
    /** Medium severity */
    Medium = "MEDIUM",
    /** Unknown severity */
    Unknown = "UNKNOWN"
}
/** State of a GitLab issue or merge request */
export declare enum IssuableState {
    /** All available. */
    All = "all",
    /** In closed state. */
    Closed = "closed",
    /** Discussion has been locked. */
    Locked = "locked",
    /** In open state. */
    Opened = "opened"
}
/** Values for subscribing and unsubscribing from issuables */
export declare enum IssuableSubscriptionEvent {
    /** Subscribe to an issuable. */
    Subscribe = "SUBSCRIBE",
    /** Unsubscribe from an issuable. */
    Unsubscribe = "UNSUBSCRIBE"
}
export type Issue = CurrentUserTodos & NoteableInterface & Todoable & {
    __typename?: 'Issue';
    /**
     * Alert associated to this issue. Deprecated in GitLab 15.6: Use `alert_management_alerts`.
     * @deprecated Use `alert_management_alerts`. Deprecated in GitLab 15.6.
     */
    alertManagementAlert?: Maybe<AlertManagementAlert>;
    /** Alert Management alerts associated to this issue. */
    alertManagementAlerts?: Maybe<AlertManagementAlertConnection>;
    /** Assignees of the issue. */
    assignees?: Maybe<UserCoreConnection>;
    /** User that created the issue. */
    author: UserCore;
    /** Indicates the issue is blocked. */
    blocked: Scalars['Boolean']['output'];
    /** Count of issues blocking this issue. */
    blockedByCount?: Maybe<Scalars['Int']['output']>;
    /** Issues blocking this issue. */
    blockedByIssues?: Maybe<IssueConnection>;
    /** Count of issues this issue is blocking. */
    blockingCount: Scalars['Int']['output'];
    /** Issue this issue was closed as a duplicate of. */
    closedAsDuplicateOf?: Maybe<Issue>;
    /** Timestamp of when the issue was closed. */
    closedAt?: Maybe<Scalars['Time']['output']>;
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Indicates the issue is confidential. */
    confidential: Scalars['Boolean']['output'];
    /** User specific email address for the issue. */
    createNoteEmail?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the issue was created. */
    createdAt: Scalars['Time']['output'];
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
    /** Customer relations contacts of the issue. */
    customerRelationsContacts?: Maybe<CustomerRelationsContactConnection>;
    /** Description of the issue. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Collection of design images associated with this issue. */
    designCollection?: Maybe<DesignCollection>;
    /** Indicates discussion is locked on the issue. */
    discussionLocked: Scalars['Boolean']['output'];
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Number of downvotes the issue has received. */
    downvotes: Scalars['Int']['output'];
    /** Due date of the issue. */
    dueDate?: Maybe<Scalars['Time']['output']>;
    /**
     * Indicates if the parent project or group has email notifications disabled: `true` if email notifications are disabled. Deprecated in GitLab 16.3: Use `emails_enabled`.
     * @deprecated Use `emails_enabled`. Deprecated in GitLab 16.3.
     */
    emailsDisabled: Scalars['Boolean']['output'];
    /** Indicates if the parent project or group has email notifications disabled: `false` if email notifications are disabled. */
    emailsEnabled: Scalars['Boolean']['output'];
    /** Epic to which this issue belongs. */
    epic?: Maybe<Epic>;
    /** Escalation policy associated with the issue. Available for issues which support escalation. */
    escalationPolicy?: Maybe<EscalationPolicyType>;
    /** Escalation status of the issue. */
    escalationStatus?: Maybe<IssueEscalationStatus>;
    /** Email address of non-GitLab user reporting the issue. For guests, the email address is obfuscated. */
    externalAuthor?: Maybe<Scalars['String']['output']>;
    /**
     * Indicates if the issue belongs to an epic.
     *             Can return true and not show an associated epic when the user has no access to the epic.
     */
    hasEpic: Scalars['Boolean']['output'];
    /**
     * Indicates if the issue has a parent work item. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    hasParent: Scalars['Boolean']['output'];
    /** Current health status. */
    healthStatus?: Maybe<HealthStatus>;
    /** Indicates the issue is hidden because the author has been banned. */
    hidden?: Maybe<Scalars['Boolean']['output']>;
    /** Human-readable time estimate of the issue. */
    humanTimeEstimate?: Maybe<Scalars['String']['output']>;
    /** Human-readable total time reported as spent on the issue. */
    humanTotalTimeSpent?: Maybe<Scalars['String']['output']>;
    /** ID of the issue. */
    id: Scalars['ID']['output'];
    /** Internal ID of the issue. */
    iid: Scalars['String']['output'];
    /** Issuable resource links of the incident issue. */
    issuableResourceLinks?: Maybe<IssuableResourceLinkConnection>;
    /** Iteration of the issue. */
    iteration?: Maybe<Iteration>;
    /** Labels of the issue. */
    labels?: Maybe<LabelConnection>;
    /** Number of merge requests that close the issue on merge. */
    mergeRequestsCount: Scalars['Int']['output'];
    /** Metric images associated to the issue. */
    metricImages?: Maybe<Array<MetricImage>>;
    /** Milestone of the issue. */
    milestone?: Maybe<Milestone>;
    /** Indicates if issue got moved from other project. */
    moved?: Maybe<Scalars['Boolean']['output']>;
    /** Updated Issue after it got moved to another project. */
    movedTo?: Maybe<Issue>;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** List of participants in the issue. */
    participants?: Maybe<UserCoreConnection>;
    /** ID of the issue project. */
    projectId?: Maybe<Scalars['Int']['output']>;
    /** Internal reference of the issue. Returned in shortened format by default. */
    reference: Scalars['String']['output'];
    /** Merge requests related to the issue. This field can only be resolved for one issue in any single request. */
    relatedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Related vulnerabilities of the issue. */
    relatedVulnerabilities?: Maybe<VulnerabilityConnection>;
    /** Relative position of the issue (used for positioning in epic tree and issue boards). */
    relativePosition?: Maybe<Scalars['Int']['output']>;
    /** Severity level of the incident. */
    severity?: Maybe<IssuableSeverity>;
    /** Timestamp of when the issue SLA expires. */
    slaDueAt?: Maybe<Scalars['Time']['output']>;
    /** State of the issue. */
    state: IssueState;
    /** Indicates whether an issue is published to the status page. */
    statusPagePublishedIncident?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates the currently logged in user is subscribed to the issue. */
    subscribed: Scalars['Boolean']['output'];
    /** Task completion status of the issue. */
    taskCompletionStatus: TaskCompletionStatus;
    /** Time estimate of the issue. */
    timeEstimate: Scalars['Int']['output'];
    /** Timelogs on the issue. */
    timelogs: TimelogConnection;
    /** Title of the issue. */
    title: Scalars['String']['output'];
    /** GitLab Flavored Markdown rendering of `title` */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Total time (in seconds) reported as spent on the issue. */
    totalTimeSpent: Scalars['Int']['output'];
    /** Type of the issue. */
    type?: Maybe<IssueType>;
    /** Timestamp of when the issue was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** User that last updated the issue. */
    updatedBy?: Maybe<UserCore>;
    /** Number of upvotes the issue has received. */
    upvotes: Scalars['Int']['output'];
    /** Number of user discussions in the issue. */
    userDiscussionsCount: Scalars['Int']['output'];
    /** Number of user notes of the issue. */
    userNotesCount: Scalars['Int']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: IssuePermissions;
    /** Web path of the issue. */
    webPath: Scalars['String']['output'];
    /** Web URL of the issue. */
    webUrl: Scalars['String']['output'];
    /** Weight of the issue. */
    weight?: Maybe<Scalars['Int']['output']>;
};
export type IssueAlertManagementAlertsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    domain?: AlertManagementDomainFilter;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<AlertManagementAlertSort>;
    statuses?: InputMaybe<Array<AlertManagementStatus>>;
};
export type IssueAssigneesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueBlockedByIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
export type IssueCustomerRelationsContactsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueIssuableResourceLinksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    incidentId: Scalars['IssueID']['input'];
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueParticipantsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueReferenceArgs = {
    full?: InputMaybe<Scalars['Boolean']['input']>;
};
export type IssueRelatedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueRelatedVulnerabilitiesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type IssueTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for Issue. */
export type IssueConnection = {
    __typename?: 'IssueConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IssueEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Issue>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
    /** Total weight of issues collection. */
    weight: Scalars['Int']['output'];
};
/** Iteration ID wildcard values for issue creation */
export declare enum IssueCreationIterationWildcardId {
    /** Current iteration. */
    Current = "CURRENT"
}
/** An edge in a connection. */
export type IssueEdge = {
    __typename?: 'IssueEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Issue>;
};
/** Issue escalation status values */
export declare enum IssueEscalationStatus {
    /** Someone is actively investigating the problem. */
    Acknowledged = "ACKNOWLEDGED",
    /** No action will be taken. */
    Ignored = "IGNORED",
    /** The problem has been addressed. */
    Resolved = "RESOLVED",
    /** Investigation has not started. */
    Triggered = "TRIGGERED"
}
/** Autogenerated input type of IssueLinkAlerts */
export type IssueLinkAlertsInput = {
    /** Alerts references to be linked to the incident. */
    alertReferences: Array<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueLinkAlerts. */
export type IssueLinkAlertsPayload = {
    __typename?: 'IssueLinkAlertsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueMove */
export type IssueMoveInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Project to move the issue to. */
    targetProjectPath: Scalars['ID']['input'];
};
/** Autogenerated input type of IssueMoveList */
export type IssueMoveListInput = {
    /** Global ID of the board that the issue is in. */
    boardId: Scalars['BoardID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the parent epic. NULL when removing the association. */
    epicId?: InputMaybe<Scalars['EpicID']['input']>;
    /** ID of the board list that the issue will be moved from. */
    fromListId?: InputMaybe<Scalars['ID']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** ID of issue that should be placed after the current issue. */
    moveAfterId?: InputMaybe<Scalars['ID']['input']>;
    /** ID of issue that should be placed before the current issue. */
    moveBeforeId?: InputMaybe<Scalars['ID']['input']>;
    /** Position of issue within the board list. Positions start at 0. Use -1 to move to the end of the list. */
    positionInList?: InputMaybe<Scalars['Int']['input']>;
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** ID of the board list that the issue will be moved to. */
    toListId?: InputMaybe<Scalars['ID']['input']>;
};
/** Autogenerated return type of IssueMoveList. */
export type IssueMoveListPayload = {
    __typename?: 'IssueMoveListPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated return type of IssueMove. */
export type IssueMovePayload = {
    __typename?: 'IssueMovePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Check permissions for the current user on a issue */
export type IssuePermissions = {
    __typename?: 'IssuePermissions';
    /** If `true`, the user can perform `admin_issue` on this resource */
    adminIssue: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_issue_relation` on this resource */
    adminIssueRelation: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_design` on this resource */
    createDesign: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_note` on this resource */
    createNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_design` on this resource */
    destroyDesign: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_design` on this resource */
    readDesign: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_issue` on this resource */
    readIssue: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `reopen_issue` on this resource */
    reopenIssue: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_design` on this resource */
    updateDesign: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_issue` on this resource */
    updateIssue: Scalars['Boolean']['output'];
};
/** Autogenerated input type of IssueSetAssignees */
export type IssueSetAssigneesInput = {
    /** Usernames to assign to the resource. Replaces existing assignees by default. */
    assigneeUsernames: Array<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Operation to perform. Defaults to REPLACE. */
    operationMode?: InputMaybe<MutationOperationMode>;
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetAssignees. */
export type IssueSetAssigneesPayload = {
    __typename?: 'IssueSetAssigneesPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetConfidential */
export type IssueSetConfidentialInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Whether or not to set the issue as a confidential. */
    confidential: Scalars['Boolean']['input'];
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetConfidential. */
export type IssueSetConfidentialPayload = {
    __typename?: 'IssueSetConfidentialPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetCrmContacts */
export type IssueSetCrmContactsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Customer relations contact IDs to set. Replaces existing contacts by default. */
    contactIds: Array<Scalars['CustomerRelationsContactID']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Changes the operation mode. Defaults to REPLACE. */
    operationMode?: InputMaybe<MutationOperationMode>;
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetCrmContacts. */
export type IssueSetCrmContactsPayload = {
    __typename?: 'IssueSetCrmContactsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetDueDate */
export type IssueSetDueDateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Desired due date for the issue. Due date is removed if null. */
    dueDate?: InputMaybe<Scalars['Time']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetDueDate. */
export type IssueSetDueDatePayload = {
    __typename?: 'IssueSetDueDatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetEpic */
export type IssueSetEpicInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the epic to be assigned to the issue, epic will be removed if absent or set to null */
    epicId?: InputMaybe<Scalars['EpicID']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetEpic. */
export type IssueSetEpicPayload = {
    __typename?: 'IssueSetEpicPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetEscalationPolicy */
export type IssueSetEscalationPolicyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the escalation policy to assign to the issue. Policy will be removed if absent or set to null. */
    escalationPolicyId?: InputMaybe<Scalars['IncidentManagementEscalationPolicyID']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetEscalationPolicy. */
export type IssueSetEscalationPolicyPayload = {
    __typename?: 'IssueSetEscalationPolicyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetEscalationStatus */
export type IssueSetEscalationStatusInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Set the escalation status. */
    status: IssueEscalationStatus;
};
/** Autogenerated return type of IssueSetEscalationStatus. */
export type IssueSetEscalationStatusPayload = {
    __typename?: 'IssueSetEscalationStatusPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetIteration */
export type IssueSetIterationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /**
     * Iteration to assign to the issue.
     *
     */
    iterationId?: InputMaybe<Scalars['IterationID']['input']>;
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetIteration. */
export type IssueSetIterationPayload = {
    __typename?: 'IssueSetIterationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetLocked */
export type IssueSetLockedInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Whether or not to lock discussion on the issue. */
    locked: Scalars['Boolean']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueSetLocked. */
export type IssueSetLockedPayload = {
    __typename?: 'IssueSetLockedPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetSeverity */
export type IssueSetSeverityInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Set the incident severity level. */
    severity: IssuableSeverity;
};
/** Autogenerated return type of IssueSetSeverity. */
export type IssueSetSeverityPayload = {
    __typename?: 'IssueSetSeverityPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetSubscription */
export type IssueSetSubscriptionInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Desired state of the subscription. */
    subscribedState: Scalars['Boolean']['input'];
};
/** Autogenerated return type of IssueSetSubscription. */
export type IssueSetSubscriptionPayload = {
    __typename?: 'IssueSetSubscriptionPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssueSetWeight */
export type IssueSetWeightInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** The desired weight for the issue. If set to null, weight is removed. */
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of IssueSetWeight. */
export type IssueSetWeightPayload = {
    __typename?: 'IssueSetWeightPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Values for sorting issues */
export declare enum IssueSort {
    /** Blocking issues count by ascending order. */
    BlockingIssuesAsc = "BLOCKING_ISSUES_ASC",
    /** Blocking issues count by descending order. */
    BlockingIssuesDesc = "BLOCKING_ISSUES_DESC",
    /** Closed time by ascending order. */
    ClosedAtAsc = "CLOSED_AT_ASC",
    /** Closed time by descending order. */
    ClosedAtDesc = "CLOSED_AT_DESC",
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Due date by ascending order. */
    DueDateAsc = "DUE_DATE_ASC",
    /** Due date by descending order. */
    DueDateDesc = "DUE_DATE_DESC",
    /** Status from triggered to resolved. */
    EscalationStatusAsc = "ESCALATION_STATUS_ASC",
    /** Status from resolved to triggered. */
    EscalationStatusDesc = "ESCALATION_STATUS_DESC",
    /** Issues with healthy issues first. */
    HealthStatusAsc = "HEALTH_STATUS_ASC",
    /** Issues with unhealthy issues first. */
    HealthStatusDesc = "HEALTH_STATUS_DESC",
    /** Label priority by ascending order. */
    LabelPriorityAsc = "LABEL_PRIORITY_ASC",
    /** Label priority by descending order. */
    LabelPriorityDesc = "LABEL_PRIORITY_DESC",
    /** Milestone due date by ascending order. */
    MilestoneDueAsc = "MILESTONE_DUE_ASC",
    /** Milestone due date by descending order. */
    MilestoneDueDesc = "MILESTONE_DUE_DESC",
    /** Number of upvotes (awarded "thumbs up" emoji) by ascending order. */
    PopularityAsc = "POPULARITY_ASC",
    /** Number of upvotes (awarded "thumbs up" emoji) by descending order. */
    PopularityDesc = "POPULARITY_DESC",
    /** Priority by ascending order. */
    PriorityAsc = "PRIORITY_ASC",
    /** Priority by descending order. */
    PriorityDesc = "PRIORITY_DESC",
    /** Published issues shown last. */
    PublishedAsc = "PUBLISHED_ASC",
    /** Published issues shown first. */
    PublishedDesc = "PUBLISHED_DESC",
    /** Relative position by ascending order. */
    RelativePositionAsc = "RELATIVE_POSITION_ASC",
    /** Severity from less critical to more critical. */
    SeverityAsc = "SEVERITY_ASC",
    /** Severity from more critical to less critical. */
    SeverityDesc = "SEVERITY_DESC",
    /** Issues with earliest SLA due time shown first. */
    SlaDueAtAsc = "SLA_DUE_AT_ASC",
    /** Issues with latest SLA due time shown first. */
    SlaDueAtDesc = "SLA_DUE_AT_DESC",
    /** Title by ascending order. */
    TitleAsc = "TITLE_ASC",
    /** Title by descending order. */
    TitleDesc = "TITLE_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC",
    /** Weight by ascending order. */
    WeightAsc = "WEIGHT_ASC",
    /** Weight by descending order. */
    WeightDesc = "WEIGHT_DESC"
}
/** State of a GitLab issue */
export declare enum IssueState {
    /** All available. */
    All = "all",
    /** In closed state. */
    Closed = "closed",
    /** Discussion has been locked. */
    Locked = "locked",
    /** In open state. */
    Opened = "opened"
}
/** Values for issue state events */
export declare enum IssueStateEvent {
    /** Closes the issue. */
    Close = "CLOSE",
    /** Reopens the issue. */
    Reopen = "REOPEN"
}
/** Represents total number of issues for the represented statuses */
export type IssueStatusCountsType = {
    __typename?: 'IssueStatusCountsType';
    /** Number of issues with status ALL for the project */
    all?: Maybe<Scalars['Int']['output']>;
    /** Number of issues with status CLOSED for the project */
    closed?: Maybe<Scalars['Int']['output']>;
    /** Number of issues with status OPENED for the project */
    opened?: Maybe<Scalars['Int']['output']>;
};
/** Issue type */
export declare enum IssueType {
    /**
     * Epic issue type. Available only when feature epics is available and the feature flag `work_item_epics` is enabled. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    Epic = "EPIC",
    /** Incident issue type */
    Incident = "INCIDENT",
    /** Issue issue type */
    Issue = "ISSUE",
    /**
     * Key Result issue type. Available only when feature flag `okrs_mvc` is enabled. Introduced in GitLab 15.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.7.
     */
    KeyResult = "KEY_RESULT",
    /**
     * Objective issue type. Available only when feature flag `okrs_mvc` is enabled. Introduced in GitLab 15.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.6.
     */
    Objective = "OBJECTIVE",
    /** Requirement issue type */
    Requirement = "REQUIREMENT",
    /** Task issue type */
    Task = "TASK",
    /** Test Case issue type */
    TestCase = "TEST_CASE"
}
/** Autogenerated input type of IssueUnlinkAlert */
export type IssueUnlinkAlertInput = {
    /** Global ID of the alert to unlink from the incident. */
    alertId: Scalars['AlertManagementAlertID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of IssueUnlinkAlert. */
export type IssueUnlinkAlertPayload = {
    __typename?: 'IssueUnlinkAlertPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of IssuesBulkUpdate */
export type IssuesBulkUpdateInput = {
    /** Global ID array of the labels that will be added to the issues.  */
    addLabelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Global ID array of the users that will be assigned to the given issues. Existing assignees will be replaced with the ones on this list. */
    assigneeIds?: InputMaybe<Array<Scalars['UserID']['input']>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the epic that will be assigned to the issues. */
    epicId?: InputMaybe<Scalars['EpicID']['input']>;
    /** Health status that will be assigned to the issues. */
    healthStatus?: InputMaybe<HealthStatus>;
    /** Global ID array of the issues that will be updated. IDs that the user can't update will be ignored. A max of 100 can be provided. */
    ids: Array<Scalars['IssueID']['input']>;
    /** Global ID of the iteration that will be assigned to the issues. */
    iterationId?: InputMaybe<Scalars['IterationID']['input']>;
    /** Global ID of the milestone that will be assigned to the issues. */
    milestoneId?: InputMaybe<Scalars['MilestoneID']['input']>;
    /** Global ID of the parent to which the bulk update will be scoped. The parent can be a project. The parent can also be a group (Premium and Ultimate only). Example `IssueParentID` are `"gid://gitlab/Project/1"` and `"gid://gitlab/Group/1"`. */
    parentId: Scalars['IssueParentID']['input'];
    /** Global ID array of the labels that will be removed from the issues.  */
    removeLabelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Close or reopen an issue. */
    stateEvent?: InputMaybe<IssueStateEvent>;
    /** Subscribe to or unsubscribe from issue notifications. */
    subscriptionEvent?: InputMaybe<IssuableSubscriptionEvent>;
};
/** Autogenerated return type of IssuesBulkUpdate. */
export type IssuesBulkUpdatePayload = {
    __typename?: 'IssuesBulkUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Number of issues that were successfully updated. */
    updatedIssueCount?: Maybe<Scalars['Int']['output']>;
};
/** Represents an iteration object */
export type Iteration = TimeboxReportInterface & {
    __typename?: 'Iteration';
    /** Timestamp of iteration creation. */
    createdAt: Scalars['Time']['output'];
    /** Description of the iteration. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the iteration due date. */
    dueDate?: Maybe<Scalars['Time']['output']>;
    /** ID of the iteration. */
    id: Scalars['ID']['output'];
    /** Internal ID of the iteration. */
    iid: Scalars['String']['output'];
    /** Cadence of the iteration. */
    iterationCadence: IterationCadence;
    /** Historically accurate report about the timebox. */
    report?: Maybe<TimeboxReport>;
    /** Web path of the iteration, scoped to the query parent. Only valid for Project parents. Returns null in other contexts. */
    scopedPath?: Maybe<Scalars['String']['output']>;
    /** Web URL of the iteration, scoped to the query parent. Only valid for Project parents. Returns null in other contexts. */
    scopedUrl?: Maybe<Scalars['String']['output']>;
    /** Sequence number for the iteration when you sort the containing cadence's iterations by the start and end date. The earliest starting and ending iteration is assigned 1. */
    sequence: Scalars['Int']['output'];
    /** Timestamp of the iteration start date. */
    startDate?: Maybe<Scalars['Time']['output']>;
    /** State of the iteration. */
    state: IterationState;
    /** Title of the iteration. */
    title?: Maybe<Scalars['String']['output']>;
    /** Timestamp of last iteration update. */
    updatedAt: Scalars['Time']['output'];
    /** Web path of the iteration. */
    webPath: Scalars['String']['output'];
    /** Web URL of the iteration. */
    webUrl: Scalars['String']['output'];
};
/** Represents an iteration object */
export type IterationReportArgs = {
    fullPath?: InputMaybe<Scalars['String']['input']>;
};
/** Represents an iteration cadence */
export type IterationCadence = {
    __typename?: 'IterationCadence';
    /** Whether the iteration cadence is active. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** Whether the iteration cadence should automatically generate upcoming iterations. */
    automatic?: Maybe<Scalars['Boolean']['output']>;
    /** Description of the iteration cadence. Maximum length is 5000 characters. */
    description?: Maybe<Scalars['String']['output']>;
    /** Duration in weeks of the iterations within this cadence. */
    durationInWeeks?: Maybe<Scalars['Int']['output']>;
    /** Global ID of the iteration cadence. */
    id: Scalars['IterationsCadenceID']['output'];
    /** Upcoming iterations to be created when iteration cadence is set to automatic. */
    iterationsInAdvance?: Maybe<Scalars['Int']['output']>;
    /** Whether the iteration cadence should roll over issues to the next iteration or not. */
    rollOver: Scalars['Boolean']['output'];
    /** Timestamp of the automation start date. */
    startDate?: Maybe<Scalars['Time']['output']>;
    /** Title of the iteration cadence. */
    title: Scalars['String']['output'];
};
/** The connection type for IterationCadence. */
export type IterationCadenceConnection = {
    __typename?: 'IterationCadenceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IterationCadenceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<IterationCadence>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of IterationCadenceCreate */
export type IterationCadenceCreateInput = {
    /** Whether the iteration cadence is active. */
    active: Scalars['Boolean']['input'];
    /** Whether the iteration cadence should automatically generate upcoming iterations. */
    automatic: Scalars['Boolean']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the iteration cadence. Maximum length is 5000 characters. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Duration in weeks of the iterations within this cadence. */
    durationInWeeks?: InputMaybe<Scalars['Int']['input']>;
    /** Group where the iteration cadence is created. */
    groupPath: Scalars['ID']['input'];
    /** Upcoming iterations to be created when iteration cadence is set to automatic. */
    iterationsInAdvance?: InputMaybe<Scalars['Int']['input']>;
    /** Whether the iteration cadence should roll over issues to the next iteration or not. */
    rollOver?: InputMaybe<Scalars['Boolean']['input']>;
    /** Timestamp of the automation start date. */
    startDate?: InputMaybe<Scalars['Time']['input']>;
    /** Title of the iteration cadence. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of IterationCadenceCreate. */
export type IterationCadenceCreatePayload = {
    __typename?: 'IterationCadenceCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created iteration cadence. */
    iterationCadence?: Maybe<IterationCadence>;
};
/** Autogenerated input type of IterationCadenceDestroy */
export type IterationCadenceDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the iteration cadence. */
    id: Scalars['IterationsCadenceID']['input'];
};
/** Autogenerated return type of IterationCadenceDestroy. */
export type IterationCadenceDestroyPayload = {
    __typename?: 'IterationCadenceDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Group the iteration cadence belongs to. */
    group: Group;
};
/** An edge in a connection. */
export type IterationCadenceEdge = {
    __typename?: 'IterationCadenceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<IterationCadence>;
};
/** Autogenerated input type of IterationCadenceUpdate */
export type IterationCadenceUpdateInput = {
    /** Whether the iteration cadence is active. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** Whether the iteration cadence should automatically generate upcoming iterations. */
    automatic?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the iteration cadence. Maximum length is 5000 characters. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Duration in weeks of the iterations within this cadence. */
    durationInWeeks?: InputMaybe<Scalars['Int']['input']>;
    /** Global ID of the iteration cadence. */
    id: Scalars['IterationsCadenceID']['input'];
    /** Upcoming iterations to be created when iteration cadence is set to automatic. */
    iterationsInAdvance?: InputMaybe<Scalars['Int']['input']>;
    /** Whether the iteration cadence should roll over issues to the next iteration or not. */
    rollOver?: InputMaybe<Scalars['Boolean']['input']>;
    /** Timestamp of the automation start date. */
    startDate?: InputMaybe<Scalars['Time']['input']>;
    /** Title of the iteration cadence. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of IterationCadenceUpdate. */
export type IterationCadenceUpdatePayload = {
    __typename?: 'IterationCadenceUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated iteration cadence. */
    iterationCadence?: Maybe<IterationCadence>;
};
/** The connection type for Iteration. */
export type IterationConnection = {
    __typename?: 'IterationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<IterationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Iteration>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of IterationDelete */
export type IterationDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the iteration. */
    id: Scalars['IterationID']['input'];
};
/** Autogenerated return type of IterationDelete. */
export type IterationDeletePayload = {
    __typename?: 'IterationDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Group the iteration belongs to. */
    group: Group;
};
/** An edge in a connection. */
export type IterationEdge = {
    __typename?: 'IterationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Iteration>;
};
/** Fields to perform the search in */
export declare enum IterationSearchableField {
    /** Search in cadence_title field. */
    CadenceTitle = "CADENCE_TITLE",
    /** Search in title field. */
    Title = "TITLE"
}
/** Iteration sort values */
export declare enum IterationSort {
    /** Sort by cadence id in ascending and due date in ascending order. */
    CadenceAndDueDateAsc = "CADENCE_AND_DUE_DATE_ASC",
    /** Sort by cadence id in ascending and due date in descending order. */
    CadenceAndDueDateDesc = "CADENCE_AND_DUE_DATE_DESC"
}
/** State of a GitLab iteration */
export declare enum IterationState {
    /** Any iteration. */
    All = "all",
    /** Closed iteration. */
    Closed = "closed",
    /** Current iteration. */
    Current = "current",
    /** Open iteration. */
    Opened = "opened",
    /** Upcoming iteration. */
    Upcoming = "upcoming"
}
/** Iteration ID wildcard values */
export declare enum IterationWildcardId {
    /** An iteration is assigned. */
    Any = "ANY",
    /** Current iteration. */
    Current = "CURRENT",
    /** No iteration is assigned. */
    None = "NONE"
}
export type JiraImport = {
    __typename?: 'JiraImport';
    /** Timestamp of when the Jira import was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Count of issues that failed to import. */
    failedToImportCount: Scalars['Int']['output'];
    /** Count of issues that were successfully imported. */
    importedIssuesCount: Scalars['Int']['output'];
    /** Project key for the imported Jira project. */
    jiraProjectKey: Scalars['String']['output'];
    /** Timestamp of when the Jira import was scheduled. */
    scheduledAt?: Maybe<Scalars['Time']['output']>;
    /** User that started the Jira import. */
    scheduledBy?: Maybe<UserCore>;
    /** Total count of issues that were attempted to import. */
    totalIssueCount: Scalars['Int']['output'];
};
/** The connection type for JiraImport. */
export type JiraImportConnection = {
    __typename?: 'JiraImportConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<JiraImportEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<JiraImport>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type JiraImportEdge = {
    __typename?: 'JiraImportEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<JiraImport>;
};
/** Autogenerated input type of JiraImportStart */
export type JiraImportStartInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project key of the importer Jira project. */
    jiraProjectKey: Scalars['String']['input'];
    /** Project name of the importer Jira project. */
    jiraProjectName?: InputMaybe<Scalars['String']['input']>;
    /** Project to import the Jira project into. */
    projectPath: Scalars['ID']['input'];
    /** Mapping of Jira to GitLab users. */
    usersMapping?: InputMaybe<Array<JiraUsersMappingInputType>>;
};
/** Autogenerated return type of JiraImportStart. */
export type JiraImportStartPayload = {
    __typename?: 'JiraImportStartPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Jira import data after mutation. */
    jiraImport?: Maybe<JiraImport>;
};
/** Autogenerated input type of JiraImportUsers */
export type JiraImportUsersInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project to import the Jira users into. */
    projectPath: Scalars['ID']['input'];
    /** Index of the record the import should started at, default 0 (50 records returned). */
    startAt?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of JiraImportUsers. */
export type JiraImportUsersPayload = {
    __typename?: 'JiraImportUsersPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Users returned from Jira, matched by email and name if possible. */
    jiraUsers?: Maybe<Array<JiraUser>>;
};
export type JiraProject = {
    __typename?: 'JiraProject';
    /** Key of the Jira project. */
    key: Scalars['String']['output'];
    /** Name of the Jira project. */
    name?: Maybe<Scalars['String']['output']>;
    /** ID of the Jira project. */
    projectId: Scalars['Int']['output'];
};
/** The connection type for JiraProject. */
export type JiraProjectConnection = {
    __typename?: 'JiraProjectConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<JiraProjectEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<JiraProject>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type JiraProjectEdge = {
    __typename?: 'JiraProjectEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<JiraProject>;
};
export type JiraService = Service & {
    __typename?: 'JiraService';
    /** Indicates if the service is active. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** List of all Jira projects fetched through Jira REST API. */
    projects?: Maybe<JiraProjectConnection>;
    /** Type of the service. */
    serviceType?: Maybe<ServiceType>;
    /** Class name of the service. */
    type?: Maybe<Scalars['String']['output']>;
};
export type JiraServiceProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
};
export type JiraUser = {
    __typename?: 'JiraUser';
    /** ID of the matched GitLab user. */
    gitlabId?: Maybe<Scalars['Int']['output']>;
    /** Name of the matched GitLab user. */
    gitlabName?: Maybe<Scalars['String']['output']>;
    /** Username of the matched GitLab user. */
    gitlabUsername?: Maybe<Scalars['String']['output']>;
    /** Account ID of the Jira user. */
    jiraAccountId: Scalars['String']['output'];
    /** Display name of the Jira user. */
    jiraDisplayName: Scalars['String']['output'];
    /** Email of the Jira user, returned only for users with public emails. */
    jiraEmail?: Maybe<Scalars['String']['output']>;
};
export type JiraUsersMappingInputType = {
    /** ID of the GitLab user. */
    gitlabId?: InputMaybe<Scalars['Int']['input']>;
    /** Jira account ID of the user. */
    jiraAccountId: Scalars['String']['input'];
};
export declare enum JobArtifactFileType {
    /** ACCESSIBILITY job artifact file type. */
    Accessibility = "ACCESSIBILITY",
    /** ANNOTATIONS job artifact file type. */
    Annotations = "ANNOTATIONS",
    /** API FUZZING job artifact file type. */
    ApiFuzzing = "API_FUZZING",
    /** ARCHIVE job artifact file type. */
    Archive = "ARCHIVE",
    /** BROWSER PERFORMANCE job artifact file type. */
    BrowserPerformance = "BROWSER_PERFORMANCE",
    /** CLUSTER APPLICATIONS job artifact file type. */
    ClusterApplications = "CLUSTER_APPLICATIONS",
    /** CLUSTER IMAGE SCANNING job artifact file type. */
    ClusterImageScanning = "CLUSTER_IMAGE_SCANNING",
    /** COBERTURA job artifact file type. */
    Cobertura = "COBERTURA",
    /** CODE QUALITY job artifact file type. */
    Codequality = "CODEQUALITY",
    /** CONTAINER SCANNING job artifact file type. */
    ContainerScanning = "CONTAINER_SCANNING",
    /** COVERAGE FUZZING job artifact file type. */
    CoverageFuzzing = "COVERAGE_FUZZING",
    /** CYCLONEDX job artifact file type. */
    Cyclonedx = "CYCLONEDX",
    /** DAST job artifact file type. */
    Dast = "DAST",
    /** DEPENDENCY SCANNING job artifact file type. */
    DependencyScanning = "DEPENDENCY_SCANNING",
    /** DOTENV job artifact file type. */
    Dotenv = "DOTENV",
    /** JUNIT job artifact file type. */
    Junit = "JUNIT",
    /** LICENSE SCANNING job artifact file type. */
    LicenseScanning = "LICENSE_SCANNING",
    /** LOAD PERFORMANCE job artifact file type. */
    LoadPerformance = "LOAD_PERFORMANCE",
    /** LSIF job artifact file type. */
    Lsif = "LSIF",
    /** METADATA job artifact file type. */
    Metadata = "METADATA",
    /** METRICS job artifact file type. */
    Metrics = "METRICS",
    /** METRICS REFEREE job artifact file type. */
    MetricsReferee = "METRICS_REFEREE",
    /** NETWORK REFEREE job artifact file type. */
    NetworkReferee = "NETWORK_REFEREE",
    /** PERFORMANCE job artifact file type. */
    Performance = "PERFORMANCE",
    /** REPOSITORY XRAY job artifact file type. */
    RepositoryXray = "REPOSITORY_XRAY",
    /** REQUIREMENTS job artifact file type. */
    Requirements = "REQUIREMENTS",
    /** REQUIREMENTS V2 job artifact file type. */
    RequirementsV2 = "REQUIREMENTS_V2",
    /** SAST job artifact file type. */
    Sast = "SAST",
    /** SECRET DETECTION job artifact file type. */
    SecretDetection = "SECRET_DETECTION",
    /** TERRAFORM job artifact file type. */
    Terraform = "TERRAFORM",
    /** TRACE job artifact file type. */
    Trace = "TRACE"
}
/** Represents the Geo replication and verification state of a job_artifact. */
export type JobArtifactRegistry = {
    __typename?: 'JobArtifactRegistry';
    /** ID of the Job Artifact. */
    artifactId: Scalars['ID']['output'];
    /** Timestamp when the JobArtifactRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the JobArtifactRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the JobArtifactRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the JobArtifactRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the JobArtifactRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the JobArtifactRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the JobArtifactRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the JobArtifactRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the JobArtifactRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the JobArtifactRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the JobArtifactRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of JobArtifactRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the JobArtifactRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the JobArtifactRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for JobArtifactRegistry. */
export type JobArtifactRegistryConnection = {
    __typename?: 'JobArtifactRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<JobArtifactRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<JobArtifactRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type JobArtifactRegistryEdge = {
    __typename?: 'JobArtifactRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<JobArtifactRegistry>;
};
/** Autogenerated input type of JobArtifactsDestroy */
export type JobArtifactsDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the job to mutate. */
    id: Scalars['CiBuildID']['input'];
};
/** Autogenerated return type of JobArtifactsDestroy. */
export type JobArtifactsDestroyPayload = {
    __typename?: 'JobArtifactsDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Number of artifacts deleted. */
    destroyedArtifactsCount: Scalars['Int']['output'];
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Job with artifacts to be deleted. */
    job?: Maybe<CiJob>;
};
/** Autogenerated input type of JobCancel */
export type JobCancelInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the job to mutate. */
    id: Scalars['CiBuildID']['input'];
};
/** Autogenerated return type of JobCancel. */
export type JobCancelPayload = {
    __typename?: 'JobCancelPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Job after the mutation. */
    job?: Maybe<CiJob>;
};
export type JobNeedUnion = CiBuildNeed | CiJob;
/** The connection type for JobNeedUnion. */
export type JobNeedUnionConnection = {
    __typename?: 'JobNeedUnionConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<JobNeedUnionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<JobNeedUnion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type JobNeedUnionEdge = {
    __typename?: 'JobNeedUnionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<JobNeedUnion>;
};
export type JobPermissions = {
    __typename?: 'JobPermissions';
    /** If `true`, the user can perform `cancel_build` on this resource */
    cancelBuild: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_build` on this resource */
    readBuild: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_job_artifacts` on this resource */
    readJobArtifacts: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_build` on this resource */
    updateBuild: Scalars['Boolean']['output'];
};
/** Autogenerated input type of JobPlay */
export type JobPlayInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the job to mutate. */
    id: Scalars['CiBuildID']['input'];
    /** Variables to use when playing a manual job. */
    variables?: InputMaybe<Array<CiVariableInput>>;
};
/** Autogenerated return type of JobPlay. */
export type JobPlayPayload = {
    __typename?: 'JobPlayPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Job after the mutation. */
    job?: Maybe<CiJob>;
};
/** Autogenerated input type of JobRetry */
export type JobRetryInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the job to mutate. */
    id: Scalars['CiProcessableID']['input'];
    /** Variables to use when retrying a manual job. */
    variables?: InputMaybe<Array<CiVariableInput>>;
};
/** Autogenerated return type of JobRetry. */
export type JobRetryPayload = {
    __typename?: 'JobRetryPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Job after the mutation. */
    job?: Maybe<CiJob>;
};
/** Autogenerated input type of JobUnschedule */
export type JobUnscheduleInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the job to mutate. */
    id: Scalars['CiBuildID']['input'];
};
/** Autogenerated return type of JobUnschedule. */
export type JobUnschedulePayload = {
    __typename?: 'JobUnschedulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Job after the mutation. */
    job?: Maybe<CiJob>;
};
export type Kas = {
    __typename?: 'Kas';
    /** Indicates whether the Kubernetes agent server is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** URL used by the agents to communicate with the server. */
    externalUrl?: Maybe<Scalars['String']['output']>;
    /** KAS version. */
    version?: Maybe<Scalars['String']['output']>;
};
/** Represents an SSH key. */
export type Key = {
    __typename?: 'Key';
    /** Timestamp of when the key was created. */
    createdAt: Scalars['Time']['output'];
    /** Timestamp of when the key expires. It's null if it never expires. */
    expiresAt: Scalars['Time']['output'];
    /** ID of the key. */
    id: Scalars['ID']['output'];
    /** Public key of the key pair. */
    key: Scalars['String']['output'];
    /** Title of the key. */
    title: Scalars['String']['output'];
};
export type Label = {
    __typename?: 'Label';
    /** Background color of the label. */
    color: Scalars['String']['output'];
    /** When this label was created. */
    createdAt: Scalars['Time']['output'];
    /** Description of the label (Markdown rendered as HTML for caching). */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Label ID. */
    id: Scalars['ID']['output'];
    /** Indicates this label is locked for merge requests that have been merged. */
    lockOnMerge: Scalars['Boolean']['output'];
    /** Text color of the label. */
    textColor: Scalars['String']['output'];
    /** Content of the label. */
    title: Scalars['String']['output'];
    /** When this label was last updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for Label. */
export type LabelConnection = {
    __typename?: 'LabelConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<LabelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Label>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of LabelCreate */
export type LabelCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /**
     * The color of the label given in 6-digit hex notation with leading '#' sign
     * (for example, `#FFAABB`) or one of the CSS color names.
     *
     */
    color?: InputMaybe<Scalars['String']['input']>;
    /** Description of the label. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the group with which the resource is associated. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Full path of the project with which the resource is associated. */
    projectPath?: InputMaybe<Scalars['ID']['input']>;
    /** Title of the label. */
    title: Scalars['String']['input'];
};
/** Autogenerated return type of LabelCreate. */
export type LabelCreatePayload = {
    __typename?: 'LabelCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Label after mutation. */
    label?: Maybe<Label>;
};
/** An edge in a connection. */
export type LabelEdge = {
    __typename?: 'LabelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Label>;
};
/** List of fields where the provided searchTerm should be looked up */
export declare enum LabelSearchFieldList {
    /** Search in the label description. */
    Description = "DESCRIPTION",
    /** Search in the label title. */
    Title = "TITLE"
}
/** Represents the Geo sync and verification state of an LFS object */
export type LfsObjectRegistry = {
    __typename?: 'LfsObjectRegistry';
    /** Timestamp when the LfsObjectRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the LfsObjectRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the LfsObjectRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the LfsObjectRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the LFS object. */
    lfsObjectId: Scalars['ID']['output'];
    /** Timestamp after which the LfsObjectRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the LfsObjectRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the LfsObjectRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the LfsObjectRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the LfsObjectRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the LfsObjectRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the LfsObjectRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of LfsObjectRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the LfsObjectRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the LfsObjectRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for LfsObjectRegistry. */
export type LfsObjectRegistryConnection = {
    __typename?: 'LfsObjectRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<LfsObjectRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<LfsObjectRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type LfsObjectRegistryEdge = {
    __typename?: 'LfsObjectRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<LfsObjectRegistry>;
};
export type License = {
    __typename?: 'License';
    /** Name of the license. */
    name: Scalars['String']['output'];
    /** License URL in relation to SPDX. */
    url: Scalars['String']['output'];
};
/** Represents an entry from the Cloud License history */
export type LicenseHistoryEntry = {
    __typename?: 'LicenseHistoryEntry';
    /** Date when the license was activated. */
    activatedAt?: Maybe<Scalars['Date']['output']>;
    /** Date, including grace period, when licensed features will be blocked. */
    blockChangesAt?: Maybe<Scalars['Date']['output']>;
    /** Company of the licensee. */
    company?: Maybe<Scalars['String']['output']>;
    /** Date when the license was added. */
    createdAt?: Maybe<Scalars['Date']['output']>;
    /** Email of the licensee. */
    email?: Maybe<Scalars['String']['output']>;
    /** Date when the license expires. */
    expiresAt?: Maybe<Scalars['Date']['output']>;
    /** ID of the license extracted from the license data. */
    id: Scalars['ID']['output'];
    /** Name of the licensee. */
    name?: Maybe<Scalars['String']['output']>;
    /** Name of the subscription plan. */
    plan: Scalars['String']['output'];
    /** Date when the license started. */
    startsAt?: Maybe<Scalars['Date']['output']>;
    /** Type of the license. */
    type: Scalars['String']['output'];
    /** Number of paid users in the license. */
    usersInLicenseCount?: Maybe<Scalars['Int']['output']>;
};
/** The connection type for LicenseHistoryEntry. */
export type LicenseHistoryEntryConnection = {
    __typename?: 'LicenseHistoryEntryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<LicenseHistoryEntryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<LicenseHistoryEntry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type LicenseHistoryEntryEdge = {
    __typename?: 'LicenseHistoryEntryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<LicenseHistoryEntry>;
};
export type LinkedWorkItemType = {
    __typename?: 'LinkedWorkItemType';
    /** Timestamp the link was created. */
    linkCreatedAt: Scalars['Time']['output'];
    /** Global ID of the link. */
    linkId: Scalars['WorkItemsRelatedWorkItemLinkID']['output'];
    /** Type of link. */
    linkType: Scalars['String']['output'];
    /** Timestamp the link was updated. */
    linkUpdatedAt: Scalars['Time']['output'];
    /** Linked work item. */
    workItem?: Maybe<WorkItem>;
};
/** The connection type for LinkedWorkItemType. */
export type LinkedWorkItemTypeConnection = {
    __typename?: 'LinkedWorkItemTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<LinkedWorkItemTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<LinkedWorkItemType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type LinkedWorkItemTypeEdge = {
    __typename?: 'LinkedWorkItemTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<LinkedWorkItemType>;
};
/** List limit metric setting */
export declare enum ListLimitMetric {
    /** Limit list by number and total weight of issues. */
    AllMetrics = "all_metrics",
    /** Limit list by number of issues. */
    IssueCount = "issue_count",
    /** Limit list by total weight of issues. */
    IssueWeights = "issue_weights"
}
export type Location = {
    __typename?: 'Location';
    /** HTTP URI path to view the input file in GitLab. */
    blobPath?: Maybe<Scalars['String']['output']>;
    /** Path, relative to the root of the repository, of the filewhich was analyzed to detect the dependency. */
    path?: Maybe<Scalars['String']['output']>;
};
/** Represents links to perform actions on the candidate */
export type MlCandidateLinks = {
    __typename?: 'MLCandidateLinks';
    /** Path to the artifact. */
    artifactPath?: Maybe<Scalars['String']['output']>;
    /** Path to the details page of the candidate. */
    showPath?: Maybe<Scalars['String']['output']>;
};
/** Represents links to perform actions on the model */
export type MlModelLinks = {
    __typename?: 'MLModelLinks';
    /** Path to the details page of the model. */
    showPath?: Maybe<Scalars['String']['output']>;
};
/** Represents links to perform actions on the model version */
export type MlModelVersionLinks = {
    __typename?: 'MLModelVersionLinks';
    /** File upload path for the machine learning model. */
    importPath?: Maybe<Scalars['String']['output']>;
    /** Path to the package of the model version. */
    packagePath?: Maybe<Scalars['String']['output']>;
    /** Path to the details page of the model version. */
    showPath?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of MarkAsSpamSnippet */
export type MarkAsSpamSnippetInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the snippet to update. */
    id: Scalars['SnippetID']['input'];
};
/** Autogenerated return type of MarkAsSpamSnippet. */
export type MarkAsSpamSnippetPayload = {
    __typename?: 'MarkAsSpamSnippetPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Snippet after mutation. */
    snippet?: Maybe<Snippet>;
};
/** Maven metadata */
export type MavenMetadata = {
    __typename?: 'MavenMetadata';
    /** App group of the Maven package. */
    appGroup: Scalars['String']['output'];
    /** App name of the Maven package. */
    appName: Scalars['String']['output'];
    /** App version of the Maven package. */
    appVersion?: Maybe<Scalars['String']['output']>;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** ID of the metadatum. */
    id: Scalars['PackagesMavenMetadatumID']['output'];
    /** Path of the Maven package. */
    path: Scalars['String']['output'];
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
};
/** Possible identifier types for a measurement */
export declare enum MeasurementIdentifier {
    /** Group count. */
    Groups = "GROUPS",
    /** Issue count. */
    Issues = "ISSUES",
    /** Merge request count. */
    MergeRequests = "MERGE_REQUESTS",
    /** Pipeline count. */
    Pipelines = "PIPELINES",
    /** Pipeline count with canceled status. */
    PipelinesCanceled = "PIPELINES_CANCELED",
    /** Pipeline count with failed status. */
    PipelinesFailed = "PIPELINES_FAILED",
    /** Pipeline count with skipped status. */
    PipelinesSkipped = "PIPELINES_SKIPPED",
    /** Pipeline count with success status. */
    PipelinesSucceeded = "PIPELINES_SUCCEEDED",
    /** Project count. */
    Projects = "PROJECTS",
    /** User count. */
    Users = "USERS"
}
/** Access level of a group or project member */
export declare enum MemberAccessLevel {
    /** Developer access. */
    Developer = "DEVELOPER",
    /** Guest access. */
    Guest = "GUEST",
    /** Maintainer access. */
    Maintainer = "MAINTAINER",
    /** Minimal access. */
    MinimalAccess = "MINIMAL_ACCESS",
    /** Owner access. */
    Owner = "OWNER",
    /** Reporter access. */
    Reporter = "REPORTER"
}
/** Name of access levels of a group or project member */
export declare enum MemberAccessLevelName {
    /** Developer access. */
    Developer = "DEVELOPER",
    /** Guest access. */
    Guest = "GUEST",
    /** Maintainer access. */
    Maintainer = "MAINTAINER",
    /** Owner access. */
    Owner = "OWNER",
    /** Reporter access. */
    Reporter = "REPORTER"
}
/** Types of member approval status. */
export declare enum MemberApprovalStatusType {
    /** Approved promotion request. */
    Approved = "APPROVED",
    /** Denied promotion request. */
    Denied = "DENIED",
    /** Pending promotion request. */
    Pending = "PENDING"
}
export type MemberInterface = {
    /** GitLab::Access level. */
    accessLevel?: Maybe<AccessLevel>;
    /** Date and time the membership was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** User that authorized membership. */
    createdBy?: Maybe<UserCore>;
    /** Date and time the membership expires. */
    expiresAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the member. */
    id: Scalars['ID']['output'];
    /** Find a merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Date and time the membership was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** User that is associated with the member object. */
    user?: Maybe<UserCore>;
};
export type MemberInterfaceMergeRequestInteractionArgs = {
    id: Scalars['MergeRequestID']['input'];
};
/** The connection type for MemberInterface. */
export type MemberInterfaceConnection = {
    __typename?: 'MemberInterfaceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MemberInterfaceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MemberInterface>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MemberInterfaceEdge = {
    __typename?: 'MemberInterfaceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MemberInterface>;
};
/** Represents a member role */
export type MemberRole = {
    __typename?: 'MemberRole';
    /**
     * Base access level for the custom role. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    baseAccessLevel: AccessLevel;
    /** Description of the member role. */
    description?: Maybe<Scalars['String']['output']>;
    /**
     * Web UI path to edit the custom role. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    editPath: Scalars['String']['output'];
    /**
     * Array of all permissions enabled for the custom role. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    enabledPermissions: CustomizablePermissionConnection;
    /** ID of the member role. */
    id: Scalars['MemberRoleID']['output'];
    /**
     * Total number of members with the custom role. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    membersCount: Scalars['Int']['output'];
    /** Name of the member role. */
    name: Scalars['String']['output'];
};
/** Represents a member role */
export type MemberRoleEnabledPermissionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for MemberRole. */
export type MemberRoleConnection = {
    __typename?: 'MemberRoleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MemberRoleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MemberRole>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of MemberRoleCreate */
export type MemberRoleCreateInput = {
    /** Base access level for the custom role. */
    baseAccessLevel: MemberAccessLevel;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the member role. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Group the member role to mutate is in. Required for SaaS. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Name of the member role. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** List of all customizable permissions. */
    permissions?: InputMaybe<Array<MemberRolePermission>>;
};
/** Autogenerated return type of MemberRoleCreate. */
export type MemberRoleCreatePayload = {
    __typename?: 'MemberRoleCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated member role. */
    memberRole?: Maybe<MemberRole>;
};
/** Autogenerated input type of MemberRoleDelete */
export type MemberRoleDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the member role to delete. */
    id: Scalars['MemberRoleID']['input'];
};
/** Autogenerated return type of MemberRoleDelete. */
export type MemberRoleDeletePayload = {
    __typename?: 'MemberRoleDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Deleted member role. */
    memberRole?: Maybe<MemberRole>;
};
/** An edge in a connection. */
export type MemberRoleEdge = {
    __typename?: 'MemberRoleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MemberRole>;
};
/** Member role permission */
export declare enum MemberRolePermission {
    /** Create, read, update, and delete CI/CD variables. */
    AdminCicdVariables = "ADMIN_CICD_VARIABLES",
    /** Create, read, update, and delete compliance frameworks. Users with this permission can also assign a compliance framework label to a project, and set the default framework of a group. */
    AdminComplianceFramework = "ADMIN_COMPLIANCE_FRAMEWORK",
    /** Add or remove users in a group, and assign roles to users. When assigning a role, users with this custom permission must select a role that has the same or fewer permissions as the default role used as the base for their custom role. */
    AdminGroupMember = "ADMIN_GROUP_MEMBER",
    /** Create, read, update, and delete integrations with external applications. */
    AdminIntegrations = "ADMIN_INTEGRATIONS",
    /** Allows approval of merge requests. */
    AdminMergeRequest = "ADMIN_MERGE_REQUEST",
    /** Configure push rules for repositories at the group or project level. */
    AdminPushRules = "ADMIN_PUSH_RULES",
    /** Create, view, edit, and delete group or project Runners. Includes configuring Runner settings. */
    AdminRunners = "ADMIN_RUNNERS",
    /** Execute terraform commands, lock/unlock terraform state files, and remove file versions. */
    AdminTerraformState = "ADMIN_TERRAFORM_STATE",
    /** Edit the vulnerability object, including the status and linking an issue. Includes the `read_vulnerability` permission actions. */
    AdminVulnerability = "ADMIN_VULNERABILITY",
    /** Manage webhooks */
    AdminWebHook = "ADMIN_WEB_HOOK",
    /** Allows archiving of projects. */
    ArchiveProject = "ARCHIVE_PROJECT",
    /** Manage deploy tokens at the group or project level. */
    ManageDeployTokens = "MANAGE_DEPLOY_TOKENS",
    /** Create, read, update, and delete group access tokens. When creating a token, users with this custom permission must select a role for that token that has the same or fewer permissions as the default role used as the base for the custom role. */
    ManageGroupAccessTokens = "MANAGE_GROUP_ACCESS_TOKENS",
    /** Configure merge request settings at the group or project level. Group actions include managing merge checks and approval settings. Project actions include managing MR configurations, approval rules and settings, and branch targets. In order to enable Suggested reviewers, the "Manage project access tokens" custom permission needs to be enabled. */
    ManageMergeRequestSettings = "MANAGE_MERGE_REQUEST_SETTINGS",
    /** Create, read, update, and delete project access tokens. When creating a token, users with this custom permission must select a role for that token that has the same or fewer permissions as the default role used as the base for the custom role. */
    ManageProjectAccessTokens = "MANAGE_PROJECT_ACCESS_TOKENS",
    /** Allows linking security policy projects. */
    ManageSecurityPolicyLink = "MANAGE_SECURITY_POLICY_LINK",
    /** Allows read-only access to the source code in the user interface. Does not allow users to edit or download repository archives, clone or pull repositories, view source code in an IDE, or view merge requests for private projects. You can download individual files because read-only access inherently grants the ability to make a local copy of the file. */
    ReadCode = "READ_CODE",
    /** Read CRM contact. */
    ReadCrmContact = "READ_CRM_CONTACT",
    /** Allows read-only access to the dependencies and licenses. */
    ReadDependency = "READ_DEPENDENCY",
    /** Allows read-only access to group or project runners, including the runner fleet dashboard. */
    ReadRunners = "READ_RUNNERS",
    /** Read vulnerability reports and security dashboards. */
    ReadVulnerability = "READ_VULNERABILITY",
    /** Ability to delete or restore a group. This ability does not allow deleting top level groups. Review the Retention period settings to prevent accidental deletion. */
    RemoveGroup = "REMOVE_GROUP",
    /** Allows deletion of projects. */
    RemoveProject = "REMOVE_PROJECT"
}
/** Autogenerated input type of MemberRoleUpdate */
export type MemberRoleUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the member role. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of the member role to mutate. */
    id: Scalars['MemberRoleID']['input'];
    /** Name of the member role. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** List of all customizable permissions. */
    permissions?: InputMaybe<Array<MemberRolePermission>>;
};
/** Autogenerated return type of MemberRoleUpdate. */
export type MemberRoleUpdatePayload = {
    __typename?: 'MemberRoleUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated member role. */
    memberRole?: Maybe<MemberRole>;
};
/** Values for ordering member roles by a specific field */
export declare enum MemberRolesOrderBy {
    /** Ordered by creation time. */
    CreatedAt = "CREATED_AT",
    /** Ordered by id. */
    Id = "ID",
    /** Ordered by name. */
    Name = "NAME"
}
/** Values for sorting members */
export declare enum MemberSort {
    /** Access level ascending order. */
    AccessLevelAsc = "ACCESS_LEVEL_ASC",
    /** Access level descending order. */
    AccessLevelDesc = "ACCESS_LEVEL_DESC",
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC",
    /** User's full name ascending order. */
    UserFullNameAsc = "USER_FULL_NAME_ASC",
    /** User's full name descending order. */
    UserFullNameDesc = "USER_FULL_NAME_DESC"
}
/** Defines which user roles, users, or groups can merge into a protected branch. */
export type MergeAccessLevel = {
    __typename?: 'MergeAccessLevel';
    /** GitLab::Access level. */
    accessLevel: Scalars['Int']['output'];
    /** Human readable representation for this access level. */
    accessLevelDescription: Scalars['String']['output'];
    /** Group associated with this access level. */
    group?: Maybe<AccessLevelGroup>;
    /** User associated with this access level. */
    user?: Maybe<AccessLevelUser>;
};
/** The connection type for MergeAccessLevel. */
export type MergeAccessLevelConnection = {
    __typename?: 'MergeAccessLevelConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeAccessLevelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeAccessLevel>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeAccessLevelEdge = {
    __typename?: 'MergeAccessLevelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeAccessLevel>;
};
/** Defines which user roles, users, or groups can merge into a protected branch. */
export type MergeAccessLevelInput = {
    /** Access level allowed to perform action. */
    accessLevel?: InputMaybe<Scalars['Int']['input']>;
    /** Group associated with the access level. */
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    /** User associated with the access level. */
    userId?: InputMaybe<Scalars['UserID']['input']>;
};
export type MergeRequest = CurrentUserTodos & NoteableInterface & Todoable & {
    __typename?: 'MergeRequest';
    /** Indicates if members of the target project can push to the fork. */
    allowCollaboration?: Maybe<Scalars['Boolean']['output']>;
    /** Allows assigning multiple users to a merge request. */
    allowsMultipleAssignees: Scalars['Boolean']['output'];
    /** Allows assigning multiple reviewers to a merge request. */
    allowsMultipleReviewers: Scalars['Boolean']['output'];
    /** Information relating to rules that must be satisfied to merge the merge request. */
    approvalState: MergeRequestApprovalState;
    /** Number of approvals left. */
    approvalsLeft?: Maybe<Scalars['Int']['output']>;
    /** Number of approvals required. */
    approvalsRequired?: Maybe<Scalars['Int']['output']>;
    /** Indicates if the merge request has all the required approvals. */
    approved: Scalars['Boolean']['output'];
    /** Users who approved the merge request. */
    approvedBy?: Maybe<UserCoreConnection>;
    /** Assignees of the merge request. */
    assignees?: Maybe<MergeRequestAssigneeConnection>;
    /** User who created this merge request. */
    author?: Maybe<MergeRequestAuthor>;
    /** Indicates if auto merge is enabled for the merge request. */
    autoMergeEnabled: Scalars['Boolean']['output'];
    /** Selected auto merge strategy. */
    autoMergeStrategy?: Maybe<Scalars['String']['output']>;
    /** Array of available auto merge strategies. */
    availableAutoMergeStrategies?: Maybe<Array<Scalars['String']['output']>>;
    /** List of emoji reactions associated with the merge request. */
    awardEmoji?: Maybe<AwardEmojiConnection>;
    /**
     * Merge requests that block another merge request from merging. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    blockingMergeRequests?: Maybe<BlockingMergeRequests>;
    /** Code quality reports comparison reported on the merge request. */
    codequalityReportsComparer?: Maybe<CodequalityReportsComparer>;
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Number of commits in the merge request. */
    commitCount?: Maybe<Scalars['Int']['output']>;
    /** Merge request commits. */
    commits?: Maybe<CommitConnection>;
    /** Merge request commits excluding merge commits. */
    commitsWithoutMergeCommits?: Maybe<CommitConnection>;
    /** Users who have added commits to the merge request. */
    committers?: Maybe<UserCoreConnection>;
    /** Indicates if the merge request has conflicts. */
    conflicts: Scalars['Boolean']['output'];
    /** Timestamp of when the merge request was created. */
    createdAt: Scalars['Time']['output'];
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
    /** Default merge commit message of the merge request. */
    defaultMergeCommitMessage?: Maybe<Scalars['String']['output']>;
    /** Default squash commit message of the merge request. */
    defaultSquashCommitMessage?: Maybe<Scalars['String']['output']>;
    /** Description of the merge request (Markdown rendered as HTML for caching). */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Detailed merge status of the merge request. */
    detailedMergeStatus?: Maybe<DetailedMergeStatus>;
    /** Diff head SHA of the merge request. */
    diffHeadSha?: Maybe<Scalars['String']['output']>;
    /** References of the base SHA, the head SHA, and the start SHA for this merge request. */
    diffRefs?: Maybe<DiffRefs>;
    /** Details about which files were changed in this merge request. */
    diffStats?: Maybe<Array<DiffStats>>;
    /** Summary of which files were changed in this merge request. */
    diffStatsSummary?: Maybe<DiffStatsSummary>;
    /** Indicates if comments on the merge request are locked to members only. */
    discussionLocked: Scalars['Boolean']['output'];
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Indicates if the source branch is behind the target branch. */
    divergedFromTargetBranch: Scalars['Boolean']['output'];
    /** Number of downvotes for the merge request. */
    downvotes: Scalars['Int']['output'];
    /** Indicates if the merge request is a draft. */
    draft: Scalars['Boolean']['output'];
    /**
     * Vulnerability finding reports comparison reported on the merge request. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    findingReportsComparer?: Maybe<FindingReportsComparer>;
    /** Indicates if the project settings will lead to source branch deletion after merge. */
    forceRemoveSourceBranch?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if the merge request has CI. */
    hasCi: Scalars['Boolean']['output'];
    /** Indicates if the source branch has any security reports. */
    hasSecurityReports: Scalars['Boolean']['output'];
    /** Pipeline running on the branch HEAD of the merge request. */
    headPipeline?: Maybe<Pipeline>;
    /** Human-readable time estimate of the merge request. */
    humanTimeEstimate?: Maybe<Scalars['String']['output']>;
    /** Human-readable total time reported as spent on the merge request. */
    humanTotalTimeSpent?: Maybe<Scalars['String']['output']>;
    /** ID of the merge request. */
    id: Scalars['ID']['output'];
    /** Internal ID of the merge request. */
    iid: Scalars['String']['output'];
    /** Commit SHA of the merge request if merge is in progress. */
    inProgressMergeCommitSha?: Maybe<Scalars['String']['output']>;
    /** Labels of the merge request. */
    labels?: Maybe<LabelConnection>;
    /** SHA of the merge request commit (set once merged). */
    mergeCommitSha?: Maybe<Scalars['String']['output']>;
    /** Error message due to a merge error. */
    mergeError?: Maybe<Scalars['String']['output']>;
    /** Indicates if a merge is currently occurring. */
    mergeOngoing: Scalars['Boolean']['output'];
    /**
     * Diff versions of a merge request. Introduced in GitLab 16.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.2.
     */
    mergeRequestDiffs?: Maybe<MergeRequestDiffConnection>;
    /**
     * Status of the merge request. Deprecated in GitLab 14.0: This was renamed.
     * @deprecated This was renamed. Please use `MergeRequest.mergeStatusEnum`. Deprecated in GitLab 14.0.
     */
    mergeStatus?: Maybe<Scalars['String']['output']>;
    /** Merge status of the merge request. */
    mergeStatusEnum?: Maybe<MergeStatus>;
    /** Zero-based position of the merge request in the merge train. Returns `null` if the merge request is not in a merge train. */
    mergeTrainIndex?: Maybe<Scalars['Int']['output']>;
    /** Number of merge requests in the merge train. */
    mergeTrainsCount?: Maybe<Scalars['Int']['output']>;
    /** User who merged this merge request or set it to auto-merge. */
    mergeUser?: Maybe<UserCore>;
    /** Indicates if the merge has been set to auto-merge. */
    mergeWhenPipelineSucceeds?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Status of all mergeability checks of the merge request. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    mergeabilityChecks: Array<MergeRequestMergeabilityCheck>;
    /** Indicates if the merge request is mergeable. */
    mergeable: Scalars['Boolean']['output'];
    /** Indicates if all discussions in the merge request have been resolved, allowing the merge request to be merged. */
    mergeableDiscussionsState?: Maybe<Scalars['Boolean']['output']>;
    /** Timestamp of when the merge request was merged, null if not merged. */
    mergedAt?: Maybe<Scalars['Time']['output']>;
    /** Milestone of the merge request. */
    milestone?: Maybe<Milestone>;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** Participants in the merge request. This includes the author, assignees, reviewers, and users mentioned in notes. */
    participants?: Maybe<MergeRequestParticipantConnection>;
    /** Pipelines for the merge request. Note: for performance reasons, no more than the most recent 500 pipelines will be returned. */
    pipelines?: Maybe<PipelineConnection>;
    /**
     * Policy violations reported on the merge request. Returns `null` if `save_policy_violation_data` feature flag is disabled. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    policyViolations?: Maybe<PolicyViolationDetails>;
    /** Timestamp of when the merge request was prepared. */
    preparedAt?: Maybe<Scalars['Time']['output']>;
    /** Alias for target_project. */
    project: Project;
    /** ID of the merge request project. */
    projectId: Scalars['Int']['output'];
    /** Rebase commit SHA of the merge request. */
    rebaseCommitSha?: Maybe<Scalars['String']['output']>;
    /** Indicates if there is a rebase currently in progress for the merge request. */
    rebaseInProgress: Scalars['Boolean']['output'];
    /** Internal reference of the merge request. Returned in shortened format by default. */
    reference: Scalars['String']['output'];
    /** Indicates if merge request was retargeted. */
    retargeted?: Maybe<Scalars['Boolean']['output']>;
    /** Users from whom a review has been requested. */
    reviewers?: Maybe<MergeRequestReviewerConnection>;
    /**
     * Indicates if the merge request is created by @GitLab-Security-Bot. Deprecated in GitLab 16.11: Security Auto Fix experiment feature was removed. It was always hidden behind `security_auto_fix` feature flag.
     * @deprecated Security Auto Fix experiment feature was removed. It was always hidden behind `security_auto_fix` feature flag. Deprecated in GitLab 16.11.
     */
    securityAutoFix?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if the target branch security reports are out of date. */
    securityReportsUpToDateOnTargetBranch: Scalars['Boolean']['output'];
    /** Indicates if the merge request will be rebased. */
    shouldBeRebased: Scalars['Boolean']['output'];
    /** Indicates if the source branch of the merge request will be deleted after merge. */
    shouldRemoveSourceBranch?: Maybe<Scalars['Boolean']['output']>;
    /** Source branch of the merge request. */
    sourceBranch: Scalars['String']['output'];
    /** Indicates if the source branch of the merge request exists. */
    sourceBranchExists: Scalars['Boolean']['output'];
    /** Indicates if the source branch is protected. */
    sourceBranchProtected: Scalars['Boolean']['output'];
    /** Source project of the merge request. */
    sourceProject?: Maybe<Project>;
    /** ID of the merge request source project. */
    sourceProjectId?: Maybe<Scalars['Int']['output']>;
    /** Indicates if the merge request is set to be squashed when merged. [Project settings](https://docs.gitlab.com/ee/user/project/merge_requests/squash_and_merge.html#configure-squash-options-for-a-project) may override this value. Use `squash_on_merge` instead to take project squash options into account. */
    squash: Scalars['Boolean']['output'];
    /** Indicates if the merge request will be squashed when merged. */
    squashOnMerge: Scalars['Boolean']['output'];
    /** State of the merge request. */
    state: MergeRequestState;
    /** Indicates if the currently logged in user is subscribed to this merge request. */
    subscribed: Scalars['Boolean']['output'];
    /**
     * Suggested reviewers for merge request. Returns `null` if `suggested_reviewers` feature flag is disabled. This flag is disabled by default and only available on GitLab.com because the feature is experimental and is subject to change without notice. Introduced in GitLab 15.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.4.
     */
    suggestedReviewers?: Maybe<SuggestedReviewersType>;
    /** Indicates if the merge request supports locked labels. */
    supportsLockOnMerge: Scalars['Boolean']['output'];
    /** Target branch of the merge request. */
    targetBranch: Scalars['String']['output'];
    /** Indicates if the target branch of the merge request exists. */
    targetBranchExists: Scalars['Boolean']['output'];
    /** Target project of the merge request. */
    targetProject: Project;
    /** ID of the merge request target project. */
    targetProjectId: Scalars['Int']['output'];
    /** Completion status of tasks */
    taskCompletionStatus: TaskCompletionStatus;
    /** Time estimate of the merge request. */
    timeEstimate: Scalars['Int']['output'];
    /** Timelogs on the merge request. */
    timelogs: TimelogConnection;
    /** Title of the merge request. */
    title: Scalars['String']['output'];
    /** GitLab Flavored Markdown rendering of `title` */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Total time (in seconds) reported as spent on the merge request. */
    totalTimeSpent: Scalars['Int']['output'];
    /** Timestamp of when the merge request was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Number of upvotes for the merge request. */
    upvotes: Scalars['Int']['output'];
    /** Number of user discussions in the merge request. */
    userDiscussionsCount?: Maybe<Scalars['Int']['output']>;
    /** User notes count of the merge request. */
    userNotesCount?: Maybe<Scalars['Int']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: MergeRequestPermissions;
    /** Web path of the merge request. */
    webPath: Scalars['String']['output'];
    /** Web URL of the merge request. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
export type MergeRequestApprovedByArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestAssigneesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestAwardEmojiArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestCommitsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestCommitsWithoutMergeCommitsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestCommittersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
export type MergeRequestDiffStatsArgs = {
    path?: InputMaybe<Scalars['String']['input']>;
};
export type MergeRequestDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestFindingReportsComparerArgs = {
    reportType: ComparableSecurityReportType;
};
export type MergeRequestLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestMergeRequestDiffsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestParticipantsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestPipelinesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    ref?: InputMaybe<Scalars['String']['input']>;
    scope?: InputMaybe<PipelineScopeEnum>;
    sha?: InputMaybe<Scalars['String']['input']>;
    source?: InputMaybe<Scalars['String']['input']>;
    status?: InputMaybe<PipelineStatusEnum>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
export type MergeRequestReferenceArgs = {
    full?: InputMaybe<Scalars['Boolean']['input']>;
};
export type MergeRequestReviewersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type MergeRequestTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of MergeRequestAccept */
export type MergeRequestAcceptInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Custom merge commit message. */
    commitMessage?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** HEAD SHA at the time when the merge was requested. */
    sha: Scalars['String']['input'];
    /** Should the source branch be removed. */
    shouldRemoveSourceBranch?: InputMaybe<Scalars['Boolean']['input']>;
    /** Squash commits on the source branch before merge. */
    squash?: InputMaybe<Scalars['Boolean']['input']>;
    /** Custom squash commit message (if squash is true). */
    squashCommitMessage?: InputMaybe<Scalars['String']['input']>;
    /** How to merge the merge request. */
    strategy?: InputMaybe<MergeStrategyEnum>;
};
/** Autogenerated return type of MergeRequestAccept. */
export type MergeRequestAcceptPayload = {
    __typename?: 'MergeRequestAcceptPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Information relating to rules that must be satisfied to merge this merge request. */
export type MergeRequestApprovalState = {
    __typename?: 'MergeRequestApprovalState';
    /** Indicates if the merge request approval rules are overwritten for the merge request. */
    approvalRulesOverwritten?: Maybe<Scalars['Boolean']['output']>;
    /** List of approval rules that are associated with the merge request, but invalid. */
    invalidApproversRules?: Maybe<Array<ApprovalRule>>;
    /** List of approval rules associated with the merge request. */
    rules?: Maybe<Array<ApprovalRule>>;
    /** List of suggested approvers. */
    suggestedApprovers?: Maybe<UserCoreConnection>;
};
/** Information relating to rules that must be satisfied to merge this merge request. */
export type MergeRequestApprovalStateSuggestedApproversArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssignee = User & {
    __typename?: 'MergeRequestAssignee';
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Details of this user's interactions with the merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request. */
export type MergeRequestAssigneeWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** The connection type for MergeRequestAssignee. */
export type MergeRequestAssigneeConnection = {
    __typename?: 'MergeRequestAssigneeConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeRequestAssigneeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeRequestAssignee>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeRequestAssigneeEdge = {
    __typename?: 'MergeRequestAssigneeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeRequestAssignee>;
};
/** The author of the merge request. */
export type MergeRequestAuthor = User & {
    __typename?: 'MergeRequestAuthor';
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Details of this user's interactions with the merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** The author of the merge request. */
export type MergeRequestAuthorAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** The author of the merge request. */
export type MergeRequestAuthorEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** The author of the merge request. */
export type MergeRequestAuthorSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** The author of the merge request. */
export type MergeRequestAuthorStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** The author of the merge request. */
export type MergeRequestAuthorTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** The author of the merge request. */
export type MergeRequestAuthorUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The author of the merge request. */
export type MergeRequestAuthorWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** The connection type for MergeRequest. */
export type MergeRequestConnection = {
    __typename?: 'MergeRequestConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeRequestEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeRequest>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
    /** Total sum of time to merge, in seconds, for the collection of merge requests. */
    totalTimeToMerge?: Maybe<Scalars['Float']['output']>;
};
/** Autogenerated input type of MergeRequestCreate */
export type MergeRequestCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the merge request (Markdown rendered as HTML for caching). */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Labels of the merge request. */
    labels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Project full path the merge request is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Source branch of the merge request. */
    sourceBranch: Scalars['String']['input'];
    /** Target branch of the merge request. */
    targetBranch: Scalars['String']['input'];
    /** Title of the merge request. */
    title: Scalars['String']['input'];
};
/** Autogenerated return type of MergeRequestCreate. */
export type MergeRequestCreatePayload = {
    __typename?: 'MergeRequestCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** A diff version of a merge request. */
export type MergeRequestDiff = {
    __typename?: 'MergeRequestDiff';
    /** Timestamp of when the diff was created. */
    createdAt: Scalars['Time']['output'];
    /** Timestamp of when the diff was updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for MergeRequestDiff. */
export type MergeRequestDiffConnection = {
    __typename?: 'MergeRequestDiffConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeRequestDiffEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeRequestDiff>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeRequestDiffEdge = {
    __typename?: 'MergeRequestDiffEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeRequestDiff>;
};
/** Represents the Geo sync and verification state of a Merge Request diff */
export type MergeRequestDiffRegistry = {
    __typename?: 'MergeRequestDiffRegistry';
    /** Timestamp when the MergeRequestDiffRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the MergeRequestDiffRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the MergeRequestDiffRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the MergeRequestDiffRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Merge Request diff. */
    mergeRequestDiffId: Scalars['ID']['output'];
    /** Timestamp after which the MergeRequestDiffRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the MergeRequestDiffRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the MergeRequestDiffRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the MergeRequestDiffRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the MergeRequestDiffRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the MergeRequestDiffRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the MergeRequestDiffRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of MergeRequestDiffRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the MergeRequestDiffRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the MergeRequestDiffRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for MergeRequestDiffRegistry. */
export type MergeRequestDiffRegistryConnection = {
    __typename?: 'MergeRequestDiffRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeRequestDiffRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeRequestDiffRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeRequestDiffRegistryEdge = {
    __typename?: 'MergeRequestDiffRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeRequestDiffRegistry>;
};
/** An edge in a connection. */
export type MergeRequestEdge = {
    __typename?: 'MergeRequestEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeRequest>;
};
/** Mergeability check of the merge request. */
export type MergeRequestMergeabilityCheck = {
    __typename?: 'MergeRequestMergeabilityCheck';
    /** Identifier of the mergeability check. */
    identifier: MergeabilityCheckIdentifier;
    /** Status of the mergeability check. */
    status: MergeabilityCheckStatus;
};
/** New state to apply to a merge request. */
export declare enum MergeRequestNewState {
    /** Close the merge request if it is open. */
    Closed = "CLOSED",
    /** Open the merge request if it is closed. */
    Open = "OPEN"
}
/** A user participating in a merge request. */
export type MergeRequestParticipant = User & {
    __typename?: 'MergeRequestParticipant';
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Details of this user's interactions with the merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** A user participating in a merge request. */
export type MergeRequestParticipantSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user participating in a merge request. */
export type MergeRequestParticipantWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** The connection type for MergeRequestParticipant. */
export type MergeRequestParticipantConnection = {
    __typename?: 'MergeRequestParticipantConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeRequestParticipantEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeRequestParticipant>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeRequestParticipantEdge = {
    __typename?: 'MergeRequestParticipantEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeRequestParticipant>;
};
/** Check permissions for the current user on a merge request */
export type MergeRequestPermissions = {
    __typename?: 'MergeRequestPermissions';
    /** If `true`, the user can perform `admin_merge_request` on this resource */
    adminMergeRequest: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `can_approve` on this resource */
    canApprove: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `can_merge` on this resource */
    canMerge: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `cherry_pick_on_current_merge_request` on this resource */
    cherryPickOnCurrentMergeRequest: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_note` on this resource */
    createNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `push_to_source_branch` on this resource */
    pushToSourceBranch: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_merge_request` on this resource */
    readMergeRequest: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `remove_source_branch` on this resource */
    removeSourceBranch: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `revert_on_current_merge_request` on this resource */
    revertOnCurrentMergeRequest: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_merge_request` on this resource */
    updateMergeRequest: Scalars['Boolean']['output'];
};
/** State of a review of a GitLab merge request. */
export declare enum MergeRequestReviewState {
    /** Merge request reviewer has approved the changes. */
    Approved = "APPROVED",
    /** Merge request reviewer has requested changes. */
    RequestedChanges = "REQUESTED_CHANGES",
    /** Merge request reviewer has reviewed. */
    Reviewed = "REVIEWED",
    /** Merge request reviewer removed their approval of the changes. */
    Unapproved = "UNAPPROVED",
    /** Awaiting review from merge request reviewer. */
    Unreviewed = "UNREVIEWED"
}
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewer = User & {
    __typename?: 'MergeRequestReviewer';
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Details of this user's interactions with the merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A user assigned to a merge request as a reviewer. */
export type MergeRequestReviewerWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** The connection type for MergeRequestReviewer. */
export type MergeRequestReviewerConnection = {
    __typename?: 'MergeRequestReviewerConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeRequestReviewerEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeRequestReviewer>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeRequestReviewerEdge = {
    __typename?: 'MergeRequestReviewerEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeRequestReviewer>;
};
/** Autogenerated input type of MergeRequestReviewerRereview */
export type MergeRequestReviewerRereviewInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /**
     * User ID for the user that has been requested for a new review.
     *
     */
    userId: Scalars['UserID']['input'];
};
/** Autogenerated return type of MergeRequestReviewerRereview. */
export type MergeRequestReviewerRereviewPayload = {
    __typename?: 'MergeRequestReviewerRereviewPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestSetAssignees */
export type MergeRequestSetAssigneesInput = {
    /** Usernames to assign to the resource. Replaces existing assignees by default. */
    assigneeUsernames: Array<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Operation to perform. Defaults to REPLACE. */
    operationMode?: InputMaybe<MutationOperationMode>;
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MergeRequestSetAssignees. */
export type MergeRequestSetAssigneesPayload = {
    __typename?: 'MergeRequestSetAssigneesPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestSetDraft */
export type MergeRequestSetDraftInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /**
     * Whether or not to set the merge request as a draft.
     *
     */
    draft: Scalars['Boolean']['input'];
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MergeRequestSetDraft. */
export type MergeRequestSetDraftPayload = {
    __typename?: 'MergeRequestSetDraftPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestSetLabels */
export type MergeRequestSetLabelsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /**
     * Label IDs to set. Replaces existing labels by default.
     *
     */
    labelIds: Array<Scalars['LabelID']['input']>;
    /**
     * Changes the operation mode. Defaults to REPLACE.
     *
     */
    operationMode?: InputMaybe<MutationOperationMode>;
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MergeRequestSetLabels. */
export type MergeRequestSetLabelsPayload = {
    __typename?: 'MergeRequestSetLabelsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestSetLocked */
export type MergeRequestSetLockedInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /**
     * Whether or not to lock the merge request.
     *
     */
    locked: Scalars['Boolean']['input'];
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MergeRequestSetLocked. */
export type MergeRequestSetLockedPayload = {
    __typename?: 'MergeRequestSetLockedPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestSetMilestone */
export type MergeRequestSetMilestoneInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /**
     * Milestone to assign to the merge request.
     *
     */
    milestoneId?: InputMaybe<Scalars['MilestoneID']['input']>;
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MergeRequestSetMilestone. */
export type MergeRequestSetMilestonePayload = {
    __typename?: 'MergeRequestSetMilestonePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestSetReviewers */
export type MergeRequestSetReviewersInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Operation to perform. Defaults to REPLACE. */
    operationMode?: InputMaybe<MutationOperationMode>;
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Usernames of reviewers to assign. Replaces existing reviewers by default. */
    reviewerUsernames: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of MergeRequestSetReviewers. */
export type MergeRequestSetReviewersPayload = {
    __typename?: 'MergeRequestSetReviewersPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestSetSubscription */
export type MergeRequestSetSubscriptionInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Desired state of the subscription. */
    subscribedState: Scalars['Boolean']['input'];
};
/** Autogenerated return type of MergeRequestSetSubscription. */
export type MergeRequestSetSubscriptionPayload = {
    __typename?: 'MergeRequestSetSubscriptionPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Values for sorting merge requests */
export declare enum MergeRequestSort {
    /** Closed time by ascending order. */
    ClosedAtAsc = "CLOSED_AT_ASC",
    /** Closed time by descending order. */
    ClosedAtDesc = "CLOSED_AT_DESC",
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Label priority by ascending order. */
    LabelPriorityAsc = "LABEL_PRIORITY_ASC",
    /** Label priority by descending order. */
    LabelPriorityDesc = "LABEL_PRIORITY_DESC",
    /** Merge time by ascending order. */
    MergedAtAsc = "MERGED_AT_ASC",
    /** Merge time by descending order. */
    MergedAtDesc = "MERGED_AT_DESC",
    /** Milestone due date by ascending order. */
    MilestoneDueAsc = "MILESTONE_DUE_ASC",
    /** Milestone due date by descending order. */
    MilestoneDueDesc = "MILESTONE_DUE_DESC",
    /** Priority by ascending order. */
    PriorityAsc = "PRIORITY_ASC",
    /** Priority by descending order. */
    PriorityDesc = "PRIORITY_DESC",
    /** Title by ascending order. */
    TitleAsc = "TITLE_ASC",
    /** Title by descending order. */
    TitleDesc = "TITLE_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** State of a GitLab merge request */
export declare enum MergeRequestState {
    /** All available. */
    All = "all",
    /** In closed state. */
    Closed = "closed",
    /** Discussion has been locked. */
    Locked = "locked",
    /** Merge request has been merged. */
    Merged = "merged",
    /** Opened merge request. */
    Opened = "opened"
}
/** Autogenerated input type of MergeRequestUpdateApprovalRule */
export type MergeRequestUpdateApprovalRuleInput = {
    /** ID of an approval rule. */
    approvalRuleId: Scalars['Int']['input'];
    /** Number of required approvals for a given rule. */
    approvalsRequired: Scalars['Int']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IDs of groups as approvers. */
    groupIds?: InputMaybe<Array<Scalars['String']['input']>>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Name of the approval rule. */
    name: Scalars['String']['input'];
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Whether hidden groups should be removed. */
    removeHiddenGroups?: InputMaybe<Scalars['Boolean']['input']>;
    /** IDs of users as approvers. */
    userIds?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of MergeRequestUpdateApprovalRule. */
export type MergeRequestUpdateApprovalRulePayload = {
    __typename?: 'MergeRequestUpdateApprovalRulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of MergeRequestUpdate */
export type MergeRequestUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the merge request (Markdown rendered as HTML for caching). */
    description?: InputMaybe<Scalars['String']['input']>;
    /** IID of the merge request to mutate. */
    iid: Scalars['String']['input'];
    /** Override all requested changes. Can only be set by users who have permissionto merge this merge request. */
    overrideRequestedChanges?: InputMaybe<Scalars['Boolean']['input']>;
    /** Project the merge request to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Action to perform to change the state. */
    state?: InputMaybe<MergeRequestNewState>;
    /** Target branch of the merge request. */
    targetBranch?: InputMaybe<Scalars['String']['input']>;
    /** Estimated time to complete the merge request. Use `null` or `0` to remove the current estimate. */
    timeEstimate?: InputMaybe<Scalars['String']['input']>;
    /** Title of the merge request. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of MergeRequestUpdate. */
export type MergeRequestUpdatePayload = {
    __typename?: 'MergeRequestUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge request after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
export type MergeRequestsResolverNegatedParams = {
    /** Array of label names. All resolved merge requests will not have these labels. */
    labels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Title of the milestone. */
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
};
/** Representation of whether a GitLab merge request can be merged. */
export declare enum MergeStatus {
    /** There are conflicts between the source and target branches. */
    CannotBeMerged = "CANNOT_BE_MERGED",
    /** Currently unchecked. The previous state was `CANNOT_BE_MERGED`. */
    CannotBeMergedRecheck = "CANNOT_BE_MERGED_RECHECK",
    /** There are no conflicts between the source and target branches. */
    CanBeMerged = "CAN_BE_MERGED",
    /** Currently checking for mergeability. */
    Checking = "CHECKING",
    /** Merge status has not been checked. */
    Unchecked = "UNCHECKED"
}
export declare enum MergeStrategyEnum {
    /** Use the add_to_merge_train_when_checks_pass merge strategy. */
    AddToMergeTrainWhenChecksPass = "ADD_TO_MERGE_TRAIN_WHEN_CHECKS_PASS",
    /** Use the add_to_merge_train_when_pipeline_succeeds merge strategy. */
    AddToMergeTrainWhenPipelineSucceeds = "ADD_TO_MERGE_TRAIN_WHEN_PIPELINE_SUCCEEDS",
    /** Use the merge_train merge strategy. */
    MergeTrain = "MERGE_TRAIN",
    /** Use the merge_when_checks_pass merge strategy. */
    MergeWhenChecksPass = "MERGE_WHEN_CHECKS_PASS",
    /** Use the merge_when_pipeline_succeeds merge strategy. */
    MergeWhenPipelineSucceeds = "MERGE_WHEN_PIPELINE_SUCCEEDS"
}
/** Represents a set of cars/merge_requests queued for merging */
export type MergeTrain = {
    __typename?: 'MergeTrain';
    /**
     * Cars queued in the train. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    cars: MergeTrainCarConnection;
    /** Target branch of the car's merge request. */
    targetBranch: Scalars['String']['output'];
};
/** Represents a set of cars/merge_requests queued for merging */
export type MergeTrainCarsArgs = {
    activityStatus?: MergeTrainStatus;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** MergeTrainCar represents an attempt to merge a merge requestusing merge trains. */
export type MergeTrainCar = {
    __typename?: 'MergeTrainCar';
    /** Timestamp of when the car was created. */
    createdAt: Scalars['Time']['output'];
    /** Duration of the car. */
    duration?: Maybe<Scalars['Int']['output']>;
    /** Global ID of the car. */
    id: Scalars['MergeTrainsCarID']['output'];
    /** Merge request the car contains. */
    mergeRequest: MergeRequest;
    /** Timestamp of when the car was merged. */
    mergedAt?: Maybe<Scalars['Time']['output']>;
    /** Pipeline of the car. */
    pipeline?: Maybe<Pipeline>;
    /** Status of the car. */
    status: CarStatus;
    /** Target branch of the car's merge request. */
    targetBranch: Scalars['String']['output'];
    /** Project the car's MR targets. */
    targetProject: Project;
    /** Timestamp of when the car was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Creator of the car (user who added the merge request to the train). */
    user: UserCore;
    /** Permissions for the current user on the resource */
    userPermissions: CarPermissions;
};
/** The connection type for MergeTrainCar. */
export type MergeTrainCarConnection = {
    __typename?: 'MergeTrainCarConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeTrainCarEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeTrainCar>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeTrainCarEdge = {
    __typename?: 'MergeTrainCarEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeTrainCar>;
};
/** The connection type for MergeTrain. */
export type MergeTrainConnection = {
    __typename?: 'MergeTrainConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MergeTrainEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MergeTrain>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MergeTrainEdge = {
    __typename?: 'MergeTrainEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MergeTrain>;
};
export declare enum MergeTrainStatus {
    /** Active merge train. */
    Active = "ACTIVE",
    /** Completed merge train. */
    Completed = "COMPLETED"
}
/** Autogenerated input type of MergeTrainsDeleteCar */
export type MergeTrainsDeleteCarInput = {
    /** Global ID of the car. */
    carId: Scalars['MergeTrainsCarID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of MergeTrainsDeleteCar. */
export type MergeTrainsDeleteCarPayload = {
    __typename?: 'MergeTrainsDeleteCarPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Representation of mergeability check identifier. */
export declare enum MergeabilityCheckIdentifier {
    /** Checks whether CI has passed */
    CiMustPass = "CI_MUST_PASS",
    /** Checks source branch exists and contains commits. */
    CommitsStatus = "COMMITS_STATUS",
    /** Checks whether the merge request has a conflict */
    Conflict = "CONFLICT",
    /** Checks whether the merge request has open discussions */
    DiscussionsNotResolved = "DISCUSSIONS_NOT_RESOLVED",
    /** Checks whether the merge request is draft */
    DraftStatus = "DRAFT_STATUS",
    /** Checks whether the title or description references a Jira issue. */
    JiraAssociationMissing = "JIRA_ASSOCIATION_MISSING",
    /** Checks whether the merge request is blocked */
    MergeRequestBlocked = "MERGE_REQUEST_BLOCKED",
    /** Checks whether the merge request needs to be rebased */
    NeedRebase = "NEED_REBASE",
    /** Checks whether the merge request is approved */
    NotApproved = "NOT_APPROVED",
    /** Checks whether the merge request is open */
    NotOpen = "NOT_OPEN",
    /** Checks whether the merge request has changes requested */
    RequestedChanges = "REQUESTED_CHANGES",
    /** Checks whether the external status checks pass */
    StatusChecksMustPass = "STATUS_CHECKS_MUST_PASS"
}
/** Representation of whether a mergeability check passed, failed or is inactive. */
export declare enum MergeabilityCheckStatus {
    /** Mergeability check has failed. The merge request cannot be merged. */
    Failed = "FAILED",
    /** Mergeability check is disabled via settings. */
    Inactive = "INACTIVE",
    /** Mergeability check has passed. */
    Success = "SUCCESS",
    /** Mergeability check has passed with a warning. */
    Warning = "WARNING"
}
export type Metadata = {
    __typename?: 'Metadata';
    /** Enterprise edition. */
    enterprise: Scalars['Boolean']['output'];
    /** Metadata about KAS. */
    kas: Kas;
    /** Revision. */
    revision: Scalars['String']['output'];
    /** Version. */
    version: Scalars['String']['output'];
};
/** Represents a metric image upload */
export type MetricImage = {
    __typename?: 'MetricImage';
    /** File name of the metric image. */
    fileName?: Maybe<Scalars['String']['output']>;
    /** File path of the metric image. */
    filePath?: Maybe<Scalars['String']['output']>;
    /** ID of the metric upload. */
    id: Scalars['ID']['output'];
    /** Internal ID of the metric upload. */
    iid: Scalars['String']['output'];
    /** URL of the metric source. */
    url: Scalars['String']['output'];
};
export type MetricsDashboardAnnotation = {
    __typename?: 'MetricsDashboardAnnotation';
    /** Description of the annotation. */
    description?: Maybe<Scalars['String']['output']>;
    /** Timestamp marking end of annotated time span. */
    endingAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the annotation. */
    id: Scalars['ID']['output'];
    /** ID of a dashboard panel to which the annotation should be scoped. */
    panelId?: Maybe<Scalars['String']['output']>;
    /** Timestamp marking start of annotated time span. */
    startingAt?: Maybe<Scalars['Time']['output']>;
};
/** Represents a milestone */
export type Milestone = TimeboxReportInterface & {
    __typename?: 'Milestone';
    /** Timestamp of milestone creation. */
    createdAt: Scalars['Time']['output'];
    /** Description of the milestone. */
    description?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the milestone due date. */
    dueDate?: Maybe<Scalars['Time']['output']>;
    /** Expired state of the milestone (a milestone is expired when the due date is past the current date). Defaults to `false` when due date has not been set. */
    expired: Scalars['Boolean']['output'];
    /** Group of the milestone. */
    group?: Maybe<Group>;
    /** Indicates if milestone is at group level. */
    groupMilestone: Scalars['Boolean']['output'];
    /** ID of the milestone. */
    id: Scalars['ID']['output'];
    /** Internal ID of the milestone. */
    iid: Scalars['ID']['output'];
    /** Project of the milestone. */
    project?: Maybe<Project>;
    /** Indicates if milestone is at project level. */
    projectMilestone: Scalars['Boolean']['output'];
    /** Releases associated with this milestone. */
    releases?: Maybe<ReleaseConnection>;
    /** Historically accurate report about the timebox. */
    report?: Maybe<TimeboxReport>;
    /** Timestamp of the milestone start date. */
    startDate?: Maybe<Scalars['Time']['output']>;
    /** State of the milestone. */
    state: MilestoneStateEnum;
    /** Milestone statistics. */
    stats?: Maybe<MilestoneStats>;
    /** Indicates if milestone is at subgroup level. */
    subgroupMilestone: Scalars['Boolean']['output'];
    /** Title of the milestone. */
    title: Scalars['String']['output'];
    /** Upcoming state of the milestone (a milestone is upcoming when the start date is in the future). Defaults to `false` when start date has not been set. */
    upcoming: Scalars['Boolean']['output'];
    /** Timestamp of last milestone update. */
    updatedAt: Scalars['Time']['output'];
    /** Web path of the milestone. */
    webPath: Scalars['String']['output'];
};
/** Represents a milestone */
export type MilestoneReleasesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a milestone */
export type MilestoneReportArgs = {
    fullPath?: InputMaybe<Scalars['String']['input']>;
};
/** The connection type for Milestone. */
export type MilestoneConnection = {
    __typename?: 'MilestoneConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MilestoneEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Milestone>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type MilestoneEdge = {
    __typename?: 'MilestoneEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Milestone>;
};
/** Values for sorting milestones */
export declare enum MilestoneSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Milestone due date by ascending order. */
    DueDateAsc = "DUE_DATE_ASC",
    /** Milestone due date by descending order. */
    DueDateDesc = "DUE_DATE_DESC",
    /** Group milestones in this order: non-expired milestones with due dates, non-expired milestones without due dates and expired milestones then sort by due date in ascending order. */
    ExpiredLastDueDateAsc = "EXPIRED_LAST_DUE_DATE_ASC",
    /** Group milestones in this order: non-expired milestones with due dates, non-expired milestones without due dates and expired milestones then sort by due date in descending order. */
    ExpiredLastDueDateDesc = "EXPIRED_LAST_DUE_DATE_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** Current state of milestone */
export declare enum MilestoneStateEnum {
    /** Milestone is currently active. */
    Active = "active",
    /** Milestone is closed. */
    Closed = "closed"
}
/** Contains statistics about a milestone */
export type MilestoneStats = {
    __typename?: 'MilestoneStats';
    /** Number of closed issues associated with the milestone. */
    closedIssuesCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of issues associated with the milestone. */
    totalIssuesCount?: Maybe<Scalars['Int']['output']>;
};
/** Milestone ID wildcard values */
export declare enum MilestoneWildcardId {
    /** Milestone is assigned. */
    Any = "ANY",
    /** No milestone is assigned. */
    None = "NONE",
    /** Milestone assigned is open and started (start date <= today). */
    Started = "STARTED",
    /** Milestone assigned is due in the future (due date > today). */
    Upcoming = "UPCOMING"
}
/** Candidate for a model version in the model registry */
export type MlCandidate = {
    __typename?: 'MlCandidate';
    /** Map of links to perform actions on the candidate. */
    _links: MlCandidateLinks;
    /** CI information about the job that created the candidate. */
    ciJob?: Maybe<CiJob>;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** MLflow uuid for the candidate. */
    eid: Scalars['String']['output'];
    /** ID of the candidate. */
    id: Scalars['MlCandidateID']['output'];
    /** IID of the candidate scoped to project. */
    iid: Scalars['Int']['output'];
    /** Metadata entries for the candidate. */
    metadata: MlCandidateMetadataConnection;
    /** Metrics for the candidate. */
    metrics: MlCandidateMetricConnection;
    /** Name of the candidate. */
    name?: Maybe<Scalars['String']['output']>;
    /** Parameters for the candidate. */
    params: MlCandidateParamConnection;
    /** Candidate status. */
    status?: Maybe<Scalars['String']['output']>;
};
/** Candidate for a model version in the model registry */
export type MlCandidateMetadataArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Candidate for a model version in the model registry */
export type MlCandidateMetricsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Candidate for a model version in the model registry */
export type MlCandidateParamsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for MlCandidate. */
export type MlCandidateConnection = {
    __typename?: 'MlCandidateConnection';
    /** Limited count of collection. Returns limit + 1 for counts greater than the limit. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MlCandidateEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MlCandidate>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** The connection type for MlCandidate. */
export type MlCandidateConnectionCountArgs = {
    limit?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type MlCandidateEdge = {
    __typename?: 'MlCandidateEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MlCandidate>;
};
/** Metadata for a candidate in the model registry */
export type MlCandidateMetadata = {
    __typename?: 'MlCandidateMetadata';
    /** ID of the metadata. */
    id: Scalars['MlCandidateMetadataID']['output'];
    /** Name of the metadata entry. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value set for the metadata entry. */
    value: Scalars['String']['output'];
};
/** The connection type for MlCandidateMetadata. */
export type MlCandidateMetadataConnection = {
    __typename?: 'MlCandidateMetadataConnection';
    /** Limited count of collection. Returns limit + 1 for counts greater than the limit. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MlCandidateMetadataEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MlCandidateMetadata>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** The connection type for MlCandidateMetadata. */
export type MlCandidateMetadataConnectionCountArgs = {
    limit?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type MlCandidateMetadataEdge = {
    __typename?: 'MlCandidateMetadataEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MlCandidateMetadata>;
};
/** Metric for a candidate in the model registry */
export type MlCandidateMetric = {
    __typename?: 'MlCandidateMetric';
    /** ID of the metric. */
    id: Scalars['MlCandidateMetricID']['output'];
    /** Name of the metric. */
    name?: Maybe<Scalars['String']['output']>;
    /** Step at which the metric was measured. */
    step: Scalars['Int']['output'];
    /** Value set for the metric. */
    value: Scalars['Float']['output'];
};
/** The connection type for MlCandidateMetric. */
export type MlCandidateMetricConnection = {
    __typename?: 'MlCandidateMetricConnection';
    /** Limited count of collection. Returns limit + 1 for counts greater than the limit. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MlCandidateMetricEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MlCandidateMetric>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** The connection type for MlCandidateMetric. */
export type MlCandidateMetricConnectionCountArgs = {
    limit?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type MlCandidateMetricEdge = {
    __typename?: 'MlCandidateMetricEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MlCandidateMetric>;
};
/** Parameter for a candidate in the model registry */
export type MlCandidateParam = {
    __typename?: 'MlCandidateParam';
    /** ID of the parameter. */
    id: Scalars['MlCandidateParamID']['output'];
    /** Name of the parameter. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value set for the parameter. */
    value: Scalars['String']['output'];
};
/** The connection type for MlCandidateParam. */
export type MlCandidateParamConnection = {
    __typename?: 'MlCandidateParamConnection';
    /** Limited count of collection. Returns limit + 1 for counts greater than the limit. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MlCandidateParamEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MlCandidateParam>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** The connection type for MlCandidateParam. */
export type MlCandidateParamConnectionCountArgs = {
    limit?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type MlCandidateParamEdge = {
    __typename?: 'MlCandidateParamEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MlCandidateParam>;
};
/** Machine learning model in the model registry */
export type MlModel = {
    __typename?: 'MlModel';
    /** Map of links to perform actions on the model. */
    _links: MlModelLinks;
    /** Count of candidates in the model. */
    candidateCount?: Maybe<Scalars['Int']['output']>;
    /** Version candidates of the model. */
    candidates?: Maybe<MlCandidateConnection>;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** Description of the model. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** ID of the model. */
    id: Scalars['MlModelID']['output'];
    /** Latest version of the model. */
    latestVersion?: Maybe<MlModelVersion>;
    /** Name of the model. */
    name: Scalars['String']['output'];
    /** Version of the model. */
    version?: Maybe<MlModelVersion>;
    /** Count of versions in the model. */
    versionCount?: Maybe<Scalars['Int']['output']>;
    /** Versions of the model. */
    versions?: Maybe<MlModelVersionConnection>;
};
/** Machine learning model in the model registry */
export type MlModelCandidatesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Machine learning model in the model registry */
export type MlModelVersionArgs = {
    modelVersionId?: InputMaybe<Scalars['MlModelVersionID']['input']>;
};
/** Machine learning model in the model registry */
export type MlModelVersionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    orderBy?: InputMaybe<MlModelVersionsOrderBy>;
    sort?: InputMaybe<SortDirectionEnum>;
    version?: InputMaybe<Scalars['String']['input']>;
};
/** The connection type for MlModel. */
export type MlModelConnection = {
    __typename?: 'MlModelConnection';
    /** Limited count of collection. Returns limit + 1 for counts greater than the limit. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MlModelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MlModel>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** The connection type for MlModel. */
export type MlModelConnectionCountArgs = {
    limit?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of MlModelCreate */
export type MlModelCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the model. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Name of the model. */
    name: Scalars['String']['input'];
    /** Project the model to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MlModelCreate. */
export type MlModelCreatePayload = {
    __typename?: 'MlModelCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Model after mutation. */
    model?: Maybe<MlModel>;
};
/** Autogenerated input type of MlModelDelete */
export type MlModelDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the model to be deleted. */
    id: Scalars['MlModelID']['input'];
    /** Project the model to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MlModelDelete. */
export type MlModelDeletePayload = {
    __typename?: 'MlModelDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Model after mutation. */
    model?: Maybe<MlModel>;
};
/** Autogenerated input type of MlModelDestroy */
export type MlModelDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the model to be deleted. */
    id: Scalars['MlModelID']['input'];
    /** Project the model to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of MlModelDestroy. */
export type MlModelDestroyPayload = {
    __typename?: 'MlModelDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Model deletion result message. */
    message?: Maybe<Scalars['String']['output']>;
    /** Model after mutation. */
    model?: Maybe<MlModel>;
};
/** An edge in a connection. */
export type MlModelEdge = {
    __typename?: 'MlModelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MlModel>;
};
/** Version of a machine learning model */
export type MlModelVersion = {
    __typename?: 'MlModelVersion';
    /** Map of links to perform actions on the model version. */
    _links: MlModelVersionLinks;
    /** Metrics, params and metadata for the model version. */
    candidate: MlCandidate;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** Description of the version. */
    description?: Maybe<Scalars['String']['output']>;
    /** ID of the model version. */
    id: Scalars['MlModelVersionID']['output'];
    /** Package for model version artifacts. */
    packageId: Scalars['PackagesPackageID']['output'];
    /** Name of the version. */
    version: Scalars['String']['output'];
};
/** The connection type for MlModelVersion. */
export type MlModelVersionConnection = {
    __typename?: 'MlModelVersionConnection';
    /** Limited count of collection. Returns limit + 1 for counts greater than the limit. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<MlModelVersionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<MlModelVersion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** The connection type for MlModelVersion. */
export type MlModelVersionConnectionCountArgs = {
    limit?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of MlModelVersionCreate */
export type MlModelVersionCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the model version. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the model the version belongs to. */
    modelId: Scalars['MlModelID']['input'];
    /** Project the model to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Model version. */
    version?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of MlModelVersionCreate. */
export type MlModelVersionCreatePayload = {
    __typename?: 'MlModelVersionCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Model after mutation. */
    modelVersion?: Maybe<MlModelVersion>;
};
/** Autogenerated input type of MlModelVersionDelete */
export type MlModelVersionDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the model version to be deleted. */
    id: Scalars['MlModelVersionID']['input'];
};
/** Autogenerated return type of MlModelVersionDelete. */
export type MlModelVersionDeletePayload = {
    __typename?: 'MlModelVersionDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Deleted model version. */
    modelVersion?: Maybe<MlModelVersion>;
};
/** An edge in a connection. */
export type MlModelVersionEdge = {
    __typename?: 'MlModelVersionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<MlModelVersion>;
};
/** Field names for ordering machine learning model versions */
export declare enum MlModelVersionsOrderBy {
    /** Ordered by creation time. */
    CreatedAt = "CREATED_AT",
    /** Ordered by id. */
    Id = "ID",
    /** Ordered by name. */
    Version = "VERSION"
}
/** Values for ordering machine learning models by a specific field */
export declare enum MlModelsOrderBy {
    /** Ordered by creation time. */
    CreatedAt = "CREATED_AT",
    /** Ordered by id. */
    Id = "ID",
    /** Ordered by name. */
    Name = "NAME",
    /** Ordered by update time. */
    UpdatedAt = "UPDATED_AT"
}
/** A year and month input for querying product analytics usage data. */
export type MonthSelectionInput = {
    /** Month of the period to return. */
    month: Scalars['Int']['input'];
    /** Year of the period to return. */
    year: Scalars['Int']['input'];
};
/** Product analytics events for a specific month and year. */
export type MonthlyUsage = {
    __typename?: 'MonthlyUsage';
    /** Count of product analytics events. */
    count?: Maybe<Scalars['Int']['output']>;
    /** Month of the data. */
    month: Scalars['Int']['output'];
    /** Year of the data. */
    year: Scalars['Int']['output'];
};
/** The position to which the adjacent object should be moved */
export declare enum MoveType {
    /** Adjacent object is moved after the object that is being moved. */
    After = "after",
    /** Adjacent object is moved before the object that is being moved. */
    Before = "before"
}
export type Mutation = {
    __typename?: 'Mutation';
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.4. */
    abuseReportLabelCreate?: Maybe<AbuseReportLabelCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.10. */
    achievementsAward?: Maybe<AchievementsAwardPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.8. */
    achievementsCreate?: Maybe<AchievementsCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.11. */
    achievementsDelete?: Maybe<AchievementsDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.10. */
    achievementsRevoke?: Maybe<AchievementsRevokePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.11. */
    achievementsUpdate?: Maybe<AchievementsUpdatePayload>;
    addProjectToSecurityDashboard?: Maybe<AddProjectToSecurityDashboardPayload>;
    adminSidekiqQueuesDeleteJobs?: Maybe<AdminSidekiqQueuesDeleteJobsPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.11. */
    aiAction?: Maybe<AiActionPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.8. */
    aiAgentCreate?: Maybe<AiAgentCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    aiAgentDestroy?: Maybe<AiAgentDestroyPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    aiAgentUpdate?: Maybe<AiAgentUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.1. */
    aiSelfHostedModelCreate?: Maybe<AiSelfHostedModelCreatePayload>;
    /**
     * Deletes a self-hosted model. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    aiSelfHostedModelDelete?: Maybe<AiSelfHostedModelDeletePayload>;
    /**
     * Updates a self-hosted model. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    aiSelfHostedModelUpdate?: Maybe<AiSelfHostedModelUpdatePayload>;
    alertSetAssignees?: Maybe<AlertSetAssigneesPayload>;
    alertTodoCreate?: Maybe<AlertTodoCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    approvalProjectRuleDelete?: Maybe<ApprovalProjectRuleDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    approvalProjectRuleUpdate?: Maybe<ApprovalProjectRuleUpdatePayload>;
    approveDeployment?: Maybe<ApproveDeploymentPayload>;
    artifactDestroy?: Maybe<ArtifactDestroyPayload>;
    auditEventsAmazonS3ConfigurationCreate?: Maybe<AuditEventsAmazonS3ConfigurationCreatePayload>;
    auditEventsAmazonS3ConfigurationDelete?: Maybe<AuditEventsAmazonS3ConfigurationDeletePayload>;
    auditEventsAmazonS3ConfigurationUpdate?: Maybe<AuditEventsAmazonS3ConfigurationUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    auditEventsGroupDestinationEventsAdd?: Maybe<AuditEventsGroupDestinationEventsAddPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    auditEventsGroupDestinationEventsDelete?: Maybe<AuditEventsGroupDestinationEventsDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    auditEventsGroupDestinationNamespaceFilterCreate?: Maybe<AuditEventsGroupDestinationNamespaceFilterCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    auditEventsGroupDestinationNamespaceFilterDelete?: Maybe<AuditEventsGroupDestinationNamespaceFilterDeletePayload>;
    auditEventsInstanceAmazonS3ConfigurationCreate?: Maybe<AuditEventsInstanceAmazonS3ConfigurationCreatePayload>;
    auditEventsInstanceAmazonS3ConfigurationDelete?: Maybe<AuditEventsInstanceAmazonS3ConfigurationDeletePayload>;
    auditEventsInstanceAmazonS3ConfigurationUpdate?: Maybe<AuditEventsInstanceAmazonS3ConfigurationUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    auditEventsInstanceDestinationEventsAdd?: Maybe<AuditEventsInstanceDestinationEventsAddPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    auditEventsInstanceDestinationEventsDelete?: Maybe<AuditEventsInstanceDestinationEventsDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    auditEventsInstanceDestinationNamespaceFilterCreate?: Maybe<AuditEventsInstanceDestinationNamespaceFilterCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    auditEventsInstanceDestinationNamespaceFilterDelete?: Maybe<AuditEventsInstanceDestinationNamespaceFilterDeletePayload>;
    auditEventsStreamingDestinationEventsAdd?: Maybe<AuditEventsStreamingDestinationEventsAddPayload>;
    auditEventsStreamingDestinationEventsRemove?: Maybe<AuditEventsStreamingDestinationEventsRemovePayload>;
    auditEventsStreamingDestinationInstanceEventsAdd?: Maybe<AuditEventsStreamingDestinationInstanceEventsAddPayload>;
    auditEventsStreamingDestinationInstanceEventsRemove?: Maybe<AuditEventsStreamingDestinationInstanceEventsRemovePayload>;
    auditEventsStreamingHeadersCreate?: Maybe<AuditEventsStreamingHeadersCreatePayload>;
    auditEventsStreamingHeadersDestroy?: Maybe<AuditEventsStreamingHeadersDestroyPayload>;
    auditEventsStreamingHeadersUpdate?: Maybe<AuditEventsStreamingHeadersUpdatePayload>;
    auditEventsStreamingHttpNamespaceFiltersAdd?: Maybe<AuditEventsStreamingHttpNamespaceFiltersAddPayload>;
    auditEventsStreamingHttpNamespaceFiltersDelete?: Maybe<AuditEventsStreamingHttpNamespaceFiltersDeletePayload>;
    auditEventsStreamingInstanceHeadersCreate?: Maybe<AuditEventsStreamingInstanceHeadersCreatePayload>;
    auditEventsStreamingInstanceHeadersDestroy?: Maybe<AuditEventsStreamingInstanceHeadersDestroyPayload>;
    auditEventsStreamingInstanceHeadersUpdate?: Maybe<AuditEventsStreamingInstanceHeadersUpdatePayload>;
    awardEmojiAdd?: Maybe<AwardEmojiAddPayload>;
    awardEmojiRemove?: Maybe<AwardEmojiRemovePayload>;
    awardEmojiToggle?: Maybe<AwardEmojiTogglePayload>;
    boardEpicCreate?: Maybe<BoardEpicCreatePayload>;
    boardListCreate?: Maybe<BoardListCreatePayload>;
    boardListUpdateLimitMetrics?: Maybe<BoardListUpdateLimitMetricsPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    branchRuleApprovalProjectRuleCreate?: Maybe<BranchRuleApprovalProjectRuleCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.7. */
    branchRuleCreate?: Maybe<BranchRuleCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.9. */
    branchRuleDelete?: Maybe<BranchRuleDeletePayload>;
    /**
     * Create a new external status check from a branch rule Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    branchRuleExternalStatusCheckCreate?: Maybe<BranchRuleExternalStatusCheckCreatePayload>;
    /**
     * Destroy an external status check from a branch rule Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    branchRuleExternalStatusCheckDestroy?: Maybe<BranchRuleExternalStatusCheckDestroyPayload>;
    /**
     * Update an external status check from a branch rule Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    branchRuleExternalStatusCheckUpdate?: Maybe<BranchRuleExternalStatusCheckUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.7. */
    branchRuleUpdate?: Maybe<BranchRuleUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.0. */
    buildForecast?: Maybe<BuildForecastPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.10. */
    bulkDestroyJobArtifacts?: Maybe<BulkDestroyJobArtifactsPayload>;
    /** **Status:** Beta */
    bulkEnableDevopsAdoptionNamespaces?: Maybe<BulkEnableDevopsAdoptionNamespacesPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.3. */
    bulkRunnerDelete?: Maybe<BulkRunnerDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.11. */
    catalogResourcesCreate?: Maybe<CatalogResourcesCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.6. */
    catalogResourcesDestroy?: Maybe<CatalogResourcesDestroyPayload>;
    ciJobTokenScopeAddGroupOrProject?: Maybe<CiJobTokenScopeAddGroupOrProjectPayload>;
    ciJobTokenScopeAddProject?: Maybe<CiJobTokenScopeAddProjectPayload>;
    ciJobTokenScopeRemoveGroup?: Maybe<CiJobTokenScopeRemoveGroupPayload>;
    ciJobTokenScopeRemoveProject?: Maybe<CiJobTokenScopeRemoveProjectPayload>;
    clusterAgentDelete?: Maybe<ClusterAgentDeletePayload>;
    clusterAgentTokenCreate?: Maybe<ClusterAgentTokenCreatePayload>;
    clusterAgentTokenRevoke?: Maybe<ClusterAgentTokenRevokePayload>;
    commitCreate?: Maybe<CommitCreatePayload>;
    /**
     * Configure Container Scanning for a project by enabling Container Scanning in a new or modified
     * `.gitlab-ci.yml` file in a new branch. The new branch and a URL to
     * create a merge request are part of the response.
     *
     */
    configureContainerScanning?: Maybe<ConfigureContainerScanningPayload>;
    /**
     * Configure Dependency Scanning for a project by enabling Dependency Scanning in a new or modified
     * `.gitlab-ci.yml` file in a new branch. The new branch and a URL to
     * create a Merge Request are a part of the response.
     *
     */
    configureDependencyScanning?: Maybe<ConfigureDependencyScanningPayload>;
    /**
     * Configure SAST for a project by enabling SAST in a new or modified
     * `.gitlab-ci.yml` file in a new branch. The new branch and a URL to
     * create a Merge Request are a part of the response.
     *
     */
    configureSast?: Maybe<ConfigureSastPayload>;
    /**
     * Enable SAST IaC for a project in a new or
     * modified `.gitlab-ci.yml` file in a new branch. The new
     * branch and a URL to create a merge request are a part of the
     * response.
     *
     */
    configureSastIac?: Maybe<ConfigureSastIacPayload>;
    /**
     * Configure Secret Detection for a project by enabling Secret Detection
     * in a new or modified `.gitlab-ci.yml` file in a new branch. The new
     * branch and a URL to create a Merge Request are a part of the
     * response.
     *
     */
    configureSecretDetection?: Maybe<ConfigureSecretDetectionPayload>;
    corpusCreate?: Maybe<CorpusCreatePayload>;
    createAlertIssue?: Maybe<CreateAlertIssuePayload>;
    /** @deprecated Underlying feature was removed in 16.0. Deprecated in GitLab 16.0. */
    createAnnotation?: Maybe<CreateAnnotationPayload>;
    createBoard?: Maybe<CreateBoardPayload>;
    createBranch?: Maybe<CreateBranchPayload>;
    createClusterAgent?: Maybe<CreateClusterAgentPayload>;
    createComplianceFramework?: Maybe<CreateComplianceFrameworkPayload>;
    /**
     * Creates a protection rule to restrict access to a project's container registry. Available only when feature flag `container_registry_protected_containers` is enabled. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    createContainerRegistryProtectionRule?: Maybe<CreateContainerRegistryProtectionRulePayload>;
    createCustomEmoji?: Maybe<CreateCustomEmojiPayload>;
    createDiffNote?: Maybe<CreateDiffNotePayload>;
    createDiscussion?: Maybe<CreateDiscussionPayload>;
    createEpic?: Maybe<CreateEpicPayload>;
    createImageDiffNote?: Maybe<CreateImageDiffNotePayload>;
    createIssue?: Maybe<CreateIssuePayload>;
    /** @deprecated Use iterationCreate. Deprecated in GitLab 14.0. */
    createIteration?: Maybe<CreateIterationPayload>;
    /**
     * Creates a Note.
     * If the body of the Note contains only quick actions,
     * the Note will be destroyed during an update, and no Note will be
     * returned.
     *
     */
    createNote?: Maybe<CreateNotePayload>;
    /**
     * Creates a protection rule to restrict access to project packages. Available only when feature flag `packages_protected_packages` is enabled. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    createPackagesProtectionRule?: Maybe<CreatePackagesProtectionRulePayload>;
    createRequirement?: Maybe<CreateRequirementPayload>;
    createSnippet?: Maybe<CreateSnippetPayload>;
    createTestCase?: Maybe<CreateTestCasePayload>;
    customerRelationsContactCreate?: Maybe<CustomerRelationsContactCreatePayload>;
    customerRelationsContactUpdate?: Maybe<CustomerRelationsContactUpdatePayload>;
    customerRelationsOrganizationCreate?: Maybe<CustomerRelationsOrganizationCreatePayload>;
    customerRelationsOrganizationUpdate?: Maybe<CustomerRelationsOrganizationUpdatePayload>;
    dastOnDemandScanCreate?: Maybe<DastOnDemandScanCreatePayload>;
    dastProfileCreate?: Maybe<DastProfileCreatePayload>;
    dastProfileDelete?: Maybe<DastProfileDeletePayload>;
    dastProfileRun?: Maybe<DastProfileRunPayload>;
    dastProfileUpdate?: Maybe<DastProfileUpdatePayload>;
    dastScannerProfileCreate?: Maybe<DastScannerProfileCreatePayload>;
    dastScannerProfileDelete?: Maybe<DastScannerProfileDeletePayload>;
    dastScannerProfileUpdate?: Maybe<DastScannerProfileUpdatePayload>;
    dastSiteProfileCreate?: Maybe<DastSiteProfileCreatePayload>;
    dastSiteProfileDelete?: Maybe<DastSiteProfileDeletePayload>;
    dastSiteProfileUpdate?: Maybe<DastSiteProfileUpdatePayload>;
    dastSiteTokenCreate?: Maybe<DastSiteTokenCreatePayload>;
    dastSiteValidationCreate?: Maybe<DastSiteValidationCreatePayload>;
    dastSiteValidationRevoke?: Maybe<DastSiteValidationRevokePayload>;
    /** @deprecated Underlying feature was removed in 16.0. Deprecated in GitLab 16.0. */
    deleteAnnotation?: Maybe<DeleteAnnotationPayload>;
    /**
     * Deletes a container registry protection rule. Available only when feature flag `container_registry_protected_containers` is enabled. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    deleteContainerRegistryProtectionRule?: Maybe<DeleteContainerRegistryProtectionRulePayload>;
    /**
     * Deletes a protection rule for packages. Available only when feature flag `packages_protected_packages` is enabled. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    deletePackagesProtectionRule?: Maybe<DeletePackagesProtectionRulePayload>;
    /**
     * Deletes a Pages deployment. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    deletePagesDeployment?: Maybe<DeletePagesDeploymentPayload>;
    designManagementDelete?: Maybe<DesignManagementDeletePayload>;
    designManagementMove?: Maybe<DesignManagementMovePayload>;
    designManagementUpdate?: Maybe<DesignManagementUpdatePayload>;
    designManagementUpload?: Maybe<DesignManagementUploadPayload>;
    destroyBoard?: Maybe<DestroyBoardPayload>;
    destroyBoardList?: Maybe<DestroyBoardListPayload>;
    destroyComplianceFramework?: Maybe<DestroyComplianceFrameworkPayload>;
    destroyContainerRepository?: Maybe<DestroyContainerRepositoryPayload>;
    destroyContainerRepositoryTags?: Maybe<DestroyContainerRepositoryTagsPayload>;
    destroyCustomEmoji?: Maybe<DestroyCustomEmojiPayload>;
    destroyEpicBoard?: Maybe<DestroyEpicBoardPayload>;
    destroyNote?: Maybe<DestroyNotePayload>;
    destroyPackage?: Maybe<DestroyPackagePayload>;
    destroyPackageFile?: Maybe<DestroyPackageFilePayload>;
    destroyPackageFiles?: Maybe<DestroyPackageFilesPayload>;
    destroyPackages?: Maybe<DestroyPackagesPayload>;
    destroySnippet?: Maybe<DestroySnippetPayload>;
    /** **Status:** Beta */
    disableDevopsAdoptionNamespace?: Maybe<DisableDevopsAdoptionNamespacePayload>;
    /** Toggles the resolved state of a discussion */
    discussionToggleResolve?: Maybe<DiscussionToggleResolvePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    duoUserFeedback?: Maybe<DuoUserFeedbackPayload>;
    /**
     * A mutation that does not perform any changes.
     *
     * This is expected to be used for testing of endpoints, to verify
     * that a user has mutation access.
     *
     */
    echoCreate?: Maybe<EchoCreatePayload>;
    /** **Status:** Beta */
    enableDevopsAdoptionNamespace?: Maybe<EnableDevopsAdoptionNamespacePayload>;
    /** Create an environment. */
    environmentCreate?: Maybe<EnvironmentCreatePayload>;
    /** Delete an environment. */
    environmentDelete?: Maybe<EnvironmentDeletePayload>;
    /** Stop an environment. */
    environmentStop?: Maybe<EnvironmentStopPayload>;
    /** Update an environment. */
    environmentUpdate?: Maybe<EnvironmentUpdatePayload>;
    /** **Deprecated** This endpoint is planned to be removed along with certificate-based clusters. [See this epic](https://gitlab.com/groups/gitlab-org/configure/-/epics/8) for more information. */
    environmentsCanaryIngressUpdate?: Maybe<EnvironmentsCanaryIngressUpdatePayload>;
    epicAddIssue?: Maybe<EpicAddIssuePayload>;
    epicBoardCreate?: Maybe<EpicBoardCreatePayload>;
    epicBoardListCreate?: Maybe<EpicBoardListCreatePayload>;
    /** Destroys an epic board list. */
    epicBoardListDestroy?: Maybe<EpicBoardListDestroyPayload>;
    epicBoardUpdate?: Maybe<EpicBoardUpdatePayload>;
    epicMoveList?: Maybe<EpicMoveListPayload>;
    epicSetSubscription?: Maybe<EpicSetSubscriptionPayload>;
    epicTreeReorder?: Maybe<EpicTreeReorderPayload>;
    escalationPolicyCreate?: Maybe<EscalationPolicyCreatePayload>;
    escalationPolicyDestroy?: Maybe<EscalationPolicyDestroyPayload>;
    escalationPolicyUpdate?: Maybe<EscalationPolicyUpdatePayload>;
    exportRequirements?: Maybe<ExportRequirementsPayload>;
    externalAuditEventDestinationCreate?: Maybe<ExternalAuditEventDestinationCreatePayload>;
    externalAuditEventDestinationDestroy?: Maybe<ExternalAuditEventDestinationDestroyPayload>;
    externalAuditEventDestinationUpdate?: Maybe<ExternalAuditEventDestinationUpdatePayload>;
    /**
     * Mutates multiple Geo registries for a given registry class. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    geoRegistriesBulkUpdate?: Maybe<GeoRegistriesBulkUpdatePayload>;
    /**
     * Mutates a Geo registry. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    geoRegistriesUpdate?: Maybe<GeoRegistriesUpdatePayload>;
    gitlabSubscriptionActivate?: Maybe<GitlabSubscriptionActivatePayload>;
    googleCloudLoggingConfigurationCreate?: Maybe<GoogleCloudLoggingConfigurationCreatePayload>;
    googleCloudLoggingConfigurationDestroy?: Maybe<GoogleCloudLoggingConfigurationDestroyPayload>;
    googleCloudLoggingConfigurationUpdate?: Maybe<GoogleCloudLoggingConfigurationUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    groupAuditEventStreamingDestinationsCreate?: Maybe<GroupAuditEventStreamingDestinationsCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    groupAuditEventStreamingDestinationsDelete?: Maybe<GroupAuditEventStreamingDestinationsDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    groupAuditEventStreamingDestinationsUpdate?: Maybe<GroupAuditEventStreamingDestinationsUpdatePayload>;
    groupMemberBulkUpdate?: Maybe<GroupMemberBulkUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    groupSavedReplyCreate?: Maybe<GroupSavedReplyCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    groupSavedReplyDestroy?: Maybe<GroupSavedReplyDestroyPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    groupSavedReplyUpdate?: Maybe<GroupSavedReplyUpdatePayload>;
    groupUpdate?: Maybe<GroupUpdatePayload>;
    httpIntegrationCreate?: Maybe<HttpIntegrationCreatePayload>;
    httpIntegrationDestroy?: Maybe<HttpIntegrationDestroyPayload>;
    httpIntegrationResetToken?: Maybe<HttpIntegrationResetTokenPayload>;
    httpIntegrationUpdate?: Maybe<HttpIntegrationUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    importSourceUserCancelReassignment?: Maybe<ImportSourceUserCancelReassignmentPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    importSourceUserKeepAsPlaceholder?: Maybe<ImportSourceUserKeepAsPlaceholderPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    importSourceUserReassign?: Maybe<ImportSourceUserReassignPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    importSourceUserResendNotification?: Maybe<ImportSourceUserResendNotificationPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    instanceAuditEventStreamingDestinationsCreate?: Maybe<InstanceAuditEventStreamingDestinationsCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    instanceAuditEventStreamingDestinationsDelete?: Maybe<InstanceAuditEventStreamingDestinationsDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    instanceAuditEventStreamingDestinationsUpdate?: Maybe<InstanceAuditEventStreamingDestinationsUpdatePayload>;
    instanceExternalAuditEventDestinationCreate?: Maybe<InstanceExternalAuditEventDestinationCreatePayload>;
    instanceExternalAuditEventDestinationDestroy?: Maybe<InstanceExternalAuditEventDestinationDestroyPayload>;
    instanceExternalAuditEventDestinationUpdate?: Maybe<InstanceExternalAuditEventDestinationUpdatePayload>;
    instanceGoogleCloudLoggingConfigurationCreate?: Maybe<InstanceGoogleCloudLoggingConfigurationCreatePayload>;
    instanceGoogleCloudLoggingConfigurationDestroy?: Maybe<InstanceGoogleCloudLoggingConfigurationDestroyPayload>;
    instanceGoogleCloudLoggingConfigurationUpdate?: Maybe<InstanceGoogleCloudLoggingConfigurationUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    integrationExclusionCreate?: Maybe<IntegrationExclusionCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    integrationExclusionDelete?: Maybe<IntegrationExclusionDeletePayload>;
    issuableResourceLinkCreate?: Maybe<IssuableResourceLinkCreatePayload>;
    issuableResourceLinkDestroy?: Maybe<IssuableResourceLinkDestroyPayload>;
    issueLinkAlerts?: Maybe<IssueLinkAlertsPayload>;
    issueMove?: Maybe<IssueMovePayload>;
    issueMoveList?: Maybe<IssueMoveListPayload>;
    issueSetAssignees?: Maybe<IssueSetAssigneesPayload>;
    issueSetConfidential?: Maybe<IssueSetConfidentialPayload>;
    issueSetCrmContacts?: Maybe<IssueSetCrmContactsPayload>;
    issueSetDueDate?: Maybe<IssueSetDueDatePayload>;
    issueSetEpic?: Maybe<IssueSetEpicPayload>;
    issueSetEscalationPolicy?: Maybe<IssueSetEscalationPolicyPayload>;
    issueSetEscalationStatus?: Maybe<IssueSetEscalationStatusPayload>;
    issueSetIteration?: Maybe<IssueSetIterationPayload>;
    issueSetLocked?: Maybe<IssueSetLockedPayload>;
    issueSetSeverity?: Maybe<IssueSetSeverityPayload>;
    issueSetSubscription?: Maybe<IssueSetSubscriptionPayload>;
    issueSetWeight?: Maybe<IssueSetWeightPayload>;
    issueUnlinkAlert?: Maybe<IssueUnlinkAlertPayload>;
    /**
     * Allows updating several properties for a set of issues. Does nothing if the `bulk_update_issues_mutation` feature flag is disabled. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    issuesBulkUpdate?: Maybe<IssuesBulkUpdatePayload>;
    iterationCadenceCreate?: Maybe<IterationCadenceCreatePayload>;
    iterationCadenceDestroy?: Maybe<IterationCadenceDestroyPayload>;
    iterationCadenceUpdate?: Maybe<IterationCadenceUpdatePayload>;
    iterationCreate?: Maybe<IterationCreatePayload>;
    iterationDelete?: Maybe<IterationDeletePayload>;
    jiraImportStart?: Maybe<JiraImportStartPayload>;
    jiraImportUsers?: Maybe<JiraImportUsersPayload>;
    jobArtifactsDestroy?: Maybe<JobArtifactsDestroyPayload>;
    jobCancel?: Maybe<JobCancelPayload>;
    jobPlay?: Maybe<JobPlayPayload>;
    jobRetry?: Maybe<JobRetryPayload>;
    jobUnschedule?: Maybe<JobUnschedulePayload>;
    labelCreate?: Maybe<LabelCreatePayload>;
    markAsSpamSnippet?: Maybe<MarkAsSpamSnippetPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.5. */
    memberRoleCreate?: Maybe<MemberRoleCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.7. */
    memberRoleDelete?: Maybe<MemberRoleDeletePayload>;
    memberRoleUpdate?: Maybe<MemberRoleUpdatePayload>;
    /**
     * Accepts a merge request.
     * When accepted, the source branch will be scheduled to merge into the target branch, either
     * immediately if possible, or using one of the automatic merge strategies.
     *
     * [In GitLab 16.5](https://gitlab.com/gitlab-org/gitlab/-/issues/421510), the merging happens asynchronously.
     * This results in `mergeRequest` and `state` not updating after a mutation request,
     * because the merging may not have happened yet.
     *
     */
    mergeRequestAccept?: Maybe<MergeRequestAcceptPayload>;
    mergeRequestCreate?: Maybe<MergeRequestCreatePayload>;
    mergeRequestReviewerRereview?: Maybe<MergeRequestReviewerRereviewPayload>;
    mergeRequestSetAssignees?: Maybe<MergeRequestSetAssigneesPayload>;
    mergeRequestSetDraft?: Maybe<MergeRequestSetDraftPayload>;
    mergeRequestSetLabels?: Maybe<MergeRequestSetLabelsPayload>;
    mergeRequestSetLocked?: Maybe<MergeRequestSetLockedPayload>;
    mergeRequestSetMilestone?: Maybe<MergeRequestSetMilestonePayload>;
    mergeRequestSetReviewers?: Maybe<MergeRequestSetReviewersPayload>;
    mergeRequestSetSubscription?: Maybe<MergeRequestSetSubscriptionPayload>;
    /** Update attributes of a merge request */
    mergeRequestUpdate?: Maybe<MergeRequestUpdatePayload>;
    mergeRequestUpdateApprovalRule?: Maybe<MergeRequestUpdateApprovalRulePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    mergeTrainsDeleteCar?: Maybe<MergeTrainsDeleteCarPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.8. */
    mlModelCreate?: Maybe<MlModelCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    mlModelDelete?: Maybe<MlModelDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.10. */
    mlModelDestroy?: Maybe<MlModelDestroyPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.1. */
    mlModelVersionCreate?: Maybe<MlModelVersionCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    mlModelVersionDelete?: Maybe<MlModelVersionDeletePayload>;
    namespaceBanDestroy?: Maybe<NamespaceBanDestroyPayload>;
    namespaceCiCdSettingsUpdate?: Maybe<NamespaceCiCdSettingsUpdatePayload>;
    namespaceCreateRemoteDevelopmentClusterAgentMapping?: Maybe<NamespaceCreateRemoteDevelopmentClusterAgentMappingPayload>;
    namespaceDeleteRemoteDevelopmentClusterAgentMapping?: Maybe<NamespaceDeleteRemoteDevelopmentClusterAgentMappingPayload>;
    oncallRotationCreate?: Maybe<OncallRotationCreatePayload>;
    oncallRotationDestroy?: Maybe<OncallRotationDestroyPayload>;
    oncallRotationUpdate?: Maybe<OncallRotationUpdatePayload>;
    oncallScheduleCreate?: Maybe<OncallScheduleCreatePayload>;
    oncallScheduleDestroy?: Maybe<OncallScheduleDestroyPayload>;
    oncallScheduleUpdate?: Maybe<OncallScheduleUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.6. */
    organizationCreate?: Maybe<OrganizationCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.7. */
    organizationUpdate?: Maybe<OrganizationUpdatePayload>;
    pagesMarkOnboardingComplete?: Maybe<PagesMarkOnboardingCompletePayload>;
    pipelineCancel?: Maybe<PipelineCancelPayload>;
    pipelineDestroy?: Maybe<PipelineDestroyPayload>;
    pipelineRetry?: Maybe<PipelineRetryPayload>;
    pipelineScheduleCreate?: Maybe<PipelineScheduleCreatePayload>;
    pipelineScheduleDelete?: Maybe<PipelineScheduleDeletePayload>;
    pipelineSchedulePlay?: Maybe<PipelineSchedulePlayPayload>;
    pipelineScheduleTakeOwnership?: Maybe<PipelineScheduleTakeOwnershipPayload>;
    pipelineScheduleUpdate?: Maybe<PipelineScheduleUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.3. */
    pipelineTriggerCreate?: Maybe<PipelineTriggerCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.3. */
    pipelineTriggerDelete?: Maybe<PipelineTriggerDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.3. */
    pipelineTriggerUpdate?: Maybe<PipelineTriggerUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.2. */
    processUserBillablePromotionRequest?: Maybe<ProcessUserBillablePromotionRequestPayload>;
    productAnalyticsProjectSettingsUpdate?: Maybe<ProductAnalyticsProjectSettingsUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.1. */
    projectBlobsRemove?: Maybe<ProjectBlobsRemovePayload>;
    projectCiCdSettingsUpdate?: Maybe<ProjectCiCdSettingsUpdatePayload>;
    projectInitializeProductAnalytics?: Maybe<ProjectInitializeProductAnalyticsPayload>;
    /** Updates multiple members of a project. To use this mutation, you must have at least the Maintainer role. */
    projectMemberBulkUpdate?: Maybe<ProjectMemberBulkUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    projectSavedReplyCreate?: Maybe<ProjectSavedReplyCreatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    projectSavedReplyDestroy?: Maybe<ProjectSavedReplyDestroyPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.11. */
    projectSavedReplyUpdate?: Maybe<ProjectSavedReplyUpdatePayload>;
    /** Assign (or unset) a compliance framework to a project. This mutation raises an error if the project has more than one compliance framework associated with it. */
    projectSetComplianceFramework?: Maybe<ProjectSetComplianceFrameworkPayload>;
    /**
     * Enable/disable Continuous Vulnerability Scanning for the given project.
     *
     */
    projectSetContinuousVulnerabilityScanning?: Maybe<ProjectSetContinuousVulnerabilityScanningPayload>;
    projectSetLocked?: Maybe<ProjectSetLockedPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.9. */
    projectSettingsUpdate?: Maybe<ProjectSettingsUpdatePayload>;
    projectSubscriptionCreate?: Maybe<ProjectSubscriptionCreatePayload>;
    projectSubscriptionDelete?: Maybe<ProjectSubscriptionDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.9. */
    projectSyncFork?: Maybe<ProjectSyncForkPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.1. */
    projectTextReplace?: Maybe<ProjectTextReplacePayload>;
    /** Update compliance frameworks for a project. */
    projectUpdateComplianceFrameworks?: Maybe<ProjectUpdateComplianceFrameworksPayload>;
    prometheusIntegrationCreate?: Maybe<PrometheusIntegrationCreatePayload>;
    prometheusIntegrationResetToken?: Maybe<PrometheusIntegrationResetTokenPayload>;
    prometheusIntegrationUpdate?: Maybe<PrometheusIntegrationUpdatePayload>;
    promoteToEpic?: Maybe<PromoteToEpicPayload>;
    refreshStandardsAdherenceChecks?: Maybe<RefreshStandardsAdherenceChecksPayload>;
    releaseAssetLinkCreate?: Maybe<ReleaseAssetLinkCreatePayload>;
    releaseAssetLinkDelete?: Maybe<ReleaseAssetLinkDeletePayload>;
    releaseAssetLinkUpdate?: Maybe<ReleaseAssetLinkUpdatePayload>;
    releaseCreate?: Maybe<ReleaseCreatePayload>;
    releaseDelete?: Maybe<ReleaseDeletePayload>;
    releaseUpdate?: Maybe<ReleaseUpdatePayload>;
    removeProjectFromSecurityDashboard?: Maybe<RemoveProjectFromSecurityDashboardPayload>;
    /** Repositions a DiffNote on an image (a `Note` where the `position.positionType` is `"image"`) */
    repositionImageDiffNote?: Maybe<RepositionImageDiffNotePayload>;
    /**
     * Restores a Pages deployment that has been scheduled for deletion. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    restorePagesDeployment?: Maybe<RestorePagesDeploymentPayload>;
    runnerCacheClear?: Maybe<RunnerCacheClearPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.10. */
    runnerCreate?: Maybe<RunnerCreatePayload>;
    runnerDelete?: Maybe<RunnerDeletePayload>;
    runnerUpdate?: Maybe<RunnerUpdatePayload>;
    runnersExportUsage?: Maybe<RunnersExportUsagePayload>;
    runnersRegistrationTokenReset?: Maybe<RunnersRegistrationTokenResetPayload>;
    savedReplyCreate?: Maybe<SavedReplyCreatePayload>;
    savedReplyDestroy?: Maybe<SavedReplyDestroyPayload>;
    savedReplyUpdate?: Maybe<SavedReplyUpdatePayload>;
    /** Commits the `policy_yaml` content to the assigned security policy project for the given project (`full_path`) */
    scanExecutionPolicyCommit?: Maybe<ScanExecutionPolicyCommitPayload>;
    securityFindingCreateIssue?: Maybe<SecurityFindingCreateIssuePayload>;
    securityFindingCreateMergeRequest?: Maybe<SecurityFindingCreateMergeRequestPayload>;
    securityFindingDismiss?: Maybe<SecurityFindingDismissPayload>;
    securityFindingRevertToDetected?: Maybe<SecurityFindingRevertToDetectedPayload>;
    /** Assigns the specified project(`security_policy_project_id`) as security policy project for the given project(`full_path`). If the project already has a security policy project, this reassigns the project's security policy project with the given `security_policy_project_id` */
    securityPolicyProjectAssign?: Maybe<SecurityPolicyProjectAssignPayload>;
    /** Creates and assigns a security policy project for the given project or group (`full_path`) */
    securityPolicyProjectCreate?: Maybe<SecurityPolicyProjectCreatePayload>;
    /** Unassigns the security policy project for the given project (`full_path`). */
    securityPolicyProjectUnassign?: Maybe<SecurityPolicyProjectUnassignPayload>;
    securityTrainingUpdate?: Maybe<SecurityTrainingUpdatePayload>;
    /**
     * Enable/disable Container Scanning on Container Registry for the given project.
     *
     */
    setContainerScanningForRegistry?: Maybe<SetContainerScanningForRegistryPayload>;
    /**
     * Enable/disable secret push protection for the given project.
     *
     */
    setPreReceiveSecretDetection?: Maybe<SetPreReceiveSecretDetectionPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.7. */
    starProject?: Maybe<StarProjectPayload>;
    terraformStateDelete?: Maybe<TerraformStateDeletePayload>;
    terraformStateLock?: Maybe<TerraformStateLockPayload>;
    terraformStateUnlock?: Maybe<TerraformStateUnlockPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.6. */
    timelineEventCreate?: Maybe<TimelineEventCreatePayload>;
    timelineEventDestroy?: Maybe<TimelineEventDestroyPayload>;
    timelineEventPromoteFromNote?: Maybe<TimelineEventPromoteFromNotePayload>;
    timelineEventTagCreate?: Maybe<TimelineEventTagCreatePayload>;
    timelineEventUpdate?: Maybe<TimelineEventUpdatePayload>;
    timelogCreate?: Maybe<TimelogCreatePayload>;
    timelogDelete?: Maybe<TimelogDeletePayload>;
    todoCreate?: Maybe<TodoCreatePayload>;
    todoMarkDone?: Maybe<TodoMarkDonePayload>;
    todoRestore?: Maybe<TodoRestorePayload>;
    todoRestoreMany?: Maybe<TodoRestoreManyPayload>;
    todosMarkAllDone?: Maybe<TodosMarkAllDonePayload>;
    updateAlertStatus?: Maybe<UpdateAlertStatusPayload>;
    updateBoard?: Maybe<UpdateBoardPayload>;
    updateBoardEpicUserPreferences?: Maybe<UpdateBoardEpicUserPreferencesPayload>;
    updateBoardList?: Maybe<UpdateBoardListPayload>;
    updateComplianceFramework?: Maybe<UpdateComplianceFrameworkPayload>;
    updateContainerExpirationPolicy?: Maybe<UpdateContainerExpirationPolicyPayload>;
    /**
     * Updates a container registry protection rule to restrict access to project containers. You can prevent users without certain roles from altering containers. Available only when feature flag `container_registry_protected_containers` is enabled. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    updateContainerRegistryProtectionRule?: Maybe<UpdateContainerRegistryProtectionRulePayload>;
    /** These settings can be adjusted only by the group Owner. */
    updateDependencyProxyImageTtlGroupPolicy?: Maybe<UpdateDependencyProxyImageTtlGroupPolicyPayload>;
    /**
     * Updates or creates dependency proxy for packages settings.
     * Requires the packages and dependency proxy to be enabled in the config.
     * Requires the packages feature to be enabled at the project level.
     */
    updateDependencyProxyPackagesSettings?: Maybe<UpdateDependencyProxyPackagesSettingsPayload>;
    /** These settings can be adjusted only by the group Owner. */
    updateDependencyProxySettings?: Maybe<UpdateDependencyProxySettingsPayload>;
    updateEpic?: Maybe<UpdateEpicPayload>;
    updateEpicBoardList?: Maybe<UpdateEpicBoardListPayload>;
    /**
     * Updates a DiffNote on an image (a `Note` where the `position.positionType` is `"image"`).
     * If the body of the Note contains only quick actions,
     * the Note will be destroyed during an update, and no Note will be
     * returned.
     *
     *
     */
    updateImageDiffNote?: Maybe<UpdateImageDiffNotePayload>;
    updateIssue?: Maybe<UpdateIssuePayload>;
    updateIteration?: Maybe<UpdateIterationPayload>;
    /** These settings can be adjusted only by the group Owner. */
    updateNamespacePackageSettings?: Maybe<UpdateNamespacePackageSettingsPayload>;
    /**
     * Updates a Note.
     * If the body of the Note contains only quick actions,
     * the Note will be destroyed during an update, and no Note will be
     * returned.
     *
     */
    updateNote?: Maybe<UpdateNotePayload>;
    updatePackagesCleanupPolicy?: Maybe<UpdatePackagesCleanupPolicyPayload>;
    /**
     * Updates a package protection rule to restrict access to project packages. You can prevent users without certain permissions from altering packages. Available only when feature flag `packages_protected_packages` is enabled. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    updatePackagesProtectionRule?: Maybe<UpdatePackagesProtectionRulePayload>;
    updateRequirement?: Maybe<UpdateRequirementPayload>;
    updateSnippet?: Maybe<UpdateSnippetPayload>;
    /** Deletes an upload. */
    uploadDelete?: Maybe<UploadDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.5. */
    userAchievementPrioritiesUpdate?: Maybe<UserAchievementPrioritiesUpdatePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.1. */
    userAchievementsDelete?: Maybe<UserAchievementsDeletePayload>;
    userAddOnAssignmentBulkCreate?: Maybe<UserAddOnAssignmentBulkCreatePayload>;
    userAddOnAssignmentBulkRemove?: Maybe<UserAddOnAssignmentBulkRemovePayload>;
    userAddOnAssignmentCreate?: Maybe<UserAddOnAssignmentCreatePayload>;
    userAddOnAssignmentRemove?: Maybe<UserAddOnAssignmentRemovePayload>;
    userCalloutCreate?: Maybe<UserCalloutCreatePayload>;
    userPreferencesUpdate?: Maybe<UserPreferencesUpdatePayload>;
    userSetNamespaceCommitEmail?: Maybe<UserSetNamespaceCommitEmailPayload>;
    /**
     * Creates a value stream. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    valueStreamCreate?: Maybe<ValueStreamCreatePayload>;
    /**
     * Destroy a value stream. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    valueStreamDestroy?: Maybe<ValueStreamDestroyPayload>;
    /**
     * Updates a value stream. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    valueStreamUpdate?: Maybe<ValueStreamUpdatePayload>;
    /** Create a verified namespace and mark all child catalog resources with the passed verification level info. */
    verifiedNamespaceCreate?: Maybe<VerifiedNamespaceCreatePayload>;
    vulnerabilitiesDismiss?: Maybe<VulnerabilitiesDismissPayload>;
    /** Remove all Vulnerabilities and related information from a given project. [Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/412602) in GitLab 16.7 */
    vulnerabilitiesRemoveAllFromProject?: Maybe<VulnerabilitiesRemoveAllFromProjectPayload>;
    vulnerabilityConfirm?: Maybe<VulnerabilityConfirmPayload>;
    vulnerabilityCreate?: Maybe<VulnerabilityCreatePayload>;
    vulnerabilityDismiss?: Maybe<VulnerabilityDismissPayload>;
    vulnerabilityExternalIssueLinkCreate?: Maybe<VulnerabilityExternalIssueLinkCreatePayload>;
    vulnerabilityExternalIssueLinkDestroy?: Maybe<VulnerabilityExternalIssueLinkDestroyPayload>;
    vulnerabilityIssueLinkCreate?: Maybe<VulnerabilityIssueLinkCreatePayload>;
    vulnerabilityResolve?: Maybe<VulnerabilityResolvePayload>;
    vulnerabilityRevertToDetected?: Maybe<VulnerabilityRevertToDetectedPayload>;
    /**
     * Adds a closing merge request to a work item Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    workItemAddClosingMergeRequest?: Maybe<WorkItemAddClosingMergeRequestPayload>;
    /**
     * Add linked items to the work item. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    workItemAddLinkedItems?: Maybe<WorkItemAddLinkedItemsPayload>;
    /**
     * Converts the work item to a new type Introduced in GitLab 15.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.11.
     */
    workItemConvert?: Maybe<WorkItemConvertPayload>;
    /**
     * Creates a work item. Introduced in GitLab 15.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.1.
     */
    workItemCreate?: Maybe<WorkItemCreatePayload>;
    /**
     * Creates a work item from a task in another work item's description. Introduced in GitLab 15.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.1.
     */
    workItemCreateFromTask?: Maybe<WorkItemCreateFromTaskPayload>;
    /**
     * Deletes a work item. Introduced in GitLab 15.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.1.
     */
    workItemDelete?: Maybe<WorkItemDeletePayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 15.10. */
    workItemExport?: Maybe<WorkItemExportPayload>;
    /**
     * Remove items linked to the work item. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    workItemRemoveLinkedItems?: Maybe<WorkItemRemoveLinkedItemsPayload>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 16.3. */
    workItemSubscribe?: Maybe<WorkItemSubscribePayload>;
    /**
     * Updates a work item by Global ID. Introduced in GitLab 15.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.1.
     */
    workItemUpdate?: Maybe<WorkItemUpdatePayload>;
    workspaceCreate?: Maybe<WorkspaceCreatePayload>;
    workspaceUpdate?: Maybe<WorkspaceUpdatePayload>;
};
export type MutationAbuseReportLabelCreateArgs = {
    input: AbuseReportLabelCreateInput;
};
export type MutationAchievementsAwardArgs = {
    input: AchievementsAwardInput;
};
export type MutationAchievementsCreateArgs = {
    input: AchievementsCreateInput;
};
export type MutationAchievementsDeleteArgs = {
    input: AchievementsDeleteInput;
};
export type MutationAchievementsRevokeArgs = {
    input: AchievementsRevokeInput;
};
export type MutationAchievementsUpdateArgs = {
    input: AchievementsUpdateInput;
};
export type MutationAddProjectToSecurityDashboardArgs = {
    input: AddProjectToSecurityDashboardInput;
};
export type MutationAdminSidekiqQueuesDeleteJobsArgs = {
    input: AdminSidekiqQueuesDeleteJobsInput;
};
export type MutationAiActionArgs = {
    input: AiActionInput;
};
export type MutationAiAgentCreateArgs = {
    input: AiAgentCreateInput;
};
export type MutationAiAgentDestroyArgs = {
    input: AiAgentDestroyInput;
};
export type MutationAiAgentUpdateArgs = {
    input: AiAgentUpdateInput;
};
export type MutationAiSelfHostedModelCreateArgs = {
    input: AiSelfHostedModelCreateInput;
};
export type MutationAiSelfHostedModelDeleteArgs = {
    input: AiSelfHostedModelDeleteInput;
};
export type MutationAiSelfHostedModelUpdateArgs = {
    input: AiSelfHostedModelUpdateInput;
};
export type MutationAlertSetAssigneesArgs = {
    input: AlertSetAssigneesInput;
};
export type MutationAlertTodoCreateArgs = {
    input: AlertTodoCreateInput;
};
export type MutationApprovalProjectRuleDeleteArgs = {
    input: ApprovalProjectRuleDeleteInput;
};
export type MutationApprovalProjectRuleUpdateArgs = {
    input: ApprovalProjectRuleUpdateInput;
};
export type MutationApproveDeploymentArgs = {
    input: ApproveDeploymentInput;
};
export type MutationArtifactDestroyArgs = {
    input: ArtifactDestroyInput;
};
export type MutationAuditEventsAmazonS3ConfigurationCreateArgs = {
    input: AuditEventsAmazonS3ConfigurationCreateInput;
};
export type MutationAuditEventsAmazonS3ConfigurationDeleteArgs = {
    input: AuditEventsAmazonS3ConfigurationDeleteInput;
};
export type MutationAuditEventsAmazonS3ConfigurationUpdateArgs = {
    input: AuditEventsAmazonS3ConfigurationUpdateInput;
};
export type MutationAuditEventsGroupDestinationEventsAddArgs = {
    input: AuditEventsGroupDestinationEventsAddInput;
};
export type MutationAuditEventsGroupDestinationEventsDeleteArgs = {
    input: AuditEventsGroupDestinationEventsDeleteInput;
};
export type MutationAuditEventsGroupDestinationNamespaceFilterCreateArgs = {
    input: AuditEventsGroupDestinationNamespaceFilterCreateInput;
};
export type MutationAuditEventsGroupDestinationNamespaceFilterDeleteArgs = {
    input: AuditEventsGroupDestinationNamespaceFilterDeleteInput;
};
export type MutationAuditEventsInstanceAmazonS3ConfigurationCreateArgs = {
    input: AuditEventsInstanceAmazonS3ConfigurationCreateInput;
};
export type MutationAuditEventsInstanceAmazonS3ConfigurationDeleteArgs = {
    input: AuditEventsInstanceAmazonS3ConfigurationDeleteInput;
};
export type MutationAuditEventsInstanceAmazonS3ConfigurationUpdateArgs = {
    input: AuditEventsInstanceAmazonS3ConfigurationUpdateInput;
};
export type MutationAuditEventsInstanceDestinationEventsAddArgs = {
    input: AuditEventsInstanceDestinationEventsAddInput;
};
export type MutationAuditEventsInstanceDestinationEventsDeleteArgs = {
    input: AuditEventsInstanceDestinationEventsDeleteInput;
};
export type MutationAuditEventsInstanceDestinationNamespaceFilterCreateArgs = {
    input: AuditEventsInstanceDestinationNamespaceFilterCreateInput;
};
export type MutationAuditEventsInstanceDestinationNamespaceFilterDeleteArgs = {
    input: AuditEventsInstanceDestinationNamespaceFilterDeleteInput;
};
export type MutationAuditEventsStreamingDestinationEventsAddArgs = {
    input: AuditEventsStreamingDestinationEventsAddInput;
};
export type MutationAuditEventsStreamingDestinationEventsRemoveArgs = {
    input: AuditEventsStreamingDestinationEventsRemoveInput;
};
export type MutationAuditEventsStreamingDestinationInstanceEventsAddArgs = {
    input: AuditEventsStreamingDestinationInstanceEventsAddInput;
};
export type MutationAuditEventsStreamingDestinationInstanceEventsRemoveArgs = {
    input: AuditEventsStreamingDestinationInstanceEventsRemoveInput;
};
export type MutationAuditEventsStreamingHeadersCreateArgs = {
    input: AuditEventsStreamingHeadersCreateInput;
};
export type MutationAuditEventsStreamingHeadersDestroyArgs = {
    input: AuditEventsStreamingHeadersDestroyInput;
};
export type MutationAuditEventsStreamingHeadersUpdateArgs = {
    input: AuditEventsStreamingHeadersUpdateInput;
};
export type MutationAuditEventsStreamingHttpNamespaceFiltersAddArgs = {
    input: AuditEventsStreamingHttpNamespaceFiltersAddInput;
};
export type MutationAuditEventsStreamingHttpNamespaceFiltersDeleteArgs = {
    input: AuditEventsStreamingHttpNamespaceFiltersDeleteInput;
};
export type MutationAuditEventsStreamingInstanceHeadersCreateArgs = {
    input: AuditEventsStreamingInstanceHeadersCreateInput;
};
export type MutationAuditEventsStreamingInstanceHeadersDestroyArgs = {
    input: AuditEventsStreamingInstanceHeadersDestroyInput;
};
export type MutationAuditEventsStreamingInstanceHeadersUpdateArgs = {
    input: AuditEventsStreamingInstanceHeadersUpdateInput;
};
export type MutationAwardEmojiAddArgs = {
    input: AwardEmojiAddInput;
};
export type MutationAwardEmojiRemoveArgs = {
    input: AwardEmojiRemoveInput;
};
export type MutationAwardEmojiToggleArgs = {
    input: AwardEmojiToggleInput;
};
export type MutationBoardEpicCreateArgs = {
    input: BoardEpicCreateInput;
};
export type MutationBoardListCreateArgs = {
    input: BoardListCreateInput;
};
export type MutationBoardListUpdateLimitMetricsArgs = {
    input: BoardListUpdateLimitMetricsInput;
};
export type MutationBranchRuleApprovalProjectRuleCreateArgs = {
    input: BranchRuleApprovalProjectRuleCreateInput;
};
export type MutationBranchRuleCreateArgs = {
    input: BranchRuleCreateInput;
};
export type MutationBranchRuleDeleteArgs = {
    input: BranchRuleDeleteInput;
};
export type MutationBranchRuleExternalStatusCheckCreateArgs = {
    input: BranchRuleExternalStatusCheckCreateInput;
};
export type MutationBranchRuleExternalStatusCheckDestroyArgs = {
    input: BranchRuleExternalStatusCheckDestroyInput;
};
export type MutationBranchRuleExternalStatusCheckUpdateArgs = {
    input: BranchRuleExternalStatusCheckUpdateInput;
};
export type MutationBranchRuleUpdateArgs = {
    input: BranchRuleUpdateInput;
};
export type MutationBuildForecastArgs = {
    input: BuildForecastInput;
};
export type MutationBulkDestroyJobArtifactsArgs = {
    input: BulkDestroyJobArtifactsInput;
};
export type MutationBulkEnableDevopsAdoptionNamespacesArgs = {
    input: BulkEnableDevopsAdoptionNamespacesInput;
};
export type MutationBulkRunnerDeleteArgs = {
    input: BulkRunnerDeleteInput;
};
export type MutationCatalogResourcesCreateArgs = {
    input: CatalogResourcesCreateInput;
};
export type MutationCatalogResourcesDestroyArgs = {
    input: CatalogResourcesDestroyInput;
};
export type MutationCiJobTokenScopeAddGroupOrProjectArgs = {
    input: CiJobTokenScopeAddGroupOrProjectInput;
};
export type MutationCiJobTokenScopeAddProjectArgs = {
    input: CiJobTokenScopeAddProjectInput;
};
export type MutationCiJobTokenScopeRemoveGroupArgs = {
    input: CiJobTokenScopeRemoveGroupInput;
};
export type MutationCiJobTokenScopeRemoveProjectArgs = {
    input: CiJobTokenScopeRemoveProjectInput;
};
export type MutationClusterAgentDeleteArgs = {
    input: ClusterAgentDeleteInput;
};
export type MutationClusterAgentTokenCreateArgs = {
    input: ClusterAgentTokenCreateInput;
};
export type MutationClusterAgentTokenRevokeArgs = {
    input: ClusterAgentTokenRevokeInput;
};
export type MutationCommitCreateArgs = {
    input: CommitCreateInput;
};
export type MutationConfigureContainerScanningArgs = {
    input: ConfigureContainerScanningInput;
};
export type MutationConfigureDependencyScanningArgs = {
    input: ConfigureDependencyScanningInput;
};
export type MutationConfigureSastArgs = {
    input: ConfigureSastInput;
};
export type MutationConfigureSastIacArgs = {
    input: ConfigureSastIacInput;
};
export type MutationConfigureSecretDetectionArgs = {
    input: ConfigureSecretDetectionInput;
};
export type MutationCorpusCreateArgs = {
    input: CorpusCreateInput;
};
export type MutationCreateAlertIssueArgs = {
    input: CreateAlertIssueInput;
};
export type MutationCreateAnnotationArgs = {
    input: CreateAnnotationInput;
};
export type MutationCreateBoardArgs = {
    input: CreateBoardInput;
};
export type MutationCreateBranchArgs = {
    input: CreateBranchInput;
};
export type MutationCreateClusterAgentArgs = {
    input: CreateClusterAgentInput;
};
export type MutationCreateComplianceFrameworkArgs = {
    input: CreateComplianceFrameworkInput;
};
export type MutationCreateContainerRegistryProtectionRuleArgs = {
    input: CreateContainerRegistryProtectionRuleInput;
};
export type MutationCreateCustomEmojiArgs = {
    input: CreateCustomEmojiInput;
};
export type MutationCreateDiffNoteArgs = {
    input: CreateDiffNoteInput;
};
export type MutationCreateDiscussionArgs = {
    input: CreateDiscussionInput;
};
export type MutationCreateEpicArgs = {
    input: CreateEpicInput;
};
export type MutationCreateImageDiffNoteArgs = {
    input: CreateImageDiffNoteInput;
};
export type MutationCreateIssueArgs = {
    input: CreateIssueInput;
};
export type MutationCreateIterationArgs = {
    input: CreateIterationInput;
};
export type MutationCreateNoteArgs = {
    input: CreateNoteInput;
};
export type MutationCreatePackagesProtectionRuleArgs = {
    input: CreatePackagesProtectionRuleInput;
};
export type MutationCreateRequirementArgs = {
    input: CreateRequirementInput;
};
export type MutationCreateSnippetArgs = {
    input: CreateSnippetInput;
};
export type MutationCreateTestCaseArgs = {
    input: CreateTestCaseInput;
};
export type MutationCustomerRelationsContactCreateArgs = {
    input: CustomerRelationsContactCreateInput;
};
export type MutationCustomerRelationsContactUpdateArgs = {
    input: CustomerRelationsContactUpdateInput;
};
export type MutationCustomerRelationsOrganizationCreateArgs = {
    input: CustomerRelationsOrganizationCreateInput;
};
export type MutationCustomerRelationsOrganizationUpdateArgs = {
    input: CustomerRelationsOrganizationUpdateInput;
};
export type MutationDastOnDemandScanCreateArgs = {
    input: DastOnDemandScanCreateInput;
};
export type MutationDastProfileCreateArgs = {
    input: DastProfileCreateInput;
};
export type MutationDastProfileDeleteArgs = {
    input: DastProfileDeleteInput;
};
export type MutationDastProfileRunArgs = {
    input: DastProfileRunInput;
};
export type MutationDastProfileUpdateArgs = {
    input: DastProfileUpdateInput;
};
export type MutationDastScannerProfileCreateArgs = {
    input: DastScannerProfileCreateInput;
};
export type MutationDastScannerProfileDeleteArgs = {
    input: DastScannerProfileDeleteInput;
};
export type MutationDastScannerProfileUpdateArgs = {
    input: DastScannerProfileUpdateInput;
};
export type MutationDastSiteProfileCreateArgs = {
    input: DastSiteProfileCreateInput;
};
export type MutationDastSiteProfileDeleteArgs = {
    input: DastSiteProfileDeleteInput;
};
export type MutationDastSiteProfileUpdateArgs = {
    input: DastSiteProfileUpdateInput;
};
export type MutationDastSiteTokenCreateArgs = {
    input: DastSiteTokenCreateInput;
};
export type MutationDastSiteValidationCreateArgs = {
    input: DastSiteValidationCreateInput;
};
export type MutationDastSiteValidationRevokeArgs = {
    input: DastSiteValidationRevokeInput;
};
export type MutationDeleteAnnotationArgs = {
    input: DeleteAnnotationInput;
};
export type MutationDeleteContainerRegistryProtectionRuleArgs = {
    input: DeleteContainerRegistryProtectionRuleInput;
};
export type MutationDeletePackagesProtectionRuleArgs = {
    input: DeletePackagesProtectionRuleInput;
};
export type MutationDeletePagesDeploymentArgs = {
    input: DeletePagesDeploymentInput;
};
export type MutationDesignManagementDeleteArgs = {
    input: DesignManagementDeleteInput;
};
export type MutationDesignManagementMoveArgs = {
    input: DesignManagementMoveInput;
};
export type MutationDesignManagementUpdateArgs = {
    input: DesignManagementUpdateInput;
};
export type MutationDesignManagementUploadArgs = {
    input: DesignManagementUploadInput;
};
export type MutationDestroyBoardArgs = {
    input: DestroyBoardInput;
};
export type MutationDestroyBoardListArgs = {
    input: DestroyBoardListInput;
};
export type MutationDestroyComplianceFrameworkArgs = {
    input: DestroyComplianceFrameworkInput;
};
export type MutationDestroyContainerRepositoryArgs = {
    input: DestroyContainerRepositoryInput;
};
export type MutationDestroyContainerRepositoryTagsArgs = {
    input: DestroyContainerRepositoryTagsInput;
};
export type MutationDestroyCustomEmojiArgs = {
    input: DestroyCustomEmojiInput;
};
export type MutationDestroyEpicBoardArgs = {
    input: DestroyEpicBoardInput;
};
export type MutationDestroyNoteArgs = {
    input: DestroyNoteInput;
};
export type MutationDestroyPackageArgs = {
    input: DestroyPackageInput;
};
export type MutationDestroyPackageFileArgs = {
    input: DestroyPackageFileInput;
};
export type MutationDestroyPackageFilesArgs = {
    input: DestroyPackageFilesInput;
};
export type MutationDestroyPackagesArgs = {
    input: DestroyPackagesInput;
};
export type MutationDestroySnippetArgs = {
    input: DestroySnippetInput;
};
export type MutationDisableDevopsAdoptionNamespaceArgs = {
    input: DisableDevopsAdoptionNamespaceInput;
};
export type MutationDiscussionToggleResolveArgs = {
    input: DiscussionToggleResolveInput;
};
export type MutationDuoUserFeedbackArgs = {
    input: DuoUserFeedbackInput;
};
export type MutationEchoCreateArgs = {
    input: EchoCreateInput;
};
export type MutationEnableDevopsAdoptionNamespaceArgs = {
    input: EnableDevopsAdoptionNamespaceInput;
};
export type MutationEnvironmentCreateArgs = {
    input: EnvironmentCreateInput;
};
export type MutationEnvironmentDeleteArgs = {
    input: EnvironmentDeleteInput;
};
export type MutationEnvironmentStopArgs = {
    input: EnvironmentStopInput;
};
export type MutationEnvironmentUpdateArgs = {
    input: EnvironmentUpdateInput;
};
export type MutationEnvironmentsCanaryIngressUpdateArgs = {
    input: EnvironmentsCanaryIngressUpdateInput;
};
export type MutationEpicAddIssueArgs = {
    input: EpicAddIssueInput;
};
export type MutationEpicBoardCreateArgs = {
    input: EpicBoardCreateInput;
};
export type MutationEpicBoardListCreateArgs = {
    input: EpicBoardListCreateInput;
};
export type MutationEpicBoardListDestroyArgs = {
    input: EpicBoardListDestroyInput;
};
export type MutationEpicBoardUpdateArgs = {
    input: EpicBoardUpdateInput;
};
export type MutationEpicMoveListArgs = {
    input: EpicMoveListInput;
};
export type MutationEpicSetSubscriptionArgs = {
    input: EpicSetSubscriptionInput;
};
export type MutationEpicTreeReorderArgs = {
    input: EpicTreeReorderInput;
};
export type MutationEscalationPolicyCreateArgs = {
    input: EscalationPolicyCreateInput;
};
export type MutationEscalationPolicyDestroyArgs = {
    input: EscalationPolicyDestroyInput;
};
export type MutationEscalationPolicyUpdateArgs = {
    input: EscalationPolicyUpdateInput;
};
export type MutationExportRequirementsArgs = {
    input: ExportRequirementsInput;
};
export type MutationExternalAuditEventDestinationCreateArgs = {
    input: ExternalAuditEventDestinationCreateInput;
};
export type MutationExternalAuditEventDestinationDestroyArgs = {
    input: ExternalAuditEventDestinationDestroyInput;
};
export type MutationExternalAuditEventDestinationUpdateArgs = {
    input: ExternalAuditEventDestinationUpdateInput;
};
export type MutationGeoRegistriesBulkUpdateArgs = {
    input: GeoRegistriesBulkUpdateInput;
};
export type MutationGeoRegistriesUpdateArgs = {
    input: GeoRegistriesUpdateInput;
};
export type MutationGitlabSubscriptionActivateArgs = {
    input: GitlabSubscriptionActivateInput;
};
export type MutationGoogleCloudLoggingConfigurationCreateArgs = {
    input: GoogleCloudLoggingConfigurationCreateInput;
};
export type MutationGoogleCloudLoggingConfigurationDestroyArgs = {
    input: GoogleCloudLoggingConfigurationDestroyInput;
};
export type MutationGoogleCloudLoggingConfigurationUpdateArgs = {
    input: GoogleCloudLoggingConfigurationUpdateInput;
};
export type MutationGroupAuditEventStreamingDestinationsCreateArgs = {
    input: GroupAuditEventStreamingDestinationsCreateInput;
};
export type MutationGroupAuditEventStreamingDestinationsDeleteArgs = {
    input: GroupAuditEventStreamingDestinationsDeleteInput;
};
export type MutationGroupAuditEventStreamingDestinationsUpdateArgs = {
    input: GroupAuditEventStreamingDestinationsUpdateInput;
};
export type MutationGroupMemberBulkUpdateArgs = {
    input: GroupMemberBulkUpdateInput;
};
export type MutationGroupSavedReplyCreateArgs = {
    input: GroupSavedReplyCreateInput;
};
export type MutationGroupSavedReplyDestroyArgs = {
    input: GroupSavedReplyDestroyInput;
};
export type MutationGroupSavedReplyUpdateArgs = {
    input: GroupSavedReplyUpdateInput;
};
export type MutationGroupUpdateArgs = {
    input: GroupUpdateInput;
};
export type MutationHttpIntegrationCreateArgs = {
    input: HttpIntegrationCreateInput;
};
export type MutationHttpIntegrationDestroyArgs = {
    input: HttpIntegrationDestroyInput;
};
export type MutationHttpIntegrationResetTokenArgs = {
    input: HttpIntegrationResetTokenInput;
};
export type MutationHttpIntegrationUpdateArgs = {
    input: HttpIntegrationUpdateInput;
};
export type MutationImportSourceUserCancelReassignmentArgs = {
    input: ImportSourceUserCancelReassignmentInput;
};
export type MutationImportSourceUserKeepAsPlaceholderArgs = {
    input: ImportSourceUserKeepAsPlaceholderInput;
};
export type MutationImportSourceUserReassignArgs = {
    input: ImportSourceUserReassignInput;
};
export type MutationImportSourceUserResendNotificationArgs = {
    input: ImportSourceUserResendNotificationInput;
};
export type MutationInstanceAuditEventStreamingDestinationsCreateArgs = {
    input: InstanceAuditEventStreamingDestinationsCreateInput;
};
export type MutationInstanceAuditEventStreamingDestinationsDeleteArgs = {
    input: InstanceAuditEventStreamingDestinationsDeleteInput;
};
export type MutationInstanceAuditEventStreamingDestinationsUpdateArgs = {
    input: InstanceAuditEventStreamingDestinationsUpdateInput;
};
export type MutationInstanceExternalAuditEventDestinationCreateArgs = {
    input: InstanceExternalAuditEventDestinationCreateInput;
};
export type MutationInstanceExternalAuditEventDestinationDestroyArgs = {
    input: InstanceExternalAuditEventDestinationDestroyInput;
};
export type MutationInstanceExternalAuditEventDestinationUpdateArgs = {
    input: InstanceExternalAuditEventDestinationUpdateInput;
};
export type MutationInstanceGoogleCloudLoggingConfigurationCreateArgs = {
    input: InstanceGoogleCloudLoggingConfigurationCreateInput;
};
export type MutationInstanceGoogleCloudLoggingConfigurationDestroyArgs = {
    input: InstanceGoogleCloudLoggingConfigurationDestroyInput;
};
export type MutationInstanceGoogleCloudLoggingConfigurationUpdateArgs = {
    input: InstanceGoogleCloudLoggingConfigurationUpdateInput;
};
export type MutationIntegrationExclusionCreateArgs = {
    input: IntegrationExclusionCreateInput;
};
export type MutationIntegrationExclusionDeleteArgs = {
    input: IntegrationExclusionDeleteInput;
};
export type MutationIssuableResourceLinkCreateArgs = {
    input: IssuableResourceLinkCreateInput;
};
export type MutationIssuableResourceLinkDestroyArgs = {
    input: IssuableResourceLinkDestroyInput;
};
export type MutationIssueLinkAlertsArgs = {
    input: IssueLinkAlertsInput;
};
export type MutationIssueMoveArgs = {
    input: IssueMoveInput;
};
export type MutationIssueMoveListArgs = {
    input: IssueMoveListInput;
};
export type MutationIssueSetAssigneesArgs = {
    input: IssueSetAssigneesInput;
};
export type MutationIssueSetConfidentialArgs = {
    input: IssueSetConfidentialInput;
};
export type MutationIssueSetCrmContactsArgs = {
    input: IssueSetCrmContactsInput;
};
export type MutationIssueSetDueDateArgs = {
    input: IssueSetDueDateInput;
};
export type MutationIssueSetEpicArgs = {
    input: IssueSetEpicInput;
};
export type MutationIssueSetEscalationPolicyArgs = {
    input: IssueSetEscalationPolicyInput;
};
export type MutationIssueSetEscalationStatusArgs = {
    input: IssueSetEscalationStatusInput;
};
export type MutationIssueSetIterationArgs = {
    input: IssueSetIterationInput;
};
export type MutationIssueSetLockedArgs = {
    input: IssueSetLockedInput;
};
export type MutationIssueSetSeverityArgs = {
    input: IssueSetSeverityInput;
};
export type MutationIssueSetSubscriptionArgs = {
    input: IssueSetSubscriptionInput;
};
export type MutationIssueSetWeightArgs = {
    input: IssueSetWeightInput;
};
export type MutationIssueUnlinkAlertArgs = {
    input: IssueUnlinkAlertInput;
};
export type MutationIssuesBulkUpdateArgs = {
    input: IssuesBulkUpdateInput;
};
export type MutationIterationCadenceCreateArgs = {
    input: IterationCadenceCreateInput;
};
export type MutationIterationCadenceDestroyArgs = {
    input: IterationCadenceDestroyInput;
};
export type MutationIterationCadenceUpdateArgs = {
    input: IterationCadenceUpdateInput;
};
export type MutationIterationCreateArgs = {
    input: IterationCreateInput;
};
export type MutationIterationDeleteArgs = {
    input: IterationDeleteInput;
};
export type MutationJiraImportStartArgs = {
    input: JiraImportStartInput;
};
export type MutationJiraImportUsersArgs = {
    input: JiraImportUsersInput;
};
export type MutationJobArtifactsDestroyArgs = {
    input: JobArtifactsDestroyInput;
};
export type MutationJobCancelArgs = {
    input: JobCancelInput;
};
export type MutationJobPlayArgs = {
    input: JobPlayInput;
};
export type MutationJobRetryArgs = {
    input: JobRetryInput;
};
export type MutationJobUnscheduleArgs = {
    input: JobUnscheduleInput;
};
export type MutationLabelCreateArgs = {
    input: LabelCreateInput;
};
export type MutationMarkAsSpamSnippetArgs = {
    input: MarkAsSpamSnippetInput;
};
export type MutationMemberRoleCreateArgs = {
    input: MemberRoleCreateInput;
};
export type MutationMemberRoleDeleteArgs = {
    input: MemberRoleDeleteInput;
};
export type MutationMemberRoleUpdateArgs = {
    input: MemberRoleUpdateInput;
};
export type MutationMergeRequestAcceptArgs = {
    input: MergeRequestAcceptInput;
};
export type MutationMergeRequestCreateArgs = {
    input: MergeRequestCreateInput;
};
export type MutationMergeRequestReviewerRereviewArgs = {
    input: MergeRequestReviewerRereviewInput;
};
export type MutationMergeRequestSetAssigneesArgs = {
    input: MergeRequestSetAssigneesInput;
};
export type MutationMergeRequestSetDraftArgs = {
    input: MergeRequestSetDraftInput;
};
export type MutationMergeRequestSetLabelsArgs = {
    input: MergeRequestSetLabelsInput;
};
export type MutationMergeRequestSetLockedArgs = {
    input: MergeRequestSetLockedInput;
};
export type MutationMergeRequestSetMilestoneArgs = {
    input: MergeRequestSetMilestoneInput;
};
export type MutationMergeRequestSetReviewersArgs = {
    input: MergeRequestSetReviewersInput;
};
export type MutationMergeRequestSetSubscriptionArgs = {
    input: MergeRequestSetSubscriptionInput;
};
export type MutationMergeRequestUpdateArgs = {
    input: MergeRequestUpdateInput;
};
export type MutationMergeRequestUpdateApprovalRuleArgs = {
    input: MergeRequestUpdateApprovalRuleInput;
};
export type MutationMergeTrainsDeleteCarArgs = {
    input: MergeTrainsDeleteCarInput;
};
export type MutationMlModelCreateArgs = {
    input: MlModelCreateInput;
};
export type MutationMlModelDeleteArgs = {
    input: MlModelDeleteInput;
};
export type MutationMlModelDestroyArgs = {
    input: MlModelDestroyInput;
};
export type MutationMlModelVersionCreateArgs = {
    input: MlModelVersionCreateInput;
};
export type MutationMlModelVersionDeleteArgs = {
    input: MlModelVersionDeleteInput;
};
export type MutationNamespaceBanDestroyArgs = {
    input: NamespaceBanDestroyInput;
};
export type MutationNamespaceCiCdSettingsUpdateArgs = {
    input: NamespaceCiCdSettingsUpdateInput;
};
export type MutationNamespaceCreateRemoteDevelopmentClusterAgentMappingArgs = {
    input: NamespaceCreateRemoteDevelopmentClusterAgentMappingInput;
};
export type MutationNamespaceDeleteRemoteDevelopmentClusterAgentMappingArgs = {
    input: NamespaceDeleteRemoteDevelopmentClusterAgentMappingInput;
};
export type MutationOncallRotationCreateArgs = {
    input: OncallRotationCreateInput;
};
export type MutationOncallRotationDestroyArgs = {
    input: OncallRotationDestroyInput;
};
export type MutationOncallRotationUpdateArgs = {
    input: OncallRotationUpdateInput;
};
export type MutationOncallScheduleCreateArgs = {
    input: OncallScheduleCreateInput;
};
export type MutationOncallScheduleDestroyArgs = {
    input: OncallScheduleDestroyInput;
};
export type MutationOncallScheduleUpdateArgs = {
    input: OncallScheduleUpdateInput;
};
export type MutationOrganizationCreateArgs = {
    input: OrganizationCreateInput;
};
export type MutationOrganizationUpdateArgs = {
    input: OrganizationUpdateInput;
};
export type MutationPagesMarkOnboardingCompleteArgs = {
    input: PagesMarkOnboardingCompleteInput;
};
export type MutationPipelineCancelArgs = {
    input: PipelineCancelInput;
};
export type MutationPipelineDestroyArgs = {
    input: PipelineDestroyInput;
};
export type MutationPipelineRetryArgs = {
    input: PipelineRetryInput;
};
export type MutationPipelineScheduleCreateArgs = {
    input: PipelineScheduleCreateInput;
};
export type MutationPipelineScheduleDeleteArgs = {
    input: PipelineScheduleDeleteInput;
};
export type MutationPipelineSchedulePlayArgs = {
    input: PipelineSchedulePlayInput;
};
export type MutationPipelineScheduleTakeOwnershipArgs = {
    input: PipelineScheduleTakeOwnershipInput;
};
export type MutationPipelineScheduleUpdateArgs = {
    input: PipelineScheduleUpdateInput;
};
export type MutationPipelineTriggerCreateArgs = {
    input: PipelineTriggerCreateInput;
};
export type MutationPipelineTriggerDeleteArgs = {
    input: PipelineTriggerDeleteInput;
};
export type MutationPipelineTriggerUpdateArgs = {
    input: PipelineTriggerUpdateInput;
};
export type MutationProcessUserBillablePromotionRequestArgs = {
    input: ProcessUserBillablePromotionRequestInput;
};
export type MutationProductAnalyticsProjectSettingsUpdateArgs = {
    input: ProductAnalyticsProjectSettingsUpdateInput;
};
export type MutationProjectBlobsRemoveArgs = {
    input: ProjectBlobsRemoveInput;
};
export type MutationProjectCiCdSettingsUpdateArgs = {
    input: ProjectCiCdSettingsUpdateInput;
};
export type MutationProjectInitializeProductAnalyticsArgs = {
    input: ProjectInitializeProductAnalyticsInput;
};
export type MutationProjectMemberBulkUpdateArgs = {
    input: ProjectMemberBulkUpdateInput;
};
export type MutationProjectSavedReplyCreateArgs = {
    input: ProjectSavedReplyCreateInput;
};
export type MutationProjectSavedReplyDestroyArgs = {
    input: ProjectSavedReplyDestroyInput;
};
export type MutationProjectSavedReplyUpdateArgs = {
    input: ProjectSavedReplyUpdateInput;
};
export type MutationProjectSetComplianceFrameworkArgs = {
    input: ProjectSetComplianceFrameworkInput;
};
export type MutationProjectSetContinuousVulnerabilityScanningArgs = {
    input: ProjectSetContinuousVulnerabilityScanningInput;
};
export type MutationProjectSetLockedArgs = {
    input: ProjectSetLockedInput;
};
export type MutationProjectSettingsUpdateArgs = {
    input: ProjectSettingsUpdateInput;
};
export type MutationProjectSubscriptionCreateArgs = {
    input: ProjectSubscriptionCreateInput;
};
export type MutationProjectSubscriptionDeleteArgs = {
    input: ProjectSubscriptionDeleteInput;
};
export type MutationProjectSyncForkArgs = {
    input: ProjectSyncForkInput;
};
export type MutationProjectTextReplaceArgs = {
    input: ProjectTextReplaceInput;
};
export type MutationProjectUpdateComplianceFrameworksArgs = {
    input: ProjectUpdateComplianceFrameworksInput;
};
export type MutationPrometheusIntegrationCreateArgs = {
    input: PrometheusIntegrationCreateInput;
};
export type MutationPrometheusIntegrationResetTokenArgs = {
    input: PrometheusIntegrationResetTokenInput;
};
export type MutationPrometheusIntegrationUpdateArgs = {
    input: PrometheusIntegrationUpdateInput;
};
export type MutationPromoteToEpicArgs = {
    input: PromoteToEpicInput;
};
export type MutationRefreshStandardsAdherenceChecksArgs = {
    input: RefreshStandardsAdherenceChecksInput;
};
export type MutationReleaseAssetLinkCreateArgs = {
    input: ReleaseAssetLinkCreateInput;
};
export type MutationReleaseAssetLinkDeleteArgs = {
    input: ReleaseAssetLinkDeleteInput;
};
export type MutationReleaseAssetLinkUpdateArgs = {
    input: ReleaseAssetLinkUpdateInput;
};
export type MutationReleaseCreateArgs = {
    input: ReleaseCreateInput;
};
export type MutationReleaseDeleteArgs = {
    input: ReleaseDeleteInput;
};
export type MutationReleaseUpdateArgs = {
    input: ReleaseUpdateInput;
};
export type MutationRemoveProjectFromSecurityDashboardArgs = {
    input: RemoveProjectFromSecurityDashboardInput;
};
export type MutationRepositionImageDiffNoteArgs = {
    input: RepositionImageDiffNoteInput;
};
export type MutationRestorePagesDeploymentArgs = {
    input: RestorePagesDeploymentInput;
};
export type MutationRunnerCacheClearArgs = {
    input: RunnerCacheClearInput;
};
export type MutationRunnerCreateArgs = {
    input: RunnerCreateInput;
};
export type MutationRunnerDeleteArgs = {
    input: RunnerDeleteInput;
};
export type MutationRunnerUpdateArgs = {
    input: RunnerUpdateInput;
};
export type MutationRunnersExportUsageArgs = {
    input: RunnersExportUsageInput;
};
export type MutationRunnersRegistrationTokenResetArgs = {
    input: RunnersRegistrationTokenResetInput;
};
export type MutationSavedReplyCreateArgs = {
    input: SavedReplyCreateInput;
};
export type MutationSavedReplyDestroyArgs = {
    input: SavedReplyDestroyInput;
};
export type MutationSavedReplyUpdateArgs = {
    input: SavedReplyUpdateInput;
};
export type MutationScanExecutionPolicyCommitArgs = {
    input: ScanExecutionPolicyCommitInput;
};
export type MutationSecurityFindingCreateIssueArgs = {
    input: SecurityFindingCreateIssueInput;
};
export type MutationSecurityFindingCreateMergeRequestArgs = {
    input: SecurityFindingCreateMergeRequestInput;
};
export type MutationSecurityFindingDismissArgs = {
    input: SecurityFindingDismissInput;
};
export type MutationSecurityFindingRevertToDetectedArgs = {
    input: SecurityFindingRevertToDetectedInput;
};
export type MutationSecurityPolicyProjectAssignArgs = {
    input: SecurityPolicyProjectAssignInput;
};
export type MutationSecurityPolicyProjectCreateArgs = {
    input: SecurityPolicyProjectCreateInput;
};
export type MutationSecurityPolicyProjectUnassignArgs = {
    input: SecurityPolicyProjectUnassignInput;
};
export type MutationSecurityTrainingUpdateArgs = {
    input: SecurityTrainingUpdateInput;
};
export type MutationSetContainerScanningForRegistryArgs = {
    input: SetContainerScanningForRegistryInput;
};
export type MutationSetPreReceiveSecretDetectionArgs = {
    input: SetPreReceiveSecretDetectionInput;
};
export type MutationStarProjectArgs = {
    input: StarProjectInput;
};
export type MutationTerraformStateDeleteArgs = {
    input: TerraformStateDeleteInput;
};
export type MutationTerraformStateLockArgs = {
    input: TerraformStateLockInput;
};
export type MutationTerraformStateUnlockArgs = {
    input: TerraformStateUnlockInput;
};
export type MutationTimelineEventCreateArgs = {
    input: TimelineEventCreateInput;
};
export type MutationTimelineEventDestroyArgs = {
    input: TimelineEventDestroyInput;
};
export type MutationTimelineEventPromoteFromNoteArgs = {
    input: TimelineEventPromoteFromNoteInput;
};
export type MutationTimelineEventTagCreateArgs = {
    input: TimelineEventTagCreateInput;
};
export type MutationTimelineEventUpdateArgs = {
    input: TimelineEventUpdateInput;
};
export type MutationTimelogCreateArgs = {
    input: TimelogCreateInput;
};
export type MutationTimelogDeleteArgs = {
    input: TimelogDeleteInput;
};
export type MutationTodoCreateArgs = {
    input: TodoCreateInput;
};
export type MutationTodoMarkDoneArgs = {
    input: TodoMarkDoneInput;
};
export type MutationTodoRestoreArgs = {
    input: TodoRestoreInput;
};
export type MutationTodoRestoreManyArgs = {
    input: TodoRestoreManyInput;
};
export type MutationTodosMarkAllDoneArgs = {
    input: TodosMarkAllDoneInput;
};
export type MutationUpdateAlertStatusArgs = {
    input: UpdateAlertStatusInput;
};
export type MutationUpdateBoardArgs = {
    input: UpdateBoardInput;
};
export type MutationUpdateBoardEpicUserPreferencesArgs = {
    input: UpdateBoardEpicUserPreferencesInput;
};
export type MutationUpdateBoardListArgs = {
    input: UpdateBoardListInput;
};
export type MutationUpdateComplianceFrameworkArgs = {
    input: UpdateComplianceFrameworkInput;
};
export type MutationUpdateContainerExpirationPolicyArgs = {
    input: UpdateContainerExpirationPolicyInput;
};
export type MutationUpdateContainerRegistryProtectionRuleArgs = {
    input: UpdateContainerRegistryProtectionRuleInput;
};
export type MutationUpdateDependencyProxyImageTtlGroupPolicyArgs = {
    input: UpdateDependencyProxyImageTtlGroupPolicyInput;
};
export type MutationUpdateDependencyProxyPackagesSettingsArgs = {
    input: UpdateDependencyProxyPackagesSettingsInput;
};
export type MutationUpdateDependencyProxySettingsArgs = {
    input: UpdateDependencyProxySettingsInput;
};
export type MutationUpdateEpicArgs = {
    input: UpdateEpicInput;
};
export type MutationUpdateEpicBoardListArgs = {
    input: UpdateEpicBoardListInput;
};
export type MutationUpdateImageDiffNoteArgs = {
    input: UpdateImageDiffNoteInput;
};
export type MutationUpdateIssueArgs = {
    input: UpdateIssueInput;
};
export type MutationUpdateIterationArgs = {
    input: UpdateIterationInput;
};
export type MutationUpdateNamespacePackageSettingsArgs = {
    input: UpdateNamespacePackageSettingsInput;
};
export type MutationUpdateNoteArgs = {
    input: UpdateNoteInput;
};
export type MutationUpdatePackagesCleanupPolicyArgs = {
    input: UpdatePackagesCleanupPolicyInput;
};
export type MutationUpdatePackagesProtectionRuleArgs = {
    input: UpdatePackagesProtectionRuleInput;
};
export type MutationUpdateRequirementArgs = {
    input: UpdateRequirementInput;
};
export type MutationUpdateSnippetArgs = {
    input: UpdateSnippetInput;
};
export type MutationUploadDeleteArgs = {
    input: UploadDeleteInput;
};
export type MutationUserAchievementPrioritiesUpdateArgs = {
    input: UserAchievementPrioritiesUpdateInput;
};
export type MutationUserAchievementsDeleteArgs = {
    input: UserAchievementsDeleteInput;
};
export type MutationUserAddOnAssignmentBulkCreateArgs = {
    input: UserAddOnAssignmentBulkCreateInput;
};
export type MutationUserAddOnAssignmentBulkRemoveArgs = {
    input: UserAddOnAssignmentBulkRemoveInput;
};
export type MutationUserAddOnAssignmentCreateArgs = {
    input: UserAddOnAssignmentCreateInput;
};
export type MutationUserAddOnAssignmentRemoveArgs = {
    input: UserAddOnAssignmentRemoveInput;
};
export type MutationUserCalloutCreateArgs = {
    input: UserCalloutCreateInput;
};
export type MutationUserPreferencesUpdateArgs = {
    input: UserPreferencesUpdateInput;
};
export type MutationUserSetNamespaceCommitEmailArgs = {
    input: UserSetNamespaceCommitEmailInput;
};
export type MutationValueStreamCreateArgs = {
    input: ValueStreamCreateInput;
};
export type MutationValueStreamDestroyArgs = {
    input: ValueStreamDestroyInput;
};
export type MutationValueStreamUpdateArgs = {
    input: ValueStreamUpdateInput;
};
export type MutationVerifiedNamespaceCreateArgs = {
    input: VerifiedNamespaceCreateInput;
};
export type MutationVulnerabilitiesDismissArgs = {
    input: VulnerabilitiesDismissInput;
};
export type MutationVulnerabilitiesRemoveAllFromProjectArgs = {
    input: VulnerabilitiesRemoveAllFromProjectInput;
};
export type MutationVulnerabilityConfirmArgs = {
    input: VulnerabilityConfirmInput;
};
export type MutationVulnerabilityCreateArgs = {
    input: VulnerabilityCreateInput;
};
export type MutationVulnerabilityDismissArgs = {
    input: VulnerabilityDismissInput;
};
export type MutationVulnerabilityExternalIssueLinkCreateArgs = {
    input: VulnerabilityExternalIssueLinkCreateInput;
};
export type MutationVulnerabilityExternalIssueLinkDestroyArgs = {
    input: VulnerabilityExternalIssueLinkDestroyInput;
};
export type MutationVulnerabilityIssueLinkCreateArgs = {
    input: VulnerabilityIssueLinkCreateInput;
};
export type MutationVulnerabilityResolveArgs = {
    input: VulnerabilityResolveInput;
};
export type MutationVulnerabilityRevertToDetectedArgs = {
    input: VulnerabilityRevertToDetectedInput;
};
export type MutationWorkItemAddClosingMergeRequestArgs = {
    input: WorkItemAddClosingMergeRequestInput;
};
export type MutationWorkItemAddLinkedItemsArgs = {
    input: WorkItemAddLinkedItemsInput;
};
export type MutationWorkItemConvertArgs = {
    input: WorkItemConvertInput;
};
export type MutationWorkItemCreateArgs = {
    input: WorkItemCreateInput;
};
export type MutationWorkItemCreateFromTaskArgs = {
    input: WorkItemCreateFromTaskInput;
};
export type MutationWorkItemDeleteArgs = {
    input: WorkItemDeleteInput;
};
export type MutationWorkItemExportArgs = {
    input: WorkItemExportInput;
};
export type MutationWorkItemRemoveLinkedItemsArgs = {
    input: WorkItemRemoveLinkedItemsInput;
};
export type MutationWorkItemSubscribeArgs = {
    input: WorkItemSubscribeInput;
};
export type MutationWorkItemUpdateArgs = {
    input: WorkItemUpdateInput;
};
export type MutationWorkspaceCreateArgs = {
    input: WorkspaceCreateInput;
};
export type MutationWorkspaceUpdateArgs = {
    input: WorkspaceUpdateInput;
};
/** Different toggles for changing mutator behavior */
export declare enum MutationOperationMode {
    /** Performs an append operation. */
    Append = "APPEND",
    /** Performs a removal operation. */
    Remove = "REMOVE",
    /** Performs a replace operation. */
    Replace = "REPLACE"
}
export type Namespace = {
    __typename?: 'Namespace';
    /**
     * Achievements for the namespace. Returns `null` if the `achievements` feature flag is disabled. Introduced in GitLab 15.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.8.
     */
    achievements?: Maybe<AchievementConnection>;
    /**
     * Path for the namespace's achievements. Returns `null` if the namespace is not a group, or the `achievements` feature flag is disabled. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    achievementsPath?: Maybe<Scalars['String']['output']>;
    /** Size limit for repositories in the namespace in bytes. This limit only applies to namespaces under Project limit enforcement. */
    actualRepositorySizeLimit?: Maybe<Scalars['Float']['output']>;
    /** The actual storage size limit (in bytes) based on the enforcement type of either repository or namespace. This limit is agnostic of enforcement type. */
    actualSizeLimit?: Maybe<Scalars['Float']['output']>;
    /**
     * Users in the namespace hierarchy that add ons are applicable for. This only applies to root namespaces. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    addOnEligibleUsers?: Maybe<AddOnUserConnection>;
    /** AddOnPurchase associated with the namespace */
    addOnPurchase?: Maybe<AddOnPurchase>;
    /** Additional storage purchased for the root namespace in bytes. */
    additionalPurchasedStorageSize?: Maybe<Scalars['Float']['output']>;
    /** Approval Policies of the project */
    approvalPolicies?: Maybe<ApprovalPolicyConnection>;
    /** Compliance frameworks available to projects in this namespace. */
    complianceFrameworks?: Maybe<ComplianceFrameworkConnection>;
    /** Includes at least one project where the repository size exceeds the limit. This only applies to namespaces under Project limit enforcement. */
    containsLockedProjects?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if the cross_project_pipeline feature is available for the namespace. */
    crossProjectPipelineAvailable: Scalars['Boolean']['output'];
    /** Description of the namespace. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Full name of the namespace. */
    fullName: Scalars['String']['output'];
    /** Full path of the namespace. */
    fullPath: Scalars['ID']['output'];
    /** ID of the namespace. */
    id: Scalars['ID']['output'];
    /**
     * Import source users of the namespace. This field can only be resolved for one namespace in any single request. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    importSourceUsers?: Maybe<ImportSourceUserConnection>;
    /** Indicates if Large File Storage (LFS) is enabled for namespace. */
    lfsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Name of the namespace. */
    name: Scalars['String']['output'];
    /** Package settings for the namespace. */
    packageSettings?: Maybe<PackageSettings>;
    /** List of the namespaces's Pages Deployments. */
    pagesDeployments?: Maybe<PagesDeploymentConnection>;
    /** Path of the namespace. */
    path: Scalars['String']['output'];
    /** Pipeline Execution Policies of the namespace. */
    pipelineExecutionPolicies?: Maybe<PipelineExecutionPolicyConnection>;
    /**
     * Number of product analytics events namespace is permitted to store per cycle. Introduced in GitLab 16.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.9.
     */
    productAnalyticsStoredEventsLimit?: Maybe<Scalars['Int']['output']>;
    /** Projects within this namespace. Returns projects from the parent group if namespace is project. */
    projects: ProjectConnection;
    /** Cluster agents in the namespace with remote development capabilities */
    remoteDevelopmentClusterAgents?: Maybe<ClusterAgentConnection>;
    /** Number of projects in the root namespace where the repository size exceeds the limit. This only applies to namespaces under Project limit enforcement. */
    repositorySizeExcessProjectCount?: Maybe<Scalars['Int']['output']>;
    /** Indicates if users can request access to namespace. */
    requestAccessEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Aggregated storage statistics of the namespace. Only available for root namespaces. */
    rootStorageStatistics?: Maybe<RootStorageStatistics>;
    /** Scan Execution Policies of the namespace. */
    scanExecutionPolicies?: Maybe<ScanExecutionPolicyConnection>;
    /**
     * Scan Result Policies of the project Deprecated in GitLab 16.9: Use `approvalPolicies`.
     * @deprecated Use `approvalPolicies`. Deprecated in GitLab 16.9.
     */
    scanResultPolicies?: Maybe<ScanResultPolicyConnection>;
    /** Security policy project assigned to the namespace. */
    securityPolicyProject?: Maybe<Project>;
    /** Shared runners availability for the namespace and its descendants. */
    sharedRunnersSetting?: Maybe<SharedRunnersSetting>;
    /** The storage limit (in bytes) included with the root namespace plan. This limit only applies to namespaces under namespace limit enforcement. */
    storageSizeLimit?: Maybe<Scalars['Float']['output']>;
    /**
     * Timelog categories for the namespace. Introduced in GitLab 15.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.3.
     */
    timelogCategories?: Maybe<TimeTrackingTimelogCategoryConnection>;
    /** Total repository size of all projects in the root namespace in bytes. */
    totalRepositorySize?: Maybe<Scalars['Float']['output']>;
    /** Total excess repository size of all projects in the root namespace in bytes. This only applies to namespaces under Project limit enforcement. */
    totalRepositorySizeExcess?: Maybe<Scalars['Float']['output']>;
    /** Visibility of the namespace. */
    visibility?: Maybe<Scalars['String']['output']>;
    /**
     * Find a work item by IID directly associated with the namespace(project or group).  Returns `null` for group level work items if the `namespace_level_work_items` feature flag is disabled. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    workItem?: Maybe<WorkItem>;
    /**
     * Work item types available to the namespace. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    workItemTypes?: Maybe<WorkItemTypeConnection>;
};
export type NamespaceAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['AchievementsAchievementID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type NamespaceAddOnEligibleUsersArgs = {
    addOnType: GitlabSubscriptionsAddOnType;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type NamespaceAddOnPurchaseArgs = {
    addOnName: Scalars['String']['input'];
};
export type NamespaceApprovalPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type NamespaceComplianceFrameworksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ComplianceManagementFrameworkID']['input']>;
    ids?: InputMaybe<Array<Scalars['ComplianceManagementFrameworkID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type NamespaceImportSourceUsersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type NamespacePagesDeploymentsArgs = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<Sort>;
    versioned?: InputMaybe<Scalars['Boolean']['input']>;
};
export type NamespacePipelineExecutionPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type NamespaceProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    complianceFrameworkFilters?: InputMaybe<ComplianceFrameworkFilters>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasCodeCoverage?: InputMaybe<Scalars['Boolean']['input']>;
    hasVulnerabilities?: InputMaybe<Scalars['Boolean']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    includeArchived?: InputMaybe<Scalars['Boolean']['input']>;
    includeSubgroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    notAimedForDeletion?: InputMaybe<Scalars['Boolean']['input']>;
    sbomComponentId?: InputMaybe<Scalars['ID']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<NamespaceProjectSort>;
    withIssuesEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    withMergeRequestsEnabled?: InputMaybe<Scalars['Boolean']['input']>;
};
export type NamespaceRemoteDevelopmentClusterAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter: NamespaceClusterAgentFilter;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type NamespaceScanExecutionPoliciesArgs = {
    actionScanTypes?: InputMaybe<Array<SecurityReportTypeEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type NamespaceScanResultPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type NamespaceTimelogCategoriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type NamespaceWorkItemArgs = {
    iid: Scalars['String']['input'];
};
export type NamespaceWorkItemTypesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<IssueType>;
};
export type NamespaceBan = {
    __typename?: 'NamespaceBan';
    /** Global ID of the namespace ban. */
    id: Scalars['GlobalID']['output'];
    /** Root namespace to which the ban applies. */
    namespace: Namespace;
    /** User to which the namespace ban applies. */
    user: UserCore;
};
/** Autogenerated input type of NamespaceBanDestroy */
export type NamespaceBanDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the namespace ban to remove. */
    id: Scalars['NamespacesNamespaceBanID']['input'];
};
/** Autogenerated return type of NamespaceBanDestroy. */
export type NamespaceBanDestroyPayload = {
    __typename?: 'NamespaceBanDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Namespace Ban. */
    namespaceBan?: Maybe<NamespaceBan>;
};
export type NamespaceCiCdSetting = {
    __typename?: 'NamespaceCiCdSetting';
    /** Indicates if stale runners directly belonging to this namespace should be periodically pruned. */
    allowStaleRunnerPruning?: Maybe<Scalars['Boolean']['output']>;
    /** Namespace the CI/CD settings belong to. */
    namespace?: Maybe<Namespace>;
};
/** Autogenerated input type of NamespaceCiCdSettingsUpdate */
export type NamespaceCiCdSettingsUpdateInput = {
    /** Indicates if stale runners directly belonging to this namespace should be periodically pruned. */
    allowStaleRunnerPruning?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the namespace the settings belong to. */
    fullPath: Scalars['ID']['input'];
};
/** Autogenerated return type of NamespaceCiCdSettingsUpdate. */
export type NamespaceCiCdSettingsUpdatePayload = {
    __typename?: 'NamespaceCiCdSettingsUpdatePayload';
    /** CI/CD settings after mutation. */
    ciCdSettings: NamespaceCiCdSetting;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Possible filter types for remote development cluster agents in a namespace */
export declare enum NamespaceClusterAgentFilter {
    /** Cluster agents in the namespace that can be used for hosting workspaces. */
    Available = "AVAILABLE",
    /** Cluster agents that are directly mapped to the given namespace. */
    DirectlyMapped = "DIRECTLY_MAPPED",
    /** Cluster agents within a namespace that are not directly mapped to it. */
    Unmapped = "UNMAPPED"
}
export type NamespaceCommitEmail = {
    __typename?: 'NamespaceCommitEmail';
    /** Timestamp the namespace commit email was created. */
    createdAt: Scalars['Time']['output'];
    /** Email. */
    email: Email;
    /** Internal ID of the namespace commit email. */
    id: Scalars['ID']['output'];
    /** Namespace. */
    namespace: Namespace;
    /** Timestamp the namespace commit email was last updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for NamespaceCommitEmail. */
export type NamespaceCommitEmailConnection = {
    __typename?: 'NamespaceCommitEmailConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<NamespaceCommitEmailEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<NamespaceCommitEmail>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type NamespaceCommitEmailEdge = {
    __typename?: 'NamespaceCommitEmailEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<NamespaceCommitEmail>;
};
/** The connection type for Namespace. */
export type NamespaceConnection = {
    __typename?: 'NamespaceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<NamespaceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Namespace>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of NamespaceCreateRemoteDevelopmentClusterAgentMapping */
export type NamespaceCreateRemoteDevelopmentClusterAgentMappingInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** GlobalID of the cluster agent to be associated with the namespace. */
    clusterAgentId: Scalars['ClustersAgentID']['input'];
    /** GlobalID of the namespace to be associated with the cluster agent. */
    namespaceId: Scalars['NamespaceID']['input'];
};
/** Autogenerated return type of NamespaceCreateRemoteDevelopmentClusterAgentMapping. */
export type NamespaceCreateRemoteDevelopmentClusterAgentMappingPayload = {
    __typename?: 'NamespaceCreateRemoteDevelopmentClusterAgentMappingPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of NamespaceDeleteRemoteDevelopmentClusterAgentMapping */
export type NamespaceDeleteRemoteDevelopmentClusterAgentMappingInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** GlobalID of the cluster agent to be un-associated from the namespace. */
    clusterAgentId: Scalars['ClustersAgentID']['input'];
    /** GlobalID of the namespace to be un-associated from the cluster agent. */
    namespaceId: Scalars['NamespaceID']['input'];
};
/** Autogenerated return type of NamespaceDeleteRemoteDevelopmentClusterAgentMapping. */
export type NamespaceDeleteRemoteDevelopmentClusterAgentMappingPayload = {
    __typename?: 'NamespaceDeleteRemoteDevelopmentClusterAgentMappingPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type NamespaceEdge = {
    __typename?: 'NamespaceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Namespace>;
};
/** Values for sorting projects */
export declare enum NamespaceProjectSort {
    /** Sort by latest activity, descending order. */
    ActivityDesc = "ACTIVITY_DESC",
    /** Sort by excess repository storage size, descending order. */
    ExcessRepoStorageSizeDesc = "EXCESS_REPO_STORAGE_SIZE_DESC",
    /** Most similar to the search query. */
    Similarity = "SIMILARITY",
    /**
     * Sort by excess repository storage size, descending order. Deprecated in GitLab 16.9: Please use EXCESS_REPO_STORAGE_SIZE_DESC.
     * @deprecated Please use EXCESS_REPO_STORAGE_SIZE_DESC. Deprecated in GitLab 16.9.
     */
    Storage = "STORAGE",
    /** Sort by total storage size, ascending order. */
    StorageSizeAsc = "STORAGE_SIZE_ASC",
    /** Sort by total storage size, descending order. */
    StorageSizeDesc = "STORAGE_SIZE_DESC"
}
export type NegatedBoardIssueInput = {
    /** Filter by assignee username. */
    assigneeUsername?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    /** Filter by author username. */
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    /** Filter by epic ID. Incompatible with epicWildcardId. */
    epicId?: InputMaybe<Scalars['EpicID']['input']>;
    /**
     * Health status not applied to the issue.
     *                     Includes issues where health status is not set.
     */
    healthStatusFilter?: InputMaybe<HealthStatus>;
    /** List of IIDs of issues. For example `["1", "2"]`. */
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filter by a list of iteration IDs. Incompatible with iterationWildcardId. */
    iterationId?: InputMaybe<Array<Scalars['IterationID']['input']>>;
    /** Filter by iteration title. */
    iterationTitle?: InputMaybe<Scalars['String']['input']>;
    /** Filter by iteration ID wildcard. */
    iterationWildcardId?: InputMaybe<NegatedIterationWildcardId>;
    /** Filter by label name. */
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    /** Filter by milestone title. */
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    /** Filter by milestone ID wildcard. */
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    /** Filter by reaction emoji applied by the current user. Wildcard values "NONE" and "ANY" are supported. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    /** Filter by release tag. */
    releaseTag?: InputMaybe<Scalars['String']['input']>;
    /** Filter by the given issue types. */
    types?: InputMaybe<Array<IssueType>>;
    /** Filter by weight. */
    weight?: InputMaybe<Scalars['String']['input']>;
};
export type NegatedComplianceFrameworkFilters = {
    /** ID of the compliance framework. */
    id?: InputMaybe<Scalars['ComplianceManagementFrameworkID']['input']>;
    /** IDs of the compliance framework. */
    ids?: InputMaybe<Array<Scalars['ComplianceManagementFrameworkID']['input']>>;
};
export type NegatedEpicBoardIssueInput = {
    /** Filter by author username. */
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    /** Filter by label name. */
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    /** Filter by reaction emoji applied by the current user. Wildcard values "NONE" and "ANY" are supported. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
};
export type NegatedEpicFilterInput = {
    /** Filter by author username. */
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    /** Filter by label name. */
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    /** Filter by reaction emoji applied by the current user. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
};
export type NegatedIssueFilterInput = {
    /** ID of a user not assigned to the issues. */
    assigneeId?: InputMaybe<Scalars['String']['input']>;
    /** Usernames of users not assigned to the issue. */
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Username of a user who didn't author the issue. */
    authorUsername?: InputMaybe<Array<Scalars['String']['input']>>;
    /** ID of an epic not associated with the issues. */
    epicId?: InputMaybe<Scalars['String']['input']>;
    /**
     * Health status not applied to the issue.
     *                     Includes issues where health status is not set.
     */
    healthStatusFilter?: InputMaybe<Array<HealthStatus>>;
    /** List of IIDs of issues to exclude. For example, `[1, 2]`. */
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    /** List of iteration Global IDs not applied to the issue. */
    iterationId?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Filter by negated iteration ID wildcard. */
    iterationWildcardId?: InputMaybe<IterationWildcardId>;
    /** Labels not applied to this issue. */
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Milestone not applied to this issue. */
    milestoneTitle?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filter by negated milestone wildcard values. */
    milestoneWildcardId?: InputMaybe<NegatedMilestoneWildcardId>;
    /** Filter by reaction emoji applied by the current user. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    /** Release tag not associated with the issue's milestone. Ignored when parent is a group. */
    releaseTag?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filters out issues by the given issue types. */
    types?: InputMaybe<Array<IssueType>>;
    /** Weight not applied to the issue. */
    weight?: InputMaybe<Scalars['String']['input']>;
};
/** Negated Iteration ID wildcard values */
export declare enum NegatedIterationWildcardId {
    /** Current iteration. */
    Current = "CURRENT"
}
/** Negated Milestone ID wildcard values */
export declare enum NegatedMilestoneWildcardId {
    /** Milestone assigned is open and yet to be started (start date > today). */
    Started = "STARTED",
    /** Milestone assigned is open but due in the past (due date <= today). */
    Upcoming = "UPCOMING"
}
export type NegatedValueStreamAnalyticsIssueFilterInput = {
    /** Usernames of users not assigned to the issue. */
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Username of a user who didn't author the issue. */
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    /** ID of an epic not associated with the issues. */
    epicId?: InputMaybe<Scalars['ID']['input']>;
    /** List of iteration Global IDs not applied to the issue. */
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    /** Labels not applied to this issue. */
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Milestone not applied to this issue. */
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    /** Filter by reaction emoji applied by the current user. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    /** Weight not applied to the issue. */
    weight?: InputMaybe<Scalars['Int']['input']>;
};
export type NegatedWorkItemFilterInput = {
    /** Usernames of users not assigned to the work item. */
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Username of a user who didn't author the work item. */
    authorUsername?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Labels not applied to the work item. */
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Milestone not applied to the work item. */
    milestoneTitle?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filter by negated milestone wildcard values. */
    milestoneWildcardId?: InputMaybe<NegatedMilestoneWildcardId>;
    /** Filter by reaction emoji not applied by the current user. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
};
/** Describes where code is deployed for a project organized by folder. */
export type NestedEnvironment = {
    __typename?: 'NestedEnvironment';
    /** Latest environment in the folder. */
    environment?: Maybe<Environment>;
    /** Human-readable name of the environment. */
    name: Scalars['String']['output'];
    /** Number of environments nested in the folder. */
    size: Scalars['Int']['output'];
};
/** The connection type for NestedEnvironment. */
export type NestedEnvironmentConnection = {
    __typename?: 'NestedEnvironmentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<NestedEnvironmentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<NestedEnvironment>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type NestedEnvironmentEdge = {
    __typename?: 'NestedEnvironmentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<NestedEnvironment>;
};
export type Note = ResolvableInterface & {
    __typename?: 'Note';
    /** User who wrote the note. */
    author?: Maybe<UserCore>;
    /** Indicates whether the note author is a contributor. */
    authorIsContributor?: Maybe<Scalars['Boolean']['output']>;
    /** List of emoji reactions associated with the note. */
    awardEmoji?: Maybe<AwardEmojiConnection>;
    /** Content of the note. */
    body: Scalars['String']['output'];
    /** First line of the note content. */
    bodyFirstLineHtml: Scalars['String']['output'];
    /** GitLab Flavored Markdown rendering of the content of the note. */
    bodyHtml?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the note creation. */
    createdAt: Scalars['Time']['output'];
    /** Discussion the note is a part of. */
    discussion?: Maybe<Discussion>;
    /** ID of the note. */
    id: Scalars['NoteID']['output'];
    /** Indicates whether the note was imported. */
    imported?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if the note is internal. */
    internal?: Maybe<Scalars['Boolean']['output']>;
    /** Timestamp when note was last edited. */
    lastEditedAt?: Maybe<Scalars['Time']['output']>;
    /** User who last edited the note. */
    lastEditedBy?: Maybe<UserCore>;
    /** Max access level of the note author in the project. */
    maxAccessLevelOfAuthor?: Maybe<Scalars['String']['output']>;
    /** Position of the note on a diff. */
    position?: Maybe<DiffPosition>;
    /** Project associated with the note. */
    project?: Maybe<Project>;
    /** Indicates if the object can be resolved. */
    resolvable: Scalars['Boolean']['output'];
    /** Indicates if the object is resolved. */
    resolved: Scalars['Boolean']['output'];
    /** Timestamp of when the object was resolved. */
    resolvedAt?: Maybe<Scalars['Time']['output']>;
    /** User who resolved the object. */
    resolvedBy?: Maybe<UserCore>;
    /** Indicates whether the note was created by the system or by a user. */
    system: Scalars['Boolean']['output'];
    /** Name of the icon corresponding to a system note. */
    systemNoteIconName?: Maybe<Scalars['String']['output']>;
    /** Metadata for the given note if it is a system note. */
    systemNoteMetadata?: Maybe<SystemNoteMetadata>;
    /** Timestamp of the note's last activity. */
    updatedAt: Scalars['Time']['output'];
    /** URL to view the note in the Web UI. */
    url?: Maybe<Scalars['String']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: NotePermissions;
};
export type NoteAwardEmojiArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for Note. */
export type NoteConnection = {
    __typename?: 'NoteConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<NoteEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Note>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type NoteEdge = {
    __typename?: 'NoteEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Note>;
};
export type NotePermissions = {
    __typename?: 'NotePermissions';
    /** If `true`, the user can perform `admin_note` on this resource */
    adminNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `award_emoji` on this resource */
    awardEmoji: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_note` on this resource */
    createNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_note` on this resource */
    readNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `reposition_note` on this resource */
    repositionNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `resolve_note` on this resource */
    resolveNote: Scalars['Boolean']['output'];
};
export type NoteableInterface = {
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** All notes on this noteable. */
    notes: NoteConnection;
};
export type NoteableInterfaceCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type NoteableInterfaceDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type NoteableInterfaceNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an object that supports notes. */
export type NoteableType = Design | Issue | MergeRequest;
/** Work item notes collection type. */
export declare enum NotesFilterType {
    /** Show all activity */
    AllNotes = "ALL_NOTES",
    /** Show history only */
    OnlyActivity = "ONLY_ACTIVITY",
    /** Show comments only */
    OnlyComments = "ONLY_COMMENTS"
}
/** Nuget dependency link metadata */
export type NugetDependencyLinkMetadata = {
    __typename?: 'NugetDependencyLinkMetadata';
    /** ID of the metadatum. */
    id: Scalars['PackagesNugetDependencyLinkMetadatumID']['output'];
    /** Target framework of the dependency link package. */
    targetFramework: Scalars['String']['output'];
};
/** Nuget metadata */
export type NugetMetadata = {
    __typename?: 'NugetMetadata';
    /** Icon URL of the Nuget package. */
    iconUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the metadatum. */
    id: Scalars['PackagesNugetMetadatumID']['output'];
    /** License URL of the Nuget package. */
    licenseUrl?: Maybe<Scalars['String']['output']>;
    /** Project URL of the Nuget package. */
    projectUrl?: Maybe<Scalars['String']['output']>;
};
/** The rotation participant and color palette */
export type OncallParticipantType = {
    __typename?: 'OncallParticipantType';
    /** Color palette to assign to the on-call user. For example "blue". */
    colorPalette?: Maybe<Scalars['String']['output']>;
    /** Color weight to assign to for the on-call user, for example "500". Max 4 chars. For easy identification of the user. */
    colorWeight?: Maybe<Scalars['String']['output']>;
    /** ID of the on-call participant. */
    id: Scalars['IncidentManagementOncallParticipantID']['output'];
    /** User who is participating. */
    user: UserCore;
};
/** The connection type for OncallParticipantType. */
export type OncallParticipantTypeConnection = {
    __typename?: 'OncallParticipantTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<OncallParticipantTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<OncallParticipantType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type OncallParticipantTypeEdge = {
    __typename?: 'OncallParticipantTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<OncallParticipantType>;
};
/** Active period time range for on-call rotation */
export type OncallRotationActivePeriodInputType = {
    /** End of the rotation active period in 24 hour format. For example, "18:30". */
    endTime: Scalars['String']['input'];
    /** Start of the rotation active period in 24 hour format. For example, "18:30". */
    startTime: Scalars['String']['input'];
};
/** Active period time range for on-call rotation */
export type OncallRotationActivePeriodType = {
    __typename?: 'OncallRotationActivePeriodType';
    /** End of the rotation active period. */
    endTime?: Maybe<Scalars['String']['output']>;
    /** Start of the rotation active period. */
    startTime?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of OncallRotationCreate */
export type OncallRotationCreateInput = {
    /** Active period of time that the on-call rotation should take place. */
    activePeriod?: InputMaybe<OncallRotationActivePeriodInputType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** End date and time of the on-call rotation, in the timezone of the on-call schedule. */
    endsAt?: InputMaybe<OncallRotationDateInputType>;
    /** Name of the on-call rotation. */
    name: Scalars['String']['input'];
    /** Usernames of users participating in the on-call rotation. A maximum limit of 100 participants applies. */
    participants: Array<OncallUserInputType>;
    /** Project to create the on-call schedule in. */
    projectPath: Scalars['ID']['input'];
    /** Rotation length of the on-call rotation. */
    rotationLength: OncallRotationLengthInputType;
    /** IID of the on-call schedule to create the on-call rotation in. */
    scheduleIid: Scalars['String']['input'];
    /** Start date and time of the on-call rotation, in the timezone of the on-call schedule. */
    startsAt: OncallRotationDateInputType;
};
/** Autogenerated return type of OncallRotationCreate. */
export type OncallRotationCreatePayload = {
    __typename?: 'OncallRotationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** On-call rotation. */
    oncallRotation?: Maybe<IncidentManagementOncallRotation>;
};
/** Date input type for on-call rotation */
export type OncallRotationDateInputType = {
    /** Date component of the date in YYYY-MM-DD format. */
    date: Scalars['String']['input'];
    /** Time component of the date in 24hr HH:MM format. */
    time: Scalars['String']['input'];
};
/** Autogenerated input type of OncallRotationDestroy */
export type OncallRotationDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the on-call rotation to remove. */
    id: Scalars['IncidentManagementOncallRotationID']['input'];
    /** Project to remove the on-call schedule from. */
    projectPath: Scalars['ID']['input'];
    /** IID of the on-call schedule to the on-call rotation belongs to. */
    scheduleIid: Scalars['String']['input'];
};
/** Autogenerated return type of OncallRotationDestroy. */
export type OncallRotationDestroyPayload = {
    __typename?: 'OncallRotationDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** On-call rotation. */
    oncallRotation?: Maybe<IncidentManagementOncallRotation>;
};
/** The rotation length of the on-call rotation */
export type OncallRotationLengthInputType = {
    /** Rotation length of the on-call rotation. */
    length: Scalars['Int']['input'];
    /** Unit of the rotation length of the on-call rotation. */
    unit: OncallRotationUnitEnum;
};
/** Rotation length unit of an on-call rotation */
export declare enum OncallRotationUnitEnum {
    /** Days */
    Days = "DAYS",
    /** Hours */
    Hours = "HOURS",
    /** Weeks */
    Weeks = "WEEKS"
}
/** Autogenerated input type of OncallRotationUpdate */
export type OncallRotationUpdateInput = {
    /** Active period of time that the on-call rotation should take place. */
    activePeriod?: InputMaybe<OncallRotationActivePeriodInputType>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** End date and time of the on-call rotation, in the timezone of the on-call schedule. */
    endsAt?: InputMaybe<OncallRotationDateInputType>;
    /** ID of the on-call schedule to create the on-call rotation in. */
    id: Scalars['IncidentManagementOncallRotationID']['input'];
    /** Name of the on-call rotation. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Usernames of users participating in the on-call rotation. A maximum limit of 100 participants applies. */
    participants?: InputMaybe<Array<OncallUserInputType>>;
    /** Rotation length of the on-call rotation. */
    rotationLength?: InputMaybe<OncallRotationLengthInputType>;
    /** Start date and time of the on-call rotation, in the timezone of the on-call schedule. */
    startsAt?: InputMaybe<OncallRotationDateInputType>;
};
/** Autogenerated return type of OncallRotationUpdate. */
export type OncallRotationUpdatePayload = {
    __typename?: 'OncallRotationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** On-call rotation. */
    oncallRotation?: Maybe<IncidentManagementOncallRotation>;
};
/** Autogenerated input type of OncallScheduleCreate */
export type OncallScheduleCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the on-call schedule. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Name of the on-call schedule. */
    name: Scalars['String']['input'];
    /** Project to create the on-call schedule in. */
    projectPath: Scalars['ID']['input'];
    /** Timezone of the on-call schedule. */
    timezone: Scalars['String']['input'];
};
/** Autogenerated return type of OncallScheduleCreate. */
export type OncallScheduleCreatePayload = {
    __typename?: 'OncallScheduleCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** On-call schedule. */
    oncallSchedule?: Maybe<IncidentManagementOncallSchedule>;
};
/** Autogenerated input type of OncallScheduleDestroy */
export type OncallScheduleDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** On-call schedule internal ID to remove. */
    iid: Scalars['String']['input'];
    /** Project to remove the on-call schedule from. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of OncallScheduleDestroy. */
export type OncallScheduleDestroyPayload = {
    __typename?: 'OncallScheduleDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** On-call schedule. */
    oncallSchedule?: Maybe<IncidentManagementOncallSchedule>;
};
/** Autogenerated input type of OncallScheduleUpdate */
export type OncallScheduleUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the on-call schedule. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** On-call schedule internal ID to update. */
    iid: Scalars['String']['input'];
    /** Name of the on-call schedule. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Project to update the on-call schedule in. */
    projectPath: Scalars['ID']['input'];
    /** Timezone of the on-call schedule. */
    timezone?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of OncallScheduleUpdate. */
export type OncallScheduleUpdatePayload = {
    __typename?: 'OncallScheduleUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** On-call schedule. */
    oncallSchedule?: Maybe<IncidentManagementOncallSchedule>;
};
/** The rotation user and color palette */
export type OncallUserInputType = {
    /** Value of DataVisualizationColorEnum. The color from the palette to assign to the on-call user. */
    colorPalette?: InputMaybe<DataVisualizationColorEnum>;
    /** Color weight to assign to for the on-call user. To view on-call schedules in GitLab, do not provide a value below 500. A value between 500 and 950 ensures sufficient contrast. */
    colorWeight?: InputMaybe<DataVisualizationWeightEnum>;
    /** Username of the user to participate in the on-call rotation. For example, `"user_one"`. */
    username: Scalars['String']['input'];
};
export type OrchestrationPolicy = {
    /** Description of the policy. */
    description: Scalars['String']['output'];
    /** URL of policy edit page. */
    editPath: Scalars['String']['output'];
    /** Indicates whether this policy is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** Name of the policy. */
    name: Scalars['String']['output'];
    /** Scope of the policy */
    policyScope?: Maybe<PolicyScope>;
    /** Timestamp of when the policy YAML was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** YAML definition of the policy. */
    yaml: Scalars['String']['output'];
};
export type Organization = {
    __typename?: 'Organization';
    /**
     * Avatar URL of the organization. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /**
     * Description of the organization. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    description?: Maybe<Scalars['String']['output']>;
    /**
     * GitLab Flavored Markdown rendering of `description` Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /**
     * Groups within this organization that the user has access to. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    groups: GroupConnection;
    /**
     * ID of the organization. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    id: Scalars['ID']['output'];
    /**
     * Name of the organization. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    name: Scalars['String']['output'];
    /**
     * Users with access to the organization. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    organizationUsers: OrganizationUserConnection;
    /**
     * Path of the organization. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    path: Scalars['String']['output'];
    /**
     * Projects within this organization that the user has access to. Introduced in GitLab 16.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.8.
     */
    projects: ProjectConnection;
    /**
     * Web URL of the organization. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    webUrl: Scalars['String']['output'];
};
export type OrganizationGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    markedForDeletionOn?: InputMaybe<Scalars['Date']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<Scalars['String']['input']>;
};
export type OrganizationOrganizationUsersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type OrganizationProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    aimedForDeletion?: InputMaybe<Scalars['Boolean']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    fullPaths?: InputMaybe<Array<Scalars['String']['input']>>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    includeHidden?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    markedForDeletionOn?: InputMaybe<Scalars['Date']['input']>;
    membership?: InputMaybe<Scalars['Boolean']['input']>;
    personal?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    searchNamespaces?: InputMaybe<Scalars['Boolean']['input']>;
    sort?: InputMaybe<Scalars['String']['input']>;
    topics?: InputMaybe<Array<Scalars['String']['input']>>;
    withIssuesEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    withMergeRequestsEnabled?: InputMaybe<Scalars['Boolean']['input']>;
};
/** The connection type for Organization. */
export type OrganizationConnection = {
    __typename?: 'OrganizationConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<OrganizationEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Organization>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of OrganizationCreate */
export type OrganizationCreateInput = {
    /** Avatar for the organization. */
    avatar?: InputMaybe<Scalars['Upload']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the organization. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Name for the organization. */
    name: Scalars['String']['input'];
    /** Path for the organization. */
    path: Scalars['String']['input'];
};
/** Autogenerated return type of OrganizationCreate. */
export type OrganizationCreatePayload = {
    __typename?: 'OrganizationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Organization after mutation. */
    organization?: Maybe<Organization>;
};
/** An edge in a connection. */
export type OrganizationEdge = {
    __typename?: 'OrganizationEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Organization>;
};
/** Default list view for organization groups and projects. */
export declare enum OrganizationGroupProjectDisplay {
    /**
     * Display organization groups list. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    Groups = "GROUPS",
    /**
     * Display organization projects list. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    Projects = "PROJECTS"
}
/** Values for sorting organization groups and projects. */
export declare enum OrganizationGroupProjectSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /**
     * Name ascending order. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    NameAsc = "NAME_ASC",
    /**
     * Name descending order. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    NameDesc = "NAME_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** Values for sorting organizations */
export declare enum OrganizationSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Default Rate in ascending order. */
    DefaultRateAsc = "DEFAULT_RATE_ASC",
    /** Default Rate in descending order. */
    DefaultRateDesc = "DEFAULT_RATE_DESC",
    /** Description in ascending order. */
    DescriptionAsc = "DESCRIPTION_ASC",
    /** Description in descending order. */
    DescriptionDesc = "DESCRIPTION_DESC",
    /** Name in ascending order. */
    NameAsc = "NAME_ASC",
    /** Name in descending order. */
    NameDesc = "NAME_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** Represents the total number of organizations for the represented states. */
export type OrganizationStateCounts = {
    __typename?: 'OrganizationStateCounts';
    /** Number of organizations with state `ACTIVE` */
    active?: Maybe<Scalars['Int']['output']>;
    /** Number of organizations with state `ALL` */
    all?: Maybe<Scalars['Int']['output']>;
    /** Number of organizations with state `INACTIVE` */
    inactive?: Maybe<Scalars['Int']['output']>;
};
/** Autogenerated input type of OrganizationUpdate */
export type OrganizationUpdateInput = {
    /** Avatar for the organization. */
    avatar?: InputMaybe<Scalars['Upload']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the organization. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of the organization to mutate. */
    id: Scalars['OrganizationsOrganizationID']['input'];
    /** Name for the organization. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Path for the organization. */
    path?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of OrganizationUpdate. */
export type OrganizationUpdatePayload = {
    __typename?: 'OrganizationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Organization after mutation. */
    organization?: Maybe<Organization>;
};
/** A user with access to the organization. */
export type OrganizationUser = {
    __typename?: 'OrganizationUser';
    /**
     * Access level of the user in the organization. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    accessLevel: OrganizationUserAccess;
    /**
     * Badges describing the user within the organization. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    badges?: Maybe<Array<OrganizationUserBadge>>;
    /**
     * ID of the organization user. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    id: Scalars['ID']['output'];
    /**
     * Whether the user is the last owner of the organization. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    isLastOwner: Scalars['Boolean']['output'];
    /**
     * User that is associated with the organization. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    user: UserCore;
    /** Permissions for the current user on the resource */
    userPermissions: OrganizationUserPermissions;
};
/** Represents the access level of a relationship between a User and Organization that it is related to */
export type OrganizationUserAccess = {
    __typename?: 'OrganizationUserAccess';
    /**
     * Integer representation of access level. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    integerValue?: Maybe<Scalars['Int']['output']>;
    /**
     * String representation of access level. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    stringValue?: Maybe<OrganizationUserAccessLevel>;
};
/** Access level of an organization user */
export declare enum OrganizationUserAccessLevel {
    /**
     * Guest access. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    Default = "DEFAULT",
    /**
     * Owner access. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    Owner = "OWNER"
}
/** An organization user badge. */
export type OrganizationUserBadge = {
    __typename?: 'OrganizationUserBadge';
    /** Badge text. */
    text: Scalars['String']['output'];
    /** Badge variant. */
    variant: Scalars['String']['output'];
};
/** The connection type for OrganizationUser. */
export type OrganizationUserConnection = {
    __typename?: 'OrganizationUserConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<OrganizationUserEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<OrganizationUser>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type OrganizationUserEdge = {
    __typename?: 'OrganizationUserEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<OrganizationUser>;
};
export type OrganizationUserPermissions = {
    __typename?: 'OrganizationUserPermissions';
    /** If `true`, the user can perform `delete_user` on this resource */
    deleteUser: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `remove_user` on this resource */
    removeUser: Scalars['Boolean']['output'];
};
/** Represents a package with pipelines in the Package Registry */
export type Package = {
    __typename?: 'Package';
    /** Map of links to perform actions on the package. */
    _links: PackageLinks;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** ID of the package. */
    id: Scalars['PackagesPackageID']['output'];
    /** Package metadata. */
    metadata?: Maybe<PackageMetadata>;
    /** Name of the package. */
    name: Scalars['String']['output'];
    /** Package type. */
    packageType: PackageTypeEnum;
    /**
     *               Pipelines that built the package. Max page size 20.
     *
     */
    pipelines?: Maybe<PipelineConnection>;
    /** Project where the package is stored. */
    project: Project;
    /**
     * Whether any matching package protection rule exists for this package. Available only when feature flag `packages_protected_packages` is enabled. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    protectionRuleExists: Scalars['Boolean']['output'];
    /** Package status. */
    status: PackageStatus;
    /** Status message. */
    statusMessage?: Maybe<Scalars['String']['output']>;
    /** Package tags. */
    tags?: Maybe<PackageTagConnection>;
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: PackagePermissions;
    /** Version string. */
    version?: Maybe<Scalars['String']['output']>;
};
/** Represents a package with pipelines in the Package Registry */
export type PackagePipelinesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a package with pipelines in the Package Registry */
export type PackageTagsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a package in the Package Registry */
export type PackageBase = {
    __typename?: 'PackageBase';
    /** Map of links to perform actions on the package. */
    _links: PackageLinks;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** ID of the package. */
    id: Scalars['PackagesPackageID']['output'];
    /** Package metadata. */
    metadata?: Maybe<PackageMetadata>;
    /** Name of the package. */
    name: Scalars['String']['output'];
    /** Package type. */
    packageType: PackageTypeEnum;
    /** Project where the package is stored. */
    project: Project;
    /**
     * Whether any matching package protection rule exists for this package. Available only when feature flag `packages_protected_packages` is enabled. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    protectionRuleExists: Scalars['Boolean']['output'];
    /** Package status. */
    status: PackageStatus;
    /** Status message. */
    statusMessage?: Maybe<Scalars['String']['output']>;
    /** Package tags. */
    tags?: Maybe<PackageTagConnection>;
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: PackagePermissions;
    /** Version string. */
    version?: Maybe<Scalars['String']['output']>;
};
/** Represents a package in the Package Registry */
export type PackageBaseTagsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for PackageBase. */
export type PackageBaseConnection = {
    __typename?: 'PackageBaseConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PackageBaseEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PackageBase>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PackageBaseEdge = {
    __typename?: 'PackageBaseEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PackageBase>;
};
/** Represents a composer JSON file */
export type PackageComposerJsonType = {
    __typename?: 'PackageComposerJsonType';
    /** License set in the Composer JSON file. */
    license?: Maybe<Scalars['String']['output']>;
    /** Name set in the Composer JSON file. */
    name?: Maybe<Scalars['String']['output']>;
    /** Type set in the Composer JSON file. */
    type?: Maybe<Scalars['String']['output']>;
    /** Version set in the Composer JSON file. */
    version?: Maybe<Scalars['String']['output']>;
};
/** The connection type for Package. */
export type PackageConnection = {
    __typename?: 'PackageConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PackageEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Package>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Represents a package dependency. */
export type PackageDependency = {
    __typename?: 'PackageDependency';
    /** ID of the dependency. */
    id: Scalars['PackagesDependencyID']['output'];
    /** Name of the dependency. */
    name: Scalars['String']['output'];
    /** Version pattern of the dependency. */
    versionPattern: Scalars['String']['output'];
};
/** Represents a package dependency link */
export type PackageDependencyLink = {
    __typename?: 'PackageDependencyLink';
    /** Dependency. */
    dependency?: Maybe<PackageDependency>;
    /** Dependency type. */
    dependencyType: PackageDependencyType;
    /** ID of the dependency link. */
    id: Scalars['PackagesDependencyLinkID']['output'];
    /** Dependency link metadata. */
    metadata?: Maybe<DependencyLinkMetadata>;
};
/** The connection type for PackageDependencyLink. */
export type PackageDependencyLinkConnection = {
    __typename?: 'PackageDependencyLinkConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PackageDependencyLinkEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PackageDependencyLink>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PackageDependencyLinkEdge = {
    __typename?: 'PackageDependencyLinkEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PackageDependencyLink>;
};
export declare enum PackageDependencyType {
    /** bundleDependencies dependency type */
    BundleDependencies = "BUNDLE_DEPENDENCIES",
    /** dependencies dependency type */
    Dependencies = "DEPENDENCIES",
    /** devDependencies dependency type */
    DevDependencies = "DEV_DEPENDENCIES",
    /** peerDependencies dependency type */
    PeerDependencies = "PEER_DEPENDENCIES"
}
/** Represents a package details in the Package Registry */
export type PackageDetailsType = {
    __typename?: 'PackageDetailsType';
    /** Map of links to perform actions on the package. */
    _links: PackageLinks;
    /** Url of the Composer setup endpoint. */
    composerConfigRepositoryUrl?: Maybe<Scalars['String']['output']>;
    /** Url of the Composer endpoint. */
    composerUrl?: Maybe<Scalars['String']['output']>;
    /** Url of the Conan project endpoint. */
    conanUrl?: Maybe<Scalars['String']['output']>;
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** Dependency link. */
    dependencyLinks?: Maybe<PackageDependencyLinkConnection>;
    /** ID of the package. */
    id: Scalars['PackagesPackageID']['output'];
    /** Last time that a file of this package was downloaded. */
    lastDownloadedAt?: Maybe<Scalars['Time']['output']>;
    /** Url of the Maven project endpoint. */
    mavenUrl?: Maybe<Scalars['String']['output']>;
    /** Package metadata. */
    metadata?: Maybe<PackageMetadata>;
    /** Name of the package. */
    name: Scalars['String']['output'];
    /** Url of the NPM project endpoint. */
    npmUrl?: Maybe<Scalars['String']['output']>;
    /** Url of the Nuget project endpoint. */
    nugetUrl?: Maybe<Scalars['String']['output']>;
    /** Package files. */
    packageFiles?: Maybe<PackageFileConnection>;
    /** Package type. */
    packageType: PackageTypeEnum;
    /**
     *               Pipelines that built the package. Max page size 20.
     *
     */
    pipelines?: Maybe<PipelineConnection>;
    /** Project where the package is stored. */
    project: Project;
    /**
     * Whether any matching package protection rule exists for this package. Available only when feature flag `packages_protected_packages` is enabled. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    protectionRuleExists: Scalars['Boolean']['output'];
    /** Indicates if there is public access to the package. */
    publicPackage?: Maybe<Scalars['Boolean']['output']>;
    /** Url of the PyPi project setup endpoint. */
    pypiSetupUrl?: Maybe<Scalars['String']['output']>;
    /** Url of the PyPi project endpoint. */
    pypiUrl?: Maybe<Scalars['String']['output']>;
    /** Package status. */
    status: PackageStatus;
    /** Status message. */
    statusMessage?: Maybe<Scalars['String']['output']>;
    /** Package tags. */
    tags?: Maybe<PackageTagConnection>;
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: PackagePermissions;
    /** Version string. */
    version?: Maybe<Scalars['String']['output']>;
    /** Other versions of the package. */
    versions?: Maybe<PackageBaseConnection>;
};
/** Represents a package details in the Package Registry */
export type PackageDetailsTypeDependencyLinksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a package details in the Package Registry */
export type PackageDetailsTypePackageFilesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a package details in the Package Registry */
export type PackageDetailsTypePipelinesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a package details in the Package Registry */
export type PackageDetailsTypeTagsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a package details in the Package Registry */
export type PackageDetailsTypeVersionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type PackageEdge = {
    __typename?: 'PackageEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Package>;
};
/** Represents a package file */
export type PackageFile = {
    __typename?: 'PackageFile';
    /** Created date. */
    createdAt: Scalars['Time']['output'];
    /** Download path of the package file. */
    downloadPath: Scalars['String']['output'];
    /** Md5 of the package file. */
    fileMd5?: Maybe<Scalars['String']['output']>;
    /** File metadata. */
    fileMetadata?: Maybe<PackageFileMetadata>;
    /** Name of the package file. */
    fileName: Scalars['String']['output'];
    /** Sha1 of the package file. */
    fileSha1?: Maybe<Scalars['String']['output']>;
    /** Sha256 of the package file. */
    fileSha256?: Maybe<Scalars['String']['output']>;
    /** ID of the file. */
    id: Scalars['PackagesPackageFileID']['output'];
    /** Size of the package file. */
    size: Scalars['String']['output'];
    /** Updated date. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for PackageFile. */
export type PackageFileConnection = {
    __typename?: 'PackageFileConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PackageFileEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PackageFile>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PackageFileEdge = {
    __typename?: 'PackageFileEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PackageFile>;
};
/** Represents metadata associated with a Package file */
export type PackageFileMetadata = {
    /** Date of creation. */
    createdAt: Scalars['Time']['output'];
    /** Date of most recent update. */
    updatedAt: Scalars['Time']['output'];
};
/** Represents the Geo sync and verification state of a package file */
export type PackageFileRegistry = {
    __typename?: 'PackageFileRegistry';
    /** Timestamp when the PackageFileRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the PackageFileRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the PackageFileRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the PackageFileRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the PackageFile. */
    packageFileId: Scalars['ID']['output'];
    /** Timestamp after which the PackageFileRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the PackageFileRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the PackageFileRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the PackageFileRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the PackageFileRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the PackageFileRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the PackageFileRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of PackageFileRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the PackageFileRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the PackageFileRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for PackageFileRegistry. */
export type PackageFileRegistryConnection = {
    __typename?: 'PackageFileRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PackageFileRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PackageFileRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PackageFileRegistryEdge = {
    __typename?: 'PackageFileRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PackageFileRegistry>;
};
/** Values for sorting group packages */
export declare enum PackageGroupSort {
    /** Ordered by created_at in ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Ordered by created_at in descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Ordered by name in ascending order. */
    NameAsc = "NAME_ASC",
    /** Ordered by name in descending order. */
    NameDesc = "NAME_DESC",
    /** Ordered by project path in ascending order. */
    ProjectPathAsc = "PROJECT_PATH_ASC",
    /** Ordered by project path in descending order. */
    ProjectPathDesc = "PROJECT_PATH_DESC",
    /** Ordered by type in ascending order. */
    TypeAsc = "TYPE_ASC",
    /** Ordered by type in descending order. */
    TypeDesc = "TYPE_DESC",
    /** Ordered by version in ascending order. */
    VersionAsc = "VERSION_ASC",
    /** Ordered by version in descending order. */
    VersionDesc = "VERSION_DESC"
}
/** Represents a Helm dependency */
export type PackageHelmDependencyType = {
    __typename?: 'PackageHelmDependencyType';
    /** Alias of the dependency. */
    alias?: Maybe<Scalars['String']['output']>;
    /** Condition of the dependency. */
    condition?: Maybe<Scalars['String']['output']>;
    /** Indicates the dependency is enabled. */
    enabled?: Maybe<Scalars['Boolean']['output']>;
    /** Import-values of the dependency. */
    importValues?: Maybe<Array<Scalars['JSON']['output']>>;
    /** Name of the dependency. */
    name?: Maybe<Scalars['String']['output']>;
    /** Repository of the dependency. */
    repository?: Maybe<Scalars['String']['output']>;
    /** Tags of the dependency. */
    tags?: Maybe<Array<Scalars['String']['output']>>;
    /** Version of the dependency. */
    version?: Maybe<Scalars['String']['output']>;
};
/** Represents a Helm maintainer */
export type PackageHelmMaintainerType = {
    __typename?: 'PackageHelmMaintainerType';
    /** Email of the maintainer. */
    email?: Maybe<Scalars['String']['output']>;
    /** Name of the maintainer. */
    name?: Maybe<Scalars['String']['output']>;
    /** URL of the maintainer. */
    url?: Maybe<Scalars['String']['output']>;
};
/** Represents the contents of a Helm Chart.yml file */
export type PackageHelmMetadataType = {
    __typename?: 'PackageHelmMetadataType';
    /** Annotations for the chart. */
    annotations?: Maybe<Scalars['JSON']['output']>;
    /** API version of the chart. */
    apiVersion: Scalars['String']['output'];
    /** App version of the chart. */
    appVersion?: Maybe<Scalars['String']['output']>;
    /** Condition for the chart. */
    condition?: Maybe<Scalars['String']['output']>;
    /** Dependencies of the chart. */
    dependencies?: Maybe<Array<PackageHelmDependencyType>>;
    /** Indicates if the chart is deprecated. */
    deprecated?: Maybe<Scalars['Boolean']['output']>;
    /** Description of the chart. */
    description?: Maybe<Scalars['String']['output']>;
    /** URL of the home page. */
    home?: Maybe<Scalars['String']['output']>;
    /** URL to an SVG or PNG image for the chart. */
    icon?: Maybe<Scalars['String']['output']>;
    /** Keywords for the chart. */
    keywords?: Maybe<Array<Scalars['String']['output']>>;
    /** Kubernetes versions for the chart. */
    kubeVersion?: Maybe<Scalars['String']['output']>;
    /** Maintainers of the chart. */
    maintainers?: Maybe<Array<PackageHelmMaintainerType>>;
    /** Name of the chart. */
    name: Scalars['String']['output'];
    /** URLs of the source code for the chart. */
    sources?: Maybe<Array<Scalars['String']['output']>>;
    /** Tags for the chart. */
    tags?: Maybe<Scalars['String']['output']>;
    /** Type of the chart. */
    type?: Maybe<Scalars['String']['output']>;
    /** Version of the chart. */
    version: Scalars['String']['output'];
};
/** Represents links to perform actions on the package */
export type PackageLinks = {
    __typename?: 'PackageLinks';
    /** Path to the package details page. */
    webPath?: Maybe<Scalars['String']['output']>;
};
/** Values for package manager */
export declare enum PackageManager {
    /** Package manager: apk. */
    Apk = "APK",
    /** Package manager: bundler. */
    Bundler = "BUNDLER",
    /** Package manager: composer. */
    Composer = "COMPOSER",
    /** Package manager: conan. */
    Conan = "CONAN",
    /** Package manager: go. */
    Go = "GO",
    /** Package manager: gradle. */
    Gradle = "GRADLE",
    /** Package manager: maven. */
    Maven = "MAVEN",
    /** Package manager: npm. */
    Npm = "NPM",
    /** Package manager: nuget. */
    Nuget = "NUGET",
    /** Package manager: pip. */
    Pip = "PIP",
    /** Package manager: pipenv. */
    Pipenv = "PIPENV",
    /** Package manager: pnpm. */
    Pnpm = "PNPM",
    /** Package manager: poetry. */
    Poetry = "POETRY",
    /** Package manager: sbt. */
    Sbt = "SBT",
    /** Package manager: setuptools. */
    Setuptools = "SETUPTOOLS",
    /** Package manager: yarn. */
    Yarn = "YARN"
}
/** Represents metadata associated with a Package */
export type PackageMetadata = ComposerMetadata | ConanMetadata | MavenMetadata | NugetMetadata | PypiMetadata;
export type PackagePermissions = {
    __typename?: 'PackagePermissions';
    /** If `true`, the user can perform `destroy_package` on this resource */
    destroyPackage: Scalars['Boolean']['output'];
};
/** Namespace-level Package Registry settings */
export type PackageSettings = {
    __typename?: 'PackageSettings';
    /** When generic_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect. */
    genericDuplicateExceptionRegex?: Maybe<Scalars['UntrustedRegexp']['output']>;
    /** Indicates whether duplicate generic packages are allowed for this namespace. */
    genericDuplicatesAllowed: Scalars['Boolean']['output'];
    /** Indicates whether Maven package forwarding is locked for all descendent namespaces. */
    lockMavenPackageRequestsForwarding: Scalars['Boolean']['output'];
    /** Indicates whether npm package forwarding is locked for all descendent namespaces. */
    lockNpmPackageRequestsForwarding: Scalars['Boolean']['output'];
    /** Indicates whether PyPI package forwarding is locked for all descendent namespaces. */
    lockPypiPackageRequestsForwarding: Scalars['Boolean']['output'];
    /** When maven_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect. */
    mavenDuplicateExceptionRegex?: Maybe<Scalars['UntrustedRegexp']['output']>;
    /** Indicates whether duplicate Maven packages are allowed for this namespace. */
    mavenDuplicatesAllowed: Scalars['Boolean']['output'];
    /** Indicates whether Maven package forwarding is allowed for this namespace. */
    mavenPackageRequestsForwarding?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether Maven package forwarding settings are locked by a parent namespace. */
    mavenPackageRequestsForwardingLocked: Scalars['Boolean']['output'];
    /** Indicates whether npm package forwarding is allowed for this namespace. */
    npmPackageRequestsForwarding?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether npm package forwarding settings are locked by a parent namespace. */
    npmPackageRequestsForwardingLocked: Scalars['Boolean']['output'];
    /** When nuget_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect.  */
    nugetDuplicateExceptionRegex?: Maybe<Scalars['UntrustedRegexp']['output']>;
    /** Indicates whether duplicate NuGet packages are allowed for this namespace. */
    nugetDuplicatesAllowed: Scalars['Boolean']['output'];
    /** Indicates wheather the NuGet symbol server is enabled for this namespace. */
    nugetSymbolServerEnabled: Scalars['Boolean']['output'];
    /** Indicates whether PyPI package forwarding is allowed for this namespace. */
    pypiPackageRequestsForwarding?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether PyPI package forwarding settings are locked by a parent namespace. */
    pypiPackageRequestsForwardingLocked: Scalars['Boolean']['output'];
    /** When terraform_module_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect. */
    terraformModuleDuplicateExceptionRegex?: Maybe<Scalars['UntrustedRegexp']['output']>;
    /** Indicates whether duplicate Terraform packages are allowed for this namespace. */
    terraformModuleDuplicatesAllowed: Scalars['Boolean']['output'];
};
/** Values for sorting package */
export declare enum PackageSort {
    /** Ordered by created_at in ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Ordered by created_at in descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Ordered by name in ascending order. */
    NameAsc = "NAME_ASC",
    /** Ordered by name in descending order. */
    NameDesc = "NAME_DESC",
    /** Ordered by type in ascending order. */
    TypeAsc = "TYPE_ASC",
    /** Ordered by type in descending order. */
    TypeDesc = "TYPE_DESC",
    /** Ordered by version in ascending order. */
    VersionAsc = "VERSION_ASC",
    /** Ordered by version in descending order. */
    VersionDesc = "VERSION_DESC"
}
export declare enum PackageStatus {
    /** Packages with a default status */
    Default = "DEFAULT",
    /** Packages with a error status */
    Error = "ERROR",
    /** Packages with a hidden status */
    Hidden = "HIDDEN",
    /** Packages with a pending_destruction status */
    PendingDestruction = "PENDING_DESTRUCTION",
    /** Packages with a processing status */
    Processing = "PROCESSING"
}
/** Represents a package tag */
export type PackageTag = {
    __typename?: 'PackageTag';
    /** Created date. */
    createdAt: Scalars['Time']['output'];
    /** ID of the tag. */
    id: Scalars['ID']['output'];
    /** Name of the tag. */
    name: Scalars['String']['output'];
    /** Updated date. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for PackageTag. */
export type PackageTagConnection = {
    __typename?: 'PackageTagConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PackageTagEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PackageTag>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PackageTagEdge = {
    __typename?: 'PackageTagEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PackageTag>;
};
export declare enum PackageTypeEnum {
    /** Packages from the Composer package manager */
    Composer = "COMPOSER",
    /** Packages from the Conan package manager */
    Conan = "CONAN",
    /** Packages from the Debian package manager */
    Debian = "DEBIAN",
    /** Packages from the Generic package manager */
    Generic = "GENERIC",
    /** Packages from the Golang package manager */
    Golang = "GOLANG",
    /** Packages from the Helm package manager */
    Helm = "HELM",
    /** Packages from the Maven package manager */
    Maven = "MAVEN",
    /** Packages from the Ml_model package manager */
    MlModel = "ML_MODEL",
    /** Packages from the npm package manager */
    Npm = "NPM",
    /** Packages from the Nuget package manager */
    Nuget = "NUGET",
    /** Packages from the PyPI package manager */
    Pypi = "PYPI",
    /** Packages from the Rpm package manager */
    Rpm = "RPM",
    /** Packages from the Rubygems package manager */
    Rubygems = "RUBYGEMS",
    /** Packages from the Terraform Module package manager */
    TerraformModule = "TERRAFORM_MODULE"
}
export declare enum PackagesCleanupKeepDuplicatedPackageFilesEnum {
    /** Value to keep all package files */
    AllPackageFiles = "ALL_PACKAGE_FILES",
    /** Value to keep 50 package files */
    FiftyPackageFiles = "FIFTY_PACKAGE_FILES",
    /** Value to keep 40 package files */
    FortyPackageFiles = "FORTY_PACKAGE_FILES",
    /** Value to keep 1 package files */
    OnePackageFile = "ONE_PACKAGE_FILE",
    /** Value to keep 10 package files */
    TenPackageFiles = "TEN_PACKAGE_FILES",
    /** Value to keep 30 package files */
    ThirtyPackageFiles = "THIRTY_PACKAGE_FILES",
    /** Value to keep 20 package files */
    TwentyPackageFiles = "TWENTY_PACKAGE_FILES"
}
/** A packages cleanup policy designed to keep only packages and packages assets that matter most */
export type PackagesCleanupPolicy = {
    __typename?: 'PackagesCleanupPolicy';
    /** Number of duplicated package files to retain. */
    keepNDuplicatedPackageFiles: PackagesCleanupKeepDuplicatedPackageFilesEnum;
    /** Next time that this packages cleanup policy will be executed. */
    nextRunAt?: Maybe<Scalars['Time']['output']>;
};
/** A packages protection rule designed to protect packages from being pushed by users with a certain access level. */
export type PackagesProtectionRule = {
    __typename?: 'PackagesProtectionRule';
    /**
     * ID of the package protection rule. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    id: Scalars['PackagesProtectionRuleID']['output'];
    /**
     * Minimum GitLab access required to push packages to the package registry. For example, `MAINTAINER`, `OWNER`, or `ADMIN`. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    minimumAccessLevelForPush: PackagesProtectionRuleAccessLevel;
    /**
     * Package name protected by the protection rule. For example `@my-scope/my-package-*`. Wildcard character `*` allowed. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    packageNamePattern: Scalars['String']['output'];
    /**
     * Package type protected by the protection rule. For example `NPM`. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    packageType: PackagesProtectionRulePackageType;
};
/** Access level of a package protection rule resource */
export declare enum PackagesProtectionRuleAccessLevel {
    /**
     * Admin access. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    Admin = "ADMIN",
    /**
     * Maintainer access. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    Maintainer = "MAINTAINER",
    /**
     * Owner access. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    Owner = "OWNER"
}
/** The connection type for PackagesProtectionRule. */
export type PackagesProtectionRuleConnection = {
    __typename?: 'PackagesProtectionRuleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PackagesProtectionRuleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PackagesProtectionRule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PackagesProtectionRuleEdge = {
    __typename?: 'PackagesProtectionRuleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PackagesProtectionRule>;
};
/** Package type of a package protection rule resource */
export declare enum PackagesProtectionRulePackageType {
    /**
     * Packages of the npm format Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    Npm = "NPM"
}
/** Information about pagination in a connection. */
export type PageInfo = {
    __typename?: 'PageInfo';
    /** When paginating forwards, the cursor to continue. */
    endCursor?: Maybe<Scalars['String']['output']>;
    /** When paginating forwards, are there more items? */
    hasNextPage: Scalars['Boolean']['output'];
    /** When paginating backwards, are there more items? */
    hasPreviousPage: Scalars['Boolean']['output'];
    /** When paginating backwards, the cursor to continue. */
    startCursor?: Maybe<Scalars['String']['output']>;
};
/** Represents a pages deployment. */
export type PagesDeployment = {
    __typename?: 'PagesDeployment';
    /** Whether the deployment is currently active. */
    active: Scalars['Boolean']['output'];
    /** ID of the CI build that created the deployment. */
    ciBuildId?: Maybe<Scalars['ID']['output']>;
    /** Time the deployment was created. */
    createdAt: Scalars['ISO8601DateTime']['output'];
    /** Time the deployment was deleted. */
    deletedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    /** Number of files that were published with the deployment. */
    fileCount?: Maybe<Scalars['Int']['output']>;
    /** ID of the Pages Deployment. */
    id: Scalars['ID']['output'];
    /** URL path Prefix that points to the deployment. */
    pathPrefix?: Maybe<Scalars['String']['output']>;
    /** Project the deployment belongs to. */
    project: Project;
    /** Path within the build assets that functions as the root directory for Pages sites. */
    rootDirectory?: Maybe<Scalars['String']['output']>;
    /** Size of the storage used. */
    size?: Maybe<Scalars['Int']['output']>;
    /** Time the deployment was last updated. */
    updatedAt: Scalars['ISO8601DateTime']['output'];
    /** Publicly accessible URL of the deployment. */
    url: Scalars['String']['output'];
};
/** The connection type for PagesDeployment. */
export type PagesDeploymentConnection = {
    __typename?: 'PagesDeploymentConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PagesDeploymentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PagesDeployment>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PagesDeploymentEdge = {
    __typename?: 'PagesDeploymentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PagesDeployment>;
};
/** Represents the Geo replication and verification state of a pages_deployment */
export type PagesDeploymentRegistry = {
    __typename?: 'PagesDeploymentRegistry';
    /** Timestamp when the PagesDeploymentRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the PagesDeploymentRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the PagesDeploymentRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the PagesDeploymentRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Pages Deployment. */
    pagesDeploymentId: Scalars['ID']['output'];
    /** Timestamp after which the PagesDeploymentRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the PagesDeploymentRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the PagesDeploymentRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the PagesDeploymentRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the PagesDeploymentRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the PagesDeploymentRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the PagesDeploymentRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of PagesDeploymentRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the PagesDeploymentRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the PagesDeploymentRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for PagesDeploymentRegistry. */
export type PagesDeploymentRegistryConnection = {
    __typename?: 'PagesDeploymentRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PagesDeploymentRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PagesDeploymentRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PagesDeploymentRegistryEdge = {
    __typename?: 'PagesDeploymentRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PagesDeploymentRegistry>;
};
/** Autogenerated input type of PagesMarkOnboardingComplete */
export type PagesMarkOnboardingCompleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of PagesMarkOnboardingComplete. */
export type PagesMarkOnboardingCompletePayload = {
    __typename?: 'PagesMarkOnboardingCompletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Indicates the new onboarding_complete state of the project's Pages metadata. */
    onboardingComplete: Scalars['Boolean']['output'];
};
/** Represents a file or directory in the project repository that has been locked. */
export type PathLock = {
    __typename?: 'PathLock';
    /** ID of the path lock. */
    id: Scalars['PathLockID']['output'];
    /** Locked path. */
    path?: Maybe<Scalars['String']['output']>;
    /** User that has locked this path. */
    user?: Maybe<UserCore>;
};
/** The connection type for PathLock. */
export type PathLockConnection = {
    __typename?: 'PathLockConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PathLockEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PathLock>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PathLockEdge = {
    __typename?: 'PathLockEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PathLock>;
};
/** Represents a Pending Group Membership */
export type PendingGroupMember = MemberInterface & {
    __typename?: 'PendingGroupMember';
    /** GitLab::Access level. */
    accessLevel?: Maybe<AccessLevel>;
    /** Whether the pending group member has been approved. */
    approved?: Maybe<Scalars['Boolean']['output']>;
    /** URL to avatar image file of the pending group member. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Date and time the membership was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** User that authorized membership. */
    createdBy?: Maybe<UserCore>;
    /** Public email of the pending group member. */
    email?: Maybe<Scalars['String']['output']>;
    /** Date and time the membership expires. */
    expiresAt?: Maybe<Scalars['Time']['output']>;
    /** Group that a user is a member of. */
    group?: Maybe<Group>;
    /** ID of the member. */
    id: Scalars['ID']['output'];
    /** Whether the pending group member has been invited. */
    invited?: Maybe<Scalars['Boolean']['output']>;
    /** Find a merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Name of the pending group member. */
    name?: Maybe<Scalars['String']['output']>;
    /** Group notification email for user. Only available for admins. */
    notificationEmail?: Maybe<Scalars['String']['output']>;
    /** Date and time the membership was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** User that is associated with the member object. */
    user?: Maybe<UserCore>;
    /** Permissions for the current user on the resource */
    userPermissions: GroupPermissions;
    /** Username of the pending group member. */
    username?: Maybe<Scalars['String']['output']>;
    /** Web URL of the pending group member. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** Represents a Pending Group Membership */
export type PendingGroupMemberMergeRequestInteractionArgs = {
    id: Scalars['MergeRequestID']['input'];
};
/** The connection type for PendingGroupMember. */
export type PendingGroupMemberConnection = {
    __typename?: 'PendingGroupMemberConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PendingGroupMemberEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PendingGroupMember>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PendingGroupMemberEdge = {
    __typename?: 'PendingGroupMemberEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PendingGroupMember>;
};
export type Pipeline = {
    __typename?: 'Pipeline';
    /** Indicates if the pipeline is active. */
    active: Scalars['Boolean']['output'];
    /** Base SHA of the source branch. */
    beforeSha?: Maybe<Scalars['String']['output']>;
    /** Specifies if a pipeline can be canceled. */
    cancelable: Scalars['Boolean']['output'];
    /** If the pipeline is a child or not */
    child: Scalars['Boolean']['output'];
    /** Code Quality report summary for a pipeline. */
    codeQualityReportSummary?: Maybe<CodeQualityReportSummary>;
    /** Code Quality degradations reported on the pipeline. */
    codeQualityReports?: Maybe<CodeQualityDegradationConnection>;
    /** Git commit of the pipeline. */
    commit?: Maybe<Commit>;
    /** Path to the commit that triggered the pipeline. */
    commitPath?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the pipeline's commit. */
    committedAt?: Maybe<Scalars['Time']['output']>;
    /** Indicates if a pipeline is complete. */
    complete: Scalars['Boolean']['output'];
    /** Total minutes consumed by the pipeline. */
    computeMinutes?: Maybe<Scalars['Float']['output']>;
    /** Configuration source of the pipeline (UNKNOWN_SOURCE, REPOSITORY_SOURCE, AUTO_DEVOPS_SOURCE, WEBIDE_SOURCE, REMOTE_SOURCE, EXTERNAL_PROJECT_SOURCE, BRIDGE_SOURCE, PARAMETER_SOURCE, COMPLIANCE_SOURCE, SECURITY_POLICIES_DEFAULT_SOURCE, PIPELINE_EXECUTION_POLICY_FORCED) */
    configSource?: Maybe<PipelineConfigSourceEnum>;
    /** Coverage percentage. */
    coverage?: Maybe<Scalars['Float']['output']>;
    /** Timestamp of the pipeline's creation. */
    createdAt: Scalars['Time']['output'];
    /** DAST profile associated with the pipeline. */
    dastProfile?: Maybe<DastProfile>;
    /** Detailed status of the pipeline. */
    detailedStatus: DetailedStatus;
    /** Pipelines this pipeline will trigger. */
    downstream?: Maybe<PipelineConnection>;
    /** Duration of the pipeline in seconds. */
    duration?: Maybe<Scalars['Int']['output']>;
    /** The reason why the pipeline failed */
    failureReason?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the pipeline's completion. */
    finishedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the pipeline. */
    id: Scalars['ID']['output'];
    /** Internal ID of the pipeline. */
    iid: Scalars['String']['output'];
    /** Specific job in this pipeline, either by name or ID. */
    job?: Maybe<CiJob>;
    /** Job artifacts of the pipeline. */
    jobArtifacts?: Maybe<Array<CiJobArtifact>>;
    /** Jobs belonging to the pipeline. */
    jobs?: Maybe<CiJobConnection>;
    /** If the pipeline is the latest one or not */
    latest: Scalars['Boolean']['output'];
    /** CI/CD variables added to a manual pipeline. */
    manualVariables?: Maybe<CiManualVariableConnection>;
    /** The MR which the Pipeline is attached to */
    mergeRequest?: Maybe<MergeRequest>;
    /** Event type of the pipeline associated with a merge request. */
    mergeRequestEventType?: Maybe<PipelineMergeRequestEventType>;
    /** Name of the pipeline. */
    name?: Maybe<Scalars['String']['output']>;
    /** Relative path to the pipeline's page. */
    path?: Maybe<Scalars['String']['output']>;
    /** Project the pipeline belongs to. */
    project?: Maybe<Project>;
    /** How long the pipeline was queued before starting. */
    queuedDuration?: Maybe<Scalars['Duration']['output']>;
    /** Reference to the branch from which the pipeline was triggered. */
    ref?: Maybe<Scalars['String']['output']>;
    /** Reference path to the branch from which the pipeline was triggered. */
    refPath?: Maybe<Scalars['String']['output']>;
    /** The reference text from the presenter */
    refText: Scalars['String']['output'];
    /** Specifies if a pipeline's jobs can be retried. */
    retryable: Scalars['Boolean']['output'];
    /** Vulnerability finding reported on the pipeline. */
    securityReportFinding?: Maybe<PipelineSecurityReportFinding>;
    /** Vulnerability findings reported on the pipeline. By default all the states except dismissed are included in the response. */
    securityReportFindings?: Maybe<PipelineSecurityReportFindingConnection>;
    /** Vulnerability and scanned resource counts for each security scanner of the pipeline. */
    securityReportSummary?: Maybe<SecurityReportSummary>;
    /** SHA of the pipeline's commit. */
    sha?: Maybe<Scalars['String']['output']>;
    /** The source of the pipeline */
    source?: Maybe<Scalars['String']['output']>;
    /** Job where pipeline was triggered from. */
    sourceJob?: Maybe<CiJob>;
    /** Stages of the pipeline. */
    stages?: Maybe<CiStageConnection>;
    /** Timestamp when the pipeline was started. */
    startedAt?: Maybe<Scalars['Time']['output']>;
    /** Status of the pipeline (CREATED, WAITING_FOR_RESOURCE, PREPARING, WAITING_FOR_CALLBACK, PENDING, RUNNING, FAILED, SUCCESS, CANCELED, CANCELING, SKIPPED, MANUAL, SCHEDULED) */
    status: PipelineStatusEnum;
    /** If the pipeline is stuck. */
    stuck: Scalars['Boolean']['output'];
    /** Summary of the test report generated by the pipeline. */
    testReportSummary: TestReportSummary;
    /** A specific test suite in a pipeline test report. */
    testSuite?: Maybe<TestSuite>;
    /** The total number of jobs in the pipeline */
    totalJobs: Scalars['Int']['output'];
    /** If the pipeline was created by a Trigger request. */
    trigger: Scalars['Boolean']['output'];
    /** The path that triggered this pipeline */
    triggeredByPath?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the pipeline's last activity. */
    updatedAt: Scalars['Time']['output'];
    /** Pipeline that triggered the pipeline. */
    upstream?: Maybe<Pipeline>;
    /** Pipeline user. */
    user?: Maybe<UserCore>;
    /** Permissions for the current user on the resource */
    userPermissions: PipelinePermissions;
    /** Indicates if the pipeline has jobs with `needs` dependencies. */
    usesNeeds?: Maybe<Scalars['Boolean']['output']>;
    /** Pipeline warning messages. */
    warningMessages?: Maybe<Array<PipelineMessage>>;
    /** Indicates if a pipeline has warnings. */
    warnings: Scalars['Boolean']['output'];
    /** The pipeline YAML errors. */
    yamlErrorMessages?: Maybe<Scalars['String']['output']>;
    /** If the pipeline has YAML errors. */
    yamlErrors: Scalars['Boolean']['output'];
};
export type PipelineCodeQualityReportsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PipelineDownstreamArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PipelineJobArgs = {
    id?: InputMaybe<Scalars['JobID']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
};
export type PipelineJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    jobKind?: InputMaybe<CiJobKind>;
    last?: InputMaybe<Scalars['Int']['input']>;
    retried?: InputMaybe<Scalars['Boolean']['input']>;
    securityReportTypes?: InputMaybe<Array<SecurityReportTypeEnum>>;
    statuses?: InputMaybe<Array<CiJobStatus>>;
    whenExecuted?: InputMaybe<Array<Scalars['String']['input']>>;
};
export type PipelineManualVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PipelineSecurityReportFindingArgs = {
    uuid: Scalars['String']['input'];
};
export type PipelineSecurityReportFindingsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    reportType?: InputMaybe<Array<Scalars['String']['input']>>;
    scanner?: InputMaybe<Array<Scalars['String']['input']>>;
    severity?: InputMaybe<Array<Scalars['String']['input']>>;
    sort?: InputMaybe<PipelineSecurityReportFindingSort>;
    state?: InputMaybe<Array<VulnerabilityState>>;
};
export type PipelineShaArgs = {
    format?: InputMaybe<ShaFormat>;
};
export type PipelineStagesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PipelineTestSuiteArgs = {
    buildIds: Array<Scalars['ID']['input']>;
};
export type PipelineAnalytics = {
    __typename?: 'PipelineAnalytics';
    /**
     * Pipeline analytics for the last month. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    monthPipelines?: Maybe<PipelineAnalyticsPeriod>;
    /** Labels for the monthly pipeline count. */
    monthPipelinesLabels?: Maybe<Array<Scalars['String']['output']>>;
    /** Total monthly successful pipeline count. */
    monthPipelinesSuccessful?: Maybe<Array<Scalars['Int']['output']>>;
    /** Total monthly pipeline count. */
    monthPipelinesTotals?: Maybe<Array<Scalars['Int']['output']>>;
    /** Pipeline times labels. */
    pipelineTimesLabels?: Maybe<Array<Scalars['String']['output']>>;
    /** Pipeline times. */
    pipelineTimesValues?: Maybe<Array<Scalars['Int']['output']>>;
    /**
     * Pipeline analytics for the last week. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    weekPipelines?: Maybe<PipelineAnalyticsPeriod>;
    /** Labels for the weekly pipeline count. */
    weekPipelinesLabels?: Maybe<Array<Scalars['String']['output']>>;
    /** Total weekly successful pipeline count. */
    weekPipelinesSuccessful?: Maybe<Array<Scalars['Int']['output']>>;
    /** Total weekly pipeline count. */
    weekPipelinesTotals?: Maybe<Array<Scalars['Int']['output']>>;
    /**
     * Pipeline analytics for the last year. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    yearPipelines?: Maybe<PipelineAnalyticsPeriod>;
    /** Labels for the yearly pipeline count. */
    yearPipelinesLabels?: Maybe<Array<Scalars['String']['output']>>;
    /** Total yearly successful pipeline count. */
    yearPipelinesSuccessful?: Maybe<Array<Scalars['Int']['output']>>;
    /** Total yearly pipeline count. */
    yearPipelinesTotals?: Maybe<Array<Scalars['Int']['output']>>;
};
export declare enum PipelineAnalyticsJobStatus {
    /** Job that failed. */
    Failed = "FAILED",
    /** Job that was canceled or skipped. */
    Other = "OTHER",
    /** Job that succeeded. */
    Success = "SUCCESS"
}
export type PipelineAnalyticsPeriod = {
    __typename?: 'PipelineAnalyticsPeriod';
    /** Labels for the pipeline count. */
    labels?: Maybe<Array<Scalars['String']['output']>>;
    /** Total pipeline count, optionally filtered by status. */
    totals?: Maybe<Array<Scalars['Int']['output']>>;
};
export type PipelineAnalyticsPeriodTotalsArgs = {
    status?: InputMaybe<PipelineAnalyticsJobStatus>;
};
/** Represents the Geo sync and verification state of a pipeline artifact */
export type PipelineArtifactRegistry = {
    __typename?: 'PipelineArtifactRegistry';
    /** Timestamp when the PipelineArtifactRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the PipelineArtifactRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the PipelineArtifactRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the PipelineArtifactRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the pipeline artifact. */
    pipelineArtifactId: Scalars['ID']['output'];
    /** Timestamp after which the PipelineArtifactRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the PipelineArtifactRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the PipelineArtifactRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the PipelineArtifactRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the PipelineArtifactRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the PipelineArtifactRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the PipelineArtifactRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of PipelineArtifactRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the PipelineArtifactRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the PipelineArtifactRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for PipelineArtifactRegistry. */
export type PipelineArtifactRegistryConnection = {
    __typename?: 'PipelineArtifactRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PipelineArtifactRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PipelineArtifactRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PipelineArtifactRegistryEdge = {
    __typename?: 'PipelineArtifactRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PipelineArtifactRegistry>;
};
/** Autogenerated input type of PipelineCancel */
export type PipelineCancelInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline to mutate. */
    id: Scalars['CiPipelineID']['input'];
};
/** Autogenerated return type of PipelineCancel. */
export type PipelineCancelPayload = {
    __typename?: 'PipelineCancelPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export declare enum PipelineConfigSourceEnum {
    /** Auto DevOps source. */
    AutoDevopsSource = "AUTO_DEVOPS_SOURCE",
    /** Bridge source. */
    BridgeSource = "BRIDGE_SOURCE",
    /** Compliance source. */
    ComplianceSource = "COMPLIANCE_SOURCE",
    /** External project source. */
    ExternalProjectSource = "EXTERNAL_PROJECT_SOURCE",
    /** Parameter source. */
    ParameterSource = "PARAMETER_SOURCE",
    /** Pipeline execution policy forced. */
    PipelineExecutionPolicyForced = "PIPELINE_EXECUTION_POLICY_FORCED",
    /** Remote source. */
    RemoteSource = "REMOTE_SOURCE",
    /** Repository source. */
    RepositorySource = "REPOSITORY_SOURCE",
    /** Security policies default source. */
    SecurityPoliciesDefaultSource = "SECURITY_POLICIES_DEFAULT_SOURCE",
    /** Unknown source. */
    UnknownSource = "UNKNOWN_SOURCE",
    /** Webide source. */
    WebideSource = "WEBIDE_SOURCE"
}
/** The connection type for Pipeline. */
export type PipelineConnection = {
    __typename?: 'PipelineConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PipelineEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Pipeline>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Represents pipeline counts for the project */
export type PipelineCounts = {
    __typename?: 'PipelineCounts';
    /** Total number of pipelines for the project. */
    all?: Maybe<Scalars['Int']['output']>;
    /** Number of pipelines with scope FINISHED for the project */
    finished?: Maybe<Scalars['Int']['output']>;
    /** Number of pipelines with scope PENDING for the project */
    pending?: Maybe<Scalars['Int']['output']>;
    /** Number of pipelines with scope RUNNING for the project */
    running?: Maybe<Scalars['Int']['output']>;
};
/** Autogenerated input type of PipelineDestroy */
export type PipelineDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline to mutate. */
    id: Scalars['CiPipelineID']['input'];
};
/** Autogenerated return type of PipelineDestroy. */
export type PipelineDestroyPayload = {
    __typename?: 'PipelineDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type PipelineEdge = {
    __typename?: 'PipelineEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Pipeline>;
};
/** Represents the pipeline execution policy */
export type PipelineExecutionPolicy = OrchestrationPolicy & {
    __typename?: 'PipelineExecutionPolicy';
    /** Description of the policy. */
    description: Scalars['String']['output'];
    /** URL of policy edit page. */
    editPath: Scalars['String']['output'];
    /** Indicates whether this policy is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** Name of the policy. */
    name: Scalars['String']['output'];
    /** Scope of the policy */
    policyScope?: Maybe<PolicyScope>;
    /** Source of the policy. Its fields depend on the source type. */
    source: SecurityPolicySource;
    /** Timestamp of when the policy YAML was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** YAML definition of the policy. */
    yaml: Scalars['String']['output'];
};
/** The connection type for PipelineExecutionPolicy. */
export type PipelineExecutionPolicyConnection = {
    __typename?: 'PipelineExecutionPolicyConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PipelineExecutionPolicyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PipelineExecutionPolicy>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PipelineExecutionPolicyEdge = {
    __typename?: 'PipelineExecutionPolicyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PipelineExecutionPolicy>;
};
/** Event type of the pipeline associated with a merge request */
export declare enum PipelineMergeRequestEventType {
    /** Pipeline run on the changes in the merge request source branch. */
    Detached = "DETACHED",
    /** Pipeline run on the changes from the source branch combined with the target branch. */
    MergedResult = "MERGED_RESULT",
    /** Pipeline ran as part of a merge train. */
    MergeTrain = "MERGE_TRAIN"
}
export type PipelineMessage = {
    __typename?: 'PipelineMessage';
    /** Content of the pipeline message. */
    content: Scalars['String']['output'];
    /** ID of the pipeline message. */
    id: Scalars['ID']['output'];
};
export type PipelinePermissions = {
    __typename?: 'PipelinePermissions';
    /** If `true`, the user can perform `admin_pipeline` on this resource */
    adminPipeline: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `cancel_pipeline` on this resource */
    cancelPipeline: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_pipeline` on this resource */
    destroyPipeline: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_pipeline` on this resource */
    updatePipeline: Scalars['Boolean']['output'];
};
/** Autogenerated input type of PipelineRetry */
export type PipelineRetryInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline to mutate. */
    id: Scalars['CiPipelineID']['input'];
};
/** Autogenerated return type of PipelineRetry. */
export type PipelineRetryPayload = {
    __typename?: 'PipelineRetryPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Pipeline after mutation. */
    pipeline?: Maybe<Pipeline>;
};
/** Represents a pipeline schedule */
export type PipelineSchedule = {
    __typename?: 'PipelineSchedule';
    /** Indicates if the pipeline schedule is active. */
    active: Scalars['Boolean']['output'];
    /** Timestamp of when the pipeline schedule was created. */
    createdAt: Scalars['Time']['output'];
    /** Cron notation for the schedule. */
    cron: Scalars['String']['output'];
    /** Timezone for the pipeline schedule. */
    cronTimezone: Scalars['String']['output'];
    /** Description of the pipeline schedule. */
    description?: Maybe<Scalars['String']['output']>;
    /** Edit path of the pipeline schedule. */
    editPath?: Maybe<Scalars['String']['output']>;
    /** Indicates if a pipelines schedule belongs to a tag. */
    forTag: Scalars['Boolean']['output'];
    /** ID of the pipeline schedule. */
    id: Scalars['ID']['output'];
    /** Last pipeline object. */
    lastPipeline?: Maybe<Pipeline>;
    /** Time when the next pipeline will run. */
    nextRunAt?: Maybe<Scalars['Time']['output']>;
    /** Owner of the pipeline schedule. */
    owner?: Maybe<UserCore>;
    /** Project of the pipeline schedule. */
    project?: Maybe<Project>;
    /** Time when the next pipeline will run. */
    realNextRun?: Maybe<Scalars['Time']['output']>;
    /** Ref of the pipeline schedule. */
    ref?: Maybe<Scalars['String']['output']>;
    /** Git ref for the pipeline schedule. */
    refForDisplay?: Maybe<Scalars['String']['output']>;
    /** Path to the ref that triggered the pipeline. */
    refPath?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the pipeline schedule was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: PipelineSchedulePermissions;
    /** Pipeline schedule variables. */
    variables?: Maybe<PipelineScheduleVariableConnection>;
};
/** Represents a pipeline schedule */
export type PipelineScheduleVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for PipelineSchedule. */
export type PipelineScheduleConnection = {
    __typename?: 'PipelineScheduleConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PipelineScheduleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PipelineSchedule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of PipelineScheduleCreate */
export type PipelineScheduleCreateInput = {
    /** Indicates if the pipeline schedule should be active or not. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Cron expression of the pipeline schedule. */
    cron: Scalars['String']['input'];
    /**
     *                     Cron time zone supported by ActiveSupport::TimeZone.
     *                     For example: "Pacific Time (US & Canada)" (default: "UTC").
     *
     */
    cronTimezone?: InputMaybe<Scalars['String']['input']>;
    /** Description of the pipeline schedule. */
    description: Scalars['String']['input'];
    /** Full path of the project the pipeline schedule is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Ref of the pipeline schedule. */
    ref: Scalars['String']['input'];
    /** Variables for the pipeline schedule. */
    variables?: InputMaybe<Array<PipelineScheduleVariableInput>>;
};
/** Autogenerated return type of PipelineScheduleCreate. */
export type PipelineScheduleCreatePayload = {
    __typename?: 'PipelineScheduleCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created pipeline schedule. */
    pipelineSchedule?: Maybe<PipelineSchedule>;
};
/** Autogenerated input type of PipelineScheduleDelete */
export type PipelineScheduleDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline schedule to mutate. */
    id: Scalars['CiPipelineScheduleID']['input'];
};
/** Autogenerated return type of PipelineScheduleDelete. */
export type PipelineScheduleDeletePayload = {
    __typename?: 'PipelineScheduleDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type PipelineScheduleEdge = {
    __typename?: 'PipelineScheduleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PipelineSchedule>;
};
export type PipelineSchedulePermissions = {
    __typename?: 'PipelineSchedulePermissions';
    /** If `true`, the user can perform `admin_pipeline_schedule` on this resource */
    adminPipelineSchedule: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `play_pipeline_schedule` on this resource */
    playPipelineSchedule: Scalars['Boolean']['output'];
    /**
     * If `true`, the user can perform `take_ownership_pipeline_schedule` on this resource Deprecated in GitLab 15.9: Use admin_pipeline_schedule permission to determine if the user can take ownership of a pipeline schedule.
     * @deprecated Use admin_pipeline_schedule permission to determine if the user can take ownership of a pipeline schedule. Deprecated in GitLab 15.9.
     */
    takeOwnershipPipelineSchedule: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_pipeline_schedule` on this resource */
    updatePipelineSchedule: Scalars['Boolean']['output'];
};
/** Autogenerated input type of PipelineSchedulePlay */
export type PipelineSchedulePlayInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline schedule to mutate. */
    id: Scalars['CiPipelineScheduleID']['input'];
};
/** Autogenerated return type of PipelineSchedulePlay. */
export type PipelineSchedulePlayPayload = {
    __typename?: 'PipelineSchedulePlayPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Pipeline schedule after mutation. */
    pipelineSchedule?: Maybe<PipelineSchedule>;
};
/** Values for sorting pipeline schedules. */
export declare enum PipelineScheduleSort {
    /** Sort pipeline schedules by created date in ascending order. */
    CreatedAtAsc = "CREATED_AT_ASC",
    /** Sort pipeline schedules by created date in descending order. */
    CreatedAtDesc = "CREATED_AT_DESC",
    /** Sort pipeline schedules by description in ascending order. */
    DescriptionAsc = "DESCRIPTION_ASC",
    /** Sort pipeline schedules by description in descending order. */
    DescriptionDesc = "DESCRIPTION_DESC",
    /** Sort pipeline schedules by ID in ascending order. */
    IdAsc = "ID_ASC",
    /** Sort pipeline schedules by ID in descending order. */
    IdDesc = "ID_DESC",
    /** Sort pipeline schedules by next run in ascending order. */
    NextRunAtAsc = "NEXT_RUN_AT_ASC",
    /** Sort pipeline schedules by next run in descending order. */
    NextRunAtDesc = "NEXT_RUN_AT_DESC",
    /** Sort pipeline schedules by target in ascending order. */
    RefAsc = "REF_ASC",
    /** Sort pipeline schedules by target in descending order. */
    RefDesc = "REF_DESC",
    /** Sort pipeline schedules by updated date in ascending order. */
    UpdatedAtAsc = "UPDATED_AT_ASC",
    /** Sort pipeline schedules by updated date in descending order. */
    UpdatedAtDesc = "UPDATED_AT_DESC"
}
export declare enum PipelineScheduleStatus {
    /** Active pipeline schedules. */
    Active = "ACTIVE",
    /** Inactive pipeline schedules. */
    Inactive = "INACTIVE"
}
/** Autogenerated input type of PipelineScheduleTakeOwnership */
export type PipelineScheduleTakeOwnershipInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline schedule to mutate. */
    id: Scalars['CiPipelineScheduleID']['input'];
};
/** Autogenerated return type of PipelineScheduleTakeOwnership. */
export type PipelineScheduleTakeOwnershipPayload = {
    __typename?: 'PipelineScheduleTakeOwnershipPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated pipeline schedule ownership. */
    pipelineSchedule?: Maybe<PipelineSchedule>;
};
/** Autogenerated input type of PipelineScheduleUpdate */
export type PipelineScheduleUpdateInput = {
    /** Indicates if the pipeline schedule should be active or not. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Cron expression of the pipeline schedule. */
    cron?: InputMaybe<Scalars['String']['input']>;
    /**
     *                     Cron time zone supported by ActiveSupport::TimeZone.
     *                     For example: "Pacific Time (US & Canada)" (default: "UTC").
     *
     */
    cronTimezone?: InputMaybe<Scalars['String']['input']>;
    /** Description of the pipeline schedule. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline schedule to mutate. */
    id: Scalars['CiPipelineScheduleID']['input'];
    /** Ref of the pipeline schedule. */
    ref?: InputMaybe<Scalars['String']['input']>;
    /** Variables for the pipeline schedule. */
    variables?: InputMaybe<Array<PipelineScheduleVariableInput>>;
};
/** Autogenerated return type of PipelineScheduleUpdate. */
export type PipelineScheduleUpdatePayload = {
    __typename?: 'PipelineScheduleUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated pipeline schedule. */
    pipelineSchedule?: Maybe<PipelineSchedule>;
};
export type PipelineScheduleVariable = CiVariable & {
    __typename?: 'PipelineScheduleVariable';
    /** ID of the variable. */
    id: Scalars['ID']['output'];
    /** Name of the variable. */
    key?: Maybe<Scalars['String']['output']>;
    /** Indicates whether the variable is raw. */
    raw?: Maybe<Scalars['Boolean']['output']>;
    /** Value of the variable. */
    value?: Maybe<Scalars['String']['output']>;
    /** Type of the variable. */
    variableType?: Maybe<CiVariableType>;
};
/** The connection type for PipelineScheduleVariable. */
export type PipelineScheduleVariableConnection = {
    __typename?: 'PipelineScheduleVariableConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PipelineScheduleVariableEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PipelineScheduleVariable>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PipelineScheduleVariableEdge = {
    __typename?: 'PipelineScheduleVariableEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PipelineScheduleVariable>;
};
/** Attributes for the pipeline schedule variable. */
export type PipelineScheduleVariableInput = {
    /** Boolean option to destroy the variable. */
    destroy?: InputMaybe<Scalars['Boolean']['input']>;
    /** ID of the variable to mutate. */
    id?: InputMaybe<Scalars['CiPipelineScheduleVariableID']['input']>;
    /** Name of the variable. */
    key: Scalars['String']['input'];
    /** Value of the variable. */
    value: Scalars['String']['input'];
    /** Type of the variable. */
    variableType: CiVariableType;
};
export declare enum PipelineScopeEnum {
    /** Branches. */
    Branches = "BRANCHES",
    /** Pipeline has completed. */
    Finished = "FINISHED",
    /** Pipeline has not started running yet. */
    Pending = "PENDING",
    /** Pipeline is running. */
    Running = "RUNNING",
    /** Tags. */
    Tags = "TAGS"
}
/** Represents vulnerability finding of a security report on the pipeline. */
export type PipelineSecurityReportFinding = {
    __typename?: 'PipelineSecurityReportFinding';
    /** List of assets associated with the vulnerability. */
    assets?: Maybe<Array<AssetType>>;
    /** Description of the vulnerability finding. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Details of the security finding. */
    details: Array<VulnerabilityDetail>;
    /** Reason for the dismissal of the security report finding. */
    dismissalReason?: Maybe<VulnerabilityDismissalReason>;
    /** Time of the dismissal of the security report finding. */
    dismissedAt?: Maybe<Scalars['Time']['output']>;
    /** User who dismissed the security report finding. */
    dismissedBy?: Maybe<UserCore>;
    /** Evidence for the vulnerability. */
    evidence?: Maybe<VulnerabilityEvidence>;
    /** Indicates whether the vulnerability is a false positive. */
    falsePositive?: Maybe<Scalars['Boolean']['output']>;
    /** Identifiers of the vulnerability finding. */
    identifiers: Array<VulnerabilityIdentifier>;
    /** List of issue links related to the vulnerability. */
    issueLinks?: Maybe<VulnerabilityIssueLinkConnection>;
    /** List of links associated with the vulnerability. */
    links?: Maybe<Array<VulnerabilityLink>>;
    /** Location metadata for the vulnerability. Its fields depend on the type of security scan that found the vulnerability. */
    location?: Maybe<VulnerabilityLocation>;
    /** Merge request that fixes the vulnerability. */
    mergeRequest?: Maybe<MergeRequest>;
    /** Project on which the vulnerability finding was found. */
    project?: Maybe<Project>;
    /**
     * Same as uuid. It is strongly suggested to use the uuid field instead. Deprecated in GitLab 16.1: Use uuid instead.
     * @deprecated Use uuid instead. Deprecated in GitLab 16.1.
     */
    projectFingerprint?: Maybe<Scalars['String']['output']>;
    /** Remediations of the security report finding. */
    remediations?: Maybe<Array<VulnerabilityRemediationType>>;
    /** Type of the security report that found the vulnerability finding. */
    reportType?: Maybe<VulnerabilityReportType>;
    /** Scanner metadata for the vulnerability. */
    scanner?: Maybe<VulnerabilityScanner>;
    /** Severity of the vulnerability finding. */
    severity?: Maybe<VulnerabilitySeverity>;
    /** Solution for resolving the security report finding. */
    solution?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `solution` */
    solutionHtml?: Maybe<Scalars['String']['output']>;
    /** Finding status. */
    state?: Maybe<VulnerabilityState>;
    /** Comment for the state of the security report finding. */
    stateComment?: Maybe<Scalars['String']['output']>;
    /** Title of the vulnerability finding. */
    title?: Maybe<Scalars['String']['output']>;
    /** Permissions for the current user on the resource */
    userPermissions: PipelineSecurityReportFindingPermissions;
    /** UUIDv5 digest based on the vulnerability's report type, primary identifier, location, fingerprint, project identifier. */
    uuid?: Maybe<Scalars['String']['output']>;
    /** Vulnerability related to the security report finding. */
    vulnerability?: Maybe<Vulnerability>;
};
/** Represents vulnerability finding of a security report on the pipeline. */
export type PipelineSecurityReportFindingIssueLinksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for PipelineSecurityReportFinding. */
export type PipelineSecurityReportFindingConnection = {
    __typename?: 'PipelineSecurityReportFindingConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PipelineSecurityReportFindingEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PipelineSecurityReportFinding>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PipelineSecurityReportFindingEdge = {
    __typename?: 'PipelineSecurityReportFindingEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PipelineSecurityReportFinding>;
};
/** Check permissions for the current user on a vulnerability finding. */
export type PipelineSecurityReportFindingPermissions = {
    __typename?: 'PipelineSecurityReportFindingPermissions';
    /** If `true`, the user can perform `admin_vulnerability` on this resource */
    adminVulnerability: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_issue` on this resource */
    createIssue: Scalars['Boolean']['output'];
};
/** Pipeline security report finding sort values */
export declare enum PipelineSecurityReportFindingSort {
    /** Severity in ascending order. */
    SeverityAsc = "severity_asc",
    /** Severity in descending order. */
    SeverityDesc = "severity_desc"
}
export declare enum PipelineStatusEnum {
    /** Pipeline was canceled before completion. */
    Canceled = "CANCELED",
    /** Pipeline is in the process of canceling. */
    Canceling = "CANCELING",
    /** Pipeline has been created. */
    Created = "CREATED",
    /** At least one stage of the pipeline failed. */
    Failed = "FAILED",
    /** Pipeline needs to be manually started. */
    Manual = "MANUAL",
    /** Pipeline has not started running yet. */
    Pending = "PENDING",
    /** Pipeline is preparing to run. */
    Preparing = "PREPARING",
    /** Pipeline is running. */
    Running = "RUNNING",
    /** Pipeline is scheduled to run. */
    Scheduled = "SCHEDULED",
    /** Pipeline was skipped. */
    Skipped = "SKIPPED",
    /** Pipeline completed successfully. */
    Success = "SUCCESS",
    /** Pipeline is waiting for an external action. */
    WaitingForCallback = "WAITING_FOR_CALLBACK",
    /** A resource (for example, a runner) that the pipeline requires to run is unavailable. */
    WaitingForResource = "WAITING_FOR_RESOURCE"
}
export type PipelineTrigger = {
    __typename?: 'PipelineTrigger';
    /** Indicates if the pipeline trigger token has access to the project. */
    canAccessProject: Scalars['Boolean']['output'];
    /** Description of the pipeline trigger token. */
    description?: Maybe<Scalars['String']['output']>;
    /** Indicates if the token is exposed. */
    hasTokenExposed: Scalars['Boolean']['output'];
    /** ID of the pipeline trigger token. */
    id: Scalars['ID']['output'];
    /** Timestamp of the last usage of the pipeline trigger token. */
    lastUsed?: Maybe<Scalars['Time']['output']>;
    /** Owner of the pipeline trigger token. */
    owner: UserCore;
    /** Value of the pipeline trigger token. */
    token: Scalars['String']['output'];
};
/** The connection type for PipelineTrigger. */
export type PipelineTriggerConnection = {
    __typename?: 'PipelineTriggerConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PipelineTriggerEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PipelineTrigger>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of PipelineTriggerCreate */
export type PipelineTriggerCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the pipeline trigger token. */
    description: Scalars['String']['input'];
    /** Full path of the project that the pipeline trigger token to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of PipelineTriggerCreate. */
export type PipelineTriggerCreatePayload = {
    __typename?: 'PipelineTriggerCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mutated pipeline trigger token. */
    pipelineTrigger?: Maybe<PipelineTrigger>;
};
/** Autogenerated input type of PipelineTriggerDelete */
export type PipelineTriggerDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the pipeline trigger token to delete. */
    id: Scalars['CiTriggerID']['input'];
};
/** Autogenerated return type of PipelineTriggerDelete. */
export type PipelineTriggerDeletePayload = {
    __typename?: 'PipelineTriggerDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type PipelineTriggerEdge = {
    __typename?: 'PipelineTriggerEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PipelineTrigger>;
};
/** Autogenerated input type of PipelineTriggerUpdate */
export type PipelineTriggerUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the pipeline trigger token. */
    description: Scalars['String']['input'];
    /** ID of the pipeline trigger token to update. */
    id: Scalars['CiTriggerID']['input'];
};
/** Autogenerated return type of PipelineTriggerUpdate. */
export type PipelineTriggerUpdatePayload = {
    __typename?: 'PipelineTriggerUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mutated pipeline trigger token. */
    pipelineTrigger?: Maybe<PipelineTrigger>;
};
/** Represents policy violation for `any_merge_request` report_type */
export type PolicyAnyMergeRequestViolation = {
    __typename?: 'PolicyAnyMergeRequestViolation';
    /** List of unsigned commits causing the violation. If policy targets any commits, it returns `true`. */
    commits?: Maybe<Scalars['JSON']['output']>;
    /** Represents the policy name. */
    name: Scalars['String']['output'];
};
export type PolicyApprovalGroup = {
    __typename?: 'PolicyApprovalGroup';
    /** Avatar URL of the group. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Full path of the namespace. */
    fullPath: Scalars['ID']['output'];
    /** ID of the namespace. */
    id: Scalars['ID']['output'];
    /** Web URL of the group. */
    webUrl: Scalars['String']['output'];
};
/** Represents the source and target pipelines used for comparison in the policy evaluation. */
export type PolicyComparisonPipeline = {
    __typename?: 'PolicyComparisonPipeline';
    /** Represents the report_type for which the pipeline IDs were evaluated. */
    reportType: ApprovalReportType;
    /** Represents the list of pipeline GIDs for the source branch. */
    source?: Maybe<Array<Scalars['CiPipelineID']['output']>>;
    /** Represents the list of pipeline GIDs for the target branch. */
    target?: Maybe<Array<Scalars['CiPipelineID']['output']>>;
};
/** Represents an error that can occur during policy evaluation. */
export type PolicyError = {
    __typename?: 'PolicyError';
    /** Represents the error-specific data. */
    data?: Maybe<Scalars['JSON']['output']>;
    /** Represents error code. */
    error: PolicyViolationErrorType;
    /** Represents the error message. */
    message: Scalars['String']['output'];
    /** Represents the report type. */
    reportType: ApprovalReportType;
};
/** Represents policy violation for `license_scanning` report_type */
export type PolicyLicenseScanningViolation = {
    __typename?: 'PolicyLicenseScanningViolation';
    /** List of dependencies using the violated license. */
    dependencies: Array<Scalars['String']['output']>;
    /** License name. */
    license: Scalars['String']['output'];
    /** URL of the license. */
    url?: Maybe<Scalars['String']['output']>;
};
/** Represents policy violation for `scan_finding` report_type */
export type PolicyScanFindingViolation = {
    __typename?: 'PolicyScanFindingViolation';
    /** Location of the finding determined by the scanner. */
    location?: Maybe<Scalars['JSON']['output']>;
    /** Represents the name of the finding. */
    name?: Maybe<Scalars['String']['output']>;
    /** Represents the URL path to the finding. */
    path?: Maybe<Scalars['String']['output']>;
    /** Represents the report type. */
    reportType: VulnerabilityReportType;
    /** Severity of the finding. */
    severity?: Maybe<VulnerabilitySeverity>;
};
export type PolicyScope = {
    __typename?: 'PolicyScope';
    /** Compliance Frameworks linked to the policy. */
    complianceFrameworks: ComplianceFrameworkConnection;
    /** Groups to which the policy should not be applied. */
    excludingGroups: GroupConnection;
    /** Projects to which the policy should not be applied. */
    excludingProjects: ProjectConnection;
    /** Groups to which the policy should be applied. */
    includingGroups: GroupConnection;
    /** Projects to which the policy should be applied. */
    includingProjects: ProjectConnection;
};
export type PolicyScopeComplianceFrameworksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PolicyScopeExcludingGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PolicyScopeExcludingProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PolicyScopeIncludingGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type PolicyScopeIncludingProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents the details of merge request approval policy violations. */
export type PolicyViolationDetails = {
    __typename?: 'PolicyViolationDetails';
    /** Represents the violations of `any_merge_request` rules. */
    anyMergeRequest: Array<PolicyAnyMergeRequestViolation>;
    /** Represents the pipelines used for comparison in the policy evaluation. */
    comparisonPipelines: Array<PolicyComparisonPipeline>;
    /** Represents the policy errors. */
    errors: Array<PolicyError>;
    /** Represents the violations of `license_scanning` rules. */
    licenseScanning: Array<PolicyLicenseScanningViolation>;
    /** Represents the newly detected violations of `scan_finding` rules. */
    newScanFinding: Array<PolicyScanFindingViolation>;
    /** Information about policies that were violated. */
    policies: Array<PolicyViolationInfo>;
    /** Represents the violations of `scan_finding` rules for previously existing vulnerabilities. */
    previousScanFinding: Array<PolicyScanFindingViolation>;
};
export declare enum PolicyViolationErrorType {
    /** Represents error which occurs when pipeline is misconfigured and does not include necessary artifacts to evaluate a policy. */
    ArtifactsMissing = "ARTIFACTS_MISSING",
    /** Represents mismatch between the scans of the source and target pipelines. */
    ScanRemoved = "SCAN_REMOVED",
    /** Represents unknown error. */
    Unknown = "UNKNOWN"
}
/** Represents generic policy violation information. */
export type PolicyViolationInfo = {
    __typename?: 'PolicyViolationInfo';
    /** Represents the name of the violated policy. */
    name: Scalars['String']['output'];
    /** Represents the report type. */
    reportType: ApprovalReportType;
};
export type PreviewBillableUserChange = {
    __typename?: 'PreviewBillableUserChange';
    /** Total number of billable users after change. */
    newBillableUserCount?: Maybe<Scalars['Int']['output']>;
    /** Number of seats in subscription. */
    seatsInSubscription?: Maybe<Scalars['Int']['output']>;
    /**  If the group will have an increased overage after change. */
    willIncreaseOverage?: Maybe<Scalars['Boolean']['output']>;
};
/** Autogenerated input type of ProcessUserBillablePromotionRequest */
export type ProcessUserBillablePromotionRequestInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Status for the member approval request (approved, denied, pending). */
    status: MemberApprovalStatusType;
    /** Global ID of user to be promoted. */
    userId: Scalars['UserID']['input'];
};
/** Autogenerated return type of ProcessUserBillablePromotionRequest. */
export type ProcessUserBillablePromotionRequestPayload = {
    __typename?: 'ProcessUserBillablePromotionRequestPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Status of the user promotion process (success, partial_success, failed). */
    result?: Maybe<UserPromotionStatusType>;
};
/** Project-level settings for product analytics provider. */
export type ProductAnalyticsProjectSettings = {
    __typename?: 'ProductAnalyticsProjectSettings';
    /** Base URL for the Cube API. */
    cubeApiBaseUrl?: Maybe<Scalars['String']['output']>;
    /** API key for the Cube API. */
    cubeApiKey?: Maybe<Scalars['String']['output']>;
    /** Connection string for the product analytics configurator. */
    productAnalyticsConfiguratorConnectionString?: Maybe<Scalars['String']['output']>;
    /** Host for the product analytics data collector. */
    productAnalyticsDataCollectorHost?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of ProductAnalyticsProjectSettingsUpdate */
export type ProductAnalyticsProjectSettingsUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Base URL for the Cube API. */
    cubeApiBaseUrl?: InputMaybe<Scalars['String']['input']>;
    /** API key for the Cube API. */
    cubeApiKey?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project the settings belong to. */
    fullPath: Scalars['ID']['input'];
    /** Connection string for the product analytics configurator. */
    productAnalyticsConfiguratorConnectionString?: InputMaybe<Scalars['String']['input']>;
    /** Host for the product analytics data collector. */
    productAnalyticsDataCollectorHost?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of ProductAnalyticsProjectSettingsUpdate. */
export type ProductAnalyticsProjectSettingsUpdatePayload = {
    __typename?: 'ProductAnalyticsProjectSettingsUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Base URL for the Cube API. */
    cubeApiBaseUrl?: Maybe<Scalars['String']['output']>;
    /** API key for the Cube API. */
    cubeApiKey?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Connection string for the product analytics configurator. */
    productAnalyticsConfiguratorConnectionString?: Maybe<Scalars['String']['output']>;
    /** Host for the product analytics data collector. */
    productAnalyticsDataCollectorHost?: Maybe<Scalars['String']['output']>;
};
/** Current state of the product analytics stack. */
export declare enum ProductAnalyticsState {
    /** Stack has been initialized and has data. */
    Complete = "COMPLETE",
    /** Stack has not been created yet. */
    CreateInstance = "CREATE_INSTANCE",
    /** Stack is currently initializing. */
    LoadingInstance = "LOADING_INSTANCE",
    /** Stack is waiting for events from users. */
    WaitingForEvents = "WAITING_FOR_EVENTS"
}
export type Project = {
    __typename?: 'Project';
    /** Size limit for the repository in bytes. */
    actualRepositorySizeLimit?: Maybe<Scalars['Float']['output']>;
    /** Agent configurations defined by the project */
    agentConfigurations?: Maybe<AgentConfigurationConnection>;
    /**
     * Find a specific AI Agent. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    aiAgent?: Maybe<AiAgent>;
    /**
     * Ai Agents for the project. Introduced in GitLab 16.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.9.
     */
    aiAgents?: Maybe<AiAgentConnection>;
    /**
     * AI-related metrics. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    aiMetrics?: Maybe<AiMetrics>;
    /** A single Alert Management alert of the project. */
    alertManagementAlert?: Maybe<AlertManagementAlert>;
    /** Counts of alerts by status for the project. */
    alertManagementAlertStatusCounts?: Maybe<AlertManagementAlertStatusCountsType>;
    /** Alert Management alerts of the project. */
    alertManagementAlerts?: Maybe<AlertManagementAlertConnection>;
    /** HTTP Integrations which can receive alerts for the project. */
    alertManagementHttpIntegrations?: Maybe<AlertManagementHttpIntegrationConnection>;
    /** Integrations which can receive alerts for the project. */
    alertManagementIntegrations?: Maybe<AlertManagementIntegrationConnection>;
    /** Extract alert fields from payload for custom mapping. */
    alertManagementPayloadFields?: Maybe<Array<AlertManagementPayloadAlertField>>;
    /** If `only_allow_merge_if_pipeline_succeeds` is true, indicates if merge requests of the project can also be merged with skipped jobs. */
    allowMergeOnSkippedPipeline?: Maybe<Scalars['Boolean']['output']>;
    /** Project allows assigning multiple users to a merge request. */
    allowsMultipleMergeRequestAssignees: Scalars['Boolean']['output'];
    /** Project allows assigning multiple reviewers to a merge request. */
    allowsMultipleMergeRequestReviewers: Scalars['Boolean']['output'];
    /** API fuzzing configuration for the project.  */
    apiFuzzingCiConfiguration?: Maybe<ApiFuzzingCiConfiguration>;
    /** Approval Policies of the project */
    approvalPolicies?: Maybe<ApprovalPolicyConnection>;
    /** Indicates the archived status of the project. */
    archived?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if issues referenced by merge requests and commits within the default branch are closed automatically. */
    autocloseReferencedIssues?: Maybe<Scalars['Boolean']['output']>;
    /** Search users for autocompletion */
    autocompleteUsers?: Maybe<Array<AutocompletedUser>>;
    /** List of available deploy keys */
    availableDeployKeys?: Maybe<AccessLevelDeployKeyConnection>;
    /** URL to avatar image file of the project. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** A single board of the project. */
    board?: Maybe<Board>;
    /** Boards of the project. */
    boards?: Maybe<BoardConnection>;
    /** Branch rules configured for the project. */
    branchRules?: Maybe<BranchRuleConnection>;
    /** Authorized cluster agents for the project through ci_access keyword. */
    ciAccessAuthorizedAgents?: Maybe<ClusterAgentAuthorizationCiAccessConnection>;
    /** CI/CD settings for the project. */
    ciCdSettings?: Maybe<ProjectCiCdSetting>;
    /** Path of the CI configuration file. */
    ciConfigPathOrDefault: Scalars['String']['output'];
    /**
     * CI/CD config variable. Introduced in GitLab 15.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.3.
     */
    ciConfigVariables?: Maybe<Array<CiConfigVariable>>;
    /** The CI Job Tokens scope of access. */
    ciJobTokenScope?: Maybe<CiJobTokenScopeType>;
    /** Pipeline subscriptions for projects subscribed to the project. */
    ciSubscribedProjects?: Maybe<CiSubscriptionsProjectConnection>;
    /** Pipeline subscriptions for the project. */
    ciSubscriptionsProjects?: Maybe<CiSubscriptionsProjectConnection>;
    /** Find a single CI/CD template by name. */
    ciTemplate?: Maybe<CiTemplate>;
    /** List of the project's CI/CD variables. */
    ciVariables?: Maybe<CiProjectVariableConnection>;
    /** Find a single cluster agent by name. */
    clusterAgent?: Maybe<ClusterAgent>;
    /** Cluster agents associated with the project. */
    clusterAgents?: Maybe<ClusterAgentConnection>;
    /** Code coverage summary associated with the project. */
    codeCoverageSummary?: Maybe<CodeCoverageSummary>;
    /**
     * Get tag names containing a given commit. Introduced in GitLab 16.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.0.
     */
    commitReferences?: Maybe<CommitReferences>;
    /** Compliance frameworks associated with the project. */
    complianceFrameworks?: Maybe<ComplianceFrameworkConnection>;
    /** Container expiration policy of the project. */
    containerExpirationPolicy?: Maybe<ContainerExpirationPolicy>;
    /** Indicates if Container Registry is enabled for the current user */
    containerRegistryEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Container protection rules for the project. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    containerRegistryProtectionRules?: Maybe<ContainerRegistryProtectionRuleConnection>;
    /** Container repositories of the project. */
    containerRepositories?: Maybe<ContainerRepositoryConnection>;
    /** Number of container repositories in the project. */
    containerRepositoriesCount: Scalars['Int']['output'];
    /** Find corpuses of the project. */
    corpuses?: Maybe<CoverageFuzzingCorpusConnection>;
    /** Timestamp of the project creation. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /**
     * Visualizations of the project or associated configuration project. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    customizableDashboardVisualizations?: Maybe<CustomizableDashboardVisualizationConnection>;
    /**
     * Customizable dashboards for the project. Introduced in GitLab 15.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.6.
     */
    customizableDashboards?: Maybe<CustomizableDashboardConnection>;
    /** DAST Profile associated with the project. */
    dastProfile?: Maybe<DastProfile>;
    /** DAST Profiles associated with the project. */
    dastProfiles?: Maybe<DastProfileConnection>;
    /** DAST scanner profiles associated with the project. */
    dastScannerProfiles?: Maybe<DastScannerProfileConnection>;
    /** DAST Site Profile associated with the project. */
    dastSiteProfile?: Maybe<DastSiteProfile>;
    /** DAST Site Profiles associated with the project. */
    dastSiteProfiles?: Maybe<DastSiteProfileConnection>;
    /** DAST Site Validations associated with the project. */
    dastSiteValidations?: Maybe<DastSiteValidationConnection>;
    /** Data transfer data point for a specific period. This is mocked data under a development feature flag. */
    dataTransfer?: Maybe<ProjectDataTransfer>;
    /**
     * Software dependencies used by the project. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    dependencies?: Maybe<DependencyConnection>;
    /** Packages Dependency Proxy settings for the project. Requires the packages and dependency proxy to be enabled in the config. Requires the packages feature to be enabled at the project level.  */
    dependencyProxyPackagesSetting?: Maybe<DependencyProxyPackagesSetting>;
    /** Details of the deployment of the project. */
    deployment?: Maybe<Deployment>;
    /** Short description of the project. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Detailed import status of the project. */
    detailedImportStatus?: Maybe<DetailedImportStatus>;
    /** Project's DORA metrics. */
    dora?: Maybe<Dora>;
    /**
     * Indicates whether GitLab Duo features are enabled for the project. Introduced in GitLab 16.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.9.
     */
    duoFeaturesEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** A single environment of the project. */
    environment?: Maybe<Environment>;
    /** Environments of the project. This field can only be resolved for one project in any single request. */
    environments?: Maybe<EnvironmentConnection>;
    /**
     * Flow metrics for value stream analytics. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    flowMetrics?: Maybe<ProjectValueStreamAnalyticsFlowMetrics>;
    /**
     * Details of the fork project compared to its upstream project. Introduced in GitLab 15.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.7.
     */
    forkDetails?: Maybe<ForkDetails>;
    /** Namespaces in which the current user can fork the project into. */
    forkTargets?: Maybe<NamespaceConnection>;
    /** Access level required for forking access. */
    forkingAccessLevel?: Maybe<ProjectFeatureAccess>;
    /** Number of times the project has been forked. */
    forksCount: Scalars['Int']['output'];
    /** Full path of the project. */
    fullPath: Scalars['ID']['output'];
    /** Preview Billable User Changes */
    gitlabSubscriptionsPreviewBillableUserChange?: Maybe<PreviewBillableUserChange>;
    /**
     * Google Artifact Registry repository. Returns `null` if the GitLab instance is not a SaaS instance. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    googleCloudArtifactRegistryRepository?: Maybe<GoogleCloudArtifactRegistryRepository>;
    /** Grafana integration details for the project. */
    grafanaIntegration?: Maybe<GrafanaIntegration>;
    /** Group of the project. */
    group?: Maybe<Group>;
    /** Indicates whether Jira issue creation from vulnerabilities is enabled. */
    hasJiraVulnerabilityIssueCreationEnabled: Scalars['Boolean']['output'];
    /** URL to connect to the project via HTTPS. */
    httpUrlToRepo?: Maybe<Scalars['String']['output']>;
    /** ID of the project. */
    id: Scalars['ID']['output'];
    /** Status of import background job of the project. */
    importStatus?: Maybe<Scalars['String']['output']>;
    /** Incident Management escalation policies of the project. */
    incidentManagementEscalationPolicies?: Maybe<EscalationPolicyTypeConnection>;
    /** Incident Management escalation policy of the project. */
    incidentManagementEscalationPolicy?: Maybe<EscalationPolicyType>;
    /** Incident Management On-call schedules of the project. */
    incidentManagementOncallSchedules?: Maybe<IncidentManagementOncallScheduleConnection>;
    /** Incident Management Timeline event associated with the incident. */
    incidentManagementTimelineEvent?: Maybe<TimelineEventType>;
    /** Timeline event tags for the project. */
    incidentManagementTimelineEventTags?: Maybe<Array<TimelineEventTagType>>;
    /** Incident Management Timeline events associated with the incident. */
    incidentManagementTimelineEvents?: Maybe<TimelineEventTypeConnection>;
    /** List of CI/CD variables the project inherited from its parent group and ancestors. */
    inheritedCiVariables?: Maybe<InheritedCiVariableConnection>;
    /**
     * Indicates if delayed project deletion is enabled. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    isAdjournedDeletionEnabled: Scalars['Boolean']['output'];
    /**
     * Indicates if a project is a catalog resource. Introduced in GitLab 15.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.11.
     */
    isCatalogResource?: Maybe<Scalars['Boolean']['output']>;
    /** Project is forked. */
    isForked: Scalars['Boolean']['output'];
    /** A single issue of the project. */
    issue?: Maybe<Issue>;
    /** Counts of issues by status for the project. */
    issueStatusCounts?: Maybe<IssueStatusCountsType>;
    /** Issues of the project. */
    issues?: Maybe<IssueConnection>;
    /** Access level required for issues access. */
    issuesAccessLevel?: Maybe<ProjectFeatureAccess>;
    /** Indicates if Issues are enabled for the current user */
    issuesEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Find iteration cadences. */
    iterationCadences?: Maybe<IterationCadenceConnection>;
    /** Find iterations. */
    iterations?: Maybe<IterationConnection>;
    /** Status of Jira import background job of the project. */
    jiraImportStatus?: Maybe<Scalars['String']['output']>;
    /** Jira imports into the project. */
    jiraImports?: Maybe<JiraImportConnection>;
    /** One job belonging to the project, selected by ID. */
    job?: Maybe<CiJob>;
    /** Jobs of a project. This field can only be resolved for one project in any single request. */
    jobs?: Maybe<CiJobConnection>;
    /** Indicates if CI/CD pipeline jobs are enabled for the current user. */
    jobsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Label available on this project. */
    label?: Maybe<Label>;
    /** Labels available on this project. */
    labels?: Maybe<LabelConnection>;
    /** Programming languages used in the project. */
    languages?: Maybe<Array<RepositoryLanguage>>;
    /** Timestamp of the project last activity. */
    lastActivityAt?: Maybe<Scalars['Time']['output']>;
    /** Indicates if the project has Large File Storage (LFS) enabled. */
    lfsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Date when project was scheduled to be deleted. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    markedForDeletionOn?: Maybe<Scalars['Time']['output']>;
    /** The maximum access level of the current user in the project. */
    maxAccessLevel: AccessLevel;
    /**
     * Member roles available for the group. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    memberRoles?: Maybe<MemberRoleConnection>;
    /** Template used to create merge commit message in merge requests. */
    mergeCommitTemplate?: Maybe<Scalars['String']['output']>;
    /** A single merge request of the project. */
    mergeRequest?: Maybe<MergeRequest>;
    /** Merge requests of the project. */
    mergeRequests?: Maybe<MergeRequestConnection>;
    /** Access level required for merge requests access. */
    mergeRequestsAccessLevel?: Maybe<ProjectFeatureAccess>;
    /** Indicates that committers of the given merge request cannot approve. */
    mergeRequestsDisableCommittersApproval: Scalars['Boolean']['output'];
    /** Indicates if Merge Requests are enabled for the current user */
    mergeRequestsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if no merge commits should be created and all merges should instead be fast-forwarded, which means that merging is only allowed if the branch could be fast-forwarded. */
    mergeRequestsFfOnlyEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Merge trains available to the project. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    mergeTrains?: Maybe<MergeTrainConnection>;
    /** Milestones of the project. */
    milestones?: Maybe<MilestoneConnection>;
    /**
     * Finds machine learning models Introduced in GitLab 16.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.8.
     */
    mlModels?: Maybe<MlModelConnection>;
    /** Name of the project (without namespace). */
    name: Scalars['String']['output'];
    /** Full name of the project with its namespace. */
    nameWithNamespace: Scalars['String']['output'];
    /** Namespace of the project. */
    namespace?: Maybe<Namespace>;
    /** Environments for this project with nested folders, can only be resolved for one project in any single request */
    nestedEnvironments?: Maybe<NestedEnvironmentConnection>;
    /** Indicates if merge requests of the project can only be merged when all the discussions are resolved. */
    onlyAllowMergeIfAllDiscussionsAreResolved?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates that merges of merge requests should be blocked unless all status checks have passed. */
    onlyAllowMergeIfAllStatusChecksPassed?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates if merge requests of the project can only be merged with successful jobs. */
    onlyAllowMergeIfPipelineSucceeds?: Maybe<Scalars['Boolean']['output']>;
    /** Number of open issues for the project. */
    openIssuesCount?: Maybe<Scalars['Int']['output']>;
    /** Number of open merge requests for the project. */
    openMergeRequestsCount?: Maybe<Scalars['Int']['output']>;
    /**
     * Path for editing project at the organization level. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    organizationEditPath?: Maybe<Scalars['String']['output']>;
    /** Packages of the project. */
    packages?: Maybe<PackageConnection>;
    /** Packages cleanup policy for the project. */
    packagesCleanupPolicy?: Maybe<PackagesCleanupPolicy>;
    /**
     * Packages protection rules for the project. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    packagesProtectionRules?: Maybe<PackagesProtectionRuleConnection>;
    /** List of the project's Pages Deployments. */
    pagesDeployments?: Maybe<PagesDeploymentConnection>;
    /** Path of the project. */
    path: Scalars['String']['output'];
    /** The project's path locks. */
    pathLocks?: Maybe<PathLockConnection>;
    /**
     * Date when project will be deleted if delayed project deletion is enabled. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    permanentDeletionDate?: Maybe<Scalars['String']['output']>;
    /** Build pipeline of the project. */
    pipeline?: Maybe<Pipeline>;
    /** Pipeline analytics. */
    pipelineAnalytics?: Maybe<PipelineAnalytics>;
    /** Build pipeline counts of the project. */
    pipelineCounts?: Maybe<PipelineCounts>;
    /** Pipeline Execution Policies of the project. */
    pipelineExecutionPolicies?: Maybe<PipelineExecutionPolicyConnection>;
    /** Pipeline schedules of the project. This field can only be resolved for one project per request. */
    pipelineSchedules?: Maybe<PipelineScheduleConnection>;
    /**
     * List of pipeline trigger tokens. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    pipelineTriggers?: Maybe<PipelineTriggerConnection>;
    /** Build pipelines of the project. */
    pipelines?: Maybe<PipelineConnection>;
    /** Indicates if an associated issue from Jira is required. */
    preventMergeWithoutJiraIssueEnabled: Scalars['Boolean']['output'];
    /** Indicates if a link to create or view a merge request should display after a push to Git repositories of the project from the command line. */
    printingMergeRequestLinkEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Count of all events used, broken down by month Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    productAnalyticsEventsStored?: Maybe<Array<MonthlyUsage>>;
    /**
     * Product Analytics instrumentation key assigned to the project. Introduced in GitLab 16.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.0.
     */
    productAnalyticsInstrumentationKey?: Maybe<Scalars['String']['output']>;
    /** Project-level settings for product analytics. */
    productAnalyticsSettings?: Maybe<ProductAnalyticsProjectSettings>;
    /**
     * Current state of the product analytics stack for this project.Can only be called for one project in a single request Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    productAnalyticsState?: Maybe<ProductAnalyticsState>;
    /** Members of the project. */
    projectMembers?: Maybe<MemberInterfaceConnection>;
    /**
     * Plan limits for the current project. Introduced in GitLab 16.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.9.
     */
    projectPlanLimits?: Maybe<ProjectPlanLimits>;
    /**
     * List of unprotected branches, ignoring any wildcard branch rules Introduced in GitLab 16.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.9.
     */
    protectableBranches?: Maybe<Array<Scalars['String']['output']>>;
    /** Indicates if there is public access to pipelines and job details of the project, including output logs and artifacts. */
    publicJobs?: Maybe<Scalars['Boolean']['output']>;
    /** Project's push rules settings. */
    pushRules?: Maybe<PushRules>;
    /** List of recently visited boards of the project. Maximum size is 4. */
    recentIssueBoards?: Maybe<BoardConnection>;
    /** A single release of the project. */
    release?: Maybe<Release>;
    /** Releases of the project. */
    releases?: Maybe<ReleaseConnection>;
    /** Indicates if `Delete source branch` option should be enabled by default for all new merge requests of the project. */
    removeSourceBranchAfterMerge?: Maybe<Scalars['Boolean']['output']>;
    /** Git repository of the project. */
    repository?: Maybe<Repository>;
    /** Size of repository that exceeds the limit in bytes. */
    repositorySizeExcess?: Maybe<Scalars['Float']['output']>;
    /** Indicates if users can request member access to the project. */
    requestAccessEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Find a single requirement. */
    requirement?: Maybe<Requirement>;
    /** Number of requirements for the project by their state. */
    requirementStatesCount?: Maybe<RequirementStatesCount>;
    /** Find requirements. */
    requirements?: Maybe<RequirementConnection>;
    /**
     * Information used for provisioning the runner on a cloud provider. Returns `null` if the GitLab instance is not a SaaS instance. Introduced in GitLab 16.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.9.
     */
    runnerCloudProvisioning?: Maybe<CiRunnerCloudProvisioning>;
    /** Find runners visible to the current user. */
    runners?: Maybe<CiRunnerConnection>;
    /** SAST CI configuration for the project. */
    sastCiConfiguration?: Maybe<SastCiConfiguration>;
    /**
     * Saved replies available to the project. Available only when feature flag `project_saved_replies_flag` is enabled. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    savedReplies?: Maybe<ProjectSavedReplyConnection>;
    /**
     * Saved reply in the project. Available only when feature flag `group_saved_replies_flag` is enabled. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    savedReply?: Maybe<ProjectSavedReply>;
    /** Scan Execution Policies of the project */
    scanExecutionPolicies?: Maybe<ScanExecutionPolicyConnection>;
    /**
     * Scan Result Policies of the project Deprecated in GitLab 16.9: Use `approvalPolicies`.
     * @deprecated Use `approvalPolicies`. Deprecated in GitLab 16.9.
     */
    scanResultPolicies?: Maybe<ScanResultPolicyConnection>;
    /** Path to project's security dashboard. */
    securityDashboardPath?: Maybe<Scalars['String']['output']>;
    /** Security policy project assigned to the project, absent if assigned to a parent group. */
    securityPolicyProject?: Maybe<Project>;
    /** Namespaces linked to the project, when used as Security Policy Project. */
    securityPolicyProjectLinkedNamespaces?: Maybe<NamespaceConnection>;
    /** Projects linked to the project, when used as Security Policy Project. */
    securityPolicyProjectLinkedProjects?: Maybe<ProjectConnection>;
    /** Security policy project suggestions */
    securityPolicyProjectSuggestions?: Maybe<ProjectConnection>;
    /** Information about security analyzers used in the project. */
    securityScanners?: Maybe<SecurityScanners>;
    /** List of security training providers for the project */
    securityTrainingProviders?: Maybe<Array<ProjectSecurityTraining>>;
    /** Security training URLs for the enabled training providers of the project. */
    securityTrainingUrls?: Maybe<Array<SecurityTrainingUrl>>;
    /** Detailed version of a Sentry error on the project. */
    sentryDetailedError?: Maybe<SentryDetailedError>;
    /** Paginated collection of Sentry errors on the project. */
    sentryErrors?: Maybe<SentryErrorCollection>;
    /** E-mail address of the Service Desk. */
    serviceDeskAddress?: Maybe<Scalars['String']['output']>;
    /** Indicates if the project has Service Desk enabled. */
    serviceDeskEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Project services. Deprecated in GitLab 15.9: A `Project.integrations` field is proposed instead in [issue 389904](https://gitlab.com/gitlab-org/gitlab/-/issues/389904).
     * @deprecated A `Project.integrations` field is proposed instead in [issue 389904](https://gitlab.com/gitlab-org/gitlab/-/issues/389904). Deprecated in GitLab 15.9.
     */
    services?: Maybe<ServiceConnection>;
    /** Indicates if shared runners are enabled for the project. */
    sharedRunnersEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Snippets of the project. */
    snippets?: Maybe<SnippetConnection>;
    /** Indicates if Snippets are enabled for the current user */
    snippetsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Template used to create squash commit message in merge requests. */
    squashCommitTemplate?: Maybe<Scalars['String']['output']>;
    /** Indicates if `squashReadOnly` is enabled. */
    squashReadOnly: Scalars['Boolean']['output'];
    /** URL to connect to the project via SSH. */
    sshUrlToRepo?: Maybe<Scalars['String']['output']>;
    /** Number of times the project has been starred. */
    starCount: Scalars['Int']['output'];
    /** Statistics of the project. */
    statistics?: Maybe<ProjectStatistics>;
    /** Redirects for Statistics of the project. */
    statisticsDetailsPaths?: Maybe<ProjectStatisticsRedirect>;
    /** Commit message used to apply merge request suggestions. */
    suggestionCommitMessage?: Maybe<Scalars['String']['output']>;
    /**
     * List of project topics (not Git tags). Deprecated in GitLab 13.12: Use `topics`.
     * @deprecated Use `topics`. Deprecated in GitLab 13.12.
     */
    tagList?: Maybe<Scalars['String']['output']>;
    /** Find a single Terraform state by name. */
    terraformState?: Maybe<TerraformState>;
    /** Terraform states associated with the project. */
    terraformStates?: Maybe<TerraformStateConnection>;
    /**
     * Timelog categories for the project. Introduced in GitLab 15.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.3.
     */
    timelogCategories?: Maybe<TimeTrackingTimelogCategoryConnection>;
    /** Time logged on issues and merge requests in the project. */
    timelogs?: Maybe<TimelogConnection>;
    /** List of project topics. */
    topics?: Maybe<Array<Scalars['String']['output']>>;
    /**
     * Tracking key assigned to the project. Introduced in GitLab 16.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.0.
     */
    trackingKey?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the project was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Authorized cluster agents for the project through user_access keyword. */
    userAccessAuthorizedAgents?: Maybe<ClusterAgentAuthorizationUserAccessConnection>;
    /** Permissions for the current user on the resource */
    userPermissions: ProjectPermissions;
    /** Information about Value Stream Analytics within the project. */
    valueStreamAnalytics?: Maybe<ValueStreamAnalytics>;
    /**
     * Aggregated usage counts within the project Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    valueStreamDashboardUsageOverview?: Maybe<ValueStreamDashboardCount>;
    /** Value streams available to the project. */
    valueStreams?: Maybe<ValueStreamConnection>;
    /** Visibility of the project. */
    visibility?: Maybe<Scalars['String']['output']>;
    /**
     * Visible forks of the project. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    visibleForks?: Maybe<ProjectConnection>;
    /** Vulnerabilities reported on the project. */
    vulnerabilities?: Maybe<VulnerabilityConnection>;
    /** The historical number of vulnerabilities per day for the project. */
    vulnerabilitiesCountByDay?: Maybe<VulnerabilitiesCountByDayConnection>;
    /** Container images reported on the project vulnerabilities. */
    vulnerabilityImages?: Maybe<VulnerabilityContainerImageConnection>;
    /** Vulnerability scanners reported on the project vulnerabilities. */
    vulnerabilityScanners?: Maybe<VulnerabilityScannerConnection>;
    /** Counts for each vulnerability severity in the project. */
    vulnerabilitySeveritiesCount?: Maybe<VulnerabilitySeveritiesCount>;
    /** Web URL of the project. */
    webUrl?: Maybe<Scalars['String']['output']>;
    /** Indicates if Wikis are enabled for the current user */
    wikiEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Counts of work items by state for the project. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    workItemStateCounts?: Maybe<WorkItemStateCountsType>;
    /** Work item types available to the project. */
    workItemTypes?: Maybe<WorkItemTypeConnection>;
    /**
     * Work items of the project. Introduced in GitLab 15.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.1.
     */
    workItems?: Maybe<WorkItemConnection>;
};
export type ProjectAgentConfigurationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectAiAgentArgs = {
    id: Scalars['AiAgentID']['input'];
};
export type ProjectAiAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectAiMetricsArgs = {
    endDate?: InputMaybe<Scalars['Date']['input']>;
    startDate?: InputMaybe<Scalars['Date']['input']>;
};
export type ProjectAlertManagementAlertArgs = {
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    domain?: AlertManagementDomainFilter;
    iid?: InputMaybe<Scalars['String']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<AlertManagementAlertSort>;
    statuses?: InputMaybe<Array<AlertManagementStatus>>;
};
export type ProjectAlertManagementAlertStatusCountsArgs = {
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectAlertManagementAlertsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    domain?: AlertManagementDomainFilter;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['String']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<AlertManagementAlertSort>;
    statuses?: InputMaybe<Array<AlertManagementStatus>>;
};
export type ProjectAlertManagementHttpIntegrationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['AlertManagementHttpIntegrationID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectAlertManagementIntegrationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['GlobalID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectAlertManagementPayloadFieldsArgs = {
    payloadExample: Scalars['String']['input'];
};
export type ProjectApprovalPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type ProjectAutocompleteUsersArgs = {
    search?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectAvailableDeployKeysArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    titleQuery?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectBoardArgs = {
    id: Scalars['BoardID']['input'];
};
export type ProjectBoardsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['BoardID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectBranchRulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    buildMissing?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectCiAccessAuthorizedAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectCiConfigVariablesArgs = {
    ref: Scalars['String']['input'];
};
export type ProjectCiSubscribedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectCiSubscriptionsProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectCiTemplateArgs = {
    name: Scalars['String']['input'];
};
export type ProjectCiVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<CiVariableSort>;
};
export type ProjectClusterAgentArgs = {
    hasRemoteDevelopmentAgentConfig?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemoteDevelopmentEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    hasVulnerabilities?: InputMaybe<Scalars['Boolean']['input']>;
    name: Scalars['String']['input'];
};
export type ProjectClusterAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasRemoteDevelopmentAgentConfig?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemoteDevelopmentEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    hasVulnerabilities?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectCommitReferencesArgs = {
    commitSha: Scalars['String']['input'];
};
export type ProjectComplianceFrameworksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectContainerRegistryProtectionRulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectContainerRepositoriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ContainerRepositorySort>;
};
export type ProjectCorpusesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectCustomizableDashboardVisualizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectCustomizableDashboardsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    category?: InputMaybe<CustomizableDashboardCategory>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectDastProfileArgs = {
    hasDastProfileSchedule?: InputMaybe<Scalars['Boolean']['input']>;
    id: Scalars['DastProfileID']['input'];
};
export type ProjectDastProfilesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasDastProfileSchedule?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectDastScannerProfilesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectDastSiteProfileArgs = {
    id: Scalars['DastSiteProfileID']['input'];
};
export type ProjectDastSiteProfilesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectDastSiteValidationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    normalizedTargetUrls?: InputMaybe<Array<Scalars['String']['input']>>;
    status?: InputMaybe<DastSiteValidationStatusEnum>;
};
export type ProjectDataTransferArgs = {
    from?: InputMaybe<Scalars['Date']['input']>;
    to?: InputMaybe<Scalars['Date']['input']>;
};
export type ProjectDependenciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    componentNames?: InputMaybe<Array<Scalars['String']['input']>>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    packageManagers?: InputMaybe<Array<PackageManager>>;
    sort?: InputMaybe<DependencySort>;
    sourceTypes?: InputMaybe<Array<SbomSourceType>>;
};
export type ProjectDeploymentArgs = {
    iid: Scalars['ID']['input'];
};
export type ProjectEnvironmentArgs = {
    name?: InputMaybe<Scalars['String']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    states?: InputMaybe<Array<Scalars['String']['input']>>;
    type?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectEnvironmentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    states?: InputMaybe<Array<Scalars['String']['input']>>;
    type?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectForkDetailsArgs = {
    ref?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectForkTargetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectGitlabSubscriptionsPreviewBillableUserChangeArgs = {
    addGroupId?: InputMaybe<Scalars['Int']['input']>;
    addUserEmails?: InputMaybe<Array<Scalars['String']['input']>>;
    addUserIds?: InputMaybe<Array<Scalars['Int']['input']>>;
    memberRoleId?: InputMaybe<Scalars['Int']['input']>;
    role: GitlabSubscriptionsUserRole;
};
export type ProjectIncidentManagementEscalationPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectIncidentManagementEscalationPolicyArgs = {
    id: Scalars['IncidentManagementEscalationPolicyID']['input'];
    name?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectIncidentManagementOncallSchedulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iids?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectIncidentManagementTimelineEventArgs = {
    id: Scalars['IncidentManagementTimelineEventID']['input'];
    incidentId: Scalars['IssueID']['input'];
};
export type ProjectIncidentManagementTimelineEventsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    incidentId: Scalars['IssueID']['input'];
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectInheritedCiVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<CiGroupVariablesSort>;
};
export type ProjectIssueArgs = {
    assigneeId?: InputMaybe<Scalars['String']['input']>;
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    closedAfter?: InputMaybe<Scalars['Time']['input']>;
    closedBefore?: InputMaybe<Scalars['Time']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    crmContactId?: InputMaybe<Scalars['String']['input']>;
    crmOrganizationId?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['String']['input']>;
    epicWildcardId?: InputMaybe<EpicWildcardId>;
    healthStatusFilter?: InputMaybe<HealthStatusFilter>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeSubepics?: InputMaybe<Scalars['Boolean']['input']>;
    iterationCadenceId?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    iterationId?: InputMaybe<Array<InputMaybe<Scalars['ID']['input']>>>;
    iterationTitle?: InputMaybe<Scalars['String']['input']>;
    iterationWildcardId?: InputMaybe<IterationWildcardId>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    milestoneTitle?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedIssueFilterInput>;
    or?: InputMaybe<UnionedIssueFilterInput>;
    releaseTag?: InputMaybe<Array<Scalars['String']['input']>>;
    releaseTagWildcardId?: InputMaybe<ReleaseTagWildcardId>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<IssueSort>;
    state?: InputMaybe<IssuableState>;
    types?: InputMaybe<Array<IssueType>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    weight?: InputMaybe<Scalars['String']['input']>;
    weightWildcardId?: InputMaybe<WeightWildcardId>;
};
export type ProjectIssueStatusCountsArgs = {
    assigneeId?: InputMaybe<Scalars['String']['input']>;
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    closedAfter?: InputMaybe<Scalars['Time']['input']>;
    closedBefore?: InputMaybe<Scalars['Time']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    crmContactId?: InputMaybe<Scalars['String']['input']>;
    crmOrganizationId?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['String']['input']>;
    epicWildcardId?: InputMaybe<EpicWildcardId>;
    healthStatusFilter?: InputMaybe<HealthStatusFilter>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeSubepics?: InputMaybe<Scalars['Boolean']['input']>;
    iterationCadenceId?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    iterationId?: InputMaybe<Array<InputMaybe<Scalars['ID']['input']>>>;
    iterationTitle?: InputMaybe<Scalars['String']['input']>;
    iterationWildcardId?: InputMaybe<IterationWildcardId>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    milestoneTitle?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedIssueFilterInput>;
    or?: InputMaybe<UnionedIssueFilterInput>;
    releaseTag?: InputMaybe<Array<Scalars['String']['input']>>;
    releaseTagWildcardId?: InputMaybe<ReleaseTagWildcardId>;
    search?: InputMaybe<Scalars['String']['input']>;
    types?: InputMaybe<Array<IssueType>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    weight?: InputMaybe<Scalars['String']['input']>;
    weightWildcardId?: InputMaybe<WeightWildcardId>;
};
export type ProjectIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeId?: InputMaybe<Scalars['String']['input']>;
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    closedAfter?: InputMaybe<Scalars['Time']['input']>;
    closedBefore?: InputMaybe<Scalars['Time']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    crmContactId?: InputMaybe<Scalars['String']['input']>;
    crmOrganizationId?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['String']['input']>;
    epicWildcardId?: InputMaybe<EpicWildcardId>;
    first?: InputMaybe<Scalars['Int']['input']>;
    healthStatusFilter?: InputMaybe<HealthStatusFilter>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeSubepics?: InputMaybe<Scalars['Boolean']['input']>;
    iterationCadenceId?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    iterationId?: InputMaybe<Array<InputMaybe<Scalars['ID']['input']>>>;
    iterationTitle?: InputMaybe<Scalars['String']['input']>;
    iterationWildcardId?: InputMaybe<IterationWildcardId>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedIssueFilterInput>;
    or?: InputMaybe<UnionedIssueFilterInput>;
    releaseTag?: InputMaybe<Array<Scalars['String']['input']>>;
    releaseTagWildcardId?: InputMaybe<ReleaseTagWildcardId>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<IssueSort>;
    state?: InputMaybe<IssuableState>;
    types?: InputMaybe<Array<IssueType>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    weight?: InputMaybe<Scalars['String']['input']>;
    weightWildcardId?: InputMaybe<WeightWildcardId>;
};
export type ProjectIterationCadencesArgs = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    automatic?: InputMaybe<Scalars['Boolean']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    durationInWeeks?: InputMaybe<Scalars['Int']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['IterationsCadenceID']['input']>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectIterationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    in?: InputMaybe<Array<IterationSearchableField>>;
    includeAncestors?: InputMaybe<Scalars['Boolean']['input']>;
    includeDescendants?: InputMaybe<Scalars['Boolean']['input']>;
    iterationCadenceIds?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<IterationSort>;
    state?: InputMaybe<IterationState>;
    timeframe?: InputMaybe<Timeframe>;
};
export type ProjectJiraImportsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectJobArgs = {
    id: Scalars['JobID']['input'];
};
export type ProjectJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    statuses?: InputMaybe<Array<CiJobStatus>>;
    withArtifacts?: InputMaybe<Scalars['Boolean']['input']>;
};
export type ProjectLabelArgs = {
    title: Scalars['String']['input'];
};
export type ProjectLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    includeAncestorGroups?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    searchIn?: Array<LabelSearchFieldList>;
    searchTerm?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectMemberRolesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['MemberRoleID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    orderBy?: InputMaybe<MemberRolesOrderBy>;
    sort?: InputMaybe<SortDirectionEnum>;
};
export type ProjectMergeRequestArgs = {
    iid: Scalars['String']['input'];
};
export type ProjectMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
export type ProjectMergeTrainsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    status?: InputMaybe<MergeTrainStatus>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
};
export type ProjectMilestonesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    containingDate?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    includeAncestors?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    searchTitle?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MilestoneSort>;
    state?: InputMaybe<MilestoneStateEnum>;
    timeframe?: InputMaybe<Timeframe>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectMlModelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    orderBy?: InputMaybe<MlModelsOrderBy>;
    sort?: InputMaybe<SortDirectionEnum>;
};
export type ProjectNestedEnvironmentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    states?: InputMaybe<Array<Scalars['String']['input']>>;
    type?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectPackagesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    includeVersionless?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    packageName?: InputMaybe<Scalars['String']['input']>;
    packageType?: InputMaybe<PackageTypeEnum>;
    packageVersion?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<PackageSort>;
    status?: InputMaybe<PackageStatus>;
};
export type ProjectPackagesProtectionRulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectPagesDeploymentsArgs = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<Sort>;
    versioned?: InputMaybe<Scalars['Boolean']['input']>;
};
export type ProjectPathLocksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectPipelineArgs = {
    id?: InputMaybe<Scalars['CiPipelineID']['input']>;
    iid?: InputMaybe<Scalars['ID']['input']>;
    sha?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectPipelineCountsArgs = {
    ref?: InputMaybe<Scalars['String']['input']>;
    sha?: InputMaybe<Scalars['String']['input']>;
    source?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectPipelineExecutionPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type ProjectPipelineSchedulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<PipelineScheduleSort>;
    status?: InputMaybe<PipelineScheduleStatus>;
};
export type ProjectPipelineTriggersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectPipelinesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    ref?: InputMaybe<Scalars['String']['input']>;
    scope?: InputMaybe<PipelineScopeEnum>;
    sha?: InputMaybe<Scalars['String']['input']>;
    source?: InputMaybe<Scalars['String']['input']>;
    status?: InputMaybe<PipelineStatusEnum>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectProductAnalyticsEventsStoredArgs = {
    monthSelection: Array<MonthSelectionInput>;
};
export type ProjectProjectMembersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relations?: InputMaybe<Array<ProjectMemberRelation>>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MemberSort>;
};
export type ProjectRecentIssueBoardsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectReleaseArgs = {
    tagName: Scalars['String']['input'];
};
export type ProjectReleasesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ReleaseSort>;
};
export type ProjectRequirementArgs = {
    authorUsername?: InputMaybe<Array<Scalars['String']['input']>>;
    lastTestReportState?: InputMaybe<RequirementStatusFilter>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<Sort>;
    state?: InputMaybe<RequirementState>;
    workItemIid?: InputMaybe<Scalars['ID']['input']>;
    workItemIids?: InputMaybe<Array<Scalars['ID']['input']>>;
};
export type ProjectRequirementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    authorUsername?: InputMaybe<Array<Scalars['String']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    lastTestReportState?: InputMaybe<RequirementStatusFilter>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<Sort>;
    state?: InputMaybe<RequirementState>;
    workItemIid?: InputMaybe<Scalars['ID']['input']>;
    workItemIids?: InputMaybe<Array<Scalars['ID']['input']>>;
};
export type ProjectRunnerCloudProvisioningArgs = {
    cloudProjectId: Scalars['GoogleCloudProject']['input'];
    provider: CiRunnerCloudProvider;
};
export type ProjectRunnersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    creatorId?: InputMaybe<Scalars['UserID']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    paused?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<CiRunnerSort>;
    status?: InputMaybe<CiRunnerStatus>;
    tagList?: InputMaybe<Array<Scalars['String']['input']>>;
    type?: InputMaybe<CiRunnerType>;
    upgradeStatus?: InputMaybe<CiRunnerUpgradeStatus>;
};
export type ProjectSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectSavedReplyArgs = {
    id: Scalars['ProjectsSavedReplyID']['input'];
};
export type ProjectScanExecutionPoliciesArgs = {
    actionScanTypes?: InputMaybe<Array<SecurityReportTypeEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type ProjectScanResultPoliciesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    relationship?: InputMaybe<SecurityPolicyRelationType>;
};
export type ProjectSecurityPolicyProjectLinkedNamespacesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectSecurityPolicyProjectLinkedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectSecurityPolicyProjectSuggestionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    onlyLinked?: InputMaybe<Scalars['Boolean']['input']>;
    search: Scalars['String']['input'];
};
export type ProjectSecurityTrainingProvidersArgs = {
    onlyEnabled?: InputMaybe<Scalars['Boolean']['input']>;
};
export type ProjectSecurityTrainingUrlsArgs = {
    filename?: InputMaybe<Scalars['String']['input']>;
    identifierExternalIds: Array<Scalars['String']['input']>;
};
export type ProjectSentryDetailedErrorArgs = {
    id: Scalars['GitlabErrorTrackingDetailedErrorID']['input'];
};
export type ProjectServicesArgs = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<ServiceType>;
};
export type ProjectSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
export type ProjectTerraformStateArgs = {
    name: Scalars['String']['input'];
};
export type ProjectTerraformStatesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectTimelogCategoriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
export type ProjectUserAccessAuthorizedAgentsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectValueStreamDashboardUsageOverviewArgs = {
    identifier: ValueStreamDashboardProjectLevelMetric;
    timeframe: Timeframe;
};
export type ProjectValueStreamsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectVisibleForksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    minimumAccessLevel?: InputMaybe<AccessLevelEnum>;
};
export type ProjectVulnerabilitiesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    clusterAgentId?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    clusterId?: InputMaybe<Array<Scalars['ClustersClusterID']['input']>>;
    dismissalReason?: InputMaybe<Array<VulnerabilityDismissalReason>>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasIssues?: InputMaybe<Scalars['Boolean']['input']>;
    hasMergeRequest?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemediations?: InputMaybe<Scalars['Boolean']['input']>;
    hasResolution?: InputMaybe<Scalars['Boolean']['input']>;
    image?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    owaspTopTen?: InputMaybe<Array<VulnerabilityOwaspTop10>>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    reportType?: InputMaybe<Array<VulnerabilityReportType>>;
    scanner?: InputMaybe<Array<Scalars['String']['input']>>;
    scannerId?: InputMaybe<Array<Scalars['VulnerabilitiesScannerID']['input']>>;
    severity?: InputMaybe<Array<VulnerabilitySeverity>>;
    sort?: InputMaybe<VulnerabilitySort>;
    state?: InputMaybe<Array<VulnerabilityState>>;
};
export type ProjectVulnerabilitiesCountByDayArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate: Scalars['ISO8601Date']['input'];
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    startDate: Scalars['ISO8601Date']['input'];
};
export type ProjectVulnerabilityImagesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectVulnerabilityScannersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type ProjectVulnerabilitySeveritiesCountArgs = {
    capped?: InputMaybe<Scalars['Boolean']['input']>;
    clusterAgentId?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    dismissalReason?: InputMaybe<Array<VulnerabilityDismissalReason>>;
    hasIssues?: InputMaybe<Scalars['Boolean']['input']>;
    hasMergeRequest?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemediations?: InputMaybe<Scalars['Boolean']['input']>;
    hasResolution?: InputMaybe<Scalars['Boolean']['input']>;
    image?: InputMaybe<Array<Scalars['String']['input']>>;
    owaspTopTen?: InputMaybe<Array<VulnerabilityOwaspTop10>>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    reportType?: InputMaybe<Array<VulnerabilityReportType>>;
    scanner?: InputMaybe<Array<Scalars['String']['input']>>;
    scannerId?: InputMaybe<Array<Scalars['VulnerabilitiesScannerID']['input']>>;
    severity?: InputMaybe<Array<VulnerabilitySeverity>>;
    state?: InputMaybe<Array<VulnerabilityState>>;
};
export type ProjectWorkItemStateCountsArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedWorkItemFilterInput>;
    or?: InputMaybe<UnionedWorkItemFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<WorkItemSort>;
    state?: InputMaybe<IssuableState>;
    statusWidget?: InputMaybe<StatusFilterInput>;
    types?: InputMaybe<Array<IssueType>>;
};
export type ProjectWorkItemTypesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    name?: InputMaybe<IssueType>;
};
export type ProjectWorkItemsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedWorkItemFilterInput>;
    or?: InputMaybe<UnionedWorkItemFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<WorkItemSort>;
    state?: InputMaybe<IssuableState>;
    statusWidget?: InputMaybe<StatusFilterInput>;
    types?: InputMaybe<Array<IssueType>>;
};
export type ProjectCiCdSetting = {
    __typename?: 'ProjectCiCdSetting';
    /** Indicates CI/CD job tokens generated in other projects have restricted access to this project. */
    inboundJobTokenScopeEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates CI/CD job tokens generated in this project have restricted access to other projects. */
    jobTokenScopeEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Whether to keep the latest builds artifacts. */
    keepLatestArtifact?: Maybe<Scalars['Boolean']['output']>;
    /** Whether merged results pipelines are enabled. */
    mergePipelinesEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Whether merge trains are enabled. */
    mergeTrainsEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Whether merge immediately is allowed for merge trains. */
    mergeTrainsSkipTrainAllowed: Scalars['Boolean']['output'];
    /** Project the CI/CD settings belong to. */
    project?: Maybe<Project>;
    /** Indicates the ability to push to the original project repository using a job token */
    pushRepositoryForJobTokenAllowed?: Maybe<Scalars['Boolean']['output']>;
};
/** Autogenerated input type of ProjectCiCdSettingsUpdate */
export type ProjectCiCdSettingsUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full Path of the project the settings belong to. */
    fullPath: Scalars['ID']['input'];
    /** Indicates CI/CD job tokens generated in other projects have restricted access to this project. */
    inboundJobTokenScopeEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates if the latest artifact should be kept for the project. */
    keepLatestArtifact?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates if merged results pipelines are enabled for the project. */
    mergePipelinesEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates if merge trains are enabled for the project. */
    mergeTrainsEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates whether an option is allowed to merge without refreshing the merge train. Ignored unless the `merge_trains_skip_train` feature flag is also enabled. */
    mergeTrainsSkipTrainAllowed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates the ability to push to the original project repository using a job token */
    pushRepositoryForJobTokenAllowed?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Autogenerated return type of ProjectCiCdSettingsUpdate. */
export type ProjectCiCdSettingsUpdatePayload = {
    __typename?: 'ProjectCiCdSettingsUpdatePayload';
    /** CI/CD settings after mutation. */
    ciCdSettings: ProjectCiCdSetting;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** The connection type for Project. */
export type ProjectConnection = {
    __typename?: 'ProjectConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProjectEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Project>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
export type ProjectDataTransfer = {
    __typename?: 'ProjectDataTransfer';
    /** Data nodes. */
    egressNodes?: Maybe<EgressNodeConnection>;
    /** Total egress for that project in that period of time. */
    totalEgress?: Maybe<Scalars['BigInt']['output']>;
};
export type ProjectDataTransferEgressNodesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** An edge in a connection. */
export type ProjectEdge = {
    __typename?: 'ProjectEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Project>;
};
/** Represents the access level required by the user to access a project feature */
export type ProjectFeatureAccess = {
    __typename?: 'ProjectFeatureAccess';
    /** Integer representation of access level. */
    integerValue?: Maybe<Scalars['Int']['output']>;
    /** String representation of access level. */
    stringValue?: Maybe<ProjectFeatureAccessLevel>;
};
/** Access level of a project feature */
export declare enum ProjectFeatureAccessLevel {
    /** Not enabled for anyone. */
    Disabled = "DISABLED",
    /** Enabled for everyone able to access the project. */
    Enabled = "ENABLED",
    /** Enabled only for team members. */
    Private = "PRIVATE"
}
/** Autogenerated input type of ProjectInitializeProductAnalytics */
export type ProjectInitializeProductAnalyticsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project to initialize. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ProjectInitializeProductAnalytics. */
export type ProjectInitializeProductAnalyticsPayload = {
    __typename?: 'ProjectInitializeProductAnalyticsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project on which the initialization took place. */
    project?: Maybe<Project>;
};
/** Represents a Project Membership */
export type ProjectMember = MemberInterface & {
    __typename?: 'ProjectMember';
    /** GitLab::Access level. */
    accessLevel?: Maybe<AccessLevel>;
    /** Date and time the membership was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** User that authorized membership. */
    createdBy?: Maybe<UserCore>;
    /** Date and time the membership expires. */
    expiresAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the member. */
    id: Scalars['ID']['output'];
    /** Find a merge request. */
    mergeRequestInteraction?: Maybe<UserMergeRequestInteraction>;
    /** Project that User is a member of. */
    project?: Maybe<Project>;
    /** Date and time the membership was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** User that is associated with the member object. */
    user?: Maybe<UserCore>;
    /** Permissions for the current user on the resource */
    userPermissions: ProjectPermissions;
};
/** Represents a Project Membership */
export type ProjectMemberMergeRequestInteractionArgs = {
    id: Scalars['MergeRequestID']['input'];
};
/** Autogenerated input type of ProjectMemberBulkUpdate */
export type ProjectMemberBulkUpdateInput = {
    /** Access level to update the members to. */
    accessLevel: MemberAccessLevel;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Date and time the membership expires. */
    expiresAt?: InputMaybe<Scalars['Time']['input']>;
    /** Global ID of the project. */
    projectId: Scalars['ProjectID']['input'];
    /** Global IDs of the members. */
    userIds: Array<Scalars['UserID']['input']>;
};
/** Autogenerated return type of ProjectMemberBulkUpdate. */
export type ProjectMemberBulkUpdatePayload = {
    __typename?: 'ProjectMemberBulkUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project members after mutation. */
    projectMembers?: Maybe<Array<ProjectMember>>;
};
/** The connection type for ProjectMember. */
export type ProjectMemberConnection = {
    __typename?: 'ProjectMemberConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProjectMemberEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ProjectMember>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ProjectMemberEdge = {
    __typename?: 'ProjectMemberEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ProjectMember>;
};
/** Project member relation */
export declare enum ProjectMemberRelation {
    /** Descendants members */
    Descendants = "DESCENDANTS",
    /** Direct members */
    Direct = "DIRECT",
    /** Inherited members */
    Inherited = "INHERITED",
    /** Invited Groups members */
    InvitedGroups = "INVITED_GROUPS",
    /** Shared Into Ancestors members */
    SharedIntoAncestors = "SHARED_INTO_ANCESTORS"
}
export type ProjectPermissions = {
    __typename?: 'ProjectPermissions';
    /** If `true`, the user can perform `admin_operations` on this resource */
    adminOperations: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_path_locks` on this resource */
    adminPathLocks: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_project` on this resource */
    adminProject: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_remote_mirror` on this resource */
    adminRemoteMirror: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_wiki` on this resource */
    adminWiki: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `archive_project` on this resource */
    archiveProject: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `change_namespace` on this resource */
    changeNamespace: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `change_visibility_level` on this resource */
    changeVisibilityLevel: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_deployment` on this resource */
    createDeployment: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_design` on this resource */
    createDesign: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_issue` on this resource */
    createIssue: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_label` on this resource */
    createLabel: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_merge_request_from` on this resource */
    createMergeRequestFrom: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_merge_request_in` on this resource */
    createMergeRequestIn: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_pages` on this resource */
    createPages: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_pipeline` on this resource */
    createPipeline: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_pipeline_schedule` on this resource */
    createPipelineSchedule: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_snippet` on this resource */
    createSnippet: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_wiki` on this resource */
    createWiki: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_design` on this resource */
    destroyDesign: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_pages` on this resource */
    destroyPages: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_wiki` on this resource */
    destroyWiki: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `download_code` on this resource */
    downloadCode: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `download_wiki_code` on this resource */
    downloadWikiCode: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `fork_project` on this resource */
    forkProject: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `push_code` on this resource */
    pushCode: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `push_to_delete_protected_branch` on this resource */
    pushToDeleteProtectedBranch: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_commit_status` on this resource */
    readCommitStatus: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_cycle_analytics` on this resource */
    readCycleAnalytics: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_design` on this resource */
    readDesign: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_environment` on this resource */
    readEnvironment: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_merge_request` on this resource */
    readMergeRequest: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_pages_content` on this resource */
    readPagesContent: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_project` on this resource */
    readProject: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_project_member` on this resource */
    readProjectMember: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_wiki` on this resource */
    readWiki: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `remove_fork_project` on this resource */
    removeForkProject: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `remove_pages` on this resource */
    removePages: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `remove_project` on this resource */
    removeProject: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `rename_project` on this resource */
    renameProject: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `request_access` on this resource */
    requestAccess: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_pages` on this resource */
    updatePages: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_wiki` on this resource */
    updateWiki: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `upload_file` on this resource */
    uploadFile: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `view_edit_page` on this resource */
    viewEditPage: Scalars['Boolean']['output'];
};
/** Plan limits for the current project. */
export type ProjectPlanLimits = {
    __typename?: 'ProjectPlanLimits';
    /** Maximum number of pipeline schedules allowed per project. */
    ciPipelineSchedules?: Maybe<Scalars['Int']['output']>;
};
/** Represents the Geo replication and verification state of a project repository */
export type ProjectRepositoryRegistry = {
    __typename?: 'ProjectRepositoryRegistry';
    /** Timestamp when the ProjectRepositoryRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the ProjectRepositoryRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the ProjectRepositoryRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the ProjectRepositoryRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Project. */
    projectId: Scalars['ID']['output'];
    /** Timestamp after which the ProjectRepositoryRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the ProjectRepositoryRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the ProjectRepositoryRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the ProjectRepositoryRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the ProjectRepositoryRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the ProjectRepositoryRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the ProjectRepositoryRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of ProjectRepositoryRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the ProjectRepositoryRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the ProjectRepositoryRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for ProjectRepositoryRegistry. */
export type ProjectRepositoryRegistryConnection = {
    __typename?: 'ProjectRepositoryRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProjectRepositoryRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ProjectRepositoryRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ProjectRepositoryRegistryEdge = {
    __typename?: 'ProjectRepositoryRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ProjectRepositoryRegistry>;
};
export type ProjectSavedReply = {
    __typename?: 'ProjectSavedReply';
    /** Content of the saved reply. */
    content: Scalars['String']['output'];
    /** Global ID of the project-level saved reply. */
    id: Scalars['ProjectsSavedReplyID']['output'];
    /** Name of the saved reply. */
    name: Scalars['String']['output'];
};
/** The connection type for ProjectSavedReply. */
export type ProjectSavedReplyConnection = {
    __typename?: 'ProjectSavedReplyConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProjectSavedReplyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ProjectSavedReply>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of ProjectSavedReplyCreate */
export type ProjectSavedReplyCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Content of the saved reply. */
    content: Scalars['String']['input'];
    /** Name of the saved reply. */
    name: Scalars['String']['input'];
    /** Project for the saved reply. */
    projectId: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of ProjectSavedReplyCreate. */
export type ProjectSavedReplyCreatePayload = {
    __typename?: 'ProjectSavedReplyCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<ProjectSavedReply>;
};
/** Autogenerated input type of ProjectSavedReplyDestroy */
export type ProjectSavedReplyDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the project-level saved reply. */
    id: Scalars['ProjectsSavedReplyID']['input'];
};
/** Autogenerated return type of ProjectSavedReplyDestroy. */
export type ProjectSavedReplyDestroyPayload = {
    __typename?: 'ProjectSavedReplyDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<ProjectSavedReply>;
};
/** An edge in a connection. */
export type ProjectSavedReplyEdge = {
    __typename?: 'ProjectSavedReplyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ProjectSavedReply>;
};
/** Autogenerated input type of ProjectSavedReplyUpdate */
export type ProjectSavedReplyUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Content of the saved reply. */
    content: Scalars['String']['input'];
    /** Global ID of the project-level saved reply. */
    id: Scalars['ProjectsSavedReplyID']['input'];
    /** Name of the saved reply. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of ProjectSavedReplyUpdate. */
export type ProjectSavedReplyUpdatePayload = {
    __typename?: 'ProjectSavedReplyUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<ProjectSavedReply>;
};
/** Represents the source of a security policy belonging to a project */
export type ProjectSecurityPolicySource = {
    __typename?: 'ProjectSecurityPolicySource';
    /** Project the policy is associated with. */
    project?: Maybe<Project>;
};
export type ProjectSecurityTraining = {
    __typename?: 'ProjectSecurityTraining';
    /** Description of the training provider. */
    description?: Maybe<Scalars['String']['output']>;
    /** ID of the training provider. */
    id: Scalars['GlobalID']['output'];
    /** Represents whether the provider is enabled or not. */
    isEnabled: Scalars['Boolean']['output'];
    /** Represents whether the provider is set as primary or not. */
    isPrimary: Scalars['Boolean']['output'];
    /** Logo URL of the provider. */
    logoUrl?: Maybe<Scalars['String']['output']>;
    /** Name of the training provider. */
    name: Scalars['String']['output'];
    /** URL of the provider. */
    url: Scalars['String']['output'];
};
/** Autogenerated input type of ProjectSetComplianceFramework */
export type ProjectSetComplianceFrameworkInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the compliance framework to assign to the project. Set to `null` to unset. */
    complianceFrameworkId?: InputMaybe<Scalars['ComplianceManagementFrameworkID']['input']>;
    /** ID of the project to change the compliance framework of. */
    projectId: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of ProjectSetComplianceFramework. */
export type ProjectSetComplianceFrameworkPayload = {
    __typename?: 'ProjectSetComplianceFrameworkPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project after mutation. */
    project?: Maybe<Project>;
};
/** Autogenerated input type of ProjectSetContinuousVulnerabilityScanning */
export type ProjectSetContinuousVulnerabilityScanningInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Desired status for Continuous Vulnerability Scanning feature. */
    enable: Scalars['Boolean']['input'];
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ProjectSetContinuousVulnerabilityScanning. */
export type ProjectSetContinuousVulnerabilityScanningPayload = {
    __typename?: 'ProjectSetContinuousVulnerabilityScanningPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Whether feature is enabled. */
    continuousVulnerabilityScanningEnabled: Scalars['Boolean']['output'];
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of ProjectSetLocked */
export type ProjectSetLockedInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path to the file. */
    filePath: Scalars['String']['input'];
    /** Whether or not to lock the file path. */
    lock: Scalars['Boolean']['input'];
    /** Full path of the project to mutate. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ProjectSetLocked. */
export type ProjectSetLockedPayload = {
    __typename?: 'ProjectSetLockedPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project after mutation. */
    project?: Maybe<Project>;
};
export type ProjectSetting = {
    __typename?: 'ProjectSetting';
    /** Indicates whether GitLab Duo features are enabled for the project. */
    duoFeaturesEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Project the settings belong to. */
    project?: Maybe<Project>;
};
/** Autogenerated input type of ProjectSettingsUpdate */
export type ProjectSettingsUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates whether GitLab Duo features are enabled for the project. */
    duoFeaturesEnabled: Scalars['Boolean']['input'];
    /** Full Path of the project the settings belong to. */
    fullPath: Scalars['ID']['input'];
};
/** Autogenerated return type of ProjectSettingsUpdate. */
export type ProjectSettingsUpdatePayload = {
    __typename?: 'ProjectSettingsUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project settings after mutation. */
    projectSettings: ProjectSetting;
};
/** Values for sorting projects */
export declare enum ProjectSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** ID by ascending order. */
    IdAsc = "ID_ASC",
    /** ID by descending order. */
    IdDesc = "ID_DESC",
    /** Latest activity by ascending order. */
    LatestActivityAsc = "LATEST_ACTIVITY_ASC",
    /** Latest activity by descending order. */
    LatestActivityDesc = "LATEST_ACTIVITY_DESC",
    /** Name by ascending order. */
    NameAsc = "NAME_ASC",
    /** Name by descending order. */
    NameDesc = "NAME_DESC",
    /** Path by ascending order. */
    PathAsc = "PATH_ASC",
    /** Path by descending order. */
    PathDesc = "PATH_DESC",
    /** Stars by ascending order. */
    StarsAsc = "STARS_ASC",
    /** Stars by descending order. */
    StarsDesc = "STARS_DESC",
    /** Storage size by ascending order. */
    StorageSizeAsc = "STORAGE_SIZE_ASC",
    /** Storage size by descending order. */
    StorageSizeDesc = "STORAGE_SIZE_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
export type ProjectStatistics = {
    __typename?: 'ProjectStatistics';
    /** Build artifacts size of the project in bytes. */
    buildArtifactsSize: Scalars['Float']['output'];
    /** Commit count of the project. */
    commitCount: Scalars['Float']['output'];
    /** Container Registry size of the project in bytes. */
    containerRegistrySize?: Maybe<Scalars['Float']['output']>;
    /**
     * Build artifacts size in bytes with any applicable cost factor for forks applied. This will equal build_artifacts_size if there is no applicable cost factor. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    costFactoredBuildArtifactsSize: Scalars['Float']['output'];
    /**
     * LFS objects size in bytes with any applicable cost factor for forks applied. This will equal lfs_objects_size if there is no applicable cost factor. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    costFactoredLfsObjectsSize: Scalars['Float']['output'];
    /**
     * Packages size in bytes with any applicable cost factor for forks applied. This will equal packages_size if there is no applicable cost factor. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    costFactoredPackagesSize: Scalars['Float']['output'];
    /**
     * Repository size in bytes with any applicable cost factor for forks applied. This will equal repository_size if there is no applicable cost factor. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    costFactoredRepositorySize: Scalars['Float']['output'];
    /**
     * Snippets size in bytes with any applicable cost factor for forks applied. This will equal snippets_size if there is no applicable cost factor. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    costFactoredSnippetsSize: Scalars['Float']['output'];
    /**
     * Storage size in bytes with any applicable cost factor for forks applied. This will equal storage_size if there is no applicable cost factor. Introduced in GitLab 16.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.2.
     */
    costFactoredStorageSize: Scalars['Float']['output'];
    /**
     * Wiki size in bytes with any applicable cost factor for forks applied. This will equal wiki_size if there is no applicable cost factor. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    costFactoredWikiSize: Scalars['Float']['output'];
    /** Large File Storage (LFS) object size of the project in bytes. */
    lfsObjectsSize: Scalars['Float']['output'];
    /** Packages size of the project in bytes. */
    packagesSize: Scalars['Float']['output'];
    /** CI Pipeline artifacts size in bytes. */
    pipelineArtifactsSize?: Maybe<Scalars['Float']['output']>;
    /** Repository size of the project in bytes. */
    repositorySize: Scalars['Float']['output'];
    /** Snippets size of the project in bytes. */
    snippetsSize?: Maybe<Scalars['Float']['output']>;
    /** Storage size of the project in bytes. */
    storageSize: Scalars['Float']['output'];
    /** Uploads size of the project in bytes. */
    uploadsSize?: Maybe<Scalars['Float']['output']>;
    /** Wiki size of the project in bytes. */
    wikiSize?: Maybe<Scalars['Float']['output']>;
};
export type ProjectStatisticsRedirect = {
    __typename?: 'ProjectStatisticsRedirect';
    /** Redirection Route for job_artifacts. */
    buildArtifacts: Scalars['String']['output'];
    /** Redirection Route for container_registry. */
    containerRegistry: Scalars['String']['output'];
    /** Redirection Route for packages. */
    packages: Scalars['String']['output'];
    /** Redirection Route for repository. */
    repository: Scalars['String']['output'];
    /** Redirection Route for snippets. */
    snippets: Scalars['String']['output'];
    /** Redirection Route for wiki. */
    wiki: Scalars['String']['output'];
};
/** Autogenerated input type of ProjectSubscriptionCreate */
export type ProjectSubscriptionCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the downstream project of the Project Subscription. */
    projectPath: Scalars['String']['input'];
    /** Full path of the upstream project of the Project Subscription. */
    upstreamPath: Scalars['String']['input'];
};
/** Autogenerated return type of ProjectSubscriptionCreate. */
export type ProjectSubscriptionCreatePayload = {
    __typename?: 'ProjectSubscriptionCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project Subscription created by the mutation. */
    subscription?: Maybe<CiSubscriptionsProject>;
};
/** Autogenerated input type of ProjectSubscriptionDelete */
export type ProjectSubscriptionDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the subscription to delete. */
    subscriptionId: Scalars['CiSubscriptionsProjectID']['input'];
};
/** Autogenerated return type of ProjectSubscriptionDelete. */
export type ProjectSubscriptionDeletePayload = {
    __typename?: 'ProjectSubscriptionDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project after mutation. */
    project?: Maybe<Project>;
};
/** Autogenerated input type of ProjectSyncFork */
export type ProjectSyncForkInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project to initialize. */
    projectPath: Scalars['ID']['input'];
    /** Ref of the fork to fetch into. */
    targetBranch: Scalars['String']['input'];
};
/** Autogenerated return type of ProjectSyncFork. */
export type ProjectSyncForkPayload = {
    __typename?: 'ProjectSyncForkPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Updated fork details. */
    details?: Maybe<ForkDetails>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of ProjectUpdateComplianceFrameworks */
export type ProjectUpdateComplianceFrameworksInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IDs of the compliance framework to update for the project. */
    complianceFrameworkIds: Array<Scalars['ComplianceManagementFrameworkID']['input']>;
    /** ID of the project to change the compliance framework of. */
    projectId: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of ProjectUpdateComplianceFrameworks. */
export type ProjectUpdateComplianceFrameworksPayload = {
    __typename?: 'ProjectUpdateComplianceFrameworksPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Project after mutation. */
    project?: Maybe<Project>;
};
/** Exposes aggregated value stream flow metrics */
export type ProjectValueStreamAnalyticsFlowMetrics = {
    __typename?: 'ProjectValueStreamAnalyticsFlowMetrics';
    /** Median time from first commit to issue closed */
    cycleTime?: Maybe<ValueStreamAnalyticsMetric>;
    /** Number of production deployments in the given period. */
    deploymentCount?: Maybe<ValueStreamAnalyticsMetric>;
    /** Number of issues opened in the given period. */
    issueCount?: Maybe<ValueStreamAnalyticsMetric>;
    /** Number of open issues closed (completed) in the given period. Maximum value is 10,001. */
    issuesCompletedCount?: Maybe<ValueStreamAnalyticsMetric>;
    /** Median time from when the issue was created to when it was closed. */
    leadTime?: Maybe<ValueStreamAnalyticsMetric>;
    /** Median time from merge request creation to merge request merged. */
    timeToMerge?: Maybe<ValueStreamAnalyticsMetric>;
};
/** Exposes aggregated value stream flow metrics */
export type ProjectValueStreamAnalyticsFlowMetricsCycleTimeArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type ProjectValueStreamAnalyticsFlowMetricsDeploymentCountArgs = {
    from: Scalars['Time']['input'];
    to: Scalars['Time']['input'];
};
/** Exposes aggregated value stream flow metrics */
export type ProjectValueStreamAnalyticsFlowMetricsIssueCountArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type ProjectValueStreamAnalyticsFlowMetricsIssuesCompletedCountArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type ProjectValueStreamAnalyticsFlowMetricsLeadTimeArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['ID']['input']>;
    from: Scalars['Time']['input'];
    iterationId?: InputMaybe<Scalars['ID']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedValueStreamAnalyticsIssueFilterInput>;
    to: Scalars['Time']['input'];
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Exposes aggregated value stream flow metrics */
export type ProjectValueStreamAnalyticsFlowMetricsTimeToMergeArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    from: Scalars['Time']['input'];
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    to: Scalars['Time']['input'];
};
/** Represents the Geo replication and verification state of a project_wiki_repository */
export type ProjectWikiRepositoryRegistry = {
    __typename?: 'ProjectWikiRepositoryRegistry';
    /** Timestamp when the ProjectWikiRepositoryRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the ProjectWikiRepositoryRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the ProjectWikiRepositoryRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the ProjectWikiRepositoryRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Project Wiki Repository. */
    projectWikiRepositoryId: Scalars['ID']['output'];
    /** Timestamp after which the ProjectWikiRepositoryRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the ProjectWikiRepositoryRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the ProjectWikiRepositoryRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the ProjectWikiRepositoryRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the ProjectWikiRepositoryRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the ProjectWikiRepositoryRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the ProjectWikiRepositoryRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of ProjectWikiRepositoryRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the ProjectWikiRepositoryRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the ProjectWikiRepositoryRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for ProjectWikiRepositoryRegistry. */
export type ProjectWikiRepositoryRegistryConnection = {
    __typename?: 'ProjectWikiRepositoryRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProjectWikiRepositoryRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ProjectWikiRepositoryRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ProjectWikiRepositoryRegistryEdge = {
    __typename?: 'ProjectWikiRepositoryRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ProjectWikiRepositoryRegistry>;
};
/** The alert condition for Prometheus */
export type PrometheusAlert = {
    __typename?: 'PrometheusAlert';
    /** Human-readable text of the alert condition. */
    humanizedText: Scalars['String']['output'];
    /** ID of the alert condition. */
    id: Scalars['ID']['output'];
};
/** Autogenerated input type of PrometheusIntegrationCreate */
export type PrometheusIntegrationCreateInput = {
    /** Whether the integration is receiving alerts. */
    active: Scalars['Boolean']['input'];
    /** Endpoint at which Prometheus can be queried. */
    apiUrl?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Project to create the integration in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of PrometheusIntegrationCreate. */
export type PrometheusIntegrationCreatePayload = {
    __typename?: 'PrometheusIntegrationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Newly created integration. */
    integration?: Maybe<AlertManagementPrometheusIntegration>;
};
/** Autogenerated input type of PrometheusIntegrationResetToken */
export type PrometheusIntegrationResetTokenInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the integration to mutate. */
    id: Scalars['IntegrationsPrometheusID']['input'];
};
/** Autogenerated return type of PrometheusIntegrationResetToken. */
export type PrometheusIntegrationResetTokenPayload = {
    __typename?: 'PrometheusIntegrationResetTokenPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Newly created integration. */
    integration?: Maybe<AlertManagementPrometheusIntegration>;
};
/** Autogenerated input type of PrometheusIntegrationUpdate */
export type PrometheusIntegrationUpdateInput = {
    /** Whether the integration is receiving alerts. */
    active?: InputMaybe<Scalars['Boolean']['input']>;
    /** Endpoint at which Prometheus can be queried. */
    apiUrl?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the integration to mutate. */
    id: Scalars['IntegrationsPrometheusID']['input'];
};
/** Autogenerated return type of PrometheusIntegrationUpdate. */
export type PrometheusIntegrationUpdatePayload = {
    __typename?: 'PrometheusIntegrationUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Newly created integration. */
    integration?: Maybe<AlertManagementPrometheusIntegration>;
};
/** Autogenerated input type of PromoteToEpic */
export type PromoteToEpicInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Group the promoted epic will belong to. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of PromoteToEpic. */
export type PromoteToEpicPayload = {
    __typename?: 'PromoteToEpicPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Epic after issue promotion. */
    epic?: Maybe<Epic>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Protected Environments of the environment. */
export type ProtectedEnvironment = {
    __typename?: 'ProtectedEnvironment';
    /** Which group, user or role is allowed to approve deployments to the environment. */
    approvalRules?: Maybe<ProtectedEnvironmentApprovalRuleConnection>;
    /** Which group, user or role is allowed to execute deployments to the environment. */
    deployAccessLevels?: Maybe<ProtectedEnvironmentDeployAccessLevelConnection>;
    /** Group details. Present if it's group-level protected environment. */
    group?: Maybe<Group>;
    /** Name of the environment if it's a project-level protected environment. Tier of the environment if it's a group-level protected environment. */
    name?: Maybe<Scalars['String']['output']>;
    /** Project details. Present if it's project-level protected environment. */
    project?: Maybe<Project>;
    /** Required approval count for Unified Approval Setting. */
    requiredApprovalCount?: Maybe<Scalars['Int']['output']>;
};
/** Protected Environments of the environment. */
export type ProtectedEnvironmentApprovalRulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Protected Environments of the environment. */
export type ProtectedEnvironmentDeployAccessLevelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Which group, user or role is allowed to approve deployments to the environment. */
export type ProtectedEnvironmentApprovalRule = {
    __typename?: 'ProtectedEnvironmentApprovalRule';
    /** Role details. Present if it's role specific access control. */
    accessLevel?: Maybe<AccessLevel>;
    /** Group details. Present if it's group specific access control. */
    group?: Maybe<Group>;
    /** Number of required approvals. */
    requiredApprovals?: Maybe<Scalars['Int']['output']>;
    /** User details. Present if it's user specific access control. */
    user?: Maybe<UserCore>;
};
/** The connection type for ProtectedEnvironmentApprovalRule. */
export type ProtectedEnvironmentApprovalRuleConnection = {
    __typename?: 'ProtectedEnvironmentApprovalRuleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProtectedEnvironmentApprovalRuleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ProtectedEnvironmentApprovalRule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ProtectedEnvironmentApprovalRuleEdge = {
    __typename?: 'ProtectedEnvironmentApprovalRuleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ProtectedEnvironmentApprovalRule>;
};
/** Which group, user or role is allowed to approve deployments to the environment. */
export type ProtectedEnvironmentApprovalRuleForSummary = {
    __typename?: 'ProtectedEnvironmentApprovalRuleForSummary';
    /** Role details. Present if it's role specific access control. */
    accessLevel?: Maybe<AccessLevel>;
    /** Current approvals of the deployment. */
    approvals?: Maybe<Array<DeploymentApproval>>;
    /** Approved count. */
    approvedCount?: Maybe<Scalars['Int']['output']>;
    /** Indicates whether a user is authorized to approve. */
    canApprove?: Maybe<Scalars['Boolean']['output']>;
    /** Group details. Present if it's group specific access control. */
    group?: Maybe<Group>;
    /** Pending approval count. */
    pendingApprovalCount?: Maybe<Scalars['Int']['output']>;
    /** Number of required approvals. */
    requiredApprovals?: Maybe<Scalars['Int']['output']>;
    /** Status of the approval summary. */
    status?: Maybe<DeploymentApprovalSummaryStatus>;
    /** User details. Present if it's user specific access control. */
    user?: Maybe<UserCore>;
};
/** The connection type for ProtectedEnvironment. */
export type ProtectedEnvironmentConnection = {
    __typename?: 'ProtectedEnvironmentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProtectedEnvironmentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ProtectedEnvironment>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Which group, user or role is allowed to execute deployments to the environment. */
export type ProtectedEnvironmentDeployAccessLevel = {
    __typename?: 'ProtectedEnvironmentDeployAccessLevel';
    /** Role details. Present if it's role specific access control. */
    accessLevel?: Maybe<AccessLevel>;
    /** Group details. Present if it's group specific access control. */
    group?: Maybe<Group>;
    /** User details. Present if it's user specific access control. */
    user?: Maybe<UserCore>;
};
/** The connection type for ProtectedEnvironmentDeployAccessLevel. */
export type ProtectedEnvironmentDeployAccessLevelConnection = {
    __typename?: 'ProtectedEnvironmentDeployAccessLevelConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ProtectedEnvironmentDeployAccessLevelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ProtectedEnvironmentDeployAccessLevel>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ProtectedEnvironmentDeployAccessLevelEdge = {
    __typename?: 'ProtectedEnvironmentDeployAccessLevelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ProtectedEnvironmentDeployAccessLevel>;
};
/** An edge in a connection. */
export type ProtectedEnvironmentEdge = {
    __typename?: 'ProtectedEnvironmentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ProtectedEnvironment>;
};
/** Defines which user roles, users, or groups can push to a protected branch. */
export type PushAccessLevel = {
    __typename?: 'PushAccessLevel';
    /** GitLab::Access level. */
    accessLevel: Scalars['Int']['output'];
    /** Human readable representation for this access level. */
    accessLevelDescription: Scalars['String']['output'];
    /** Deploy key assigned to the access level. */
    deployKey?: Maybe<AccessLevelDeployKey>;
    /** Group associated with this access level. */
    group?: Maybe<AccessLevelGroup>;
    /** User associated with this access level. */
    user?: Maybe<AccessLevelUser>;
};
/** The connection type for PushAccessLevel. */
export type PushAccessLevelConnection = {
    __typename?: 'PushAccessLevelConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<PushAccessLevelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<PushAccessLevel>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type PushAccessLevelEdge = {
    __typename?: 'PushAccessLevelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<PushAccessLevel>;
};
/** Defines which user roles, users, deploy keys, or groups can push to a protected branch. */
export type PushAccessLevelInput = {
    /** Access level allowed to perform action. */
    accessLevel?: InputMaybe<Scalars['Int']['input']>;
    /** Deploy key assigned to the access level. */
    deployKeyId?: InputMaybe<Scalars['DeployKeyID']['input']>;
    /** Group associated with the access level. */
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    /** User associated with the access level. */
    userId?: InputMaybe<Scalars['UserID']['input']>;
};
/** Represents rules that commit pushes must follow. */
export type PushRules = {
    __typename?: 'PushRules';
    /** Indicates whether commits not signed through GPG will be rejected. */
    rejectUnsignedCommits: Scalars['Boolean']['output'];
};
/** Pypi metadata */
export type PypiMetadata = {
    __typename?: 'PypiMetadata';
    /** Author email address(es) in RFC-822 format. */
    authorEmail?: Maybe<Scalars['String']['output']>;
    /** Longer description that can run to several paragraphs. */
    description?: Maybe<Scalars['String']['output']>;
    /** Markup syntax used in the description field. */
    descriptionContentType?: Maybe<Scalars['String']['output']>;
    /** ID of the metadatum. */
    id: Scalars['PackagesPypiMetadatumID']['output'];
    /** List of keywords, separated by commas. */
    keywords?: Maybe<Scalars['String']['output']>;
    /** Metadata version. */
    metadataVersion?: Maybe<Scalars['String']['output']>;
    /** Required Python version of the Pypi package. */
    requiredPython?: Maybe<Scalars['String']['output']>;
    /** One-line summary of the description. */
    summary?: Maybe<Scalars['String']['output']>;
};
export type Query = {
    __typename?: 'Query';
    /**
     * Find an abuse report. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    abuseReport?: Maybe<AbuseReport>;
    /**
     * Abuse report labels. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    abuseReportLabels?: Maybe<LabelConnection>;
    /** Retrieve the active add-on purchase. This query can be used in GitLab SaaS and self-managed environments. */
    addOnPurchase?: Maybe<AddOnPurchase>;
    /**
     * Find GitLab Duo Chat messages. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    aiMessages: AiMessageConnection;
    /**
     * List of self-hosted LLM servers. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    aiSelfHostedModels?: Maybe<AiSelfHostedModelConnection>;
    /** Definitions for all audit events available on the instance. */
    auditEventDefinitions: AuditEventDefinitionConnection;
    /** Instance-level Amazon S3 configurations for audit events. */
    auditEventsInstanceAmazonS3Configurations?: Maybe<InstanceAmazonS3ConfigurationTypeConnection>;
    /**
     * Instance-level external audit event streaming destinations. Introduced in GitLab 16.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.11.
     */
    auditEventsInstanceStreamingDestinations?: Maybe<InstanceAuditEventStreamingDestinationConnection>;
    /**
     * Find code visible to the current user Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    blobSearch?: Maybe<BlobSearch>;
    /** Find an issue board list. */
    boardList?: Maybe<BoardList>;
    /** CI related settings that apply to the entire instance. */
    ciApplicationSettings?: Maybe<CiApplicationSettings>;
    /**
     * A single CI/CD Catalog resource visible to an authorized user Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    ciCatalogResource?: Maybe<CiCatalogResource>;
    /**
     * All CI/CD Catalog resources under a common namespace, visible to an authorized user Introduced in GitLab 15.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.11.
     */
    ciCatalogResources?: Maybe<CiCatalogResourceConnection>;
    /**
     * Linted and processed contents of a CI config.
     * Should not be requested more than once per request.
     *
     */
    ciConfig?: Maybe<CiConfig>;
    /** Compute usage data for a namespace. */
    ciMinutesUsage?: Maybe<CiMinutesNamespaceMonthlyUsageConnection>;
    /** Stage belonging to a CI pipeline. */
    ciPipelineStage?: Maybe<CiStage>;
    /**
     * Time taken for CI jobs to be picked up by runner by percentile. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    ciQueueingHistory?: Maybe<QueueingDelayHistory>;
    /** List of the instance's CI/CD variables. */
    ciVariables?: Maybe<CiInstanceVariableConnection>;
    /** Find a container repository. */
    containerRepository?: Maybe<ContainerRepositoryDetails>;
    /** Fields related to the current license. */
    currentLicense?: Maybe<CurrentLicense>;
    /** Get information about current user. */
    currentUser?: Maybe<CurrentUser>;
    /** Fields related to design management. */
    designManagement: DesignManagement;
    /** Get configured DevOps adoption namespaces. **Status:** Beta. This endpoint is subject to change without notice. */
    devopsAdoptionEnabledNamespaces?: Maybe<DevopsAdoptionEnabledNamespaceConnection>;
    /**
     * List the events for a Duo Workflow Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    duoWorkflowEvents: DuoWorkflowEventConnection;
    /** Testing endpoint to validate the API with */
    echo: Scalars['String']['output'];
    epicBoardList?: Maybe<EpicList>;
    /**
     * GitLab Duo Vulnerability explanation prompt for a specified vulnerability Introduced in GitLab 16.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.2.
     */
    explainVulnerabilityPrompt?: Maybe<ExplainVulnerabilityPrompt>;
    /**
     * Check if a feature flag is enabled Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    featureFlagEnabled: Scalars['Boolean']['output'];
    /** A user's frecently visited groups */
    frecentGroups?: Maybe<Array<Group>>;
    /** A user's frecently visited projects */
    frecentProjects?: Maybe<Array<Project>>;
    /** Find a Geo node. */
    geoNode?: Maybe<GeoNode>;
    /** Whether Gitpod is enabled in application settings. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Details about an artifact in the Google Artifact Registry. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    googleCloudArtifactRegistryRepositoryArtifact?: Maybe<GoogleCloudArtifactRegistryArtifactDetails>;
    /** Find a group. */
    group?: Maybe<Group>;
    /** Find groups. */
    groups?: Maybe<GroupConnection>;
    /** Instance level external audit event destinations. */
    instanceExternalAuditEventDestinations?: Maybe<InstanceExternalAuditEventDestinationConnection>;
    /** Instance level google cloud logging configurations. */
    instanceGoogleCloudLoggingConfigurations?: Maybe<InstanceGoogleCloudLoggingConfigurationTypeConnection>;
    /** Fields related to Instance Security Dashboard. */
    instanceSecurityDashboard?: Maybe<InstanceSecurityDashboard>;
    /** @deprecated **Status**: Experiment. Introduced in GitLab 17.0. */
    integrationExclusions?: Maybe<IntegrationExclusionConnection>;
    /** Find an issue. */
    issue?: Maybe<Issue>;
    /**
     * Find issues visible to the current user. At least one filter must be provided. Introduced in GitLab 15.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.6.
     */
    issues?: Maybe<IssueConnection>;
    /** Find an iteration. */
    iteration?: Maybe<Iteration>;
    /** All jobs on this GitLab instance. Returns an empty result for users without administrator access. */
    jobs?: Maybe<CiJobConnection>;
    /** Fields related to entries in the license history. */
    licenseHistoryEntries?: Maybe<LicenseHistoryEntryConnection>;
    /**
     * Finds a single custom role. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    memberRole?: Maybe<MemberRole>;
    /**
     * List of all customizable permissions. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    memberRolePermissions?: Maybe<CustomizablePermissionConnection>;
    /**
     * Member roles available for the instance. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    memberRoles?: Maybe<MemberRoleConnection>;
    /** Find a merge request. */
    mergeRequest?: Maybe<MergeRequest>;
    /** Metadata about GitLab. */
    metadata?: Maybe<Metadata>;
    /** Find a milestone. */
    milestone?: Maybe<Milestone>;
    /**
     * Find machine learning models. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    mlModel?: Maybe<MlModel>;
    /** Find a namespace. */
    namespace?: Maybe<Namespace>;
    /**
     * Find a note. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    note?: Maybe<Note>;
    /**
     * Find an organization. Introduced in GitLab 16.4: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.4.
     */
    organization?: Maybe<Organization>;
    /**
     * List organizations. Introduced in GitLab 16.8: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.8.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Find a package. This field can only be resolved for one query in any single request. Returns `null` if a package has no `default` status. */
    package?: Maybe<PackageDetailsType>;
    /** Find a project. */
    project?: Maybe<Project>;
    /** Find projects visible to the current user. */
    projects?: Maybe<ProjectConnection>;
    /** Information about the complexity of the GraphQL query. */
    queryComplexity?: Maybe<QueryComplexity>;
    /** Find a runner. */
    runner?: Maybe<CiRunner>;
    /**
     * Supported runner platforms. Deprecated in GitLab 15.9: No longer used, use gitlab-runner documentation to learn about supported platforms.
     * @deprecated No longer used, use gitlab-runner documentation to learn about supported platforms. Deprecated in GitLab 15.9.
     */
    runnerPlatforms?: Maybe<RunnerPlatformConnection>;
    /**
     * Runner setup instructions. Deprecated in GitLab 15.9: No longer used, use gitlab-runner documentation to learn about runner registration commands.
     * @deprecated No longer used, use gitlab-runner documentation to learn about runner registration commands. Deprecated in GitLab 15.9.
     */
    runnerSetup?: Maybe<RunnerSetup>;
    /** Runner usage by runner. */
    runnerUsage?: Maybe<Array<CiRunnerUsage>>;
    /** Runner usage by project. */
    runnerUsageByProject?: Maybe<Array<CiRunnerUsageByProject>>;
    /** Get all runners in the GitLab instance (project and shared). Access is restricted to users with administrator access. */
    runners?: Maybe<CiRunnerConnection>;
    /**
     * Users within the self-managed instance who are eligible for add-ons. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    selfManagedAddOnEligibleUsers?: Maybe<AddOnUserConnection>;
    /**
     * Fields related to users within a self-managed instance that are pending role promotion approval. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    selfManagedUsersQueuedForRolePromotion?: Maybe<UsersQueuedForRolePromotionConnection>;
    /** Find Snippets visible to the current user. */
    snippets?: Maybe<SnippetConnection>;
    /** Fields related to entries in future subscriptions. */
    subscriptionFutureEntries?: Maybe<SubscriptionFutureEntryConnection>;
    /**
     * Find a synthetic note Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    syntheticNote?: Maybe<Note>;
    /** Find timelogs visible to the current user. */
    timelogs?: Maybe<TimelogConnection>;
    /** Retrieve a single to-do item */
    todo?: Maybe<Todo>;
    /** Find project topics. */
    topics?: Maybe<TopicConnection>;
    /** Get statistics on the instance. */
    usageTrendsMeasurements?: Maybe<UsageTrendsMeasurementConnection>;
    /** Find a user. */
    user?: Maybe<UserCore>;
    /** Find users. */
    users?: Maybe<UserCoreConnection>;
    /** Vulnerabilities reported on projects on the current user's instance security dashboard. */
    vulnerabilities?: Maybe<VulnerabilityConnection>;
    /** The historical number of vulnerabilities per day for the projects on the current user's instance security dashboard. */
    vulnerabilitiesCountByDay?: Maybe<VulnerabilitiesCountByDayConnection>;
    /** Find a vulnerability. */
    vulnerability?: Maybe<Vulnerability>;
    /**
     * Find a work item. Introduced in GitLab 15.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.1.
     */
    workItem?: Maybe<WorkItem>;
    /**
     * Find work items by their reference. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    workItemsByReference?: Maybe<WorkItemConnection>;
    /** Find a workspace. */
    workspace?: Maybe<Workspace>;
    /** Find workspaces across the entire instance. This field is only available to instance admins, it will return an empty result for all non-admins. */
    workspaces?: Maybe<WorkspaceConnection>;
};
export type QueryAbuseReportArgs = {
    id: Scalars['AbuseReportID']['input'];
};
export type QueryAbuseReportLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    searchTerm?: InputMaybe<Scalars['String']['input']>;
};
export type QueryAddOnPurchaseArgs = {
    addOnType: GitlabSubscriptionsAddOnType;
    namespaceId?: InputMaybe<Scalars['NamespaceID']['input']>;
};
export type QueryAiMessagesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    agentVersionId?: InputMaybe<Scalars['AiAgentVersionID']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    requestIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    roles?: InputMaybe<Array<AiMessageRole>>;
};
export type QueryAiSelfHostedModelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryAuditEventDefinitionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryAuditEventsInstanceAmazonS3ConfigurationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryAuditEventsInstanceStreamingDestinationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryBlobSearchArgs = {
    search: Scalars['String']['input'];
};
export type QueryBoardListArgs = {
    id: Scalars['ListID']['input'];
    issueFilters?: InputMaybe<BoardIssueInput>;
};
export type QueryCiCatalogResourceArgs = {
    fullPath?: InputMaybe<Scalars['ID']['input']>;
    id?: InputMaybe<Scalars['CiCatalogResourceID']['input']>;
};
export type QueryCiCatalogResourcesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    scope?: InputMaybe<CiCatalogResourceScope>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<CiCatalogResourceSort>;
};
export type QueryCiConfigArgs = {
    content: Scalars['String']['input'];
    dryRun?: InputMaybe<Scalars['Boolean']['input']>;
    projectPath: Scalars['ID']['input'];
    sha?: InputMaybe<Scalars['String']['input']>;
};
export type QueryCiMinutesUsageArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    date?: InputMaybe<Scalars['Date']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    namespaceId?: InputMaybe<Scalars['NamespaceID']['input']>;
};
export type QueryCiPipelineStageArgs = {
    id: Scalars['CiStageID']['input'];
};
export type QueryCiQueueingHistoryArgs = {
    fromTime?: InputMaybe<Scalars['Time']['input']>;
    runnerType?: InputMaybe<CiRunnerType>;
    toTime?: InputMaybe<Scalars['Time']['input']>;
};
export type QueryCiVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<CiVariableSort>;
};
export type QueryContainerRepositoryArgs = {
    id: Scalars['ContainerRepositoryID']['input'];
};
export type QueryDevopsAdoptionEnabledNamespacesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    displayNamespaceId?: InputMaybe<Scalars['NamespaceID']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryDuoWorkflowEventsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    workflowId: Scalars['AiDuoWorkflowsWorkflowID']['input'];
};
export type QueryEchoArgs = {
    text: Scalars['String']['input'];
};
export type QueryEpicBoardListArgs = {
    epicFilters?: InputMaybe<EpicFilters>;
    id: Scalars['BoardsEpicListID']['input'];
};
export type QueryExplainVulnerabilityPromptArgs = {
    vulnerabilityId: Scalars['VulnerabilityID']['input'];
};
export type QueryFeatureFlagEnabledArgs = {
    name: Scalars['String']['input'];
};
export type QueryGeoNodeArgs = {
    name?: InputMaybe<Scalars['String']['input']>;
};
export type QueryGoogleCloudArtifactRegistryRepositoryArtifactArgs = {
    googleCloudProjectId: Scalars['String']['input'];
    image: Scalars['String']['input'];
    location: Scalars['String']['input'];
    projectPath: Scalars['ID']['input'];
    repository: Scalars['String']['input'];
};
export type QueryGroupArgs = {
    fullPath: Scalars['ID']['input'];
};
export type QueryGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    markedForDeletionOn?: InputMaybe<Scalars['Date']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<Scalars['String']['input']>;
};
export type QueryInstanceExternalAuditEventDestinationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryInstanceGoogleCloudLoggingConfigurationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryIntegrationExclusionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    integrationName: IntegrationType;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryIssueArgs = {
    id: Scalars['IssueID']['input'];
};
export type QueryIssuesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    assigneeId?: InputMaybe<Scalars['String']['input']>;
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    closedAfter?: InputMaybe<Scalars['Time']['input']>;
    closedBefore?: InputMaybe<Scalars['Time']['input']>;
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    crmContactId?: InputMaybe<Scalars['String']['input']>;
    crmOrganizationId?: InputMaybe<Scalars['String']['input']>;
    epicId?: InputMaybe<Scalars['String']['input']>;
    epicWildcardId?: InputMaybe<EpicWildcardId>;
    first?: InputMaybe<Scalars['Int']['input']>;
    healthStatusFilter?: InputMaybe<HealthStatusFilter>;
    iid?: InputMaybe<Scalars['String']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    in?: InputMaybe<Array<IssuableSearchableField>>;
    includeArchived?: InputMaybe<Scalars['Boolean']['input']>;
    includeSubepics?: InputMaybe<Scalars['Boolean']['input']>;
    iterationCadenceId?: InputMaybe<Array<Scalars['IterationsCadenceID']['input']>>;
    iterationId?: InputMaybe<Array<InputMaybe<Scalars['ID']['input']>>>;
    iterationTitle?: InputMaybe<Scalars['String']['input']>;
    iterationWildcardId?: InputMaybe<IterationWildcardId>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    milestoneTitle?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    not?: InputMaybe<NegatedIssueFilterInput>;
    or?: InputMaybe<UnionedIssueFilterInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<IssueSort>;
    state?: InputMaybe<IssuableState>;
    types?: InputMaybe<Array<IssueType>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
    weight?: InputMaybe<Scalars['String']['input']>;
    weightWildcardId?: InputMaybe<WeightWildcardId>;
};
export type QueryIterationArgs = {
    id: Scalars['IterationID']['input'];
};
export type QueryJobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    statuses?: InputMaybe<Array<CiJobStatus>>;
};
export type QueryLicenseHistoryEntriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryMemberRoleArgs = {
    id?: InputMaybe<Scalars['MemberRoleID']['input']>;
    orderBy?: InputMaybe<MemberRolesOrderBy>;
    sort?: InputMaybe<SortDirectionEnum>;
};
export type QueryMemberRolePermissionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryMemberRolesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['MemberRoleID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    orderBy?: InputMaybe<MemberRolesOrderBy>;
    sort?: InputMaybe<SortDirectionEnum>;
};
export type QueryMergeRequestArgs = {
    id: Scalars['MergeRequestID']['input'];
};
export type QueryMilestoneArgs = {
    id: Scalars['MilestoneID']['input'];
};
export type QueryMlModelArgs = {
    id: Scalars['MlModelID']['input'];
};
export type QueryNamespaceArgs = {
    fullPath: Scalars['ID']['input'];
};
export type QueryNoteArgs = {
    id: Scalars['NoteID']['input'];
};
export type QueryOrganizationArgs = {
    id: Scalars['OrganizationsOrganizationID']['input'];
};
export type QueryOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryPackageArgs = {
    id: Scalars['PackagesPackageID']['input'];
};
export type QueryProjectArgs = {
    fullPath: Scalars['ID']['input'];
};
export type QueryProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    aimedForDeletion?: InputMaybe<Scalars['Boolean']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    fullPaths?: InputMaybe<Array<Scalars['String']['input']>>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    includeHidden?: InputMaybe<Scalars['Boolean']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    markedForDeletionOn?: InputMaybe<Scalars['Date']['input']>;
    membership?: InputMaybe<Scalars['Boolean']['input']>;
    personal?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    searchNamespaces?: InputMaybe<Scalars['Boolean']['input']>;
    sort?: InputMaybe<Scalars['String']['input']>;
    topics?: InputMaybe<Array<Scalars['String']['input']>>;
    withIssuesEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    withMergeRequestsEnabled?: InputMaybe<Scalars['Boolean']['input']>;
};
export type QueryRunnerArgs = {
    id: Scalars['CiRunnerID']['input'];
};
export type QueryRunnerPlatformsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryRunnerSetupArgs = {
    architecture: Scalars['String']['input'];
    platform: Scalars['String']['input'];
};
export type QueryRunnerUsageArgs = {
    fromDate?: InputMaybe<Scalars['Date']['input']>;
    fullPath?: InputMaybe<Scalars['ID']['input']>;
    runnerType?: InputMaybe<CiRunnerType>;
    runnersLimit?: InputMaybe<Scalars['Int']['input']>;
    toDate?: InputMaybe<Scalars['Date']['input']>;
};
export type QueryRunnerUsageByProjectArgs = {
    fromDate?: InputMaybe<Scalars['Date']['input']>;
    fullPath?: InputMaybe<Scalars['ID']['input']>;
    projectsLimit?: InputMaybe<Scalars['Int']['input']>;
    runnerType?: InputMaybe<CiRunnerType>;
    toDate?: InputMaybe<Scalars['Date']['input']>;
};
export type QueryRunnersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    creatorId?: InputMaybe<Scalars['UserID']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    paused?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<CiRunnerSort>;
    status?: InputMaybe<CiRunnerStatus>;
    tagList?: InputMaybe<Array<Scalars['String']['input']>>;
    type?: InputMaybe<CiRunnerType>;
    upgradeStatus?: InputMaybe<CiRunnerUpgradeStatus>;
};
export type QuerySelfManagedAddOnEligibleUsersArgs = {
    addOnType: GitlabSubscriptionsAddOnType;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type QuerySelfManagedUsersQueuedForRolePromotionArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QuerySnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Scalars['UserID']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    explore?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
export type QuerySubscriptionFutureEntriesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type QuerySyntheticNoteArgs = {
    noteableId: Scalars['NoteableID']['input'];
    sha: Scalars['String']['input'];
};
export type QueryTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
export type QueryTodoArgs = {
    id: Scalars['TodoID']['input'];
};
export type QueryTopicsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
export type QueryUsageTrendsMeasurementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    identifier: MeasurementIdentifier;
    last?: InputMaybe<Scalars['Int']['input']>;
    recordedAfter?: InputMaybe<Scalars['Time']['input']>;
    recordedBefore?: InputMaybe<Scalars['Time']['input']>;
};
export type QueryUserArgs = {
    id?: InputMaybe<Scalars['UserID']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
export type QueryUsersArgs = {
    admins?: InputMaybe<Scalars['Boolean']['input']>;
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    ids?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<Sort>;
    usernames?: InputMaybe<Array<Scalars['String']['input']>>;
};
export type QueryVulnerabilitiesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    clusterAgentId?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    clusterId?: InputMaybe<Array<Scalars['ClustersClusterID']['input']>>;
    dismissalReason?: InputMaybe<Array<VulnerabilityDismissalReason>>;
    first?: InputMaybe<Scalars['Int']['input']>;
    hasIssues?: InputMaybe<Scalars['Boolean']['input']>;
    hasMergeRequest?: InputMaybe<Scalars['Boolean']['input']>;
    hasRemediations?: InputMaybe<Scalars['Boolean']['input']>;
    hasResolution?: InputMaybe<Scalars['Boolean']['input']>;
    image?: InputMaybe<Array<Scalars['String']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    owaspTopTen?: InputMaybe<Array<VulnerabilityOwaspTop10>>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    reportType?: InputMaybe<Array<VulnerabilityReportType>>;
    scanner?: InputMaybe<Array<Scalars['String']['input']>>;
    scannerId?: InputMaybe<Array<Scalars['VulnerabilitiesScannerID']['input']>>;
    severity?: InputMaybe<Array<VulnerabilitySeverity>>;
    sort?: InputMaybe<VulnerabilitySort>;
    state?: InputMaybe<Array<VulnerabilityState>>;
};
export type QueryVulnerabilitiesCountByDayArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate: Scalars['ISO8601Date']['input'];
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    startDate: Scalars['ISO8601Date']['input'];
};
export type QueryVulnerabilityArgs = {
    id: Scalars['VulnerabilityID']['input'];
};
export type QueryWorkItemArgs = {
    id: Scalars['WorkItemID']['input'];
};
export type QueryWorkItemsByReferenceArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    contextNamespacePath?: InputMaybe<Scalars['ID']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    refs: Array<Scalars['String']['input']>;
};
export type QueryWorkspaceArgs = {
    id: Scalars['RemoteDevelopmentWorkspaceID']['input'];
};
export type QueryWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
    userIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
export type QueryComplexity = {
    __typename?: 'QueryComplexity';
    /** GraphQL query complexity limit. */
    limit?: Maybe<Scalars['Int']['output']>;
    /** GraphQL query complexity score. */
    score?: Maybe<Scalars['Int']['output']>;
};
/** Aggregated statistics about queueing times for CI jobs */
export type QueueingDelayHistory = {
    __typename?: 'QueueingDelayHistory';
    /** Time series. */
    timeSeries?: Maybe<Array<QueueingHistoryTimeSeries>>;
};
/** The amount of time for a job to be picked up by a runner, in percentiles. */
export type QueueingHistoryTimeSeries = {
    __typename?: 'QueueingHistoryTimeSeries';
    /** 50th percentile. 50% of the durations are lower than this value. */
    p50?: Maybe<Scalars['Duration']['output']>;
    /** 75th percentile. 75% of the durations are lower than this value. */
    p75?: Maybe<Scalars['Duration']['output']>;
    /** 90th percentile. 90% of the durations are lower than this value. */
    p90?: Maybe<Scalars['Duration']['output']>;
    /** 95th percentile. 95% of the durations are lower than this value. */
    p95?: Maybe<Scalars['Duration']['output']>;
    /** 99th percentile. 99% of the durations are lower than this value. */
    p99?: Maybe<Scalars['Duration']['output']>;
    /** Start of the time interval. */
    time: Scalars['Time']['output'];
};
/** Recent failure history of a test case. */
export type RecentFailures = {
    __typename?: 'RecentFailures';
    /** Name of the base branch of the project. */
    baseBranch?: Maybe<Scalars['String']['output']>;
    /** Number of times the test case has failed in the past 14 days. */
    count?: Maybe<Scalars['Int']['output']>;
};
/** Type of ref */
export declare enum RefType {
    /** Ref type for branches. */
    Heads = "HEADS",
    /** Ref type for tags. */
    Tags = "TAGS"
}
/** Autogenerated input type of RefreshStandardsAdherenceChecks */
export type RefreshStandardsAdherenceChecksInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Group path. */
    groupPath: Scalars['ID']['input'];
};
/** Autogenerated return type of RefreshStandardsAdherenceChecks. */
export type RefreshStandardsAdherenceChecksPayload = {
    __typename?: 'RefreshStandardsAdherenceChecksPayload';
    /** Progress of standards adherence checks. */
    adherenceChecksStatus?: Maybe<StandardsAdherenceChecksStatus>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type Registrable = CiSecureFileRegistry | ContainerRepositoryRegistry | DependencyProxyBlobRegistry | DependencyProxyManifestRegistry | DesignManagementRepositoryRegistry | GroupWikiRepositoryRegistry | JobArtifactRegistry | LfsObjectRegistry | MergeRequestDiffRegistry | PackageFileRegistry | PagesDeploymentRegistry | PipelineArtifactRegistry | ProjectWikiRepositoryRegistry | SnippetRepositoryRegistry | TerraformStateVersionRegistry | UploadRegistry;
/** State of a Geo registry */
export declare enum RegistryState {
    /** Registry that failed to sync. */
    Failed = "FAILED",
    /** Registry waiting to be synced. */
    Pending = "PENDING",
    /** Registry currently syncing. */
    Started = "STARTED",
    /** Registry that is synced. */
    Synced = "SYNCED"
}
/** The position to which the object should be moved */
export declare enum RelativePositionType {
    /** Object is moved after an adjacent object. */
    After = "AFTER",
    /** Object is moved before an adjacent object. */
    Before = "BEFORE"
}
/** Represents a release */
export type Release = {
    __typename?: 'Release';
    /** Assets of the release. */
    assets?: Maybe<ReleaseAssets>;
    /** User that created the release. */
    author?: Maybe<UserCore>;
    /** Commit associated with the release. */
    commit?: Maybe<Commit>;
    /** Timestamp of when the release was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Description (also known as "release notes") of the release. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Evidence for the release. */
    evidences?: Maybe<ReleaseEvidenceConnection>;
    /** Indicates the release is an historical release. */
    historicalRelease?: Maybe<Scalars['Boolean']['output']>;
    /** Global ID of the release. */
    id: Scalars['ReleaseID']['output'];
    /** Links of the release. */
    links?: Maybe<ReleaseLinks>;
    /** Milestones associated to the release. */
    milestones?: Maybe<MilestoneConnection>;
    /** Name of the release. */
    name?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the release was released. */
    releasedAt?: Maybe<Scalars['Time']['output']>;
    /** Name of the tag associated with the release. */
    tagName?: Maybe<Scalars['String']['output']>;
    /** Relative web path to the tag associated with the release. */
    tagPath?: Maybe<Scalars['String']['output']>;
    /** Indicates the release is an upcoming release. */
    upcomingRelease?: Maybe<Scalars['Boolean']['output']>;
};
/** Represents a release */
export type ReleaseEvidencesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a release */
export type ReleaseMilestonesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an asset link associated with a release */
export type ReleaseAssetLink = {
    __typename?: 'ReleaseAssetLink';
    /** Relative path for the direct asset link. */
    directAssetPath?: Maybe<Scalars['String']['output']>;
    /** Direct asset URL of the link. */
    directAssetUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the link. */
    id: Scalars['ID']['output'];
    /** Type of the link: `other`, `runbook`, `image`, `package`; defaults to `other`. */
    linkType?: Maybe<ReleaseAssetLinkType>;
    /** Name of the link. */
    name?: Maybe<Scalars['String']['output']>;
    /** URL of the link. */
    url?: Maybe<Scalars['String']['output']>;
};
/** The connection type for ReleaseAssetLink. */
export type ReleaseAssetLinkConnection = {
    __typename?: 'ReleaseAssetLinkConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ReleaseAssetLinkEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ReleaseAssetLink>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of ReleaseAssetLinkCreate */
export type ReleaseAssetLinkCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Relative path for a direct asset link. */
    directAssetPath?: InputMaybe<Scalars['String']['input']>;
    /** Type of the asset link. */
    linkType?: InputMaybe<ReleaseAssetLinkType>;
    /** Name of the asset link. */
    name: Scalars['String']['input'];
    /** Full path of the project the asset link is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Name of the associated release's tag. */
    tagName: Scalars['String']['input'];
    /** URL of the asset link. */
    url: Scalars['String']['input'];
};
/** Autogenerated return type of ReleaseAssetLinkCreate. */
export type ReleaseAssetLinkCreatePayload = {
    __typename?: 'ReleaseAssetLinkCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Asset link after mutation. */
    link?: Maybe<ReleaseAssetLink>;
};
/** Autogenerated input type of ReleaseAssetLinkDelete */
export type ReleaseAssetLinkDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the release asset link to delete. */
    id: Scalars['ReleasesLinkID']['input'];
};
/** Autogenerated return type of ReleaseAssetLinkDelete. */
export type ReleaseAssetLinkDeletePayload = {
    __typename?: 'ReleaseAssetLinkDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Deleted release asset link. */
    link?: Maybe<ReleaseAssetLink>;
};
/** An edge in a connection. */
export type ReleaseAssetLinkEdge = {
    __typename?: 'ReleaseAssetLinkEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ReleaseAssetLink>;
};
/** Fields that are available when modifying a release asset link */
export type ReleaseAssetLinkInput = {
    /** Relative path for a direct asset link. */
    directAssetPath?: InputMaybe<Scalars['String']['input']>;
    /** Type of the asset link. */
    linkType?: InputMaybe<ReleaseAssetLinkType>;
    /** Name of the asset link. */
    name: Scalars['String']['input'];
    /** URL of the asset link. */
    url: Scalars['String']['input'];
};
/** Type of the link: `other`, `runbook`, `image`, `package` */
export declare enum ReleaseAssetLinkType {
    /** Image link type */
    Image = "IMAGE",
    /** Other link type */
    Other = "OTHER",
    /** Package link type */
    Package = "PACKAGE",
    /** Runbook link type */
    Runbook = "RUNBOOK"
}
/** Autogenerated input type of ReleaseAssetLinkUpdate */
export type ReleaseAssetLinkUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Relative path for a direct asset link. */
    directAssetPath?: InputMaybe<Scalars['String']['input']>;
    /** ID of the release asset link to update. */
    id: Scalars['ReleasesLinkID']['input'];
    /** Type of the asset link. */
    linkType?: InputMaybe<ReleaseAssetLinkType>;
    /** Name of the asset link. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** URL of the asset link. */
    url?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of ReleaseAssetLinkUpdate. */
export type ReleaseAssetLinkUpdatePayload = {
    __typename?: 'ReleaseAssetLinkUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Asset link after mutation. */
    link?: Maybe<ReleaseAssetLink>;
};
/** A container for all assets associated with a release */
export type ReleaseAssets = {
    __typename?: 'ReleaseAssets';
    /** Number of assets of the release. */
    count?: Maybe<Scalars['Int']['output']>;
    /** Asset links of the release. */
    links?: Maybe<ReleaseAssetLinkConnection>;
    /** Sources of the release. */
    sources?: Maybe<ReleaseSourceConnection>;
};
/** A container for all assets associated with a release */
export type ReleaseAssetsLinksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** A container for all assets associated with a release */
export type ReleaseAssetsSourcesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Fields that are available when modifying release assets */
export type ReleaseAssetsInput = {
    /** List of asset links to associate to the release. */
    links?: InputMaybe<Array<ReleaseAssetLinkInput>>;
};
/** The connection type for Release. */
export type ReleaseConnection = {
    __typename?: 'ReleaseConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ReleaseEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Release>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of ReleaseCreate */
export type ReleaseCreateInput = {
    /** Assets associated to the release. */
    assets?: InputMaybe<ReleaseAssetsInput>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description (also known as "release notes") of the release. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Title of each milestone the release is associated with. GitLab Premium customers can specify group milestones. */
    milestones?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Name of the release. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project the release is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Commit SHA or branch name to use if creating a new tag. */
    ref?: InputMaybe<Scalars['String']['input']>;
    /** Date and time for the release. Defaults to the current time. Expected in ISO 8601 format (`2019-03-15T08:00:00Z`). Only provide this field if creating an upcoming or historical release. */
    releasedAt?: InputMaybe<Scalars['Time']['input']>;
    /** Message to use if creating a new annotated tag. */
    tagMessage?: InputMaybe<Scalars['String']['input']>;
    /** Name of the tag to associate with the release. */
    tagName: Scalars['String']['input'];
};
/** Autogenerated return type of ReleaseCreate. */
export type ReleaseCreatePayload = {
    __typename?: 'ReleaseCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Release after mutation. */
    release?: Maybe<Release>;
};
/** Autogenerated input type of ReleaseDelete */
export type ReleaseDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project the release is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Name of the tag associated with the release to delete. */
    tagName: Scalars['String']['input'];
};
/** Autogenerated return type of ReleaseDelete. */
export type ReleaseDeletePayload = {
    __typename?: 'ReleaseDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Deleted release. */
    release?: Maybe<Release>;
};
/** An edge in a connection. */
export type ReleaseEdge = {
    __typename?: 'ReleaseEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Release>;
};
/** Evidence for a release */
export type ReleaseEvidence = {
    __typename?: 'ReleaseEvidence';
    /** Timestamp when the evidence was collected. */
    collectedAt?: Maybe<Scalars['Time']['output']>;
    /** URL from where the evidence can be downloaded. */
    filepath?: Maybe<Scalars['String']['output']>;
    /** ID of the evidence. */
    id: Scalars['ID']['output'];
    /** SHA1 ID of the evidence hash. */
    sha?: Maybe<Scalars['String']['output']>;
};
/** The connection type for ReleaseEvidence. */
export type ReleaseEvidenceConnection = {
    __typename?: 'ReleaseEvidenceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ReleaseEvidenceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ReleaseEvidence>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ReleaseEvidenceEdge = {
    __typename?: 'ReleaseEvidenceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ReleaseEvidence>;
};
export type ReleaseLinks = {
    __typename?: 'ReleaseLinks';
    /** HTTP URL of the issues page, filtered by this release and `state=closed`. */
    closedIssuesUrl?: Maybe<Scalars['String']['output']>;
    /** HTTP URL of the merge request page , filtered by this release and `state=closed`. */
    closedMergeRequestsUrl?: Maybe<Scalars['String']['output']>;
    /** HTTP URL of the release's edit page. */
    editUrl?: Maybe<Scalars['String']['output']>;
    /** HTTP URL of the merge request page , filtered by this release and `state=merged`. */
    mergedMergeRequestsUrl?: Maybe<Scalars['String']['output']>;
    /** HTTP URL of the issues page, filtered by this release and `state=open`. */
    openedIssuesUrl?: Maybe<Scalars['String']['output']>;
    /** HTTP URL of the merge request page, filtered by this release and `state=open`. */
    openedMergeRequestsUrl?: Maybe<Scalars['String']['output']>;
    /** HTTP URL of the release. */
    selfUrl?: Maybe<Scalars['String']['output']>;
};
/** Values for sorting releases */
export declare enum ReleaseSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Released at by ascending order. */
    ReleasedAtAsc = "RELEASED_AT_ASC",
    /** Released at by descending order. */
    ReleasedAtDesc = "RELEASED_AT_DESC"
}
/** Represents the source code attached to a release in a particular format */
export type ReleaseSource = {
    __typename?: 'ReleaseSource';
    /** Format of the source. */
    format?: Maybe<Scalars['String']['output']>;
    /** Download URL of the source. */
    url?: Maybe<Scalars['String']['output']>;
};
/** The connection type for ReleaseSource. */
export type ReleaseSourceConnection = {
    __typename?: 'ReleaseSourceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ReleaseSourceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ReleaseSource>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ReleaseSourceEdge = {
    __typename?: 'ReleaseSourceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ReleaseSource>;
};
/** Release tag ID wildcard values */
export declare enum ReleaseTagWildcardId {
    /** Release tag is assigned. */
    Any = "ANY",
    /** No release tag is assigned. */
    None = "NONE"
}
/** Autogenerated input type of ReleaseUpdate */
export type ReleaseUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description (release notes) of the release. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Title of each milestone the release is associated with. GitLab Premium customers can specify group milestones. */
    milestones?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Name of the release. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project the release is associated with. */
    projectPath: Scalars['ID']['input'];
    /** Release date. */
    releasedAt?: InputMaybe<Scalars['Time']['input']>;
    /** Name of the tag associated with the release. */
    tagName: Scalars['String']['input'];
};
/** Autogenerated return type of ReleaseUpdate. */
export type ReleaseUpdatePayload = {
    __typename?: 'ReleaseUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Release after mutation. */
    release?: Maybe<Release>;
};
/** Autogenerated input type of RemoveProjectFromSecurityDashboard */
export type RemoveProjectFromSecurityDashboardInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the project to remove from the Instance Security Dashboard. */
    id: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of RemoveProjectFromSecurityDashboard. */
export type RemoveProjectFromSecurityDashboardPayload = {
    __typename?: 'RemoveProjectFromSecurityDashboardPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export declare enum ReplicationStateEnum {
    /** Replication process finished but failed. */
    Failed = "FAILED",
    /** Replication process has not started. */
    Pending = "PENDING",
    /** Replication process is in progress. */
    Started = "STARTED",
    /** Replication process finished successfully. */
    Synced = "SYNCED"
}
/** Autogenerated input type of RepositionImageDiffNote */
export type RepositionImageDiffNoteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the DiffNote to update. */
    id: Scalars['DiffNoteID']['input'];
    /** Position of the note on a diff. */
    position: UpdateDiffImagePositionInput;
};
/** Autogenerated return type of RepositionImageDiffNote. */
export type RepositionImageDiffNotePayload = {
    __typename?: 'RepositionImageDiffNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
export type Repository = {
    __typename?: 'Repository';
    /** Blobs contained within the repository */
    blobs?: Maybe<RepositoryBlobConnection>;
    /** Names of branches available in this repository that match the search pattern. */
    branchNames?: Maybe<Array<Scalars['String']['output']>>;
    /** Path to CODEOWNERS file in a ref. */
    codeOwnersPath?: Maybe<Scalars['String']['output']>;
    /** Shows a disk path of the repository. */
    diskPath?: Maybe<Scalars['String']['output']>;
    /** Indicates repository has no visible content. */
    empty: Scalars['Boolean']['output'];
    /** Indicates a corresponding Git repository exists on disk. */
    exists: Scalars['Boolean']['output'];
    /** Paginated tree of the repository. */
    paginatedTree?: Maybe<TreeConnection>;
    /** Default branch of the repository. */
    rootRef?: Maybe<Scalars['String']['output']>;
    /** Tree of the repository. */
    tree?: Maybe<Tree>;
    /** Shows linting errors in the CODEOWNER file of the repository. */
    validateCodeownerFile?: Maybe<RepositoryCodeownerValidation>;
};
export type RepositoryBlobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    paths: Array<Scalars['String']['input']>;
    ref?: InputMaybe<Scalars['String']['input']>;
    refType?: InputMaybe<RefType>;
};
export type RepositoryBranchNamesArgs = {
    limit: Scalars['Int']['input'];
    offset: Scalars['Int']['input'];
    searchPattern: Scalars['String']['input'];
};
export type RepositoryCodeOwnersPathArgs = {
    ref?: InputMaybe<Scalars['String']['input']>;
};
export type RepositoryPaginatedTreeArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    path?: InputMaybe<Scalars['String']['input']>;
    recursive?: InputMaybe<Scalars['Boolean']['input']>;
    ref?: InputMaybe<Scalars['String']['input']>;
    refType?: InputMaybe<RefType>;
};
export type RepositoryTreeArgs = {
    path?: InputMaybe<Scalars['String']['input']>;
    recursive?: InputMaybe<Scalars['Boolean']['input']>;
    ref?: InputMaybe<Scalars['String']['input']>;
    refType?: InputMaybe<RefType>;
};
export type RepositoryValidateCodeownerFileArgs = {
    path?: InputMaybe<Scalars['String']['input']>;
    ref?: InputMaybe<Scalars['String']['input']>;
};
export type RepositoryBlob = {
    __typename?: 'RepositoryBlob';
    /** Whether the current project is archived. */
    archived?: Maybe<Scalars['Boolean']['output']>;
    /**
     * Content of blob is encoded base64. Returns `null` if the `unicode_escaped_data` feature flag is disabled. Introduced in GitLab 17.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.1.
     */
    base64EncodedBlob?: Maybe<Scalars['String']['output']>;
    /**
     * Blob blame. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    blame?: Maybe<Blame>;
    /** Web path to blob blame page. */
    blamePath?: Maybe<Scalars['String']['output']>;
    /** Whether the current user can push to the branch. */
    canCurrentUserPushToBranch?: Maybe<Scalars['Boolean']['output']>;
    /** Whether the current user can modify the blob. */
    canModifyBlob?: Maybe<Scalars['Boolean']['output']>;
    /** Web path for code navigation. */
    codeNavigationPath?: Maybe<Scalars['String']['output']>;
    /** List of code owners for the blob. */
    codeOwners?: Maybe<Array<UserCore>>;
    /** Web path to edit the blob in the old-style editor. */
    editBlobPath?: Maybe<Scalars['String']['output']>;
    /** Web path to blob on an environment. */
    environmentExternalUrlForRouteMap?: Maybe<Scalars['String']['output']>;
    /** Environment on which the blob is available. */
    environmentFormattedExternalUrl?: Maybe<Scalars['String']['output']>;
    /** External storage being used, if enabled (for instance, 'LFS'). */
    externalStorage?: Maybe<Scalars['String']['output']>;
    /** Web path to download the raw blob via external storage, if enabled. */
    externalStorageUrl?: Maybe<Scalars['String']['output']>;
    /** Expected format of the blob based on the extension. */
    fileType?: Maybe<Scalars['String']['output']>;
    /** Web path to find file. */
    findFilePath?: Maybe<Scalars['String']['output']>;
    /** Web path to edit this blob using a forked project. */
    forkAndEditPath?: Maybe<Scalars['String']['output']>;
    /** Web path to view this blob using a forked project. */
    forkAndViewPath?: Maybe<Scalars['String']['output']>;
    /** URL to the blob within Gitpod. */
    gitpodBlobUrl?: Maybe<Scalars['String']['output']>;
    /** Web path to blob history page. */
    historyPath?: Maybe<Scalars['String']['output']>;
    /** ID of the blob. */
    id: Scalars['ID']['output'];
    /** Web path to edit this blob in the Web IDE. */
    ideEditPath?: Maybe<Scalars['String']['output']>;
    /** Web path to edit this blob in the Web IDE using a forked project. */
    ideForkAndEditPath?: Maybe<Scalars['String']['output']>;
    /** Blob language. */
    language?: Maybe<Scalars['String']['output']>;
    /** LFS OID of the blob. */
    lfsOid?: Maybe<Scalars['String']['output']>;
    /** Blob mode. */
    mode?: Maybe<Scalars['String']['output']>;
    /** Blob name. */
    name?: Maybe<Scalars['String']['output']>;
    /** OID of the blob. */
    oid: Scalars['String']['output'];
    /** Path of the blob. */
    path: Scalars['String']['output'];
    /** Web path to blob permalink. */
    permalinkPath?: Maybe<Scalars['String']['output']>;
    /** Web path to edit .gitlab-ci.yml file. */
    pipelineEditorPath?: Maybe<Scalars['String']['output']>;
    /** Blob plain highlighted data. */
    plainData?: Maybe<Scalars['String']['output']>;
    /** Web path for the root of the blob. */
    projectBlobPathRoot?: Maybe<Scalars['String']['output']>;
    /** Raw content of the blob. */
    rawBlob?: Maybe<Scalars['String']['output']>;
    /** Web path to download the raw blob. */
    rawPath?: Maybe<Scalars['String']['output']>;
    /** Size (in bytes) of the blob, or the blob target if stored externally. */
    rawSize?: Maybe<Scalars['BigInt']['output']>;
    /** Raw content of the blob, if the blob is text data. */
    rawTextBlob?: Maybe<Scalars['String']['output']>;
    /** Web path to replace the blob content. */
    replacePath?: Maybe<Scalars['String']['output']>;
    /** Blob content rich viewer. */
    richViewer?: Maybe<BlobViewer>;
    /** Blob content simple viewer. */
    simpleViewer: BlobViewer;
    /** Size (in bytes) of the blob. */
    size?: Maybe<Scalars['BigInt']['output']>;
    /** Whether the blob's content is stored externally (for instance, in LFS). */
    storedExternally?: Maybe<Scalars['Boolean']['output']>;
    /** Web path of the blob. */
    webPath?: Maybe<Scalars['String']['output']>;
};
export type RepositoryBlobBlameArgs = {
    fromLine?: InputMaybe<Scalars['Int']['input']>;
    toLine?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for RepositoryBlob. */
export type RepositoryBlobConnection = {
    __typename?: 'RepositoryBlobConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<RepositoryBlobEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<RepositoryBlob>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type RepositoryBlobEdge = {
    __typename?: 'RepositoryBlobEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<RepositoryBlob>;
};
export type RepositoryCodeownerError = {
    __typename?: 'RepositoryCodeownerError';
    /** Linting error code. */
    code: Scalars['String']['output'];
    /** Lines where the error occurred. */
    lines: Array<Scalars['Int']['output']>;
};
export type RepositoryCodeownerValidation = {
    __typename?: 'RepositoryCodeownerValidation';
    /** Total number of validation error in the file. */
    total: Scalars['Int']['output'];
    /** Specific lint error code. */
    validationErrors: Array<RepositoryCodeownerError>;
};
export type RepositoryLanguage = {
    __typename?: 'RepositoryLanguage';
    /** Color to visualize the repository language. */
    color?: Maybe<Scalars['Color']['output']>;
    /** Name of the repository language. */
    name: Scalars['String']['output'];
    /** Percentage of the repository's languages. */
    share?: Maybe<Scalars['Float']['output']>;
};
/** Represents a requirement */
export type Requirement = {
    __typename?: 'Requirement';
    /** Author of the requirement. */
    author: UserCore;
    /** Timestamp of when the requirement was created. */
    createdAt: Scalars['Time']['output'];
    /** Description of the requirement. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description`. */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** ID of the requirement. */
    id: Scalars['ID']['output'];
    /**
     * Internal ID of the requirement. Deprecated in GitLab 15.8: Use work_item_iid instead.
     * @deprecated Use work_item_iid instead. Deprecated in GitLab 15.8.
     */
    iid: Scalars['String']['output'];
    /** Indicates if latest test report was created by user. */
    lastTestReportManuallyCreated?: Maybe<Scalars['Boolean']['output']>;
    /** Latest requirement test report state. */
    lastTestReportState?: Maybe<TestReportState>;
    /** Project to which the requirement belongs. */
    project: Project;
    /** State of the requirement. */
    state: RequirementState;
    /** Test reports of the requirement. */
    testReports?: Maybe<TestReportConnection>;
    /** Title of the requirement. */
    title?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `title`. */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the requirement was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: RequirementPermissions;
    /** Work item IID of the requirement, will replace current IID as identifier soon. */
    workItemIid: Scalars['String']['output'];
};
/** Represents a requirement */
export type RequirementTestReportsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<Sort>;
};
/** The connection type for Requirement. */
export type RequirementConnection = {
    __typename?: 'RequirementConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<RequirementEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Requirement>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type RequirementEdge = {
    __typename?: 'RequirementEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Requirement>;
};
export type RequirementLegacyFilterInput = {
    /** List of legacy requirement IIDs of work items. or example `["1", "2"]`. */
    legacyIids: Array<Scalars['String']['input']>;
};
/** Check permissions for the current user on a requirement */
export type RequirementPermissions = {
    __typename?: 'RequirementPermissions';
    /** If `true`, the user can perform `admin_requirement` on this resource */
    adminRequirement: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_requirement` on this resource */
    createRequirement: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_requirement` on this resource */
    destroyRequirement: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_requirement` on this resource */
    readRequirement: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_requirement` on this resource */
    updateRequirement: Scalars['Boolean']['output'];
};
/** State of a requirement */
export declare enum RequirementState {
    /** Archived requirement. */
    Archived = "ARCHIVED",
    /** Open requirement. */
    Opened = "OPENED"
}
/** Counts of requirements by their state */
export type RequirementStatesCount = {
    __typename?: 'RequirementStatesCount';
    /** Number of archived requirements. */
    archived?: Maybe<Scalars['Int']['output']>;
    /** Number of opened requirements. */
    opened?: Maybe<Scalars['Int']['output']>;
};
/** Status of a requirement based on last test report */
export declare enum RequirementStatusFilter {
    /** Failed test report. */
    Failed = "FAILED",
    /** Requirements without any test report. */
    Missing = "MISSING",
    /** Passed test report. */
    Passed = "PASSED"
}
export type ResolvableInterface = {
    /** Indicates if the object can be resolved. */
    resolvable: Scalars['Boolean']['output'];
    /** Indicates if the object is resolved. */
    resolved: Scalars['Boolean']['output'];
    /** Timestamp of when the object was resolved. */
    resolvedAt?: Maybe<Scalars['Time']['output']>;
    /** User who resolved the object. */
    resolvedBy?: Maybe<UserCore>;
};
/** Autogenerated input type of RestorePagesDeployment */
export type RestorePagesDeploymentInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the Pages Deployment. */
    id: Scalars['PagesDeploymentID']['input'];
};
/** Autogenerated return type of RestorePagesDeployment. */
export type RestorePagesDeploymentPayload = {
    __typename?: 'RestorePagesDeploymentPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Restored Pages Deployment. */
    pagesDeployment: PagesDeployment;
};
/** Reviewer ID wildcard values */
export declare enum ReviewerWildcardId {
    /** Any reviewer is assigned. */
    Any = "ANY",
    /** No reviewer is assigned. */
    None = "NONE"
}
export type RootStorageStatistics = {
    __typename?: 'RootStorageStatistics';
    /** CI artifacts size in bytes. */
    buildArtifactsSize: Scalars['Float']['output'];
    /** Container Registry size in bytes. */
    containerRegistrySize: Scalars['Float']['output'];
    /** Indicates whether the deduplicated Container Registry size for the namespace is an estimated value or not. */
    containerRegistrySizeIsEstimated: Scalars['Boolean']['output'];
    /**
     * Total storage in bytes with any applicable cost factor for forks applied. This will equal storage_size if there is no applicable cost factor. Introduced in GitLab 16.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.2.
     */
    costFactoredStorageSize: Scalars['Float']['output'];
    /** Dependency Proxy sizes in bytes. */
    dependencyProxySize: Scalars['Float']['output'];
    /** LFS objects size in bytes. */
    lfsObjectsSize: Scalars['Float']['output'];
    /** Packages size in bytes. */
    packagesSize: Scalars['Float']['output'];
    /** CI pipeline artifacts size in bytes. */
    pipelineArtifactsSize: Scalars['Float']['output'];
    /**
     * Indicates whether the deduplicated Container Registry size for the namespace is an estimated value or not. Deprecated in GitLab 16.2: Use `container_registry_size_is_estimated`.
     * @deprecated Use `container_registry_size_is_estimated`. Deprecated in GitLab 16.2.
     */
    registrySizeEstimated: Scalars['Boolean']['output'];
    /** Git repository size in bytes. */
    repositorySize: Scalars['Float']['output'];
    /** Snippets size in bytes. */
    snippetsSize: Scalars['Float']['output'];
    /** Total storage in bytes. */
    storageSize: Scalars['Float']['output'];
    /** Uploads size in bytes. */
    uploadsSize: Scalars['Float']['output'];
    /** Wiki size in bytes. */
    wikiSize: Scalars['Float']['output'];
};
export type RunnerArchitecture = {
    __typename?: 'RunnerArchitecture';
    /** Download location for the runner for the platform architecture. */
    downloadLocation: Scalars['String']['output'];
    /** Name of the runner platform architecture. */
    name: Scalars['String']['output'];
};
/** The connection type for RunnerArchitecture. */
export type RunnerArchitectureConnection = {
    __typename?: 'RunnerArchitectureConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<RunnerArchitectureEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<RunnerArchitecture>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type RunnerArchitectureEdge = {
    __typename?: 'RunnerArchitectureEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<RunnerArchitecture>;
};
/** Autogenerated input type of RunnerCacheClear */
export type RunnerCacheClearInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the project that will have its runner cache cleared. */
    projectId: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of RunnerCacheClear. */
export type RunnerCacheClearPayload = {
    __typename?: 'RunnerCacheClearPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of RunnerCreate */
export type RunnerCreateInput = {
    /** Access level of the runner. */
    accessLevel?: InputMaybe<CiRunnerAccessLevel>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the runner. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the group that the runner is created in (valid only for group runner). */
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    /** Indicates the runner is locked. */
    locked?: InputMaybe<Scalars['Boolean']['input']>;
    /** Runner's maintenance notes. */
    maintenanceNote?: InputMaybe<Scalars['String']['input']>;
    /** Maximum timeout (in seconds) for jobs processed by the runner. */
    maximumTimeout?: InputMaybe<Scalars['Int']['input']>;
    /** Indicates the runner is not allowed to receive jobs. */
    paused?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the project that the runner is created in (valid only for project runner). */
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    /** Indicates the runner is able to run untagged jobs. */
    runUntagged?: InputMaybe<Scalars['Boolean']['input']>;
    /** Type of the runner to create. */
    runnerType: CiRunnerType;
    /** Tags associated with the runner. */
    tagList?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of RunnerCreate. */
export type RunnerCreatePayload = {
    __typename?: 'RunnerCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Runner after mutation. */
    runner?: Maybe<CiRunner>;
};
/** Autogenerated input type of RunnerDelete */
export type RunnerDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the runner to delete. */
    id: Scalars['CiRunnerID']['input'];
};
/** Autogenerated return type of RunnerDelete. */
export type RunnerDeletePayload = {
    __typename?: 'RunnerDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type RunnerPermissions = {
    __typename?: 'RunnerPermissions';
    /** If `true`, the user can perform `assign_runner` on this resource */
    assignRunner: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `delete_runner` on this resource */
    deleteRunner: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_runner` on this resource */
    readRunner: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_runner` on this resource */
    updateRunner: Scalars['Boolean']['output'];
};
export type RunnerPlatform = {
    __typename?: 'RunnerPlatform';
    /** Runner architectures supported for the platform. */
    architectures?: Maybe<RunnerArchitectureConnection>;
    /** Human readable name of the runner platform. */
    humanReadableName: Scalars['String']['output'];
    /** Name slug of the runner platform. */
    name: Scalars['String']['output'];
};
export type RunnerPlatformArchitecturesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for RunnerPlatform. */
export type RunnerPlatformConnection = {
    __typename?: 'RunnerPlatformConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<RunnerPlatformEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<RunnerPlatform>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type RunnerPlatformEdge = {
    __typename?: 'RunnerPlatformEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<RunnerPlatform>;
};
export type RunnerSetup = {
    __typename?: 'RunnerSetup';
    /** Instructions for installing the runner on the specified architecture. */
    installInstructions: Scalars['String']['output'];
    /** Instructions for registering the runner. The actual registration tokens are not included in the commands. Instead, a placeholder `$REGISTRATION_TOKEN` is shown. */
    registerInstructions?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of RunnerUpdate */
export type RunnerUpdateInput = {
    /** Access level of the runner. */
    accessLevel?: InputMaybe<CiRunnerAccessLevel>;
    /** Projects associated with the runner. Available only for project runners. */
    associatedProjects?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the runner. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** ID of the runner to update. */
    id: Scalars['CiRunnerID']['input'];
    /** Indicates the runner is locked. */
    locked?: InputMaybe<Scalars['Boolean']['input']>;
    /** Runner's maintenance notes. */
    maintenanceNote?: InputMaybe<Scalars['String']['input']>;
    /** Maximum timeout (in seconds) for jobs processed by the runner. */
    maximumTimeout?: InputMaybe<Scalars['Int']['input']>;
    /** Indicates the runner is not allowed to receive jobs. */
    paused?: InputMaybe<Scalars['Boolean']['input']>;
    /** Private projects' "compute cost factor" associated with the runner (GitLab.com only). */
    privateProjectsMinutesCostFactor?: InputMaybe<Scalars['Float']['input']>;
    /** Public projects' "compute cost factor" associated with the runner (GitLab.com only). */
    publicProjectsMinutesCostFactor?: InputMaybe<Scalars['Float']['input']>;
    /** Indicates the runner is able to run untagged jobs. */
    runUntagged?: InputMaybe<Scalars['Boolean']['input']>;
    /** Tags associated with the runner. */
    tagList?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of RunnerUpdate. */
export type RunnerUpdatePayload = {
    __typename?: 'RunnerUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Runner after mutation. */
    runner?: Maybe<CiRunner>;
};
/** Autogenerated input type of RunnersExportUsage */
export type RunnersExportUsageInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** UTC start date of the period to report on. Defaults to the start of last full month. */
    fromDate?: InputMaybe<Scalars['ISO8601Date']['input']>;
    /** Filter jobs by the full path of the group or project they belong to. For example, `gitlab-org` or `gitlab-org/gitlab`. Available only to administrators and users with the Maintainer role for the group (when a group is specified), or project (when a project is specified). Limited to runners from 5000 child projects. */
    fullPath?: InputMaybe<Scalars['ID']['input']>;
    /** Maximum number of projects to return. All other runner usage will be attributed to an `<Other projects>` entry. Defaults to 1000 projects. */
    maxProjectCount?: InputMaybe<Scalars['Int']['input']>;
    /** Scope of the runners to include in the report. */
    runnerType?: InputMaybe<CiRunnerType>;
    /**
     * UTC end date of the period to report on. " \
     *             "Defaults to the end of the month specified by `fromDate`.
     */
    toDate?: InputMaybe<Scalars['ISO8601Date']['input']>;
};
/** Autogenerated return type of RunnersExportUsage. */
export type RunnersExportUsagePayload = {
    __typename?: 'RunnersExportUsagePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of RunnersRegistrationTokenReset */
export type RunnersRegistrationTokenResetInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the project or group to reset the token for. Omit if resetting instance runner token. */
    id?: InputMaybe<Scalars['ID']['input']>;
    /** Scope of the object to reset the token for. */
    type: CiRunnerType;
};
/** Autogenerated return type of RunnersRegistrationTokenReset. */
export type RunnersRegistrationTokenResetPayload = {
    __typename?: 'RunnersRegistrationTokenResetPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Runner token after mutation. */
    token?: Maybe<Scalars['String']['output']>;
};
/** Represents a CI configuration of SAST */
export type SastCiConfiguration = {
    __typename?: 'SastCiConfiguration';
    /** List of analyzers entities attached to SAST configuration. */
    analyzers?: Maybe<SastCiConfigurationAnalyzersEntityConnection>;
    /** List of global entities related to SAST configuration. */
    global?: Maybe<SastCiConfigurationEntityConnection>;
    /** List of pipeline entities related to SAST configuration. */
    pipeline?: Maybe<SastCiConfigurationEntityConnection>;
};
/** Represents a CI configuration of SAST */
export type SastCiConfigurationAnalyzersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a CI configuration of SAST */
export type SastCiConfigurationGlobalArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a CI configuration of SAST */
export type SastCiConfigurationPipelineArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents an analyzer entity in SAST CI configuration */
export type SastCiConfigurationAnalyzersEntity = {
    __typename?: 'SastCiConfigurationAnalyzersEntity';
    /** Analyzer description that is displayed on the form. */
    description?: Maybe<Scalars['String']['output']>;
    /** Indicates whether an analyzer is enabled. */
    enabled?: Maybe<Scalars['Boolean']['output']>;
    /** Analyzer label used in the config UI. */
    label?: Maybe<Scalars['String']['output']>;
    /** Name of the analyzer. */
    name?: Maybe<Scalars['String']['output']>;
    /** List of supported variables. */
    variables?: Maybe<SastCiConfigurationEntityConnection>;
};
/** Represents an analyzer entity in SAST CI configuration */
export type SastCiConfigurationAnalyzersEntityVariablesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for SastCiConfigurationAnalyzersEntity. */
export type SastCiConfigurationAnalyzersEntityConnection = {
    __typename?: 'SastCiConfigurationAnalyzersEntityConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SastCiConfigurationAnalyzersEntityEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SastCiConfigurationAnalyzersEntity>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SastCiConfigurationAnalyzersEntityEdge = {
    __typename?: 'SastCiConfigurationAnalyzersEntityEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SastCiConfigurationAnalyzersEntity>;
};
/** Represents the analyzers entity in SAST CI configuration */
export type SastCiConfigurationAnalyzersEntityInput = {
    /** State of the analyzer. */
    enabled: Scalars['Boolean']['input'];
    /** Name of analyzer. */
    name: Scalars['String']['input'];
    /** List of variables for the analyzer. */
    variables?: InputMaybe<Array<SastCiConfigurationEntityInput>>;
};
/** Represents an entity in SAST CI configuration */
export type SastCiConfigurationEntity = {
    __typename?: 'SastCiConfigurationEntity';
    /** Default value that is used if value is empty. */
    defaultValue?: Maybe<Scalars['String']['output']>;
    /** Entity description that is displayed on the form. */
    description?: Maybe<Scalars['String']['output']>;
    /** CI keyword of entity. */
    field?: Maybe<Scalars['String']['output']>;
    /** Label for entity used in the form. */
    label?: Maybe<Scalars['String']['output']>;
    /** Different possible values of the field. */
    options?: Maybe<SastCiConfigurationOptionsEntityConnection>;
    /** Size of the UI component. */
    size?: Maybe<SastUiComponentSize>;
    /** Type of the field value. */
    type?: Maybe<Scalars['String']['output']>;
    /** Current value of the entity. */
    value?: Maybe<Scalars['String']['output']>;
};
/** Represents an entity in SAST CI configuration */
export type SastCiConfigurationEntityOptionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for SastCiConfigurationEntity. */
export type SastCiConfigurationEntityConnection = {
    __typename?: 'SastCiConfigurationEntityConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SastCiConfigurationEntityEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SastCiConfigurationEntity>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SastCiConfigurationEntityEdge = {
    __typename?: 'SastCiConfigurationEntityEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SastCiConfigurationEntity>;
};
/** Represents an entity in SAST CI configuration */
export type SastCiConfigurationEntityInput = {
    /** Default value that is used if value is empty. */
    defaultValue: Scalars['String']['input'];
    /** CI keyword of entity. */
    field: Scalars['String']['input'];
    /** Current value of the entity. */
    value: Scalars['String']['input'];
};
/** Represents a CI configuration of SAST */
export type SastCiConfigurationInput = {
    /** List of analyzers and related variables for the SAST configuration. */
    analyzers?: InputMaybe<Array<SastCiConfigurationAnalyzersEntityInput>>;
    /** List of global entities related to SAST configuration. */
    global?: InputMaybe<Array<SastCiConfigurationEntityInput>>;
    /** List of pipeline entities related to SAST configuration. */
    pipeline?: InputMaybe<Array<SastCiConfigurationEntityInput>>;
};
/** Represents an entity for options in SAST CI configuration */
export type SastCiConfigurationOptionsEntity = {
    __typename?: 'SastCiConfigurationOptionsEntity';
    /** Label of option entity. */
    label?: Maybe<Scalars['String']['output']>;
    /** Value of option entity. */
    value?: Maybe<Scalars['String']['output']>;
};
/** The connection type for SastCiConfigurationOptionsEntity. */
export type SastCiConfigurationOptionsEntityConnection = {
    __typename?: 'SastCiConfigurationOptionsEntityConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SastCiConfigurationOptionsEntityEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SastCiConfigurationOptionsEntity>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SastCiConfigurationOptionsEntityEdge = {
    __typename?: 'SastCiConfigurationOptionsEntityEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SastCiConfigurationOptionsEntity>;
};
/** Size of UI component in SAST configuration page */
export declare enum SastUiComponentSize {
    /** Size of UI component in SAST configuration page is large. */
    Large = "LARGE",
    /** Size of UI component in SAST configuration page is medium. */
    Medium = "MEDIUM",
    /** Size of UI component in SAST configuration page is small. */
    Small = "SMALL"
}
export type SavedReply = {
    __typename?: 'SavedReply';
    /** Content of the saved reply. */
    content: Scalars['String']['output'];
    /** Global ID of the user saved reply. */
    id: Scalars['UsersSavedReplyID']['output'];
    /** Name of the saved reply. */
    name: Scalars['String']['output'];
};
/** The connection type for SavedReply. */
export type SavedReplyConnection = {
    __typename?: 'SavedReplyConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SavedReplyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SavedReply>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of SavedReplyCreate */
export type SavedReplyCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Content of the saved reply. */
    content: Scalars['String']['input'];
    /** Name of the saved reply. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of SavedReplyCreate. */
export type SavedReplyCreatePayload = {
    __typename?: 'SavedReplyCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<SavedReply>;
};
/** Autogenerated input type of SavedReplyDestroy */
export type SavedReplyDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the user saved reply. */
    id: Scalars['UsersSavedReplyID']['input'];
};
/** Autogenerated return type of SavedReplyDestroy. */
export type SavedReplyDestroyPayload = {
    __typename?: 'SavedReplyDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<SavedReply>;
};
/** An edge in a connection. */
export type SavedReplyEdge = {
    __typename?: 'SavedReplyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SavedReply>;
};
/** Autogenerated input type of SavedReplyUpdate */
export type SavedReplyUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Content of the saved reply. */
    content: Scalars['String']['input'];
    /** Global ID of the user saved reply. */
    id: Scalars['UsersSavedReplyID']['input'];
    /** Name of the saved reply. */
    name: Scalars['String']['input'];
};
/** Autogenerated return type of SavedReplyUpdate. */
export type SavedReplyUpdatePayload = {
    __typename?: 'SavedReplyUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Saved reply after mutation. */
    savedReply?: Maybe<SavedReply>;
};
/** Values for sbom source types */
export declare enum SbomSourceType {
    /** Source Type: container_scanning. */
    ContainerScanning = "CONTAINER_SCANNING",
    /** Source Type: container_scanning_for_registry. */
    ContainerScanningForRegistry = "CONTAINER_SCANNING_FOR_REGISTRY",
    /** Source Type: dependency_scanning. */
    DependencyScanning = "DEPENDENCY_SCANNING",
    /** Enum source nil. */
    NilSource = "NIL_SOURCE"
}
/** Represents the security scan information */
export type Scan = {
    __typename?: 'Scan';
    /** List of errors. */
    errors: Array<Scalars['String']['output']>;
    /** Name of the scan. */
    name: Scalars['String']['output'];
    /** Indicates the status of the scan. */
    status: ScanStatus;
    /** List of warnings. */
    warnings: Array<Scalars['String']['output']>;
};
/** The connection type for Scan. */
export type ScanConnection = {
    __typename?: 'ScanConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ScanEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Scan>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ScanEdge = {
    __typename?: 'ScanEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Scan>;
};
/** Represents the scan execution policy */
export type ScanExecutionPolicy = OrchestrationPolicy & {
    __typename?: 'ScanExecutionPolicy';
    /** Description of the policy. */
    description: Scalars['String']['output'];
    /** URL of policy edit page. */
    editPath: Scalars['String']['output'];
    /** Indicates whether this policy is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** Name of the policy. */
    name: Scalars['String']['output'];
    /** Scope of the policy */
    policyScope?: Maybe<PolicyScope>;
    /** Source of the policy. Its fields depend on the source type. */
    source: SecurityPolicySource;
    /** Timestamp of when the policy YAML was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** YAML definition of the policy. */
    yaml: Scalars['String']['output'];
};
/** Autogenerated input type of ScanExecutionPolicyCommit */
export type ScanExecutionPolicyCommitInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project. */
    fullPath?: InputMaybe<Scalars['String']['input']>;
    /** Name of the policy. If the name is null, the `name` field from `policy_yaml` is used. */
    name: Scalars['String']['input'];
    /** Changes the operation mode. */
    operationMode: MutationOperationMode;
    /** YAML snippet of the policy. */
    policyYaml: Scalars['String']['input'];
};
/** Autogenerated return type of ScanExecutionPolicyCommit. */
export type ScanExecutionPolicyCommitPayload = {
    __typename?: 'ScanExecutionPolicyCommitPayload';
    /** Name of the branch to which the policy changes are committed. */
    branch?: Maybe<Scalars['String']['output']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Validation errors encountered during execution of the mutation. */
    validationErrors?: Maybe<Array<SecurityPolicyValidationError>>;
};
/** The connection type for ScanExecutionPolicy. */
export type ScanExecutionPolicyConnection = {
    __typename?: 'ScanExecutionPolicyConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ScanExecutionPolicyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ScanExecutionPolicy>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ScanExecutionPolicyEdge = {
    __typename?: 'ScanExecutionPolicyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ScanExecutionPolicy>;
};
/** Represents the scan result policy */
export type ScanResultPolicy = OrchestrationPolicy & {
    __typename?: 'ScanResultPolicy';
    /** All potential approvers of the group type, including groups inaccessible to the user. */
    allGroupApprovers?: Maybe<Array<PolicyApprovalGroup>>;
    /**
     * All deprecated properties in the policy. Introduced in GitLab 16.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.10.
     */
    deprecatedProperties?: Maybe<Array<Scalars['String']['output']>>;
    /** Description of the policy. */
    description: Scalars['String']['output'];
    /** URL of policy edit page. */
    editPath: Scalars['String']['output'];
    /** Indicates whether this policy is enabled. */
    enabled: Scalars['Boolean']['output'];
    /** Name of the policy. */
    name: Scalars['String']['output'];
    /** Scope of the policy */
    policyScope?: Maybe<PolicyScope>;
    /** Approvers of the role type. Users belonging to these role(s) alone will be approvers. */
    roleApprovers?: Maybe<Array<MemberAccessLevelName>>;
    /** Source of the policy. Its fields depend on the source type. */
    source: SecurityPolicySource;
    /** Timestamp of when the policy YAML was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Approvers of the user type. */
    userApprovers?: Maybe<Array<UserCore>>;
    /** YAML definition of the policy. */
    yaml: Scalars['String']['output'];
};
/** The connection type for ScanResultPolicy. */
export type ScanResultPolicyConnection = {
    __typename?: 'ScanResultPolicyConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ScanResultPolicyEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ScanResultPolicy>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ScanResultPolicyEdge = {
    __typename?: 'ScanResultPolicyEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ScanResultPolicy>;
};
/** The status of the security scan */
export declare enum ScanStatus {
    /** The scan has been created. */
    Created = "CREATED",
    /** The related CI build failed. */
    JobFailed = "JOB_FAILED",
    /** Report couldn't be prepared. */
    PreparationFailed = "PREPARATION_FAILED",
    /** Preparing the report for the scan. */
    Preparing = "PREPARING",
    /** Report for the scan has been removed from the database. */
    Purged = "PURGED",
    /** The report artifact provided by the CI build couldn't be parsed. */
    ReportError = "REPORT_ERROR",
    /** The report has been successfully prepared. */
    Succeeded = "SUCCEEDED"
}
/** Represents a resource scanned by a security scan */
export type ScannedResource = {
    __typename?: 'ScannedResource';
    /** HTTP request method used to access the URL. */
    requestMethod?: Maybe<Scalars['String']['output']>;
    /** URL scanned by the scanner. */
    url?: Maybe<Scalars['String']['output']>;
};
/** The connection type for ScannedResource. */
export type ScannedResourceConnection = {
    __typename?: 'ScannedResourceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ScannedResourceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ScannedResource>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ScannedResourceEdge = {
    __typename?: 'ScannedResourceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ScannedResource>;
};
/** JSON structure of a matched chunk */
export type SearchBlobChunk = {
    __typename?: 'SearchBlobChunk';
    /**
     * Path of the file. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    lines?: Maybe<Array<SearchBlobLine>>;
    /**
     * Number of matches in the chunk. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    matchCountInChunk?: Maybe<Scalars['Int']['output']>;
};
/** JSON structure of a file with matches */
export type SearchBlobFileType = {
    __typename?: 'SearchBlobFileType';
    /**
     * Blame URL of the file. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    blameUrl?: Maybe<Scalars['String']['output']>;
    /**
     * Maximum matches per file. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    chunks?: Maybe<Array<SearchBlobChunk>>;
    /**
     * URL of the file. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    fileUrl?: Maybe<Scalars['String']['output']>;
    /**
     * Matches per file in maximum 50 chunks. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    matchCount?: Maybe<Scalars['Int']['output']>;
    /**
     * Total number of matches per file. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    matchCountTotal?: Maybe<Scalars['Int']['output']>;
    /**
     * Path of the file. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    path?: Maybe<Scalars['String']['output']>;
    /**
     * Full path of the project. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    projectPath?: Maybe<Scalars['String']['output']>;
};
/** JSON structure of each line in a matched chunk */
export type SearchBlobLine = {
    __typename?: 'SearchBlobLine';
    /**
     * Line number of the blob. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    lineNumber?: Maybe<Scalars['Int']['output']>;
    /**
     * Rich text of the blob. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    richText?: Maybe<Scalars['String']['output']>;
    /**
     * Text content of the blob. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    text?: Maybe<Scalars['String']['output']>;
};
/** Level of search */
export declare enum SearchLevel {
    /** Global search including all groups and projects. */
    Global = "GLOBAL",
    /** Group search. */
    Group = "GROUP",
    /** Project search. */
    Project = "PROJECT"
}
/** Type of search */
export declare enum SearchType {
    /** Advanced search. */
    Advanced = "ADVANCED",
    /** Basic search. */
    Basic = "BASIC",
    /** Exact code search. */
    Zoekt = "ZOEKT"
}
/** Autogenerated input type of SecurityFindingCreateIssue */
export type SecurityFindingCreateIssueInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the project to attach the issue to. */
    project: Scalars['ProjectID']['input'];
    /** UUID of the security finding to be used to create an issue. */
    uuid: Scalars['String']['input'];
};
/** Autogenerated return type of SecurityFindingCreateIssue. */
export type SecurityFindingCreateIssuePayload = {
    __typename?: 'SecurityFindingCreateIssuePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue created after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of SecurityFindingCreateMergeRequest */
export type SecurityFindingCreateMergeRequestInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** UUID of the security finding to be used to create a merge request. */
    uuid: Scalars['String']['input'];
};
/** Autogenerated return type of SecurityFindingCreateMergeRequest. */
export type SecurityFindingCreateMergeRequestPayload = {
    __typename?: 'SecurityFindingCreateMergeRequestPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Merge Request created after mutation. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** Autogenerated input type of SecurityFindingDismiss */
export type SecurityFindingDismissInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment why finding should be dismissed. */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** Reason why finding should be dismissed. */
    dismissalReason?: InputMaybe<VulnerabilityDismissalReason>;
    /** UUID of the finding to be dismissed. */
    uuid: Scalars['String']['input'];
};
/** Autogenerated return type of SecurityFindingDismiss. */
export type SecurityFindingDismissPayload = {
    __typename?: 'SecurityFindingDismissPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Dismissed finding. */
    securityFinding?: Maybe<PipelineSecurityReportFinding>;
    /** UUID of dismissed finding. */
    uuid?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of SecurityFindingRevertToDetected */
export type SecurityFindingRevertToDetectedInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment that explains why finding was reverted to detected status. */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** UUID of the finding to be dismissed. */
    uuid: Scalars['String']['input'];
};
/** Autogenerated return type of SecurityFindingRevertToDetected. */
export type SecurityFindingRevertToDetectedPayload = {
    __typename?: 'SecurityFindingRevertToDetectedPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Finding reverted to detected. */
    securityFinding?: Maybe<PipelineSecurityReportFinding>;
};
/** Autogenerated input type of SecurityPolicyProjectAssign */
export type SecurityPolicyProjectAssignInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project or group. */
    fullPath?: InputMaybe<Scalars['String']['input']>;
    /** ID of the security policy project. */
    securityPolicyProjectId: Scalars['ProjectID']['input'];
};
/** Autogenerated return type of SecurityPolicyProjectAssign. */
export type SecurityPolicyProjectAssignPayload = {
    __typename?: 'SecurityPolicyProjectAssignPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of SecurityPolicyProjectCreate */
export type SecurityPolicyProjectCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project or group. */
    fullPath?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of SecurityPolicyProjectCreate. */
export type SecurityPolicyProjectCreatePayload = {
    __typename?: 'SecurityPolicyProjectCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Security Policy Project that was created. */
    project?: Maybe<Project>;
};
/** Autogenerated input type of SecurityPolicyProjectUnassign */
export type SecurityPolicyProjectUnassignInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project or group. */
    fullPath?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of SecurityPolicyProjectUnassign. */
export type SecurityPolicyProjectUnassignPayload = {
    __typename?: 'SecurityPolicyProjectUnassignPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export declare enum SecurityPolicyRelationType {
    /** Policies defined for the group's descendant projects/groups only. Only valid for group-level policies. */
    Descendant = "DESCENDANT",
    /** Policies defined for the project/group only. */
    Direct = "DIRECT",
    /** Policies defined for the project/group and ancestor groups. */
    Inherited = "INHERITED",
    /** Policies defined for the project/group's ancestor groups only. */
    InheritedOnly = "INHERITED_ONLY"
}
/** Represents a policy source. Its fields depend on the source type. */
export type SecurityPolicySource = GroupSecurityPolicySource | ProjectSecurityPolicySource;
/** Security policy validation error */
export type SecurityPolicyValidationError = {
    __typename?: 'SecurityPolicyValidationError';
    /** Error field. */
    field: Scalars['String']['output'];
    /** Error level. */
    level: Scalars['String']['output'];
    /** Error message. */
    message: Scalars['String']['output'];
    /** Error title. */
    title?: Maybe<Scalars['String']['output']>;
};
/** Represents summary of a security report */
export type SecurityReportSummary = {
    __typename?: 'SecurityReportSummary';
    /** Aggregated counts for the `api_fuzzing` scan */
    apiFuzzing?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `cluster_image_scanning` scan */
    clusterImageScanning?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `container_scanning` scan */
    containerScanning?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `container_scanning_for_registry` scan */
    containerScanningForRegistry?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `coverage_fuzzing` scan */
    coverageFuzzing?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `dast` scan */
    dast?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `dependency_scanning` scan */
    dependencyScanning?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `generic` scan */
    generic?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `sast` scan */
    sast?: Maybe<SecurityReportSummarySection>;
    /** Aggregated counts for the `secret_detection` scan */
    secretDetection?: Maybe<SecurityReportSummarySection>;
};
/** Represents a section of a summary of a security report */
export type SecurityReportSummarySection = {
    __typename?: 'SecurityReportSummarySection';
    /** List of the first 20 scanned resources. */
    scannedResources?: Maybe<ScannedResourceConnection>;
    /** Total number of scanned resources. */
    scannedResourcesCount?: Maybe<Scalars['Int']['output']>;
    /** Path to download all the scanned resources in CSV format. */
    scannedResourcesCsvPath?: Maybe<Scalars['String']['output']>;
    /** List of security scans ran for the type. */
    scans: ScanConnection;
    /** Total number of vulnerabilities. */
    vulnerabilitiesCount?: Maybe<Scalars['Int']['output']>;
};
/** Represents a section of a summary of a security report */
export type SecurityReportSummarySectionScannedResourcesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a section of a summary of a security report */
export type SecurityReportSummarySectionScansArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export declare enum SecurityReportTypeEnum {
    /** API FUZZING scan report */
    ApiFuzzing = "API_FUZZING",
    /** BREACH AND ATTACK SIMULATION scan report */
    BreachAndAttackSimulation = "BREACH_AND_ATTACK_SIMULATION",
    /** CLUSTER IMAGE SCANNING scan report */
    ClusterImageScanning = "CLUSTER_IMAGE_SCANNING",
    /** CONTAINER SCANNING scan report */
    ContainerScanning = "CONTAINER_SCANNING",
    /** COVERAGE FUZZING scan report */
    CoverageFuzzing = "COVERAGE_FUZZING",
    /** DAST scan report */
    Dast = "DAST",
    /** DEPENDENCY SCANNING scan report */
    DependencyScanning = "DEPENDENCY_SCANNING",
    /** SAST scan report */
    Sast = "SAST",
    /** SAST ADVANCED scan report */
    SastAdvanced = "SAST_ADVANCED",
    /** SAST IAC scan report */
    SastIac = "SAST_IAC",
    /** SECRET DETECTION scan report */
    SecretDetection = "SECRET_DETECTION"
}
/** The type of the security scanner */
export declare enum SecurityScannerType {
    /** API Fuzzing scanner */
    ApiFuzzing = "API_FUZZING",
    /** Breach And Attack Simulation scanner */
    BreachAndAttackSimulation = "BREACH_AND_ATTACK_SIMULATION",
    /** Cluster Image Scanning scanner */
    ClusterImageScanning = "CLUSTER_IMAGE_SCANNING",
    /** Container Scanning scanner */
    ContainerScanning = "CONTAINER_SCANNING",
    /** Coverage Fuzzing scanner */
    CoverageFuzzing = "COVERAGE_FUZZING",
    /** DAST scanner */
    Dast = "DAST",
    /** Dependency Scanning scanner */
    DependencyScanning = "DEPENDENCY_SCANNING",
    /** SAST scanner */
    Sast = "SAST",
    /** Sast Advanced scanner */
    SastAdvanced = "SAST_ADVANCED",
    /** Sast Iac scanner */
    SastIac = "SAST_IAC",
    /** Secret Detection scanner */
    SecretDetection = "SECRET_DETECTION"
}
/** Represents a list of security scanners */
export type SecurityScanners = {
    __typename?: 'SecurityScanners';
    /** List of analyzers which are available for the project. */
    available?: Maybe<Array<SecurityScannerType>>;
    /** List of analyzers which are enabled for the project. */
    enabled?: Maybe<Array<SecurityScannerType>>;
    /** List of analyzers which ran successfully in the latest pipeline. */
    pipelineRun?: Maybe<Array<SecurityScannerType>>;
};
/** Autogenerated input type of SecurityTrainingUpdate */
export type SecurityTrainingUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Sets the training provider as enabled for the project. */
    isEnabled: Scalars['Boolean']['input'];
    /** Sets the training provider as primary for the project. */
    isPrimary?: InputMaybe<Scalars['Boolean']['input']>;
    /** Full path of the project. */
    projectPath: Scalars['ID']['input'];
    /** ID of the provider. */
    providerId: Scalars['SecurityTrainingProviderID']['input'];
};
/** Autogenerated return type of SecurityTrainingUpdate. */
export type SecurityTrainingUpdatePayload = {
    __typename?: 'SecurityTrainingUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Represents the training entity subject to mutation. */
    training?: Maybe<ProjectSecurityTraining>;
};
/** Represents a URL related to a security training */
export type SecurityTrainingUrl = {
    __typename?: 'SecurityTrainingUrl';
    /** Name of the vulnerability identifier. */
    identifier?: Maybe<Scalars['String']['output']>;
    /** Name of the training provider. */
    name?: Maybe<Scalars['String']['output']>;
    /** Status of the request to training provider. */
    status?: Maybe<TrainingUrlRequestStatus>;
    /** URL of the link for security training content. */
    url?: Maybe<Scalars['String']['output']>;
};
/** A Sentry error */
export type SentryDetailedError = {
    __typename?: 'SentryDetailedError';
    /** Count of occurrences. */
    count: Scalars['Int']['output'];
    /** Culprit of the error. */
    culprit: Scalars['String']['output'];
    /** External Base URL of the Sentry Instance. */
    externalBaseUrl: Scalars['String']['output'];
    /** External URL of the error. */
    externalUrl: Scalars['String']['output'];
    /** Commit the error was first seen. */
    firstReleaseLastCommit?: Maybe<Scalars['String']['output']>;
    /** Release short version the error was first seen. */
    firstReleaseShortVersion?: Maybe<Scalars['String']['output']>;
    /** Release version the error was first seen. */
    firstReleaseVersion?: Maybe<Scalars['String']['output']>;
    /** Timestamp when the error was first seen. */
    firstSeen: Scalars['Time']['output'];
    /** Last 24hr stats of the error. */
    frequency: Array<SentryErrorFrequency>;
    /** GitLab commit SHA attributed to the Error based on the release version. */
    gitlabCommit?: Maybe<Scalars['String']['output']>;
    /** Path to the GitLab page for the GitLab commit attributed to the error. */
    gitlabCommitPath?: Maybe<Scalars['String']['output']>;
    /** URL of GitLab Issue. */
    gitlabIssuePath?: Maybe<Scalars['String']['output']>;
    /** ID (global ID) of the error. */
    id: Scalars['ID']['output'];
    /** Error tracking backend. */
    integrated?: Maybe<Scalars['Boolean']['output']>;
    /** Commit the error was last seen. */
    lastReleaseLastCommit?: Maybe<Scalars['String']['output']>;
    /** Release short version the error was last seen. */
    lastReleaseShortVersion?: Maybe<Scalars['String']['output']>;
    /** Release version the error was last seen. */
    lastReleaseVersion?: Maybe<Scalars['String']['output']>;
    /** Timestamp when the error was last seen. */
    lastSeen: Scalars['Time']['output'];
    /** Sentry metadata message of the error. */
    message?: Maybe<Scalars['String']['output']>;
    /** ID (Sentry ID) of the error. */
    sentryId: Scalars['String']['output'];
    /** ID of the project (Sentry project). */
    sentryProjectId: Scalars['ID']['output'];
    /** Name of the project affected by the error. */
    sentryProjectName: Scalars['String']['output'];
    /** Slug of the project affected by the error. */
    sentryProjectSlug: Scalars['String']['output'];
    /** Short ID (Sentry ID) of the error. */
    shortId: Scalars['String']['output'];
    /** Status of the error. */
    status: SentryErrorStatus;
    /** Tags associated with the Sentry Error. */
    tags: SentryErrorTags;
    /** Title of the error. */
    title: Scalars['String']['output'];
    /** Type of the error. */
    type: Scalars['String']['output'];
    /** Count of users affected by the error. */
    userCount: Scalars['Int']['output'];
};
/** A Sentry error. A simplified version of SentryDetailedError */
export type SentryError = {
    __typename?: 'SentryError';
    /** Count of occurrences. */
    count: Scalars['Int']['output'];
    /** Culprit of the error. */
    culprit: Scalars['String']['output'];
    /** External URL of the error. */
    externalUrl: Scalars['String']['output'];
    /** Timestamp when the error was first seen. */
    firstSeen: Scalars['Time']['output'];
    /** Last 24hr stats of the error. */
    frequency: Array<SentryErrorFrequency>;
    /** ID (global ID) of the error. */
    id: Scalars['ID']['output'];
    /** Timestamp when the error was last seen. */
    lastSeen: Scalars['Time']['output'];
    /** Sentry metadata message of the error. */
    message?: Maybe<Scalars['String']['output']>;
    /** ID (Sentry ID) of the error. */
    sentryId: Scalars['String']['output'];
    /** ID of the project (Sentry project). */
    sentryProjectId: Scalars['ID']['output'];
    /** Name of the project affected by the error. */
    sentryProjectName: Scalars['String']['output'];
    /** Slug of the project affected by the error. */
    sentryProjectSlug: Scalars['String']['output'];
    /** Short ID (Sentry ID) of the error. */
    shortId: Scalars['String']['output'];
    /** Status of the error. */
    status: SentryErrorStatus;
    /** Title of the error. */
    title: Scalars['String']['output'];
    /** Type of the error. */
    type: Scalars['String']['output'];
    /** Count of users affected by the error. */
    userCount: Scalars['Int']['output'];
};
/** An object containing a collection of Sentry errors, and a detailed error */
export type SentryErrorCollection = {
    __typename?: 'SentryErrorCollection';
    /** Detailed version of a Sentry error on the project. */
    detailedError?: Maybe<SentryDetailedError>;
    /** Stack Trace of Sentry Error. */
    errorStackTrace?: Maybe<SentryErrorStackTrace>;
    /** Collection of Sentry Errors. */
    errors?: Maybe<SentryErrorConnection>;
    /** External URL for Sentry. */
    externalUrl?: Maybe<Scalars['String']['output']>;
};
/** An object containing a collection of Sentry errors, and a detailed error */
export type SentryErrorCollectionDetailedErrorArgs = {
    id: Scalars['GitlabErrorTrackingDetailedErrorID']['input'];
};
/** An object containing a collection of Sentry errors, and a detailed error */
export type SentryErrorCollectionErrorStackTraceArgs = {
    id: Scalars['GitlabErrorTrackingDetailedErrorID']['input'];
};
/** An object containing a collection of Sentry errors, and a detailed error */
export type SentryErrorCollectionErrorsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    searchTerm?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<Scalars['String']['input']>;
};
/** The connection type for SentryError. */
export type SentryErrorConnection = {
    __typename?: 'SentryErrorConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SentryErrorEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SentryError>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SentryErrorEdge = {
    __typename?: 'SentryErrorEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SentryError>;
};
export type SentryErrorFrequency = {
    __typename?: 'SentryErrorFrequency';
    /** Count of errors received since the previously recorded time. */
    count: Scalars['Int']['output'];
    /** Time the error frequency stats were recorded. */
    time: Scalars['Time']['output'];
};
/** An object containing a stack trace entry for a Sentry error */
export type SentryErrorStackTrace = {
    __typename?: 'SentryErrorStackTrace';
    /** Time the stack trace was received by Sentry. */
    dateReceived: Scalars['String']['output'];
    /** ID of the Sentry error. */
    issueId: Scalars['String']['output'];
    /** Stack trace entries for the Sentry error. */
    stackTraceEntries: Array<SentryErrorStackTraceEntry>;
};
/** An object context for a Sentry error stack trace */
export type SentryErrorStackTraceContext = {
    __typename?: 'SentryErrorStackTraceContext';
    /** Code number of the context. */
    code: Scalars['String']['output'];
    /** Line number of the context. */
    line: Scalars['Int']['output'];
};
/** An object containing a stack trace entry for a Sentry error */
export type SentryErrorStackTraceEntry = {
    __typename?: 'SentryErrorStackTraceEntry';
    /** Function in which the Sentry error occurred. */
    col?: Maybe<Scalars['String']['output']>;
    /** File in which the Sentry error occurred. */
    fileName?: Maybe<Scalars['String']['output']>;
    /** Function in which the Sentry error occurred. */
    function?: Maybe<Scalars['String']['output']>;
    /** Function in which the Sentry error occurred. */
    line?: Maybe<Scalars['String']['output']>;
    /** Context of the Sentry error. */
    traceContext?: Maybe<Array<SentryErrorStackTraceContext>>;
};
/** State of a Sentry error */
export declare enum SentryErrorStatus {
    /** Error has been ignored. */
    Ignored = "IGNORED",
    /** Error has been resolved. */
    Resolved = "RESOLVED",
    /** Error has been ignored until next release. */
    ResolvedInNextRelease = "RESOLVED_IN_NEXT_RELEASE",
    /** Error is unresolved. */
    Unresolved = "UNRESOLVED"
}
/** State of a Sentry error */
export type SentryErrorTags = {
    __typename?: 'SentryErrorTags';
    /** Severity level of the Sentry Error. */
    level?: Maybe<Scalars['String']['output']>;
    /** Logger of the Sentry Error. */
    logger?: Maybe<Scalars['String']['output']>;
};
export type Service = {
    /** Indicates if the service is active. */
    active?: Maybe<Scalars['Boolean']['output']>;
    /** Type of the service. */
    serviceType?: Maybe<ServiceType>;
    /** Class name of the service. */
    type?: Maybe<Scalars['String']['output']>;
};
/** The connection type for Service. */
export type ServiceConnection = {
    __typename?: 'ServiceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ServiceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Service>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type ServiceEdge = {
    __typename?: 'ServiceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Service>;
};
export declare enum ServiceType {
    /** AppleAppStoreService type */
    AppleAppStoreService = "APPLE_APP_STORE_SERVICE",
    /** AsanaService type */
    AsanaService = "ASANA_SERVICE",
    /** AssemblaService type */
    AssemblaService = "ASSEMBLA_SERVICE",
    /** BambooService type */
    BambooService = "BAMBOO_SERVICE",
    /** BugzillaService type */
    BugzillaService = "BUGZILLA_SERVICE",
    /** BuildkiteService type */
    BuildkiteService = "BUILDKITE_SERVICE",
    /** CampfireService type */
    CampfireService = "CAMPFIRE_SERVICE",
    /** ClickupService type */
    ClickupService = "CLICKUP_SERVICE",
    /** ConfluenceService type */
    ConfluenceService = "CONFLUENCE_SERVICE",
    /** CustomIssueTrackerService type */
    CustomIssueTrackerService = "CUSTOM_ISSUE_TRACKER_SERVICE",
    /** DatadogService type */
    DatadogService = "DATADOG_SERVICE",
    /** DiffblueCoverService type */
    DiffblueCoverService = "DIFFBLUE_COVER_SERVICE",
    /** DiscordService type */
    DiscordService = "DISCORD_SERVICE",
    /** DroneCiService type */
    DroneCiService = "DRONE_CI_SERVICE",
    /** EmailsOnPushService type */
    EmailsOnPushService = "EMAILS_ON_PUSH_SERVICE",
    /** EwmService type */
    EwmService = "EWM_SERVICE",
    /** ExternalWikiService type */
    ExternalWikiService = "EXTERNAL_WIKI_SERVICE",
    /** GithubService type */
    GithubService = "GITHUB_SERVICE",
    /** GitlabSlackApplicationService type */
    GitlabSlackApplicationService = "GITLAB_SLACK_APPLICATION_SERVICE",
    /** GoogleCloudPlatformArtifactRegistryService type */
    GoogleCloudPlatformArtifactRegistryService = "GOOGLE_CLOUD_PLATFORM_ARTIFACT_REGISTRY_SERVICE",
    /** GoogleCloudPlatformWorkloadIdentityFederationService type */
    GoogleCloudPlatformWorkloadIdentityFederationService = "GOOGLE_CLOUD_PLATFORM_WORKLOAD_IDENTITY_FEDERATION_SERVICE",
    /** GooglePlayService type */
    GooglePlayService = "GOOGLE_PLAY_SERVICE",
    /** HangoutsChatService type */
    HangoutsChatService = "HANGOUTS_CHAT_SERVICE",
    /** HarborService type */
    HarborService = "HARBOR_SERVICE",
    /** IrkerService type */
    IrkerService = "IRKER_SERVICE",
    /** JenkinsService type */
    JenkinsService = "JENKINS_SERVICE",
    /** JiraService type */
    JiraService = "JIRA_SERVICE",
    /** MattermostService type */
    MattermostService = "MATTERMOST_SERVICE",
    /** MattermostSlashCommandsService type */
    MattermostSlashCommandsService = "MATTERMOST_SLASH_COMMANDS_SERVICE",
    /** MicrosoftTeamsService type */
    MicrosoftTeamsService = "MICROSOFT_TEAMS_SERVICE",
    /** PackagistService type */
    PackagistService = "PACKAGIST_SERVICE",
    /** PhorgeService type */
    PhorgeService = "PHORGE_SERVICE",
    /** PipelinesEmailService type */
    PipelinesEmailService = "PIPELINES_EMAIL_SERVICE",
    /** PivotaltrackerService type */
    PivotaltrackerService = "PIVOTALTRACKER_SERVICE",
    /** PrometheusService type */
    PrometheusService = "PROMETHEUS_SERVICE",
    /** PumbleService type */
    PumbleService = "PUMBLE_SERVICE",
    /** PushoverService type */
    PushoverService = "PUSHOVER_SERVICE",
    /** RedmineService type */
    RedmineService = "REDMINE_SERVICE",
    /** SlackService type */
    SlackService = "SLACK_SERVICE",
    /** SlackSlashCommandsService type */
    SlackSlashCommandsService = "SLACK_SLASH_COMMANDS_SERVICE",
    /** SquashTmService type */
    SquashTmService = "SQUASH_TM_SERVICE",
    /** TeamcityService type */
    TeamcityService = "TEAMCITY_SERVICE",
    /** TelegramService type */
    TelegramService = "TELEGRAM_SERVICE",
    /** UnifyCircuitService type */
    UnifyCircuitService = "UNIFY_CIRCUIT_SERVICE",
    /** WebexTeamsService type */
    WebexTeamsService = "WEBEX_TEAMS_SERVICE",
    /** YoutrackService type */
    YoutrackService = "YOUTRACK_SERVICE",
    /** ZentaoService type */
    ZentaoService = "ZENTAO_SERVICE"
}
/** Autogenerated input type of SetContainerScanningForRegistry */
export type SetContainerScanningForRegistryInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Desired status for Container Scanning on Container Registry feature. */
    enable: Scalars['Boolean']['input'];
    /** Full path of the namespace (project). */
    namespacePath: Scalars['ID']['input'];
};
/** Autogenerated return type of SetContainerScanningForRegistry. */
export type SetContainerScanningForRegistryPayload = {
    __typename?: 'SetContainerScanningForRegistryPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Whether the feature is enabled. */
    containerScanningForRegistryEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of SetPreReceiveSecretDetection */
export type SetPreReceiveSecretDetectionInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Desired status for secret push protection feature. */
    enable: Scalars['Boolean']['input'];
    /** Full path of the namespace (project). */
    namespacePath: Scalars['ID']['input'];
};
/** Autogenerated return type of SetPreReceiveSecretDetection. */
export type SetPreReceiveSecretDetectionPayload = {
    __typename?: 'SetPreReceiveSecretDetectionPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Whether the feature is enabled. */
    preReceiveSecretDetectionEnabled?: Maybe<Scalars['Boolean']['output']>;
};
/** How to format SHA strings. */
export declare enum ShaFormat {
    /** Unabbreviated format. */
    Long = "LONG",
    /** Abbreviated format. Short SHAs are typically eight characters long. */
    Short = "SHORT"
}
export declare enum SharedRunnersSetting {
    /** Sharing of runners is disabled and overridable. */
    DisabledAndOverridable = "DISABLED_AND_OVERRIDABLE",
    /** Sharing of runners is disabled and unoverridable. */
    DisabledAndUnoverridable = "DISABLED_AND_UNOVERRIDABLE",
    /** Sharing of runners is enabled. */
    Enabled = "ENABLED"
}
/** Represents a snippet entry */
export type Snippet = NoteableInterface & {
    __typename?: 'Snippet';
    /** Owner of the snippet. */
    author?: Maybe<UserCore>;
    /** Snippet blobs. */
    blobs?: Maybe<SnippetBlobConnection>;
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Timestamp this snippet was created. */
    createdAt: Scalars['Time']['output'];
    /** Description of the snippet. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** File Name of the snippet. */
    fileName?: Maybe<Scalars['String']['output']>;
    /** Indicates the snippet is hidden because the author has been banned. */
    hidden: Scalars['Boolean']['output'];
    /** HTTP URL to the snippet repository. */
    httpUrlToRepo?: Maybe<Scalars['String']['output']>;
    /** ID of the snippet. */
    id: Scalars['SnippetID']['output'];
    /** Indicates whether the snippet was imported. */
    imported: Scalars['Boolean']['output'];
    /** Import source of the snippet. */
    importedFrom: ImportSource;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** Project the snippet is associated with. */
    project?: Maybe<Project>;
    /** Raw URL of the snippet. */
    rawUrl: Scalars['String']['output'];
    /** SSH URL to the snippet repository. */
    sshUrlToRepo?: Maybe<Scalars['String']['output']>;
    /** Title of the snippet. */
    title: Scalars['String']['output'];
    /** Timestamp this snippet was updated. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: SnippetPermissions;
    /** Visibility Level of the snippet. */
    visibilityLevel: VisibilityLevelsEnum;
    /** Web URL of the snippet. */
    webUrl: Scalars['String']['output'];
};
/** Represents a snippet entry */
export type SnippetBlobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    paths?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Represents a snippet entry */
export type SnippetCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a snippet entry */
export type SnippetDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a snippet entry */
export type SnippetNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents the snippet blob */
export type SnippetBlob = {
    __typename?: 'SnippetBlob';
    /** Shows whether the blob is binary. */
    binary: Scalars['Boolean']['output'];
    /** Blob external storage. */
    externalStorage?: Maybe<Scalars['String']['output']>;
    /** Blob mode. */
    mode?: Maybe<Scalars['String']['output']>;
    /** Blob name. */
    name?: Maybe<Scalars['String']['output']>;
    /** Blob path. */
    path?: Maybe<Scalars['String']['output']>;
    /** Blob plain highlighted data. */
    plainData?: Maybe<Scalars['String']['output']>;
    /** Blob raw content endpoint path. */
    rawPath: Scalars['String']['output'];
    /** Raw content of the blob, if the blob is text data. */
    rawPlainData?: Maybe<Scalars['String']['output']>;
    /** Shows whether the blob is rendered as text. */
    renderedAsText: Scalars['Boolean']['output'];
    /** Blob highlighted data. */
    richData?: Maybe<Scalars['String']['output']>;
    /** Blob content rich viewer. */
    richViewer?: Maybe<SnippetBlobViewer>;
    /** Blob content simple viewer. */
    simpleViewer: SnippetBlobViewer;
    /** Blob size. */
    size: Scalars['Int']['output'];
};
/** Type of a snippet blob input action */
export declare enum SnippetBlobActionEnum {
    /** Create a snippet blob. */
    Create = "create",
    /** Delete a snippet blob. */
    Delete = "delete",
    /** Move a snippet blob. */
    Move = "move",
    /** Update a snippet blob. */
    Update = "update"
}
/** Represents an action to perform over a snippet file */
export type SnippetBlobActionInputType = {
    /** Type of input action. */
    action: SnippetBlobActionEnum;
    /** Snippet file content. */
    content?: InputMaybe<Scalars['String']['input']>;
    /** Path of the snippet file. */
    filePath: Scalars['String']['input'];
    /** Previous path of the snippet file. */
    previousPath?: InputMaybe<Scalars['String']['input']>;
};
/** The connection type for SnippetBlob. */
export type SnippetBlobConnection = {
    __typename?: 'SnippetBlobConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SnippetBlobEdge>>>;
    /** Indicates if the snippet has unretrievable blobs. */
    hasUnretrievableBlobs: Scalars['Boolean']['output'];
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SnippetBlob>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SnippetBlobEdge = {
    __typename?: 'SnippetBlobEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SnippetBlob>;
};
/** Represents how the blob content should be displayed */
export type SnippetBlobViewer = {
    __typename?: 'SnippetBlobViewer';
    /** Shows whether the blob should be displayed collapsed. */
    collapsed: Scalars['Boolean']['output'];
    /** Content file type. */
    fileType: Scalars['String']['output'];
    /** Shows whether the blob content is loaded asynchronously. */
    loadAsync: Scalars['Boolean']['output'];
    /** Loading partial name. */
    loadingPartialName: Scalars['String']['output'];
    /** Error rendering the blob content. */
    renderError?: Maybe<Scalars['String']['output']>;
    /** Shows whether the blob is too large to be displayed. */
    tooLarge: Scalars['Boolean']['output'];
    /** Type of blob viewer. */
    type: BlobViewersType;
};
/** The connection type for Snippet. */
export type SnippetConnection = {
    __typename?: 'SnippetConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SnippetEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Snippet>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SnippetEdge = {
    __typename?: 'SnippetEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Snippet>;
};
export type SnippetPermissions = {
    __typename?: 'SnippetPermissions';
    /** If `true`, the user can perform `admin_snippet` on this resource */
    adminSnippet: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `award_emoji` on this resource */
    awardEmoji: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_note` on this resource */
    createNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_snippet` on this resource */
    readSnippet: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `report_snippet` on this resource */
    reportSnippet: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_snippet` on this resource */
    updateSnippet: Scalars['Boolean']['output'];
};
/** Represents the Geo sync and verification state of a snippet repository */
export type SnippetRepositoryRegistry = {
    __typename?: 'SnippetRepositoryRegistry';
    /** Timestamp when the SnippetRepositoryRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the SnippetRepositoryRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the SnippetRepositoryRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the SnippetRepositoryRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the SnippetRepositoryRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the SnippetRepositoryRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** ID of the Snippet Repository. */
    snippetRepositoryId: Scalars['ID']['output'];
    /** Sync state of the SnippetRepositoryRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the SnippetRepositoryRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the SnippetRepositoryRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the SnippetRepositoryRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the SnippetRepositoryRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of SnippetRepositoryRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the SnippetRepositoryRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the SnippetRepositoryRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for SnippetRepositoryRegistry. */
export type SnippetRepositoryRegistryConnection = {
    __typename?: 'SnippetRepositoryRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SnippetRepositoryRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SnippetRepositoryRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SnippetRepositoryRegistryEdge = {
    __typename?: 'SnippetRepositoryRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SnippetRepositoryRegistry>;
};
/** Common sort values */
export declare enum Sort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** Values for sort direction */
export declare enum SortDirectionEnum {
    /** Ascending order. */
    Asc = "ASC",
    /** Descending order. */
    Desc = "DESC"
}
/** SSH signature for a signed commit */
export type SshSignature = CommitSignature & {
    __typename?: 'SshSignature';
    /** SHA of the associated commit. */
    commitSha?: Maybe<Scalars['String']['output']>;
    /** SSH key used for the signature. */
    key?: Maybe<Key>;
    /** Fingerprint of the key. */
    keyFingerprintSha256?: Maybe<Scalars['String']['output']>;
    /** Project of the associated commit. */
    project?: Maybe<Project>;
    /** User associated with the key. */
    user?: Maybe<UserCore>;
    /** Indicates verification status of the associated key or certificate. */
    verificationStatus?: Maybe<VerificationStatus>;
};
/** Progress of standards adherence checks */
export type StandardsAdherenceChecksStatus = {
    __typename?: 'StandardsAdherenceChecksStatus';
    /** Number of adherence checks successfully completed. */
    checksCompleted: Scalars['Int']['output'];
    /** UTC timestamp when the adherence checks scan was started. */
    startedAt: Scalars['Time']['output'];
    /** Number of adherence checks multiplied by the number of projects in the group. */
    totalChecks: Scalars['Int']['output'];
};
/** Autogenerated input type of StarProject */
export type StarProjectInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project to star or unstar. */
    projectId: Scalars['ProjectID']['input'];
    /** Indicates whether to star or unstar the project. */
    starred: Scalars['Boolean']['input'];
};
/** Autogenerated return type of StarProject. */
export type StarProjectPayload = {
    __typename?: 'StarProjectPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Number of stars for the project. */
    count: Scalars['String']['output'];
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type StatusAction = {
    __typename?: 'StatusAction';
    /** Title for the button, for example: Retry this job. */
    buttonTitle?: Maybe<Scalars['String']['output']>;
    /**
     * Custom confirmation message for a manual job. Introduced in GitLab 17.0: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.0.
     */
    confirmationMessage?: Maybe<Scalars['String']['output']>;
    /** Icon used in the action button. */
    icon?: Maybe<Scalars['String']['output']>;
    /** ID for a status action. */
    id: Scalars['String']['output'];
    /** Method for the action, for example: :post. */
    method?: Maybe<Scalars['String']['output']>;
    /** Path for the action. */
    path?: Maybe<Scalars['String']['output']>;
    /** Title for the action, for example: Retry. */
    title?: Maybe<Scalars['String']['output']>;
};
export type StatusFilterInput = {
    /** Status of the work item. */
    status: RequirementStatusFilter;
};
export type StatusInput = {
    /** Status to assign to the work item. */
    status: TestReportState;
};
export type Submodule = Entry & {
    __typename?: 'Submodule';
    /** Flat path of the entry. */
    flatPath: Scalars['String']['output'];
    /** ID of the entry. */
    id: Scalars['ID']['output'];
    /** Name of the entry. */
    name: Scalars['String']['output'];
    /** Path of the entry. */
    path: Scalars['String']['output'];
    /** Last commit SHA for the entry. */
    sha: Scalars['String']['output'];
    /** Tree URL for the sub-module. */
    treeUrl?: Maybe<Scalars['String']['output']>;
    /** Type of tree entry. */
    type: EntryType;
    /** Web URL for the sub-module. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** The connection type for Submodule. */
export type SubmoduleConnection = {
    __typename?: 'SubmoduleConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SubmoduleEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Submodule>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SubmoduleEdge = {
    __typename?: 'SubmoduleEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Submodule>;
};
export type Subscription = {
    __typename?: 'Subscription';
    /**
     * Triggered when a response from AI integration is received. Introduced in GitLab 15.11: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.11.
     */
    aiCompletionResponse?: Maybe<AiMessage>;
    /** Triggered when the assignees of an issuable are updated. */
    issuableAssigneesUpdated?: Maybe<Issuable>;
    /** Triggered when the due date or start date of an issuable is updated. */
    issuableDatesUpdated?: Maybe<Issuable>;
    /** Triggered when the description of an issuable is updated. */
    issuableDescriptionUpdated?: Maybe<Issuable>;
    /** Triggered when the epic of an issuable is updated. */
    issuableEpicUpdated?: Maybe<Issuable>;
    /** Triggered when the health status of an issuable is updated. */
    issuableHealthStatusUpdated?: Maybe<Issuable>;
    /** Triggered when the iteration of an issuable is updated. */
    issuableIterationUpdated?: Maybe<Issuable>;
    /** Triggered when the labels of an issuable are updated. */
    issuableLabelsUpdated?: Maybe<Issuable>;
    /** Triggered when the milestone of an issuable is updated. */
    issuableMilestoneUpdated?: Maybe<Issuable>;
    /** Triggered when the title of an issuable is updated. */
    issuableTitleUpdated?: Maybe<Issuable>;
    /** Triggered when the weight of an issuable is updated. */
    issuableWeightUpdated?: Maybe<Issuable>;
    /** Triggered when the crm contacts of an issuable are updated. */
    issueCrmContactsUpdated?: Maybe<Issuable>;
    /** Triggered when approval state of a merge request is updated. */
    mergeRequestApprovalStateUpdated?: Maybe<Issuable>;
    /** Triggered when a merge request diff is generated. */
    mergeRequestDiffGenerated?: Maybe<Issuable>;
    /** Triggered when the merge status of a merge request is updated. */
    mergeRequestMergeStatusUpdated?: Maybe<Issuable>;
    /** Triggered when the reviewers of a merge request are updated. */
    mergeRequestReviewersUpdated?: Maybe<Issuable>;
    /**
     * Triggered when a note is created. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    workItemNoteCreated?: Maybe<Note>;
    /**
     * Triggered when a note is deleted. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    workItemNoteDeleted?: Maybe<DeletedNote>;
    /**
     * Triggered when a note is updated. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    workItemNoteUpdated?: Maybe<Note>;
    /** Triggered when a work item is updated. */
    workItemUpdated?: Maybe<WorkItem>;
};
export type SubscriptionAiCompletionResponseArgs = {
    agentVersionId?: InputMaybe<Scalars['AiAgentVersionID']['input']>;
    aiAction?: InputMaybe<AiAction>;
    clientSubscriptionId?: InputMaybe<Scalars['String']['input']>;
    resourceId?: InputMaybe<Scalars['AiModelID']['input']>;
    userId?: InputMaybe<Scalars['UserID']['input']>;
};
export type SubscriptionIssuableAssigneesUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableDatesUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableDescriptionUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableEpicUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableHealthStatusUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableIterationUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableLabelsUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableMilestoneUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableTitleUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssuableWeightUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionIssueCrmContactsUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionMergeRequestApprovalStateUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionMergeRequestDiffGeneratedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionMergeRequestMergeStatusUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionMergeRequestReviewersUpdatedArgs = {
    issuableId: Scalars['IssuableID']['input'];
};
export type SubscriptionWorkItemNoteCreatedArgs = {
    noteableId?: InputMaybe<Scalars['NoteableID']['input']>;
};
export type SubscriptionWorkItemNoteDeletedArgs = {
    noteableId?: InputMaybe<Scalars['NoteableID']['input']>;
};
export type SubscriptionWorkItemNoteUpdatedArgs = {
    noteableId?: InputMaybe<Scalars['NoteableID']['input']>;
};
export type SubscriptionWorkItemUpdatedArgs = {
    workItemId: Scalars['WorkItemID']['input'];
};
/** Represents an entry from the future subscriptions */
export type SubscriptionFutureEntry = {
    __typename?: 'SubscriptionFutureEntry';
    /** Company of the licensee. */
    company?: Maybe<Scalars['String']['output']>;
    /** Email of the licensee. */
    email?: Maybe<Scalars['String']['output']>;
    /** Date when the license expires. */
    expiresAt?: Maybe<Scalars['Date']['output']>;
    /** Name of the licensee. */
    name?: Maybe<Scalars['String']['output']>;
    /** Name of the subscription plan. */
    plan: Scalars['String']['output'];
    /** Date when the license started. */
    startsAt?: Maybe<Scalars['Date']['output']>;
    /** Type of license the subscription will yield. */
    type: Scalars['String']['output'];
    /** Number of paid user seats. */
    usersInLicenseCount?: Maybe<Scalars['Int']['output']>;
};
/** The connection type for SubscriptionFutureEntry. */
export type SubscriptionFutureEntryConnection = {
    __typename?: 'SubscriptionFutureEntryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<SubscriptionFutureEntryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<SubscriptionFutureEntry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type SubscriptionFutureEntryEdge = {
    __typename?: 'SubscriptionFutureEntryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<SubscriptionFutureEntry>;
};
/** Represents a Suggested Reviewers result set */
export type SuggestedReviewersType = {
    __typename?: 'SuggestedReviewersType';
    /** List of accepted reviewer usernames. */
    accepted?: Maybe<Array<Scalars['String']['output']>>;
    /** Timestamp of when the suggestions were created. */
    createdAt: Scalars['Time']['output'];
    /** List of suggested reviewer usernames. */
    suggested: Array<Scalars['String']['output']>;
    /** Timestamp of when the suggestions were updated. */
    updatedAt: Scalars['Time']['output'];
};
export type SystemNoteMetadata = {
    __typename?: 'SystemNoteMetadata';
    /** System note metadata action. */
    action?: Maybe<Scalars['String']['output']>;
    /** Version of the changed description. */
    descriptionVersion?: Maybe<DescriptionVersion>;
    /** Global ID of the specific system note metadata. */
    id: Scalars['SystemNoteMetadataID']['output'];
};
/** Completion status of tasks */
export type TaskCompletionStatus = {
    __typename?: 'TaskCompletionStatus';
    /** Number of completed tasks. */
    completedCount: Scalars['Int']['output'];
    /** Number of total tasks. */
    count: Scalars['Int']['output'];
};
export type TerraformState = {
    __typename?: 'TerraformState';
    /** Timestamp the Terraform state was created. */
    createdAt: Scalars['Time']['output'];
    /** Timestamp the Terraform state was deleted. */
    deletedAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Terraform state. */
    id: Scalars['ID']['output'];
    /** Latest version of the Terraform state. */
    latestVersion?: Maybe<TerraformStateVersion>;
    /** Timestamp the Terraform state was locked. */
    lockedAt?: Maybe<Scalars['Time']['output']>;
    /** User currently holding a lock on the Terraform state. */
    lockedByUser?: Maybe<UserCore>;
    /** Name of the Terraform state. */
    name: Scalars['String']['output'];
    /** Timestamp the Terraform state was updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for TerraformState. */
export type TerraformStateConnection = {
    __typename?: 'TerraformStateConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TerraformStateEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TerraformState>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of TerraformStateDelete */
export type TerraformStateDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the Terraform state. */
    id: Scalars['TerraformStateID']['input'];
};
/** Autogenerated return type of TerraformStateDelete. */
export type TerraformStateDeletePayload = {
    __typename?: 'TerraformStateDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type TerraformStateEdge = {
    __typename?: 'TerraformStateEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TerraformState>;
};
/** Autogenerated input type of TerraformStateLock */
export type TerraformStateLockInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the Terraform state. */
    id: Scalars['TerraformStateID']['input'];
};
/** Autogenerated return type of TerraformStateLock. */
export type TerraformStateLockPayload = {
    __typename?: 'TerraformStateLockPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of TerraformStateUnlock */
export type TerraformStateUnlockInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the Terraform state. */
    id: Scalars['TerraformStateID']['input'];
};
/** Autogenerated return type of TerraformStateUnlock. */
export type TerraformStateUnlockPayload = {
    __typename?: 'TerraformStateUnlockPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type TerraformStateVersion = {
    __typename?: 'TerraformStateVersion';
    /** Timestamp the version was created. */
    createdAt: Scalars['Time']['output'];
    /** User that created this version. */
    createdByUser?: Maybe<UserCore>;
    /** URL for downloading the version's JSON file. */
    downloadPath?: Maybe<Scalars['String']['output']>;
    /** ID of the Terraform state version. */
    id: Scalars['ID']['output'];
    /** Job that created this version. */
    job?: Maybe<CiJob>;
    /** Serial number of the version. */
    serial?: Maybe<Scalars['Int']['output']>;
    /** Timestamp the version was updated. */
    updatedAt: Scalars['Time']['output'];
};
/** Represents the Geo sync and verification state of a terraform state version */
export type TerraformStateVersionRegistry = {
    __typename?: 'TerraformStateVersionRegistry';
    /** Timestamp when the TerraformStateVersionRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the TerraformStateVersionRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the TerraformStateVersionRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the TerraformStateVersionRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the TerraformStateVersionRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the TerraformStateVersionRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the TerraformStateVersionRegistry */
    state?: Maybe<RegistryState>;
    /** ID of the terraform state version. */
    terraformStateVersionId: Scalars['ID']['output'];
    /** The local checksum of the TerraformStateVersionRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the TerraformStateVersionRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the TerraformStateVersionRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the TerraformStateVersionRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of TerraformStateVersionRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the TerraformStateVersionRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the TerraformStateVersionRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for TerraformStateVersionRegistry. */
export type TerraformStateVersionRegistryConnection = {
    __typename?: 'TerraformStateVersionRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TerraformStateVersionRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TerraformStateVersionRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TerraformStateVersionRegistryEdge = {
    __typename?: 'TerraformStateVersionRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TerraformStateVersionRegistry>;
};
/** Test case in pipeline test report. */
export type TestCase = {
    __typename?: 'TestCase';
    /** URL of the test case attachment file. */
    attachmentUrl?: Maybe<Scalars['String']['output']>;
    /** Classname of the test case. */
    classname?: Maybe<Scalars['String']['output']>;
    /** Test case execution time in seconds. */
    executionTime?: Maybe<Scalars['Float']['output']>;
    /** Path to the file of the test case. */
    file?: Maybe<Scalars['String']['output']>;
    /** Name of the test case. */
    name?: Maybe<Scalars['String']['output']>;
    /** Recent failure history of the test case on the base branch. */
    recentFailures?: Maybe<RecentFailures>;
    /** Stack trace of the test case. */
    stackTrace?: Maybe<Scalars['String']['output']>;
    /** Status of the test case (error, failed, success, skipped). */
    status?: Maybe<TestCaseStatus>;
    /** System output of the test case. */
    systemOutput?: Maybe<Scalars['String']['output']>;
};
/** The connection type for TestCase. */
export type TestCaseConnection = {
    __typename?: 'TestCaseConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TestCaseEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TestCase>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TestCaseEdge = {
    __typename?: 'TestCaseEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TestCase>;
};
export declare enum TestCaseStatus {
    /** Test case that has a status of error. */
    Error = "error",
    /** Test case that has a status of failed. */
    Failed = "failed",
    /** Test case that has a status of skipped. */
    Skipped = "skipped",
    /** Test case that has a status of success. */
    Success = "success"
}
/** Represents a requirement test report */
export type TestReport = {
    __typename?: 'TestReport';
    /** Author of the test report. */
    author?: Maybe<UserCore>;
    /** Timestamp of when the test report was created. */
    createdAt: Scalars['Time']['output'];
    /** ID of the test report. */
    id: Scalars['ID']['output'];
    /** State of the test report. */
    state: TestReportState;
    /** Indicates whether the test report was generated with references to legacy requirement IIDs. */
    usesLegacyIid?: Maybe<Scalars['Boolean']['output']>;
};
/** The connection type for TestReport. */
export type TestReportConnection = {
    __typename?: 'TestReportConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TestReportEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TestReport>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TestReportEdge = {
    __typename?: 'TestReportEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TestReport>;
};
/** State of a test report */
export declare enum TestReportState {
    /** Failed test report. */
    Failed = "FAILED",
    /** Passed test report. */
    Passed = "PASSED"
}
/** Test report for a pipeline */
export type TestReportSummary = {
    __typename?: 'TestReportSummary';
    /** Test suites belonging to a pipeline test report. */
    testSuites: TestSuiteSummaryConnection;
    /** Total report statistics for a pipeline test report. */
    total: TestReportTotal;
};
/** Test report for a pipeline */
export type TestReportSummaryTestSuitesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Total test report statistics. */
export type TestReportTotal = {
    __typename?: 'TestReportTotal';
    /** Total number of the test cases. */
    count?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that had an error. */
    error?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that failed. */
    failed?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that were skipped. */
    skipped?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that succeeded. */
    success?: Maybe<Scalars['Int']['output']>;
    /** Test suite error message. */
    suiteError?: Maybe<Scalars['String']['output']>;
    /** Total duration of the tests. */
    time?: Maybe<Scalars['Float']['output']>;
};
/** Test suite in a pipeline test report. */
export type TestSuite = {
    __typename?: 'TestSuite';
    /** Total number of test cases that had an error. */
    errorCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that failed in the test suite. */
    failedCount?: Maybe<Scalars['Int']['output']>;
    /** Name of the test suite. */
    name?: Maybe<Scalars['String']['output']>;
    /** Total number of test cases that were skipped in the test suite. */
    skippedCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that succeeded in the test suite. */
    successCount?: Maybe<Scalars['Int']['output']>;
    /** Test suite error message. */
    suiteError?: Maybe<Scalars['String']['output']>;
    /** Test cases in the test suite. */
    testCases?: Maybe<TestCaseConnection>;
    /** Total number of the test cases in the test suite. */
    totalCount?: Maybe<Scalars['Int']['output']>;
    /** Total duration of the tests in the test suite. */
    totalTime?: Maybe<Scalars['Float']['output']>;
};
/** Test suite in a pipeline test report. */
export type TestSuiteTestCasesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Test suite summary in a pipeline test report. */
export type TestSuiteSummary = {
    __typename?: 'TestSuiteSummary';
    /** IDs of the builds used to run the test suite. */
    buildIds?: Maybe<Array<Scalars['ID']['output']>>;
    /** Total number of test cases that had an error. */
    errorCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that failed in the test suite. */
    failedCount?: Maybe<Scalars['Int']['output']>;
    /** Name of the test suite. */
    name?: Maybe<Scalars['String']['output']>;
    /** Total number of test cases that were skipped in the test suite. */
    skippedCount?: Maybe<Scalars['Int']['output']>;
    /** Total number of test cases that succeeded in the test suite. */
    successCount?: Maybe<Scalars['Int']['output']>;
    /** Test suite error message. */
    suiteError?: Maybe<Scalars['String']['output']>;
    /** Total number of the test cases in the test suite. */
    totalCount?: Maybe<Scalars['Int']['output']>;
    /** Total duration of the tests in the test suite. */
    totalTime?: Maybe<Scalars['Float']['output']>;
};
/** The connection type for TestSuiteSummary. */
export type TestSuiteSummaryConnection = {
    __typename?: 'TestSuiteSummaryConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TestSuiteSummaryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TestSuiteSummary>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TestSuiteSummaryEdge = {
    __typename?: 'TestSuiteSummaryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TestSuiteSummary>;
};
/** Represents the time report stats for timeboxes */
export type TimeReportStats = {
    __typename?: 'TimeReportStats';
    /** Completed issues metrics. */
    complete?: Maybe<TimeboxMetrics>;
    /** Incomplete issues metrics. */
    incomplete?: Maybe<TimeboxMetrics>;
    /** Total issues metrics. */
    total?: Maybe<TimeboxMetrics>;
};
export type TimeTrackingTimelogCategory = {
    __typename?: 'TimeTrackingTimelogCategory';
    /** Whether the category is billable or not. */
    billable?: Maybe<Scalars['Boolean']['output']>;
    /** Billing rate for the category. */
    billingRate?: Maybe<Scalars['Float']['output']>;
    /** Color assigned to the category. */
    color?: Maybe<Scalars['Color']['output']>;
    /** When the category was created. */
    createdAt: Scalars['Time']['output'];
    /** Description of the category. */
    description?: Maybe<Scalars['String']['output']>;
    /** Internal ID of the timelog category. */
    id: Scalars['ID']['output'];
    /** Name of the category. */
    name: Scalars['String']['output'];
    /** When the category was last updated. */
    updatedAt: Scalars['Time']['output'];
};
/** The connection type for TimeTrackingTimelogCategory. */
export type TimeTrackingTimelogCategoryConnection = {
    __typename?: 'TimeTrackingTimelogCategoryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TimeTrackingTimelogCategoryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TimeTrackingTimelogCategory>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TimeTrackingTimelogCategoryEdge = {
    __typename?: 'TimeTrackingTimelogCategoryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TimeTrackingTimelogCategory>;
};
/** Represents measured stats metrics for timeboxes */
export type TimeboxMetrics = {
    __typename?: 'TimeboxMetrics';
    /** Count metric. */
    count: Scalars['Int']['output'];
    /** Weight metric. */
    weight: Scalars['Int']['output'];
};
/** Represents a historically accurate report about the timebox */
export type TimeboxReport = {
    __typename?: 'TimeboxReport';
    /** Daily scope and completed totals for burnup charts. */
    burnupTimeSeries?: Maybe<Array<BurnupChartDailyTotals>>;
    /** If the report cannot be generated, information about why. */
    error?: Maybe<TimeboxReportError>;
    /** Represents the time report stats for the timebox. */
    stats?: Maybe<TimeReportStats>;
};
/** Explains why we could not generate a timebox report. */
export type TimeboxReportError = {
    __typename?: 'TimeboxReportError';
    /** Machine readable code, categorizing the error. */
    code?: Maybe<TimeboxReportErrorReason>;
    /** Human readable message explaining what happened. */
    message?: Maybe<Scalars['String']['output']>;
};
/** Category of error. */
export declare enum TimeboxReportErrorReason {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Label priority by ascending order. */
    LabelPriorityAsc = "LABEL_PRIORITY_ASC",
    /** Label priority by descending order. */
    LabelPriorityDesc = "LABEL_PRIORITY_DESC",
    /** Milestone due date by ascending order. */
    MilestoneDueAsc = "MILESTONE_DUE_ASC",
    /** Milestone due date by descending order. */
    MilestoneDueDesc = "MILESTONE_DUE_DESC",
    /** One or both of start_date and due_date is missing. */
    MissingDates = "MISSING_DATES",
    /** Priority by ascending order. */
    PriorityAsc = "PRIORITY_ASC",
    /** Priority by descending order. */
    PriorityDesc = "PRIORITY_DESC",
    /** There are too many events. */
    TooManyEvents = "TOO_MANY_EVENTS",
    /** This type does not support timebox reports. */
    Unsupported = "UNSUPPORTED",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
export type TimeboxReportInterface = {
    /** Historically accurate report about the timebox. */
    report?: Maybe<TimeboxReport>;
};
export type TimeboxReportInterfaceReportArgs = {
    fullPath?: InputMaybe<Scalars['String']['input']>;
};
/** A time-frame defined as a closed inclusive range of two dates */
export type Timeframe = {
    /** End of the range. */
    end: Scalars['Date']['input'];
    /** Start of the range. */
    start: Scalars['Date']['input'];
};
/** Autogenerated input type of TimelineEventCreate */
export type TimelineEventCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Incident ID of the timeline event. */
    incidentId: Scalars['IssueID']['input'];
    /** Text note of the timeline event. */
    note: Scalars['String']['input'];
    /** Timestamp of when the event occurred. */
    occurredAt: Scalars['Time']['input'];
    /** Tags for the incident timeline event. */
    timelineEventTagNames?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of TimelineEventCreate. */
export type TimelineEventCreatePayload = {
    __typename?: 'TimelineEventCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Timeline event. */
    timelineEvent?: Maybe<TimelineEventType>;
};
/** Autogenerated input type of TimelineEventDestroy */
export type TimelineEventDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Timeline event ID to remove. */
    id: Scalars['IncidentManagementTimelineEventID']['input'];
};
/** Autogenerated return type of TimelineEventDestroy. */
export type TimelineEventDestroyPayload = {
    __typename?: 'TimelineEventDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Timeline event. */
    timelineEvent?: Maybe<TimelineEventType>;
};
/** Autogenerated input type of TimelineEventPromoteFromNote */
export type TimelineEventPromoteFromNoteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Note ID from which the timeline event promoted. */
    noteId: Scalars['NoteID']['input'];
};
/** Autogenerated return type of TimelineEventPromoteFromNote. */
export type TimelineEventPromoteFromNotePayload = {
    __typename?: 'TimelineEventPromoteFromNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Timeline event. */
    timelineEvent?: Maybe<TimelineEventType>;
};
/** Autogenerated input type of TimelineEventTagCreate */
export type TimelineEventTagCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Name of the tag. */
    name: Scalars['String']['input'];
    /** Project to create the timeline event tag in. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of TimelineEventTagCreate. */
export type TimelineEventTagCreatePayload = {
    __typename?: 'TimelineEventTagCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Timeline event tag. */
    timelineEventTag?: Maybe<TimelineEventTagType>;
};
/** Describes a tag on an incident management timeline event. */
export type TimelineEventTagType = {
    __typename?: 'TimelineEventTagType';
    /** ID of the timeline event tag. */
    id: Scalars['IncidentManagementTimelineEventTagID']['output'];
    /** Name of the timeline event tag. */
    name: Scalars['String']['output'];
};
/** The connection type for TimelineEventTagType. */
export type TimelineEventTagTypeConnection = {
    __typename?: 'TimelineEventTagTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TimelineEventTagTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TimelineEventTagType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TimelineEventTagTypeEdge = {
    __typename?: 'TimelineEventTagTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TimelineEventTagType>;
};
/** Describes an incident management timeline event */
export type TimelineEventType = {
    __typename?: 'TimelineEventType';
    /** Indicates the timeline event icon. */
    action: Scalars['String']['output'];
    /** User that created the timeline event. */
    author?: Maybe<UserCore>;
    /** Timestamp when the event created. */
    createdAt: Scalars['Time']['output'];
    /** Indicates the timeline event is editable. */
    editable: Scalars['Boolean']['output'];
    /** ID of the timeline event. */
    id: Scalars['IncidentManagementTimelineEventID']['output'];
    /** Incident of the timeline event. */
    incident: Issue;
    /** Text note of the timeline event. */
    note?: Maybe<Scalars['String']['output']>;
    /** HTML note of the timeline event. */
    noteHtml?: Maybe<Scalars['String']['output']>;
    /** Timestamp when the event occurred. */
    occurredAt: Scalars['Time']['output'];
    /** Note from which the timeline event was created. */
    promotedFromNote?: Maybe<Note>;
    /** Tags for the incident timeline event. */
    timelineEventTags?: Maybe<TimelineEventTagTypeConnection>;
    /** Timestamp when the event updated. */
    updatedAt: Scalars['Time']['output'];
    /** User that updated the timeline event. */
    updatedByUser?: Maybe<UserCore>;
};
/** Describes an incident management timeline event */
export type TimelineEventTypeTimelineEventTagsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for TimelineEventType. */
export type TimelineEventTypeConnection = {
    __typename?: 'TimelineEventTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TimelineEventTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TimelineEventType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TimelineEventTypeEdge = {
    __typename?: 'TimelineEventTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TimelineEventType>;
};
/** Autogenerated input type of TimelineEventUpdate */
export type TimelineEventUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the timeline event to update. */
    id: Scalars['IncidentManagementTimelineEventID']['input'];
    /** Text note of the timeline event. */
    note?: InputMaybe<Scalars['String']['input']>;
    /** Timestamp when the event occurred. */
    occurredAt?: InputMaybe<Scalars['Time']['input']>;
    /** Tags for the incident timeline event. */
    timelineEventTagNames?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Autogenerated return type of TimelineEventUpdate. */
export type TimelineEventUpdatePayload = {
    __typename?: 'TimelineEventUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Timeline event. */
    timelineEvent?: Maybe<TimelineEventType>;
};
export type Timelog = {
    __typename?: 'Timelog';
    /** Internal ID of the timelog. */
    id: Scalars['ID']['output'];
    /** Issue that logged time was added to. */
    issue?: Maybe<Issue>;
    /** Merge request that logged time was added to. */
    mergeRequest?: Maybe<MergeRequest>;
    /** Note where the quick action was executed to add the logged time. */
    note?: Maybe<Note>;
    /** Target project of the timelog merge request or issue. */
    project: Project;
    /** Timestamp of when the time tracked was spent at. */
    spentAt?: Maybe<Scalars['Time']['output']>;
    /** Summary of how the time was spent. */
    summary?: Maybe<Scalars['String']['output']>;
    /** Time spent displayed in seconds. */
    timeSpent: Scalars['Int']['output'];
    /** User that logged the time. */
    user: UserCore;
    /** Permissions for the current user on the resource */
    userPermissions: TimelogPermissions;
};
/** The connection type for Timelog. */
export type TimelogConnection = {
    __typename?: 'TimelogConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TimelogEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Timelog>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
    /** Total time spent in seconds. */
    totalSpentTime: Scalars['BigInt']['output'];
};
/** Autogenerated input type of TimelogCreate */
export type TimelogCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the issuable (Issue, WorkItem or MergeRequest). */
    issuableId: Scalars['IssuableID']['input'];
    /** Timestamp of when the time was spent. If empty, defaults to current time. */
    spentAt?: InputMaybe<Scalars['Time']['input']>;
    /** Summary of time spent. */
    summary: Scalars['String']['input'];
    /** Amount of time spent. */
    timeSpent: Scalars['String']['input'];
};
/** Autogenerated return type of TimelogCreate. */
export type TimelogCreatePayload = {
    __typename?: 'TimelogCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Timelog. */
    timelog?: Maybe<Timelog>;
};
/** Autogenerated input type of TimelogDelete */
export type TimelogDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the timelog. */
    id: Scalars['TimelogID']['input'];
};
/** Autogenerated return type of TimelogDelete. */
export type TimelogDeletePayload = {
    __typename?: 'TimelogDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Timelog. */
    timelog?: Maybe<Timelog>;
};
/** An edge in a connection. */
export type TimelogEdge = {
    __typename?: 'TimelogEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Timelog>;
};
export type TimelogPermissions = {
    __typename?: 'TimelogPermissions';
    /** If `true`, the user can perform `admin_timelog` on this resource */
    adminTimelog: Scalars['Boolean']['output'];
};
/** Values for sorting timelogs */
export declare enum TimelogSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Spent at ascending order. */
    SpentAtAsc = "SPENT_AT_ASC",
    /** Spent at descending order. */
    SpentAtDesc = "SPENT_AT_DESC",
    /** Time spent ascending order. */
    TimeSpentAsc = "TIME_SPENT_ASC",
    /** Time spent descending order. */
    TimeSpentDesc = "TIME_SPENT_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** Representing a to-do entry */
export type Todo = {
    __typename?: 'Todo';
    /** Action of the to-do item. */
    action: TodoActionEnum;
    /** Author of this to-do item. */
    author: UserCore;
    /** Body of the to-do item. */
    body: Scalars['String']['output'];
    /** Timestamp this to-do item was created. */
    createdAt: Scalars['Time']['output'];
    /** Group this to-do item is associated with. */
    group?: Maybe<Group>;
    /** ID of the to-do item. */
    id: Scalars['ID']['output'];
    /** Note which created this to-do item. */
    note?: Maybe<Note>;
    /** Project this to-do item is associated with. */
    project?: Maybe<Project>;
    /** State of the to-do item. */
    state: TodoStateEnum;
    /** Target of the to-do item. */
    target: Todoable;
    /** Target type of the to-do item. */
    targetType: TodoTargetEnum;
};
export declare enum TodoActionEnum {
    /** User was added as an approver. */
    AddedApprover = "added_approver",
    /** User was set as an approver. */
    ApprovalRequired = "approval_required",
    /** User was assigned. */
    Assigned = "assigned",
    /** Build triggered by the user failed. */
    BuildFailed = "build_failed",
    /** User was directly addressed. */
    DirectlyAddressed = "directly_addressed",
    /** User added a to-do item. */
    Marked = "marked",
    /** Group or project access requested from the user. */
    MemberAccessRequested = "member_access_requested",
    /** User was mentioned. */
    Mentioned = "mentioned",
    /** Merge request authored by the user was removed from the merge train. */
    MergeTrainRemoved = "merge_train_removed",
    /** An OKR assigned to the user requires an update. */
    OkrCheckinRequested = "okr_checkin_requested",
    /** Review was requested from the user. */
    ReviewRequested = "review_requested",
    /** Merge request authored by the user received a review. */
    ReviewSubmitted = "review_submitted",
    /** Merge request authored by the user could not be merged. */
    Unmergeable = "unmergeable"
}
/** The connection type for Todo. */
export type TodoConnection = {
    __typename?: 'TodoConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TodoEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Todo>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of TodoCreate */
export type TodoCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the to-do item's parent. Issues, merge requests, designs, and epics are supported. */
    targetId: Scalars['TodoableID']['input'];
};
/** Autogenerated return type of TodoCreate. */
export type TodoCreatePayload = {
    __typename?: 'TodoCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** To-do item created. */
    todo?: Maybe<Todo>;
};
/** An edge in a connection. */
export type TodoEdge = {
    __typename?: 'TodoEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Todo>;
};
/** Autogenerated input type of TodoMarkDone */
export type TodoMarkDoneInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the to-do item to mark as done. */
    id: Scalars['TodoID']['input'];
};
/** Autogenerated return type of TodoMarkDone. */
export type TodoMarkDonePayload = {
    __typename?: 'TodoMarkDonePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Requested to-do item. */
    todo: Todo;
};
/** Autogenerated input type of TodoRestore */
export type TodoRestoreInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the to-do item to restore. */
    id: Scalars['TodoID']['input'];
};
/** Autogenerated input type of TodoRestoreMany */
export type TodoRestoreManyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global IDs of the to-do items to restore (a maximum of 50 is supported at once). */
    ids: Array<Scalars['TodoID']['input']>;
};
/** Autogenerated return type of TodoRestoreMany. */
export type TodoRestoreManyPayload = {
    __typename?: 'TodoRestoreManyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated to-do items. */
    todos: Array<Todo>;
};
/** Autogenerated return type of TodoRestore. */
export type TodoRestorePayload = {
    __typename?: 'TodoRestorePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Requested to-do item. */
    todo: Todo;
};
/** Sort options for todos. */
export declare enum TodoSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** By label priority in ascending order. */
    LabelPriorityAsc = "LABEL_PRIORITY_ASC",
    /** By label priority in descending order. */
    LabelPriorityDesc = "LABEL_PRIORITY_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
export declare enum TodoStateEnum {
    /** State of the todo is done. */
    Done = "done",
    /** State of the todo is pending. */
    Pending = "pending"
}
export declare enum TodoTargetEnum {
    /** Alert. */
    Alert = "ALERT",
    /** Commit. */
    Commit = "COMMIT",
    /** Design. */
    Design = "DESIGN",
    /** An Epic. */
    Epic = "EPIC",
    /** Issue. */
    Issue = "ISSUE",
    /** Merge request. */
    Mergerequest = "MERGEREQUEST",
    /** Work item. */
    Workitem = "WORKITEM"
}
export type Todoable = {
    /** URL of this object. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of TodosMarkAllDone */
export type TodosMarkAllDoneInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the to-do item's parent. Issues, merge requests, designs, and epics are supported. If argument is omitted, all pending to-do items of the current user are marked as done. */
    targetId?: InputMaybe<Scalars['TodoableID']['input']>;
};
/** Autogenerated return type of TodosMarkAllDone. */
export type TodosMarkAllDonePayload = {
    __typename?: 'TodosMarkAllDonePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated to-do items. */
    todos: Array<Todo>;
};
export type Topic = {
    __typename?: 'Topic';
    /** URL to avatar image file of the topic. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Description of the topic. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** ID of the topic. */
    id: Scalars['ID']['output'];
    /** Name of the topic. */
    name: Scalars['String']['output'];
    /** Title of the topic. */
    title: Scalars['String']['output'];
};
/** The connection type for Topic. */
export type TopicConnection = {
    __typename?: 'TopicConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TopicEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Topic>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TopicEdge = {
    __typename?: 'TopicEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Topic>;
};
/** Attributes for defining a tracking event. */
export type TrackingEventInput = {
    /** Event action. */
    action: Scalars['String']['input'];
    /** Event category. */
    category: Scalars['String']['input'];
    /** Extra metadata for the event. */
    extra?: InputMaybe<Scalars['JSON']['input']>;
    /** Event label. */
    label?: InputMaybe<Scalars['String']['input']>;
    /** Event property. */
    property?: InputMaybe<Scalars['String']['input']>;
    /** Event value. */
    value?: InputMaybe<Scalars['String']['input']>;
};
/** Status of the request to the training provider. The URL of a TrainingUrl is calculated asynchronously. When PENDING, the URL of the TrainingUrl will be null. When COMPLETED, the URL of the TrainingUrl will be available. */
export declare enum TrainingUrlRequestStatus {
    /** Completed request. */
    Completed = "COMPLETED",
    /** Pending request. */
    Pending = "PENDING"
}
export type Tree = {
    __typename?: 'Tree';
    /** Blobs of the tree. */
    blobs: BlobConnection;
    /** Last commit for the tree. */
    lastCommit?: Maybe<Commit>;
    /** Sub-modules of the tree. */
    submodules: SubmoduleConnection;
    /** Trees of the tree. */
    trees: TreeEntryConnection;
};
export type TreeBlobsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type TreeSubmodulesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type TreeTreesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for Tree. */
export type TreeConnection = {
    __typename?: 'TreeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TreeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Tree>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TreeEdge = {
    __typename?: 'TreeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Tree>;
};
/** Represents a directory */
export type TreeEntry = Entry & {
    __typename?: 'TreeEntry';
    /** Flat path of the entry. */
    flatPath: Scalars['String']['output'];
    /** ID of the entry. */
    id: Scalars['ID']['output'];
    /** Name of the entry. */
    name: Scalars['String']['output'];
    /** Path of the entry. */
    path: Scalars['String']['output'];
    /** Last commit SHA for the entry. */
    sha: Scalars['String']['output'];
    /** Type of tree entry. */
    type: EntryType;
    /** Web path for the tree entry (directory). */
    webPath?: Maybe<Scalars['String']['output']>;
    /** Web URL for the tree entry (directory). */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** The connection type for TreeEntry. */
export type TreeEntryConnection = {
    __typename?: 'TreeEntryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<TreeEntryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<TreeEntry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type TreeEntryEdge = {
    __typename?: 'TreeEntryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<TreeEntry>;
};
export declare enum TypeEnum {
    /** Snippet created independent of any project. */
    Personal = "personal",
    /** Snippet related to a specific project. */
    Project = "project"
}
export type UnionedEpicFilterInput = {
    /** Filters epics that are authored by one of the given users. */
    authorUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filters epics that have at least one of the given labels. */
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
};
export type UnionedIssueFilterInput = {
    /** Filters issues that are assigned to at least one of the given users. */
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filters issues that are authored by one of the given users. */
    authorUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filters issues that have at least one of the given labels. */
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
};
export type UnionedWorkItemFilterInput = {
    /** Filters work items that are assigned to at least one of the given users. */
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filters work items that are authored by one of the given users. */
    authorUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filters work items that have at least one of the given labels. */
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
};
/** Defines which user roles, users, or groups can unprotect a protected branch. */
export type UnprotectAccessLevel = {
    __typename?: 'UnprotectAccessLevel';
    /** GitLab::Access level. */
    accessLevel: Scalars['Int']['output'];
    /** Human readable representation for this access level. */
    accessLevelDescription: Scalars['String']['output'];
    /** Group associated with this access level. */
    group?: Maybe<AccessLevelGroup>;
    /** User associated with this access level. */
    user?: Maybe<AccessLevelUser>;
};
/** The connection type for UnprotectAccessLevel. */
export type UnprotectAccessLevelConnection = {
    __typename?: 'UnprotectAccessLevelConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UnprotectAccessLevelEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UnprotectAccessLevel>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type UnprotectAccessLevelEdge = {
    __typename?: 'UnprotectAccessLevelEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UnprotectAccessLevel>;
};
/** Autogenerated input type of UpdateAlertStatus */
export type UpdateAlertStatusInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IID of the alert to mutate. */
    iid: Scalars['String']['input'];
    /** Project the alert to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** Status to set the alert. */
    status: AlertManagementStatus;
};
/** Autogenerated return type of UpdateAlertStatus. */
export type UpdateAlertStatusPayload = {
    __typename?: 'UpdateAlertStatusPayload';
    /** Alert after mutation. */
    alert?: Maybe<AlertManagementAlert>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue created after mutation. */
    issue?: Maybe<Issue>;
    /** To-do item after mutation. */
    todo?: Maybe<Todo>;
};
/** Autogenerated input type of UpdateBoardEpicUserPreferences */
export type UpdateBoardEpicUserPreferencesInput = {
    /** Board global ID. */
    boardId: Scalars['BoardID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Whether the epic should be collapsed in the board. */
    collapsed: Scalars['Boolean']['input'];
    /** ID of an epic to set preferences for. */
    epicId: Scalars['EpicID']['input'];
};
/** Autogenerated return type of UpdateBoardEpicUserPreferences. */
export type UpdateBoardEpicUserPreferencesPayload = {
    __typename?: 'UpdateBoardEpicUserPreferencesPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** User preferences for the epic in the board after mutation. */
    epicUserPreferences?: Maybe<BoardEpicUserPreferences>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateBoard */
export type UpdateBoardInput = {
    /** ID of user to be assigned to the board. */
    assigneeId?: InputMaybe<Scalars['UserID']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Whether or not backlog list is hidden. */
    hideBacklogList?: InputMaybe<Scalars['Boolean']['input']>;
    /** Whether or not closed list is hidden. */
    hideClosedList?: InputMaybe<Scalars['Boolean']['input']>;
    /** Board global ID. */
    id: Scalars['BoardID']['input'];
    /** ID of iteration cadence to be assigned to the board. */
    iterationCadenceId?: InputMaybe<Scalars['IterationsCadenceID']['input']>;
    /** ID of iteration to be assigned to the board. */
    iterationId?: InputMaybe<Scalars['IterationID']['input']>;
    /** IDs of labels to be added to the board. */
    labelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Labels of the issue. */
    labels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** ID of milestone to be assigned to the board. */
    milestoneId?: InputMaybe<Scalars['MilestoneID']['input']>;
    /** Board name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Weight value to be assigned to the board. */
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of UpdateBoardList */
export type UpdateBoardListInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates if the list is collapsed for the user. */
    collapsed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the list. */
    listId: Scalars['ListID']['input'];
    /** Position of list within the board. */
    position?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of UpdateBoardList. */
export type UpdateBoardListPayload = {
    __typename?: 'UpdateBoardListPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mutated list. */
    list?: Maybe<BoardList>;
};
/** Autogenerated return type of UpdateBoard. */
export type UpdateBoardPayload = {
    __typename?: 'UpdateBoardPayload';
    /** Board after mutation. */
    board?: Maybe<Board>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateComplianceFramework */
export type UpdateComplianceFrameworkInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the compliance framework to update. */
    id: Scalars['ComplianceManagementFrameworkID']['input'];
    /** Parameters to update the compliance framework with. */
    params: ComplianceFrameworkInput;
};
/** Autogenerated return type of UpdateComplianceFramework. */
export type UpdateComplianceFrameworkPayload = {
    __typename?: 'UpdateComplianceFrameworkPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Compliance framework after mutation. */
    complianceFramework?: Maybe<ComplianceFramework>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateContainerExpirationPolicy */
export type UpdateContainerExpirationPolicyInput = {
    /** This container expiration policy schedule. */
    cadence?: InputMaybe<ContainerExpirationPolicyCadenceEnum>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates whether this container expiration policy is enabled. */
    enabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Number of tags to retain. */
    keepN?: InputMaybe<ContainerExpirationPolicyKeepEnum>;
    /** Tags with names matching this regex pattern will expire. */
    nameRegex?: InputMaybe<Scalars['UntrustedRegexp']['input']>;
    /** Tags with names matching this regex pattern will be preserved. */
    nameRegexKeep?: InputMaybe<Scalars['UntrustedRegexp']['input']>;
    /** Tags older that this will expire. */
    olderThan?: InputMaybe<ContainerExpirationPolicyOlderThanEnum>;
    /** Project path where the container expiration policy is located. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of UpdateContainerExpirationPolicy. */
export type UpdateContainerExpirationPolicyPayload = {
    __typename?: 'UpdateContainerExpirationPolicyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Container expiration policy after mutation. */
    containerExpirationPolicy?: Maybe<ContainerExpirationPolicy>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateContainerRegistryProtectionRule */
export type UpdateContainerRegistryProtectionRuleInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the container registry protection rule to be updated. */
    id: Scalars['ContainerRegistryProtectionRuleID']['input'];
};
/** Autogenerated return type of UpdateContainerRegistryProtectionRule. */
export type UpdateContainerRegistryProtectionRulePayload = {
    __typename?: 'UpdateContainerRegistryProtectionRulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /**
     * Container registry protection rule after mutation. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    containerRegistryProtectionRule?: Maybe<ContainerRegistryProtectionRule>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateDependencyProxyImageTtlGroupPolicy */
export type UpdateDependencyProxyImageTtlGroupPolicyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates whether the policy is enabled or disabled. */
    enabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Group path for the group dependency proxy image TTL policy. */
    groupPath: Scalars['ID']['input'];
    /** Number of days to retain a cached image file. */
    ttl?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of UpdateDependencyProxyImageTtlGroupPolicy. */
export type UpdateDependencyProxyImageTtlGroupPolicyPayload = {
    __typename?: 'UpdateDependencyProxyImageTtlGroupPolicyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Group image TTL policy after mutation. */
    dependencyProxyImageTtlPolicy?: Maybe<DependencyProxyImageTtlGroupPolicy>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateDependencyProxyPackagesSettings */
export type UpdateDependencyProxyPackagesSettingsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates whether the dependency proxy for packages is enabled for the project. */
    enabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Password for the external Maven packages registry. Introduced in 16.5: This feature is an Experiment. It can be changed or removed at any time. */
    mavenExternalRegistryPassword?: InputMaybe<Scalars['String']['input']>;
    /** URL for the external Maven packages registry. */
    mavenExternalRegistryUrl?: InputMaybe<Scalars['String']['input']>;
    /** Username for the external Maven packages registry. */
    mavenExternalRegistryUsername?: InputMaybe<Scalars['String']['input']>;
    /** Project path for the dependency proxy for packages settings. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of UpdateDependencyProxyPackagesSettings. */
export type UpdateDependencyProxyPackagesSettingsPayload = {
    __typename?: 'UpdateDependencyProxyPackagesSettingsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Dependency proxy for packages settings after mutation. */
    dependencyProxyPackagesSetting?: Maybe<DependencyProxyPackagesSetting>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateDependencyProxySettings */
export type UpdateDependencyProxySettingsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates whether the policy is enabled or disabled. */
    enabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Group path for the group dependency proxy. */
    groupPath: Scalars['ID']['input'];
};
/** Autogenerated return type of UpdateDependencyProxySettings. */
export type UpdateDependencyProxySettingsPayload = {
    __typename?: 'UpdateDependencyProxySettingsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Group dependency proxy settings after mutation. */
    dependencyProxySetting?: Maybe<DependencyProxySetting>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export type UpdateDiffImagePositionInput = {
    /** Total height of the image. */
    height?: InputMaybe<Scalars['Int']['input']>;
    /** Total width of the image. */
    width?: InputMaybe<Scalars['Int']['input']>;
    /** X position of the note. */
    x?: InputMaybe<Scalars['Int']['input']>;
    /** Y position of the note. */
    y?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of UpdateEpicBoardList */
export type UpdateEpicBoardListInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates if the list is collapsed for the user. */
    collapsed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Global ID of the epic list. */
    listId: Scalars['BoardsEpicListID']['input'];
    /** Position of list within the board. */
    position?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of UpdateEpicBoardList. */
export type UpdateEpicBoardListPayload = {
    __typename?: 'UpdateEpicBoardListPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Mutated epic list. */
    list?: Maybe<EpicList>;
};
/** Autogenerated input type of UpdateEpic */
export type UpdateEpicInput = {
    /** IDs of labels to be added to the epic. */
    addLabelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Array of labels to be added to the epic. */
    addLabels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Color of the epic. Available only when feature flag `epic_color_highlight` is enabled. This flag is disabled by default, because the feature is experimental and is subject to change without notice. */
    color?: InputMaybe<Scalars['Color']['input']>;
    /** Indicates if the epic is confidential. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Description of the epic. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** End date of the epic. */
    dueDateFixed?: InputMaybe<Scalars['String']['input']>;
    /** Indicates end date should be sourced from due_date_fixed field not the issue milestones. */
    dueDateIsFixed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Group the epic to mutate is in. */
    groupPath: Scalars['ID']['input'];
    /** IID of the epic to mutate. */
    iid: Scalars['ID']['input'];
    /** IDs of labels to be removed from the epic. */
    removeLabelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Array of labels to be removed from the epic. */
    removeLabels?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Start date of the epic. */
    startDateFixed?: InputMaybe<Scalars['String']['input']>;
    /** Indicates start date should be sourced from start_date_fixed field not the issue milestones. */
    startDateIsFixed?: InputMaybe<Scalars['Boolean']['input']>;
    /** State event for the epic. */
    stateEvent?: InputMaybe<EpicStateEvent>;
    /** Title of the epic. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of UpdateEpic. */
export type UpdateEpicPayload = {
    __typename?: 'UpdateEpicPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Epic after mutation. */
    epic?: Maybe<Epic>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateImageDiffNote */
export type UpdateImageDiffNoteInput = {
    /** Content of the note. */
    body?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the note to update. */
    id: Scalars['NoteID']['input'];
    /** Position of the note on a diff. */
    position?: InputMaybe<UpdateDiffImagePositionInput>;
};
/** Autogenerated return type of UpdateImageDiffNote. */
export type UpdateImageDiffNotePayload = {
    __typename?: 'UpdateImageDiffNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
/** Autogenerated input type of UpdateIssue */
export type UpdateIssueInput = {
    /** IDs of labels to be added to the issue. */
    addLabelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Indicates the issue is confidential. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Description of the issue. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Due date of the issue. */
    dueDate?: InputMaybe<Scalars['ISO8601Date']['input']>;
    /** ID of the parent epic. NULL when removing the association. */
    epicId?: InputMaybe<Scalars['EpicID']['input']>;
    /** Desired health status. */
    healthStatus?: InputMaybe<HealthStatus>;
    /** IID of the issue to mutate. */
    iid: Scalars['String']['input'];
    /** IDs of labels to be set. Replaces existing issue labels. */
    labelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Indicates discussion is locked on the issue. */
    locked?: InputMaybe<Scalars['Boolean']['input']>;
    /** ID of the milestone to assign to the issue. On update milestone will be removed if set to null. */
    milestoneId?: InputMaybe<Scalars['ID']['input']>;
    /** Project the issue to mutate is in. */
    projectPath: Scalars['ID']['input'];
    /** IDs of labels to be removed from the issue. */
    removeLabelIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Close or reopen an issue. */
    stateEvent?: InputMaybe<IssueStateEvent>;
    /** Estimated time to complete the issue. Use `null` or `0` to remove the current estimate. */
    timeEstimate?: InputMaybe<Scalars['String']['input']>;
    /** Title of the issue. */
    title?: InputMaybe<Scalars['String']['input']>;
    /** Type of the issue. */
    type?: InputMaybe<IssueType>;
    /** Weight of the issue. */
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated return type of UpdateIssue. */
export type UpdateIssuePayload = {
    __typename?: 'UpdateIssuePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Issue after mutation. */
    issue?: Maybe<Issue>;
};
/** Autogenerated input type of UpdateIteration */
export type UpdateIterationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the iteration. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** End date of the iteration. */
    dueDate?: InputMaybe<Scalars['String']['input']>;
    /** Group of the iteration. */
    groupPath: Scalars['ID']['input'];
    /** Global ID of the iteration. */
    id: Scalars['ID']['input'];
    /** Start date of the iteration. */
    startDate?: InputMaybe<Scalars['String']['input']>;
    /** Title of the iteration. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of UpdateIteration. */
export type UpdateIterationPayload = {
    __typename?: 'UpdateIterationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated iteration. */
    iteration?: Maybe<Iteration>;
};
/** Autogenerated input type of UpdateNamespacePackageSettings */
export type UpdateNamespacePackageSettingsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** When generic_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect. */
    genericDuplicateExceptionRegex?: InputMaybe<Scalars['UntrustedRegexp']['input']>;
    /** Indicates whether duplicate generic packages are allowed for this namespace. */
    genericDuplicatesAllowed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates whether Maven package forwarding is locked for all descendent namespaces. */
    lockMavenPackageRequestsForwarding?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates whether npm package forwarding is locked for all descendent namespaces. */
    lockNpmPackageRequestsForwarding?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates whether PyPI package forwarding is locked for all descendent namespaces. */
    lockPypiPackageRequestsForwarding?: InputMaybe<Scalars['Boolean']['input']>;
    /** When maven_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect. */
    mavenDuplicateExceptionRegex?: InputMaybe<Scalars['UntrustedRegexp']['input']>;
    /** Indicates whether duplicate Maven packages are allowed for this namespace. */
    mavenDuplicatesAllowed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates whether Maven package forwarding is allowed for this namespace. */
    mavenPackageRequestsForwarding?: InputMaybe<Scalars['Boolean']['input']>;
    /** Namespace path where the namespace package setting is located. */
    namespacePath: Scalars['ID']['input'];
    /** Indicates whether npm package forwarding is allowed for this namespace. */
    npmPackageRequestsForwarding?: InputMaybe<Scalars['Boolean']['input']>;
    /** When nuget_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect.  */
    nugetDuplicateExceptionRegex?: InputMaybe<Scalars['UntrustedRegexp']['input']>;
    /** Indicates whether duplicate NuGet packages are allowed for this namespace. */
    nugetDuplicatesAllowed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates wheather the NuGet symbol server is enabled for this namespace. */
    nugetSymbolServerEnabled?: InputMaybe<Scalars['Boolean']['input']>;
    /** Indicates whether PyPI package forwarding is allowed for this namespace. */
    pypiPackageRequestsForwarding?: InputMaybe<Scalars['Boolean']['input']>;
    /** When terraform_module_duplicates_allowed is false, you can publish duplicate packages with names that match this regex. Otherwise, this setting has no effect. */
    terraformModuleDuplicateExceptionRegex?: InputMaybe<Scalars['UntrustedRegexp']['input']>;
    /** Indicates whether duplicate Terraform packages are allowed for this namespace. */
    terraformModuleDuplicatesAllowed?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Autogenerated return type of UpdateNamespacePackageSettings. */
export type UpdateNamespacePackageSettingsPayload = {
    __typename?: 'UpdateNamespacePackageSettingsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Namespace package setting after mutation. */
    packageSettings?: Maybe<PackageSettings>;
};
/** Autogenerated input type of UpdateNote */
export type UpdateNoteInput = {
    /** Content of the note. */
    body?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the note to update. */
    id: Scalars['NoteID']['input'];
};
/** Autogenerated return type of UpdateNote. */
export type UpdateNotePayload = {
    __typename?: 'UpdateNotePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Note after mutation. */
    note?: Maybe<Note>;
};
/** Autogenerated input type of UpdatePackagesCleanupPolicy */
export type UpdatePackagesCleanupPolicyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Number of duplicated package files to retain. */
    keepNDuplicatedPackageFiles?: InputMaybe<PackagesCleanupKeepDuplicatedPackageFilesEnum>;
    /** Project path where the packages cleanup policy is located. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of UpdatePackagesCleanupPolicy. */
export type UpdatePackagesCleanupPolicyPayload = {
    __typename?: 'UpdatePackagesCleanupPolicyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Packages cleanup policy after mutation. */
    packagesCleanupPolicy?: Maybe<PackagesCleanupPolicy>;
};
/** Autogenerated input type of UpdatePackagesProtectionRule */
export type UpdatePackagesProtectionRuleInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the package protection rule to be updated. */
    id: Scalars['PackagesProtectionRuleID']['input'];
};
/** Autogenerated return type of UpdatePackagesProtectionRule. */
export type UpdatePackagesProtectionRulePayload = {
    __typename?: 'UpdatePackagesProtectionRulePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /**
     * Packages protection rule after mutation. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    packageProtectionRule?: Maybe<PackagesProtectionRule>;
};
/** Autogenerated input type of UpdateRequirement */
export type UpdateRequirementInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the requirement. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Creates a test report for the requirement with the given state. */
    lastTestReportState?: InputMaybe<TestReportState>;
    /** Full project path the requirement is associated with. */
    projectPath: Scalars['ID']['input'];
    /** State of the requirement. */
    state?: InputMaybe<RequirementState>;
    /** Title of the requirement. */
    title?: InputMaybe<Scalars['String']['input']>;
    /** IID of the requirement work item to update. */
    workItemIid?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of UpdateRequirement. */
export type UpdateRequirementPayload = {
    __typename?: 'UpdateRequirementPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Requirement after mutation. */
    requirement?: Maybe<Requirement>;
};
/** Autogenerated input type of UpdateSnippet */
export type UpdateSnippetInput = {
    /** Actions to perform over the snippet repository and blobs. */
    blobActions?: InputMaybe<Array<SnippetBlobActionInputType>>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the snippet. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the snippet to update. */
    id: Scalars['SnippetID']['input'];
    /** Title of the snippet. */
    title?: InputMaybe<Scalars['String']['input']>;
    /** Visibility level of the snippet. */
    visibilityLevel?: InputMaybe<VisibilityLevelsEnum>;
};
/** Autogenerated return type of UpdateSnippet. */
export type UpdateSnippetPayload = {
    __typename?: 'UpdateSnippetPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Snippet after mutation. */
    snippet?: Maybe<Snippet>;
};
/** Autogenerated input type of UploadDelete */
export type UploadDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Upload filename. */
    filename: Scalars['String']['input'];
    /** Full path of the group with which the resource is associated. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Full path of the project with which the resource is associated. */
    projectPath?: InputMaybe<Scalars['ID']['input']>;
    /** Secret part of upload path. */
    secret: Scalars['String']['input'];
};
/** Autogenerated return type of UploadDelete. */
export type UploadDeletePayload = {
    __typename?: 'UploadDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Deleted upload. */
    upload?: Maybe<FileUpload>;
};
/** Represents the Geo replication and verification state of an upload. */
export type UploadRegistry = {
    __typename?: 'UploadRegistry';
    /** Timestamp when the UploadRegistry was created */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** ID of the Upload. */
    fileId: Scalars['ID']['output'];
    /** ID of the UploadRegistry */
    id: Scalars['ID']['output'];
    /** Error message during sync of the UploadRegistry */
    lastSyncFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp of the most recent successful sync of the UploadRegistry */
    lastSyncedAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp after which the UploadRegistry is resynced */
    retryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed sync attempts of the UploadRegistry */
    retryCount?: Maybe<Scalars['Int']['output']>;
    /** Sync state of the UploadRegistry */
    state?: Maybe<RegistryState>;
    /** The local checksum of the UploadRegistry */
    verificationChecksum?: Maybe<Scalars['String']['output']>;
    /** Error message during verification of the UploadRegistry */
    verificationFailure?: Maybe<Scalars['String']['output']>;
    /** Timestamp after which the UploadRegistry is reverified */
    verificationRetryAt?: Maybe<Scalars['Time']['output']>;
    /** Number of consecutive failed verification attempts of the UploadRegistry */
    verificationRetryCount?: Maybe<Scalars['Int']['output']>;
    /** Timestamp when the verification started of UploadRegistry */
    verificationStartedAt?: Maybe<Scalars['Time']['output']>;
    /** Verification state of the UploadRegistry */
    verificationState?: Maybe<VerificationStateEnum>;
    /** Timestamp of the most recent successful verification of the UploadRegistry */
    verifiedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for UploadRegistry. */
export type UploadRegistryConnection = {
    __typename?: 'UploadRegistryConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UploadRegistryEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UploadRegistry>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type UploadRegistryEdge = {
    __typename?: 'UploadRegistryEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UploadRegistry>;
};
/** Represents a recorded measurement (object count) for the Admins */
export type UsageTrendsMeasurement = {
    __typename?: 'UsageTrendsMeasurement';
    /** Object count. */
    count: Scalars['Int']['output'];
    /** Type of objects being measured. */
    identifier: MeasurementIdentifier;
    /** Time the measurement was recorded. */
    recordedAt?: Maybe<Scalars['Time']['output']>;
};
/** The connection type for UsageTrendsMeasurement. */
export type UsageTrendsMeasurementConnection = {
    __typename?: 'UsageTrendsMeasurementConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UsageTrendsMeasurementEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UsageTrendsMeasurement>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type UsageTrendsMeasurementEdge = {
    __typename?: 'UsageTrendsMeasurementEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UsageTrendsMeasurement>;
};
/** Representation of a GitLab user. */
export type User = {
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
};
/** Representation of a GitLab user. */
export type UserAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Representation of a GitLab user. */
export type UserAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Representation of a GitLab user. */
export type UserCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Representation of a GitLab user. */
export type UserContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** Representation of a GitLab user. */
export type UserEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Representation of a GitLab user. */
export type UserGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Representation of a GitLab user. */
export type UserGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Representation of a GitLab user. */
export type UserNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Representation of a GitLab user. */
export type UserOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Representation of a GitLab user. */
export type UserProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Representation of a GitLab user. */
export type UserReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Representation of a GitLab user. */
export type UserSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Representation of a GitLab user. */
export type UserSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** Representation of a GitLab user. */
export type UserSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** Representation of a GitLab user. */
export type UserStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** Representation of a GitLab user. */
export type UserTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** Representation of a GitLab user. */
export type UserTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** Representation of a GitLab user. */
export type UserUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type UserAchievement = {
    __typename?: 'UserAchievement';
    /** Achievement awarded. */
    achievement: Achievement;
    /** Awarded by. */
    awardedByUser: UserCore;
    /** Timestamp the achievement was created. */
    createdAt: Scalars['Time']['output'];
    /** ID of the user achievement. */
    id: Scalars['AchievementsUserAchievementID']['output'];
    /** Priority of the user achievement. */
    priority?: Maybe<Scalars['Int']['output']>;
    /** Timestamp the achievement was revoked. */
    revokedAt?: Maybe<Scalars['Time']['output']>;
    /** Revoked by. */
    revokedByUser?: Maybe<UserCore>;
    /** Timestamp the achievement was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Achievement recipient. */
    user: UserCore;
};
/** The connection type for UserAchievement. */
export type UserAchievementConnection = {
    __typename?: 'UserAchievementConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UserAchievementEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UserAchievement>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type UserAchievementEdge = {
    __typename?: 'UserAchievementEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UserAchievement>;
};
/** Autogenerated input type of UserAchievementPrioritiesUpdate */
export type UserAchievementPrioritiesUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global IDs of the user achievements being prioritized, ordered from highest to lowest priority. */
    userAchievementIds: Array<Scalars['AchievementsUserAchievementID']['input']>;
};
/** Autogenerated return type of UserAchievementPrioritiesUpdate. */
export type UserAchievementPrioritiesUpdatePayload = {
    __typename?: 'UserAchievementPrioritiesUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated user achievements. */
    userAchievements: Array<UserAchievement>;
};
/** Autogenerated input type of UserAchievementsDelete */
export type UserAchievementsDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the user achievement being deleted. */
    userAchievementId: Scalars['AchievementsUserAchievementID']['input'];
};
/** Autogenerated return type of UserAchievementsDelete. */
export type UserAchievementsDeletePayload = {
    __typename?: 'UserAchievementsDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Deleted user achievement. */
    userAchievement?: Maybe<UserAchievement>;
};
/** An assignment of an AddOnPurchase to a User. */
export type UserAddOnAssignment = {
    __typename?: 'UserAddOnAssignment';
    /** Add-on purchase the user is assigned to. */
    addOnPurchase: AddOnPurchase;
};
/** Autogenerated input type of UserAddOnAssignmentBulkCreate */
export type UserAddOnAssignmentBulkCreateInput = {
    /** Global ID of AddOnPurchase to be assigned to. */
    addOnPurchaseId: Scalars['GitlabSubscriptionsAddOnPurchaseID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global IDs of user to be assigned. */
    userIds: Array<Scalars['UserID']['input']>;
};
/** Autogenerated return type of UserAddOnAssignmentBulkCreate. */
export type UserAddOnAssignmentBulkCreatePayload = {
    __typename?: 'UserAddOnAssignmentBulkCreatePayload';
    /** AddOnPurchase state after mutation. */
    addOnPurchase?: Maybe<AddOnPurchase>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Users who the add-on purchase was assigned to. */
    users?: Maybe<AddOnUserConnection>;
};
/** Autogenerated return type of UserAddOnAssignmentBulkCreate. */
export type UserAddOnAssignmentBulkCreatePayloadUsersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of UserAddOnAssignmentBulkRemove */
export type UserAddOnAssignmentBulkRemoveInput = {
    /** Global ID of AddOnPurchase to be unassigned from. */
    addOnPurchaseId: Scalars['GitlabSubscriptionsAddOnPurchaseID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global IDs of user to be unassigned. */
    userIds: Array<Scalars['UserID']['input']>;
};
/** Autogenerated return type of UserAddOnAssignmentBulkRemove. */
export type UserAddOnAssignmentBulkRemovePayload = {
    __typename?: 'UserAddOnAssignmentBulkRemovePayload';
    /** AddOnPurchase state after mutation. */
    addOnPurchase?: Maybe<AddOnPurchase>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Users who was unassigned from the add-on purchase. */
    users?: Maybe<AddOnUserConnection>;
};
/** Autogenerated return type of UserAddOnAssignmentBulkRemove. */
export type UserAddOnAssignmentBulkRemovePayloadUsersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** The connection type for UserAddOnAssignment. */
export type UserAddOnAssignmentConnection = {
    __typename?: 'UserAddOnAssignmentConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UserAddOnAssignmentEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UserAddOnAssignment>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of UserAddOnAssignmentCreate */
export type UserAddOnAssignmentCreateInput = {
    /** Global ID of AddOnPurchase to be assigned to. */
    addOnPurchaseId: Scalars['GitlabSubscriptionsAddOnPurchaseID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of user to be assigned. */
    userId: Scalars['UserID']['input'];
};
/** Autogenerated return type of UserAddOnAssignmentCreate. */
export type UserAddOnAssignmentCreatePayload = {
    __typename?: 'UserAddOnAssignmentCreatePayload';
    /** AddOnPurchase state after mutation. */
    addOnPurchase?: Maybe<AddOnPurchase>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** User who the add-on purchase was assigned to. */
    user?: Maybe<AddOnUser>;
};
/** An edge in a connection. */
export type UserAddOnAssignmentEdge = {
    __typename?: 'UserAddOnAssignmentEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UserAddOnAssignment>;
};
/** Autogenerated input type of UserAddOnAssignmentRemove */
export type UserAddOnAssignmentRemoveInput = {
    /** Global ID of AddOnPurchase assignment belongs to. */
    addOnPurchaseId: Scalars['GitlabSubscriptionsAddOnPurchaseID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of user whose assignment will be removed. */
    userId: Scalars['UserID']['input'];
};
/** Autogenerated return type of UserAddOnAssignmentRemove. */
export type UserAddOnAssignmentRemovePayload = {
    __typename?: 'UserAddOnAssignmentRemovePayload';
    /** AddOnPurchase state after mutation. */
    addOnPurchase?: Maybe<AddOnPurchase>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** User that the add-on was removed from. */
    user?: Maybe<AddOnUser>;
};
export type UserCallout = {
    __typename?: 'UserCallout';
    /** Date when the callout was dismissed. */
    dismissedAt?: Maybe<Scalars['Time']['output']>;
    /** Name of the feature that the callout is for. */
    featureName?: Maybe<UserCalloutFeatureNameEnum>;
};
/** The connection type for UserCallout. */
export type UserCalloutConnection = {
    __typename?: 'UserCalloutConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UserCalloutEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UserCallout>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of UserCalloutCreate */
export type UserCalloutCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Feature name you want to dismiss the callout for. */
    featureName: Scalars['String']['input'];
};
/** Autogenerated return type of UserCalloutCreate. */
export type UserCalloutCreatePayload = {
    __typename?: 'UserCalloutCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** User callout dismissed. */
    userCallout: UserCallout;
};
/** An edge in a connection. */
export type UserCalloutEdge = {
    __typename?: 'UserCalloutEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UserCallout>;
};
/** Name of the feature that the callout is for. */
export declare enum UserCalloutFeatureNameEnum {
    /** Callout feature name for active_user_count_threshold. */
    ActiveUserCountThreshold = "ACTIVE_USER_COUNT_THRESHOLD",
    /** Callout feature name for branch_rules_info_callout. */
    BranchRulesInfoCallout = "BRANCH_RULES_INFO_CALLOUT",
    /** Callout feature name for buy_pipeline_minutes_notification_dot. */
    BuyPipelineMinutesNotificationDot = "BUY_PIPELINE_MINUTES_NOTIFICATION_DOT",
    /** Callout feature name for canary_deployment. */
    CanaryDeployment = "CANARY_DEPLOYMENT",
    /** Callout feature name for ci_deprecation_warning_for_types_keyword. */
    CiDeprecationWarningForTypesKeyword = "CI_DEPRECATION_WARNING_FOR_TYPES_KEYWORD",
    /** Callout feature name for cloud_licensing_subscription_activation_banner. */
    CloudLicensingSubscriptionActivationBanner = "CLOUD_LICENSING_SUBSCRIPTION_ACTIVATION_BANNER",
    /** Callout feature name for cluster_security_warning. */
    ClusterSecurityWarning = "CLUSTER_SECURITY_WARNING",
    /** Callout feature name for deployment_approvals_empty_state. */
    DeploymentApprovalsEmptyState = "DEPLOYMENT_APPROVALS_EMPTY_STATE",
    /** Callout feature name for deployment_details_feedback. */
    DeploymentDetailsFeedback = "DEPLOYMENT_DETAILS_FEEDBACK",
    /** Callout feature name for duo_chat_callout. */
    DuoChatCallout = "DUO_CHAT_CALLOUT",
    /** Callout feature name for feature_flags_new_version. */
    FeatureFlagsNewVersion = "FEATURE_FLAGS_NEW_VERSION",
    /** Callout feature name for gcp_signup_offer. */
    GcpSignupOffer = "GCP_SIGNUP_OFFER",
    /** Callout feature name for geo_enable_hashed_storage. */
    GeoEnableHashedStorage = "GEO_ENABLE_HASHED_STORAGE",
    /** Callout feature name for geo_migrate_hashed_storage. */
    GeoMigrateHashedStorage = "GEO_MIGRATE_HASHED_STORAGE",
    /** Callout feature name for gke_cluster_integration. */
    GkeClusterIntegration = "GKE_CLUSTER_INTEGRATION",
    /** Callout feature name for gold_trial_billings. */
    GoldTrialBillings = "GOLD_TRIAL_BILLINGS",
    /** Callout feature name for joining_a_project_alert. */
    JoiningAProjectAlert = "JOINING_A_PROJECT_ALERT",
    /** Callout feature name for mr_experience_survey. */
    MrExperienceSurvey = "MR_EXPERIENCE_SURVEY",
    /** Callout feature name for namespace_over_storage_users_combined_alert. */
    NamespaceOverStorageUsersCombinedAlert = "NAMESPACE_OVER_STORAGE_USERS_COMBINED_ALERT",
    /** Callout feature name for namespace_storage_limit_alert_alert_threshold. */
    NamespaceStorageLimitAlertAlertThreshold = "NAMESPACE_STORAGE_LIMIT_ALERT_ALERT_THRESHOLD",
    /** Callout feature name for namespace_storage_limit_alert_error_threshold. */
    NamespaceStorageLimitAlertErrorThreshold = "NAMESPACE_STORAGE_LIMIT_ALERT_ERROR_THRESHOLD",
    /** Callout feature name for namespace_storage_limit_alert_warning_threshold. */
    NamespaceStorageLimitAlertWarningThreshold = "NAMESPACE_STORAGE_LIMIT_ALERT_WARNING_THRESHOLD",
    /** Callout feature name for namespace_storage_pre_enforcement_banner. */
    NamespaceStoragePreEnforcementBanner = "NAMESPACE_STORAGE_PRE_ENFORCEMENT_BANNER",
    /** Callout feature name for new_nav_for_everyone_callout. */
    NewNavForEveryoneCallout = "NEW_NAV_FOR_EVERYONE_CALLOUT",
    /** Callout feature name for new_top_level_group_alert. */
    NewTopLevelGroupAlert = "NEW_TOP_LEVEL_GROUP_ALERT",
    /** Callout feature name for new_user_signups_cap_reached. */
    NewUserSignupsCapReached = "NEW_USER_SIGNUPS_CAP_REACHED",
    /** Callout feature name for period_in_terraform_state_name_alert. */
    PeriodInTerraformStateNameAlert = "PERIOD_IN_TERRAFORM_STATE_NAME_ALERT",
    /** Callout feature name for personal_access_token_expiry. */
    PersonalAccessTokenExpiry = "PERSONAL_ACCESS_TOKEN_EXPIRY",
    /** Callout feature name for personal_project_limitations_banner. */
    PersonalProjectLimitationsBanner = "PERSONAL_PROJECT_LIMITATIONS_BANNER",
    /** Callout feature name for pipeline_needs_banner. */
    PipelineNeedsBanner = "PIPELINE_NEEDS_BANNER",
    /** Callout feature name for pipeline_needs_hover_tip. */
    PipelineNeedsHoverTip = "PIPELINE_NEEDS_HOVER_TIP",
    /** Callout feature name for preview_user_over_limit_free_plan_alert. */
    PreviewUserOverLimitFreePlanAlert = "PREVIEW_USER_OVER_LIMIT_FREE_PLAN_ALERT",
    /** Callout feature name for product_analytics_dashboard_feedback. */
    ProductAnalyticsDashboardFeedback = "PRODUCT_ANALYTICS_DASHBOARD_FEEDBACK",
    /** Callout feature name for profile_personal_access_token_expiry. */
    ProfilePersonalAccessTokenExpiry = "PROFILE_PERSONAL_ACCESS_TOKEN_EXPIRY",
    /** Callout feature name for project_quality_summary_feedback. */
    ProjectQualitySummaryFeedback = "PROJECT_QUALITY_SUMMARY_FEEDBACK",
    /** Callout feature name for project_repository_limit_alert_alert_threshold. */
    ProjectRepositoryLimitAlertAlertThreshold = "PROJECT_REPOSITORY_LIMIT_ALERT_ALERT_THRESHOLD",
    /** Callout feature name for project_repository_limit_alert_error_threshold. */
    ProjectRepositoryLimitAlertErrorThreshold = "PROJECT_REPOSITORY_LIMIT_ALERT_ERROR_THRESHOLD",
    /** Callout feature name for project_repository_limit_alert_warning_threshold. */
    ProjectRepositoryLimitAlertWarningThreshold = "PROJECT_REPOSITORY_LIMIT_ALERT_WARNING_THRESHOLD",
    /** Callout feature name for registration_enabled_callout. */
    RegistrationEnabledCallout = "REGISTRATION_ENABLED_CALLOUT",
    /** Callout feature name for security_configuration_devops_alert. */
    SecurityConfigurationDevopsAlert = "SECURITY_CONFIGURATION_DEVOPS_ALERT",
    /** Callout feature name for security_configuration_upgrade_banner. */
    SecurityConfigurationUpgradeBanner = "SECURITY_CONFIGURATION_UPGRADE_BANNER",
    /** Callout feature name for security_newsletter_callout. */
    SecurityNewsletterCallout = "SECURITY_NEWSLETTER_CALLOUT",
    /** Callout feature name for security_policy_protected_branch_modification. */
    SecurityPolicyProtectedBranchModification = "SECURITY_POLICY_PROTECTED_BRANCH_MODIFICATION",
    /** Callout feature name for security_training_feature_promotion. */
    SecurityTrainingFeaturePromotion = "SECURITY_TRAINING_FEATURE_PROMOTION",
    /** Callout feature name for submit_license_usage_data_banner. */
    SubmitLicenseUsageDataBanner = "SUBMIT_LICENSE_USAGE_DATA_BANNER",
    /** Callout feature name for suggest_pipeline. */
    SuggestPipeline = "SUGGEST_PIPELINE",
    /** Callout feature name for suggest_popover_dismissed. */
    SuggestPopoverDismissed = "SUGGEST_POPOVER_DISMISSED",
    /** Callout feature name for summarize_code_changes. */
    SummarizeCodeChanges = "SUMMARIZE_CODE_CHANGES",
    /** Callout feature name for tabs_position_highlight. */
    TabsPositionHighlight = "TABS_POSITION_HIGHLIGHT",
    /** Callout feature name for terraform_notification_dismissed. */
    TerraformNotificationDismissed = "TERRAFORM_NOTIFICATION_DISMISSED",
    /** Callout feature name for threat_monitoring_info. */
    ThreatMonitoringInfo = "THREAT_MONITORING_INFO",
    /** Callout feature name for transition_to_jihu_callout. */
    TransitionToJihuCallout = "TRANSITION_TO_JIHU_CALLOUT",
    /** Callout feature name for trial_status_reminder_d3. */
    TrialStatusReminderD3 = "TRIAL_STATUS_REMINDER_D3",
    /** Callout feature name for trial_status_reminder_d14. */
    TrialStatusReminderD14 = "TRIAL_STATUS_REMINDER_D14",
    /** Callout feature name for two_factor_auth_recovery_settings_check. */
    TwoFactorAuthRecoverySettingsCheck = "TWO_FACTOR_AUTH_RECOVERY_SETTINGS_CHECK",
    /** Callout feature name for ultimate_trial. */
    UltimateTrial = "ULTIMATE_TRIAL",
    /** Callout feature name for unfinished_tag_cleanup_callout. */
    UnfinishedTagCleanupCallout = "UNFINISHED_TAG_CLEANUP_CALLOUT",
    /** Callout feature name for user_reached_limit_free_plan_alert. */
    UserReachedLimitFreePlanAlert = "USER_REACHED_LIMIT_FREE_PLAN_ALERT",
    /** Callout feature name for verification_reminder. */
    VerificationReminder = "VERIFICATION_REMINDER",
    /** Callout feature name for vsd_feedback_banner. */
    VsdFeedbackBanner = "VSD_FEEDBACK_BANNER",
    /** Callout feature name for vulnerability_report_grouping. */
    VulnerabilityReportGrouping = "VULNERABILITY_REPORT_GROUPING",
    /** Callout feature name for web_ide_alert_dismissed. */
    WebIdeAlertDismissed = "WEB_IDE_ALERT_DISMISSED",
    /** Callout feature name for web_ide_ci_environments_guidance. */
    WebIdeCiEnvironmentsGuidance = "WEB_IDE_CI_ENVIRONMENTS_GUIDANCE",
    /** Callout feature name for work_item_epic_feedback. */
    WorkItemEpicFeedback = "WORK_ITEM_EPIC_FEEDBACK"
}
/** Core representation of a GitLab user. */
export type UserCore = User & {
    __typename?: 'UserCore';
    /** Merge requests assigned to the user. */
    assignedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Merge requests authored by the user. */
    authoredMergeRequests?: Maybe<MergeRequestConnection>;
    /** URL of the user's avatar. */
    avatarUrl?: Maybe<Scalars['String']['output']>;
    /** Bio of the user. */
    bio?: Maybe<Scalars['String']['output']>;
    /** Indicates if the user is a bot. */
    bot: Scalars['Boolean']['output'];
    /** User callouts that belong to the user. */
    callouts?: Maybe<UserCalloutConnection>;
    /** User's default commit email. */
    commitEmail?: Maybe<Scalars['String']['output']>;
    /** Projects the user has contributed to. */
    contributedProjects?: Maybe<ProjectConnection>;
    /** Timestamp of when the user was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Discord ID of the user. */
    discord?: Maybe<Scalars['String']['output']>;
    /**
     * User email. Deprecated in GitLab 13.7: This was renamed.
     * @deprecated This was renamed. Please use `User.publicEmail`. Deprecated in GitLab 13.7.
     */
    email?: Maybe<Scalars['String']['output']>;
    /** User's email addresses. */
    emails?: Maybe<EmailConnection>;
    /** Whether Gitpod is enabled at the user level. */
    gitpodEnabled?: Maybe<Scalars['Boolean']['output']>;
    /** Group count for the user. */
    groupCount?: Maybe<Scalars['Int']['output']>;
    /** Group memberships of the user. */
    groupMemberships?: Maybe<GroupMemberConnection>;
    /** Groups where the user has access. */
    groups?: Maybe<GroupConnection>;
    /** ID of the user. */
    id: Scalars['ID']['output'];
    /** IDE settings. */
    ide?: Maybe<Ide>;
    /** Job title of the user. */
    jobTitle?: Maybe<Scalars['String']['output']>;
    /** Date the user last performed any actions. */
    lastActivityOn?: Maybe<Scalars['Date']['output']>;
    /** LinkedIn profile name of the user. */
    linkedin?: Maybe<Scalars['String']['output']>;
    /** Location of the user. */
    location?: Maybe<Scalars['String']['output']>;
    /** Human-readable name of the user. Returns `****` if the user is a project bot and the requester does not have permission to view the project. */
    name: Scalars['String']['output'];
    /** Personal namespace of the user. */
    namespace?: Maybe<Namespace>;
    /** User's custom namespace commit emails. */
    namespaceCommitEmails?: Maybe<NamespaceCommitEmailConnection>;
    /** Who the user represents or works for. */
    organization?: Maybe<Scalars['String']['output']>;
    /**
     * Organizations where the user has access. Introduced in GitLab 16.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.6.
     */
    organizations?: Maybe<OrganizationConnection>;
    /** Web path to the Gitpod section within user preferences. */
    preferencesGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Web path to enable Gitpod for the user. */
    profileEnableGitpodPath?: Maybe<Scalars['String']['output']>;
    /** Project memberships of the user. */
    projectMemberships?: Maybe<ProjectMemberConnection>;
    /** Pronouns of the user. */
    pronouns?: Maybe<Scalars['String']['output']>;
    /** User's public email. */
    publicEmail?: Maybe<Scalars['String']['output']>;
    /** Merge requests assigned to the user for review. */
    reviewRequestedMergeRequests?: Maybe<MergeRequestConnection>;
    /** Saved replies authored by the user. */
    savedReplies?: Maybe<SavedReplyConnection>;
    /** Saved reply authored by the user. */
    savedReply?: Maybe<SavedReply>;
    /** Snippets authored by the user. */
    snippets?: Maybe<SnippetConnection>;
    /** Projects starred by the user. */
    starredProjects?: Maybe<ProjectConnection>;
    /** State of the user. */
    state: UserState;
    /** User status. */
    status?: Maybe<UserStatus>;
    /** Time logged by the user. */
    timelogs?: Maybe<TimelogConnection>;
    /** To-do items of the user. */
    todos?: Maybe<TodoConnection>;
    /** X (formerly Twitter) username of the user. */
    twitter?: Maybe<Scalars['String']['output']>;
    /**
     * Achievements for the user. Only returns for namespaces where the `achievements` feature flag is enabled. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    userAchievements?: Maybe<UserAchievementConnection>;
    /** Permissions for the current user on the resource. */
    userPermissions: UserPermissions;
    /** Username of the user. Unique within this instance of GitLab. */
    username: Scalars['String']['output'];
    /** Web path of the user. */
    webPath: Scalars['String']['output'];
    /** Web URL of the user. */
    webUrl: Scalars['String']['output'];
    /** Workspaces owned by the current user. */
    workspaces?: Maybe<WorkspaceConnection>;
};
/** Core representation of a GitLab user. */
export type UserCoreAssignedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreAuthoredMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    reviewerUsername?: InputMaybe<Scalars['String']['input']>;
    reviewerWildcardId?: InputMaybe<ReviewerWildcardId>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreCalloutsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreContributedProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** Core representation of a GitLab user. */
export type UserCoreEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreGroupMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreGroupsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    permissionScope?: InputMaybe<GroupPermission>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreNamespaceCommitEmailsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreOrganizationsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreProjectMembershipsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreReviewRequestedMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    approved?: InputMaybe<Scalars['Boolean']['input']>;
    assigneeUsername?: InputMaybe<Scalars['String']['input']>;
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    createdAfter?: InputMaybe<Scalars['Time']['input']>;
    createdBefore?: InputMaybe<Scalars['Time']['input']>;
    deployedAfter?: InputMaybe<Scalars['Time']['input']>;
    deployedBefore?: InputMaybe<Scalars['Time']['input']>;
    deploymentId?: InputMaybe<Scalars['String']['input']>;
    draft?: InputMaybe<Scalars['Boolean']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    labelName?: InputMaybe<Array<InputMaybe<Scalars['String']['input']>>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    mergedAfter?: InputMaybe<Scalars['Time']['input']>;
    mergedBefore?: InputMaybe<Scalars['Time']['input']>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    not?: InputMaybe<MergeRequestsResolverNegatedParams>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    projectPath?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<MergeRequestSort>;
    sourceBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    state?: InputMaybe<MergeRequestState>;
    targetBranches?: InputMaybe<Array<Scalars['String']['input']>>;
    updatedAfter?: InputMaybe<Scalars['Time']['input']>;
    updatedBefore?: InputMaybe<Scalars['Time']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreSavedRepliesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreSavedReplyArgs = {
    id: Scalars['UsersSavedReplyID']['input'];
};
/** Core representation of a GitLab user. */
export type UserCoreSnippetsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['SnippetID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    type?: InputMaybe<TypeEnum>;
    visibility?: InputMaybe<VisibilityScopesEnum>;
};
/** Core representation of a GitLab user. */
export type UserCoreStarredProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sort?: InputMaybe<ProjectSort>;
};
/** Core representation of a GitLab user. */
export type UserCoreTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    endDate?: InputMaybe<Scalars['Time']['input']>;
    endTime?: InputMaybe<Scalars['Time']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Scalars['GroupID']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Scalars['ProjectID']['input']>;
    sort?: InputMaybe<TimelogSort>;
    startDate?: InputMaybe<Scalars['Time']['input']>;
    startTime?: InputMaybe<Scalars['Time']['input']>;
    username?: InputMaybe<Scalars['String']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreTodosArgs = {
    action?: InputMaybe<Array<TodoActionEnum>>;
    after?: InputMaybe<Scalars['String']['input']>;
    authorId?: InputMaybe<Array<Scalars['ID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    groupId?: InputMaybe<Array<Scalars['ID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectId?: InputMaybe<Array<Scalars['ID']['input']>>;
    sort?: InputMaybe<TodoSort>;
    state?: InputMaybe<Array<TodoStateEnum>>;
    type?: InputMaybe<Array<TodoTargetEnum>>;
};
/** Core representation of a GitLab user. */
export type UserCoreUserAchievementsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Core representation of a GitLab user. */
export type UserCoreWorkspacesArgs = {
    actualStates?: InputMaybe<Array<Scalars['String']['input']>>;
    after?: InputMaybe<Scalars['String']['input']>;
    agentIds?: InputMaybe<Array<Scalars['ClustersAgentID']['input']>>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    ids?: InputMaybe<Array<Scalars['RemoteDevelopmentWorkspaceID']['input']>>;
    last?: InputMaybe<Scalars['Int']['input']>;
    projectIds?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
/** The connection type for UserCore. */
export type UserCoreConnection = {
    __typename?: 'UserCoreConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UserCoreEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UserCore>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type UserCoreEdge = {
    __typename?: 'UserCoreEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UserCore>;
};
/**
 * Information about a merge request given a specific user.
 *
 * This object has two parts to its state: a `User` and a `MergeRequest`. All
 * fields relate to interactions between the two entities.
 *
 */
export type UserMergeRequestInteraction = {
    __typename?: 'UserMergeRequestInteraction';
    /** Approval rules that apply to this user for this merge request. */
    applicableApprovalRules?: Maybe<Array<ApprovalRule>>;
    /** Whether this user has approved this merge request. */
    approved: Scalars['Boolean']['output'];
    /** Whether this user can merge this merge request. */
    canMerge: Scalars['Boolean']['output'];
    /** Whether this user can update this merge request. */
    canUpdate: Scalars['Boolean']['output'];
    /** State of the review by this user. */
    reviewState?: Maybe<MergeRequestReviewState>;
    /** Whether this user has provided a review for this merge request. */
    reviewed: Scalars['Boolean']['output'];
};
export type UserPermissions = {
    __typename?: 'UserPermissions';
    /** If `true`, the user can perform `create_snippet` on this resource */
    createSnippet: Scalars['Boolean']['output'];
};
export type UserPreferences = {
    __typename?: 'UserPreferences';
    /** Status of the Web IDE Extension Marketplace opt-in for the user. */
    extensionsMarketplaceOptInStatus: ExtensionsMarketplaceOptInStatus;
    /** Sort order for issue lists. */
    issuesSort?: Maybe<IssueSort>;
    /**
     * Default list view for organization groups and projects. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    organizationGroupsProjectsDisplay: OrganizationGroupProjectDisplay;
    /**
     * Sort order for organization groups and projects. Introduced in GitLab 17.2: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 17.2.
     */
    organizationGroupsProjectsSort?: Maybe<OrganizationGroupProjectSort>;
    /**
     * Whether Web IDE Extension Marketplace is enabled for the user. Deprecated in GitLab 16.11: Use `extensions_marketplace_opt_in_status` instead.
     * @deprecated Use `extensions_marketplace_opt_in_status` instead. Deprecated in GitLab 16.11.
     */
    useWebIdeExtensionMarketplace: Scalars['Boolean']['output'];
    /** Determines whether the pipeline list shows ID or IID. */
    visibilityPipelineIdType?: Maybe<VisibilityPipelineIdType>;
};
/** Autogenerated input type of UserPreferencesUpdate */
export type UserPreferencesUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Status of the Web IDE Extension Marketplace opt-in for the user. */
    extensionsMarketplaceOptInStatus?: InputMaybe<ExtensionsMarketplaceOptInStatus>;
    /** Sort order for issue lists. */
    issuesSort?: InputMaybe<IssueSort>;
    /** Whether Web IDE Extension Marketplace is enabled for the user. */
    useWebIdeExtensionMarketplace?: InputMaybe<Scalars['Boolean']['input']>;
    /** Determines whether the pipeline list shows ID or IID. */
    visibilityPipelineIdType?: InputMaybe<VisibilityPipelineIdType>;
};
/** Autogenerated return type of UserPreferencesUpdate. */
export type UserPreferencesUpdatePayload = {
    __typename?: 'UserPreferencesUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** User preferences after mutation. */
    userPreferences?: Maybe<UserPreferences>;
};
/** Types of User Promotion States. */
export declare enum UserPromotionStatusType {
    /** Failed to apply promotion requests for user. */
    Failed = "FAILED",
    /** User promotion was successful, but all promotion requests were not successfully applied. */
    PartialSuccess = "PARTIAL_SUCCESS",
    /** Successfully applied all promotion requests for user. */
    Success = "SUCCESS"
}
/** Autogenerated input type of UserSetNamespaceCommitEmail */
export type UserSetNamespaceCommitEmailInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the email to set. */
    emailId?: InputMaybe<Scalars['EmailID']['input']>;
    /** ID of the namespace to set the namespace commit email for. */
    namespaceId: Scalars['NamespaceID']['input'];
};
/** Autogenerated return type of UserSetNamespaceCommitEmail. */
export type UserSetNamespaceCommitEmailPayload = {
    __typename?: 'UserSetNamespaceCommitEmailPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** User namespace commit email after mutation. */
    namespaceCommitEmail?: Maybe<NamespaceCommitEmail>;
};
/** Possible states of a user */
export declare enum UserState {
    /** User is active and can use the system. */
    Active = "active",
    /** User is blocked, and their contributions are hidden. */
    Banned = "banned",
    /** User has been blocked by an administrator and cannot use the system. */
    Blocked = "blocked",
    /** User is blocked and pending approval. */
    BlockedPendingApproval = "blocked_pending_approval",
    /** User is no longer active and cannot use the system. */
    Deactivated = "deactivated",
    /** User has been blocked by the system. */
    LdapBlocked = "ldap_blocked"
}
export type UserStatus = {
    __typename?: 'UserStatus';
    /** User availability status. */
    availability: AvailabilityEnum;
    /** String representation of emoji. */
    emoji?: Maybe<Scalars['String']['output']>;
    /** User status message. */
    message?: Maybe<Scalars['String']['output']>;
    /** HTML of the user status message */
    messageHtml?: Maybe<Scalars['String']['output']>;
};
/** Represents a Pending Member Approval Queued for Role Promotion */
export type UsersQueuedForRolePromotion = {
    __typename?: 'UsersQueuedForRolePromotion';
    /** Highest New GitLab::Access level requested for the member. */
    newAccessLevel?: Maybe<AccessLevel>;
    /** User that is associated with the member approval object. */
    user?: Maybe<UserCore>;
};
/** The connection type for UsersQueuedForRolePromotion. */
export type UsersQueuedForRolePromotionConnection = {
    __typename?: 'UsersQueuedForRolePromotionConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<UsersQueuedForRolePromotionEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<UsersQueuedForRolePromotion>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type UsersQueuedForRolePromotionEdge = {
    __typename?: 'UsersQueuedForRolePromotionEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<UsersQueuedForRolePromotion>;
};
export type ValueStream = {
    __typename?: 'ValueStream';
    /** ID of the value stream. */
    id: Scalars['AnalyticsCycleAnalyticsValueStreamID']['output'];
    /** Name of the value stream. */
    name: Scalars['String']['output'];
    /** Namespace the value stream belongs to. */
    namespace: Namespace;
    /**
     * Project the value stream belongs to, returns empty if it belongs to a group. Introduced in GitLab 15.6: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.6.
     */
    project?: Maybe<Project>;
    /** Value Stream stages. */
    stages?: Maybe<Array<ValueStreamStage>>;
};
export type ValueStreamStagesArgs = {
    id?: InputMaybe<Scalars['ID']['input']>;
};
export type ValueStreamAnalytics = {
    __typename?: 'ValueStreamAnalytics';
    /** Shows information about background data collection and aggregation. */
    aggregationStatus?: Maybe<AggregationStatus>;
};
export type ValueStreamAnalyticsMetric = {
    __typename?: 'ValueStreamAnalyticsMetric';
    /** Identifier for the metric. */
    identifier: Scalars['String']['output'];
    /** Optional links for drilling down. */
    links: Array<ValueStreamMetricLinkType>;
    /** Title for the metric. */
    title: Scalars['String']['output'];
    /** Unit of measurement. */
    unit?: Maybe<Scalars['String']['output']>;
    /** Value for the metric. */
    value?: Maybe<Scalars['Float']['output']>;
};
/** The connection type for ValueStream. */
export type ValueStreamConnection = {
    __typename?: 'ValueStreamConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<ValueStreamEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<ValueStream>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of ValueStreamCreate */
export type ValueStreamCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Value stream name. */
    name: Scalars['String']['input'];
    /** Full path of the namespace(project or group) the value stream is created in. */
    namespacePath: Scalars['ID']['input'];
    /** Value stream configuration. */
    setting?: InputMaybe<ValueStreamSettingInput>;
    /** Value stream custom stages. */
    stages?: InputMaybe<Array<ValueStreamStageInput>>;
};
/** Autogenerated return type of ValueStreamCreate. */
export type ValueStreamCreatePayload = {
    __typename?: 'ValueStreamCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created value stream. */
    valueStream?: Maybe<ValueStream>;
};
/** Represents a recorded measurement (object count) for the requested group */
export type ValueStreamDashboardCount = {
    __typename?: 'ValueStreamDashboardCount';
    /** Object count. */
    count?: Maybe<Scalars['Int']['output']>;
    /** Type of object being measured. */
    identifier: ValueStreamDashboardMetric;
    /** Time the measurement was taken. */
    recordedAt?: Maybe<Scalars['Time']['output']>;
};
/** Possible identifier types for a measurement */
export declare enum ValueStreamDashboardMetric {
    /** Contributor count. EXPERIMENTAL: Only available on the SaaS version of GitLab when the ClickHouse database backend is enabled. */
    Contributors = "CONTRIBUTORS",
    /** Group count. */
    Groups = "GROUPS",
    /** Issue count. */
    Issues = "ISSUES",
    /** Merge request count. */
    MergeRequests = "MERGE_REQUESTS",
    /** Pipeline count. */
    Pipelines = "PIPELINES",
    /** Project count. */
    Projects = "PROJECTS",
    /** User count. */
    Users = "USERS"
}
/** Possible identifier types for project-level measurement */
export declare enum ValueStreamDashboardProjectLevelMetric {
    /** Contributor count. EXPERIMENTAL: Only available on the SaaS version of GitLab when the ClickHouse database backend is enabled. */
    Contributors = "CONTRIBUTORS",
    /** Issue count. */
    Issues = "ISSUES",
    /** Merge request count. */
    MergeRequests = "MERGE_REQUESTS",
    /** Pipeline count. */
    Pipelines = "PIPELINES"
}
/** Autogenerated input type of ValueStreamDestroy */
export type ValueStreamDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the value stream to destroy. */
    id: Scalars['AnalyticsCycleAnalyticsValueStreamID']['input'];
};
/** Autogenerated return type of ValueStreamDestroy. */
export type ValueStreamDestroyPayload = {
    __typename?: 'ValueStreamDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Value stream deleted after mutation. */
    valueStream?: Maybe<ValueStream>;
};
/** An edge in a connection. */
export type ValueStreamEdge = {
    __typename?: 'ValueStreamEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<ValueStream>;
};
export type ValueStreamMetricLinkType = {
    __typename?: 'ValueStreamMetricLinkType';
    /** Link to the metric documentation. */
    docsLink?: Maybe<Scalars['Boolean']['output']>;
    /** Label for the link. */
    label: Scalars['String']['output'];
    /** Name of the link group. */
    name: Scalars['String']['output'];
    /** Drill-down URL. */
    url: Scalars['String']['output'];
};
/** Attributes for value stream setting. */
export type ValueStreamSettingInput = {
    /** Projects' global IDs used to filter value stream data. */
    projectIdsFilter?: InputMaybe<Array<Scalars['ProjectID']['input']>>;
};
export type ValueStreamStage = {
    __typename?: 'ValueStreamStage';
    /** Whether the stage is customized. */
    custom: Scalars['Boolean']['output'];
    /** HTML description of the end event. */
    endEventHtmlDescription: Scalars['String']['output'];
    /** End event identifier. */
    endEventIdentifier: ValueStreamStageEvent;
    /** Label associated with end event. */
    endEventLabel?: Maybe<Label>;
    /** Whether the stage is hidden. */
    hidden: Scalars['Boolean']['output'];
    /** ID of the value stream. */
    id: Scalars['AnalyticsCycleAnalyticsStageID']['output'];
    /** Aggregated metrics for the given stage */
    metrics: ValueStreamStageMetrics;
    /** Name of the stage. */
    name: Scalars['String']['output'];
    /** HTML description of the start event. */
    startEventHtmlDescription: Scalars['String']['output'];
    /** Start event identifier. */
    startEventIdentifier: ValueStreamStageEvent;
    /** Label associated with start event. */
    startEventLabel?: Maybe<Label>;
};
export type ValueStreamStageMetricsArgs = {
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    labelNames?: InputMaybe<Array<Scalars['String']['input']>>;
    milestoneTitle?: InputMaybe<Scalars['String']['input']>;
    timeframe: Timeframe;
};
/** Stage event identifiers */
export declare enum ValueStreamStageEvent {
    /** Code stage start event. */
    CodeStageStart = "CODE_STAGE_START",
    /** Issue closed event. */
    IssueClosed = "ISSUE_CLOSED",
    /** Issue created event. */
    IssueCreated = "ISSUE_CREATED",
    /** Issue deployed to production event. */
    IssueDeployedToProduction = "ISSUE_DEPLOYED_TO_PRODUCTION",
    /** Issue first added to board event. */
    IssueFirstAddedToBoard = "ISSUE_FIRST_ADDED_TO_BOARD",
    /** Issue first added to iteration event. */
    IssueFirstAddedToIteration = "ISSUE_FIRST_ADDED_TO_ITERATION",
    /** Issue first assigned at event. */
    IssueFirstAssignedAt = "ISSUE_FIRST_ASSIGNED_AT",
    /** Issue first associated with milestone event. */
    IssueFirstAssociatedWithMilestone = "ISSUE_FIRST_ASSOCIATED_WITH_MILESTONE",
    /** Issue first mentioned in commit event. */
    IssueFirstMentionedInCommit = "ISSUE_FIRST_MENTIONED_IN_COMMIT",
    /** Issue label added event. */
    IssueLabelAdded = "ISSUE_LABEL_ADDED",
    /** Issue label removed event. */
    IssueLabelRemoved = "ISSUE_LABEL_REMOVED",
    /** Issue last edited event. */
    IssueLastEdited = "ISSUE_LAST_EDITED",
    /** Issue stage end event. */
    IssueStageEnd = "ISSUE_STAGE_END",
    /** Merge request closed event. */
    MergeRequestClosed = "MERGE_REQUEST_CLOSED",
    /** Merge request created event. */
    MergeRequestCreated = "MERGE_REQUEST_CREATED",
    /** Merge request first assigned at event. */
    MergeRequestFirstAssignedAt = "MERGE_REQUEST_FIRST_ASSIGNED_AT",
    /** Merge request first commit at event. */
    MergeRequestFirstCommitAt = "MERGE_REQUEST_FIRST_COMMIT_AT",
    /** Merge request first deployed to production event. */
    MergeRequestFirstDeployedToProduction = "MERGE_REQUEST_FIRST_DEPLOYED_TO_PRODUCTION",
    /** Merge request label added event. */
    MergeRequestLabelAdded = "MERGE_REQUEST_LABEL_ADDED",
    /** Merge request label removed event. */
    MergeRequestLabelRemoved = "MERGE_REQUEST_LABEL_REMOVED",
    /** Merge request last build finished event. */
    MergeRequestLastBuildFinished = "MERGE_REQUEST_LAST_BUILD_FINISHED",
    /** Merge request last build started event. */
    MergeRequestLastBuildStarted = "MERGE_REQUEST_LAST_BUILD_STARTED",
    /** Merge request last edited event. */
    MergeRequestLastEdited = "MERGE_REQUEST_LAST_EDITED",
    /** Merge request merged event. */
    MergeRequestMerged = "MERGE_REQUEST_MERGED",
    /** Merge request reviewer first assigned event. */
    MergeRequestReviewerFirstAssigned = "MERGE_REQUEST_REVIEWER_FIRST_ASSIGNED",
    /** Plan stage start event. */
    PlanStageStart = "PLAN_STAGE_START"
}
/** Attributes for value stream stage. */
export type ValueStreamStageInput = {
    /** Whether the stage is customized. If false, it assigns a built-in default stage by name. */
    custom?: InputMaybe<Scalars['Boolean']['input']>;
    /** End event identifier. */
    endEventIdentifier?: InputMaybe<ValueStreamStageEvent>;
    /** Label ID associated with the end event identifier. */
    endEventLabelId?: InputMaybe<Scalars['LabelID']['input']>;
    /** Whether the stage is hidden. */
    hidden?: InputMaybe<Scalars['Boolean']['input']>;
    /** Name of the stage. */
    name: Scalars['String']['input'];
    /** Start event identifier. */
    startEventIdentifier?: InputMaybe<ValueStreamStageEvent>;
    /** Label ID associated with the start event identifier. */
    startEventLabelId?: InputMaybe<Scalars['LabelID']['input']>;
};
export type ValueStreamStageMetrics = {
    __typename?: 'ValueStreamStageMetrics';
    /** Average duration in seconds. */
    average?: Maybe<ValueStreamAnalyticsMetric>;
    /** Limited item count. The backend counts maximum 1000 items, for free projects, and maximum 10,000 items for licensed projects or licensed groups. */
    count?: Maybe<ValueStreamAnalyticsMetric>;
    /** Median duration in seconds. */
    median?: Maybe<ValueStreamAnalyticsMetric>;
};
/** Autogenerated input type of ValueStreamUpdate */
export type ValueStreamUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the value stream to update. */
    id: Scalars['AnalyticsCycleAnalyticsValueStreamID']['input'];
    /** Value stream name. */
    name?: InputMaybe<Scalars['String']['input']>;
    /** Value stream configuration. */
    setting?: InputMaybe<ValueStreamSettingInput>;
    /** Value stream custom stages. */
    stages?: InputMaybe<Array<ValueStreamStageInput>>;
};
/** Autogenerated return type of ValueStreamUpdate. */
export type ValueStreamUpdatePayload = {
    __typename?: 'ValueStreamUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated value stream. */
    valueStream?: Maybe<ValueStream>;
};
export declare enum VerificationStateEnum {
    /** Verification process is disabled. */
    Disabled = "DISABLED",
    /** Verification process finished but failed. */
    Failed = "FAILED",
    /** Verification process has not started. */
    Pending = "PENDING",
    /** Verification process is in progress. */
    Started = "STARTED",
    /** Verification process finished successfully. */
    Succeeded = "SUCCEEDED"
}
/** Verification status of a GPG, X.509 or SSH signature for a commit. */
export declare enum VerificationStatus {
    /** multiple_signatures verification status. */
    MultipleSignatures = "MULTIPLE_SIGNATURES",
    /** other_user verification status. */
    OtherUser = "OTHER_USER",
    /** revoked_key verification status. */
    RevokedKey = "REVOKED_KEY",
    /** same_user_different_email verification status. */
    SameUserDifferentEmail = "SAME_USER_DIFFERENT_EMAIL",
    /** unknown_key verification status. */
    UnknownKey = "UNKNOWN_KEY",
    /** unverified verification status. */
    Unverified = "UNVERIFIED",
    /** unverified_key verification status. */
    UnverifiedKey = "UNVERIFIED_KEY",
    /** verified verification status. */
    Verified = "VERIFIED",
    /** verified_ca verification status. */
    VerifiedCa = "VERIFIED_CA",
    /** verified_system verification status. */
    VerifiedSystem = "VERIFIED_SYSTEM"
}
/** Autogenerated input type of VerifiedNamespaceCreate */
export type VerifiedNamespaceCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Root namespace path. */
    namespacePath: Scalars['ID']['input'];
    /** Verification level used to indicate the verification for namespace given by Gitlab. */
    verificationLevel: CiCatalogResourceVerificationLevel;
};
/** Autogenerated return type of VerifiedNamespaceCreate. */
export type VerifiedNamespaceCreatePayload = {
    __typename?: 'VerifiedNamespaceCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
export declare enum VisibilityLevelsEnum {
    /** Internal visibility level. */
    Internal = "internal",
    /** Private visibility level. */
    Private = "private",
    /** Public visibility level. */
    Public = "public"
}
/** Determines whether the pipeline list shows ID or IID */
export declare enum VisibilityPipelineIdType {
    /** Display pipeline ID. */
    Id = "ID",
    /** Display pipeline IID. */
    Iid = "IID"
}
export declare enum VisibilityScopesEnum {
    /** Snippet is visible for any logged in user except external users. */
    Internal = "internal",
    /** Snippet is visible only to the snippet creator. */
    Private = "private",
    /** Snippet can be accessed without any authentication. */
    Public = "public"
}
/** Represents the count of vulnerabilities by severity on a particular day. This data is retained for 365 days */
export type VulnerabilitiesCountByDay = {
    __typename?: 'VulnerabilitiesCountByDay';
    /** Total number of vulnerabilities on a particular day with critical severity */
    critical: Scalars['Int']['output'];
    /** Date for the count. */
    date: Scalars['ISO8601Date']['output'];
    /** Total number of vulnerabilities on a particular day with high severity */
    high: Scalars['Int']['output'];
    /** Total number of vulnerabilities on a particular day with info severity */
    info: Scalars['Int']['output'];
    /** Total number of vulnerabilities on a particular day with low severity */
    low: Scalars['Int']['output'];
    /** Total number of vulnerabilities on a particular day with medium severity */
    medium: Scalars['Int']['output'];
    /** Total number of vulnerabilities on a particular day. */
    total: Scalars['Int']['output'];
    /** Total number of vulnerabilities on a particular day with unknown severity */
    unknown: Scalars['Int']['output'];
};
/** The connection type for VulnerabilitiesCountByDay. */
export type VulnerabilitiesCountByDayConnection = {
    __typename?: 'VulnerabilitiesCountByDayConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<VulnerabilitiesCountByDayEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<VulnerabilitiesCountByDay>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type VulnerabilitiesCountByDayEdge = {
    __typename?: 'VulnerabilitiesCountByDayEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<VulnerabilitiesCountByDay>;
};
/** Autogenerated input type of VulnerabilitiesDismiss */
export type VulnerabilitiesDismissInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment why vulnerability was dismissed (maximum 50,000 characters). */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** Reason why vulnerability should be dismissed. */
    dismissalReason?: InputMaybe<VulnerabilityDismissalReason>;
    /** IDs of the vulnerabilities to be dismissed (maximum 100 entries). */
    vulnerabilityIds: Array<Scalars['VulnerabilityID']['input']>;
};
/** Autogenerated return type of VulnerabilitiesDismiss. */
export type VulnerabilitiesDismissPayload = {
    __typename?: 'VulnerabilitiesDismissPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Vulnerabilities after state change. */
    vulnerabilities: Array<Vulnerability>;
};
/** Autogenerated input type of VulnerabilitiesRemoveAllFromProject */
export type VulnerabilitiesRemoveAllFromProjectInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** IDs of project for which all Vulnerabilities should be removed. The deletion will happen in the background so the changes will not be visible immediately. */
    projectIds: Array<Scalars['ProjectID']['input']>;
};
/** Autogenerated return type of VulnerabilitiesRemoveAllFromProject. */
export type VulnerabilitiesRemoveAllFromProjectPayload = {
    __typename?: 'VulnerabilitiesRemoveAllFromProjectPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Projects for which the deletion was scheduled. */
    projects: Array<Project>;
};
/** Represents a vulnerability */
export type Vulnerability = NoteableInterface & {
    __typename?: 'Vulnerability';
    /** All commenters on this noteable. */
    commenters: UserCoreConnection;
    /** Timestamp of when the vulnerability state was changed to confirmed. */
    confirmedAt?: Maybe<Scalars['Time']['output']>;
    /** User that confirmed the vulnerability. */
    confirmedBy?: Maybe<UserCore>;
    /** CVSS information for the vulnerability. */
    cvss: Array<CvssType>;
    /** Description of the vulnerability. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Details of the vulnerability. */
    details: Array<VulnerabilityDetail>;
    /** Timestamp of when the vulnerability was first detected. */
    detectedAt: Scalars['Time']['output'];
    /** All discussions on this noteable. */
    discussions: DiscussionConnection;
    /** Reason for dismissal. Returns `null` for states other than `dismissed`. */
    dismissalReason?: Maybe<VulnerabilityDismissalReason>;
    /** Timestamp of when the vulnerability state was changed to dismissed. */
    dismissedAt?: Maybe<Scalars['Time']['output']>;
    /** User that dismissed the vulnerability. */
    dismissedBy?: Maybe<UserCore>;
    /** List of external issue links related to the vulnerability. */
    externalIssueLinks: VulnerabilityExternalIssueLinkConnection;
    /** Indicates whether the vulnerability is a false positive. */
    falsePositive?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates whether there is a remediation available for this vulnerability. */
    hasRemediations?: Maybe<Scalars['Boolean']['output']>;
    /** GraphQL ID of the vulnerability. */
    id: Scalars['ID']['output'];
    /** Identifiers of the vulnerability. */
    identifiers: Array<VulnerabilityIdentifier>;
    /** List of issue links related to the vulnerability. */
    issueLinks: VulnerabilityIssueLinkConnection;
    /** List of links associated with the vulnerability. */
    links: Array<VulnerabilityLink>;
    /** Location metadata for the vulnerability. Its fields depend on the type of security scan that found the vulnerability. */
    location?: Maybe<VulnerabilityLocation>;
    /** Merge request that fixes the vulnerability. */
    mergeRequest?: Maybe<MergeRequest>;
    /** All notes on this noteable. */
    notes: NoteConnection;
    /** Indicates whether the vulnerability is present on the default branch or not. */
    presentOnDefaultBranch: Scalars['Boolean']['output'];
    /** Primary identifier of the vulnerability. */
    primaryIdentifier?: Maybe<VulnerabilityIdentifier>;
    /** Project on which the vulnerability was found. */
    project?: Maybe<Project>;
    /** Type of the security report that found the vulnerability (SAST, DEPENDENCY_SCANNING, CONTAINER_SCANNING, DAST, SECRET_DETECTION, COVERAGE_FUZZING, API_FUZZING, CLUSTER_IMAGE_SCANNING, CONTAINER_SCANNING_FOR_REGISTRY, GENERIC). `Scan Type` in the UI. */
    reportType?: Maybe<VulnerabilityReportType>;
    /** Timestamp of when the vulnerability state was changed to resolved. */
    resolvedAt?: Maybe<Scalars['Time']['output']>;
    /** User that resolved the vulnerability. */
    resolvedBy?: Maybe<UserCore>;
    /** Indicates whether the vulnerability is fixed on the default branch or not. */
    resolvedOnDefaultBranch: Scalars['Boolean']['output'];
    /** Scanner metadata for the vulnerability. */
    scanner?: Maybe<VulnerabilityScanner>;
    /** Severity of the vulnerability (INFO, UNKNOWN, LOW, MEDIUM, HIGH, CRITICAL) */
    severity?: Maybe<VulnerabilitySeverity>;
    /** Recommended solution for the vulnerability. */
    solution?: Maybe<Scalars['String']['output']>;
    /** State of the vulnerability (DETECTED, CONFIRMED, RESOLVED, DISMISSED) */
    state?: Maybe<VulnerabilityState>;
    /** Comment given for the vulnerability state change. */
    stateComment?: Maybe<Scalars['String']['output']>;
    /** List of state transitions related to the vulnerability. */
    stateTransitions?: Maybe<VulnerabilityStateTransitionTypeConnection>;
    /** Title of the vulnerability. */
    title?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the vulnerability was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
    /** Number of user notes attached to the vulnerability. */
    userNotesCount: Scalars['Int']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: VulnerabilityPermissions;
    /** UUID of the vulnerability finding. Can be used to look up the associated security report finding. */
    uuid: Scalars['String']['output'];
    /** Path to the vulnerability's details page. */
    vulnerabilityPath?: Maybe<Scalars['String']['output']>;
    /** URL to the vulnerability's details page. */
    webUrl?: Maybe<Scalars['String']['output']>;
};
/** Represents a vulnerability */
export type VulnerabilityCommentersArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a vulnerability */
export type VulnerabilityDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a vulnerability */
export type VulnerabilityExternalIssueLinksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a vulnerability */
export type VulnerabilityIssueLinksArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    linkType?: InputMaybe<VulnerabilityIssueLinkType>;
};
/** Represents a vulnerability */
export type VulnerabilityNotesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a vulnerability */
export type VulnerabilityStateTransitionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Autogenerated input type of VulnerabilityConfirm */
export type VulnerabilityConfirmInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment why vulnerability was confirmed (maximum 50,000 characters). */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** ID of the vulnerability to be confirmed. */
    id: Scalars['VulnerabilityID']['input'];
};
/** Autogenerated return type of VulnerabilityConfirm. */
export type VulnerabilityConfirmPayload = {
    __typename?: 'VulnerabilityConfirmPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Vulnerability after state change. */
    vulnerability?: Maybe<Vulnerability>;
};
/** The connection type for Vulnerability. */
export type VulnerabilityConnection = {
    __typename?: 'VulnerabilityConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<VulnerabilityEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Vulnerability>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Represents a container image reported on the related vulnerability */
export type VulnerabilityContainerImage = {
    __typename?: 'VulnerabilityContainerImage';
    /** Name of the container image. */
    name?: Maybe<Scalars['String']['output']>;
};
/** The connection type for VulnerabilityContainerImage. */
export type VulnerabilityContainerImageConnection = {
    __typename?: 'VulnerabilityContainerImageConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<VulnerabilityContainerImageEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<VulnerabilityContainerImage>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type VulnerabilityContainerImageEdge = {
    __typename?: 'VulnerabilityContainerImageEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<VulnerabilityContainerImage>;
};
/** Autogenerated input type of VulnerabilityCreate */
export type VulnerabilityCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Timestamp of when the vulnerability state changed to confirmed (defaults to creation time if status is `confirmed`). */
    confirmedAt?: InputMaybe<Scalars['Time']['input']>;
    /** Long text section that describes the vulnerability in more detail. */
    description: Scalars['String']['input'];
    /** Timestamp of when the vulnerability was first detected (defaults to creation time). */
    detectedAt?: InputMaybe<Scalars['Time']['input']>;
    /** Timestamp of when the vulnerability state changed to dismissed (defaults to creation time if status is `dismissed`). */
    dismissedAt?: InputMaybe<Scalars['Time']['input']>;
    /** Array of CVE or CWE identifiers for the vulnerability. */
    identifiers: Array<VulnerabilityIdentifierInput>;
    /** Name of the vulnerability. */
    name: Scalars['String']['input'];
    /** ID of the project to attach the vulnerability to. */
    project: Scalars['ProjectID']['input'];
    /** Timestamp of when the vulnerability state changed to resolved (defaults to creation time if status is `resolved`). */
    resolvedAt?: InputMaybe<Scalars['Time']['input']>;
    /** Information about the scanner used to discover the vulnerability. */
    scanner: VulnerabilityScannerInput;
    /** Severity of the vulnerability (defaults to `unknown`). */
    severity?: InputMaybe<VulnerabilitySeverity>;
    /** Instructions for how to fix the vulnerability. */
    solution?: InputMaybe<Scalars['String']['input']>;
    /** State of the vulnerability (defaults to `detected`). */
    state?: InputMaybe<VulnerabilityState>;
};
/** Autogenerated return type of VulnerabilityCreate. */
export type VulnerabilityCreatePayload = {
    __typename?: 'VulnerabilityCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Vulnerability created. */
    vulnerability?: Maybe<Vulnerability>;
};
/** Represents a vulnerability detail field. The fields with data will depend on the vulnerability detail type */
export type VulnerabilityDetail = VulnerabilityDetailBase | VulnerabilityDetailBoolean | VulnerabilityDetailCode | VulnerabilityDetailCommit | VulnerabilityDetailDiff | VulnerabilityDetailFileLocation | VulnerabilityDetailInt | VulnerabilityDetailList | VulnerabilityDetailMarkdown | VulnerabilityDetailModuleLocation | VulnerabilityDetailNamedList | VulnerabilityDetailTable | VulnerabilityDetailText | VulnerabilityDetailUrl;
/** Represents the vulnerability details base */
export type VulnerabilityDetailBase = {
    __typename?: 'VulnerabilityDetailBase';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
};
/** Represents the vulnerability details boolean value */
export type VulnerabilityDetailBoolean = {
    __typename?: 'VulnerabilityDetailBoolean';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value of the field. */
    value: Scalars['Boolean']['output'];
};
/** Represents the vulnerability details code field */
export type VulnerabilityDetailCode = {
    __typename?: 'VulnerabilityDetailCode';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Language of the code. */
    lang?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Source code. */
    value: Scalars['String']['output'];
};
/** Represents the vulnerability details commit field */
export type VulnerabilityDetailCommit = {
    __typename?: 'VulnerabilityDetailCommit';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Commit SHA value. */
    value: Scalars['String']['output'];
};
/** Represents the vulnerability details diff field */
export type VulnerabilityDetailDiff = {
    __typename?: 'VulnerabilityDetailDiff';
    /** Value of the field after the change. */
    after: Scalars['String']['output'];
    /** Value of the field before the change. */
    before: Scalars['String']['output'];
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
};
/** Represents the vulnerability details location within a file in the project */
export type VulnerabilityDetailFileLocation = {
    __typename?: 'VulnerabilityDetailFileLocation';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** File name. */
    fileName: Scalars['String']['output'];
    /** End line number of the file location. */
    lineEnd: Scalars['Int']['output'];
    /** Start line number of the file location. */
    lineStart: Scalars['Int']['output'];
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
};
/** Represents the vulnerability details integer value */
export type VulnerabilityDetailInt = {
    __typename?: 'VulnerabilityDetailInt';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value of the field. */
    value: Scalars['Int']['output'];
};
/** Represents the vulnerability details list value */
export type VulnerabilityDetailList = {
    __typename?: 'VulnerabilityDetailList';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** List of details. */
    items: Array<VulnerabilityDetail>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
};
/** Represents the vulnerability details Markdown field */
export type VulnerabilityDetailMarkdown = {
    __typename?: 'VulnerabilityDetailMarkdown';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value of the Markdown field. */
    value: Scalars['String']['output'];
};
/** Represents the vulnerability details location within a file in the project */
export type VulnerabilityDetailModuleLocation = {
    __typename?: 'VulnerabilityDetailModuleLocation';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Module name. */
    moduleName: Scalars['String']['output'];
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Offset of the module location. */
    offset: Scalars['Int']['output'];
};
/** Represents the vulnerability details named list */
export type VulnerabilityDetailNamedList = {
    __typename?: 'VulnerabilityDetailNamedList';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /**
     * Named list of details. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    items: Array<VulnerabilityDetailNamedListItem>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
};
/** Represents the vulnerability details named list item */
export type VulnerabilityDetailNamedListItem = {
    __typename?: 'VulnerabilityDetailNamedListItem';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /**
     * Value of the field. Introduced in GitLab 16.1: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.1.
     */
    value: VulnerabilityDetail;
};
/** Represents an individual row in a table */
export type VulnerabilityDetailRow = {
    __typename?: 'VulnerabilityDetailRow';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value of the field. */
    row: Array<VulnerabilityDetail>;
};
/** Represents the vulnerability details table value */
export type VulnerabilityDetailTable = {
    __typename?: 'VulnerabilityDetailTable';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Table headers. */
    headers: Array<VulnerabilityDetail>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Table rows. */
    rows: Array<VulnerabilityDetailRow>;
};
/** Represents the vulnerability details text field */
export type VulnerabilityDetailText = {
    __typename?: 'VulnerabilityDetailText';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value of the text field. */
    value: Scalars['String']['output'];
};
/** Represents the vulnerability details URL field */
export type VulnerabilityDetailUrl = {
    __typename?: 'VulnerabilityDetailUrl';
    /** Description of the field. */
    description?: Maybe<Scalars['String']['output']>;
    /** Name of the field. */
    fieldName?: Maybe<Scalars['String']['output']>;
    /** Href of the URL. */
    href: Scalars['String']['output'];
    /** Name of the field. */
    name?: Maybe<Scalars['String']['output']>;
    /** Text of the URL. */
    text?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of VulnerabilityDismiss */
export type VulnerabilityDismissInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment why vulnerability was dismissed (maximum 50,000 characters). */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** Reason why vulnerability should be dismissed. */
    dismissalReason?: InputMaybe<VulnerabilityDismissalReason>;
    /** ID of the vulnerability to be dismissed. */
    id: Scalars['VulnerabilityID']['input'];
};
/** Autogenerated return type of VulnerabilityDismiss. */
export type VulnerabilityDismissPayload = {
    __typename?: 'VulnerabilityDismissPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Vulnerability after state change. */
    vulnerability?: Maybe<Vulnerability>;
};
/** The dismissal reason of the Vulnerability */
export declare enum VulnerabilityDismissalReason {
    /** The vulnerability is known, and has not been remediated or mitigated, but is considered to be an acceptable business risk. */
    AcceptableRisk = "ACCEPTABLE_RISK",
    /** An error in reporting in which a test result incorrectly indicates the presence of a vulnerability in a system when the vulnerability is not present. */
    FalsePositive = "FALSE_POSITIVE",
    /** A management, operational, or technical control (that is, safeguard or countermeasure) employed by an organization that provides equivalent or comparable protection for an information system. */
    MitigatingControl = "MITIGATING_CONTROL",
    /** The vulnerability is known, and has not been remediated or mitigated, but is considered to be in a part of the application that will not be updated. */
    NotApplicable = "NOT_APPLICABLE",
    /** The finding is not a vulnerability because it is part of a test or is test data. */
    UsedInTests = "USED_IN_TESTS"
}
/** An edge in a connection. */
export type VulnerabilityEdge = {
    __typename?: 'VulnerabilityEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Vulnerability>;
};
/** Represents a Vulnerability Evidence */
export type VulnerabilityEvidence = {
    __typename?: 'VulnerabilityEvidence';
    /** HTTP request of the Vulnerability Evidence. */
    request?: Maybe<VulnerabilityRequest>;
    /** HTTP response of the Vulnerability Evidence. */
    response?: Maybe<VulnerabilityResponse>;
    /** Source of the Vulnerability Evidence. */
    source?: Maybe<VulnerabilityEvidenceSource>;
    /** Summary of the Vulnerability Evidence. */
    summary?: Maybe<Scalars['String']['output']>;
    /** Supporting messages of the Vulnerability Evidence. */
    supportingMessages?: Maybe<Array<VulnerabilityEvidenceSupportingMessage>>;
};
/** Represents a vulnerability evidence */
export type VulnerabilityEvidenceSource = {
    __typename?: 'VulnerabilityEvidenceSource';
    /** ID of the Vulnerability Evidence Source. */
    identifier: Scalars['String']['output'];
    /** Name of the Vulnerability Evidence Source. */
    name: Scalars['String']['output'];
    /** URL of the Vulnerability Evidence Source. */
    url?: Maybe<Scalars['String']['output']>;
};
/** Represents a vulnerability evidence supporting message */
export type VulnerabilityEvidenceSupportingMessage = {
    __typename?: 'VulnerabilityEvidenceSupportingMessage';
    /** Name of the vulnerability supporting message. */
    name: Scalars['String']['output'];
    /** HTTP request of the vulnerability evidence supporting message. */
    request?: Maybe<VulnerabilityRequest>;
    /** HTTP response of the vulnerability evidence supporting message. */
    response?: Maybe<VulnerabilityResponse>;
};
/** Represents an external issue link of a vulnerability */
export type VulnerabilityExternalIssueLink = {
    __typename?: 'VulnerabilityExternalIssueLink';
    /** The external issue attached to the issue link. */
    externalIssue?: Maybe<ExternalIssue>;
    /** GraphQL ID of the external issue link. */
    id: Scalars['VulnerabilitiesExternalIssueLinkID']['output'];
    /** Type of the external issue link. */
    linkType: VulnerabilityExternalIssueLinkType;
};
/** The connection type for VulnerabilityExternalIssueLink. */
export type VulnerabilityExternalIssueLinkConnection = {
    __typename?: 'VulnerabilityExternalIssueLinkConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<VulnerabilityExternalIssueLinkEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<VulnerabilityExternalIssueLink>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of VulnerabilityExternalIssueLinkCreate */
export type VulnerabilityExternalIssueLinkCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** External tracker type of the external issue link. */
    externalTracker: VulnerabilityExternalIssueLinkExternalTracker;
    /** ID of the vulnerability. */
    id: Scalars['VulnerabilityID']['input'];
    /** Type of the external issue link. */
    linkType: VulnerabilityExternalIssueLinkType;
};
/** Autogenerated return type of VulnerabilityExternalIssueLinkCreate. */
export type VulnerabilityExternalIssueLinkCreatePayload = {
    __typename?: 'VulnerabilityExternalIssueLinkCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created external issue link. */
    externalIssueLink?: Maybe<VulnerabilityExternalIssueLink>;
};
/** Autogenerated input type of VulnerabilityExternalIssueLinkDestroy */
export type VulnerabilityExternalIssueLinkDestroyInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the vulnerability external issue link. */
    id: Scalars['VulnerabilitiesExternalIssueLinkID']['input'];
};
/** Autogenerated return type of VulnerabilityExternalIssueLinkDestroy. */
export type VulnerabilityExternalIssueLinkDestroyPayload = {
    __typename?: 'VulnerabilityExternalIssueLinkDestroyPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** An edge in a connection. */
export type VulnerabilityExternalIssueLinkEdge = {
    __typename?: 'VulnerabilityExternalIssueLinkEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<VulnerabilityExternalIssueLink>;
};
/** The external tracker of the external issue link related to a vulnerability */
export declare enum VulnerabilityExternalIssueLinkExternalTracker {
    /** Jira external tracker */
    Jira = "JIRA"
}
/** The type of the external issue link related to a vulnerability */
export declare enum VulnerabilityExternalIssueLinkType {
    /** Created link type. */
    Created = "CREATED"
}
/** The grade of the vulnerable project */
export declare enum VulnerabilityGrade {
    /** A grade */
    A = "A",
    /** B grade */
    B = "B",
    /** C grade */
    C = "C",
    /** D grade */
    D = "D",
    /** F grade */
    F = "F"
}
/** Represents a vulnerability identifier */
export type VulnerabilityIdentifier = {
    __typename?: 'VulnerabilityIdentifier';
    /** External ID of the vulnerability identifier. */
    externalId?: Maybe<Scalars['String']['output']>;
    /** External type of the vulnerability identifier. */
    externalType?: Maybe<Scalars['String']['output']>;
    /** Name of the vulnerability identifier. */
    name?: Maybe<Scalars['String']['output']>;
    /** URL of the vulnerability identifier. */
    url?: Maybe<Scalars['String']['output']>;
};
export type VulnerabilityIdentifierInput = {
    /** External ID of the vulnerability identifier. */
    externalId?: InputMaybe<Scalars['String']['input']>;
    /** External type of the vulnerability identifier. */
    externalType?: InputMaybe<Scalars['String']['input']>;
    /** Name of the vulnerability identifier. */
    name: Scalars['String']['input'];
    /** URL of the vulnerability identifier. */
    url: Scalars['String']['input'];
};
/** Represents an issue link of a vulnerability */
export type VulnerabilityIssueLink = {
    __typename?: 'VulnerabilityIssueLink';
    /** GraphQL ID of the vulnerability. */
    id: Scalars['ID']['output'];
    /** Issue attached to issue link. */
    issue?: Maybe<Issue>;
    /** Type of the issue link. */
    linkType: VulnerabilityIssueLinkType;
};
/** The connection type for VulnerabilityIssueLink. */
export type VulnerabilityIssueLinkConnection = {
    __typename?: 'VulnerabilityIssueLinkConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<VulnerabilityIssueLinkEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<VulnerabilityIssueLink>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of VulnerabilityIssueLinkCreate */
export type VulnerabilityIssueLinkCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** ID of the issue to link to. */
    issueId: Scalars['IssueID']['input'];
    /** IDs of vulnerabilities to link to the given issue.  Up to 100 can be provided. */
    vulnerabilityIds: Array<Scalars['VulnerabilityID']['input']>;
};
/** Autogenerated return type of VulnerabilityIssueLinkCreate. */
export type VulnerabilityIssueLinkCreatePayload = {
    __typename?: 'VulnerabilityIssueLinkCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created issue links. */
    issueLinks?: Maybe<Array<VulnerabilityIssueLink>>;
};
/** An edge in a connection. */
export type VulnerabilityIssueLinkEdge = {
    __typename?: 'VulnerabilityIssueLinkEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<VulnerabilityIssueLink>;
};
/** The type of the issue link related to a vulnerability */
export declare enum VulnerabilityIssueLinkType {
    /** Issue is created for the vulnerability */
    Created = "CREATED",
    /** Has a related issue */
    Related = "RELATED"
}
/** Represents a link related to a vulnerability */
export type VulnerabilityLink = {
    __typename?: 'VulnerabilityLink';
    /** Name of the link. */
    name?: Maybe<Scalars['String']['output']>;
    /** URL of the link. */
    url: Scalars['String']['output'];
};
/** Represents a vulnerability location. The fields with data will depend on the vulnerability report type */
export type VulnerabilityLocation = VulnerabilityLocationClusterImageScanning | VulnerabilityLocationContainerScanning | VulnerabilityLocationCoverageFuzzing | VulnerabilityLocationDast | VulnerabilityLocationDependencyScanning | VulnerabilityLocationGeneric | VulnerabilityLocationSast | VulnerabilityLocationSecretDetection;
/** Represents the location of a vulnerability found by a cluster image scan */
export type VulnerabilityLocationClusterImageScanning = {
    __typename?: 'VulnerabilityLocationClusterImageScanning';
    /** Dependency containing the vulnerability. */
    dependency?: Maybe<VulnerableDependency>;
    /** Name of the vulnerable container image. */
    image?: Maybe<Scalars['String']['output']>;
    /** Kubernetes resource which uses the vulnerable container image. */
    kubernetesResource?: Maybe<VulnerableKubernetesResource>;
    /** Operating system that runs on the vulnerable container image. */
    operatingSystem?: Maybe<Scalars['String']['output']>;
};
/** Represents the location of a vulnerability found by a container security scan */
export type VulnerabilityLocationContainerScanning = {
    __typename?: 'VulnerabilityLocationContainerScanning';
    /** Dependency containing the vulnerability. */
    dependency?: Maybe<VulnerableDependency>;
    /** Name of the vulnerable container image. */
    image?: Maybe<Scalars['String']['output']>;
    /** Operating system that runs on the vulnerable container image. */
    operatingSystem?: Maybe<Scalars['String']['output']>;
};
/** Represents the location of a vulnerability found by a Coverage Fuzzing scan */
export type VulnerabilityLocationCoverageFuzzing = {
    __typename?: 'VulnerabilityLocationCoverageFuzzing';
    /** Blob path to the vulnerable file. */
    blobPath?: Maybe<Scalars['String']['output']>;
    /** Relative address in memory were the crash occurred. */
    crashAddress?: Maybe<Scalars['String']['output']>;
    /** Type of the crash. */
    crashType?: Maybe<Scalars['String']['output']>;
    /** Number of the last relevant line in the vulnerable file. */
    endLine?: Maybe<Scalars['String']['output']>;
    /** Path to the vulnerable file. */
    file?: Maybe<Scalars['String']['output']>;
    /** Stack trace recorded during fuzzing resulting the crash. */
    stacktraceSnippet?: Maybe<Scalars['String']['output']>;
    /** Number of the first relevant line in the vulnerable file. */
    startLine?: Maybe<Scalars['String']['output']>;
    /** Class containing the vulnerability. */
    vulnerableClass?: Maybe<Scalars['String']['output']>;
    /** Method containing the vulnerability. */
    vulnerableMethod?: Maybe<Scalars['String']['output']>;
};
/** Represents the location of a vulnerability found by a DAST scan */
export type VulnerabilityLocationDast = {
    __typename?: 'VulnerabilityLocationDast';
    /** Domain name of the vulnerable request. */
    hostname?: Maybe<Scalars['String']['output']>;
    /** Query parameter for the URL on which the vulnerability occurred. */
    param?: Maybe<Scalars['String']['output']>;
    /** URL path and query string of the vulnerable request. */
    path?: Maybe<Scalars['String']['output']>;
    /** HTTP method of the vulnerable request. */
    requestMethod?: Maybe<Scalars['String']['output']>;
};
/** Represents the location of a vulnerability found by a dependency security scan */
export type VulnerabilityLocationDependencyScanning = {
    __typename?: 'VulnerabilityLocationDependencyScanning';
    /** Blob path to the vulnerable file. */
    blobPath?: Maybe<Scalars['String']['output']>;
    /** Dependency containing the vulnerability. */
    dependency?: Maybe<VulnerableDependency>;
    /** Path to the vulnerable file. */
    file?: Maybe<Scalars['String']['output']>;
};
/** Represents the location of a vulnerability found by a generic scanner. */
export type VulnerabilityLocationGeneric = {
    __typename?: 'VulnerabilityLocationGeneric';
    /** Free-form description of where the vulnerability is located. */
    description?: Maybe<Scalars['String']['output']>;
};
/** Represents the location of a vulnerability found by a SAST scan */
export type VulnerabilityLocationSast = {
    __typename?: 'VulnerabilityLocationSast';
    /** Blob path to the vulnerable file. */
    blobPath?: Maybe<Scalars['String']['output']>;
    /** Number of the last relevant line in the vulnerable file. */
    endLine?: Maybe<Scalars['String']['output']>;
    /** Path to the vulnerable file. */
    file?: Maybe<Scalars['String']['output']>;
    /** Number of the first relevant line in the vulnerable file. */
    startLine?: Maybe<Scalars['String']['output']>;
    /** Class containing the vulnerability. */
    vulnerableClass?: Maybe<Scalars['String']['output']>;
    /** Method containing the vulnerability. */
    vulnerableMethod?: Maybe<Scalars['String']['output']>;
};
/** Represents the location of a vulnerability found by a secret detection scan */
export type VulnerabilityLocationSecretDetection = {
    __typename?: 'VulnerabilityLocationSecretDetection';
    /** Blob path to the vulnerable file. */
    blobPath?: Maybe<Scalars['String']['output']>;
    /** Number of the last relevant line in the vulnerable file. */
    endLine?: Maybe<Scalars['String']['output']>;
    /** Path to the vulnerable file. */
    file?: Maybe<Scalars['String']['output']>;
    /** Number of the first relevant line in the vulnerable file. */
    startLine?: Maybe<Scalars['String']['output']>;
    /** Class containing the vulnerability. */
    vulnerableClass?: Maybe<Scalars['String']['output']>;
    /** Method containing the vulnerability. */
    vulnerableMethod?: Maybe<Scalars['String']['output']>;
};
/** OwaspTop10 category of the vulnerability */
export declare enum VulnerabilityOwaspTop10 {
    /** A01:2021-Broken Access Control, OWASP top 10 category. */
    A01_2021 = "A01_2021",
    /** A02:2021-Cryptographic Failures, OWASP top 10 category. */
    A02_2021 = "A02_2021",
    /** A03:2021-Injection, OWASP top 10 category. */
    A03_2021 = "A03_2021",
    /** A04:2021-Insecure Design, OWASP top 10 category. */
    A04_2021 = "A04_2021",
    /** A05:2021-Security Misconfiguration, OWASP top 10 category. */
    A05_2021 = "A05_2021",
    /** A06:2021-Vulnerable and Outdated Components, OWASP top 10 category. */
    A06_2021 = "A06_2021",
    /** A07:2021-Identification and Authentication Failures, OWASP top 10 category. */
    A07_2021 = "A07_2021",
    /** A08:2021-Software and Data Integrity Failures, OWASP top 10 category. */
    A08_2021 = "A08_2021",
    /** A09:2021-Security Logging and Monitoring Failures, OWASP top 10 category. */
    A09_2021 = "A09_2021",
    /** A1:2017-Injection, OWASP top 10 category. */
    A1_2017 = "A1_2017",
    /** A1:2021-Broken Access Control, OWASP top 10 category. */
    A1_2021 = "A1_2021",
    /** A2:2017-Broken Authentication, OWASP top 10 category. */
    A2_2017 = "A2_2017",
    /** A2:2021-Cryptographic Failures, OWASP top 10 category. */
    A2_2021 = "A2_2021",
    /** A3:2017-Sensitive Data Exposure, OWASP top 10 category. */
    A3_2017 = "A3_2017",
    /** A3:2021-Injection, OWASP top 10 category. */
    A3_2021 = "A3_2021",
    /** A4:2017-XML External Entities (XXE), OWASP top 10 category. */
    A4_2017 = "A4_2017",
    /** A4:2021-Insecure Design, OWASP top 10 category. */
    A4_2021 = "A4_2021",
    /** A5:2017-Broken Access Control, OWASP top 10 category. */
    A5_2017 = "A5_2017",
    /** A5:2021-Security Misconfiguration, OWASP top 10 category. */
    A5_2021 = "A5_2021",
    /** A6:2017-Security Misconfiguration, OWASP top 10 category. */
    A6_2017 = "A6_2017",
    /** A6:2021-Vulnerable and Outdated Components, OWASP top 10 category. */
    A6_2021 = "A6_2021",
    /** A7:2017-Cross-Site Scripting (XSS), OWASP top 10 category. */
    A7_2017 = "A7_2017",
    /** A7:2021-Identification and Authentication Failures, OWASP top 10 category. */
    A7_2021 = "A7_2021",
    /** A8:2017-Insecure Deserialization, OWASP top 10 category. */
    A8_2017 = "A8_2017",
    /** A8:2021-Software and Data Integrity Failures, OWASP top 10 category. */
    A8_2021 = "A8_2021",
    /** A9:2017-Using Components with Known Vulnerabilities, OWASP top 10 category. */
    A9_2017 = "A9_2017",
    /** A9:2021-Security Logging and Monitoring Failures, OWASP top 10 category. */
    A9_2021 = "A9_2021",
    /** A10:2017-Insufficient Logging & Monitoring, OWASP top 10 category. */
    A10_2017 = "A10_2017",
    /** A10:2021-Server-Side Request Forgery, OWASP top 10 category. */
    A10_2021 = "A10_2021",
    /** No OWASP top 10 category. */
    None = "NONE"
}
/** Check permissions for the current user on a vulnerability */
export type VulnerabilityPermissions = {
    __typename?: 'VulnerabilityPermissions';
    /** If `true`, the user can perform `admin_vulnerability` on this resource */
    adminVulnerability: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_vulnerability_external_issue_link` on this resource */
    adminVulnerabilityExternalIssueLink: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_vulnerability_issue_link` on this resource */
    adminVulnerabilityIssueLink: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_vulnerability_export` on this resource */
    createVulnerabilityExport: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_vulnerability_feedback` on this resource */
    createVulnerabilityFeedback: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `destroy_vulnerability_feedback` on this resource */
    destroyVulnerabilityFeedback: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_vulnerability` on this resource */
    readVulnerability: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_vulnerability_feedback` on this resource */
    readVulnerabilityFeedback: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_vulnerability_feedback` on this resource */
    updateVulnerabilityFeedback: Scalars['Boolean']['output'];
};
/** Represents a vulnerability remediation type. */
export type VulnerabilityRemediationType = {
    __typename?: 'VulnerabilityRemediationType';
    /** Diff of the remediation. */
    diff?: Maybe<Scalars['String']['output']>;
    /** Summary of the remediation. */
    summary?: Maybe<Scalars['String']['output']>;
};
/** The type of the security scan that found the vulnerability */
export declare enum VulnerabilityReportType {
    /** API Fuzzing report */
    ApiFuzzing = "API_FUZZING",
    /** Cluster Image Scanning report */
    ClusterImageScanning = "CLUSTER_IMAGE_SCANNING",
    /** Container Scanning report */
    ContainerScanning = "CONTAINER_SCANNING",
    /** Container Scanning For Registry report */
    ContainerScanningForRegistry = "CONTAINER_SCANNING_FOR_REGISTRY",
    /** Coverage Fuzzing report */
    CoverageFuzzing = "COVERAGE_FUZZING",
    /** DAST report */
    Dast = "DAST",
    /** Dependency Scanning report */
    DependencyScanning = "DEPENDENCY_SCANNING",
    /** Generic report */
    Generic = "GENERIC",
    /** SAST report */
    Sast = "SAST",
    /** Secret Detection report */
    SecretDetection = "SECRET_DETECTION"
}
/** Represents a Vulnerability Request */
export type VulnerabilityRequest = {
    __typename?: 'VulnerabilityRequest';
    /** Body of the Vulnerability Request. */
    body?: Maybe<Scalars['String']['output']>;
    /** HTTP headers of the Vulnerability Request. */
    headers: Array<VulnerabilityRequestResponseHeader>;
    /** Method of the Vulnerability Request. */
    method?: Maybe<Scalars['String']['output']>;
    /** URL of the Vulnerability Request. */
    url?: Maybe<Scalars['String']['output']>;
};
/** Represents a Vulnerability Request/Response Header */
export type VulnerabilityRequestResponseHeader = {
    __typename?: 'VulnerabilityRequestResponseHeader';
    /** Name of the Vulnerability Request/Response Header. */
    name?: Maybe<Scalars['String']['output']>;
    /** Value of the Vulnerability Request/Response Header. */
    value?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of VulnerabilityResolve */
export type VulnerabilityResolveInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment why vulnerability was resolved (maximum 50,000 characters). */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** ID of the vulnerability to be resolved. */
    id: Scalars['VulnerabilityID']['input'];
};
/** Autogenerated return type of VulnerabilityResolve. */
export type VulnerabilityResolvePayload = {
    __typename?: 'VulnerabilityResolvePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Vulnerability after state change. */
    vulnerability?: Maybe<Vulnerability>;
};
/** Represents a Vulnerability Response */
export type VulnerabilityResponse = {
    __typename?: 'VulnerabilityResponse';
    /** Body of the Vulnerability Response. */
    body?: Maybe<Scalars['String']['output']>;
    /** HTTP headers of the Vulnerability Response. */
    headers: Array<VulnerabilityRequestResponseHeader>;
    /** Reason Phrase of the Vulnerability Response. */
    reasonPhrase?: Maybe<Scalars['String']['output']>;
    /** Status Code of the Vulnerability Response. */
    statusCode?: Maybe<Scalars['Int']['output']>;
};
/** Autogenerated input type of VulnerabilityRevertToDetected */
export type VulnerabilityRevertToDetectedInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Comment why vulnerability was reverted to detected (maximum 50,000 characters). */
    comment?: InputMaybe<Scalars['String']['input']>;
    /** ID of the vulnerability to be reverted to detected. */
    id: Scalars['VulnerabilityID']['input'];
};
/** Autogenerated return type of VulnerabilityRevertToDetected. */
export type VulnerabilityRevertToDetectedPayload = {
    __typename?: 'VulnerabilityRevertToDetectedPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Vulnerability after state change. */
    vulnerability?: Maybe<Vulnerability>;
};
/** Represents a vulnerability scanner */
export type VulnerabilityScanner = {
    __typename?: 'VulnerabilityScanner';
    /** External ID of the vulnerability scanner. */
    externalId?: Maybe<Scalars['String']['output']>;
    /** ID of the scanner. */
    id?: Maybe<Scalars['ID']['output']>;
    /** Name of the vulnerability scanner. */
    name?: Maybe<Scalars['String']['output']>;
    /** Type of the vulnerability report. */
    reportType?: Maybe<VulnerabilityReportType>;
    /** Humanized type of the vulnerability report. */
    reportTypeHumanized?: Maybe<Scalars['String']['output']>;
    /** Vendor of the vulnerability scanner. */
    vendor?: Maybe<Scalars['String']['output']>;
};
/** The connection type for VulnerabilityScanner. */
export type VulnerabilityScannerConnection = {
    __typename?: 'VulnerabilityScannerConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<VulnerabilityScannerEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<VulnerabilityScanner>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type VulnerabilityScannerEdge = {
    __typename?: 'VulnerabilityScannerEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<VulnerabilityScanner>;
};
export type VulnerabilityScannerInput = {
    /** Unique ID that identifies the scanner. */
    id: Scalars['String']['input'];
    /** Human readable value that identifies the analyzer, not required to be unique. */
    name: Scalars['String']['input'];
    /** Link to more information about the analyzer. */
    url: Scalars['String']['input'];
    /** Information about vendor/maintainer of the scanner. */
    vendor?: InputMaybe<VulnerabilityScannerVendorInput>;
    /** Version of the scanner. */
    version: Scalars['String']['input'];
};
export type VulnerabilityScannerVendorInput = {
    /** Name of the vendor/maintainer. */
    name: Scalars['String']['input'];
};
/** Represents vulnerability counts by severity */
export type VulnerabilitySeveritiesCount = {
    __typename?: 'VulnerabilitySeveritiesCount';
    /** Number of vulnerabilities of CRITICAL severity of the project */
    critical?: Maybe<Scalars['Int']['output']>;
    /** Number of vulnerabilities of HIGH severity of the project */
    high?: Maybe<Scalars['Int']['output']>;
    /** Number of vulnerabilities of INFO severity of the project */
    info?: Maybe<Scalars['Int']['output']>;
    /** Number of vulnerabilities of LOW severity of the project */
    low?: Maybe<Scalars['Int']['output']>;
    /** Number of vulnerabilities of MEDIUM severity of the project */
    medium?: Maybe<Scalars['Int']['output']>;
    /** Number of vulnerabilities of UNKNOWN severity of the project */
    unknown?: Maybe<Scalars['Int']['output']>;
};
/** The severity of the vulnerability */
export declare enum VulnerabilitySeverity {
    /** Critical severity */
    Critical = "CRITICAL",
    /** High severity */
    High = "HIGH",
    /** Info severity */
    Info = "INFO",
    /** Low severity */
    Low = "LOW",
    /** Medium severity */
    Medium = "MEDIUM",
    /** Unknown severity */
    Unknown = "UNKNOWN"
}
/** Vulnerability sort values */
export declare enum VulnerabilitySort {
    /** Detection timestamp in ascending order. */
    DetectedAsc = "detected_asc",
    /** Detection timestamp in descending order. */
    DetectedDesc = "detected_desc",
    /** Severity in ascending order. */
    SeverityAsc = "severity_asc",
    /** Severity in descending order. */
    SeverityDesc = "severity_desc"
}
/** The state of the vulnerability */
export declare enum VulnerabilityState {
    /** For details, see [vulnerability status values](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/index.html#vulnerability-status-values). */
    Confirmed = "CONFIRMED",
    /** For details, see [vulnerability status values](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/index.html#vulnerability-status-values). */
    Detected = "DETECTED",
    /** For details, see [vulnerability status values](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/index.html#vulnerability-status-values). */
    Dismissed = "DISMISSED",
    /** For details, see [vulnerability status values](https://docs.gitlab.com/ee/user/application_security/vulnerabilities/index.html#vulnerability-status-values). */
    Resolved = "RESOLVED"
}
/** Represents a state transition of a vulnerability */
export type VulnerabilityStateTransitionType = {
    __typename?: 'VulnerabilityStateTransitionType';
    /** User who changed the state of the vulnerability. */
    author?: Maybe<UserCore>;
    /** Comment for the state change. */
    comment?: Maybe<Scalars['String']['output']>;
    /** Time of the state change of the vulnerability. */
    createdAt: Scalars['Time']['output'];
    /** Reason for the dismissal. */
    dismissalReason?: Maybe<VulnerabilityDismissalReason>;
    /** State of the vulnerability before transition. */
    fromState: VulnerabilityState;
    /** ID of the state transition. */
    id: Scalars['VulnerabilitiesStateTransitionID']['output'];
    /** State of the vulnerability after transition. */
    toState: VulnerabilityState;
};
/** The connection type for VulnerabilityStateTransitionType. */
export type VulnerabilityStateTransitionTypeConnection = {
    __typename?: 'VulnerabilityStateTransitionTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<VulnerabilityStateTransitionTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<VulnerabilityStateTransitionType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type VulnerabilityStateTransitionTypeEdge = {
    __typename?: 'VulnerabilityStateTransitionTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<VulnerabilityStateTransitionType>;
};
/** Represents a vulnerable dependency. Used in vulnerability location data */
export type VulnerableDependency = {
    __typename?: 'VulnerableDependency';
    /** Package associated with the vulnerable dependency. */
    package?: Maybe<VulnerablePackage>;
    /** Version of the vulnerable dependency. */
    version?: Maybe<Scalars['String']['output']>;
};
/** Represents a vulnerable Kubernetes resource. Used in vulnerability location data */
export type VulnerableKubernetesResource = {
    __typename?: 'VulnerableKubernetesResource';
    /** Kubernetes agent that performed the scan. */
    agent?: Maybe<ClusterAgent>;
    /** ID of the cluster integration used to perform the scan. */
    clusterId?: Maybe<Scalars['ClustersClusterID']['output']>;
    /** Name of the container that had its image scanned. */
    containerName: Scalars['String']['output'];
    /** Kind of the Kubernetes resource. */
    kind: Scalars['String']['output'];
    /** Name of the Kubernetes resource. */
    name: Scalars['String']['output'];
    /** Kubernetes namespace where the resource resides. */
    namespace: Scalars['String']['output'];
};
/** Represents a vulnerable package. Used in vulnerability dependency data */
export type VulnerablePackage = {
    __typename?: 'VulnerablePackage';
    /** Name of the vulnerable package. */
    name?: Maybe<Scalars['String']['output']>;
};
/** Represents vulnerability letter grades with associated projects */
export type VulnerableProjectsByGrade = {
    __typename?: 'VulnerableProjectsByGrade';
    /** Number of projects within this grade. */
    count: Scalars['Int']['output'];
    /** Grade based on the highest severity vulnerability present. */
    grade: VulnerabilityGrade;
    /** Projects within this grade. */
    projects: ProjectConnection;
};
/** Represents vulnerability letter grades with associated projects */
export type VulnerableProjectsByGradeProjectsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Weight ID wildcard values */
export declare enum WeightWildcardId {
    /** Weight is assigned. */
    Any = "ANY",
    /** No weight is assigned. */
    None = "NONE"
}
export type WorkItem = Todoable & {
    __typename?: 'WorkItem';
    /**
     * Whether the work item belongs to an archived project. Always false for group level work items. Introduced in GitLab 16.5: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.5.
     */
    archived: Scalars['Boolean']['output'];
    /**
     * User that created the work item. Introduced in GitLab 15.9: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.9.
     */
    author?: Maybe<UserCore>;
    /** Timestamp of when the work item was closed. */
    closedAt?: Maybe<Scalars['Time']['output']>;
    /** Indicates the work item is confidential. */
    confidential: Scalars['Boolean']['output'];
    /** User specific email address for the work item. */
    createNoteEmail?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the work item was created. */
    createdAt: Scalars['Time']['output'];
    /** Description of the work item. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['output'];
    /** Internal ID of the work item. */
    iid: Scalars['String']['output'];
    /** Lock version of the work item. Incremented each time the work item is updated. */
    lockVersion: Scalars['Int']['output'];
    /**
     * Namespace the work item belongs to. Introduced in GitLab 15.10: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.10.
     */
    namespace?: Maybe<Namespace>;
    /**
     * Project the work item belongs to. Introduced in GitLab 15.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 15.3.
     */
    project?: Maybe<Project>;
    /** Internal reference of the work item. Returned in shortened format by default. */
    reference: Scalars['String']['output'];
    /** State of the work item. */
    state: WorkItemState;
    /** Title of the work item. */
    title: Scalars['String']['output'];
    /** GitLab Flavored Markdown rendering of `title` */
    titleHtml?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the work item was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Permissions for the current user on the resource */
    userPermissions: WorkItemPermissions;
    /** URL of this object. */
    webUrl?: Maybe<Scalars['String']['output']>;
    /** Collection of widgets that belong to the work item. */
    widgets?: Maybe<Array<WorkItemWidget>>;
    /** Type assigned to the work item. */
    workItemType: WorkItemType;
};
export type WorkItemReferenceArgs = {
    full?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Autogenerated input type of WorkItemAddClosingMergeRequest */
export type WorkItemAddClosingMergeRequestInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the context namespace (project or group). Only project full paths are used to find a merge request using a short reference syntax like `!1`. Ignored for full references and URLs. Defaults to the namespace of the work item if not provided. */
    contextNamespacePath?: InputMaybe<Scalars['ID']['input']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
    /** Merge request reference (short, full or URL). Example: `!1`, `project_full_path!1` or `https://gitlab.com/gitlab-org/gitlab/-/merge_requests/1`. */
    mergeRequestReference: Scalars['String']['input'];
};
/** Autogenerated return type of WorkItemAddClosingMergeRequest. */
export type WorkItemAddClosingMergeRequestPayload = {
    __typename?: 'WorkItemAddClosingMergeRequestPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Closing merge request added to the work item. */
    closingMergeRequest?: Maybe<WorkItemClosingMergeRequest>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Work item with new closing merge requests. */
    workItem?: Maybe<WorkItem>;
};
/** Autogenerated input type of WorkItemAddLinkedItems */
export type WorkItemAddLinkedItemsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
    /** Type of link. Defaults to `RELATED`. */
    linkType?: InputMaybe<WorkItemRelatedLinkType>;
    /** Global IDs of the items to link. Maximum number of IDs you can provide: 10. */
    workItemsIds: Array<Scalars['WorkItemID']['input']>;
};
/** Autogenerated return type of WorkItemAddLinkedItems. */
export type WorkItemAddLinkedItemsPayload = {
    __typename?: 'WorkItemAddLinkedItemsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Linked items update result message. */
    message?: Maybe<Scalars['String']['output']>;
    /** Updated work item. */
    workItem?: Maybe<WorkItem>;
};
/** Values for work item award emoji update enum */
export declare enum WorkItemAwardEmojiUpdateAction {
    /** Adds the emoji. */
    Add = "ADD",
    /** Removes the emoji. */
    Remove = "REMOVE",
    /** Toggles the status of the emoji. */
    Toggle = "TOGGLE"
}
export type WorkItemClosingMergeRequest = {
    __typename?: 'WorkItemClosingMergeRequest';
    /** Whether this merge request link was created by referencing the work item on the merge request description, using the closing pattern. */
    fromMrDescription: Scalars['Boolean']['output'];
    /** Global ID of the closing merge request association. */
    id: Scalars['MergeRequestsClosingIssuesID']['output'];
    /** Related merge request. */
    mergeRequest?: Maybe<MergeRequest>;
};
/** The connection type for WorkItemClosingMergeRequest. */
export type WorkItemClosingMergeRequestConnection = {
    __typename?: 'WorkItemClosingMergeRequestConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<WorkItemClosingMergeRequestEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<WorkItemClosingMergeRequest>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type WorkItemClosingMergeRequestEdge = {
    __typename?: 'WorkItemClosingMergeRequestEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<WorkItemClosingMergeRequest>;
};
/** The connection type for WorkItem. */
export type WorkItemConnection = {
    __typename?: 'WorkItemConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<WorkItemEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<WorkItem>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of WorkItemConvert */
export type WorkItemConvertInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
    /** Global ID of the new work item type. */
    workItemTypeId: Scalars['WorkItemsTypeID']['input'];
};
/** Autogenerated return type of WorkItemConvert. */
export type WorkItemConvertPayload = {
    __typename?: 'WorkItemConvertPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated work item. */
    workItem?: Maybe<WorkItem>;
};
export type WorkItemConvertTaskInput = {
    /** Last line in the Markdown source that defines the list item task. */
    lineNumberEnd: Scalars['Int']['input'];
    /** First line in the Markdown source that defines the list item task. */
    lineNumberStart: Scalars['Int']['input'];
    /** Current lock version of the work item containing the task in the description. */
    lockVersion: Scalars['Int']['input'];
    /** Full string of the task to be replaced. New title for the created work item. */
    title: Scalars['String']['input'];
    /** Global ID of the work item type used to create the new work item. */
    workItemTypeId: Scalars['WorkItemsTypeID']['input'];
};
/** Autogenerated input type of WorkItemCreateFromTask */
export type WorkItemCreateFromTaskInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
    /** Arguments necessary to convert a task into a work item. */
    workItemData: WorkItemConvertTaskInput;
};
/** Autogenerated return type of WorkItemCreateFromTask. */
export type WorkItemCreateFromTaskPayload = {
    __typename?: 'WorkItemCreateFromTaskPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** New work item created from task. */
    newWorkItem?: Maybe<WorkItem>;
    /** Updated work item. */
    workItem?: Maybe<WorkItem>;
};
/** Autogenerated input type of WorkItemCreate */
export type WorkItemCreateInput = {
    /** Input for assignees widget. */
    assigneesWidget?: InputMaybe<WorkItemWidgetAssigneesInput>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Input for color widget. */
    colorWidget?: InputMaybe<WorkItemWidgetColorInput>;
    /** Sets the work item confidentiality. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Input for description widget. */
    descriptionWidget?: InputMaybe<WorkItemWidgetDescriptionInput>;
    /** Input for health status widget. */
    healthStatusWidget?: InputMaybe<WorkItemWidgetHealthStatusInput>;
    /** Input for hierarchy widget. */
    hierarchyWidget?: InputMaybe<WorkItemWidgetHierarchyCreateInput>;
    /** Iteration widget of the work item. */
    iterationWidget?: InputMaybe<WorkItemWidgetIterationInput>;
    /** Input for labels widget. */
    labelsWidget?: InputMaybe<WorkItemWidgetLabelsCreateInput>;
    /** Input for milestone widget. */
    milestoneWidget?: InputMaybe<WorkItemWidgetMilestoneInput>;
    /** Full path of the namespace(project or group) the work item is created in. */
    namespacePath?: InputMaybe<Scalars['ID']['input']>;
    /** Title of the work item. */
    title: Scalars['String']['input'];
    /** Global ID of a work item type. */
    workItemTypeId: Scalars['WorkItemsTypeID']['input'];
};
/** Autogenerated return type of WorkItemCreate. */
export type WorkItemCreatePayload = {
    __typename?: 'WorkItemCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created work item. */
    workItem?: Maybe<WorkItem>;
};
/** Autogenerated input type of WorkItemDelete */
export type WorkItemDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
};
/** Autogenerated return type of WorkItemDelete. */
export type WorkItemDeletePayload = {
    __typename?: 'WorkItemDeletePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Namespace the deleted work item belonged to. */
    namespace?: Maybe<Namespace>;
    /**
     * Project the deleted work item belonged to. Deprecated in GitLab 16.9: Use `namespace`.
     * @deprecated Use `namespace`. Deprecated in GitLab 16.9.
     */
    project?: Maybe<Project>;
};
/** An edge in a connection. */
export type WorkItemEdge = {
    __typename?: 'WorkItemEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<WorkItem>;
};
/** Autogenerated input type of WorkItemExport */
export type WorkItemExportInput = {
    /** Usernames of users assigned to the work item. */
    assigneeUsernames?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filter by assignee wildcard. Incompatible with `assigneeUsernames`. */
    assigneeWildcardId?: InputMaybe<AssigneeWildcardId>;
    /** Filter work items by author username. */
    authorUsername?: InputMaybe<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Filter for confidential work items. If `false`, excludes confidential work items. If `true`, returns only confidential work items. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** List of IIDs of work items. For example, `["1", "2"]`. */
    iids?: InputMaybe<Array<Scalars['String']['input']>>;
    /**
     * Specify the fields to perform the search in.
     * Defaults to `[TITLE, DESCRIPTION]`. Requires the `search` argument.'
     *
     */
    in?: InputMaybe<Array<IssuableSearchableField>>;
    /** Labels applied to the work item. */
    labelName?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Milestone applied to the work item. */
    milestoneTitle?: InputMaybe<Array<Scalars['String']['input']>>;
    /** Filter by milestone ID wildcard. Incompatible with `milestoneTitle`. */
    milestoneWildcardId?: InputMaybe<MilestoneWildcardId>;
    /** Filter by reaction emoji applied by the current user. Wildcard values `NONE` and `ANY` are supported. */
    myReactionEmoji?: InputMaybe<Scalars['String']['input']>;
    /** Negated work item arguments. */
    not?: InputMaybe<NegatedWorkItemFilterInput>;
    /** List of arguments with inclusive `OR`. */
    or?: InputMaybe<UnionedWorkItemFilterInput>;
    /** Full project path. */
    projectPath: Scalars['ID']['input'];
    /** Search query for title or description. */
    search?: InputMaybe<Scalars['String']['input']>;
    /** List of selected fields to be exported. Omit to export all available fields. */
    selectedFields?: InputMaybe<Array<AvailableExportFields>>;
    /** Current state of the work item. */
    state?: InputMaybe<IssuableState>;
    /** Filter work items by the given work item types. */
    types?: InputMaybe<Array<IssueType>>;
};
/** Autogenerated return type of WorkItemExport. */
export type WorkItemExportPayload = {
    __typename?: 'WorkItemExportPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Export request result message. */
    message?: Maybe<Scalars['String']['output']>;
};
/** Check permissions for the current user on a work item */
export type WorkItemPermissions = {
    __typename?: 'WorkItemPermissions';
    /** If `true`, the user can perform `admin_parent_link` on this resource */
    adminParentLink: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_work_item` on this resource */
    adminWorkItem: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `admin_work_item_link` on this resource */
    adminWorkItemLink: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `create_note` on this resource */
    createNote: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `delete_work_item` on this resource */
    deleteWorkItem: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `read_work_item` on this resource */
    readWorkItem: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `set_work_item_metadata` on this resource */
    setWorkItemMetadata: Scalars['Boolean']['output'];
    /** If `true`, the user can perform `update_work_item` on this resource */
    updateWorkItem: Scalars['Boolean']['output'];
};
/** Values for work item link types */
export declare enum WorkItemRelatedLinkType {
    /** Blocked by type. */
    BlockedBy = "BLOCKED_BY",
    /** Blocks type. */
    Blocks = "BLOCKS",
    /** Related type. */
    Related = "RELATED"
}
/** Autogenerated input type of WorkItemRemoveLinkedItems */
export type WorkItemRemoveLinkedItemsInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
    /** Global IDs of the items to unlink. Maximum number of IDs you can provide: 10. */
    workItemsIds: Array<Scalars['WorkItemID']['input']>;
};
/** Autogenerated return type of WorkItemRemoveLinkedItems. */
export type WorkItemRemoveLinkedItemsPayload = {
    __typename?: 'WorkItemRemoveLinkedItemsPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Linked items update result message. */
    message?: Maybe<Scalars['String']['output']>;
    /** Updated work item. */
    workItem?: Maybe<WorkItem>;
};
/** Values for sorting work items */
export declare enum WorkItemSort {
    /** Created at ascending order. */
    CreatedAsc = "CREATED_ASC",
    /** Created at descending order. */
    CreatedDesc = "CREATED_DESC",
    /** Title by ascending order. */
    TitleAsc = "TITLE_ASC",
    /** Title by descending order. */
    TitleDesc = "TITLE_DESC",
    /** Updated at ascending order. */
    UpdatedAsc = "UPDATED_ASC",
    /** Updated at descending order. */
    UpdatedDesc = "UPDATED_DESC"
}
/** State of a GitLab work item */
export declare enum WorkItemState {
    /** In closed state. */
    Closed = "CLOSED",
    /** In open state. */
    Open = "OPEN"
}
/** Represents total number of work items for the represented states */
export type WorkItemStateCountsType = {
    __typename?: 'WorkItemStateCountsType';
    /** Number of work items for the project or group. */
    all?: Maybe<Scalars['Int']['output']>;
    /** Number of work items with state CLOSED for the project or group. */
    closed?: Maybe<Scalars['Int']['output']>;
    /** Number of work items with state OPENED for the project or group. */
    opened?: Maybe<Scalars['Int']['output']>;
};
/** Values for work item state events */
export declare enum WorkItemStateEvent {
    /** Closes the work item. */
    Close = "CLOSE",
    /** Reopens the work item. */
    Reopen = "REOPEN"
}
/** Autogenerated input type of WorkItemSubscribe */
export type WorkItemSubscribeInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
    /** Desired state of the subscription. */
    subscribed: Scalars['Boolean']['input'];
};
/** Autogenerated return type of WorkItemSubscribe. */
export type WorkItemSubscribePayload = {
    __typename?: 'WorkItemSubscribePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Work item after mutation. */
    workItem?: Maybe<WorkItem>;
};
export type WorkItemTimelog = {
    __typename?: 'WorkItemTimelog';
    /** Internal ID of the timelog. */
    id: Scalars['ID']['output'];
    /** Note where the quick action was executed to add the logged time. */
    note?: Maybe<Note>;
    /** Timestamp of when the time tracked was spent at. */
    spentAt?: Maybe<Scalars['Time']['output']>;
    /** Summary of how the time was spent. */
    summary?: Maybe<Scalars['String']['output']>;
    /** Time spent displayed in seconds. */
    timeSpent: Scalars['Int']['output'];
    /** User that logged the time. */
    user: UserCore;
    /** Permissions for the current user on the resource */
    userPermissions: TimelogPermissions;
};
/** The connection type for WorkItemTimelog. */
export type WorkItemTimelogConnection = {
    __typename?: 'WorkItemTimelogConnection';
    /** Total count of collection. */
    count: Scalars['Int']['output'];
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<WorkItemTimelogEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<WorkItemTimelog>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
    /** Total time spent in seconds. */
    totalSpentTime: Scalars['BigInt']['output'];
};
/** An edge in a connection. */
export type WorkItemTimelogEdge = {
    __typename?: 'WorkItemTimelogEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<WorkItemTimelog>;
};
/** Values for work item to-do update enum */
export declare enum WorkItemTodoUpdateAction {
    /** Adds the to-do. */
    Add = "ADD",
    /** Marks the to-do as done. */
    MarkAsDone = "MARK_AS_DONE"
}
export type WorkItemType = {
    __typename?: 'WorkItemType';
    /** Icon name of the work item type. */
    iconName?: Maybe<Scalars['String']['output']>;
    /** Global ID of the work item type. */
    id: Scalars['WorkItemsTypeID']['output'];
    /** Name of the work item type. */
    name: Scalars['String']['output'];
    /**
     * Available widgets for the work item type. Introduced in GitLab 16.7: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.7.
     */
    widgetDefinitions?: Maybe<Array<WorkItemWidgetDefinition>>;
};
/** The connection type for WorkItemType. */
export type WorkItemTypeConnection = {
    __typename?: 'WorkItemTypeConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<WorkItemTypeEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<WorkItemType>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** An edge in a connection. */
export type WorkItemTypeEdge = {
    __typename?: 'WorkItemTypeEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<WorkItemType>;
};
/** Autogenerated input type of WorkItemUpdate */
export type WorkItemUpdateInput = {
    /** Input for assignees widget. */
    assigneesWidget?: InputMaybe<WorkItemWidgetAssigneesInput>;
    /** Input for emoji reactions widget. */
    awardEmojiWidget?: InputMaybe<WorkItemWidgetAwardEmojiUpdateInput>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Input for color widget. */
    colorWidget?: InputMaybe<WorkItemWidgetColorInput>;
    /** Sets the work item confidentiality. */
    confidential?: InputMaybe<Scalars['Boolean']['input']>;
    /** Input for to-dos widget. */
    currentUserTodosWidget?: InputMaybe<WorkItemWidgetCurrentUserTodosInput>;
    /** Input for description widget. */
    descriptionWidget?: InputMaybe<WorkItemWidgetDescriptionInput>;
    /** Input for health status widget. */
    healthStatusWidget?: InputMaybe<WorkItemWidgetHealthStatusInput>;
    /** Input for hierarchy widget. */
    hierarchyWidget?: InputMaybe<WorkItemWidgetHierarchyUpdateInput>;
    /** Global ID of the work item. */
    id: Scalars['WorkItemID']['input'];
    /** Input for iteration widget. */
    iterationWidget?: InputMaybe<WorkItemWidgetIterationInput>;
    /** Input for labels widget. */
    labelsWidget?: InputMaybe<WorkItemWidgetLabelsUpdateInput>;
    /** Input for milestone widget. */
    milestoneWidget?: InputMaybe<WorkItemWidgetMilestoneInput>;
    /** Input for notes widget. */
    notesWidget?: InputMaybe<WorkItemWidgetNotesInput>;
    /** Input for notifications widget. */
    notificationsWidget?: InputMaybe<WorkItemWidgetNotificationsUpdateInput>;
    /** Input for progress widget. */
    progressWidget?: InputMaybe<WorkItemWidgetProgressInput>;
    /** Input for start and due date widget. */
    startAndDueDateWidget?: InputMaybe<WorkItemWidgetStartAndDueDateUpdateInput>;
    /** Close or reopen a work item. */
    stateEvent?: InputMaybe<WorkItemStateEvent>;
    /** Input for status widget. */
    statusWidget?: InputMaybe<StatusInput>;
    /** Input for time tracking widget. */
    timeTrackingWidget?: InputMaybe<WorkItemWidgetTimeTrackingInput>;
    /** Title of the work item. */
    title?: InputMaybe<Scalars['String']['input']>;
    /** Input for weight widget. */
    weightWidget?: InputMaybe<WorkItemWidgetWeightInput>;
};
/** Autogenerated return type of WorkItemUpdate. */
export type WorkItemUpdatePayload = {
    __typename?: 'WorkItemUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Updated work item. */
    workItem?: Maybe<WorkItem>;
};
export type WorkItemWidget = {
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents an assignees widget */
export type WorkItemWidgetAssignees = WorkItemWidget & {
    __typename?: 'WorkItemWidgetAssignees';
    /**
     * Indicates whether multiple assignees are allowed. Deprecated in GitLab 16.7: Field moved to workItemType widget definition interface.
     * @deprecated Field moved to workItemType widget definition interface. Please use `workitemWidgetDefinitionAssignees.allowsMultipleAssignees`. Deprecated in GitLab 16.7.
     */
    allowsMultipleAssignees?: Maybe<Scalars['Boolean']['output']>;
    /** Assignees of the work item. */
    assignees?: Maybe<UserCoreConnection>;
    /**
     * Indicates whether the current user can invite members to the work item's project. Deprecated in GitLab 16.7: Field moved to workItemType widget definition interface.
     * @deprecated Field moved to workItemType widget definition interface. Please use `workitemWidgetDefinitionAssignees.canInviteMembers`. Deprecated in GitLab 16.7.
     */
    canInviteMembers: Scalars['Boolean']['output'];
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents an assignees widget */
export type WorkItemWidgetAssigneesAssigneesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type WorkItemWidgetAssigneesInput = {
    /** Global IDs of assignees. */
    assigneeIds: Array<Scalars['UserID']['input']>;
};
/** Represents the emoji reactions widget */
export type WorkItemWidgetAwardEmoji = WorkItemWidget & {
    __typename?: 'WorkItemWidgetAwardEmoji';
    /** Emoji reactions on the work item. */
    awardEmoji?: Maybe<AwardEmojiConnection>;
    /** Number of downvotes the work item has received. */
    downvotes: Scalars['Int']['output'];
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
    /** Number of upvotes the work item has received. */
    upvotes: Scalars['Int']['output'];
};
/** Represents the emoji reactions widget */
export type WorkItemWidgetAwardEmojiAwardEmojiArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type WorkItemWidgetAwardEmojiUpdateInput = {
    /** Action for the update. */
    action: WorkItemAwardEmojiUpdateAction;
    /** Emoji name. */
    name: Scalars['String']['input'];
};
/** Represents a color widget */
export type WorkItemWidgetColor = WorkItemWidget & {
    __typename?: 'WorkItemWidgetColor';
    /** Color of the Work Item. */
    color?: Maybe<Scalars['String']['output']>;
    /** Text color generated for the Work Item. */
    textColor?: Maybe<Scalars['String']['output']>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetColorInput = {
    /** Color of the work item. */
    color: Scalars['Color']['input'];
};
/** Represents a todos widget */
export type WorkItemWidgetCurrentUserTodos = CurrentUserTodos & WorkItemWidget & {
    __typename?: 'WorkItemWidgetCurrentUserTodos';
    /** To-do items for the current user. */
    currentUserTodos: TodoConnection;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a todos widget */
export type WorkItemWidgetCurrentUserTodosCurrentUserTodosArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
    state?: InputMaybe<TodoStateEnum>;
};
export type WorkItemWidgetCurrentUserTodosInput = {
    /** Action for the update. */
    action: WorkItemTodoUpdateAction;
    /** Global ID of the to-do. If not present, all to-dos of the work item will be updated. */
    todoId?: InputMaybe<Scalars['TodoID']['input']>;
};
export type WorkItemWidgetDefinition = {
    /** Widget type. */
    type: WorkItemWidgetType;
};
/** Represents an assignees widget definition */
export type WorkItemWidgetDefinitionAssignees = WorkItemWidgetDefinition & {
    __typename?: 'WorkItemWidgetDefinitionAssignees';
    /** Indicates whether multiple assignees are allowed. */
    allowsMultipleAssignees: Scalars['Boolean']['output'];
    /** Indicates whether the current user can invite members to the work item's parent. */
    canInviteMembers: Scalars['Boolean']['output'];
    /** Widget type. */
    type: WorkItemWidgetType;
};
/** Represents a generic widget definition */
export type WorkItemWidgetDefinitionGeneric = WorkItemWidgetDefinition & {
    __typename?: 'WorkItemWidgetDefinitionGeneric';
    /** Widget type. */
    type: WorkItemWidgetType;
};
/** Represents a hierarchy widget definition */
export type WorkItemWidgetDefinitionHierarchy = WorkItemWidgetDefinition & {
    __typename?: 'WorkItemWidgetDefinitionHierarchy';
    /** Allowed child types for the work item type. */
    allowedChildTypes?: Maybe<WorkItemTypeConnection>;
    /** Allowed parent types for the work item type. */
    allowedParentTypes?: Maybe<WorkItemTypeConnection>;
    /** Widget type. */
    type: WorkItemWidgetType;
};
/** Represents a hierarchy widget definition */
export type WorkItemWidgetDefinitionHierarchyAllowedChildTypesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a hierarchy widget definition */
export type WorkItemWidgetDefinitionHierarchyAllowedParentTypesArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a labels widget definition */
export type WorkItemWidgetDefinitionLabels = WorkItemWidgetDefinition & {
    __typename?: 'WorkItemWidgetDefinitionLabels';
    /** Indicates whether scoped labels are available. */
    allowsScopedLabels: Scalars['Boolean']['output'];
    /** Widget type. */
    type: WorkItemWidgetType;
};
/** Represents a weight widget definition */
export type WorkItemWidgetDefinitionWeight = WorkItemWidgetDefinition & {
    __typename?: 'WorkItemWidgetDefinitionWeight';
    /** Indicates whether editable weight is available. */
    editable: Scalars['Boolean']['output'];
    /** Indicates whether rolled up weight is available. */
    rollUp: Scalars['Boolean']['output'];
    /** Widget type. */
    type: WorkItemWidgetType;
};
/** Represents a description widget */
export type WorkItemWidgetDescription = WorkItemWidget & {
    __typename?: 'WorkItemWidgetDescription';
    /** Description of the work item. */
    description?: Maybe<Scalars['String']['output']>;
    /** GitLab Flavored Markdown rendering of `description` */
    descriptionHtml?: Maybe<Scalars['String']['output']>;
    /** Whether the description has been edited since the work item was created. */
    edited: Scalars['Boolean']['output'];
    /** Timestamp of when the work item's description was last edited. */
    lastEditedAt?: Maybe<Scalars['Time']['output']>;
    /** User that made the last edit to the work item's description. */
    lastEditedBy?: Maybe<UserCore>;
    /** Task completion status of the work item. */
    taskCompletionStatus: TaskCompletionStatus;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetDescriptionInput = {
    /** Description of the work item. */
    description: Scalars['String']['input'];
};
/** Represents designs widget */
export type WorkItemWidgetDesigns = WorkItemWidget & {
    __typename?: 'WorkItemWidgetDesigns';
    /** Collection of design images associated with the issue. */
    designCollection?: Maybe<DesignCollection>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a development widget */
export type WorkItemWidgetDevelopment = WorkItemWidget & {
    __typename?: 'WorkItemWidgetDevelopment';
    /** Merge requests that will close the work item when merged. */
    closingMergeRequests?: Maybe<WorkItemClosingMergeRequestConnection>;
    /** Feature flags associated with the work item. */
    featureFlags?: Maybe<FeatureFlagConnection>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
    /** Whether the work item will automatically be closed when a closing merge request is merged. */
    willAutoCloseByMergeRequest: Scalars['Boolean']['output'];
};
/** Represents a development widget */
export type WorkItemWidgetDevelopmentClosingMergeRequestsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a development widget */
export type WorkItemWidgetDevelopmentFeatureFlagsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a health status widget */
export type WorkItemWidgetHealthStatus = WorkItemWidget & {
    __typename?: 'WorkItemWidgetHealthStatus';
    /** Health status of the work item. */
    healthStatus?: Maybe<HealthStatus>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetHealthStatusInput = {
    /** Health status to be assigned to the work item. */
    healthStatus?: InputMaybe<HealthStatus>;
};
/** Represents a hierarchy widget */
export type WorkItemWidgetHierarchy = WorkItemWidget & {
    __typename?: 'WorkItemWidgetHierarchy';
    /** Ancestors (parents) of the work item. */
    ancestors?: Maybe<WorkItemConnection>;
    /** Child work items. */
    children?: Maybe<WorkItemConnection>;
    /** Indicates if the work item has children. */
    hasChildren: Scalars['Boolean']['output'];
    /** Indicates if the work item has a parent. */
    hasParent: Scalars['Boolean']['output'];
    /** Parent work item. */
    parent?: Maybe<WorkItem>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a hierarchy widget */
export type WorkItemWidgetHierarchyAncestorsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a hierarchy widget */
export type WorkItemWidgetHierarchyChildrenArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type WorkItemWidgetHierarchyCreateInput = {
    /** Global ID of the parent work item. */
    parentId?: InputMaybe<Scalars['WorkItemID']['input']>;
};
export type WorkItemWidgetHierarchyUpdateInput = {
    /** ID of the work item to be switched with. */
    adjacentWorkItemId?: InputMaybe<Scalars['WorkItemID']['input']>;
    /** Global IDs of children work items. */
    childrenIds?: InputMaybe<Array<Scalars['WorkItemID']['input']>>;
    /** Global ID of the parent work item. Use `null` to remove the association. */
    parentId?: InputMaybe<Scalars['WorkItemID']['input']>;
    /** Type of switch. Valid values are `BEFORE` or `AFTER`. */
    relativePosition?: InputMaybe<RelativePositionType>;
};
/** Represents an iteration widget */
export type WorkItemWidgetIteration = WorkItemWidget & {
    __typename?: 'WorkItemWidgetIteration';
    /** Iteration of the work item. */
    iteration?: Maybe<Iteration>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetIterationInput = {
    /** Iteration to assign to the work item. */
    iterationId?: InputMaybe<Scalars['IterationID']['input']>;
};
/** Represents the labels widget */
export type WorkItemWidgetLabels = WorkItemWidget & {
    __typename?: 'WorkItemWidgetLabels';
    /**
     * Indicates whether a scoped label is allowed. Deprecated in GitLab 16.7: Field moved to workItemType widget definition interface.
     * @deprecated Field moved to workItemType widget definition interface. Please use `WorkItemWidgetDefinitionLabels.allowsScopedLabels`. Deprecated in GitLab 16.7.
     */
    allowsScopedLabels?: Maybe<Scalars['Boolean']['output']>;
    /** Labels assigned to the work item. */
    labels?: Maybe<LabelConnection>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents the labels widget */
export type WorkItemWidgetLabelsLabelsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type WorkItemWidgetLabelsCreateInput = {
    /** IDs of labels to be added to the work item. */
    labelIds: Array<Scalars['LabelID']['input']>;
};
export type WorkItemWidgetLabelsUpdateInput = {
    /** Global IDs of labels to be added to the work item. */
    addLabelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
    /** Global IDs of labels to be removed from the work item. */
    removeLabelIds?: InputMaybe<Array<Scalars['LabelID']['input']>>;
};
/** Represents the linked items widget */
export type WorkItemWidgetLinkedItems = WorkItemWidget & {
    __typename?: 'WorkItemWidgetLinkedItems';
    /** Indicates the work item is blocked. */
    blocked?: Maybe<Scalars['Boolean']['output']>;
    /** Count of items blocking the work item. */
    blockedByCount?: Maybe<Scalars['Int']['output']>;
    /** Count of items the work item is blocking. */
    blockingCount?: Maybe<Scalars['Int']['output']>;
    /**
     * Linked items for the work item. Introduced in GitLab 16.3: **Status**: Experiment.
     * @deprecated **Status**: Experiment. Introduced in GitLab 16.3.
     */
    linkedItems?: Maybe<LinkedWorkItemTypeConnection>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents the linked items widget */
export type WorkItemWidgetLinkedItemsLinkedItemsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<WorkItemRelatedLinkType>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a milestone widget */
export type WorkItemWidgetMilestone = WorkItemWidget & {
    __typename?: 'WorkItemWidgetMilestone';
    /** Milestone of the work item. */
    milestone?: Maybe<Milestone>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetMilestoneInput = {
    /** Milestone to assign to the work item. */
    milestoneId?: InputMaybe<Scalars['MilestoneID']['input']>;
};
/** Represents a notes widget */
export type WorkItemWidgetNotes = WorkItemWidget & {
    __typename?: 'WorkItemWidgetNotes';
    /** Discussion lock attribute of the work item. */
    discussionLocked?: Maybe<Scalars['Boolean']['output']>;
    /** Notes on this work item. */
    discussions?: Maybe<DiscussionConnection>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a notes widget */
export type WorkItemWidgetNotesDiscussionsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    filter?: InputMaybe<NotesFilterType>;
    first?: InputMaybe<Scalars['Int']['input']>;
};
export type WorkItemWidgetNotesInput = {
    /** Discussion lock attribute for notes widget of the work item. */
    discussionLocked: Scalars['Boolean']['input'];
};
/** Represents the notifications widget */
export type WorkItemWidgetNotifications = WorkItemWidget & {
    __typename?: 'WorkItemWidgetNotifications';
    /** Whether the current user is subscribed to notifications on the work item. */
    subscribed: Scalars['Boolean']['output'];
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetNotificationsUpdateInput = {
    /** Desired state of the subscription. */
    subscribed: Scalars['Boolean']['input'];
};
/** Represents a participants widget */
export type WorkItemWidgetParticipants = WorkItemWidget & {
    __typename?: 'WorkItemWidgetParticipants';
    /** Participants in the work item. */
    participants?: Maybe<UserCoreConnection>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a participants widget */
export type WorkItemWidgetParticipantsParticipantsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a progress widget */
export type WorkItemWidgetProgress = WorkItemWidget & {
    __typename?: 'WorkItemWidgetProgress';
    /** Current value of the work item. */
    currentValue?: Maybe<Scalars['Int']['output']>;
    /** End value of the work item. */
    endValue?: Maybe<Scalars['Int']['output']>;
    /** Progress of the work item. */
    progress?: Maybe<Scalars['Int']['output']>;
    /** Start value of the work item. */
    startValue?: Maybe<Scalars['Int']['output']>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
    /** Timestamp of last progress update. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
};
export type WorkItemWidgetProgressInput = {
    /** Current progress value of the work item. */
    currentValue: Scalars['Int']['input'];
    /** End value of the work item. */
    endValue?: InputMaybe<Scalars['Int']['input']>;
    /** Start value of the work item. */
    startValue?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a legacy requirement widget */
export type WorkItemWidgetRequirementLegacy = WorkItemWidget & {
    __typename?: 'WorkItemWidgetRequirementLegacy';
    /**
     * Legacy requirement IID associated with the work item. Deprecated in GitLab 15.9: Use Work Item IID instead.
     * @deprecated Use Work Item IID instead. Deprecated in GitLab 15.9.
     */
    legacyIid?: Maybe<Scalars['Int']['output']>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents the rolledup dates widget */
export type WorkItemWidgetRolledupDates = WorkItemWidget & {
    __typename?: 'WorkItemWidgetRolledupDates';
    /** Due date for the work item. */
    dueDate?: Maybe<Scalars['Date']['output']>;
    /** Fixed due date for the work item. */
    dueDateFixed?: Maybe<Scalars['Date']['output']>;
    /** Indicates if the due date for the work item is fixed. */
    dueDateIsFixed?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates which milestone sources the rolledup due date. */
    dueDateSourcingMilestone?: Maybe<Milestone>;
    /** Indicates which work_item sources the rolledup due date. */
    dueDateSourcingWorkItem?: Maybe<WorkItem>;
    /** Start date for the work item. */
    startDate?: Maybe<Scalars['Date']['output']>;
    /** Fixed start date for the work item. */
    startDateFixed?: Maybe<Scalars['Date']['output']>;
    /** Indicates if the start date for the work item is fixed. */
    startDateIsFixed?: Maybe<Scalars['Boolean']['output']>;
    /** Indicates which milestone sources the rolledup start date. */
    startDateSourcingMilestone?: Maybe<Milestone>;
    /** Indicates which work_item sources the rolledup start date. */
    startDateSourcingWorkItem?: Maybe<WorkItem>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetRolledupDatesInput = {
    /** Fixed due date for the work item. */
    dueDateFixed?: InputMaybe<Scalars['Date']['input']>;
    /** When due_date_fixed is not provided it defaults to `false`. */
    dueDateIsFixed?: InputMaybe<Scalars['Boolean']['input']>;
    /** Fixed start date for the work item. */
    startDateFixed?: InputMaybe<Scalars['Date']['input']>;
    /** When start_date_fixed is not provided it defaults to `false`. */
    startDateIsFixed?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Represents a start and due date widget */
export type WorkItemWidgetStartAndDueDate = WorkItemWidget & {
    __typename?: 'WorkItemWidgetStartAndDueDate';
    /** Due date of the work item. */
    dueDate?: Maybe<Scalars['Date']['output']>;
    /** Start date of the work item. */
    startDate?: Maybe<Scalars['Date']['output']>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
export type WorkItemWidgetStartAndDueDateUpdateInput = {
    /** Due date for the work item. */
    dueDate?: InputMaybe<Scalars['Date']['input']>;
    /** Start date for the work item. */
    startDate?: InputMaybe<Scalars['Date']['input']>;
};
/** Represents a status widget */
export type WorkItemWidgetStatus = WorkItemWidget & {
    __typename?: 'WorkItemWidgetStatus';
    /** Status of the work item. */
    status?: Maybe<Scalars['String']['output']>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a test reports widget */
export type WorkItemWidgetTestReports = WorkItemWidget & {
    __typename?: 'WorkItemWidgetTestReports';
    /** Test reports of the work item. */
    testReports?: Maybe<TestReportConnection>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a test reports widget */
export type WorkItemWidgetTestReportsTestReportsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a time tracking widget */
export type WorkItemWidgetTimeTracking = WorkItemWidget & {
    __typename?: 'WorkItemWidgetTimeTracking';
    /** Time estimate of the work item. */
    timeEstimate?: Maybe<Scalars['Int']['output']>;
    /** Timelogs on the work item. */
    timelogs?: Maybe<WorkItemTimelogConnection>;
    /** Total time (in seconds) reported as spent on the work item. */
    totalTimeSpent?: Maybe<Scalars['Int']['output']>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
};
/** Represents a time tracking widget */
export type WorkItemWidgetTimeTrackingTimelogsArgs = {
    after?: InputMaybe<Scalars['String']['input']>;
    before?: InputMaybe<Scalars['String']['input']>;
    first?: InputMaybe<Scalars['Int']['input']>;
    last?: InputMaybe<Scalars['Int']['input']>;
};
export type WorkItemWidgetTimeTrackingInput = {
    /** Time estimate for the work item in human readable format. For example: 1h 30m. */
    timeEstimate?: InputMaybe<Scalars['String']['input']>;
    /** Timelog data for time spent on the work item. */
    timelog?: InputMaybe<WorkItemWidgetTimeTrackingTimelogInput>;
};
export type WorkItemWidgetTimeTrackingTimelogInput = {
    /** Timestamp of when the time tracked was spent at, if not provided would be set to current timestamp. */
    spentAt?: InputMaybe<Scalars['Time']['input']>;
    /** Summary of how the time was spent. */
    summary?: InputMaybe<Scalars['String']['input']>;
    /** Amount of time spent in human readable format. For example: 1h 30m. */
    timeSpent: Scalars['String']['input'];
};
/** Type of a work item widget */
export declare enum WorkItemWidgetType {
    /** Assignees widget. */
    Assignees = "ASSIGNEES",
    /** Award Emoji widget. */
    AwardEmoji = "AWARD_EMOJI",
    /** Color widget. */
    Color = "COLOR",
    /** Current User Todos widget. */
    CurrentUserTodos = "CURRENT_USER_TODOS",
    /** Description widget. */
    Description = "DESCRIPTION",
    /** Designs widget. */
    Designs = "DESIGNS",
    /** Development widget. */
    Development = "DEVELOPMENT",
    /** Health Status widget. */
    HealthStatus = "HEALTH_STATUS",
    /** Hierarchy widget. */
    Hierarchy = "HIERARCHY",
    /** Iteration widget. */
    Iteration = "ITERATION",
    /** Labels widget. */
    Labels = "LABELS",
    /** Linked Items widget. */
    LinkedItems = "LINKED_ITEMS",
    /** Milestone widget. */
    Milestone = "MILESTONE",
    /** Notes widget. */
    Notes = "NOTES",
    /** Notifications widget. */
    Notifications = "NOTIFICATIONS",
    /** Participants widget. */
    Participants = "PARTICIPANTS",
    /** Progress widget. */
    Progress = "PROGRESS",
    /** Requirement Legacy widget. */
    RequirementLegacy = "REQUIREMENT_LEGACY",
    /** Rolledup Dates widget. */
    RolledupDates = "ROLLEDUP_DATES",
    /** Start And Due Date widget. */
    StartAndDueDate = "START_AND_DUE_DATE",
    /** Status widget. */
    Status = "STATUS",
    /** Test Reports widget. */
    TestReports = "TEST_REPORTS",
    /** Time Tracking widget. */
    TimeTracking = "TIME_TRACKING",
    /** Weight widget. */
    Weight = "WEIGHT"
}
/** Represents a weight widget */
export type WorkItemWidgetWeight = WorkItemWidget & {
    __typename?: 'WorkItemWidgetWeight';
    /** Rolled up weight of the work item. */
    rolledUpWeight?: Maybe<Scalars['Int']['output']>;
    /** Widget type. */
    type?: Maybe<WorkItemWidgetType>;
    /** Weight of the work item. */
    weight?: Maybe<Scalars['Int']['output']>;
    /** Weight widget definition. */
    widgetDefinition?: Maybe<WorkItemWidgetDefinitionWeight>;
};
export type WorkItemWidgetWeightInput = {
    /** Weight of the work item. */
    weight?: InputMaybe<Scalars['Int']['input']>;
};
/** Represents a remote development workspace */
export type Workspace = {
    __typename?: 'Workspace';
    /** Actual state of the workspace. */
    actualState: Scalars['String']['output'];
    /** Kubernetes agent associated with the workspace. */
    clusterAgent: ClusterAgent;
    /** Timestamp of when the workspace was created. */
    createdAt: Scalars['Time']['output'];
    /** Version of the deployment resource for the workspace. */
    deploymentResourceVersion?: Maybe<Scalars['Int']['output']>;
    /** Desired state of the workspace. */
    desiredState: Scalars['String']['output'];
    /** Timestamp of the last update to the desired state. */
    desiredStateUpdatedAt: Scalars['Time']['output'];
    /** Source YAML of the devfile used to configure the workspace. */
    devfile: Scalars['String']['output'];
    /** Path to the devfile used to configure the workspace. */
    devfilePath: Scalars['String']['output'];
    /** Git reference that contains the devfile used to configure the workspace. */
    devfileRef: Scalars['String']['output'];
    /** Web URL of the devfile used to configure the workspace. */
    devfileWebUrl: Scalars['String']['output'];
    /** Editor used to configure the workspace. Must match a configured template. */
    editor: Scalars['String']['output'];
    /** Global ID of the workspace. */
    id: Scalars['RemoteDevelopmentWorkspaceID']['output'];
    /** Number of hours until the workspace automatically terminates. */
    maxHoursBeforeTermination: Scalars['Int']['output'];
    /** Name of the workspace in Kubernetes. */
    name: Scalars['String']['output'];
    /** Namespace of the workspace in Kubernetes. */
    namespace: Scalars['String']['output'];
    /** Processed YAML of the devfile used to configure the workspace. */
    processedDevfile: Scalars['String']['output'];
    /** ID of the project that contains the devfile for the workspace. */
    projectId: Scalars['ID']['output'];
    /** Timestamp of the last response sent to the GitLab agent for Kubernetes for the workspace. */
    respondedToAgentAt?: Maybe<Scalars['Time']['output']>;
    /** Timestamp of the last update to any mutable workspace property. */
    updatedAt: Scalars['Time']['output'];
    /** URL of the workspace. */
    url: Scalars['String']['output'];
    /** Owner of the workspace. */
    user: UserCore;
};
/** The connection type for Workspace. */
export type WorkspaceConnection = {
    __typename?: 'WorkspaceConnection';
    /** A list of edges. */
    edges?: Maybe<Array<Maybe<WorkspaceEdge>>>;
    /** A list of nodes. */
    nodes?: Maybe<Array<Maybe<Workspace>>>;
    /** Information to aid in pagination. */
    pageInfo: PageInfo;
};
/** Autogenerated input type of WorkspaceCreate */
export type WorkspaceCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** GlobalID of the cluster agent the created workspace will be associated with. */
    clusterAgentId: Scalars['ClustersAgentID']['input'];
    /** Desired state of the created workspace. */
    desiredState: Scalars['String']['input'];
    /** Project repo git path containing the devfile used to configure the workspace. */
    devfilePath: Scalars['String']['input'];
    /** Project repo git ref containing the devfile used to configure the workspace. */
    devfileRef: Scalars['String']['input'];
    /** Editor to inject into the created workspace. Must match a configured template. */
    editor: Scalars['String']['input'];
    /** Maximum hours the workspace can exist before it is automatically terminated. */
    maxHoursBeforeTermination: Scalars['Int']['input'];
    /** ID of the project that will provide the Devfile for the created workspace. */
    projectId: Scalars['ProjectID']['input'];
    /** Variables to inject into the workspace. */
    variables?: InputMaybe<Array<WorkspaceVariableInput>>;
};
/** Autogenerated return type of WorkspaceCreate. */
export type WorkspaceCreatePayload = {
    __typename?: 'WorkspaceCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created workspace. */
    workspace?: Maybe<Workspace>;
};
/** An edge in a connection. */
export type WorkspaceEdge = {
    __typename?: 'WorkspaceEdge';
    /** A cursor for use in pagination. */
    cursor: Scalars['String']['output'];
    /** The item at the end of the edge. */
    node?: Maybe<Workspace>;
};
/** Autogenerated input type of WorkspaceUpdate */
export type WorkspaceUpdateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Desired state of the created workspace. */
    desiredState: Scalars['String']['input'];
    /** Global ID of the workspace. */
    id: Scalars['RemoteDevelopmentWorkspaceID']['input'];
};
/** Autogenerated return type of WorkspaceUpdate. */
export type WorkspaceUpdatePayload = {
    __typename?: 'WorkspaceUpdatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created workspace. */
    workspace?: Maybe<Workspace>;
};
/** Attributes for defining a variable to be injected in a workspace. */
export type WorkspaceVariableInput = {
    /** Key of the variable. */
    key: Scalars['String']['input'];
    /** Type of the variable to be injected in a workspace. */
    type: WorkspaceVariableInputType;
    /** Value of the variable. */
    value: Scalars['String']['input'];
};
/** Enum for the type of the variable to be injected in a workspace. */
export declare enum WorkspaceVariableInputType {
    /** Name type. */
    Environment = "ENVIRONMENT"
}
/** Represents an X.509 certificate. */
export type X509Certificate = {
    __typename?: 'X509Certificate';
    /** Indicates if the certificate is good or revoked. */
    certificateStatus: Scalars['String']['output'];
    /** Timestamp of when the certificate was saved. */
    createdAt: Scalars['Time']['output'];
    /** Email associated with the cerificate. */
    email: Scalars['String']['output'];
    /** ID of the certificate. */
    id: Scalars['ID']['output'];
    /** Serial number of the certificate. */
    serialNumber: Scalars['String']['output'];
    /** Subject of the certificate. */
    subject: Scalars['String']['output'];
    /** Subject key identifier of the certificate. */
    subjectKeyIdentifier: Scalars['String']['output'];
    /** Timestamp of when the certificate was last updated. */
    updatedAt: Scalars['Time']['output'];
    /** Issuer of the certificate. */
    x509Issuer: X509Issuer;
};
/** Issuer of an X.509 certificate. */
export type X509Issuer = {
    __typename?: 'X509Issuer';
    /** Timestamp of when the issuer was created. */
    createdAt?: Maybe<Scalars['Time']['output']>;
    /** Certificate revokation list of the issuer. */
    crlUrl?: Maybe<Scalars['String']['output']>;
    /** ID of the issuer. */
    id?: Maybe<Scalars['ID']['output']>;
    /** Subject of the issuer. */
    subject?: Maybe<Scalars['String']['output']>;
    /** Subject key identifier of the issuer. */
    subjectKeyIdentifier?: Maybe<Scalars['String']['output']>;
    /** Timestamp of when the issuer was last updated. */
    updatedAt?: Maybe<Scalars['Time']['output']>;
};
/** X.509 signature for a signed commit */
export type X509Signature = CommitSignature & {
    __typename?: 'X509Signature';
    /** SHA of the associated commit. */
    commitSha?: Maybe<Scalars['String']['output']>;
    /** Project of the associated commit. */
    project?: Maybe<Project>;
    /** User associated with the key. */
    user?: Maybe<UserCore>;
    /** Indicates verification status of the associated key or certificate. */
    verificationStatus?: Maybe<VerificationStatus>;
    /** Certificate used for the signature. */
    x509Certificate?: Maybe<X509Certificate>;
};
/** Autogenerated input type of approvalProjectRuleDelete */
export type ApprovalProjectRuleDeleteInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Global ID of the approval project rule to delete. */
    id: Scalars['ApprovalProjectRuleID']['input'];
};
/** Autogenerated return type of approvalProjectRuleDelete. */
export type ApprovalProjectRuleDeletePayload = {
    __typename?: 'approvalProjectRuleDeletePayload';
    /** Deleted approval rule. */
    approvalRule?: Maybe<ApprovalProjectRule>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of approvalProjectRuleUpdate */
export type ApprovalProjectRuleUpdateInput = {
    /** How many approvals are required to satify rule. */
    approvalsRequired: Scalars['Int']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** List of IDs of Groups that can approval rule. */
    groupIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Global ID of the approval rule to destroy. */
    id: Scalars['ApprovalProjectRuleID']['input'];
    /** Name of the approval rule. */
    name: Scalars['String']['input'];
    /** List of IDs of Users that can approval rule. */
    userIds?: InputMaybe<Array<Scalars['ID']['input']>>;
};
/** Autogenerated return type of approvalProjectRuleUpdate. */
export type ApprovalProjectRuleUpdatePayload = {
    __typename?: 'approvalProjectRuleUpdatePayload';
    /** Approval rule after mutation. */
    approvalRule?: Maybe<ApprovalProjectRule>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of branchRuleApprovalProjectRuleCreate */
export type BranchRuleApprovalProjectRuleCreateInput = {
    /** How many approvals are required to satify rule. */
    approvalsRequired: Scalars['Int']['input'];
    /** Global ID of the branch rule to destroy. */
    branchRuleId: Scalars['ProjectsBranchRuleID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** List of IDs of Groups that can approval rule. */
    groupIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** Name of the approval rule. */
    name: Scalars['String']['input'];
    /** List of IDs of Users that can approval rule. */
    userIds?: InputMaybe<Array<Scalars['ID']['input']>>;
};
/** Autogenerated return type of branchRuleApprovalProjectRuleCreate. */
export type BranchRuleApprovalProjectRuleCreatePayload = {
    __typename?: 'branchRuleApprovalProjectRuleCreatePayload';
    /** Approval rule after mutation. */
    approvalRule?: Maybe<ApprovalProjectRule>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of iterationCreate */
export type IterationCreateInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Description of the iteration. */
    description?: InputMaybe<Scalars['String']['input']>;
    /** End date of the iteration. */
    dueDate?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the group with which the resource is associated. */
    groupPath?: InputMaybe<Scalars['ID']['input']>;
    /** Global ID of the iteration cadence to be assigned to the new iteration. */
    iterationsCadenceId?: InputMaybe<Scalars['IterationsCadenceID']['input']>;
    /** Full path of the project with which the resource is associated. */
    projectPath?: InputMaybe<Scalars['ID']['input']>;
    /** Start date of the iteration. */
    startDate?: InputMaybe<Scalars['String']['input']>;
    /** Title of the iteration. */
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated return type of iterationCreate. */
export type IterationCreatePayload = {
    __typename?: 'iterationCreatePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
    /** Created iteration. */
    iteration?: Maybe<Iteration>;
};
/** Autogenerated input type of projectBlobsRemove */
export type ProjectBlobsRemoveInput = {
    /** List of blob oids. */
    blobOids: Array<Scalars['String']['input']>;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project to replace. */
    projectPath: Scalars['ID']['input'];
};
/** Autogenerated return type of projectBlobsRemove. */
export type ProjectBlobsRemovePayload = {
    __typename?: 'projectBlobsRemovePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
/** Autogenerated input type of projectTextReplace */
export type ProjectTextReplaceInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    /** Full path of the project to replace. */
    projectPath: Scalars['ID']['input'];
    /** List of text patterns to replace project-wide. */
    replacements: Array<Scalars['String']['input']>;
};
/** Autogenerated return type of projectTextReplace. */
export type ProjectTextReplacePayload = {
    __typename?: 'projectTextReplacePayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    /** Errors encountered during execution of the mutation. */
    errors: Array<Scalars['String']['output']>;
};
//# sourceMappingURL=graphql.d.ts.map